HotDocs Help - Home

  • « Back
  • Home
  • Index
  • Contact
  • Glossary
  • Help

Help Topics for HotDocs Developer

This Help file contains information you need to use HotDocs Developer. The following links represent an overview of features you can find in HotDocs.

+ Learning About HotDocs

+ Becoming Familiar with HotDocs

  • What Is HotDocs?
  • Plan a Template Development Project
  • Quick Help Links

+ Getting Started

+ What's New in HotDocs Developer

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 6.2
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ Starting With HotDocs

  • Start HotDocs
  • Exit HotDocs
  • Get Help Using HotDocs
  • Verify HotDocs 5 Templates for Use with HotDocs 10
  • Use HotDocs with Microsoft Word 2007 and 2010
  • List of HotDocs File Name Extensions
  • Complete the HotDocs Tutorials
  • Documentation Feedback

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

+ Setting HotDocs Options

+ Setting HotDocs Options

  • Overview: HotDocs Options
  • Interviews and Dialogs
  • Document Assembly
  • Document Markup
  • Model Documents
  • Form Documents
  • Question and Answer Summaries
  • Personal Information
  • Spell Checking
  • Template Development
  • Word Processors
  • File Locations
  • File Management
  • Template Set Updates

+ Using Libraries

+ Using HotDocs Libraries

  • Overview: Use HotDocs Libraries
  • Create a Library
  • Open a Library
  • Add Templates and Other Files to a Library
  • Work with Templates and Other Files in a Libary
  • Remove Items from a Library
  • Change the Properties of a Single Library Item
  • Change the Properties for Multiple Items in a Library
  • Sort Items in a Library
  • Organize the Contents of a Library
  • Create a Favorites Folder in the Template Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Print a List of Items in a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Move Items Within a Library
  • Move Items to New Locations on Disk
  • Copy Templates to New Locations

+ Automating Text Templates

+ Creating Templates

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Using Variables

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using Dialogs

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Component Manager

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

+ Using IF Instructions

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using REPEAT Instructions

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Using INSERT Instructions

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Using SPAN Instructions

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Clauses and Clause Libraries

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Defining Interviews for the Template

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Using Dot Codes

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Scripting

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Linking Templates to a Database

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Testing Automation

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Using Template Manager

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Automating Form Templates

+ Creating and Working with Forms

  • Overview: HotDocs Automator
  • HotDocs Automator Toolbar
  • Create a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Edit a Form Template
  • Add Pages to a Form Template
  • Remove Pages from a Form Template
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window
  • Globally Change Properties in a Template or Group of Templates
  • Save and Close a Form Template
  • Define the Interview for a Form Template

+ Creating Form Fields

  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Attach a Variable to a Field
  • Attach an ASK Instruction to a Field
  • Make a Field Conditional
  • Attach an INSERT Instruction to a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Attach a Variable to Single-Character Boxes
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Ungroup Form Fields
  • Attach an Answer Wizard to a Field

+ Changing Field Properties

  • Preview the Formatting of Answers in a Form Field
  • Show and Hide Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Move a Field on a Form
  • Merge a List of Answers in a Standard Table
  • Merge a List of Answers in a Nonstandard Table
  • Flow a Single Answer Across Two or More Pages in a Form

+ Defining Form Overflow Properties

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table
  • Customize the Look of the Addendum
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Create Independent Addendums for Forms
  • Use Answer Overflow and Addendum Text Codes

+ Creating and Using Fillable PDF Form Templates

  • Overview: Use Fillable PDFs as Form Templates
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template
  • Attach Variables to Fillable Fields
  • Tips for Working with Fillable Fields

+ Publishing Templates

+ Publishing HotDocs Templates

  • Overview: Publish HotDocs Templates
  • Publish a Template as a Standard File
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Protect Published Files
  • Publish and Register Templates for Use With HotDocs Player
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Add Files to a Published Set
  • Save Publishing Settings
  • Use a Custom Library Splash Screen
  • Automatically Update Published Template Sets

+ Publishing HotDocs Server Templates

  • What is HotDocs Server?
  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews
  • Enable Templates for Use With HotDocs Server
  • View an Interview in a Web Browser
  • Publish Templates For Use With HotDocs Server
  • Upload Templates to a Web Server
  • Upload Templates For Use With HotDocs Core Services

+ Uploading Published Files

  • Overview: Upload HotDocs Files to a Web Server
  • Create Custom HTML Documents for Template Uploading
  • Upload Templates to a Web Server
  • Overview: Upload HotDocs Files to a Web Server

+ Uploading Answer Files to a Server

  • Overview: Upload HotDocs Answer Files
  • Specify Options to Upload Answers
  • Handle Data in Uploaded Answers

+ Assembling Documents

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Using Command-Line Options

+ Using Command-Line Options

  • Overview: Command-Line Options
  • Full List of Command-Line Options
  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File
  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

+ Model Documents

+ Creating and Using Model Documents

  • Overview: Create a Model Document
  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format
  • Model Document Naming Standards

+ Troubleshooting

+ Template Development

  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Choosing Which Word Processor Will Be Used By Default
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating the Contents of a Single Cell in a Table
  • Repeating a Single Variable in a Dialog
  • Test Assembling Template with ASSEMBLE Instructions
  • Trying to Save an Invalid Computation Script
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

+ Document Assembly

  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Moving to the Next Dialog After Entering a Date or Number
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document Takes Incredibly Long Time
  • Printing Form Document is Off-Center
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

+ HotDocs Automator

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

+ Legal Notices

+ Legal Notices

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

HotDocs Ltd. | About HotDocs Ltd.

Copyright © 2012 HotDocs Ltd. All rights reserved


HotDocs Help - Index

  • Glossary
  • Help

Index

Filter by first letter: All / 0-9 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Filter by index keyword:

Keyword not found.

The keyword you entered could not be found in the Index. Please try one of the following steps:

  • Try searching using similar keywords.
  • Use the full-text Search feature instead. (Enter your search term in the Search box located in the upper-right corner of the Help window.)

.NET Framework

installing

/af

/as

/cl

/da

/df

/ed

/ex

/fia

/ha

/hi

/hl

/is=u

/kig

/la

/lf

/ll

/mo

/na

/ni

/nw

/of

/ov

/pa

/pb

/pc

/pd

/po

/pr

/ps

/pt

/pw

/qs

/sa

/sap

/sig

/sl

/ss

/ssn

/stw

/sw

/tf

1900-century years

2000-century years

A, B, and C lists

formatting in REPEAT instructions

formatting in scripts

Abbreviated icons in component lists

About

answer file uploading

answer files

answer management

assembling a form document

clauses and clause libraries

command-line options

conditional text

database components

dialogs

dot codes

fillable PDFs

HotDocs Automator

HotDocs Filler

inserted templates

Instruction and Expression models

interview process

libraries

lists (repeated dialogs)

lists within lists (nested repeats)

model documents

publishing templates

SPAN fields

Template Manager

templates and component files

Test Panel

testing variables and assembly

uploading HotDocs files (2)

  • Overview: Upload HotDocs Files to a HotDocs Core Services host application
  • Overview: Upload HotDocs Files to a Web Server

using files located on the Internet

variables

ABSOLUTE VALUE( NUM )

Accelerators, assigning to characters in a prompt

Accessing

Answer File Manager

answer files

HotDocs files on the Internet

HotDocs libraries

records in a database

records in a database using custom command

ActiveX Data Objects, used in Database Connection

Add Another button

customizing

using

Add Answer File button

Add Item button

ADD TEXT TO MULT_CHOICE

Addendum label text

defining for regular field overflow

defining for run-on field overflow

defining for table overflow

Addendum

changing properties of at form

creating default references to

customizing text within

numbering codes to use in

specifying default properties of

splitting answers between form and

starting on new page

Adding (values)

number of days to Date variable

number of months to a Date variable

number of years to Date variable

repeated number values (2)

  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )

Adding

answer files to Answer File Manager

auto-assemble files on the Internet to HotDocs libraries

auto-install files to libraries

buttons to dialogs (2)

  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation

clause library to a template

dialogs to dialogs

existing clauses to clause library

files to published template set

folders to clause library

folders to the answer library

multiple items to a library

new clauses to clause library

options to Multiple Choice variable

pages to a form template

prompts to variables

resource information to variables

scripts to dialogs

templates to libraries

text to a custom dialog

Web pages to HotDocs libraries

Additional Text

creating

placing variables in

tips for using in dialogs

Adjusting

toolbars

width or height of form field

windows and panes sizes

ADO connections

to database, converting to

to database, specifying

Adobe

automatically send assembled forms to

saving assembled form documents to

saving other document types to

saving text documents to

using for fillable PDF templates

using to print assembled form documents

Advanced options for variables (3)

  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview

AGE( DATE )

Alerting

when editing shared component file

when template sets have updates

Align Fields button

Aligning

answers left or right justified

form fields

prompts and answer fields in dialogs

text in edit fields

text in multi-line form fields

Allowing users to upload answers

Alphabetizing

answers in a REPEAT field

answers in a spreadsheet

answers using a script

lists of answers using a computation

Always stop at this dialog when moving to next unanswered option

American dates, using

Ampersands, using to specify accelerator keys

Annotations, using to mark up templates

Answer field widths, specifying

Answer File command-line option

Answer file folder, changing location of default

Answer File Manager button

Answer File Manager

about

adding answer files to

adding folders to

creating new answer files using

displaying

setting option for always using

using

ANSWER FILE NAME variable

Answer file uploading, about

Answer files

about

accessing

adding to answer library

assembling documents with (3)

  • Create a New Answer File
  • Save an Answer File During Assembly
  • Select an Answer File for Assembly

attaching to e-mail messages

automatically prompting user for

automatically suggesting the answers used last

creating (2)

  • Create a New Answer File
  • Save an Answer File During Assembly

default

deleting

editing titles or descriptions

enabling for uploading

linking to specific templates

managing

merging answers into another answer file

overlaying

searching for

suggesting for every assembly

uploading

uploading to Web servers

using for testing

Answer Font button

Answer sources for dialogs

mapping to an Outlook Contacts list

mapping to Time Matters records

sharing answers between (2)

  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs

suggesting for dialogs

tips on using

Answer summaries

changing appearance of

viewing

Answer Summary command-line option

Answer wizards, attaching to form fields

Answer-field reformatting

Answer-gathering dialogs, navigating

ANSWERED( DIALOG )

ANSWERED( VAR )

Answering

Date variables

questions in an interview

questions to create Question Summary

using answer sources (pick lists) or external applications

Answers

about (2)

  • Overview: Save Answers
  • Overview: Use Answer Management

applying standard information

assembling documents with

assigning conditionally to form fields

checking for any that overflow

creating lists of in forms (2)

  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table

editing at Document Preview tab

flowing across two or more form fields

flowing across two or more form pages

for personal information stored in registry

gathering information to assemble other documents

loading automatically using default answer file

organizing

overwriting with another answer file

previewing formatting of in form fields

saving

saving back to a database record

saving back to a Time Matters record

spell checking

too long for answer field

typing directly in form fields

using international characters in

ANX file name extension

Appearance

of assembly window, changing

of edit fields in forms

of fields in a text template

Application IDs, defining for third-party integrations

Application link, adding to a dialog

Apply Colors button

Applying colors to fields in a text template

Arrange button (3)

  • Customize a Clause Library
  • Open and Close Component Manager
  • Test Assemble a Document

Arranging

clause library window with other windows

columns in database table

Component Manager with template window

contents of dialog

items in a library

order dialogs are asked

order of documents to be assembled

windows and panes

ASCEND VAR

Ascending

a list of answers in a REPEAT field

a list of answers using a computation

a list of database records

ASK ALL instruction

Ask automatically option

for dialogs

for variables

how it works

ASK Database instructions

ASK DIALOG

ASK Field button

ASK instructions

attaching to form template fields

using directly in the template

using in a computation

ASK NONE

ASK VAR

Asking

dialogs automatically

only unanswered questions

variables answered by database

ASSEMBLE "FILENAME"

Assemble button (2)

  • Assemble a Text or Form Document
  • Test Assemble a Document

Assembling

about

clause libraries

creating new answer files while

documents

documents without showing the interview

fillable PDFs

from Web browsers

headers and footers

information from a database application

interview templates

multiple documents

multiple documents from one template

previewing templates before

switching answer files while

templates using HotDocs Server

using the Assembly Queue

warn when adding more templates to queue

Assembly Queue button

Assembly Queue

about

always listing completed assemblies

assembling multiple documents

displaying warning when adding to

statuses

Assembly window

bypassing to view assembled document

closing after assembly session

customizing the look of

Assigning

answer files to templates

form check-box field properties

merge text to Multiple Choice options

new variable names

resource button labels

resources to variables and dialogs

values to variables using SET instructions

variables to form template fields

Asterisks

using as placeholders for unanswered questions

using to mark required questions

Attaching

answer files to e-mail messages

ASK instructions to form template fields

INSERT instructions to form template fields

Multiple Choice variables to form fields

REPEAT instructions to form template tables (2)

  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table

text or form documents to e-mail messages

variables to fillable fields

variables to form template fields

Austrian German templates, creating

Auto Format button, using

Auto-assemble files

adding Internet link to library

creating

downloading files for use offline

MIME types information

updating

Auto-complete functionality

use as you type component names

use as you write scripts

Auto-install files

accessing from the Internet

automatically updating

creating

installing a template set

MIME types information

Automatic interviews, generating

Automatically

aligning dialog prompts

checking for updated template sets

disabling irrelevant variables in an interview

expanding child dialogs in interview outline

filling in answers for users

generate names for dialog elements

merge filtered database record into document

numbering paragraphs

recovering form template files

selecting records based on selection of other records

selecting text when tabbing between fields

updating published template sets

Background colors

changing for dialog pane

changing for form fields

Backing up

form files

shared component files

Bar codes

customizing properties of

displaying in forms

displaying in text template fields

Basic user information, specifying

Binary

saving files as

Birth dates, using to calculate ages

BMPs

adding to dialogs

assigning to library splash screens

including in published template sets

inserting in form fields

Bookmarks, creating in text templates

Boolean operators, using

Borders

changing properties of field

changing the size of detectable

detecting to create or resize fields

Brands of word processors, changing

British dates

Browsers

launching from HotDocs

registering HotDocs as a helper application for

viewing assemblies in

Buttons

customizing layout of toolbar

viewing resource

word processor toolbar

Bypassing

End of Interview dialog to view assembled document

entire interview to view document

Caches, updating versions of auto-assemble files

Calculating answers

Calendars, using to answer date questions

Canceling

assembly from End of Interview dialog

assembly of a document

script processing

Caret paths, assigning for templates

Catalog files, using to update published template sets

CDs, referencing templates on

Centimeters as a unit of measure in forms

Century-rollover dates

Changing

a form field's size

a form field's type

appearance of variable names and background colors for fields

component file properties

contents of a text template

dialogs on the fly (2)

  • Special Instructions for Dialog Scripts
  • Special Instructions for Dialog Scripts

dialogs shown in interview outlines

file location for templates in a library

file location of answer files

fonts used for form fields

form field borders and margins

order of documents awaiting assembly

overflow properties for regular form fields

overflow properties for run-on form fields

overflow properties for table fields

paragraph formatting in a form field

properties for multiple items in library

rotation of a form field

tab order of form fields

variable names

word processor brands

word processor file locations

Characters, using specific for check-box fields

Check Fillable fields command

Check Spelling button

Check-box fields

attaching Multiple Choice variables to

changing field type to

creating

detecting

specifying properties for

Checking

form fields for answers that overflow

spelling of answers

spelling of components

templates for Web server compatibility

variables for accuracy

Chevrons, HotDocs

Child dialogs

assigning in nested repeats

controlling appearance in interview outline

creating

displaying on parent when repeating

grouping multiple in parent dialog

removing icon for

Choosing

answer files for assembly

database records during assembly

End of Interview options

Circling answers on a form

Clause archive file

Clause component files

Clause field, editing

Clause identifier field, using

Clause libraries

about

adding clauses to

adding folders to

assembling

creating at template library

creating clauses and adding to

creating in template and adding to

editing

files used in

inserting into template

moving on local disks or networks

opening and closing

selecting clauses from

Clause Library button

Clause Name command-line option

Clauses

about

adding to library

assembling

creating and inserting in template

creating at clause library

creating in template and adding to clause library

displaying selections in one dialog

editing

inserting into template

underlying functionality

CLEAR MULT_CHOICE

Clearing

answers from a Multiple Choice variable

answers from variables

variables from component files

variables from form fields

Client cursors, using to connect to database

Closing

assembly window after interview

clause libraries

component editors warning

Component Manager

form templates

HotDocs

HotDocs Automator

Template Manager

CMP file name extension

Codes

dot

LANGUAGE instruction

text patterns

Collapsing

all folders in a library

child dialogs in outline

Color themes

applying to text template fields

changing default for dialog pane

changing default for form fields

changing default for text template fields

Columns

of listed answers

specifying widths of database tables

specifying widths of in repeated spreadsheets

using in summaries

Command-line options

about

Answer File

Answer Summary

Clause Name

Default Answer File

Discard Answers

Edit Template

Exit HotDocs

Finish Interview Action

full list of

Hide Library

HotDocs Auto-Assemble File

HotDocs Auto-Install File

Interview Scope

Keep Interview Group

Library File

Lock Answer File

Lock Library

Model Document

New Answer File

No Assembly Window

No Interview

Output File

Overlay Answer File

Paper Size

Paper Tray

Print

Print Answers Only

Print Both

Print Copies

Print Duplex

Print Form Only

Print Without Dialogs

Question Summary

Save Answers

Save Answers Prompt

Send to Word Processor

Show Library

Start Interview Group

Suggest Save

Suggest Save New

Suppress Unanswered Warning

Template File

Commands

in Component Manager

in HotDocs Automator

in HotDocs editing toolbar

in the assembly window

in the clause library

in the End of Interview dialog

in the HotDocs Debugger

in the template library

Comments

adding to component editors

adding to scripts (2)

  • QUIT
  • Use the Script Editor

adding to variable and instruction fields

Common information in templates, gathering

Comparing

fillable fields with HotDocs fields

Comparison operators, using

Compatibility with other versions of HotDocs

Completed assemblies, displaying in queue

Completing component names automatically

Component database, creating

Component File Properties button

Component file properties

changing default dialog titles

changing default template titles

checking for server compatibility

controlling answer file selection

defining interviews (2)

  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview

hiding End of Interview dialog

moving cursor to location in assembled document

setting for new templates

sharing

specifying hidden data to remove

Component files

about

adding to library

changing file properties

copying components between (2)

  • Copy Components From One File to Another
  • Copy and Paste Components Across Multiple Component Files

exploring several at once

looking at contents of

managing

opening

opening at template library

pointing

printing contents of

searching

sharing information in

spell checking contents of

stop sharing

Component icons, changing appearance of

Component Manager button

Component Manager

copying components using

creating components using

deleting components using

editing components using

inserting variables into templates using

opening and closing

opening and closing at template library

pointing component files using

renaming components using

viewing

Component names, changing in several files

Component properties

Component types, modifying

Components

generating list of searched

generating list of spell checked

grouping into dialogs

Compressing published files (2)

  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)

Computation variables

creating

debugging

executing from a dialog

methods of writing

testing results of

tips for writing correctly

using as an answer wizard for field

using for ASK instructions

using instructions and expressions in

using the script editor

using to create nested repeats

using to create REPEAT instructions

CONCEAL VAR

Concealing variables in answer sources (pick lists)

Conditional text

about

assigning to form fields

creating with True/False expression

creating with True/False instruction

fully qualifying

nesting IF instructions in

using in question summaries

Connecting

specific answers to templates

to database using ADO

to third-party applications

Contacting technical support

Contacts lists, mapping variables to fields in

CONTAINS (2)

  • TEXT CONTAINS TEXT
  • Use Operators When Scripting

Contents, specifying template

Control fields

changing field type to

creating

Controlling

appearance of Answer File dialog box

order dialogs are asked

text placement in multi-line field

variables in the interview outline

Convert Files button (2)

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF

Converting

a single template to a new file format

answers on a form to bar code format

form templates to PDF templates

HotDocs templates to model documents

model documents to templates

multiple templates to latest HotDocs version

multiple templates to RTF

number characters into numeric values

ODBC-based connections to ADO

PDFs to form templates

sections of templates into new templates

templates, warn when

Copy Components button

Copying

clause libraries across disks or networks

components across multiple component files

components between two files

files when exporting libraries

form fields

library items to new locations on disk

library items to new places within library

template files to new locations

template libraries from disk or network

variables to create new

Copyright

COUNT( DIALOG )

COUNT( MULT_CHOICE_VAR )

COUNTER

Counting

answers in a list

number of characters in text values

repetitions of a dialog

selected Multiple Choice options

Crashing, protecting form template files from

Create New Component button

Creating

ADO connection string

answer files during assembly

check-box fields

clause library at template

clauses and inserting in template

clauses at clause library

clauses in template and adding to clause library

components using Component Manager

conditional text (2)

  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression

custom dialogs

dialog scripts

fields using Detect command

form fields

form templates

interview templates

new answer files

new libraries

new libraries by exporting existing libraries

PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

pick lists of answers for dialogs

questionnaires

summaries (2)

  • View an Answer Summary
  • View a Question Summary

text templates

Cross-references

defining for regular field overflow

defining for run-on field overflow

defining for table field overflow

specifying properties of addendum items

viewing for components

Crossing out static text on a document

Currency

symbols

values

CURRENT ANSWER FILE, linking different variables in (2)

  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs

Current open word processor

Cursors

choosing for database

controlling location of in assembled document

Custom commands

example of

using with database component

Custom dialogs, creating

Custom program as help

Custom splash screens for libraries

Customizing

colors used in dialog pane

Computation variables

Date variables

dialogs

entries on a form addendum for regular fields

entries on a form addendum for run-on fields

entries on a form addendum for tables

Multiple Choice options

Multiple Choice variables

Number variables

options in End of Interview dialog

options in script editor

Properties tab of template library

Text variables

the interview for a template

True/False variable placement in a dialog

True/False variables

Cutting a number after a decimal point

Data source, specifying for database connection

Database applications

assembling documents linked to

supported

Database components

about

assigning keys for

choosing which fields will appear

editing

editing properties of

explanation of how they work

retrieving data using custom command

security

storing information for in separate file

using OLE DB providers for ODBC with

DATE + NUM DAYS

DATE + NUM MONTHS

DATE + NUM YEARS

DATE - NUM DAYS

DATE - NUM MONTHS

DATE - NUM YEARS

Date entry order, specifying

Date formats

DATE OF( NUM, NUM, NUM)

Date variables

creating

formatting correctly in scripts

formatting in foreign languages

inserting today's date using

ways to answer

Dates

displaying in answer fields

formats for

specifying default format for in assembled documents

specifying the date order

DAY OF WEEK( DATE )

DAY OF( DATE )

Day portion of a given date, finding

Day-Month-Year date order

DAYS FROM( DATE, DATE )

Days of the week, determining

DEBUG

Debugging templates and scripts

about

adding instruction to template or script

stepping through template or script

watching specific variables during debugging

Decimals, using

Decreasing values of temporary counters

DECREMENT NUM_VAR

Default Answer File command-line option

DEFAULT VAR TO VALUE

Default

answer files

date formats

dialog titles

form printing options, specifying

formats

interviews

interviews in form templates

merge text

size of check-box fields

template titles and descriptions

word processor, changing

Defining field borders and margins

Delete Components button (2)

  • Delete a Component from the Current Component File
  • Delete Components from Multiple Component Files

Delete Repetition button

Deleting

answer files

clauses from a clause library

components from current component file

folders in Answer File Manager

form template pages

library items

unused components from multiple component files

Delivering

answer files using e-mail

assembled document files using e-mail

DESCEND VAR

Descending

a list of answers in a REPEAT field

a list of answers using a computation

a list of database records

Descriptions of template development warnings

Descriptions

for HotDocs files

modifying library item

searching for specific templates

template

Detect Field button

Detecting

fields on a form

setting default properties for check-box fields

Developer View button

Dialog element text, tips for using in dialogs

Dialog elements

automatically generate names for

computation buttons

executable files

graphic files

hyperlinks

spacing and lines

text

Dialog navigation, tabbing between fields

Dialog pane, customizing

Dialog scripts

about

CONCEAL VAR

HIDE ALL

HIDE VAR

LIMIT NUM

OMIT VAR

REQUIRE ALL

REQUIRE VAR

SHOW ALL

SHOW VAR

Dialogs

"End of Interview"

about

accessing resource information while viewing

adding an answer source to

adding text to

asking at specific place in form templates

assigning titles to

changing layout of

changing properties of

changing the look of

child

creating

editing

grouping clauses in

grouping True/False variables in

hiding list of during interview

navigating through during assembly

scripting in

seeing which variables are used

testing appearance of

using to create answer wizard for field

Differences

between INSERT and ASSEMBLE

between SET and DEFAULT instructions

Direct-fill assembly of form documents

Directories

for HotDocs program files

for the various HotDocs files

for word processor files

Discard Answers command-line option

Displaying

Answer File Manager

child dialog on parent

database fields during assembly

forms in multiple windows

only selected database fields during assembly

Distributing

template sets to many users

templates on the Internet (2)

  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)

Division remainders

DLLs, foreign language

Document assembly

canceling

multiple

using clause libraries during (2)

  • Assemble a Clause Library from the Template Library
  • Select Clauses During an Interview

using overlay answer files for

using pick lists or third-party applications during

viewing list of queued assemblies

viewing status of current

Document Managers

defining settings for

setting up to work with answer files

setting up to work with assembled documents

Document properties, removing from assembled document

Document Text Editor

toolbar

using

Documents into templates, converting

Documents

attaching to e-mail messages

double-checking answers in

enabling all new templates for document editing

previewing assembled text

printing assembled text

printing form

saving

saving as PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

sending to word processor

viewing assembled form

Dollar amounts

Dot Codes

about

using to capitalize text

using to change font properties of text

using to insert a hyperlink

using to insert characters in text

using to merge punctuation

using to punctuate non-repeated lists

DOT file name extension

Double-angle brackets around variables

Double-sided forms, printing

Downloading

auto-assemble files for use offline

foreign language DLLs

HotDocs files

updated template sets

Dragging variables from Component Manager into template

Driver, HotDocs PDF

Duplex printing for forms

Duplicate Variables button

Duplicating

form fields

variables

Dutch templates, creating

Dynamically

adding options to Multiple Choice variables

changing appearance of variables in dialogs

changing the contents of a document

E-mail

attaching answer files to

attaching text or form documents to

Edit Component button

Edit Document Text button

Edit fields (forms)

changing field type to

specifying properties of

Edit Template button

Edit Template command-line option

Editable text

creating sections of in a template

modifying

Editing document text

allowing users to

at the assembly window

Editing

answers at Document Preview tab

answers at the Document tab (allowing)

appearance of dialogs

as you test assemble

assembled form documents

clause libraries

clauses

components using Component Manager

custom dialogs

database component properties

database components

form templates

IF instructions

INSERT instructions

interview templates

library item properties

multiple variables at once

Personal Information variable answers

properties in Answer File Manager

REPEAT instructions

supplemental components

templates

text in the assembled document

variables

ELSE IF and ELSE

Embedding

dialogs

IF instructions

repeated dialogs

Enabling answer editing in a text document (2)

  • Change Component File Properties
  • Enable Document Editing Options for All New Templates

End of Interview dialog

bypassing to display assembled document

choosing which options appear in

hiding

using options at

Enter a Date

Enter a Number

Enter key

using in multi-line text fields

using in scripts

using to move between dialogs

Enter some Text

Entering answers directly in a form field

ERASE VAR; ERASE DIALOG

Error messages

in templates and scripts

locating specific fields that generate

when starting Template Manager

Example formats

for dates

number

understanding how they're used

Excluding variables from answer sources (pick lists)

Executable files, adding to dialogs

Exit HotDocs command-line option

Exiting

HotDocs

HotDocs Automator

invalid computations

Template Manager

the assembly window

Expanding

all folders in a library

child dialogs in interview outline always

child dialogs in outline

file lists in Template Manager

Expiring templates, setting properties for

Explicit indexing

answers in a list

answers in a sublist

Explorer, opening for a selected template

Exponents in calculations

Exporting a Template Manager list to a spreadsheet

Exporting existing library to create new libraries

Expression models

ABSOLUTE VALUE( NUM )

AGE(DATE)

ANSWERED( DIALOG )

ANSWERED( VAR )

COUNT( DIALOG )

COUNT( MULT_CHOICE_VAR )

COUNTER

DATE + NUM DAYS

DATE + NUM MONTHS

DATE + NUM YEARS

DATE - NUM DAYS

DATE - NUM MONTHS

DATE - NUM YEARS

DATE OF( NUM, NUM, NUM)

DAY OF WEEK( DATE )

DAY OF( DATE )

DAYS FROM( DATE, DATE )

Enter a Date

Enter a Number

Enter some Text

FIRST( TEXT, NUM )

full list of

INTEGER( TEXT )

LAST( TEXT, NUM )

LENGTH( TEXT )

MAX( NUM, NUM )

MID( TEXT, NUM, NUM )

MIN( NUM, NUM )

MONTH OF( DATE )

MONTHS FROM( DATE, DATE )

MULT_CHOICE != TEXT

MULT_CHOICE = TEXT

NOT TRUE_FALSE

OTHER( MULT_CHOICE_VAR )

POSITION( TEXT, TEXT )

POWER( NUM, NUM )

REMAINDER( NUM, NUM )

REPLACE( TEXT, TEXT, TEXT, NUM )

RESULT

ROUND( NUM, NUM )

SELECTION( MULT_CHOICE_VAR, NUM)

SPACE( TEXT, TEXT )

STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )

SUM( COMPUTATION_VAR )

SUM( NUM_VAR )

TEXT CONTAINS TEXT

TRUNCATE( NUM, NUM )

UNANSWERED

UNION( MULT_CHOICE_VAR, MULT_CHOICE_VAR)

VALUE( VAR, EXPRESSION )

YEAR OF( DATE )

YEARS FROM( DATE, DATE )

ZERO( NUM_VAR )

Expressions, creating conditional

Extended inserts, using

eXtensible markup language

External applications

answering variables with

Web browsers

Extracting records from database using custom command

Favorites folder, create in your template library

Feedback, providing for HotDocs documentation

Field borders

changing properties of

detecting to create or resize fields

Field display order, specifying

Field labels, using

Field numbering codes, using in addendum

Field Properties button

Field Properties

assigning wizards at

Bar code

check box

Control

field types

Image

non-printing

previewing

Resource

Strike-through

Field type, changing

Fields (database records)

assigning as keys

displaying in assembly window

linking to variables

Fields (forms)

aligning two or more

assigning font properties to

attaching answer wizards to

attaching ASK instructions to

attaching INSERT instructions to

attaching Multiple Choice variables to check boxes

attaching variables to

borders

changing colors of

changing types

checking for overflow

circling

copying

creating

creating check box

detecting borders to create or resize

globally changing properties for

handling overflow of

making conditional

margins

moving

previewing formatting properties for

resizing

rotating answers in

selecting

showing background color for

specifying tab order for

ungrouping

Fields (text template)

applying colors to

applying formats to specific

finding syntax errors in

going to specific

inserting variable

navigating through

specifying width of

File formats

XML as

File name extensions

changing all in a folder

list of HotDocs-specific

modifying library items

File uploading, about (2)

  • Overview: Upload HotDocs Files to a HotDocs Core Services host application
  • Overview: Upload HotDocs Files to a Web Server

Files

adding to published template set

changing location of HotDocs program

changing location of word processor

converting formats of

copying when exporting libraries

listed in Template Manager

modifying file paths for library items

moving

organizing in libraries

reducing size of template and document (2)

  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates

storing answer files

Fill characters, using in answer fields

Fill Fields button

Fill order, specifying in forms

Fillable PDFs

assembling

attaching variables to fields in

checking fields in

creating

overview

tips for working with

Filling answers in automatically

FILTER COMPUTATION_VAR

Filtering

allow for database users

database records

database records during assembly

lists of components in Template Manager

lists of repeated answers

lists of repeated answers after sorting

lists of repeated answers using a computation

tips for repeated database records

Find and Replace in Components button

Find in Components button

Finding and replacing

text strings in component files

variable text throughout a template

Finding

a person's age

clauses in a clause library

dates based on separate date values

exact position of a character in an answer

missing IF instructions

missing REPEAT instructions

specific templates in libraries

Finish button, defining what happens when used

Finish Interview Action command-line option

FIRST( TEXT, NUM )

Fixed values

in SET instructions

setting variables to

Focus button

Folders

adding all included items to a library

adding to clause library

changing all items in

deleting from libraries

for HotDocs program files

for the various HotDocs files

for word processor files

in HotDocs libraries

locked

using in Answer File Manager

Folio Infobase help for variables

Fonts

assigning to form fields

assigning to text template fields

changing properties of in dialog pane

changing properties of in plain text scripts, prompts, dialog text

specifying default for edit fields (forms)

Footers

defining in inserted templates

using variables in

Forcing

databases to be asked

dialogs to be asked

results of a script

users to enter answers

Foreign characters, using

Foreign language number and date formats

Foreign language templates

creating

instructions to use

Foreign languages

support when completing interview

Form documents

assembling

editing

including resources for

printing

saving

saving as PDF files

spanning answer across multiple pages in

specify default printing options for

viewing

Form templates

adding pages to

changing properties for multiple

closing

creating

creating from fillable PDFs

deleting pages from

editing

saving

updating the content of

viewing in multiple windows

FORMAT "LIST FORMAT"

Format examples

assigning non-breaking spaces and hyphens to

date

editing

number

understanding how they're used

using

Format of uploaded answers

Formats in foreign languages

Formatting

lists of answers

Multiple Choice answers

plain text in scripts, prompts, dialog text

previewing for form fields

variables

Four-digit years

Fractions in Number variables

French templates, creating

Frequently used templates, grouping

Full list of expression models

Gathering variables and clauses into one dialog

Generating

a list of database records in an assembled document

default dialog titles

interview outline for form documents

outline of scripting in the template

German templates, creating

GIFs

inserting in Word templates

Globally changing form field properties

Go To Answer in Document button

Go to Answer in Interview button

Go To Field button

Go to Template command

Going

to a specific field in a template

to errors from error message

Graphic icons in component lists

Graphics

inserting in dialogs

inserting in form fields

inserting in Word templates

Greater than, less than operators

Greatest value of two numbers

Group name property, assigning for form fields

Grouping

ASK instructions in a computation

child dialogs in parent dialog

clauses in a dialog

fields as check boxes

form fields

True/False variables

undoing a form field

variables in a dialog

HAL file name extension

Handling field overflow

Hard and soft returns in computation scripts, using

Hard returns in answers, using

HCL file name extension

HCL files

HDA file name extension

HDA files, creating

HDI file name extension

HDI files

creating

installing

using a shortcut for

using with templates on CDs

HDL file name extension

HDP file name extension

HDP files

Headers

defining in inserted templates

modifying text of form addendum

using variables in text template

Height or width of form field, adjusting

Help (Resources)

assigning for an entire form template

assigning to variables and dialogs

displaying buttons for viewing

viewing during assembly

Help file

get help using

searching

Helper applications (2)

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers

HFD file name extension

HFT file name extension

Hidden data

removing from assembled Word documents

removing from RTF templates

Hide Library command-line option

HIDE VAR, HIDE ALL

Hiding

End of Interview dialog

End of Interview dialog from users

field labels and comments

form field backgrounds

interview outline in assembly window

unanswered variable warnings

variable names in form fields

variables in an answer source (pick list)

Highlight Fields button (2)

  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab

Highlighting

form fields

text when tabbing between answer fields

Histories for answer files

Honoring IF instructions in a question summary

Horizontally aligning form fields

HotDocs Auto-Assemble File command-line option

HotDocs Auto-Install File command-line option

HotDocs Automator

about

creating form templates for

launching to edit form templates

starting

toolbars

HotDocs button

HotDocs Core Services

publishing templates for (2)

  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates For Use With HotDocs Core Services

uploading templates for (2)

  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates For Use With HotDocs Core Services

HotDocs files, uploading (2)

  • Overview: Upload HotDocs Files to a HotDocs Core Services host application
  • Overview: Upload HotDocs Files to a Web Server

HotDocs Filler

HotDocs Help button

HotDocs Options button

HotDocs Outliner button

HotDocs Outliner, using

HotDocs Player, registering templates for use with

HotDocs Server

about

creating templates for

enabling all new templates for use with

feature support (2)

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

publishing templates for

testing a template for

HotDocs

closing

starting and exiting

what is it?

HPD file name extension

HPL file name extension

HPT file name extension

HTML

converting summaries to

creating documents for uploading

customizing Properties tab using

using HTML Help as a type of resource

HTTP POST, using for uploaded answers

HVC files, publishing (3)

  • Upload Templates For Use With HotDocs Core Services
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services

Hyperlinks

including in dialogs

including in prompts, dialog element text

including on forms

to published files on the Internet

Hyphens and spaces, using non-breaking

Icons

changing appearance of component

in interview outline

understanding those used in Template Manager (2)

  • View the Component's Status
  • View the Template Status

using custom for auto-install files

Identifier, clause

Identifying correct templates for assembling

IF EXPRESSION, ELSE IF, ELSE, END IF

IF Field button

IF instructions

about

attaching to form fields

creating more complex

creating using True/False expressions

creating using True/False variables

editing

matching with END IF instruction

nesting

Image files

inserting in dialogs

inserting in form fields

Images

inserting in Word templates

Import Answer File button

Importing

answers from another answer file

answers from pick lists or external applications

library files from other libraries

templates or clause libraries from other libraries

Inactive form fields, displaying a warning when typing in

Inches as a unit of measure in forms

Including resources for variables

Increasing values of temporary counters

INCREMENT NUM_VAR

Indenting

answers in a form field

answers in form addendum

Infinite loops, preventing

Information about variables, including

Information-gathering dialogs, using

INSERT "FILENAME"

INSERT Field button

INSERT instructions

about

attaching to form fields

creating

differences between ASSEMBLE and INSERT

editing

for clauses

for graphics

inserting an ASSEMBLE instruction

making conditional

tips on shared component files

using to insert a set of documents

Insert Repetition button

Insert Variable button

Inserted dialogs

answering during assembly

removing icons for

using during development

Insertingdialogs into dialogs

Inserting

answer files in e-mail messages

ASK instructions

ASSEMBLE instructions in templates

clause libraries in templates

clauses in assembled text documents (2)

  • Assemble a Clause Library from the Template Library
  • Select Clauses During an Interview

current date

dialogs for nested repeats

document files in e-mail messages

files using variable INSERTs

form templates

hyperlinks in prompts, dialog element text

images in Word templates

individual clauses in templates

lists within lists

multiple templates in main template

new pages in a form template

repeating dialogs

special characters in plain text scripts, prompts, additional text

templates into templates (3)

  • INSERT "FILENAME"
  • Insert an Existing Template
  • Make Part of a Template into an Inserted Template

templates that have different headers/footers

variables directly into templates

variables using Component Manager

Installation, changes to

Installing

HotDocs

HotDocs Compare

new word processors after HotDocs is installed

template sets (HDIs)

Instant Update button

Instant Update, using

Instruction and Expression models, using at Computation variable

Instruction models

about

ADD TEXT TO MULT_CHOICE

ASCEND VAR

ASK DIALOG

ASK VAR

ASSEMBLE "FILENAME"

CLEAR MULT_CHOICE

CONCEAL VAR

DEBUG

DECREMENT NUM_VAR

DEFAULT VAR TO VALUE

DESCEND VAR

END REPEAT

ERASE DIALOG

ERASE VAR

FILTER COMPUTATION_VAR

FORMAT "LIST FORMAT"

full list of

HIDE ALL

HIDE VAR

IF EXPRESSION, ELSE IF, ELSE, END IF

INCREMENT NUM_VAR

INSERT "FILENAME"

LANGUAGE "CODE"

LIMIT NUM

OMIT VAR

PLAY "MACRO"

QUIT

REPEAT DIALOG

REQUIRE ALL

REQUIRE VAR

SET VAR TO VALUE

SHOW ALL

SHOW VAR

WHILE EXPRESSION

INTEGER( TEXT )

Internationalization in answers

Internationalization, HotDocs

Internet

adding auto-assemble files to HotDocs libraries

adding Web pages to HotDocs libraries

launching browsers from HotDocs

publishing HotDocs files on

registering browser helper applications

starting HotDocs assemblies from browsers

uploading answer files to Web servers

using HotDocs to assemble documents on

using to distribute templates

Interview outlines

icons in

updating during assembly

Interview Scope command-line option

Interview templates

assembling

creating

Interviews

about

defining for form templates

defining for templates

displaying repeated dialog icon in

End of Interview dialog

generating default

hiding outlines in assembly window

speeding up processing of

verifying information before ending

Invalid computations

Invisible variables in a dialog

Item Properties button

Joining database tables

JPGs

adding to dialogs

inserting in form fields

inserting in Word templates

JS files, publishing (3)

  • Upload Templates For Use With HotDocs Core Services
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services

Keep Headers/Keep Footers property

Keep Interview Group command-line option

Keyboard shortcuts, list of

Keys, database

Keywords

in expressions and instructions

using for reference paths

Label Fields button

Labels

assigning to addendum items

assigning to REPEAT and IF fields

assigning to repeat icons

customizing for repeated lists

LANGUAGE "CODE"

LANGUAGE instructions

LAST( TEXT, NUM )

Launching

HotDocs Automator

HotDocs Outliner

Template Manager

Layout

changes for variables in dialogs

customizing windows and panes

library windows

Left-aligning dialog prompts

LENGTH( TEXT )

Lengthening answers in the document

Lesser of two numbers, finding

Letting users specify Multiple Choice options

Libraries

about

adding auto-assemble files to

adding items to

adding web pages to

changing items in (2)

  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item

commands available in

copying items in

creating

creating by exporting existing

deleting items in

dividing into smaller libraries

exporting

importing other libraries into

layout of

limiting access to

opening

organizing items in (2)

  • Move Items Within a Library
  • Organize the Contents of a Library

printing contents of (2)

  • Organize the Contents of a Library
  • Print a List of Items in a Library

references to actual files (2)

  • Overview: Use HotDocs Libraries
  • Move Items to New Locations on Disk

saving

saving contents as text file

searching for specific templates

sorting items in

switching to a different library

Library File command-line option

LIMIT NUM

Limiting

database records that appear for selection

dialog repetitions

lists of components in Template Manager

Line breaks

forcing in Text variables

in computation scripts, using

Line format properties in form fields

Line spacing, determining for form fields

Lines per inch option for fields

Lines, adding to dialogs

Linked answers, refreshing between assemblies

Linking

answer files to templates

database tables together

variables to database fields

variables to dialogs

warning about breaking

List formats

Lists within lists

about

creating

using a computation to create

using a particular answer from

using one dialog to display

Lists

about

alphabetizing answers in a REPEAT field

choosing specific answers from

counting answers in

creating

creating using records in database

displayed for completed assemblies

displaying in forms (2)

  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table

displaying in word processor tables

filtering answers from

filtering answers from using computation

formatting to appear as A, B, and C

limiting answers in

of answers in a document

of components, generating

of questions in a template

printing of library contents

providing answers to create (3)

  • Use Repeated Dialogs During Assembly
  • Enter List of Answers in a Series
  • Enter Repeated Answers in a Spreadsheet

punctuating non-repeated

totalling numbers in

using columns to display

using particular answer from

Loading template sets

Local disks, saving libraries to different locations on

Locating

correct templates

items in a library

Locations, template (default)

Lock Answer File command-line option

Lock Library command-line option

Locking component files

Looping through an answer

Macros, defining post-assembly

Maintaining templates on a network

Making changes to templates

Managing

answer files

answer files through library commands

assembled documents

components from the template library

components in a component file

components in multiple component files

Mandatory answers, requiring

Manual indexing items in a list

Mapping

installation of published templates

variables to fields in a database table

variables to fields in a Time Matters record

variables to fields in an Outlook Contacts list

variables to other variables in the template (2)

  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs

Margins

changing for form fields

defining in inserted templates

specifying for form edit fields

Marking merge fields for assembled documents

Markup View button

Markup View

looking at an assembled document in

setting options for

Match Fields button

Matching

fillable fields with HotDocs fields

IF or REPEAT instructions with END instructions

Mathematical operators, using

MAX( NUM, NUM )

Maximum number of lines for a text field

MDML

about

options for working with

requirements for using

Measurement, defining units of

Merge fields

creating in text templates

marking in assembled text documents

Merge Text

adding more information to

assigning names to

default vs. field-specific

editing groups

Merging

answer file information into template

answers into other answer files

filtered database records into document automatically

lists of answers

lists of answers in a form table (2)

  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table

MHT files, customizing Properties tab using

Microsoft .NET

installing

Microsoft Data Link files, creating

MID( TEXT, NUM, NUM )

MIME types, registering HotDocs as a helper application

MIN( NUM, NUM )

Minimize All button

Minimum

shrink-to-size option for form fields

values for numbers

Missing components, references to in Template Manager

Model Document command-line option

Model documents

allowing non-standard names in

converting templates to

converting to HotDocs templates

creating

naming standards to use in

Modifiable text, creating sections of in a text template

Modifying

component file properties (2)

  • Change Component File Properties
  • Modify Component File Properties Across Multiple Files

custom dialogs

IF instructions

INSERT instructions

Multiple Choice options

REPEAT instructions

templates

the properties for a single library item

the properties for multiple library items

variables

MONTH OF( DATE )

Month portion of a given date, returning

Month-Day-Year date order

MONTHS FROM( DATE, DATE )

Mouse-over text for resource buttons

Move Repetition Down button

Move Repetition Up button

Move to TypeHere bookmark

Moving

around in a form

between fields in a text template

cursor to location in assembled document

files on local disk or network

form fields

from test assembled document to template

library items

templates or clause libraries from other libraries

through answer-gathering process

windows and panes

Multi-line form fields

formatting

splitting between form and addendum

Multiple Choice variables

adding more text to prompts

attaching to check-box fields

combining answers from

copying and pasting options between

creating

dynamically adding options during assembly

extracting data from

modifying options at runtime

naming groups of merge text in

using in conditional expressions

Multiple component files

copying components between

deleting components from

editing

modifying preferences in

renaming components in

viewing the contents of

Multiple form fields, splitting answers across (2)

  • Attach a Variable to Single-Character Boxes
  • Group Form Fields So Answers Can Flow From One Field to Another

Multiple

lines in fields, typing in

versions of paragraphs, inserting

word processors, using

MULT_CHOICE != TEXT

MULT_CHOICE = TEXT

Names

assigning to merge text groups

assigning to variables

searching for specific templates

tips for assigning to variables

Navigating

through fields in a text template

through interview

Navigation bar

controlling tab order in

using to get through interview

Nested repeats, about

Nesting

IF instructions

repeated dialogs (2)

  • Create a List Within a List
  • Nest REPEAT Instructions Using a Computation Variable

Networks

access to answer files

copying libraries from

maintaining templates on

New Answer File button

New Answer File command-line option

New features of HotDocs 10

New features of HotDocs 10 HF1

New features of HotDocs 10 HF2

New features of HotDocs 10 HF3

New features of HotDocs 10.1

New features of HotDocs 10.2

New features of HotDocs 2005

New features of HotDocs 2006

New features of HotDocs 2007

New features of HotDocs 2008

New features of HotDocs 2009

New features of HotDocs 2009 HF1

New features of HotDocs 2009 HF2

New features of HotDocs 6

New features of HotDocs 6.1

New features of HotDocs 6.2

New features of HotDocs

10

2005

2005 SP1

2005 SP2

2005 SP3

2006

2006 SP1

2007

2007 SP1

2008

2008 SR1

2008 SR2

2009

6.0

6.1

6.1 SP1

6.2

6.2 SP1

New Form Template button

New Library button

New Template button (2)

  • Create a New Text Template File
  • Create a New Text Template File

New

answer files, creating

dialogs, creating

form fields, creating

form templates, creating

libraries, creating

text templates, creating

variables, creating

Next button first in Navigation Bar tab order

Next Field button

Next Page command, using

No Assembly Window command-line option

No Interview command-line option

Non-breaking spaces and hyphens, assigning to formats

Non-English

templates, using

Non-printing fields, assigning

Non-repeated lists, creating

None of the Above option

testing whether selected

using in Multiple Choice variables

Nonrelational databases, connecting to

Not asking dialogs automatically

NOT TRUE_FALSE

Notes, adding to components

Notifying users of published template updates

Number formats

Number of days between two dates

Number of lines allowed in a single-line field

Number of months between two dates

Number variables

creating

formatting in foreign languages

using HotDocs paragraph numbering

Numbering

formatting correctly when scripting

lists of answers

paragraphs in text templates

ODBC-based connections

converting to ADO

using

ODMA DLL file locations

Offline, using downloaded auto-assemble files

OLE DB providers, list of supported

OMIT VAR

Omitting buttons for child dialogs

On the fly

dialog scripting (2)

  • Special Instructions for Dialog Scripts
  • Special Instructions for Dialog Scripts

inserting

One component file for multiple templates

Online

compatibility, checking for

templates, creating

testing of templates

Open Library button

Opening

Answer File Manager

assembled documents in other applications

clause library

Component Manager

HotDocs libraries

Template Manager

Web pages from HotDocs

Operating systems

supported

Operators, using

Options tab

at a dialog

at Multiple Choice variable

Options, specifying for Multiple Choice variables

Ordering

answers alphanumerically

fields in a form

Organizing

answer files

HotDocs files

Orientation, changing for form fields

Other option chosen in Multiple Choice, testing whether

OTHER( MULT_CHOICE_VAR )

Outline of dialogs, updating

Outliner, HotDocs

Outlook, retrieving data from

Output File command-line option

Output format of assembled document

Overflow

checking form fields for

defining properties for form tables

defining properties for regular form fields

defining properties for run-on form fields

warning about answer

Overlay Answer File command-line option

Overlay answer files

Override Field command, using

Overriding

answers or formats in form documents

form answers, displaying a warning when

Overwriting

answers with other answer files

existing components when copying

Packaging templates or clause libraries to send to other users

Page numbering codes, using in addendum

Pairing IFs and END IFs

Panes

accessing resources

customizing layout

Paper size and source for printing, selecting

Paper Size command-line option

Paper size, choosing for forms

Paper Tray command-line option

Paper tray, choosing for forms

Paragraphs

formatting in multi-line form fields

numbering

using breaks in computation scripts

using breaks in Text variables

Passwords

assigning to template sets

specifying for database connection

Paste Components button

Pasting

components across multiple component files

form fields

Patterns (text)

assigning

creating

editing

PDF Driver

assigning security options when using

using to create form templates

PDF files

creating from assembled documents (2)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF

printing

sending assembled documents automatically to

using fillable

PDF templates

converting existing HFTs to

creating

PDF417 bar codes, creating

Percentages

Personal Information variables

creating

editing

using

Pick lists (answer sources)

answering variables using

creating

differences from answer files

gathering information for

linking to an interview template

linking to dialog in another template (2)

  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs

Pictures

inserting in dialogs

inserting in form fields

inserting in Word templates

Placeholders

default text for all unanswered variables

replacing in scripts and expressions

text for specific unanswered variable

Plain text help for variables

PLAY "MACRO" (2)

  • PLAY "MACRO"
  • Insert a PLAY Instruction in a Template

PN# code

PNGs

adding to dialogs

inserting in form fields

inserting in Word templates

Pointed component files

defining which component file provides properties

unpointing

using

using with inserted templates

warn when editing

Points as a unit of measure in forms, using

Position of errors in a template or script

POSITION( TEXT, TEXT )

Positioning

clause library with other open windows

Component Manager with template window

test assembly window with template window

Positive expressions of negative numbers, finding

Post-assembly macros, storing in special templates (2)

  • Specify a Word Template for Storing Post-Assembly Macros
  • Insert a PLAY Instruction in a Template

POWER( NUM, NUM )

Pre-answering variables

Pre-determined lists of answers, using

Preferences, component file

Pressing Enter to insert lines

Preventing

infinite processing of instructions in scripts

unanswered variable warnings

use of answer files (2)

  • Change Component File Properties
  • Control How HotDocs Processes a Variable

variables from appearing during assembly

variables from appearing in pick lists

Previewing

assembled text document before sending to word processor

form documents

form template field properties

templates before assembly

Previous and Next buttons

in a text template

in the dialog pane

Previous Field button

Previous Page command, using

Print Answers Only command-line option

Print Both command-line option

Print command-line option

Print Components button

Print Copies command-line option

Print Document button (2)

  • Print an Assembled Form Document
  • Print an Assembled Text Document

Print Duplex command-line option

Print Form Only command-line option

Print Without Dialogs command-line option

Printing

assembled form documents

assembled text documents

blank copies of templates

component lists

fields, keep from

form templates

list of clauses

lists of files in a library

specifying default for forms

specifying default options for forms

to create PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

troubleshooting problems with forms

using Adobe or Filler functionality

warn when using default options

Processing stack

controlling instructions that get added to

debugging items on

Product titles, creating

Prompt before printing assembled document via word processor option

Prompts

assigning for Multiple Choice options

creating

placing variables in

positioning in dialogs

suppressing

Properties tab, customizing

Properties

assigning font to form template fields

changing clause

changing component file

modifying library item

specifying for form edit fields

Property Replicator tool, using

Protecting published files

Providers.ini file, using

Provisional sections, creating in template

PUB reference path keywords

Published settings files

Publishing Wizard button

Publishing

about

adding files while

auto-assemble files

auto-install files

HotDocs Core Services template files (2)

  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates For Use With HotDocs Core Services

HotDocs Server template files

HTML Destination Page

HTML Form Page

protection options

registered templates

saving settings for

standard template files

Punctuating

answers in plain text scripts, prompts, additional text

lists of answers

lists of answers using a computation

Question summaries

changing appearance of

controlling asked variables in

creating

Question Summary command-line option

Questions, not asking during assembly

QUIT

Re-displaying suppressed warning messages

Records

customizing list of returned

sorting lists of returned

Recovering form template files

Red markers in file and component lists in Template Manager

Reference paths, assigning

References to answer overflow in addendum

Refining lists of answers in a repeat (2)

  • FILTER COMPUTATION_VAR
  • Filter a List of Answers

Reformatting in answer fields

Refresh Database button

Refresh linked answers every assembly option

Refresh Outline button

Refreshing

cache for auto-assemble files

component lists in Template Manager

data from database between assemblies

Registering

HotDocs to work with Web browsers

templates for use with HotDocs Player

Registry

creating Personal information variables whose values are saved in

understand how HotDocs works with

Relationships between components, viewing

REMAINDER( NUM, NUM )

Remembering

answer file used last

records selected from database

Remove Item button

Removing

an answer wizard from a field

answers from a repeated dialog

clauses from a clause library

components from current file

entries from a list using a filter

form template pages

hidden data from assembled documents

hidden data from RTF templates

HotDocs from your computer

options from a Multiple Choice variable

Personal Information variables

variables from an answer source (pick list)

variables from form fields

Rename button (2)

  • Rename Components Across Multiple Component Files
  • Rename Templates Using Template Manager

Rename Components button

Renaming

components across multiple component files

components in one component file

components when copying

supplemental components

templates

variables

REPEAT DIALOG, END REPEAT

REPEAT Field button

REPEAT instructions

attaching to tables in form templates (2)

  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table

filtering

filtering using computation

inserting in template

limiting repetitions

matching with END REPEAT instructions

punctuating

punctuating using a computation

using for database components

using in computations

Repeated dialogs (answering)

removing answers from

uploading answers from to server

using special icons to denote

using to enter list answers (3)

  • Use Repeated Dialogs During Assembly
  • Enter List of Answers in a Series
  • Enter Repeated Answers in a Spreadsheet

Repeated dialogs (editing)

about

assigning custom titles to

creating

creating using a computation

displaying

editing

filtering

filtering using computation

limiting answers in

punctuating

punctuating using a computation

sorting

sorting using a computation

styles for

tips on using in a computation

Repeating

an answer until a condition is met

database records

dialogs

tips for filtering and sorting database records

Replace Static Text command, using

REPLACE( TEXT, TEXT, TEXT, NUM )

Replacing

existing libraries

multiple instances of text with a variable

template text with variables

Reporting errors in templates and scripts

REQUIRE ALL, REQUIRE VAR

Requirements for using HotDocs

Requiring

four-digit years in answers

variables to be answered (2)

  • Special Instructions for Dialog Scripts
  • Special Instructions for Dialog Scripts

Resizing

Component Manager window

fields

fields using Detect command

windows and panes

Resolving answer overflow

Resource buttons, using

Resource fields, changing field type to

Resource fields, creating

Resource Pane button

Resources

assigning to a component

assigning to an entire form template

customizing button label for

using a custom program as

using a Folio infobase as

using a URL as

using HTML Help as

using WinHelp as

viewing for dialogs and variables during assembly

Restore All button

Restoring

default colors used in dialogs

default HotDocs settings

installation defaults

Restricting number of answers in lists

RESULT

Retrieving

data from a REPEAT instruction

data from a Time Matters record

data from an Outlook Contacts list

filtered records from database automatically

Returning characters

first in a text string

last in a text string

middle in a text string

Returning value of unanswered Number variable

Returns after instructions, understanding (2)

  • Understand How Smart Returns are Inserted After Instructions
  • Control When Returns Are Inserted After Instructions in Text Templates

Reviewer, displaying templates for a

Reviewing answers used in an interview

Rotating answers in a form field

ROUND( NUM, NUM )

Rounding numbers up or down

Rows to display setting, using

Rows, controlling how many are viewable in dialog

Rows, viewing individually during interview

RSS feeds, using to update published template sets

RTF file name extension

RTFs preferred over DOTs, why

Run-on fields

creating

specifying overflow properties for

Sample code

answer uploading ASP

custom Properties tab

HotDocs Update Catalog File

Publishing Destination Page

Publishing Form Page

RSS document

Save All button

Save and Close All button

Save and Close Template button

Save Answer File button

Save Answers command-line option

Save Answers Prompt command-line option

Save Component File button

Save Document button

Save Template button

Saving

ADO connection string in separate file

answers (2)

  • Create a Default Answer File
  • Save an Answer File During Assembly

assembled documents always

assembled documents as PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

assembled text or form documents

changed answers back to the database

components using Component Manager

database records in answer file

fillable PDF documents

form templates

from End of Interview dialog

information about used printers

libraries

library contents as text file

options selected for publishing

PDF documents (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

Schemas, using for XML-based files

Script editor

customizing appearance of

using

Script link, adding to dialogs

Scripts

about

adding to dialogs

conditional (2)

  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression

creating computation

customizing appearance of editor

debugging

improper use of (2)

  • Check Interviews for Improper Scripting
  • Verify HotDocs 5 Templates for Use with HotDocs 10

testing functionality of

using an editor to write

using the correct syntax

viewing an outline of

writing

Scrolling around in a form

Search query, forming

Searching

and replacing text strings in component files

clause library for clauses

for specific answer files

for specific templates in libraries

Secondary dialogs, using

Security

for database connections

for PDF documents

Select button, using

Select Tool button

Selecting

all filtered records in database automatically

All That Apply options

answer files

answer files before assembly option

clauses from clause libraries

existing answers when tabbing between fields

form fields

One Only option

pre-specified answers

records in a database during assembly

SELECTION( MULT_CHOICE_VAR_ NUM )

Send Document button

Send to Word Processor command-line option

Sending answers to addendum to resolve form overflow (3)

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table

Sending

answer files in e-mail messages

answers to an addendum

assembled documents to default word processor

clauses to an open word processor document

document files in e-mail messages

document to word processor without displaying End of Interview

text documents to word processor

Sentence-style lists

creating

creating using a computation

Separate addendums, creating

Separating specific answers from a list

Separators, using in non-English dates and numbers

Series of answers, presenting

Server cursors, using to connect to database

Servers

uploading answer files to

uploading templates to

SET instructions

creating

using when writing computations

values in

SET VAR TO VALUE

Setting styles for repeated dialogs

Shared component files

defining which component file provides properties for template

unpointing

using

using with inserted templates

warn when editing

Sharing

answers between templates

components between component files

Shortcut keys for the keyboard

Shortcuts, creating for template sets

Shortening a number after a decimal

Show Fields button

Show Fillable Fields command

Show Library command-line option

Show Variables button (2)

  • View an Outline of Scripting in the Template
  • Show and Hide Fields

Showing

already linked variables when mapping

comments and field labels

form field backgrounds

levels of nesting in REPEATs and IFs

variable names in form fields

Shrinking

answers to fit in fields

answers to resolve regular field overflow

Silverlight

downloading

viewing interviews in a browser

Simultaneous

editing and assembly

editing of variables

Single-character boxes, attaching variables to

Single-line fields, typing in

Singled-sided forms, printing

Skipping components when copying

Slowness, fixing in interviews

Smart returns, inserting with instructions

Software

e-mail applications

requirements for using HotDocs

using answers from other applications

Sort & Filter tab of Database Editor

Sort Components button

Sorting

allow for database users

answers before filtering

answers in a spreadsheet

answers in an answer source

clauses in a clause library

components by name or by type in Component Manager

components in Template Manager

database records during assembly

library items

lists of answers in a REPEAT field

lists of answers using a computation

tips for database records

SPACE( TEXT, TEXT )

Spaces and hyphens, using non-breaking

Spacing, adding to dialogs

SPAN Field button

SPAN fields

about

inserting for existing text

inserting for new text

Span tags in Properties tab, customizing

Spanish templates, creating

Specifying user name and password for database connection

Speed, increasing interview processing time during assembly

Spell Check Components button

Spell checking

answers

components

options for

Splash screens, creating custom

Splitting

answer across multiple form fields

answer across single-character form fields

answer across two or more form pages

multi-line answers between form and addendum

Spreadsheets

answering questions in

controlling number of viewable rows

copying and pasting information in Multiple Choice

defining widths of

lists of questions and answers in a document

Spreadsheet on Parent option

using additional text only in

using to gather lists

Spreadsheet

exporting Template Manager list to

viewing individual rows of during the interview

Standard answers, assigning to templates

Standard template files, publishing

Start Interview Group command-line option

Starting

assembly sessions

HotDocs

HotDocs Automator

Template Manager

STARTUP computations

Static content

circling

detecting underlying to create new fields

updating form templates with new

Status bar, information about queued assemblies

Status

of components in Template Manager

of templates in Template Manager

of templates selected for assembly

Stepping through an interview or script to isolate problems

Stop sharing component files

Stopping

assembly sessions

variables from appearing during assembly

Storing

answer files

answers for a single template

assembled documents

typical answers

Striking through static text on a form document

STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )

Styles of repeating lists

Subtracting (values)

number of days from Date variable

number of months from Date variable

number of years from Date variable

one value from another

Suggest Save command-line option

Suggest Save New command-line option

Suggesting

answers for users

frequently used answer files

Sum of repeated numbers

SUM( COMPUTATION_VAR )

SUM( NUM_VAR )

Summaries

lists of answers

lists of questions

spreadsheet of questions and answers

Summing values

in computations

in Number variables

Supplemental components

renaming

viewing in Template Manager

Support, getting for HotDocs

Supported

operating systems

word processors

Suppress Unanswered Warning command-line option

Suppressed warnings, redisplaying

Swiss German templates, creating

Switches, full list of command-line

Switching answer files during assemblies

Synch Template button

Syntax

finding errors and resolving

using correct in scripts

System defaults, restoring

System failure, protecting form template files from

System Requirements

Tab order

controlling in Navigation Bar

specifying for direct-fill assembly

Table of Contents, updating in Word after assembly

Tables (form templates)

creating nonstandard

creating standard

sending overflow answers to addendum

specifying overflow properties for

Tables (text templates)

Tabs (assembly and library windows)

Answer Summary

choose assembly window placement of

choose library placement of

Document Preview

Form Document

Interview

Preview

Properties

Question Summary

Variable Sheet

Tabs (in Component Editors)

Advanced (3)

  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview

Layout

Options (2)

  • Change a Dialog's Options
  • Work with Multiple Choice Options

Resource

Script

Used In

Technical Support

in the United States

outside the United States

Telephone numbers, using

Template File command-line option

Template files

about

adding to libraries

assigning names to sets of

assigning titles and descriptions

changing default file locations of

converting to new formats

creating based on existing template

creating form

creating interview

creating text

descriptions in libraries

editing

grouping in Favorites folder in library

installing sets of

linking to specific answer files

moving files on local disks or networks

organizing groups into separate libraries

previewing before an assembly

publishing auto-assemble files from

publishing auto-install files from

publishing HotDocs Server files from

publishing standard files from

renaming

searching for specific in libraries

using LANGUAGE instructions in

using one component file for multiple

Template Manager button

Template Manager

about

copying and pasting components using

customizing the view of

deleting components using

exporting list from

modifying properties using

renaming components using

setting display options

starting and exiting

toolbar

using to rename templates

viewing the contents of

warnings and status hints for components

warnings and status hints for templates

Template set updates

checking for

setting properties for

Template sets, updating

Test answer files

Test answers, entering for form fields

Test assembly

Test Panel

about

Go to Template tab

Variable Usage tab

Warnings tab

Testing

about

custom dialogs

document assembly

for improper scripting

online assembly

scripts

True/False expressions

using answer files

variables

Text boxes, using variables in

TEXT CONTAINS TEXT

Text documents

printing

saving as PDF files

Text files, saving libraries as

Text formats

Text patterns

adding

creating

editing

Text strings in component files, searching for

Text templates, creating

Text variables

controlling answer field height of

controlling number of answer characters in

creating

creating patterns for

Text

formatting correctly when scripting

specifying labels in addendum

using additional in dialogs

Third-party applications

defining settings for

Tiling form windows

Time Matters, linking variables in dialogs to fields in

Time of day, inserting

Time patterns, using

Time

answering questions about

converting values to numbers

creating variables for inserting

Titles

dialog

modifying library items

template

variable

TODAY variables

Toolbars

Component Manager

displaying full in assembly window

Document Text Editor

HotDocs assembly window

HotDocs Automator

HotDocs Edit

HotDocs Navigation

Template Manager

Totaling answers in a list

Tracking

answer file histories

variable usage in a template

Trading answer files during assembly

Transferring

answer files to other users

assembled documents to editing application

document files to other users

library items into a new library

library items into existing library

library items to other libraries

Treat linked variables as asked option

Troubleshooting

form printer problems

template automation

True/False expressions, creating

True/False formats

True/False variables

creating

grouping in dialog

specifying options

tips on naming

TRUNCATE( NUM, NUM )

Tutorials, completing

Two text values containing same text string, determining

Two-digit years

Two-dimensional bar codes, creating

TypeHere bookmark

Types of templates

Typing answers directly in a form field

UDL files, creating

UNANSWERED

Unanswered variable text

specifying at Component Manager

specifying at variable

tips on using

Unanswered variables

asking only

formatting

reported at End of Interview dialog

warning about

Unassigning variables from fields

Underscore as a placeholder

Ungrouping fields

Unicode support

Unicode, using in HotDocs

Uninstalling HotDocs

UNION( MULT_CHOICE_ MULT_CHOICE)

Universal Data Link files, creating

Unpointing component files

Unsupported

characters in variable names

features in HotDocs Server (detecting and eliminating)

Unused components

references to in Template Manager

removing from component file

Updating

all item properties in a library folder

computation results as you script

database fields in interview

database records with answers entered during interview

dialogs shown in interview outlines

downloaded auto-assemble files

existing answer files with new answers

library items located on a CD

static content of form templates

template sets automatically

template sets using auto-install files

template sets via the Internet

test assemblies

Upgrading to newer versions of HotDocs

Uploading

answer files

answers to Web servers

answers, format for

enabling for users

HotDocs files (2)

  • Overview: Upload HotDocs Files to a HotDocs Core Services host application
  • Overview: Upload HotDocs Files to a Web Server

template files to a server

URLs

adding to HotDocs libraries

correct format for adding auto-assemble files from the Internet

using as a resource

Use Defaults option

Used In tab

User names, specifying for database connection

Using

existing variables in templates

properties stored in the shared component file

variable names in summaries

VALUE( VAR, EXPRESSION )

Values

computed

in SET instructions

setting using scripts

Variable Field button

Variable INSERT instructions, using

Variable mapping (2)

  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs

Variable name, determining for question in interview

Variable properties

adding comments

adding example formats

adding prompts

assigning resource text

assigning titles

seeing associated components

specifying advanced options (3)

  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview

Variable types

Computation

Date

Multiple Choice

Number

Personal Information

Text

True/False

Variable usage, determining

Variables

about

adding comments to

adding resources to

adding to prompts, additional text

asking specifically

attaching for fillable fields

attaching to form template fields

attaching to single-character boxes in a form

automatically disabling in interview

controlling how answers appear in document

controlling how HotDocs processes

copy existing to create new

creating and inserting in template

creating in Component Manager

deleting from current component file

deleting from multiple component files

editing

fields associated with

grouping into dialogs

irrelevant

naming

removing from form fields

renaming

repeating

seeing which components use which

setting answer field widths for

showing names for in form fields

viewing resources during assembly

Verifying

accurate information in form document before ending interviews

accurate information in text document before ending interviews

templates for use with current version of HotDocs

Vertically aligning form fields

Viewing

a test assembly in a browser

answer file histories and contents

answers used to assemble a document

assembled form documents

assembled text documents

contents of Template Manager window

form page height or page width

form page in more than one window

interview outline for form documents

lists of documents recently assembled

questions used in templates

saved text or form documents

spreadsheets of questions and answers

W3C information about XML

Warn when unanswered option

Warnings tab

descriptions of contents

using to verify templates

viewing

Warnings

displaying after choosing not to

in Template Manager for components

in Template Manager for templates

when adding assembly to queue

when answers are reformatted

when editing shared component files

when fields overflow

when overriding a field's answer

when printing via the word processor

when typing in inactive fields

when using unsupported features in HotDocs Server

when variables are unanswered

Web destinations for published files

Web-based HotDocs, overview

Web

accessing from variable prompts, dialogs

accessing published files from

adding addresses to libraries

registering browser helper applications

starting HotDocs assemblies from browsers

uploading answer files to Web servers

viewing templates in browser

Weekdays, determining dates based on

What's This? Help button

When irrelevant variable property

WHILE EXPRESSION

White space, adding to a dialog

Width or height of form field, adjusting

Widths

specifying for database table columns

specifying for regular answer fields

specifying for spreadsheet columns

Windows Explorer command, issuing for templates

Windows

accessing answer files with Explorer

accessing saved documents with Explorer

customizing HotDocs layout

viewing forms in multiple

WinHelp for variables

Wizards, attaching to form fields

Word processor tables, using to display lists

Word processors

changing settings for working with

installing new ones after installing HotDocs

sending assembled clauses to open

sending text documents to

supported

viewing saved documents in

WordPerfect

clause libraries based on

creating templates for

template conversions (2)

  • Convert a Single Template to a New File Format
  • Convert Templates and Clauses to Microsoft RTF

Word

clause libraries based on

creating templates for

differences between Word 2007-2010, and other versions

template conversions

WPT file name extension

Wrapping an answer across two pages

Write access to answer files, allowing

Write-back

allowing in Time Matters answer sources

allowing with database components

XML

explanation of

saving files as

YEAR OF( DATE )

Year portion of a given date, finding

Years between current date and given date

Years between two dates

YEARS FROM( DATE, DATE )

Yes/no questions

ZERO( NUM_VAR )

Zooming in on a form

Home > Index


HotDocs Help - Becoming Familiar with HotDocs

Becoming Familiar with HotDocs

What Is HotDocs?

Plan a Template Development Project

Quick Help Links

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs


HotDocs Help - What Is HotDocs?

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Overviews

  • Plan a Template Development Project
  • Quick Help Links

What Is HotDocs?

HotDocs is an award-winning software application that significantly reduces the time spent generating customized documents, such as contracts, sales proposals, government and court forms, legal documents, loan applications, and medical forms.

Using HotDocs, you can transform any PDF document or word processor file into an interactive template by marking changeable text with HotDocs variables. Then, the next time you want to generate a completed form or text document, just assemble the interactive template you've created. As you do this, you will be prompted for the information needed in the document and that information will be merged into the document.

When using HotDocs, you can perfect a template, minimizing the "human error" factor that repetitive typing introduces. Additionally, you can automate your templates so that verb tenses, gender references, dates, numbers, calculations, and more are updated automatically as users enter information. Custom interview questions and help resources guide you or your users through the interview.

Virtually any document in your workflow can be converted to a HotDocs template, including lengthy and complex documents. HotDocs templates then become your gold standard—experienced colleagues can share their knowledge, and new colleagues come up to speed faster. Using HotDocs, you can compile an invaluable repository of special language, unique clauses or terms, correspondence, and more.

The following diagram shows the HotDocs process, from template development to document assembly:

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > What Is HotDocs?

More... (1)

Home > All About... > Becoming Familiar with HotDocs > What Is HotDocs?


HotDocs Help - Plan a Template Development Project

Reference Material

  • What Is HotDocs?

Overviews

  • Plan a Template Development Project
  • Quick Help Links

Plan a Template Development Project

Note:
  • This section assumes you understand, at least conceptually, the template development process.
  • To step through each topic in this section sequentially, use the Next and Previous links at the end of each topic.

The success of any automation project is in the details. This document describes some of the details you should consider as you automate your template set.

Specifically, this group of sequential topics covers the following:

  1. Planning the project
  2. Marking up the document set
  3. Preparing to automate the templates
  4. Automating the templates
  5. Managing the template library
  6. Distributing the finished templates

Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project


HotDocs Help - Quick Help Links

Reference Material

  • What Is HotDocs?

Overviews

  • Plan a Template Development Project
  • Quick Help Links

Quick Help Links

Using the links below, you can quickly find topics of interest, particularly if you are a new user.

New and Enhanced Features of HotDocs 10

Complete the HotDocs Tutorials

Get Help Using HotDocs

Starting HotDocs

What Is HotDocs?

Start HotDocs

Overview: Use HotDocs Libraries

Create a Library

Work with Templates and Other Files in a Libary

Automating a Template

Overview: Template and Component Files

Create a New Text Template File

Use Component Manager to Work with Components

Insert a Variable Field in a Text Template

Gather Questions into a Custom Dialog

Create a REPEAT Instruction to Gather a List of Answers

Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression

Assembling a Document

Assemble a Text or Form Document

Select an Answer File for Assembly

Navigate Through Answer-Gathering Dialogs

Preview the Assembled Text Document

Save an Assembled Text or Form Document

Save an Answer File During Assembly

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Quick Help Links


HotDocs Help - What's New in HotDocs Developer

All About...

  • Installing HotDocs
  • Starting With HotDocs
  • Using the Keyboard in HotDocs

What's New in HotDocs Developer

New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 2009

New and Enhanced Features of HotDocs 2008

New and Enhanced Features of HotDocs 2007

New and Enhanced Features of HotDocs 2006

New and Enhanced Features of HotDocs 2005

New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 6.1

New and Enhanced Features of HotDocs 6

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer


HotDocs Help - New and Enhanced Features of HotDocs 10

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 10.2

Upload Plugin for HotDocs Core Services

HotDocs Developer now provides a plugin for uploading templates to web applications that use HotDocs Core Services for document assembly.

Additional Improvements

In addition to the new features above, this release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10.1

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF3

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF1

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10

Edition Name Changes

HotDocs is now available in three different editions:

New Name | Previous Name
Developer | Professional
Developer LE | Standard
User |
Player | Player

Word Processor Support

Word 2010 support: HotDocs now supports the use of Word 2010.

WordPerfect X5 support: HotDocs now supports the use of WordPerfect X5.

(See Install Support for New Word Processors for information on installing support for new word processors.)

Silverlight Interview

Templates intended for use with HotDocs Server can now be test-assembled using the Microsoft Silverlight web application framework. Unlike the traditional JavaScript-based interviews, where the interview logic is written in an interpretive language (JavaScript), Silverlight-based interviews are compiled into machine code, which makes them much quicker. This is especially noticeable in long, complex interviews.

(See View an Interview in a Web Browser for more information.)

Desktop & JavaScript Interviews

Desktop and JavaScript interviews have been updated and improved for HotDocs 10.

PDF Support

The functionality previously provided by HotDocs PDF Advantage is now integrated with HotDocs 10.

Changes to Files, Folders and Registry Keys

HotDocs Files

New Filename | Previous Filename
hotdocs.exe | hotdocs6.exe
hotdocs.dot | hotdocs6.dot
HotDocs.dotx | HotDocs6.dotx
hd_api.dll | hd6api.dll
hd_dispatch.exe | hd6dispatch.exe

HotDocs Default Installation Folder

New Folder | Previous Folder
C:\Program Files\HotDocs | C:\Program Files\HotDocs 6

Registry Keys

New Key | Previous Key
HKEY_CURRENT_USER > Software > HotDocs > HotDocs | HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6
HKEY_LOCAL_MACHINE > Software > HotDocs > HotDocs | HKEY_LOCAL_MACHINE > Software > LexisNexis > HotDocs 6

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 10


HotDocs Help - New and Enhanced Features of HotDocs 2009

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 2009

New and Enhanced Features of HotDocs 2009 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 2009 HF1

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 2009

File Formats

Save component files, library files (both template and answer), and answer files in XML format: HotDocs now allows you to save component files, library files, and answer files in either XML format (required to use HotDocs 2009 features) or binary format (required to be compatible with HotDocs 2008 and earlier).

Caution:Please see Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for a complete description of this format change.

Unicode Support

Automate templates using international languages: You can now automate your templates using any left-to-right reading languages that are supported in the Unicode character set. See Use International Characters in HotDocs for details.

Template Development

Use INSERT instructions to include images: You can now use an INSERT instruction to insert JPGs, PNGs, and GIFs in a template. Additionally, you can insert RTF documents that contain image files. INSERT image instructions are appended with the IMAGE keyword.

Use variable INSERTs to specify inserted file names during assembly: Template developers can now use a variable INSERT in a template, which allows the file path and name of a template file or graphic file to be specified at the time of assembly, rather than during template development. You must use a Text variable, a Multiple Choice variable, or a Computation variable that results in text with a variable INSERT.

Navigate repeated dialogs using new button: When completing an interview, end users now add new repetitions to a repeated series list by clicking the Add Another Repetition Add Another button, which is located both after all questions in the dialog as well as in the dialog’s title bar. (Users can no longer use the previously available methods for adding new repetitions to a dialog.) You can customize the title of this new button on a per-dialog basis by specifying it at the Dialog Editor.

Define a default behavior when automatically disabling irrelevant variables: At Component File Properties, you can specify a default behavior for irrelevant variables you automatically disable during the interview.

Enter comments about components at the Notes tab: Component editors now include a Notes tab where you can enter notes about the component, such as an explanation about why the component was created or how it should function in the interview.

Hide editing buttons on spreadsheet dialogs: You can now keep HotDocs from showing the Edit Row, Insert Row, and Delete Row buttons associated with a spreadsheet dialog. (The options are still available via buttons and menus, however.)

Publish templates so they're compatible with HotDocs 2005-2008: HotDocs lets you publish templates created in HotDocs 2009 so they will still be compatible with HotDocs 2005-2008.

Document Assembly

Install auto-install file libraries to any location: HotDocs now allows you to install a template set library to the same folder as you install the templates sets.

Use new method for adding repetitions to a list of answers: When completing an interview, users now add new repetitions to a repeated series list by clicking the Add Another Repetition Add Another button, which is located both after all questions in the dialog as well as in the dialog’s title bar. (Users can no longer use the previously available methods for adding new repetitions to a dialog.)

HotDocs Automator/Filler

Create PDF templates from fillable PDFs: You can create PDF templates based on fillable PDF documents. When you create the template, HotDocs first presents you with several options for working with existing fillable fields—you can have HotDocs create mirror fields that match the existing fillable fields. You can also have HotDocs remove all existing fillable fields. Finally, if the PDF document contains annotations (like sticky notes, stamps, and so forth), you can remove them from the newly created template. Once you create a template that contains fillable fields, you can attach HotDocs variables to those fields using an automated wizard.

Save assembled forms as fillable PDFs: You can assemble a document from a template that was created from a fillable PDF document and save it once again as a fillable PDF document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 2009


HotDocs Help - New and Enhanced Features of HotDocs 2008

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 2008

New and Enhanced Features of HotDocs 2008 SR 2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 2008 SR 1

Word Processor Support

WordPerfect X4 support: HotDocs is now supported for use with WordPerfect X4. (See Install Support for New Word Processors for information on installing support for it.)

New HotDocs Help Format

The look and feel of the HotDocs Help file has changed. The Help is contained in a single window, with new navigation options along the top of the window. Searching the help file is much more intuitive and useful. For details, see Get Help Using HotDocs and Form a Help Search Query

Document Assembly

Send assembled PDF documents to Adobe: If you're assembling PDF-based form documents, you can select a HotDocs option that will send assembled documents to Adobe Acrobat, rather than HotDocs Filler. See Send Assembled PDF Documents to Adobe for details.

HotDocs Automator and Filler

Create independent addendums: You can create multiple, independent addendums for forms where each page of the form represents a duplicate. See Create Independent Addendums for Forms.

New and Enhanced Features of HotDocs 2008

Model Documents

Create model documents, independent of HotDocs, and use them to assemble custom documents: Using Microsoft Word, you can create model documents. A model document is an exemplar document used as the basis for drafting documents of the same type for specific clients. Using a defined markup language, you identify text that varies from one client to another. This markup provides an unambiguous description of how a model document should be used to draft client-specific documents. Once you have a model document, you can use it with HotDocs Player to generate custom documents for your clients.

Template Development

New Go to Field button added to HotDocs toolbar: When you receive scripting error messages in HotDocs, they often include the field number for the field where the error is located. To help you quickly find this field in a text template, HotDocs now includes a Go To Field Go To Field button in the HotDocs navigation toolbar.

New Test Panel added: HotDocs now includes a Test Panel, which you can access during a test assembly. Features of this test panel include the following tabs:

  • Variable usage: This tab shows how variables are being used in the template. For example, you can review a list of variables that are asked during the interview, but they aren't used in the document. You can also review which variables are used in the document but don't appear in the interview. These two lists can help you make sure the questions you are asking the user are relevant to the document, which ultimately improves the accuracy of the document.
  • Warnings: In previous versions of HotDocs, the Warnings tab was included directly in the assembly window. This tab has now been moved to the Test Panel. It includes information about scripting in the template that may cause unexpected results in the interview or assembled document. For example, the Warnings tab can report when SET instructions have been used incorrectly. It can also identify when variables have been asked or referred to incorrectly.
  • Go to Template: Using the Go To Template command, you can place your cursor in the Document Preview text and have HotDocs take you to the same place in the template. This lets you review the automation in that particular section of the template, perhaps to understand the conditions under which the text was inserted in the document.

Publishing licenses now include annual expiration: Licenses for publishing and registering templates for use with HotDocs Player now expire annually.

Have HotDocs automatically exclude irrelevant questions from an interview: Rather than write dialog scripts, you can have HotDocs automatically gray or hide variables that aren't relevant to the document.

Set HotDocs Server interviews so all dialogs in the interview appear in the same view: You can design your HotDocs Server interviews so that users can view all of the dialogs in an interview at once, on a single Web page.

Document Assembly

Entering Non-English answers during an interview: During a HotDocs interview, you can enter answers in left-to-right reading languages other than English.

Create a Favorites folder in the template library and add templates to it: You can group the templates you use most frequently in a Favorites folder of your library.

Database Connection

All installations of HotDocs now include the HotDocs Database Connection by default. You do not need to install it separately.

HotDocs Compare

HotDocs Compare now available separately for purchase: To use HotDocs Compare, you must now purchase a separate license for it. For details, contact your HotDocs sales representative. NOTE: Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 2008


HotDocs Help - New and Enhanced Features of HotDocs 2007

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 2007

New and Enhanced Features of HotDocs 2007 SP1

This release of HotDocs contains software corrections and minor enhancements to existing features. It also contains the following new features:

New Web link dot code added: You can now use the Web link dot code to insert hyperlinks in your prompts, plain-text resources, and dialog text elements.

New and Enhanced Features of HotDocs 2007

HotDocs supported on Windows Vista: HotDocs is now supported for use on the new Microsoft Windows Vista operating system.

Support for Microsoft Word 2007 added: HotDocs now supports Microsoft Word 2007.

View document markup in assembled documents: You can now change the formatting of an assembled document to Markup View and then submit it to an attorney or peer for revisions or corrections.

New command-line options: HotDocs now includes two command-line options—Start Interview Group and Keep Interview Group (/sig and /kig). These options are used to control which questions are asked when assembling a group of related documents; specifically, they keep questions that are already answered in one interview from being asked in subsequent interviews.

Access HotDocs Help directly from Expression and Instruction Model lists: You can now select a model in either the Expression models list or the Instruction models list and press Ctrl+F1 to view the help topic for that specific model.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 2007


HotDocs Help - New and Enhanced Features of HotDocs 2006

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 2006

New and Enhanced Features of HotDocs 2006 SP1

Usability

Better keyboard accessibility: In an effort to make HotDocs compliant with Section 508, you can now access most commands and elements in various HotDocs windows and dialog boxes using the keyboard. Additionally, HotDocs is now more compatible with screen readers.

HotDocs Automator and Filler

End-user option of splitting an overflowing answer between the form and the addendum: Form users can now decide whether multi-line answers should be split between an answer field and the addendum.

New and Enhanced Features of HotDocs 2006

Template Development

Allow users to edit assembled document text while viewing the Document Preview tab: Sometimes users may need to edit the text of a document once it has been assembled. As the developer, you can control editing by marking sections of a template using a SPAN instruction. This allows users to edit that section of text at the Document Preview tab of the assembly window. Changes made during assembly can be saved to the answer file so that users can reassemble the same document later and have their changes reapplied.

Improved implementation for adding additional items to a dialog: HotDocs now provides a new Dialog Element component that lets you more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. This implementation includes greater control over how these items appear, including control over whether they appear in desktop interviews, HotDocs Server interviews, or both. (In previous versions of HotDocs, many of these elements were added to a dialog using the @ command. This new feature replaces the need to use this command.)

Remove hidden data from assembled Microsoft Word templates and documents: Often, when working in Microsoft Word templates and documents, hidden data is saved to the file that may compromise the security of the document or increase the document's file size. You can choose which of these properties should be removed from a template. Additionally, you can have this data removed from a document after it is assembled.

Use HotDocs dot codes: HotDocs 2006 includes a new feature called dot codes, which allow you to 1) format text results derived from computation scripts, 2) insert special characters in plain text and template text, 3) format variable prompts and additional text, and 4) punctuate non-repeated lists of answers.

View an outline of scripting in a Word template: Using the HotDocs Outliner, you can generate an outline of scripting in the template. This outline can include just a list of instructions used in the template, or it can include variables as well. This gives you a more condensed view of instructions used in the template.

New schemes added for coloring fields in a template: Two new color schemes were added to help you better identify instructions in a template. They are Nested and Sequential. Nested marks each level of IF and REPEAT instructions using a custom color. (For example, all first-level IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.) Sequential marks each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)

Display Word templates in Markup View: You can now display a Word template in Markup View, which allows you to provide non-HotDocs users with easy-to-understand versions of your templates.

Generate default interviews or specify custom interviews for all template types: When automating a template, you can now select whether HotDocs should generate a default interview for the template or whether HotDocs should use a custom-scripted interview. If choosing to use a custom interview, you can assign any name to the interview component. (In previous versions, all interview scripts were required to be named INTERVIEW.) You now designate the name of the interview component at the Component File Properties dialog box.

Choose which component file provides properties when pointing templates: In past versions of HotDocs, when you pointed a component file to a shared file, most of the properties for the pointed template would be specified by the shared component file--not the pointed component file. Now, if you need the pointed template to use its own component file properties, you make that designation at the component file.

Control how HotDocs inserts returns after inserting instructions in a template: When you insert an instruction in a text template, by default, HotDocs inserts a return after the instruction. (This return is removed during assembly.) You can select a HotDocs option that inserts these returns only when working with entire paragraphs of text--otherwise, HotDocs won't insert a return character. (This keeps instructions within a paragraph from breaking up the paragraph text.)

Use new expression models to manipulate text answers: HotDocs includes four new expression models:

  • REPLACE lets you search a string of text for a given character string and replace the results with new text.
  • SPACE tests whether the variable is answered. If it is, it merges the answer, followed by a space character. If the variable is unanswered, it merges nothing ("").
  • STRIP removes a specified character or characters from the beginning or end of a text answer.
  • VALUE returns a default value for the variable type if the variable is unanswered. If the variable is answered, the value is the answer the user specifies.

Use new expression models to manipulate multiple choice answers: HotDocs includes two new expression models:

  • SELECTION returns a specific selected option of a Multiple Choice answer.
  • UNION combines all selected (and unique) options from several Multiple Choice variables.

Use new instruction models to erase answers in repeated dialogs: HotDocs includes two new instruction models:

  • ERASE VAR clears all answers for a specific variable in a repeated dialog.
  • ERASE DIALOG clears all answers in a repeated dialog.

Create 'Used In' lists for components: You can view which other components in the template use the component you are currently editing. This information is displayed in the new Used In tab of the component editor. (This tab was formerly the Asked In tab, which showed only the dialogs that used the variable.)

Store PLAY macros for RTF templates in a Word template and reference the template from the component file: You can store your post-assembly macros in a template specifically designed for HotDocs. You specify the name of this file at the Component File Properties dialog box for the template.

Update tables of contents, cross references, indexes, and fields after sending assembled documents to word processor: You can select a component file property that automatically updates all cross-references (including the table of contents and index) in an assembled document once the document is sent to the word processor.

New Word menu option for inserting variables, instructions in a Word template: Word users can now more easily insert instructions such as ASSEMBLE, ANSWER FILE NAME, LANGUAGE, and DEBUG in their templates. The option for doing so can be found in the new HotDocs menu in the HotDocs toolbar. (Users can also insert other HotDocs field types (such as variables, REPEAT instructions, and so forth) using this new menu.) Finally, most of these options are also now available in the Word shortcut menu.

Multiple Choice options included in auto-complete lists: When scripting with Multiple Choice variables, you can use the auto-complete feature to access lists of options for the Multiple Choice variable. This keeps you from having to manually enter the options.

Scripting supported in plain-text resources: You can now include variables, IF instructions, and REPEAT instructions in plain-text resources. This allows you to customize the resource text users see in the interview, based on their answers to questions.

Save button added to component editors: As you edit components, you can now save your work without closing the component editor.

Document Assembly

Install support for new word processors without reinstalling HotDocs: In previous versions of HotDocs, if you installed a new word processor, you had to reinstall HotDocs in order to integrate the two products. Starting with HotDocs 2006, you can install support for new word processors at HotDocs Options.

Control font properties of dialog text: You can now specify the font face, size, and color of text used in dialogs. You can also change the font used for items in the interview outline.

Edit the document while viewing the Document Preview tab (Word users only): If the template provider has allowed it, you can edit the text of a document while viewing the Document Preview tab. This allows you to make changes to the document and be able to save those changes in the answer file so they can be reapplied if you ever reassemble the document.

View variable names for answers in interview: Sometimes you may need to communicate with a template provider about a specific question in the interview. While answering questions in the interview, you can place your cursor in an answer field, right-click and choose Variable Name from the shortcut menu.

Simultaneously copy an answer file to the Answers folder and add it to Answer File Manager: Frequently you receive answer files from other users. You can now open Answer File Manager and choose the Import command to copy an answer file to the Answers folder and add it to the answer library. You can also double-click on the answer file in Windows Explorer and the file will be added to the library and copied to the Answers folder.

Mark required answers in a dialog: In addition to marking dialogs that contain required questions in the interview outline, you can now mark the actual questions in the dialog. Specifically, you can designate the color used for prompts of required questions as well as control whether an asterisk is used to indicate this.

Follow dialogs in interview outline when moving through interview: A new navigation option, Next Dialog Follows Outline, has been added. Selecting this option will move you to the next dialog in the interview outline when you click Next. For example, if you are in a main-level dialog, clicking Next will move you to any inserted dialogs in main dialog. Clicking Next again will move you to the next main-level dialog, rather than back to the current main-level dialog.

Update published template sets: If you are using a published template set, HotDocs can check for updates to the set at regular intervals and notify you when updates are available.

HotDocs Automator Filler

HotDocs HFT Driver no longer supported: When creating a HotDocs form template (.HFT) file in previous versions of HotDocs, you had to use the HotDocs HFT driver, which was only supported for use with Windows 98 and Windows Me. Starting with the release of HotDocs 2006, these operating systems are no longer supported. Now, when you create new form templates, you must create them in PDF format.

Look and feel of HotDocs Automator / Filler updated: Several HotDocs Automator and Filler dialog boxes and windows have been updated.

Keep Field Properties dialog box open as you modify field properties: When applying field properties to form fields, you can keep the Field Properties dialog box open as you move between fields in the form. This allows you to set properties for a field and then test to see how the properties affect the underlying field.

Circle static text on a form document: You can now create a field that circles preprinted options on a form.

Send just the part of an answer that overflows to addendum (rather than the entire answer): When specifying overflow options for a multi-line edit field, you can select an option that sends just the part of the answer that doesn't fit in the field to the addendum.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 2006


HotDocs Help - New and Enhanced Features of HotDocs 2005

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 2005

New and Enhanced Features of HotDocs 2005 SP3

Support for WordPerfect 13 added: HotDocs version 2005 SP3 is supported for use with WordPerfect 13.

New and Enhanced Features of HotDocs 2005 SP2

Template Development

Rename multiple components simultaneously: You can now select multiple components at Component Manager and rename them all at once.

Limit the number of rows in a spreadsheet: When a dialog is repeated as a spreadsheet, you can control the number of rows that are displayed in the dialog. (This option simply controls the number of rows that are displayed—users are still able to enter as many answers as they need.)

Map Text variables to Multiple Choice values (and vice versa) in an answer source: When mapping an answer source, you can map a Multiple Choice variable to a text value. You can also map a Text variable to a multiple choice value.

Create an answer source that links a dialog to a Time Matters Contacts or Matters record: You can now link an answer source to a Time Matters Contacts or Matters record. This allows you to retrieve information you're already storing in Time Matters and use that information in your documents. When creating the answer source, you can also designate whether changes to answers can be written back to Time Matters. (To create this answer source, you must be using Time Matters 7.0 or later.)

Document Assembly

Expand and collapse all folders at once in the library: You can now expand or collapse all subfolders in the template library. This makes it easier to quickly view or hide template lists in the library. (This command is available in the library View menu.)

Choose a color for additional text: When customizing the appearance of dialogs in an interview, you can now assign a different color to additional text. This may be useful if you want to distinguish additional text from other text in the dialog. You do this at the Dialog Appearance folder of HotDocs Options.

Open Windows Explorer from the template library: You can click on a reference to a template in a library and choose Go To from the Template menu. This opens the folder where the template file is saved.

View resource buttons for all answer fields at once: When viewing a dialog with answer field resources, you can now choose to display the resource button for all answer fields at once, or you can choose to display the button only when you are viewing that specific answer field. (This new functionality changes the available settings at Tools > Options > Interviews and Dialogs > Show answer field resource button.)

New and Enhanced Features of HotDocs 2005 SP1

Template Development

Save component files in HotDocs 6 or HotDocs 2005 format: When HotDocs 2005 was released, you had to upgrade your component file to the latest version. You can now designate a component file property that saves the component file either in version 6 format (so you can continue to use the template with HotDocs 6.x) or in version 2005 format (so you can use all of the functionality of HotDocs 2005).

Caution:If you want to use HotDocs 2005 to develop your templates but you want them to be compatible with HotDocs 6, do not use any HotDocs 2005-specific features (such as non-breaking spaces) or the features implemented in this release (described in this topic). If you do, you may see unexpected results.

Changes to Component File Properties dialog box: The Component File Properties dialog box has been redesigned and now includes tabs to differentiate between the different types of properties.

Add titles to variables: You can now specify a title, or alternate name, for a variable. Sometimes you use variable names that are useful for you during template development, but not useful for users during an interview. For example, maybe you name your variables with some type of variable notation, like Client name TE. To a user, this name, if seen in an interview, may not make much sense. Here, a title (Client's Name) can be used in place of the variable name.

Assign a label to the entire repeated series: You can now assign a label to the entire repeated series, which lets you customize the dialog title for each individual repetition in the list.

Copy Multiple Choice options, prompts, and merge text and paste them into other spreadsheets: You can copy data from other spreadsheets or tables and paste it into the Multiple Choice Variable Editor spreadsheet. Similarly, you can copy the contents of a Multiple Choice Variable Editor spreadsheet and paste it into other tables or spreadsheets (including other Multiple Choice variables).

Automatically set repeat style when creating a REPEAT field: When you create a REPEAT instruction in the template (using the REPEAT Field command), HotDocs will automatically suggest Repeated Series as the dialog Style. Previously, you had to manually specify a repeat style.

Specify merge text on as-needed basis: You can now include merge text for Multiple Choice options on an as-needed basis. Previously, if you included merge text for one option, you had to provide it for all options. However, now you can provide it for only those options that require it.

New repeated list format added: When you create a new template, HotDocs includes a, b in the example format lists for repeated answers. This will format a series of answers as apples, oranges, cherries (excluding any conjunction). To use the format in existing templates, simply type it in the Format box, either at the Multiple Choice Variable Editor or at the REPEAT Field dialog box.

Document Assembly

Sort spreadsheets (including answer sources) during the interview: You can now sort the contents of a spreadsheet in alphanumeric order.

Print contents of the Preview tab at library window: You can select a text or form template at the template library and print a blank copy of it.

View file names in library's item list: You can now view either the template's title in the library list, or you can view the template's file name. Additionally, when searching for a specific template, the search is performed on the title, description, and file name. (Previously, HotDocs would search just the title and description.)

HotDocs Filler

Skip conditioned-out fields during direct-fill assembly: During direct-fill assembly of a form document, HotDocs will now skip fields that are conditioned (and resolved as false).

New and Enhanced Features of HotDocs 2005

Template Development

Database Connection: HotDocs Database Connection is now included with all licenses for HotDocs Developer. Database Connection allows you to retrieve answers from a database.

Changes to HotDocs Server templates and interviews: HotDocs Server 2005 has been redesigned to display browser-based interviews that more closely match desktop interviews. When creating templates for use with HotDocs Server, you must first enable them to be used on the server. (You do this at the Component File Properties dialog box.) Once templates are enabled, they will be checked for features that are incompatible with the server or Web browser. Additionally, enabling the template will let you test the template in a simulated browser environment.

Caution: To use the new style of interviews, you must regenerate the JavaScript (.JS) files and HotDocs Variable Collection (.HVC) files. You can do this by republishing your templates. (First make sure they are enabled for HotDocs Server.)

Override parent template headers and footers with those in inserted templates: When you insert templates and clauses, you can now select options that allow you to keep the headers and footers in the inserted files, rather than have them overwritten by the parent template's headers and footers. This is useful if you either want to create a master document containing several subdocuments, or you want the headers/footers defined in one of the inserted templates to be the headers/footers for the entire document.

Use symbol fonts for answers in text templates: In text templates, can now assign symbolic character fonts (as well as standard character fonts) for answers in your document. This is useful if users' answers must appear in a non-standard font, such as a bar code.

Use non-breaking spaces and hyphens in variable formats: Often, you need a user's answer to stay on a single line in the assembled document. Now you can assign an example format that will keep answers from breaking at the end of a line of text.

Access a Microsoft Outlook Contacts list: You can now link an answer source to your address book in Microsoft Outlook. This allows you to retrieve information you're already storing in Outlook and use that information in your documents.

Document Assembly

Edit answers directly at the Document Preview tab: When previewing an assembled document, you can choose to have HotDocs identify the answers you have entered. Once you are viewing these answers, you can edit the answers (by double-clicking on the field). (This feature is available to Microsoft Word users only. Additionally, it is only enabled if the template provider has enabled it.)

Navigate through answer fields in the document: If you are viewing either an assembled Word document or an assembled form document, you can use the new Navigation Bar to move between answers fields on the document. Specifically, you can move between all answers, unanswered questions only, or matching answers (for example, just those answers that are the same). Additionally, you can have HotDocs take you to the dialog in the interview where the question is asked. (Moving through fields at the Document Preview tab is available to Microsoft Word users only. Additionally, it is only enabled if the template provider has enabled it.)

Compare different versions of a document at the assembly window: When HotDocs Compare is installed, you can answer questions in the interview one way, save a snapshot of the document, and then answer questions differently so you can compare versions of the document. Additionally, you can save multiple versions of a snapshot to use in the comparisons you are doing. (HotDocs Compare is available to Microsoft Word users only.) NOTE: Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

Copy templates to new locations on disk: In addition to moving templates using the Move Templates command, you can copy templates to new locations using the new Copy Templates command. When you copy templates, you create a copy of the template in a new location. Additionally, you can designate that the copied file be marked as read-only.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 2005


HotDocs Help - New and Enhanced Features of HotDocs 6.2

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 6.2 SP1

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 6.2

Default File Locations

Several changes were made to default file locations HotDocs uses.

Template Development

New word processor support: HotDocs version 6.2 is now supported for use with WordPerfect 12.

Troubleshoot problems in templates or scripts: You can now insert a DEBUG instruction either in your scripts or in your templates to help diagnose problems with automation. The HotDocs Debugger lets you step through a template field by field, or through a script line by line. It also lets you track variable answers as they change during the interview. Finally, it lets you view the sequential list of templates and components you are processing. This can help you understand the path of execution.

Repeatedly loop through an answer or set of answers: The WHILE EXPRESSION instruction allows you to repeatedly process (or loop through) an answer or set of answers until a certain condition is met, such as a certain answer is found or a limit is reached.

Increment temporary counters using new instruction: You can use the INCREMENT and DECREMENT instructions in a HotDocs script to increment or decrement a counter. Previously, this was done using SET instructions such as SET Num TO Num + 1. These instructions are useful when incrementing counter variables used in WHILE instructions.

Component Explorer redesigned and renamed to Template Manager: The purpose of Component Explorer was expanded to include template management features, such as template conversion and renaming (see below). This necessitated a change to the name of the tool. It is now called Template Manager.

Convert templates to HotDocs 6 format or to RTF: Use Template Manager to convert large batches of templates or clauses either from HotDocs 5 format to HotDocs 6 format. You can also convert WordPerfect or Microsoft DOT templates to the faster RTF format.

Rename templates: Use Template Manager to rename templates in a library. When renaming templates using this method, all associated files (such as component files, clause libraries, and so forth) will be renamed, as well. References to the renamed file will be updated throughout the library.

New template navigation toolbar added to text templates: A new toolbar has been added to word processor templates that allows you to more quickly work with fields in the template. Specifically:

  • HotDocs now assigns different colors to the different types of fields in a template using the Apply Colors Apply Colors button. Specific fields include variable fields, IF instructions, REPEAT instructions, ASK instructions, and comments. You can customize the colors used at HotDocs Options.
  • You can use the new Label Fields Label Fields button to label matching IF and END IF instructions as well as matching REPEAT and END REPEAT instructions. Additionally, where you've nested these instructions, you can identify the level of nesting. Finally, you can assign the word processor's hidden text property to these comments and labels so that you can show and hide them during automation.
  • You can use the new Match Fields Match Fields button to quickly find corresponding IF, ELSE, END IF, REPEAT, and END REPEAT fields. For example, if you place your cursor in a REPEAT field and click the Match Fields Match Fields button, HotDocs will move your cursor to the matching END REPEAT field. This can help you troubleshoot problems you may experience as you work with these types of instructions—particularly when there are multiples levels of instructions.
  • You can use the new Next Field Next Field and Previous Field Previous Field buttons to move from one field to the next. This is particularly useful when you have several pages in your template that do not have any automation and you don't want to scroll through these pages manually.

Double-click in Word fields to edit them: You can now double-click in a Word field to bring up the Variable Field dialog box for that variable. (This requires Word 2000 and above.)

Control whether dialogs are asked automatically: The Dialog Editor now includes an Ask automatically option, which, when cleared, causes HotDocs not to ask the dialog when it is used in a REPEAT instruction or in an expression that refers to the dialog's True/False status. This eliminates much of the need for ASK NONE instructions.

Add comments to template fields: You can now add comments to the end of fields. After creating the field in your template, insert your cursor after the component name (or instruction), type two forward slashes, and then type your comment, for example, «Employee Name //comment».

Keep the End of Interview dialog from appearing in users' interviews: You can select a component file property that keeps the End of Interview dialog from appearing in the interview. When the user clicks Next Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or it will display the Document tab, depending on which End of Interview action the user has defined at HotDocs Options.

Sort components in Component Manager: You can now sort lists of components by type as well as alphabetically. In Component Manager, sorting is done using the new Sort Sort Components button. In other component lists, sorting options are found on the shortcut menu.

Edit components in second component list: If you have two component files open in Component Manager, you can now edit components in both component files. Previously, you could only modify components in the left pane.

Online test a template from the template—not the library: You can online test templates directly from the template. (Previously, you had to close the template and test from the template library.) To do this, press the Shift key as you click the Assemble Test Assemble button.

New unanswered variable placeholder added: A new unanswered variable placeholder has been added. It inserts the variable name between square brackets, for example [Variable]. You can choose this option either at the Component File Properties dialog box or at HotDocs Options.

Generate templates from marked up documents: Markup editors can mark up a document for automation using the HotDocs Markup Tool. Once marked up, you can use the Template Set Generator to convert the documents to HotDocs templates. (Contact your HotDocs sales representative for details on purchasing a license for the Markup Tool and Template Set Generator.) (With the release of HotDocs 2008, support for the Markup Tool and Template Set Generator was removed.)

Document Assembly

Rearrange entries in a repeated list, and remove or add entries any place in the list: When entering sets of answers in a repeated dialog, you can now move entries around in the list as well as add or remove entries.

Changes to End of Interview dialog: The following changes have been made to improve the End of Interview dialog:

  • You can choose which buttons appear in the End of Interview dialog. You make your selections at HotDocs Options.
  • You can choose to keep the End of Interview dialog from being displayed during the interview. (When hidden, clicking Next Next at the last dialog in the interview either sends the document to the word processor or Filler, or switches the view to the Document tab. You choose which option you prefer at HotDocs Options.)
  • Buttons for each option have been enlarged and arranged in the order they are most frequently used.
  • A new button was added that, when clicked, pastes the assembled document into the current word processor. (This is useful when assembling clause documents.)
  • A new button was added that, when clicked after assembling a form document, moves you to the Form Document tab of the assembly window. (This allows you to view the assembled form document in the assembly window where changes you make will be reflected in the answer file.) Before clicking this button, you can choose to have HotDocs check fields in the form for any answers that overflow.
  • A new button was added that, when clicked, lets you choose which End of Interview buttons you want in the dialog.

Finish Interview button added to navigation bar: A new button was added to the navigation bar which allows you to skip any remaining questions in the interview and view the assembled document. You can choose whether to view the document at the Document tab or whether to send the document to the word processor or HotDocs Filler. HotDocs will perform this same action when the End of Interview dialog is hidden and you navigate past the last dialog in the interview.

Send assembled documents to the word processor that matches the template type: You now have two options for sending the assembled document to the word processor—you can either send to the default word processor always or send to the word processor that matches the template type. You select your preference at HotDocs Options.

New unanswered variable placeholder added: A new unanswered variable placeholder has been added. It inserts the variable name between square brackets, for example [Variable]. You can choose this option at HotDocs Options. All variables that do not have a specific placeholder assigned will use this placeholder.

Save As option added to Save Answers dialog box: Now, when you close the assembly window, you have the option of saving existing answers to either the current answer file or a new answer file.

Choose where assembly window tabs are placed: You can now choose to have the assembly window tabs (Interview, Document Preview, etc.) displayed either along the top or along the bottom of the assembly window.

HotDocs Automator and Filler

Span a text field across multiple form pages: Often, a text answer needs to flow from one field to another. In most situations, you can group these related fields as a run-on group and when the answer won't fit in the first line, it will flow to the next line. However, when the fields span across two or more pages, HotDocs will not allow you to group them. You can, however, use the Named Group overflow property to span a text field across multiple pages.

Control when form field answers are updated: You can now use the Instant Update Instant Update button to control when HotDocs updates answers in form fields. When selected, HotDocs updates all fields whenever an answer changes. When cleared, HotDocs updates a field only when it is tabbed to or out of.

New PDF printing options added to HotDocs print function: When printing a nonstandard-sized PDF form using the HotDocs print function, you can choose the paper size that most closely matches the page size, or you can scale the content of the page to fit the printable area.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 6.2


HotDocs Help - New and Enhanced Features of HotDocs 6.1

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 6.1

New and Enhanced Features of HotDocs 6.1 SP1

Template Development

Auto complete while typing component names: As you are creating components, HotDocs can now automatically complete the component name if what you are typing matches the name of an existing component. This was implemented to help you distinguish between new and existing components. (You can disable this feature at Tools > HotDocs Options > Template Development.)

Default Multiple Choice variable to multiple values: Multiple Choice variables that have the Select All That Apply property set can now be defaulted to multiple values using the Automatically select this option check box at the Options tab.

SET Multiple Choice variable to multiple values: Multiple Choice variables that have the Select All That Apply property set can now be SET to multiple values using an instruction (for example, SET MC Variable TO "Option 1|Option 2|Option 3"). (You must use the vertical bar character as the separator between options.)

LIMIT allows numeric expression: The LIMIT instruction now accepts a numeric expression. (Previously you had to use a single variable to specify the limit.)

Force a paragraph break in text answers: Text variables now include a property called Enter key in multi-line answers inserts new paragraph mark (¶). This allows you to control what kind of break is inserted into multiple-line text when the user presses Enter. Because of this change, the option Enter key action in multiple-line fields was removed from HotDocs Options.

Drag variables from Component Manager to Automator: You can now drag variables from Component Manager and drop them directly on a form field in HotDocs Automator. If no field exists where the dropping occurs, a default field will be created.

Document Assembly

Bypass assembly window: You can now select an option at the Answer File dialog box at the beginning of an interview that allows you to skip the assembly window and immediately view the assembled document.

Check spelling of answers: You can now spell check answers at the Interview and Form Document tabs of the assembly window.

New and Enhanced Features of HotDocs 6.1

Template Development

New word processor support: HotDocs version 6.1 is now supported for use with Microsoft Word 2003 and WordPerfect 11.

Use the new script editor: Several enhancements were made to the way you write computation, dialog, and expression scripts. These include customizable color coding for the different keywords and placeholders in a script, as well as Auto Complete functionality that allows you quicker access to instruction and expression keywords and component names. Additionally, you can more easily 'comment' blocks of script, and match IFs with END IFs (and REPEATs with END REPEATs), among other things.

Additionally, now, when including literal text strings in computation scripts, it is much easier to insert return characters as well as tabs.

Caution: In previous versions of HotDocs, returns produced from computations were treated as paragraph marks. However, in HotDocs 6.1, they are now treated as line breaks. You should check existing automation in your template to make sure this change does not create problems.

Support for HotDocs Database Connection 6.1: The HotDocs Database Connection has been updated to work with HotDocs 6.

Control answer field widths: Template developers can now specify answer field widths for both regular answer fields and spreadsheet column widths. These changes are made at each variable's Variable Editor. (Make your changes at the Advanced tab.)

Tighter integration with document management programs: Those integrating with document management systems now have greater control over the format of their saved answer files and assembled documents. These options are specified at the HotDocs Options dialog box, in the File Management folder (and the subsequent Advanced ODMA Settings folder).

Customize the library Properties tab: HTML-savvy developers can customize the Properties tab of the library window using custom HTML pages. Properties pages can be customized for individual files in the library, for a single library as a whole, for the main folder in a library, or for all libraries.

Duplicate button improved: The Duplicate Variables Duplicate button functionality (in Component Manager) has been improved. Template developers can duplicate a single variable, or they can 'batch' duplicate several variables at once.

Better control over inserted templates: HotDocs no longer tries to enforce the requirement that inserted files (such as templates and clause libraries) must be in the same folder as the host template. If the inserted file exists in a different folder, however, the path to that folder must be specified in the instruction.

Changes to CLEAR and ADD: When using the CLEAR and ADD instructions to populate a Multiple Choice variable, you can also ADD prompts for the options.

@COMPUTE and @EXECUTE supported: The instructions, @COMPUTE and @EXECUTE are now officially supported for use in dialog components.

Publish templates with ASSEMBLE instructions: When publishing templates, you can now select to automatically publish any templates used in INSERT and ASSEMBLE instructions. (Previously, HotDocs would include templates specified only in INSERT instructions if this option were selected.)

Add templates to a library using drag-and-drop: In addition to using the Add Template Add Template button or command to add templates to the HotDocs library, you can now drag templates (text, form, and interview) from Windows Explorer to the HotDocs template library list.

Copy components both ways using Component Manager: When you are displaying a second component list at Component Manager, you can now copy components from the current component list into it. You can also delete and rename components in this second list.

Document Assembly

Selecting child dialogs: Selecting grouped child dialogs in an interview is now more intuitive—you can either select the preceding check box (or option button) and then click the child dialog icon to display the dialog, or you can click the child dialog icon immediately. Doing this selects the check box (or option button) for you. (Selecting the check box or option button is imperative because it tells HotDocs to add the child dialog to the interview outline. It also lets you test whether a child dialog has been answered, as well as set a child dialog’s answered status to true or false.)

Viewing resources: Resources assigned to both variables and dialogs now appear simultaneously in the Resource pane. (Before, either the variable or the dialog had to have 'focus' for its corresponding resource to be visible.)

Improvements to overall assembly process: Several changes have been made to improve interview speed as well as dialog navigation.

Customize dialog pane colors: You can now change the background color of the dialog pane in the assembly window. These changes are specified at the HotDocs Options dialog box.

Better document preview for Word templates: When previewing a Word template or assembled document, you can now get a much truer view of the document.

HotDocs Automator

Start HotDocs Automator from library window: You can now start HotDocs Automator from the Tools menu of the HotDocs template library.

New tools: HotDocs includes a new Fill Fields Fill Fields tool, which allows you to type text directly in the field. Improvements were also made to existing tools.

Creating form templates: If you create a new form template from Automator, HotDocs will first ask which type of form you want to create—a HotDocs form template (HFT) or a HotDocs PDF template (HPT).

Handling form overflow: When you print an assembled PDF-based form document, and the document contains unresolved answer overflow, HotDocs gives you three options for resolving the overflow: 1) review and change the answers or field properties, 2) send all overflowing answers to the addendum, or 3) ignore the overflow and leave the answer truncated.

Viewing thumbnails: If you are viewing thumbnails in HotDocs Automator or HotDocs Filler, HotDocs highlights the page number of the form page being viewed. This makes it easier to identify the thumbnail for the page you are currently viewing, especially in a form that contains many pages.

Send addendum to word processor: If an addendum is created during assembly, you can now send the addendum directly to the default word processor, rather than the Clipboard. (This option is only available from the HotDocs assembly window. It is not available in HotDocs Filler.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 6.1


HotDocs Help - New and Enhanced Features of HotDocs 6

Reference Material

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 6
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 6

New and Enhanced Features of HotDocs 6.0

Template Development

Use the new template library: The new template library contains several additional buttons and new menu items that allow you to perform multiple template development and document assembly tasks, including managing the contents of the library more efficiently. The toolbar and menus also make it easier to access other HotDocs tools, including Component Manager, HotDocs Options, Answer File Manager, Component Explorer, and the Assembly Queue.

The library window is divided into two panes: the left pane shows the list of templates, clause libraries, and other library items, while the right pane shows tabbed views of either the item’s properties (such as the file type and title) or a preview of the library item.

Create a new template: HotDocs gives you more control over the type of template you want to create by including a Type drop-down list at the New Template dialog box. This lists all the different template formats available, based on the supported word processors you are currently using. Template titles are automatically generated based on template file names; however, you can change the title to something more descriptive.

Use the new HotDocs editing toolbar: The look of the existing HotDocs editing toolbar has changed, and three new buttons have been added:

  • The Clause Library Clause Library button displays the clause library associated with the template. From here, you can create clauses, edit existing clauses, remove clauses, and perform several other tasks relating to clause management.
  • The Edit Component Edit Component button bypasses the Variable Field dialog box and lets you edit the component properties of a variable while at the template.
  • The HotDocs Help HotDocs Help button makes it easier for you to access information in the Help files directly from the word processor window.

Create variable fields and variable components: Now when you create variables, there is greater distinction between the variable field and the variable component. For example, when you first create a variable at the template, the Variable Field dialog box appears, where you can assign a variable type, name, and any field-specific properties. Then, from the Variable Field dialog box, you can click the Edit Component Edit Component button to display the Variable Editor. At this dialog box, you can assign component-specific properties, such as prompts and resources.

Assign either default or field-specific formats: You can assign answer formats, field formats (such as field widths, alignment, and fill characters), and merge text (for Multiple Choice variables) either at the Variable Field dialog box, or the Variable Editor. If you assign them at the Variable Field dialog box, they are available for that specific instance of the variable only. If you assign these properties at the Variable Editor, they become a default property of the component and will be available each time you use the variable in the template.

Use Multiple Choice variables: At the Multiple Choice Variable Editor, you can now provide prompts for each multiple choice option. Also, if you want to further customize each row of options, you can do so by clicking the Options tab and making your changes. These include adding longer prompts and merge text, and pre-selecting options for the user.

Assign resources (formerly known as variable and dialog help): The name for this type of help has been changed to Resources to better distinguish between HotDocs Help (the documentation provided with the software) and template developer help (the help assigned by you). You also can now use an HTML Help (.CHM) file as a source file for variable and dialog resources.

Use the new Component Manager: With the enhanced distinction between fields and components, Component Manager becomes the preferred method for editing components in a template, including variables and dialogs. Component Manager is now a sizeable dialog box that can be arranged next to the template window so that you can work in both windows simultaneously. Using Component Manager, you can edit as many components at a time as you want. You can also drag variables from Component Manager and drop them directly in the template.

Share components between component files: The process for sharing component files has been improved. For example, the Pointed Component File button in the Component Manager toolbar makes it more apparent a component file is pointed (for example, Unpointed versus Pointed ), and the actual process of finding the component file and pointing it is much more intuitive.

Change component file properties: At the Component File Properties dialog box, you can now specify a product title for the template you are creating. You can also have HotDocs hide the interview outline for the template during assembly as well as have HotDocs generate default dialog titles. The interface for several existing properties has changed, as well.

Copy components using Component Manager: You can expand the Component Manager window to show another component file’s list of components, from which you can copy into the current component file. (You can no longer copy out of the current component file, however.)

Use IF, INSERT, ASK, and REPEAT instructions: All of the dialog boxes for inserting IF, INSERT, ASK, and REPEAT instruction fields have changed. At each of these dialog boxes, you can choose a specific type of field you want to merge, and then edit the underlying component.

Use clauses and clause libraries: The process of creating clauses and clause libraries is now much easier. You can open a clause library from the template-editing toolbar, and it can stay displayed as long as you need, allowing you to work in both the template and the clause library simultaneously.

Use Dialog Editor to edit dialogs: The Dialog Editor includes tabs for customizing a dialog. A Find option has also been added to make searching for specific variables, clauses, or dialogs easier. When you are at the Script tab of the Dialog Editor, you can click the Variables drop-down button and select Variables in Dialog to see only the variables used in that specific dialog. (This makes it easier to create dialog scripts since you can limit the list of variables to show only those used in the current dialog.)

Assign titles to dialogs: You can now assign titles to dialogs. The dialog title replaces the dialog name in the interview outline.

Change the layout of a dialog: In earlier versions of HotDocs, to change the placement of variables in a dialog, you had to test the dialog and make your changes directly in the test dialog. Now, you can click the Layout tab of the Dialog Editor and drag-and-drop variables there.

Simultaneously test and edit variables, dialogs, and scripts: You can simultaneously test and edit components within a template (such as variables, dialogs, and scripts). When you do, HotDocs displays the variables and any corresponding answer fields in a test assembly window. You can leave that dialog open and make changes to the component and then update the dialog to see the changes implemented. Once you click OK at the Variable Editor, the changes are saved to the component file.

Simultaneously test assemble and edit a template: You can test assemble all or a portion of a template while simultaneously making changes in the underlying template text. HotDocs will update the assembly window with changes you make.

Save answers used for testing once: When you test a variable or test assemble a document, you are prompted to save your answers. Once you save them (using Test Answer File as the file name), HotDocs uses that test answer file for each subsequent test assembly. If needed, you can specify a new answer file or use a different answer file at the assembly window.

Use Component Explorer: The Component Explorer tool lets you more closely manage components across a large number of component files, including removing unused components, renaming components in both the component and template file, and copying and pasting components between files.

Document Assembly

Choose an answer file for assembly: When you first select a template for assembly, HotDocs displays the Answer File dialog box, which allows you to choose an answer file to use with the assembly. (You no longer choose any other assembly options, such as assembling Question/Answer summaries, or viewing only unanswered variable questions. All of those options are now controlled directly in the assembly window.)

View the new assembly interface: Once an assembly has started, the assembly window appears. By default, it is divided into three panes: the interview outline (or left pane) lists all the dialogs and variables asked in the template. When users click one of these items, the corresponding dialog appears in the dialog pane (or right pane). Users enter the required information in the answer fields and proceed through the interview until all the answers have been given. The interview outline is dynamic so items can be added and removed, depending on answers the user provides. Finally, if the template developer has provided helpful information about a dialog or a specific variable, that information appears in the third pane, the resource pane (below the dialog pane).

Navigate an interview: You can click items in the interview outline in any order to complete the interview. You can also click buttons in the navigation bar at the bottom of the dialog pane.

Use the new assembly toolbar buttons: The assembly toolbar buttons let you perform several different tasks, such as work with answers and answer files, send the assembled document to a word processor (so you can edit it), view the Assembly Queue, access HotDocs Options, view the resource pane, and perform other general tasks.

Use the tabbed views of the assembly window: The assembly window contains several tabs that let you change your view of the assembly process. You can view any of these tabs at various times during assembly and the information contained therein will be current. These tabs include:

  • Interview displays a three-paned window that includes the interview outline, the dialog pane, and the resource pane.
  • Preview shows a rough preview of the document so far as it has been assembled.
  • Question Summary displays an HTML-based summary of the questions in the template.
  • Answer Summary displays an HTML-based summary of the questions and answers provided during the interview.
  • Variable Sheet displays a spreadsheet-like summary of variables, prompts, answers, and variable types.

For the most part, the contents of these different tabs can be saved as word processor or HTML documents, and can be attached to e-mail messages.

View the End of Interview dialog: When you complete an interview, the End of Interview dialog appears. It contains information about unanswered variables as well as gives instructions and options for working with the assembled document. (The End of Interview icon always appears in the interview outline.)

Use the resource pane: HotDocs now displays template developer’s resource information (formerly known as variable or dialog help) in the resource pane of the assembly window. By default, this pane is continually displayed; however, you can hide and show it as needed. You can also specify an option (at HotDocs Options) that displays a resource button next to answer fields that contain resources.

Preview the assembled document: As you complete an interview, you can click on the Preview tab to view your document during assembly. Any answers you have given are merged into the text, while any answers that are still needed are marked by unanswered variable placeholders. You cannot edit the text in the Preview tab, but once you finish an assembly, you can send a copy of the document to the word processor for post-assembly editing.

Because of the way HotDocs renders assembled text in the Preview tab, the document sometimes will not show the formatting you see when you send a copy of the assembled document to the word processor.

Use Answer File Manager: The Answer File Manager has a newly designed interface (including a new toolbar) that makes it easier to view the properties as well as the contents of an answer file.

Change answer files during assembly: As you assemble a document, you can change the answer file you are using. When you do, HotDocs lets you save the current answer file and assembled document before you load a new answer file.

Attach answer files, assembled documents to e-mail messages: You can attach answer files, assembled documents, and question and answer summaries to e-mail messages.

Manage multiple assemblies using the assembly queue: When you select multiple templates for assembly, HotDocs automatically displays the Assembly Queue dialog box, which lists each template and its assembly status. Using this dialog box, you can change the order in which documents will be assembled, as well as add assemblies to and remove them from the queue.

Change your HotDocs Options (formerly known as Settings or Preferences): HotDocs now provides one central location--the HotDocs Options dialog box--to control how HotDocs operates. General options include template development, interview, and document assembly preferences, as well as file location management.

HotDocs Automator/Filler

Changes to HotDocs® Automator: Some changes have been made in HotDocs Automator to more tightly integrate it with the new HotDocs 6 interface. These include new toolbar buttons and menu items, as well as minor changes in various dialog boxes. Additionally, the default field colors have changed, and several pre-designed color schemes have been provided.

Changes to HotDocs® Filler: Some changes have been made in HotDocs Filler to more tightly integrate it with the new HotDocs 6 interface. These include some new toolbar buttons and menu items, as well as minor changes in various dialog boxes. Additionally, in the Document tab of the assembly window, you can type your answers directly in the form fields. If the template developer has created a custom interview (or allowed HotDocs to generate a default interview), you can move between the Interview and Document tabs to complete the interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs Developer > New and Enhanced Features of HotDocs 6


HotDocs Help - Installing HotDocs

All About...

  • Starting With HotDocs
  • Using the Keyboard in HotDocs
  • What's New in HotDocs Developer

Installing HotDocs

What Is HotDocs?

Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs

System Requirements

Install HotDocs

Understand HotDocs Installation

Default File Locations in HotDocs 10

Use International Characters in HotDocs

HotDocs and XML File Formats

Uninstall HotDocs

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs


HotDocs Help - Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs

This topic describes the compatibility of files between earlier versions of HotDocs and HotDocs 10:

Installation of Program Files

When you install HotDocs Developer 10 over earlier versions of HotDocs Developer or Professional Edition (starting with HotDocs 6), it overwrites that installation.

Library Files

Template Libraries

Template libraries created and saved in HotDocs 2008 and earlier were saved in binary format. Starting with the release of HotDocs 2009, however, template libraries can be saved in either binary format or as XML. When you open an existing template library in HotDocs 10, HotDocs keeps it in binary format until you either manually convert the file to XML format, or you attempt to use foreign characters in the properties of the library, at which time HotDocs will prompt you to save the file in XML format. (To manually save the file in either format, choose Save Library As from the File menu and then choose the option you want from the Save as type drop-down list. Foreign characters are characters that are not compatible with your system's default language.)

Answer Libraries

HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the answer file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)

Caution: If you are working in HotDocs 10, but the library needs to be compatible with HotDocs 2005-2008, do not use any foreign characters (for example, characters that are not compatible with your system's default language) in the library properties. Any foreign characters you use will appear as boxes or question marks in HotDocs 2005-2008.

Templates and Component Files

If you are upgrading from earlier versions of HotDocs (starting with HotDocs 6), you will be prompted to convert your component files to HotDocs 2009-10 format. When you make this choice, you can choose to either convert the file to the current, HotDocs 2009-10 format, or you can choose to keep it in the format it was last edited in. So, for example, if you are upgrading from HotDocs 2005, you can choose to convert the file to HotDocs 2009-10, or you can choose to keep it in HotDocs 2005 format.

Once you convert a component file to HotDocs 2009-10 format, you can make it backwards-compatible by specifying a specific format at the Component File Properties dialog box of Component Manager. (See Change Component File Properties.) If you are using HotDocs 10 to automate templates for use with a pre-2009 version of HotDocs, do not use any new features that aren’t supported in the earlier version or your templates may not work correctly. This includes using foreign characters (or characters that are not compatible with your system's default language) in component prompts, titles, resources, etc. See the New Features section of this help file for a list of features implemented in each release of HotDocs.

Note: If you need to keep several templates in their existing pre-HotDocs 10 format and you don't want to be prompted to make this selection on a template-by-template basis, you can use Template Manager to change the component file format for several files at once. See Modify Component File Properties Across Multiple Files for details.

Answer Files

HotDocs 6 through HotDocs 2008 support two types of answer files—binary answer files (.ANS) and XML answer files (.ANX). Starting with HotDocs 2009, answer files are saved in XML format only. This means that if you open a binary answer file (an .ANS file) in HotDocs 10, change one or more answers, and then save, the answer file will be saved as XML. The file extension will not be changed, but will continue to be .ANS even though the file is in XML format.

If you are using HotDocs 10 to create answer files for use with a pre-2009 version of HotDocs, you must save the answer file in a backwards-compatible format. Specifically, if you need to use the answer file with HotDocs 2005 through HotDocs 2008, you must save the file as a HotDocs 2005-2008 answer file. You can select this format at the New Answer File dialog box or the Save Answer File As dialog box. You can also select it at the Properties dialog box for the answer file. Any unsupported foreign characters you use will appear as boxes or question marks in HotDocs 2005-2008.

Note: HotDocs 10 answer files can be used with HotDocs 2008 SR2 without making the files backwards compatible.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs


HotDocs Help - System Requirements

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

System Requirements

To ensure the best performance using HotDocs, please note the following requirements for hardware and software:

Hardware

  • 900 MHz processor (2GHz, recommended)
  • 1 GB RAM (2 GB, recommended)
  • 50 MB hard disk storage
  • 1024 x 768 screen resolution with at least 16-bit color

Software

  • Windows XP (SP2 or higher), Windows Vista (32-bit or 64-bit), or Windows 7 (32-bit or 64-bit)
  • Microsoft Internet Explorer 6.0 or later
  • Microsoft Word 2000, XP, 2003, 2007, or 2010
  • Corel WordPerfect 8, 9, 10, 11, 12, X3, X4, or X5
    Caution:WordPerfect X3 SP2 and later are the only versions of WordPerfect supported for use on Windows Vista and later.
  • Microsoft .NET Framework 3.5, Microsoft Silverlight 3 Runtime, and Microsoft Silverlight 3 SDK (These are only required if you want to view Silverlight-based interviews for your HotDocs Server-enabled templates.)
    Tip:

    You can download the Microsoft .NET Framework and Silverlight requirements from the following sites:

    • http://www.microsoft.com/NET/
    • http://www.microsoft.com/silverlight/get-started/install/default.aspx
    • http://www.microsoft.com/downloads/details.aspx?FamilyID=1ea49236-0de7-41b1-81c8-a126ff39975b

Databases

If you plan to integrate HotDocs with a database, you must have one of the following applications or servers installed:

  • Microsoft Access
  • Microsoft SQL Server
  • Oracle 8i or 9i with the OraOLEDB OLEDB provider
  • Most other ODBC-compliant database

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > System Requirements


HotDocs Help - Install HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Install HotDocs

When you insert the HotDocs installation disk in your CD-ROM drive, a CD browser window should automatically appear. From this window, you can view the Readme and install HotDocs. Once installation has started, HotDocs prompts you for all of the information it needs to complete the process.

Before installing HotDocs, make sure your computer meets the minimum requirements necessary for using HotDocs. (See System Requirements.)

To install HotDocs

  1. Close all open programs, especially any word processors or existing versions of HotDocs you may have open.
  2. Insert the HotDocs installation CD into your CD-ROM drive. The CD browser window appears.
  3. Click Install HotDocs Developer. The installation program begins installing HotDocs.
  4. Follow the on-screen prompts to complete the installation.
Note:
  • To manually install HotDocs, select Run from the Start menu. If you are running a 32-bit operating system, type D:\setup. If you are running a 64-bit operating system, type D:\setup64 (substitute the correct drive letter if your CD-ROM drive is not mapped to D:\). Follow the on-screen prompts to complete the installation.
  • For a description of how HotDocs is installed, see Understand HotDocs Installation.

Home > All About... > Installing HotDocs > Install HotDocs


HotDocs Help - Understand HotDocs Installation

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Understand HotDocs Installation

When you install HotDocs, two different installations actually happen—the HotDocs Setup and the Current User Setup. This two-part installation process not only allows the program be installed just once for multiple users on a single workstation, but it also allows each user who logs on to the workstation to have his or her own custom files and settings.

HotDocs Setup

When you first install HotDocs (see Install HotDocs) from setup.exe (for 32-bit operating systems) or setup64.exe (for 64-bit operating systems), HotDocs installs the program files needed to use HotDocs, including any executable files used to run HotDocs. Among others, it also installs the HotDocs Help files and a folder containing scripts, images, and stylesheets which are needed for developing HotDocs Server templates. These files are installed, by default, to C:\Program Files\HotDocs. This location is not user-specific, which allows all users of a single workstation access to the files.

As HotDocs installs these files, it registers information about them in the Local Machine key of the Windows System Registry. For example, the Registry stores information about where the executable file for HotDocs is located on disk, as well as which word processors HotDocs supports. It also sets some preliminary file location information for the various files HotDocs uses, including information about library files and template set files. All of this information must be registered in order for HotDocs to work correctly.

Current User Setup

When you install HotDocs, the installation creates a folder named Source in the HotDocs program folder. This folder contains several files, including word processor macro or startup files, the user spell-checking dictionary, and the HotDocs tutorial files.These files must be in user-specific folders on the disk. However, because multiple users may use a single workstation, HotDocs Setup doesn’t install these files. Instead, when a user logs on to the workstation and runs HotDocs, the Current User Setup copies these files to the correct locations for the user. (See Default File Locations in HotDocs 10.)

The Current User Setup also registers information about each user in the Current User key of the System Registry. This information includes default file locations for such things as templates, answer files, and library files. As each user specifies preferences for working with HotDocs, these settings are likewise written to the Current User key. This allows each workstation user to have his or her own HotDocs settings without other users overriding those preferences with their own.

The Current User Setup happens each time a user starts HotDocs. This means that each time you run HotDocs, HotDocs checks to make sure all of the required files (such as word processor startup files) are located where it expects to find them. If the file isn’t found, HotDocs replaces it using a copy it finds in the Source folder.

Caution:Even if you delete the tutorial files that are installed to your default Templates folder, because of the Current User Setup, the next time you launch HotDocs, HotDocs will recopy the files to that folder. To keep this from happening, open the Source folder, select the Tutorials subfolder and press Delete.

Restore Installation Defaults

At times, you may want to restore default settings in HotDocs. You can accomplish this by clearing the Current User key of the Registry.

Please see Restore Installation Defaults for instructions on how to do this.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Understand HotDocs Installation


HotDocs Help - Default File Locations in HotDocs 10

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Default File Locations in HotDocs 10

When you install and use HotDocs, the program makes several entries in the System Registry that indicate to HotDocs where to look for files, as well as where to suggest you save files. (See Understand HotDocs Installation.) In most situations, HotDocs uses this information each time you perform a task in HotDocs. For example, each time you create a new template, HotDocs suggests a default location for the new template, based on the information it finds in the System Registry.

The following is a list of these default locations:

Caution:In Windows Vista, the My Documents folder has been renamed as Documents. The All Users Documents folder has been renamed as Public Documents.
File Type | Default Location
Program Files | C:\Program Files\HotDocs
Help Files | Program Files\HotDocs
Spelling Dictionary File | My Documents\HotDocs\Spelling
Library Files | My Documents\HotDocs\Libraries
Template Files | My Documents\HotDocs\Templates Note: Even though HotDocs saves all template types to this folder, it still maintains separate default settings for text templates, form templates, and interview templates.
WordPerfect Macro Files | Word Processor Macro Folder
MS Word Startup Files | Word Processor Startup Folder
Template Sets | All Users Documents\HotDocs\Templates
Text Document Files | Word Processor Documents Folder
Form Document Files | My Documents
Answer Files | My Documents\HotDocs\Answers
Catalog Files | All Users Documents\HotDocs\Catalogs
Publish Settings Files | My Documents\HotDocs\Publish

If you need to change these default locations after HotDocs is installed, you can do so at HotDocs Options. See Change Word Processor File Locations and Change HotDocs Program File Locations for details.

Caution:
  • If you are upgrading from HotDocs 6.1 or earlier and your libraries are saved in the HotDocs 6 Program Files folder, HotDocs will set this folder as the default location for libraries. If you do not have library files saved here, HotDocs will use My Documents\HotDocs\Libraries.
  • If you perform a custom installation, HotDocs will install files and set registry entries using the information you specify during installation. Whatever settings you specify during installation will be used for all users of the workstation.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Default File Locations in HotDocs 10


HotDocs Help - Use International Characters in HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Use International Characters in HotDocs

What is Unicode?

Unicode is a computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages.

According to the technical description given by the Unicode Consortium, “Unicode provides a consistent way of encoding multilingual plain text and brings order to a chaotic state of affairs that has made it difficult to exchange text files internationally. Computer users who deal with multilingual text—business people, linguists, researchers, scientists, and others—will find that the Unicode Standard greatly simplifies their work. Mathematicians and technicians, who regularly use mathematical symbols and other technical characters, will also find the Unicode Standard valuable.”1

HotDocs and Unicode

Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

Caution:WordPerfect does not support Unicode. As such, Unicode characters that are assembled into WordPerfect documents will not appear correctly.

For example, say you need to automate a template using the German language. You can draft the underlying template text in German, and then create all of the components in the template using German. This includes assigning component names, titles, prompts, resources, and so forth in that language. Users can then complete the interview by entering their answers in German. The resulting assembled document can be entirely in German.

Using Fonts that Contain Unicode Characters

Even though HotDocs supports Unicode characters, these characters may not appear correctly if you do not have fonts installed that can display them.

For example, say you automate your template using the Tahoma font on Windows Vista. If the template is used on an earlier operating system, some of the characters you have used may not appear correctly because those characters may not be supported in the version of Tahoma available on that operating system.

Or, perhaps you use a very specialized font for displaying symbolic characters. If your users do not have the same font installed on their computers, your text will appear as unrecognized characters—usually boxes or question marks.

Additionally, you must also be careful when assigning font styles (such as bold or italic) to international characters, as characters may not display correctly when these styles are applied.

Unicode and Backwards Compatibility

HotDocs 2008 and earlier does not support Unicode. (The exception to this is HotDocs 2008 answer files where you could use Unicode characters in answers.) If you attempt to use a HotDocs 2009 (or later) template with an earlier version of HotDocs, any foreign characters you have used will appear as boxes or question marks. In some cases, HotDocs will warn you when you attempt to use one of these types of files. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)

Detailed, technical information on Unicode can be found by visiting any of the following Web sites:

  • http://www.w3.org/
  • http://www.unicode.org/
  • http://en.wikipedia.org/wiki/Unicode
Note:
  • While the template, interview, and assembled document may appear in most languages supported by Unicode, the HotDocs application itself continues to be supported in English only.
  • This help file defines Unicode characters that are not part of your typical language set as foreign or international characters.

1 "The Unicode Standard: A Technical Introduction. 17 Sept, 2008, 12:27 PM. 5 Dec 2008 http://www.unicode.org/standard/principles.html.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Use International Characters in HotDocs


HotDocs Help - HotDocs and XML File Formats

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

HotDocs and XML File Formats

In versions of HotDocs prior to HotDocs 2009, HotDocs-specific files—such as library files, component files, and so forth—were saved in binary formats.

Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters, or international characters that are not represented in your computer system's default language.

From the release of HotDocs 2009 onwards, however, users can save libraries and component files in either binary format or in XML format. Saving HotDocs files in XML format allows third-party developers easier access to the data stored in these files, making it easier to create integrations with other applications. The XML format also supports a wide range of left-to-right-reading international characters.

As you work in HotDocs 10, you can choose which format you use to save your HotDocs files. Here are some guidelines to help you decide:

  • XML library and component file formats are only supported in HotDocs 2009 and later. This means that if you need to use your files with earlier versions of HotDocs, you must save them in binary format. For example, say you are using HotDocs 10 to automate templates, but your users are still using HotDocs 2008. Or, perhaps you are using a published template set with HotDocs Player 10 but you’re still using HotDocs 2008 for your own template development. In order to maintain compatibility between these different versions of HotDocs, you must save your files in the format that is supported in both versions. In this case, it would be the binary format.
  • If you plan to use international characters (characters not typically supported by your default system language), you must choose to save your files in XML format.
Caution:If you generate XML files using a program other than HotDocs, you must make sure the encoding declaration in the XML file matches the actual encoding used in the document.
Note:
  • HotDocs uses XML schema documents (or XSD files) to validate XML content. By default, these documents are found in C:\Program Files\HotDocs\Schemas.
  • Previous versions of HotDocs supported both binary answer files and XML answer files. However, all answer files in HotDocs 2009 onwards are saved in XML format. See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for additional details on using backwards-compatible HotDocs 10 answer files.
  • One benefit of saving files in XML format is the ability to more easily recover files that become corrupted or unusable in HotDocs. Using the XML schema documents, you (or someone with XML programming experience) can examine how the contents can be reconstructed, where possible.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > HotDocs and XML File Formats


HotDocs Help - Uninstall HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Uninstall HotDocs

You can remove existing versions of HotDocs from your computer by using the HotDocs uninstall program. When you uninstall, all of the program files are removed from your computer. However, the program does not remove any custom templates, libraries, or answer files you have created.

To uninstall HotDocs in Windows XP

  1. At the Start menu, select Settings > Control Panel. The Control Panel dialog box appears.
  2. Click Add or Remove Programs. The Add or Remove Programs dialog box appears.
  3. Select the version of HotDocs that needs to be removed, then click Remove. The HotDocs uninstall process starts.
  4. Follow the on-screen prompts to remove the program.

You can remove existing versions of HotDocs from your computer by using the HotDocs uninstall program. When you uninstall, all of the program files are removed from your computer. However, the program does not remove any custom templates, libraries, or answer files you have created.

To uninstall HotDocs in Windows Vista and above

  1. At the Start menu, select Control Panel > Programs > Uninstall a Program.
  2. Select the version of HotDocs that needs to be removed, then click Uninstall. The HotDocs uninstall process starts.
  3. Follow the on-screen prompts to remove the program.
Caution: If you plan to reinstall HotDocs to restore default settings, you must delete the user-specific settings HotDocs entered in the Windows System Registry. For details on doing this, see Restore Installation Defaults.

Home > All About... > Installing HotDocs > Uninstall HotDocs


HotDocs Help - Starting With HotDocs

All About...

  • Installing HotDocs
  • Using the Keyboard in HotDocs
  • What's New in HotDocs Developer

Starting With HotDocs

Start HotDocs

Exit HotDocs

Get Help Using HotDocs

Verify HotDocs 5 Templates for Use with HotDocs 10

Use HotDocs with Microsoft Word 2007 and 2010

List of HotDocs File Name Extensions

Complete the HotDocs Tutorials

Documentation Feedback

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs


HotDocs Help - Start HotDocs

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Start HotDocs

To start HotDocs so you can edit templates or assemble documents, you must first open the HotDocs library. The library includes commands for performing most tasks in HotDocs.

To start HotDocs

  • Choose Start > Programs > HotDocs 10 > HotDocs Developer. The HotDocs library window appears.
Note: To start HotDocs, you can also click the HotDocs HotDocs button in the word processor toolbar. This will open and display the HotDocs library window.

Home > All About... > Starting With HotDocs > Start HotDocs


HotDocs Help - Exit HotDocs

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Exit HotDocs

When you are finished using HotDocs, you can exit it.

To exit HotDocs

  • Click Exit (File menu).

Home > All About... > Starting With HotDocs > Exit HotDocs


HotDocs Help - Get Help Using HotDocs

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Get Help Using HotDocs

HotDocs Help Window Overview

HotDocs Developer includes a Help file to assist you in using the product.

The HotDocs Help window is divided into three parts – the navigation bar along the top of the help window, the main help content pane, and the topic navigation path that appears along the bottom of the window (which is visible as you are viewing specific help topics).

Organization of the Help File

Content within the help file is categorized into four areas:

  1. Overviews: These topics describe, in general terms, a particular feature or tool of HotDocs.
  2. How do I …?: These topics provide step-by-step instructions for completing a task in HotDocs.
  3. Reference Material: These topics offer additional information about a HotDocs feature or tool, such as background data or tips.
  4. Dialog Box Descriptions: These topics provide information for a specific dialog box or window. (You usually access these help topics by clicking the Help button on a dialog box that has one.)

Find Topics in the Help File

To use the help file, you have several options:

  • Click the Home link in the navigation bar to view the main “table of contents” for the help file. This displays a page that describes sections of the help file. You can click a folder and navigate to the specific help topic that most interests you.
  • Click the Index link to view a listing of all the topics in the help file, referenced by index keyword.
  • Enter a search term or phrase in the Search box and click Search to view topics that contain your search phrase. If the search phrase is found, a Search Results page is displayed, showing the different topics, grouped by category, that meet your criteria.
Note: See Form a Help Search Query for detailed instructions on creating a search query.

What’s This? Help and Dialog-Level Help

HotDocs provides two other types of help—What’s This? Help and Dialog-Level Help.

  • To access What’s This Help, at any dialog box where What’s This? Help is available, click the What’s This? Help button, either on the title bar ( What's This Help ) or in the toolbar ( What's This Help), and then click the item for which you want help.
  • To access dialog-level help, click the Help button at any dialog that contains one.

Other Help Resources

  • Click the Contact link to view different options for contacting HotDocs Corporation.
  • Click Glossary to view a glossary of HotDocs terms.
  • Click the Print Print Topic button to print a help topic.
  • Click the Increase Size Increase Size or Decrease Size Decrease Size buttons to increase or decrease the font size used for viewing the help file.
Note:
  • For additional help using HotDocs, you can view the online HotDocs Knowledge Base. See http://help.hotdocs.com/knowledgebase.
  • When you view a topic in a search results list, the help system highlights your search terms. If you want to remove these highlights, click the [image] Remove Highlighting button. (To show highlighted terms again, click the [image] Highlight Search Terms button.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Get Help Using HotDocs


HotDocs Help - Verify HotDocs 5 Templates for Use with HotDocs 10

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Verify HotDocs 5 Templates for Use with HotDocs 10

When documents are assembled in HotDocs 10, HotDocs displays an interview outline in the assembly window. This outline represents all the dialogs in the interview. Using it, users can select any dialog and answer questions in it. When they do this, HotDocs processes the answers and then updates the entire interview outline.

This type of interview processing is different than it was in HotDocs 5, where interviews were sequential, meaning answers entered in one dialog affected answers only in subsequent dialogs. This type of processing rarely required the interview to be updated entirely and at once.

Because of this change in interview processing, some scripting and other features that were used in HotDocs 5 may now cause the interview in HotDocs 10 to process incorrectly. This can result in inconsistent answers in the interview as well as produce an incorrectly assembled document. In order to prevent such errors from going unnoticed, templates should be tested for potential problems before users assemble documents from them.

In order to verify a template, you must first convert the template to HotDocs 2009-10 format. (See Convert Multiple Templates to Work with HotDocs 10) Then you must test the template. While at the test assembly window, you can view the Test Panel, which includes a Warnings tab that tells you of potential problems in your template, including incorrectly used SET instructions, incorrectly asked variables, and improperly referenced variables. (See Overview: Use the Test Panel for information on using the Test Panel.)

To verify a HotDocs 5 template for use with HotDocs 10

  1. At the template library, select the converted template you want to verify and click Edit Template Edit. (See Convert Multiple Templates to Work with HotDocs 10 The template appears in the template development window.
  2. Test assemble the template and verify that it does not contain any automation or scripting that may cause problems. (See Check Interviews for Improper Scripting.)
  3. In addition to reviewing any reported warnings, make sure the converted template looks and functions correctly. For example, you should check for the following:
    • Any syntax errors reported by HotDocs have been fixed. (See Understand and Resolve Syntax Errors in a Template or Script.)
    • The interview outline looks right and operates properly.
    • Dialogs look right and operate properly.
    • The document is assembled correctly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Verify HotDocs 5 Templates for Use with HotDocs 10


HotDocs Help - Use HotDocs with Microsoft Word 2007 and 2010

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Use HotDocs with Microsoft Word 2007 and 2010

If you are using HotDocs with Microsoft Word 2007 or 2010, you should be aware of a few differences between earlier versions of Word and Word 2007/2010:

  • Location of HotDocs toolbar: To access the HotDocs editing and navigation toolbar buttons, you must click the HotDocs tab of the Word ribbon. This displays each of the editing and navigation commands.
  • Accessing the HotDocs button: The HotDocs button is located on the HotDocs tab of the Word ribbon.
  • File formats: Word 2007/2010 includes two new XML-based template formats—.DOTX (indicates the file does not use macros) and .DOTM (indicates the file does use macros). These template formats are not supported in HotDocs. However, if you are using Word 2007/2010 to save assembled documents, you can save in these formats: .DOCX and .DOCM.
  • Compatibility Mode: When you edit existing templates in Word 2007/2010, the template opens in Compatibility Mode. According to the Microsoft Word 2010 Help file, "Compatibility Mode makes sure that no new or enhanced features in Word 2010 are available while you work with a document, so that people who are using previous versions of Word will have full editing capabilities."

    If you plan to use your templates with just Word 2007/2010, you can convert your templates to Word 2007-10 format using the Word conversion tool. (See the Word Help file for additional information on doing this.) If you plan to distribute or share your templates with users who are using earlier versions of Word, however, you should either continue to work in Compatibility Mode, or you should take care not to use features specific to Word 2007/2010. (The Word Help file has a full list of Word 2007/10 elements.)

  • Styles: When you create a new, empty Word template, HotDocs applies whatever styles are in HotDocs.dotx to the new template. When you create a new template based on another template or document, HotDocs applies the styles used in that template or document to the new template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Use HotDocs with Microsoft Word 2007 and 2010


HotDocs Help - List of HotDocs File Name Extensions

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

List of HotDocs File Name Extensions

The following is a list of all file types used by HotDocs:

File Name Extension | Type of File
.RTF | Word RTF Template
.DOT | Word Template
.WPT | WordPerfect Template
.HFT | HotDocs Envoy-based Form Template
.HPT | HotDocs PDF-based Form Template
.HFD | HotDocs Envoy-based Form Document
.HPD | HotDocs PDF-based Form Document
.DOC | Word Document
.WPD | WordPerfect Document
.CMP | HotDocs Component File
.CMP | HotDocs Interview Template
.HDL | HotDocs Template Library
.HDL | HotDocs Clause Library
.HCL | HotDocs Clause Archive
.HDP | HotDocs Publish Settings File
.HDA | HotDocs Auto-Assemble File
.HDI | HotDocs Auto-Install File
.HDK | HotDocs Registration File (required when publishing templates for commercial use with HotDocs Player)
.HAL / .HDL | HotDocs Answer Library Note: HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)
.ANS / .ANX | HotDocs Answer File Note: HotDocs 6 through HotDocs 2008 supported two types of answer files—binary answer files and XML answer files. These files were typically named using the .ANS and .ANX file name extensions, respectively. Starting with the release of HotDocs 2009, however, HotDocs can save answer files in only XML format. This means that if you open a binary answer file (such as an .ANS file) in HotDocs 2009, make a change to the file, and then save it, the contents of the answer file will be converted to and saved as XML. (The file name, however, will continue to use the ANS file name extension.) If you want the answer file to be compatible with versions of HotDocs prior to HotDocs 2009, see Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.
.HPL | HotDocs Answer Source
.JS and .HVC | JavaScript interview file and HotDocs Variable Collection file (These files are used when generating HotDocs Server interviews.)
.HDPMX | Publisher Answer Source Mapping File (This file is used to save variable mapping information created and used by other third-party applications.)
.HDUMX | User Answer Source Mapping File (This file is used to save variable mapping information created and used by other third-party applications.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > List of HotDocs File Name Extensions


HotDocs Help - Complete the HotDocs Tutorials

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Complete the HotDocs Tutorials

When you purchased your license for HotDocs, you should have received a copy of the HotDocs Installation Guide and Tutorial in PDF format on the installation CD. In addition to providing instructions for installing HotDocs, this manual also contains several lessons that teach the basics of template automation. To complete these lessons, you should refer to this manual. (You can also find a copy of the HotDocs Installation Guide and Tutorial at http://www.hotdocs.com/documentation/guides.)

Once you complete the lessons in the HotDocs Installation Guide and Tutorial, you may download additional tutorials from the HotDocs Web site. (See http://www.hotdocs.com/documentation/tutorials/.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Complete the HotDocs Tutorials


HotDocs Help - Documentation Feedback

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010
  • Verify HotDocs 5 Templates for Use with HotDocs 10

Reference Material

  • Complete the HotDocs Tutorials
  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Documentation Feedback

To improve the quality of the tutorials and the help files, we invite you to make comments or suggestions. When doing so, please include as much information about your experience using the documentation as possible. For example, include which version of the product you are using, as well as whether your suggestion is in regards to the Installation Guide and Tutorial or the electronic help file. If commenting about a specific topic, include that information as well.

Caution: The HotDocs Publications team cannot respond to technical support or project consulting questions. We are mainly interested in problems with the documentation itself—such as erroneous information, grammatical and spelling errors, or suggestions for topics to include in the next release of the software.

E-mail your comments and suggestions to publications@hotdocs.com.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Documentation Feedback


HotDocs Help - Using the Keyboard in HotDocs

All About...

  • Installing HotDocs
  • Starting With HotDocs
  • What's New in HotDocs Developer

Using the Keyboard in HotDocs

Use the Keyboard to Work in HotDocs

Full List of Keyboard Shortcuts

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs


HotDocs Help - Use the Keyboard to Work in HotDocs

Overviews

  • Full List of Keyboard Shortcuts

Use the Keyboard to Work in HotDocs

You can use the keyboard to complete many tasks in HotDocs. The following describes some of these keyboard options.

Caution: The options described below refer to using a standard U.S. keyboard. Commands that require you to press two keys simultaneously are displayed using a plus (+) character. For example, to describe the Print command, the keyboard shortcut would appear as Ctrl+P.

There are four ways you can use the keyboard to work in HotDocs:

Tab Between the Elements in a Window, Dialog Box

Press the Tab key to move between the different elements of a HotDocs window or dialog box. Similarly, press Shift+Tab to move through the different elements in reverse order.

If certain elements don't appear in the tab order, use one of the other methods described in this topic, such as use an accelerator key.

For example, if you're viewing the template library and you want to assemble a document, you can press the Tab key to move focus to the item list of the library. Then press the Up Arrow or Down Arrow key to move between items in the library. Once the template you want to assemble is selected, press Alt+M (to view the Template menu). Finally, either press the Down Arrow key to select Assemble from the menu, or press the A key to activate the accelerator key in the Assemble command. The assembly window appears.

Use Accelerator Keys

Many commands and options in HotDocs can be accessed using an accelerator key. Accelerators appear as underlined letters in a command name or prompt. To access them, press the Alt key while also pressing the underlined letter. If you aren't in a text box (or a field where you can enter or select text), you can simply press the underlined letter and HotDocs will move you to that element or command.

For example, to save an answer file during an interview, at the assembly window, press Alt+F. The File menu appears. Then press S. The Save Answer File dialog box appears.

Caution:For some Windows 2000 and XP users, accelerator keys aren't identified until the Alt key is pressed. To always view accelerator keys, go to Start menu > Settings > Control Panel > Display. Click the Advanced tab, and then click Effects. Clear Hide underlined letters for keyboard navigation until I press the Alt key. To always view accelerator keys on Windows Vista, go to Control Panel > Ease of Access > Ease of Access Center > Make the keyboard easier to use and select Underline keyboard shortcuts and access keys.

Use the Shortcut Menu

When working with specific elements in a window or dialog, you can frequently access a list of commands for that element by displaying the shortcut menu. To access the shortcut menu, place focus on the element and then either press the Windows Application Windows Application key on your Windows keyboard, or press Shift+F10. Use the arrow keys to move between options in the menu.

For example, to view where the answer to a specific question is used in the assembled document, while your cursor is in an answer field, press the Windows Application Windows Application key on your keyboard. (Or, press Shift+F10.) A shortcut menu appears. Then, either press the Down Arrow key to select Go to Answer in Document (and then press Enter), or press the G key to issue the command.

Note: To close a shortcut menu without choosing an option in it, press the Esc key.

Use Shortcut Keys

Several commands within HotDocs can be accessed using a shortcut key, which is a key or a combination of keys you can press that will quickly execute the command. (Accelerator keys can be considered shortcut keys.)

For example, to send an assembled document to the word processor, press the F11 key. Or, to move between the different tabs of the assembly window, press Ctrl+Tab. (Pressing Ctrl+Shift+Tab moves through the tabs in reverse order.)

Click here for a complete list of shortcut keys.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Use the Keyboard to Work in HotDocs


HotDocs Help - Full List of Keyboard Shortcuts

Reference Material

  • Use the Keyboard to Work in HotDocs

Full List of Keyboard Shortcuts

You can use keyboard shortcuts to complete many tasks in HotDocs. A keyboard shortcut is a key or a combination of keys you can press that will quickly execute the command.

For example, to send an assembled document to the word processor, press the F11 key. Or, to move between the different tabs of the assembly window, press Ctrl+Tab. (Pressing Ctrl+Shift+Tab moves through the tabs in reverse order.)

Click one of the links below to see the keyboard shortcuts for that specific part of HotDocs:

Keyboard Shortcuts at Template Library

Keyboard Shortcuts at Component Manager

Keyboard Shortcuts at the Script Editor

Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

Keyboard Shortcuts for the Form Document Tab of the Assembly Window

Keyboard Shortcuts for the Comparison Tab of the Assembly Window

Keyboard Shortcuts for a Clause Library at the Assembly Window

Keyboard Shortcuts for Answer File Manager

General Keyboard Shortcuts

Keyboard Shortcuts for JavaScript Interviews

Keyboard Shortcuts for Silverlight Interviews

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts


HotDocs Help - Setting HotDocs Options

Setting HotDocs Options

Overview: HotDocs Options

Interviews and Dialogs

Document Assembly

Document Markup

Model Documents

Form Documents

Question and Answer Summaries

Personal Information

Spell Checking

Template Development

Word Processors

File Locations

File Management

Template Set Updates

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options


HotDocs Help - Overview: HotDocs Options

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Overview: HotDocs Options

You can change the way HotDocs looks and works by changing your preferences at HotDocs Options. These changes affect the program regardless of which template you are using. (Some options, however, can be controlled at the template or component file level.)

For example, from the HotDocs Options dialog box, you can specify several options that will help you develop templates more efficiently. You can also control the way HotDocs presents interview information during assembly, and you can control the way the information is presented in an assembled document. Finally, some options let you control where you save your HotDocs files—both program files as well as word processor files.

Note: Settings specified at HotDocs Options are user-specific and are saved in the Current User key of the Windows System Registry. For information on working with the registry, see the Windows Help file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Overview: HotDocs Options


HotDocs Help - Interviews and Dialogs

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Interviews and Dialogs

The following topics discuss the options available in the Interviews and Dialogs folder of HotDocs Options:

Display Repeated Dialogs Using a Special Icon

Control How Child Dialogs Appear in the Interview Outline

Control the Tab Order of Buttons on the Navigation Bar

Select Existing Answers When Tabbing Between Answer Fields

Display Warning When Trying to Add a New Repetition

Control the Functionality of the Enter Key During the Interview

Display Resource Buttons Next to Answer Fields

Warn When HotDocs Reformats Date and Number Answers

Specify How HotDocs Should Process the Date Order

Control How HotDocs Handles Two-Digit and Four-Digit Years

Change the Way Dates Appear in Answer Fields

Customize the Look of the Dialog Pane

Customize the End of Interview Dialog

Control What Happens When You Finish an Interview

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs


HotDocs Help - Document Assembly

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Document Assembly

The following topics discuss the options available in the Document Assembly folder of HotDocs Options:

Make Assembly Window Toolbars Automatically Wrap

Display Warning When Questions are Unanswered

Prompt to Save the Assembled Document When Closing the Assembly Window

Warn When Printing Assembled Text Documents

Prompt to Select an Answer File Before Assembly

Specify a Default Date Format

Format Unanswered Variables in a Document

Set Properties for Viewing Answers and Editable Text in the Assembled Document

Warn When Adding Assemblies to Assembly Queue

Include List of Completed Assemblies in Assembly Queue

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly


HotDocs Help - Document Markup

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Document Markup

The following topics discuss the options available in the Document Markup folder of HotDocs Options:

Specify How Documents Should Be Marked Up

Define Field Colors

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Markup


HotDocs Help - Model Documents

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Model Documents

The following topics discuss the options available in the Model Documents folder of HotDocs Options:

Allow Non-Standard Names in Model Documents

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Model Documents


HotDocs Help - Form Documents

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Form Documents

The following topics discuss the options available in the Form Documents folder of HotDocs Options:

Change the Units of Measurement for Forms

Change Colors in HotDocs Forms

Send Assembled PDF Documents to Adobe

Control How Forms Appear When Opened

Control Warnings During Assembly

Save Printer Information for Printing Forms

Specify How PDF-based Forms Should Be Printed

Protect Forms By Backing Them Up

Set Properties for New Edit Fields

Set Properties for New Check-Box Fields

Set Rules for Handling Answer Overflow

Specify Addendum References and Labels for Answer Overflow

Automatically Generate Default Interviews for Form Templates

Set Paper Size and Paper Source Defaults for Printing Forms

Customize the Appearance of Addenda

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents


HotDocs Help - Question and Answer Summaries

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Question and Answer Summaries

The following topics discuss the options available in the Question and Answer Summaries folder of HotDocs Options:

Change the Way Question and Answer Summaries Appear

Control Which Variables are Asked in a Question Summary

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Question and Answer Summaries


HotDocs Help - Personal Information

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Personal Information

The following topics discuss the options available in the Personal Information folder of HotDocs Options:

Create Personal Information Variables

Edit Answers for Built-In Personal Information Variables

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Personal Information


HotDocs Help - Spell Checking

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Spell Checking

The following topics discuss the options available in the Spell Checking folder of HotDocs Options:

Change Your Spell Checking Options

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Spell Checking


HotDocs Help - Template Development

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Template Development

The following topics discuss the options available in the Template Development folder of HotDocs Options:

Have HotDocs Automatically Complete Component Names

Have HotDocs Automatically Generate Dialog Element Component Names

Choose Icon Style for Component Lists

Control When Returns Are Inserted After Instructions in Text Templates

Enable Document Editing Options for All New Templates

Enable All New Templates for Use with HotDocs Server

Display HotDocs Warning Messages

Change Script Editing Options

Set Template Manager Options

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development


HotDocs Help - Word Processors

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Word Processors

The following topics discuss the options available in the Word Processors folder of HotDocs Options:

Install Support for New Word Processors

Change Your Default Word Processor

Change Word Processor File Locations

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors


HotDocs Help - File Locations

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

File Locations

The following topics discuss the options available in the File Locations folder of HotDocs Options:

Change HotDocs Program File Locations

Assign Reference Paths to HotDocs Files

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Locations


HotDocs Help - File Management

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

File Management

The following topics discuss the options available in the File Management folder of HotDocs Options:

Manage Answer Files

Manage Assembled Document Files

Specify Document Management Settings

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management


HotDocs Help - Template Set Updates

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Model Documents
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Development
  • Template Set Updates
  • Word Processors

Template Set Updates

The following topics discuss the options available in the Template Set Updates folder of HotDocs Options:

Determine How Frequently HotDocs Checks for Template Set Updates

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Set Updates


HotDocs Help - Using HotDocs Libraries

Using HotDocs Libraries

Overview: Use HotDocs Libraries

Create a Library

Open a Library

Add Templates and Other Files to a Library

Work with Templates and Other Files in a Libary

Remove Items from a Library

Change the Properties of a Single Library Item

Change the Properties for Multiple Items in a Library

Sort Items in a Library

Organize the Contents of a Library

Create a Favorites Folder in the Template Library

Create a New Library By Exporting Part of an Existing Library

Import One Library Into Another

Print a List of Items in a Library

Save a Library

Save the Contents of a Library as a Text File

Move Items Within a Library

Move Items to New Locations on Disk

Copy Templates to New Locations

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries


HotDocs Help - Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Overview: Use HotDocs Libraries

HotDocs files—such as templates, clause libraries, and answer files—reside in folders on your local disk or on a network. To make it easier to organize templates and clause libraries, you can use a HotDocs template library or, for answer files, the Answer File Manager. Using a library lets you assign titles and descriptions to files, and, in the case of answer files, track the history of when a file is used.

Template libraries help you organize template files and provide quick access to many HotDocs tools, such as the Assembly Queue and HotDocs Options:

The Answer File Manager is a library of answer files. You can group answer files as well as sort them. You can also view a history of when a specific answer file was used:

Both the template library and Answer File Manager are divided into two panes. The left pane shows a list of the items referenced in the library. Depending on what kind of library it is, these items can include folders, templates, clause libraries, or answer files. The right pane displays information about the selected item. A different view shows the contents of the file.

The items you see in the left pane are not the actual HotDocs files on your local disk or network. Instead, they are references to the files, operating similar to Windows-type shortcuts. When you select an item for assembly, HotDocs follows the assigned file path and locates the actual template or answer file.

Additionally, folders in a library help you organize the list of files in the library—not the actual folders on the local disk or network.

Caution: Because the items in the library work like shortcuts to the actual files, you must be cautious when working with the actual files. Moving an actual file without updating the reference in the library will make the file inaccessible from the library. If you need to move the files in the library, use either the Move command or the Copy command (see Move Items Within a Library and Copy Templates to New Locations). If you need to update references, choose Properties or Multiple from the Edit menu. (See Change the Properties of a Single Library Item or Change the Properties for Multiple Items in a Library.)

The library window is the starting point for many HotDocs tasks. Such tasks include organizing templates, moving templates and component files, editing templates, assembling documents, and accessing other HotDocs tools, such as Answer File Manager, HotDocs Options, and Component Manager.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Overview: Use HotDocs Libraries


HotDocs Help - Create a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Create a Library

You may want to use separate libraries for templates that deal with different matters. For example, you may want to create one library for divorce templates and another library for estate planning templates. When you create a library, you create an .HDL file on the disk. Once it's created, you can add references to templates to it as well as organize it in whatever way you need.

By default, all new libraries you create will be saved in XML format. If you need to use the library with versions of HotDocs prior to HotDocs 2009, you must specify this format by choosing Save Library As from the File menu and then choosing HotDocs 2005-2008 Library from the Save as type drop-down list. (See HotDocs and XML File Formats for details.)

To create a library

  1. At the HotDocs library window, click the New Library New Library button. The New Library dialog box appears.
  2. Click the Browse Browse button next to the File name box. The New Library File Name dialog box appears.
  3. Browse to the location where you want to save the file and enter a name in the File name box. (Click OK once you have specified the file location.)
  4. At the New Library dialog box, enter a name for the library in the Title box. This title appears as the top folder in the library window. (Library titles can be up to 100 characters long.)
  5. Optionally, type a description of the library in the Description box. The description appears in the Properties tab when the user views the main folder in the library.

Once you create a new library, you can add templates and other files to it. See Add Templates and Other Files to a Library.

Note: See Change HotDocs Program File Locations for information on the default location HotDocs looks for and saves library files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Create a Library


HotDocs Help - Open a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Open a Library

Often you have templates that are located in different libraries. You can access any library by using the Open command at the library you are currently viewing.

To open a different HotDocs library

  1. Start HotDocs. (See Start HotDocs.)
  2. At the library window, click the Open Library Open Library button. The Open Library dialog box appears.
  3. Locate and select the library (.HDL) file with which you want to work, then click Open. The folders, templates, and clause libraries in the new library appear in the template list.

After opening the library, you can edit the templates, or use them to assemble documents.

Note: See Change HotDocs Program File Locations for information on the default location HotDocs looks for and saves library files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Open a Library


HotDocs Help - Add Templates and Other Files to a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Add Templates and Other Files to a Library

After you create a library, you can add files to it. This includes folders, template files, Web addresses, and so forth. You can also add these types of files to an existing library.

When you create new templates, they are automatically added to the library. Clause libraries created at the template library are likewise added to the library automatically.

To add an item to a library

  1. At the HotDocs library window, select a folder.
  2. Click the Add Add button. The Add Item dialog box appears.
  3. From the Type drop-down list, select the appropriate kind of library item. (Your options include Text Template, Form Template, Interview Template, Model Document, Clause Library, Auto-Assemble File, Web Address, and Folder.)
  4. Click the Browse Browse button next to the File name box and locate the library item.
  5. Select the item you want to add and click OK. The Add Item dialog box appears again.
  6. In the Title box, enter a title for the library item (100 characters or less). The title will identify the item in the library.
  7. Optionally, enter a description in the Description box. The description appears in the Properties tab when the library item is selected.
Note:
  • You can add multiple files to a library simultaneously. However, doing this doesn't allow you to assign properties (such as titles and descriptions) to each individual file. To add multiple files, select all the files you want to add in the folder you are browsing. Once they are added, you can modify the properties. See Change the Properties of a Single Library Item for details.
  • You can also add items by dragging files from a Windows Explorer folder to the library. This method allows you to add files like PDF files, word processor documents, and so forth to the library. Once you add the file, you may need to update the item properties (such as add a title or description). See Change the Properties of a Single Library Item for details.
  • Adding an item to a library does not affect the files on your local disk or network. For example, you could select a form template from a library on your network and add it to a library on your local disk. However, the actual file would remain on the network.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Add Templates and Other Files to a Library


HotDocs Help - Work with Templates and Other Files in a Libary

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Work with Templates and Other Files in a Libary

You use a HotDocs library to organize and maintain your template set, including adding and removing templates from the library and changing the properties of templates in the library. (See Organize the Contents of a Library.) You can also use commands in the library to work directly with the templates. For example, you can select a template and assemble it.

To use the library to access the templates and clause libraries

  1. At the HotDocs library window, open the desired HotDocs library. (See Open a Library.)
  2. Perform tasks as explained in the following table:
    To | Do This
    Assemble the selected document | Select the template and click the Assemble Assemble button.
    Create a new template or clause library and add its reference to the library. | Click the New Template New Template button. (See Create a New Text Template File or Create a Form Template.)
    Create a new folder in the library | Choose Add Folder (Edit menu).
    Edit an existing template or clause library | Select the item and click Edit Template Edit. (See Edit a Template or Customize a Clause Library.)
    Add an existing item to the library | Click the Add Item Add Item button. (See Add Templates and Other Files to a Library.)
    Remove the selected item from a library | Click the Remove Item Remove Item button. (See Remove Items from a Library.)
    Move items up or down in the library list | Click on the item and drag it up or down in the list. HotDocs displays a horizontal bar indicating where the item will be placed when you release the mouse.
    Modify the selected item's file name, title, or description | Click the Properties Properties button. (See Change the Properties of a Single Library Item.)
    View or hide all of the items within a folder in the library list | Choose Expand All (View menu). (To hide the list again, choose Collapse All.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Work with Templates and Other Files in a Libary


HotDocs Help - Remove Items from a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Remove Items from a Library

Libraries do not contain the actual files that HotDocs uses, such as template files, component files, or answer files. Libraries only contain references to those files, similar to shortcut icons on a Windows desktop. When you remove an item from a library, you can choose to remove just the reference, or you can choose to delete the actual file from disk.

The available options for removing items in a library depend on the type of item:

  • When you remove the reference for a template, you can choose to also delete the associated template file, component file, and clause library file (if any) from disk. If you do this, the files you delete are either sent to the Windows Recycle Bin (if the template is stored on your local disk) or permanently deleted (if it's stored on a network drive). Or, you can delete only the reference, leaving the template, component file, and clause library file in place on the disk—perhaps for use in another library.
  • When you remove the reference for a folder, you can choose to delete the items within the folder. If you choose to remove the items in the folder, all of the items in that folder and in all subfolders will be removed. If you choose to leave the files, they will be moved to the next higher folder.

To remove items from a library

  1. At the HotDocs library window, select the item (or items).
  2. Click the Remove Remove Item button. The Remove Item dialog box appears, asking if you want to remove the reference to the file from the library.
  3. Optionally, if you have selected a folder and you want to remove items within the folder, select Remove the unselected items contained in selected folders.
  4. Optionally, if you want to delete the actual files from disk, select Permanently delete the files for selected items from the disk.
  5. Click Yes.
Note: If the template you are deleting is in the same folder as another template with the same file name but a different file name extension (for example, you are deleting Invoice.rtf and the same folder also contains Invoice.wpt), HotDocs doesn't delete the associated files, like the component file. You need these files for the other template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Remove Items from a Library


HotDocs Help - Change the Properties of a Single Library Item

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Change the Properties of a Single Library Item

You can change the title and description of a library item. If the item is a template or clause library, you can also change the file name and add command-line options.

Caution: Changes made at the Item Properties dialog box affect only the reference to the item—not the template or clause library files themselves. For example, if you change a template's file name at the Item Properties dialog box, it does not change the template's name on your local disk or network. Unless you also update the underlying file, the template may no longer work because the reference is incorrect. (See Rename Templates Using Template Manager for information about renaming templates and having all references to the file updated—including in the library.)

To modify a library item

  1. At the HotDocs library window, select the item you want to modify.
  2. Click the Properties Properties button. The Item Properties dialog box appears.
  3. Make changes based on the following options:
    To | Do This
    Change the file path | In the File name box, type the new file path, or click the Browse Browse button and specify a new path.
    Change the item title | In the Title box, either type a new title in the box, or click the Get Title Get Title button to use the default title. (Titles can be 100 characters long.)
    Change the command-line options | In the File name box, type the new options. (For example, Refund.wpt /af=bwhittington.anx). See Overview: Command-Line Options.
    Change the item description | In the Description box, enter a new description. (The description appears in the Properties tab when the library item is selected.)
Note: You can change the properties of several other library items at once. See Change the Properties for Multiple Items in a Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Change the Properties of a Single Library Item


HotDocs Help - Change the Properties for Multiple Items in a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Change the Properties for Multiple Items in a Library

You can change the folder paths, file name extensions, and command-line options for two or more library items in a folder. For example, if you have used Windows Explorer to move templates from one folder to another, you can update all the file paths in the library at once. (Remember, moving the files on disk does not automatically update the references to those files in the library.)

If you select a folder, the changes affect all items in the folder and in any subfolders. For example, if you select the top folder of a library, you will change the properties for every item in the library.

Caution: Changing properties of library items does not affect the files on your local disk or network. For example, changing the file path in the Multiple Item Properties dialog box does not actually move the file to a different folder—you must manually move the files. (See Move Items to New Locations on Disk.)

To change the properties of two or more items in a library folder

  1. Select the items (or the folder that contains the items) and select Multiple Multiple (Edit menu). The Multiple Item Properties dialog box appears.
  2. Make changes as specified in the following table:
    To Do This
    Change the file path for the selected items

    Click the File path Browse Browse button and browse to the new folder. Then click OK. The new folder path is inserted. (Click the File path drop-down button to view a list of all the various file paths used for the templates in your list.)

    To specify the default folder the different files, choose <default> from the File path drop-down list and click OK. (The default folder is the location HotDocs looks for the file when no file path is given. You can specify what this default location is at HotDocs Options. See Change HotDocs Program File Locations.)

    Change the reference path for the selected items

    Click the Reference Path Reference path button and choose a path from the Select Reference Path dialog box. When you click OK, HotDocs inserts the reference path keyword in the File path box.

    To remove all reference paths and specify the default folder for the different files, choose <default> from the File path drop-down list and click OK. (The default folder is the location HotDocs looks for the file when no file path is given. You can specify what this default location is at HotDocs Options. See Change HotDocs Program File Locations.)

    The Reference Path Reference path button isn't available unless you have at least one reference path defined in the File Locations folder of HotDocs Options. (See Assign Reference Paths to HotDocs Files.)

    Change the file name extension for the selected items

    Click the File name extension drop-down button and make a selection. If the desired extension is not listed, type it.

    HotDocs displays a list of the file name extensions for all the items you have selected in the File path drop-down list. If you have multiple file types selected, <various> appears in the File name extension box.

    Change the command-line option or options for the selected items

    Type the command-line option (for example, /af=path and file name) in the Command-line options box and click OK. If assigning multiple options, include spaces between each option. (See Overview: Command Line Options.)

    To remove existing command-line options, select <none> from the Command-line options drop-down list and click OK.

  3. Click OK at the Multiple Item Properties dialog box.
  4. When HotDocs confirms the change, click Yes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Change the Properties for Multiple Items in a Library


HotDocs Help - Sort Items in a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Sort Items in a Library

To help you locate or organize files in the library, you can sort the items in a folder in alphanumeric order.

To sort library items

  1. At the HotDocs library window, select the folder whose items you want to sort.
  2. Click the Sort Items Sort button. The Folder Sort Options dialog box appears.
  3. Select the order for sorting the library items:
    • To organize them A to Z and 1 to 9, select Ascending, then click OK.
    • To organize them Z to A and 9 to 1, select Descending, then click OK.
  4. Optionally, select Sort Subfolders to sort the folders inside the selected folder.

The template list changes to show the rearranged library items.

Note: You can save templates you frequently use to a Favorites folder in the library for quicker access, select the template and click Add to Favorites (View menu). See Create a Favorites Folder in the Template Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Sort Items in a Library


HotDocs Help - Organize the Contents of a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Organize the Contents of a Library

Once you create a library and add templates to it, you often want to organize the contents of the library into logical groups. This may include grouping items by subject matter in folders, or grouping items alphabetically. Additionally, you may need to print a list of templates in the library or remove templates you no longer need.

To organize the contents of a HotDocs library

  1. At the HotDocs library window, open the desired HotDocs library. (See Open a Library.)
  2. Use any of the following commands to work with files in the library:
    To | Do This
    Add a folder to the library so you can group library items | Choose Add Folder (Edit menu). The Add Item dialog box appears where you can specify the folder name and a description. (Once you create a folder, you can move items to it.)
    Print a list of the titles, file names, and descriptions of templates and folders in a library | Click the Print Library Print Library button. (See Print a List of Items in a Library.)
    Remove an item from the library | Select the item and click Remove Item Remove Item button. (See Remove Items from a Library.)
    Remove an item from the library and places a copy of it on the Clipboard so you can paste it elsewhere in the library | Select the item and click the Cut Cut button.
    Copy an item in the library to the Clipboard so you can paste it elsewhere in the library | Select the item and click the Copy Copy button.
    Paste an item to a new location in the library | Select the folder in the library where you want the item pasted and click the Paste Paste button.
    Sort items in a library in ascending or descending order based on their titles | Select the folder on which you want to sort, and click the Sort Sort button. (See Sort Items in a Library.)
    Change an item's file name, title, or description | Select the item and click the Properties Properties button.
    View the file names for templates in the library (rather than the template titles) | Choose File Names (View menu). (To view template titles again, choose Template Titles.)
    Search for a specific template in the library list | Type the text for which you are searching in the Find box. HotDocs will show only those files that contain the search text in the template title, file name, or description. (See Search for a Specific Template in a Library.)
    Group templates you use most frequently in a Favorites folder | Select the template and choose Add to Favorites (Edit menu). (See Create a Favorites Folder in the Template Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Organize the Contents of a Library


HotDocs Help - Create a Favorites Folder in the Template Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Create a Favorites Folder in the Template Library

You can create a Favorites folder in your template library and add templates to it. This may be useful if you find you assemble some documents more than others and you want to access them quickly each time you view the library.

To add templates to a Favorites folder in the library

  1. At the template library, select the template you want to add to the Favorites folder.
  2. Click Add to Favorites (Edit menu).

If no Favorites folder exists, HotDocs creates the folder and adds the template to it.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Create a Favorites Folder in the Template Library


HotDocs Help - Create a New Library By Exporting Part of an Existing Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Create a New Library By Exporting Part of an Existing Library

You can create smaller libraries by exporting some of the folders and files of a larger, existing library. Creating a library this way eliminates the need to manually create a new library and then add each folder, template, or clause library to it.

When you export part of a library, HotDocs asks you for the file name and title of the new library. Then it creates the library, and finally creates the library references in it. During the process, you can choose to have HotDocs copy the files in the library you are exporting to the new location, or you can choose to have the library reference the original files.

Caution: Exporting will only export the files you select at the library. This means that if a template you are exporting contains references to other templates or files not listed in the library, those items will not be exported and you may receive errors when you attempt to use the template for assembly.

To export part of an existing library

  1. At the HotDocs library window, select the library items you want to export. (If you select a folder, all the items in the folder will be exported.)
  2. Choose File > Export Library To > HotDocs Library File. The Export HotDocs Library File dialog box appears.
  3. At the File name box, click Browse Browse, select a location for the new library, and enter a library name in the File name box. (Click OK when you are finished.)
  4. At the Export HotDocs Library File dialog box, enter a name for the new library in the Title box, or accept the suggestion HotDocs makes. This title will appear in the Properties tab of the HotDocs library window.
  5. Optionally, in the Description box, type a description of the library. (The description appears in the Properties tab when a library (or folder) is selected.)
  6. Click OK. HotDocs asks if you want to export the selected files:
    • Click Yes to copy the selected files to the same folder as the new library.
    • Click No to have the new library refer to the files in their current location.

After exporting the items, the original library items are still available. (HotDocs does not delete the references from the original library—templates can be referenced in multiple libraries.) If you want the old references deleted, select the library items and click Remove Item Remove Item.

HotDocs does not automatically display the new library. To open it, click Open Library Open and select the file name for the new library. (See Open a Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Create a New Library By Exporting Part of an Existing Library


HotDocs Help - Import One Library Into Another

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Import One Library Into Another

You can import a copy of another library into the current library. The imported library will become a folder in the current library.

There are three types of imported libraries. Which type you choose depends on how you need to use the library and its contents:

  • Assembly Only: You can use the library to assemble documents, but you can't change the library’s (or folder's) structure or edit a template. This type of import is useful, for example, when you want to access company templates stored on a network drive, but you don't have authorization to edit the templates or the imported library's structure.
  • Editing and Assembly Using Original Files: You can use the library to assemble documents and edit templates. You can also modify the structure of the library. The imported library references the same files as the original library. (Templates and clause libraries can be referenced in more than one library.) If you edit a template from either the imported library or the original library, changes you make will appear in documents produced from either library. This type of import is useful when you are maintaining company templates stored on a network.
  • Editing and Assembly Using Copies: You can use the library to assemble a document and edit templates. You can also modify the structure of the library. However, this method copies the files to a new location, rather than refers to the originals. Any changes you make to the templates are applied only to the copies and not the original files. This is useful if you are copying a library from a removable disk or network on your local disk.
Caution: When importing a library, HotDocs looks for the items referenced in the library in the same folder as the library itself. If they are not saved together, importing will not work.

To import one library into another

  1. At the HotDocs library window, select the folder where you want the imported library to be located.
  2. Click Import Library (File menu). The Import Library dialog box appears.
  3. Select the library you want to import and click Import. The Import Library dialog box appears.
  4. Choose how you want to import the templates:
    • Click Assembly Only to assemble documents from the templates—and nothing else.
    • Click Editing and Assembly to edit the templates and assemble documents from them.
  5. If you select Editing and Assembly, HotDocs displays another dialog box, prompting you to choose whether to copy the associated files or use the originals:
    • Click Yes to import copies of the files to a new location you specify. Changes you make to the templates will affect files in the new location only. The Browse for Folder dialog box appears, prompting you to specify where the copied files should be placed.
    • Click No to have the library reference the original files. Changes you make to the templates will affect everyone using those files to assemble documents.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Import One Library Into Another


HotDocs Help - Print a List of Items in a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Print a List of Items in a Library

You can print a list of the files and folders in the library currently displayed in the HotDocs library window, allowing you to see the library structure, as well as the file path and the description of each item.

To print a HotDocs library

  1. At the HotDocs library window, open the library whose contents you want to print. (See Open a Library.)
  2. Click the Print Print Library button. The Print dialog box appears.
  3. Click OK. The list of titles, file names, and descriptions are printed at the selected printer.
Note: To preview what the printout will look like before you print it, select Print Preview Print Preview (File menu). To return to the library window, click Close.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Print a List of Items in a Library


HotDocs Help - Save a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Save a Library

HotDocs saves all changes you make to a library immediately after you make the change. Clicking Save (File menu) simply displays a message confirming this.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Save a Library


HotDocs Help - Save the Contents of a Library as a Text File

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Save the Contents of a Library as a Text File

You can save the contents of a HotDocs library—including folder names, template file names, titles, and descriptions—as a text file. The hierarchy of the library is preserved within the text file. This is useful if you want to spell check the text used in your library. (To do this, you must open the text file in a word processor with spell-checking capabilities).

To save the library as a text file

  1. At the HotDocs library, select Export Library To > Plain Text File (File menu). The Save As dialog box appears.
  2. Select a location to save the text file to, enter a name for the file, then click Save. A .TXT file containing a tabbed list of the folder names and template titles is saved to the location you choose.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Save the Contents of a Library as a Text File


HotDocs Help - Move Items Within a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Move Items Within a Library

To organize your library, you can move an item to a different location in the same library by dragging, by cutting and pasting, or by copying and pasting.

Caution: These methods do not move the actual file to a different location on your local disk or network. See Move Items to New Locations on Disk for information on doing this.

To drag library items to a new location

  • At the HotDocs library window, select the library item and drag it to the new location using the mouse. (As you drag, HotDocs uses a horizontal bar to indicate where the item will be placed when you release the mouse button.)

To cut and paste several library items

  1. At the HotDocs library window, select the items you want to move.
  2. Click the Cut Cut button (or press Ctrl+X.)
  3. Select the new location and click the Paste Paste button (or press Ctrl+V).

To copy and paste several library items within the library

  1. At the HotDocs library window, select the items you want to copy.
  2. Click the Copy Copy button (or press Ctrl+C).
  3. Select the new location and click the Paste Paste button (or press Ctrl+V).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Move Items Within a Library


HotDocs Help - Move Items to New Locations on Disk

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Move Items to New Locations on Disk

Using the Move command (Template menu) at the HotDocs library window, you can move template and clause library files to new locations on your local disk or network. Using this command also updates the library reference to the file. (Moving files in other ways, for example, by using Windows Explorer, requires that you manually update the library reference. See Change the Properties of a Single Library Item or Change the Properties for Multiple Items in a Library.)

To move template and clause library files

  1. At the HotDocs library window, select the templates and clause libraries you want to move.
  2. Select Move Template Move (Template menu). The Browse for Folder dialog box appears.
  3. Select the folder where you want to move the files.
  4. Click OK. HotDocs automatically removes all associated files (component files, default answer files, and so forth) from the old location, pastes them at the new location, and then updates the references to the files in the HotDocs library.

HotDocs handles the Move command a little differently if you are moving the template from a folder that contains another template with the same file name but different file name extension (for example, if you are moving Invoice.rtf from a folder that also has Invoice.wpt). In such a case, HotDocs copies the associated component file to the new folder, but does not delete it from the original folder because it is still needed by the other template.

Note: You can also copy templates to new locations on disk and have the library reference updated. See Copy Templates to New Locations for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Move Items to New Locations on Disk


HotDocs Help - Copy Templates to New Locations

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Copy Templates to New Locations

Often you need to make a copy of a template and save it to a new location on disk. You can use the Copy command at the template library to do this. As you are copying, you can choose to make the template and component file read-only. You can also choose to update the reference to the file in the library so the library refers to the copied template rather than the original.

To copy the template to a different location

  1. At the HotDocs library window, select the templates and clause libraries you want to copy. (Press Ctrl or Shift to select multiple items.)
  2. Choose Copy (Template menu). The Folder for Copied Templates dialog box appears.
  3. Browse to the folder where you want to copy the template or templates and click OK. The Copy Templates dialog box appears, asking you to set some properties for the copied templates:
    • Select Mark newly created templates as read-only to keep users from editing the template. (This assigns the read-only property to both the template and the component file.)
    • Select Update library entries to refer to the newly created templates to have HotDocs change the file path for the library item so that it uses the file path for the copied template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Copy Templates to New Locations


HotDocs Help - Creating and Working with Template Files

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Creating and Working with Template Files

Overview: Template and Component Files

HotDocs Editing and Navigation Toolbar Buttons

Create a New Text Template File

Create a Text Template Based on an Existing Template

Convert a Single Template to a New File Format

Edit a Template

Assign Colors to Fields and Instructions in Templates

Move Between Fields in a Template

Use Labels to Identify Instructions

Go to a Specific Field in the Template

View the Template in Markup View

View an Outline of Scripting in the Template

Create a Foreign Language Template

Tips on Using Graphics in Word Templates

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files


HotDocs Help - Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Overview: Template and Component Files

The Template File

The first step in automating a new HotDocs template is to create a template file. You can create three types of template files: text templates, form templates, and interview templates.

  • A text template is created and automated in Microsoft Word or WordPerfect. You can modify the underlying text of a text template both as you automate the template and as you view the assembled document in the word processor. (See Create a New Text Template File.)

    HotDocs assembles all Word templates using an RTF-based assembly process. This means that if your template is in DOT format, HotDocs must open it, convert it to RTF, and then assemble it. By developing the templates in RTF, you can reduce the number of steps in this process, thus decreasing the amount of time it takes to assemble a document. In larger, more complex templates, this difference in speed will be quite noticeable.

  • A form template uses a Windows program (such as a draw program) to create a static form, or one in which the user will not be able to change or modify the underlying text. Once designed, you then use HotDocs to create a PDF version of the form. Finally, you use HotDocs Automator to place fill-in fields on the form where users' answers will be inserted. (See Create a Form Template.)
  • An interview template gathers common information (such as court, attorney, or client information) and saves the answers for use in assembling other documents. Unlike text and form templates, users cannot generate documents from an assembled interview template—they can only generate an answer file. (The interview template is really a component file that contains ASK instructions. See Create an Interview Template.)

The Component File

When you create a new template file, HotDocs automatically creates a companion file called the component file. The component file contains information about variables and other components used in the template. Both the template file and the component file are necessary for a template to work. Whenever you copy a HotDocs template—for example, to share a template with another user—you must be sure to copy both the template file and the component file.

HotDocs gives the component file the same name as the template file, except that the file name extension for the component file is .CMP. For example, if the template file name is Insure.rtf (for a Word template), the component file name will be Insure.cmp.

The following example shows a fully automated text template with its component file.

Component File Example

The component file works automatically in the background—as you create various components in the template, they are automatically stored in the component file. Normally each template uses its own component file, but you can make two or more templates share one component file.

You work with components in the component file using Component Manager. For example, you can copy variables or other components from one component file to another, create variables, and drag variables from Component Manager directly into the template. You can also edit, print, search, and spell check components within your component file. Finally, if you need to edit components in several component files at once, you can use Template Manager.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Overview: Template and Component Files


HotDocs Help - HotDocs Editing and Navigation Toolbar Buttons

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

HotDocs Editing and Navigation Toolbar Buttons

When you create a text template, HotDocs adds an editing toolbar as well as a navigation toolbar to the word processor window. This toolbar lets you perform basic HotDocs tasks, such as inserting variables, opening Component Manager, test assembling the template, or matching REPEAT and IF instructions with their END instructions.

Since HotDocs works inside your word processor, you use word processor commands for many basic tasks, such as typing text in the template, assigning font attributes and page formatting, and printing. Tasks that are specific to HotDocs are performed by using the HotDocs buttons. The following is a list of these buttons, followed by a description of what each button does:

Note: To access these buttons in Word 2007 and later, click the HotDocs tab on the Word ribbon.
Button Name | Description
HotDocs | Either starts HotDocs and opens the HotDocs library window, or brings it to the front if it is already open. (This button is always in the word processor toolbar, regardless of whether HotDocs is running.)
Variable Field | Opens the Variable Field dialog box where you can select the type of variable field you want to create and insert. If the cursor is in a variable reference, HotDocs opens the Variable Field dialog box with that information already appearing. Note: If you're using Word 2000 or higher, you can double-click in a variable field and the Variable Editor will appear.
IF Field | Opens the IF Field dialog box where you can create a true/false test for conditional text. If you need a more complex test, click IF Expression at the IF Field dialog box.
ASK Field | Opens the ASK Field dialog box where you can create and insert an ASK instruction in the template. An ASK instruction causes either a dialog or a database to be asked at a specific place in the template.
INSERT Field | Opens the INSERT Field dialog box where you can choose to insert a clause, clause library, or template. You can also convert a selected section of template text into an inserted template or clause component.
REPEAT Field | Opens the REPEAT Field dialog box where you can specify a dialog to gather information for a list. At this dialog box, you can also specify a sort order, filter, and format for merging the list of answers into the document. You can also REPEAT a database component.
SPAN Field | Opens the SPAN Field dialog box where you can enter a name for the Span component you are creating. SPAN fields represent the section of text you want to allow the user to edit while viewing the Document Preview tab. (Giving users access to the assembled document from the assembly window lets users save document text changes to an answer file so they can reassemble the document later and still maintain those changes.)
Edit Component | Opens the Component Editor where you can modify the properties of an existing component. (If your cursor is outside a component field, HotDocs will allow you to create a new component. However, if you create a new component, it will only be saved to the component file—it will not be inserted into the template.)
Assemble | Test assembles the document or a selected portion of the document.
Component Manager | Opens the Component Manager window where you can create, edit, delete, rename, and copy components.
Clause Library | Opens a clause library where you can create new clauses or add existing clauses.
Save Template and Component File | Saves the template and component file you are currently editing.
Save and Close Template Save and Close | Saves and closes the template and component file you are currently editing.
HotDocs Help | Displays the HotDocs Help viewer, which contains information on automating templates and assembling documents.
Apply Colors | Assigns custom colors to the different field types in the template. This can help you more quickly identify sections or parts of your template as you are automating. (You can choose the colors at HotDocs Options.)
Label Fields | Opens the Label Fields dialog box where you can choose to label matching IF and END IF instructions, REPEAT and END REPEAT instructions, and SPAN and END SPAN instructions. Additionally, where you've nested these instructions, you can identify the level of nesting. Finally, you can assign the word processor's hidden text property to these comments and labels so that you can show and hide them during automation.
Match Fields | Moves your cursor between opening IF, REPEAT, and SPAN instructions and closing END IF, END REPEAT, and END SPAN instructions. This can help you troubleshoot problems where one of the instructions is accidentally moved or deleted.
Go to Field Go to Field | Moves you cursor to a specific variable or instruction field in the template. This can be useful when you receive errors and need to quickly locate the field in the template containing the error.
Previous Field / Next Field Previous Field / Next Field | Allows you to navigate through the template, field by field. This may be useful if you have several pages in a template without any variable fields—navigating by fields allows you to skip these pages, rather than scrolling through them until you find the next field.
Markup View / Developer View Markup View / Developer View | Switches the look of the template between Markup View and Developer View. Markup View provides a simpler view of the template (which can then be saved and shared with a non-HotDocs user who needs to review the content of the template, for example). Developer View is the mode in which you automate the template.
HotDocs Outliner | Opens the HotDocs Outliner so you can review an outline of scripting (and variables) used in the template. Note: HotDocs Outliner is only available for 32-bit versions of Word.
Note: You should always use the HotDocs Save Save and Close Save and Close buttons to save and close a template rather than the word processor's buttons. The HotDocs buttons ensure the template and component files are properly saved and closed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > HotDocs Editing and Navigation Toolbar Buttons


HotDocs Help - Create a New Text Template File

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Create a New Text Template File

A text template is a word processor file that contains text as well as HotDocs components, such as variables, dialogs, instructions, scripts, and formats. The first step in automating a HotDocs text template is to create a new template file that contains your document text.

Caution: Do not create your templates in the tutorial library that installs with HotDocs. If you ever reinstall HotDocs, the library will be overwritten and you will have to add your templates to the library again. Instead, create a new library for your templates. (See Create a Library.)

To create a new text template

  1. At the HotDocs template library, click the folder in which you want the template.
  2. Click New Template New Template. The New Template dialog box appears.
  3. Select the type of text template you want to create from the Type drop-down list. Depending on which word processor(s) you have installed, your options include Word RTF Template (.rtf), Word Document Template (.dot), and WordPerfect Template (.wpt).
  4. Type a file name in the File name box. HotDocs automatically adds the correct extension to the file name based on the type you have selected. (To save the template in a location other than the default Templates folder, include the folder path with the file name in the File name box. You can check the default Templates location at the HotDocs Options dialog box. See Change Word Processor File Locations.)
  5. Type a title for the template in the Title box (or accept the suggestion HotDocs makes). The title is what identifies the file in the library.
  6. Optionally, enter a description in the Description box. Descriptions appear in the Properties tab of the library when the template is selected.
  7. Select the contents for the new template:
    • To create an empty template file, select Empty. (You can type or copy and paste text into your template later.)
    • To copy the contents of the currently open word processor file into the new template, select Current open word processor document.
    • To copy the contents of some other file (for example, a word processor document or another HotDocs template) into the new template, click the Browse Browse button next to Other file box and locate the file.
  8. Click OK at the New Template dialog box. HotDocs opens your selected word processor and displays the template. You can use the HotDocs editing toolbar to begin automating the template. (See HotDocs Editing and Navigation Toolbar Buttons.)
Note:
  • If you are using Microsoft Word to develop your templates, it is recommended that you create RTF (Rich Text Format) templates. RTF templates assemble much faster than .DOT templates. (See Overview: Template and Component Files for more details.)
  • When you create a new, empty Word template, HotDocs applies whatever styles are in HotDocs.dot to the new template. When you create a new template based on another template or document, HotDocs applies the styles used in that template or document to the new template.
  • You can include command-line options (in the File name box) that allow you to specialize the assembly process for a given template. See Overview: Command-Line Options.
  • If you have multiple word processors installed, you can have HotDocs always suggest a specific template type when you create a new template. See Change Your Default Word Processor.
  • If you need to use your template with earlier versions of HotDocs, you must specify which version at Component File Properties. See Change Component File Properties for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Create a New Text Template File


HotDocs Help - Create a Text Template Based on an Existing Template

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Create a Text Template Based on an Existing Template

You can create a new text template based on the contents of a text template already in the library. When you create a new template based on another template or document, HotDocs applies the styles in that file to the new template. It also copies the template text (including components) into the new template (and component) file.

Caution: Do not create your templates in the tutorial library that installs with HotDocs. If you ever reinstall HotDocs, the library will be overwritten and you will have to add your templates to the library again. Instead, create a new library for your templates. (See Create a Library.)

To create a new template based on an existing one

  1. At the HotDocs library, select the existing template from the template list.
  2. Click New Template New Template. The New Template dialog box appears.
  3. Change the file name and title for the new template (at the File name and Title boxes).
  4. Do not change the existing template’s file path and name in the Other file box.
  5. Click OK. HotDocs opens a new template file and copies the text and variables from the Other file into it. It also creates a new component file and copies the existing components into it.
Note: Another way to create a new template based on an existing template is to use the Copy Templates command. (See Copy Templates to New Locations.) Once you have copied the template and component file, simply rename the files using Template Manager. See Rename Templates Using Template Manager.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Create a Text Template Based on an Existing Template


HotDocs Help - Convert a Single Template to a New File Format

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Convert a Single Template to a New File Format

Note: To convert multiple files at once or to convert all templates to RTF, use Template Manager. (See Convert Multiple Templates to Work with HotDocs 10 and Convert Templates and Clauses to Microsoft RTF.)

HotDocs 10 uses a file format for component files that is different from earlier versions of HotDocs. To take full advantage of the features available in this latest version of HotDocs, you must convert your component file to the current format. However, if users of your templates are still using previous versions of HotDocs, you can keep the files in their existing formats.

Additionally, perhaps you've changed word processors and need to convert all your templates from one file type to another.

Caution: It is a good idea to back up templates, component files, or other HotDocs files before making major changes to them.

To convert an older HotDocs template to the latest version of HotDocs

  1. At the template library, select the template you want to convert and click Edit Template Edit Template. HotDocs displays a message box asking how you would like to convert the template.
  2. Make your choice, based on the following options:
    • Click Convert to Current Format to convert the template to HotDocs 2009-10 format. If you select this option, the format shown at Component File Properties will continue to be set to Current.
    • Click Keep Existing Format to leave the component file in the format it is already in. If you select this option, HotDocs will set that specific format for the component file at Component File Properties.
    • Click Cancel to close the message box and cancel the conversion process.
Note: If you need to keep several templates in their existing pre-2009 format and you don't want to be prompted to make this selection on a template-by-template basis, you can use Template Manager to change the component file format for several files at once. See Modify Component File Properties Across Multiple Files for details.

If you are converting a HotDocs 5 template, you should verify the template works correctly in HotDocs. For details about this, see Verify HotDocs 5 Templates for Use with HotDocs 10.

To convert a template to a new word processor format

  1. Select the template at the HotDocs library and click New Template New Template. The New Template dialog box appears.
  2. Click the Type drop-down button and select the new word processor. The file name extension in the File name box is changed to the new word processor format.
  3. Optionally, change the Title and Description of the template.
  4. Do not change the information in the Other file box.
  5. Click OK. HotDocs converts the template to the new format and displays it in the appropriate word processor. The quality of the template conversion depends on your word processor’s conversion capabilities. Complex text formatting, unusual fonts, and so forth, may not be converted correctly. You should check new versions of templates for conversion errors.

Once you have updated your template, the old template may still be listed in the library. This happens when old and new versions of the template have different file name extensions. Delete the old version from the library. (See Remove Items from a Library.)

Note: You can designate that component files always be compatible with a specific version of HotDocs (starting with HotDocs 6). See Change Component File Properties for details. When doing this, however, you must be careful not to use features in the template that are not backwards compatible. For example, if you are using HotDocs 10 to edit a template that you want to be compatible with HotDocs 2005, you should not use any features that were introduced in HotDocs 2006, HotDocs 2007, HotDocs 2008, HotDocs 2009, or HotDocs 10 because they may not work with HotDocs 2005.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Convert a Single Template to a New File Format


HotDocs Help - Edit a Template

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Edit a Template

Once you have automated a text or form template, you may need to make changes to your work. You can edit variables, dialogs, instructions, and other features.

To edit a template

  1. At the HotDocs library, select the template and click Edit Template Edit. The template opens and the HotDocs Edit toolbar appears.
  2. Once the template is open, you can edit variables, custom dialogs, REPEAT instructions, INSERT instructions, and IF instructions.
  3. When you finish, click the Save and Close Template Close Template button to save your work and close the template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Edit a Template


HotDocs Help - Assign Colors to Fields and Instructions in Templates

Overviews

  • Overview: Include Lists in Your Documents
  • Overview: Make Parts of Templates Conditional
  • Overview: Template and Component Files

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Convert a Single Template to a New File Format
  • Count the Number of Entries in a List
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a REPEAT Instruction to Gather a List of Answers
  • Create a Text Template Based on an Existing Template
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Edit a Template
  • Edit an IF Instruction or Expression
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Go to a Specific Field in the Template
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Move Between Fields in a Template
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Nest IF Instructions
  • Tips on Using Graphics in Word Templates
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Assign Colors to Fields and Instructions in Templates

Note: Click here if you are using WordPerfect and the HotDocs Navigation toolbar doesn't appear in your template.

You can assign custom colors to the different types of fields in a template. This can help you more quickly identify sections or parts of your template as you are automating. Additionally, you can assign colors to IF, REPEAT, and SPAN instructions in your templates. Assigning different combinations of these colors can help you differentiate levels of nesting as well as help you better view individual pairs of instructions.

By default, HotDocs assigns its own colors; however, you can customize the colors at the HotDocs Options dialog box. (See Define Field Colors.)

To apply custom colors to template fields and instructions

  1. Open the template for editing. (See Edit a Template.)
  2. Click the Apply Colors Apply Colors button. The Apply Colors dialog box appears.
  3. Select one of the following options:
    • Choose None to make all variable and instruction fields black.
    • Choose Regular to mark all variable and instruction fields using a custom color specific to that field type. For example, all variables will be marked with one color, all IF instructions will be marked with a different color, all REPEAT instructions will use a different color, and so forth.
    • Choose Nested to mark each level of IF and REPEAT instructions using a custom color. (For example, all first-level IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.)
    • Choose Sequential to mark each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)
Note:
  • If you change your default colors, or if you receive templates from other developers whose colors are different from yours, you can click the Apply Colors Apply Colors button to update existing templates with your custom colors.
  • If you're using Microsoft Word, you can also apply colors by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Apply Colors. (To access this menu button in Word 2007 and later, click the HotDocs HotDocs drop-down button.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Assign Colors to Fields and Instructions in Templates

More... (2)

Home > All About... > Creating Lists of Answers > Assign Colors to Fields and Instructions in Templates

Home > All About... > Creating and Working with Template Files > Assign Colors to Fields and Instructions in Templates


HotDocs Help - Move Between Fields in a Template

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Move Between Fields in a Template

Note: Click here if you are using WordPerfect and the HotDocs Navigation toolbar doesn't appear in your template.

You can navigate through the template, field by field, using the Next Field Next Field and Previous Field Previous Field buttons in the HotDocs Navigation toolbar. This may be useful if you have several pages in a template without any variable fields—navigating by fields allows you to skip these pages, rather than scrolling through them until you find the next field.

To move between fields in the template

  1. Open the template for editing. (See Edit a Template.)
  2. Place your cursor somewhere in the template and click either the Next Field Next Field or Previous Field Previous Field button. HotDocs moves your cursor to the next or previous field in the template and highlights it. (If you're using Word 2000 or later, you can quickly edit the variable field by double-clicking in the field.)
Note: If you're using Microsoft Word, you can also move between fields by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Next Field or Previous Field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Move Between Fields in a Template


HotDocs Help - Use Labels to Identify Instructions

Overviews

  • Overview: Include Lists in Your Documents
  • Overview: Make Parts of Templates Conditional
  • Overview: Template and Component Files
  • Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Convert a Single Template to a New File Format
  • Count the Number of Entries in a List
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a REPEAT Instruction to Gather a List of Answers
  • Create a Text Template Based on an Existing Template
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Edit a Template
  • Edit an IF Instruction or Expression
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Go to a Specific Field in the Template
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Move Between Fields in a Template
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Nest IF Instructions
  • Tips on Using Graphics in Word Templates
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Use Labels to Identify Instructions

Note: Click here if you are using WordPerfect and the HotDocs Navigation toolbar doesn't appear in your template.

You can assign labels to IF, REPEAT, and SPAN instructions to help you identify pairs or groups of instructions in a text template. When you label fields, you can choose to merge just a numeric name in a field or you can choose to merge a name as well as the level of nesting. This can help you match opening instructions with closing, as well as help you determine the level of nesting within an instruction.

Field labels are merged as comments in the field.

The following example shows a series of nested REPEAT instructions that have been labeled. The first instruction, REPEAT Editor Information, is labeled with the number 1, since it's the first REPEAT in the template. This same instruction is also assigned the level number of L1, since it's the first level of the REPEAT instruction. The END REPEAT is likewise labeled so that you can easily match them when examining the contents of the template.

For each subsequent instruction, HotDocs increments the field number. Additionally, if the next REPEAT instruction is nested (which, in this example, it is), HotDocs increments the nesting level number. Each END REPEAT instruction is likewise labeled.

«REPEAT Editor Information // [1:L1]»
Editor:  «Editor First Name» «Editor Last Name»
«REPEAT Author Information // [2:L2]»
Author:  «Author First Name» «Author Last Name»
«REPEAT Book Information // [3:L3]»
Title Edited / Date Completed:  «Book Title» / «Date Completed:03 JUN 90»
«END REPEAT // [3:L3]»
«END REPEAT // [2:L2]»
«END REPEAT // [1:L1]»

When assigning labels to fields, you can choose whether to include both the field number and the nesting level. You can also choose to merge just one or the other.

Finally, you can have HotDocs assign the hidden text property to these labels (as well as any other comments you've assigned to fields in the template.) When this property is assigned, comments and labels will be hidden and shown, depending on whether you are viewing hidden text in the template. (For information on viewing hidden text, see your word processor's documentation.)

To label instructions

  1. At the text template, click the Label Fields Label Fields button. The Label Fields dialog box appears.
  2. Select an option, based on the following information:
    • To assign a numeric name to each instruction, select Label IF, REPEAT, and SPAN instructions.
    • To have HotDocs identify the level of nesting for each instruction, select Identify level of nested IF, REPEAT, and SPAN instructions.
    • To apply the hidden text property to comments and labels, select Place comments (including field labels) in hidden text. Once applied, you can quickly show and hide your comments and labels by choosing the appropriate command at the word processor.
  3. Click OK. HotDocs applies the labels you have selected to any instructions in the template.
Note:
  • SPAN fields are supported in Microsoft Word only.
  • To clear labels from fields or show comments once again, click the Label Fields Label Fields button, clear all of the options, and click OK.
  • If you're using Microsoft Word, you can also label fields by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Label Fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Use Labels to Identify Instructions

More... (3)

Home > All About... > Creating Lists of Answers > Use Labels to Identify Instructions

Home > All About... > Marking Editable Text in a Template > Use Labels to Identify Instructions

Home > All About... > Creating and Working with Template Files > Use Labels to Identify Instructions


HotDocs Help - Go to a Specific Field in the Template

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Go to a Specific Field in the Template

As you test assemble your templates, you may occasionally receive HotDocs error messages that instruct you to correct a problem in a specific field in the template. If you know the field number, you can have HotDocs move your cursor to the specific field in question.

To move your cursor to a specific variable field

  1. At the template, click the Go To Field Go to Field button. The Go To Field dialog box appears.
  2. Enter a number in the Field number box.
  3. Click OK. Your cursor is taken to that field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Go to a Specific Field in the Template


HotDocs Help - View the Template in Markup View

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

View the Template in Markup View

Note: Markup View is supported in Microsoft Word templates only.

As you automate a Microsoft Word template and create within it variable and instruction fields, the template can be complicated to read and understand, especially to someone unfamiliar with automation. At times, however, you may need for a subject matter expert to review the text of the template for accuracy or to make changes or edits. To make the template easier for a non-HotDocs user to review, you can change the formatting of the template to Markup View and then provide the reviewer a copy of it.

When displaying markup, HotDocs replaces variables and instructions in the template with markup fields, which include markers (such as brackets) and a name. How the resulting markup field looks depends on the type of field it is:

  • Variables: By default, variables are marked using brackets. If a comment is assigned to a variable, it will be used as the field name. If no comment is assigned, HotDocs will use either the variable's title or name.
  • IF, REPEAT and SPAN instruction blocks: By default, IF, REPEAT, and SPAN instruction blocks are marked using brackets. If a comment is assigned to these text blocks, the comment can be merged in the field label. If no comment is assigned, HotDocs will simply merge the field markers around the text block. The instruction text can appear as an annotated footnote or endnote (depending on your preferences). (By default, SPAN instructions are not included in the Markup View. You can select an option to display them, however.)
  • INSERT instructions: HotDocs will merge the file name of the template you are inserting.

All other instructions (such as ASK, LANGUAGE, etc.) will be hidden when the template is changed to Markup View.

Once you finish automating a template and switch to Markup View, you can save the template as a document file and provide a copy of it to the reviewer. Please note, however, that when you (or the reviewer) are viewing a marked up template (in HotDocs), you cannot edit existing variable fields or instructions—you must switch back to Developer View to edit those fields.

To view a template in Markup View

  1. Define the Markup View options you want to use in the template. (See Specify How Documents Should Be Marked Up.)
  2. Edit the template you want to mark up. (See Edit a Template.)
  3. Click the Markup View Markup View button. The template changes to show the marked up template.
Note:
  • To view a developer version of the template again, click the Developer View Developer View button.
  • You can also view a marked up version of your assembled document. See View an Assembled Document in Markup View for details.
  • Sometimes as you automate a template, you create Computation variables that perform some function, rather than merge values. To keep these types of Computation variables from appearing in a marked up document, enter NONE as the variable's title.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > View the Template in Markup View


HotDocs Help - View an Outline of Scripting in the Template

Overviews

  • Overview: Instruction and Expression Models
  • Overview: Template and Component Files

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • HotDocs Editing and Navigation Toolbar Buttons
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Tips on Using Graphics in Word Templates
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

View an Outline of Scripting in the Template

Note: The HotDocs Outliner is supported in Microsoft Word 2000 and later only. Only 32-bit versions of Word are currently supported.

Using the HotDocs Outliner, you can generate an outline of scripting in the template. This outline can include just a list of instructions used in the template, or it can include variables as well. Items in the outline appear in the same order as they are used in the template. Viewing this outline may help you better understand the logic used in the template.

You can expand the outline to view all nested instructions in the template. You can also click on entries in the outline and view where that particular variable or instruction is merged in the template (and vice-versa). You can also view a single variable or instruction and see just the conditions or instructions surrounding that particular instance.

To view a scripting outline

  1. Edit a Word text template. (See Edit a Template.)
  2. In the HotDocs Edit toolbar, click the HotDocs Outliner HotDocs Outliner button. The HotDocs Outliner window appears.
  3. Perform any tasks, as described in the following table:
    To | Do This
    Arrange the Outliner with the Microsoft Word window | Adjust the Outliner to the width you want and click the Arrange Windows Arrange Windows button.
    View all instructions in the template—including all nested instructions

    Click the Expand All Expand All button. The outline expands to show all levels of instructions.

    To collapse the interview outline, click the Collapse All Collapse All button.

    Update the Outliner after making changes in the template | Click the Refresh Outline Refresh Outline button. The outline updates and displays any changes you've made to the template text.
    View the template's cursor location in the outline | Click the Synch Template Synch Template button. Now, when you click in the template, entries in the outline are highlighted to show where in the outline your cursor position is.
    View variables used in the template

    Click the Show Variables Show Variables button. The outline expands to include all variables merged in the template.

    Viewing variables allows you to see relationships between variables and any surrounding instructions.

    Apply color coding to instructions in the outline Click the Apply Colors Apply Colors button. The Apply Colors dialog box appears, where you can choose the color scheme you want to use in the outline:
    • Choose None to make all variable and instruction entries black.
    • Choose Regular to mark all variable and instruction entries using a custom color specific to that field type. For example, all variables will be marked with one color, all IF instructions will be marked with a different color, all REPEAT instructions will use a different color, and so forth.
    • Choose Nested to mark all instructions using a custom color. Where pairs of REPEAT, IF, or SPAN instructions are nested, each level of nesting will be marked with its own color.
    • Choose Sequential to mark all instructions using a custom color. Each pair of REPEAT, IF, and SPAN instructions in the template will be marked by a different color.
    Copy the contents of the script outline to the Windows Clipboard so you can paste it into another application | Click the Copy to Clipboard Copy to Clipboard button. The entire outline is copied. Open another application and then paste the script using that application's Paste command.
    View all conditions or other instructions surrounding the inclusion of a specific variable in the outline | Select Limit to and then click the drop-down button to select the variable you want to view. The outline changes to show any REPEAT or IF instructions that affect that particular variable.
    View the conditions or other instructions surrounding the cursor position in the template | Select Limit to and then choose <cursor position> from the drop-down list. Click in the template where you want to view these instructions or conditions.
    Edit or test an instruction or variable in the outline | Right-click on the instruction or variable in the outline and choose Edit or Test.
    Have HotDocs show you where in the template a REPEAT, IF, or SPAN instruction's END instruction is inserted | Right-click on the instruction in the outline and choose Find Matching END. In the template, the instruction is highlighted.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > View an Outline of Scripting in the Template

More... (1)

Home > All About... > Creating and Working with Template Files > View an Outline of Scripting in the Template


HotDocs Help - Create a Foreign Language Template

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Create a Foreign Language Template

You can automate templates in languages other than English. There are requirements for doing so, however. Specifically, you must create a LANGUAGE instruction in the template that, in turn, calls a special runtime DLL that lets you format dates and numbers in the template so they appear correctly in the assembled document.

When formatting date and number variables in your template, you must manually enter example formats in the language you have chosen for your template. If you attempt to use English-language formats, your date and number variables will not be processed correctly.

Caution:HotDocs supports formatting dates and numbers only in the languages listed below. If you are automating templates in a languages other than these and need specially formatted dates or numbers, you must use Text variables to represent these variables.

To create a template using a foreign language instruction

  1. Create your template, using document text in the language you have chosen.
  2. Create variables and dialogs, using variable names and prompts in the language you have chosen.
  3. When inserting Date and Number variables, type the example format—in the foreign language—in the Format box. For example, if you have a French Date variable, you would type 3 Juin 2000. (Where you assign this format—either at the Date Variable Editor or at the Variable Field dialog box—depends on your project. See Format the Variable for ideas.)
  4. Position the cursor in the template where you want the LANGUAGE instruction to take effect.
  5. If you are using Microsoft Word, click the HotDocs drop-down menu in the HotDocs toolbar and choose Other Field from the list of options. The Other Field dialog box appears. (WordPerfect users, see step 10.)
  6. Click the Field type drop-down button and choose LANGUAGE.
  7. Click the Language drop-down button and choose the language you are using for the template. Your options include:
    Language | Code
    English | ENG
    German | DEU
    Swiss German | DES
    Austrian German | DEA
    French | FRA
    Dutch | NLD
    Spanish | ESN
    Italian | ITA
  8. Optionally, enter the punctuation character you want to use for the Thousands separator and the Decimal separator in the appropriate boxes.
  9. Click OK. The instruction is merged in the template.
  10. If you are using WordPerfect, copy and paste an existing variable and then replace the text between the chevrons (« ») with the language instruction. For example: «LANGUAGE FRA».

Once the instruction is in the template and the document is assembled, all Date and Number variables after the LANGUAGE instruction are processed in that specific language.

Note:
  • Only the Spanish language DLL recognizes the gender-specific use of the word one. Options for that language include uno, una, and un.
  • The LANGUAGE instruction only affects date and number formats. You can use the default formats for the other types of variables or create your own. For example, if you want to use a Spanish True/False variable format, type Sí/No in the Format box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Create a Foreign Language Template


HotDocs Help - Tips on Using Graphics in Word Templates

Overviews

  • Overview: Template and Component Files

Reference Material

  • HotDocs Editing and Navigation Toolbar Buttons
  • Tips on Using Graphics in Word Templates

How Do I...?

  • Assign Colors to Fields and Instructions in Templates
  • Convert a Single Template to a New File Format
  • Create a Foreign Language Template
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Edit a Template
  • Go to a Specific Field in the Template
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • View an Outline of Scripting in the Template
  • View the Template in Markup View

Tips on Using Graphics in Word Templates

When automating templates, you often need to include graphics in the template. These graphics can represent company logos, illustrations, signatures, and so forth.

As you work with these files in the template, you may notice that their inclusion adversely affects template size and performance. A template without any graphics can easily jump in size from, say, 100K to 4 MB when you add a graphic file. This may happen because the size of the original graphic file is large even before you insert it, or it may happen because Word is copying the graphic and inserting it again as a metafile object. Additionally, sometimes graphics you insert in a header/footer may inadvertently be left in the header/footer, even if you think you have removed them.

Note: Word stores any graphics in a .DOC file in a compressed format that is close to the size of the original imported image. The RTF format, however, is a character-based document format, so graphic images must be converted to character strings. When images are large, have high resolution, or are of certain difficult-to-represent formats (particularly bitmaps), they become very large in RTF files.

Proper use of graphics in templates can minimize and even eliminate many of these problems. The following sections describe some steps you can take to improve your experience.

Minimize the File Size of the Graphic Outside of Word

When adding graphics to your template, you should do all you can to minimize the size of the file before you insert it into the document. The following tips should help:

  • Save the file in one of the following compressed formats: JPG, PNG, or GIF. Which format you choose depends on the type of graphic you are inserting. For example, if you are inserting a picture, you should use JPG. For simpler images, like illustrations or icons, you can use GIF. Do not insert uncompressed files such as Bitmaps (.BMP) in the template.
  • Save graphic files in the lowest acceptable resolution. Resolution for an image printed on a laser printer should display well at 120 dpi (or dots per inch), but some may wish to go as high as 150 dpi.
  • Crop and/or resize the file using a graphics-editing application. Even though Word includes tools for cropping or resizing the graphic directly in the document, these tools do not reduce the actual size of the file that is embedded in the template.

Keep Word from Storing Metafile Versions of Your Graphics

According to a Microsoft Knowledge Base article, "if an EMF, a PNG, a GIF, or a JPEG graphic is inserted into a Word [RTF] document, when the document is saved, two copies of the graphic are saved in the document. Graphics are saved in the applicable EMF, PNG, GIF, or JPEG format and are also converted to WMF (Windows Metafile) format." Graphics stored in an RTF file in Windows Metafile format can be extremely large.

To resolve the problem, you can specify a Windows registry setting that keeps Word from saving two copies of the image.

Caution:You must be extremely careful when working in the Windows registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.

To keep Word from saving two copies of graphics in your templates

  1. Close Word (if it's running.)
  2. Click Start > Run. The Run dialog box appears.
  3. In the Open box, type regedit and click OK. The Registry Editor opens.
  4. Navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > Version > Word > Options. (Replace Version with the version of Word you are using.)
  5. In the right pane of the window, right-click and choose New > String Value from the shortcut menu. A new string is created called New Value #1.
  6. Rename the value to ExportPictureWithMetafile. (To do this, you can choose Rename from the shortcut menu.)
  7. Once the name is changed, right-click on the string and choose Modify. The Edit String dialog box appears.
  8. In the Value data box, enter 0.
  9. Click OK.

If templates already contain these extra metafile images, you can remove them using the Hidden Data Remover tool in HotDocs. See the HotDocs Help for more information on using this tool.

Use Graphics in Headers and Footers Correctly

Often, you design your templates using company letterhead. Frequently this letterhead includes a company logo or icon, which you choose to include on the first page of the document only. In this situation, you would typically select the Different First Page option, and then remove the graphic from any subsequent pages in the document. Problems come if you later decide you don’t want a different first page header and you then clear the Different First Page option without first removing the graphic from the first page header. What happens is, Word assigns the headers from page 2+ to the first page so you can no longer see the graphic, but the graphic is still there. If you do not want graphics in your headers or footers, you must manually delete them before changing your header/footer options.

Note: This same behavior can also happen when selecting the Different Odd & Even Pages option.

Conclusion

In short, make sure you adhere to the following rules:

  1. Use an image file format that works well in RTF files. Generally this is JPG, although some types of images (e.g. line drawings) may be smaller in another format.
  2. Size and crop images as required in the template before inserting them. Don’t use Word’s sizing/cropping or other picture manipulation features.
  3. Use the lowest acceptable resolution for images (in order to decrease file size).
  4. Insert images only where needed; avoid putting images in first page or odd/even headers that aren’t used in the template.
  5. Implement the registry setting that keeps Word from creating Windows Metafile Format copies of images in documents.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Template Files > Tips on Using Graphics in Word Templates


HotDocs Help - Inserting Variables in Text Templates

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Inserting Variables in Text Templates

Overview: Create and Customize Variables

Insert a Variable Field in a Text Template

Replace Other Instances of Selected Text with a Variable

Create and Insert a Variable Using Component Manager

Add a Comment to a Variable or Instruction Field

Edit a Variable

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Variables in Text Templates


HotDocs Help - Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Create a Prompt for a Variable
  • Create and Insert a Variable Using Component Manager
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Insert a Personal Information Variable
  • Insert a Variable Field in a Text Template
  • Merge the Name of the Answer File in the Document
  • Name a Group of Merge Text Values
  • Replace Other Instances of Selected Text with a Variable
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use Automatic Paragraph Numbering
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Overview: Create and Customize Variables

Once your document text is in a template file, you must replace variable text (text that changes each time you assemble a document) with HotDocs variables. Examples of variable text include names, dates, pronouns, numbers, and calculations. A variable is what prompts HotDocs to ask for that information when the template is used to assemble a document.

You can create seven types of variables: Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information. The variable type determines what information users can enter when they complete an interview. For example, if you create a Date variable, users must enter a valid date—they cannot enter text, such as a name, for an answer.

The following graphic shows a paragraph that contains two items that change depending on the user—the name (Aaron Jameson) and the date (12th day of October, 2002):

You replace both of these items with variables:

There are two parts to creating variables—creating the variable component, and creating the variable field:

  • Variable Component: The variable component is the core part of a HotDocs variable. It contains all the information about a variable and how it should be processed, including the component name and prompt, any resource information, and any special patterns or other options that help control how the variable appears during the interview and how it will be processed when the final document is assembled. A variable component also creates an association between the components and the answers the user enters, so that the answer can be saved in an answer file. (Answer files can be reused when assembling other documents.)
  • Variable Field: When you insert a variable into a HotDocs template, HotDocs creates a field where the user's answer is merged into the assembled document. In a text template, the field is denoted by HotDocs chevrons (« »), while in a form template, the field is denoted by a colored box that is overlaid on the form's static text. There are certain properties that are assigned to a variable's field that affect the way the variable is merged into the document—specifically, formats and merge text for Multiple Choice variables. You can also include fill characters that force the answer to be a certain number of characters, regardless of how long the answer is.

When you insert a variable into the template, you automatically create a merge field for the variable. However, when you create a variable using Component Manager, there is not a merge field associated with the variable until the variable is inserted into the template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Overview: Create and Customize Variables

More... (2)

Home > All About... > Inserting Variables in Text Templates > Overview: Create and Customize Variables

Home > All About... > Using Variable Types > Overview: Create and Customize Variables


HotDocs Help - Insert a Variable Field in a Text Template

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Create and Insert a Variable Using Component Manager
  • Edit a Variable
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable

Insert a Variable Field in a Text Template

To insert a variable in your template text, you have two options: you can select a portion of the text that will change (such as a name, date, number, and so forth) and replace it with a variable field, or you can insert a variable field without selecting any text at all. If you select text, once HotDocs replaces the text with a HotDocs variable, it searches for other instances of the text and gives you the chance to replace those instances with the same variable. If you choose to simply insert a variable in the template without replacing template text, HotDocs inserts the variable only once.

To replace template text with a variable

  1. Select the text you want to replace and click the Variable Field Variable Field button. The Variable Field dialog box appears.
  2. Select the type of variable you want to insert. Your options include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.
  3. Type a variable name in the Variable box. (If the variable already exists, select it from the drop-down list.) (See Tips on Naming Your Variables.)
  4. Optionally, clear Use defaults and select an example format from the Format drop-down list. This format will determine how the answer appears in the assembled document. It is applied to this instance of the variable only. (See Format the Variable.)
  5. Click the Edit Component Edit Component button to modify the variable's component properties. (Click any of the following links for information on customizing a specific variable type: Text, Date, Number, True/False, Multiple Choice, and Computation.) When finished making changes, click OK. The Variable Field dialog box appears again.
  6. Click either Replace Once (replaces this instance of the variable only), or Replace Multiple (displays the Find and Replace dialog box where you can choose which instances you want to replace).
  7. If you selected Replace Multiple, the Find and Replace dialog box appears.
  8. Click the appropriate replacement option: Replace, Replace All, or Find Next. HotDocs replaces the text. (See Replace Other Instances of Selected Text with a Variable.)
Caution:WordPerfect users: When replacing multiple instances of text in a template, HotDocs will not replace those instances found in headers, footers, footnotes, and text boxes. You must manually replace those.

To insert a variable without replacing any text

  1. At the HotDocs template, insert the cursor where you want the variable to be.
  2. Click the Variable Field Variable Field button. The Variable Field dialog box appears.
  3. Select the type of variable you want to insert. Your options include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.
  4. Type a name in the Variable box. (If the variable already exists, select it from the drop-down list.) (See Tips on Naming Your Variables.)
  5. Optionally, clear Use default and select an example format from the Format drop-down list. This format will determine how the answer appears in the assembled document. It is applied to this instance of the variable only. (See Format the Variable.)
  6. Click the Edit Component Edit Component button to modify the variable's component properties. (Click any of the following links for information on customizing a specific variable type: Text, Date, Number, True/False, Multiple Choice, and Computation.)
  7. When finished making changes, click OK at both the Variable Editor and Variable Field dialog boxes. HotDocs inserts the variable.
Note:
  • You can assign text formatting—such as font, style, and size—to a specific occurrence of a variable. To do this, select the variable reference (including the chevrons) and use your word processor commands to assign the format. When the document is assembled, the text will be formatted the way you specify. If you must use a symbolic font, assign the font properties at the Variable Field dialog box. See Control How Answers Appear in the Assembled Document.
  • In Microsoft Word, you can also insert variables either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Variable Field, or by right-clicking in the template and choosing Variable Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Variables in Text Templates > Insert a Variable Field in a Text Template


HotDocs Help - Replace Other Instances of Selected Text with a Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Create and Insert a Variable Using Component Manager
  • Edit a Variable
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable

Replace Other Instances of Selected Text with a Variable

When you replace text with a variable, HotDocs allows you to search forward through the template and replace other instances of the text with the variable. You can control this process.

To replace selected text with the variable

  1. Select the template text and create the variable. (See Insert a Variable Field in a Text Template.) When finished, click either Replace Once (replaces this instance of the text only), or Replace Multiple (displays the Find and Replace dialog box where you can control the replacement process).
  2. If you clicked Replace Multiple, the Find and Replace dialog box appears. The Find what box shows what text HotDocs is searching for. The Replace with box shows the name of the variable HotDocs is inserting.
  3. Make a selection, based on the following information:
    To | Do This
    Replace this instance of text and move to the next instance | Click Replace.
    Have HotDocs replace all instances of text from the selected instance to the end of the template (without confirmation) | Click Replace All.
    Have HotDocs skip this instance and search for the next | Click Find Next.
    Replace only those instances of text that are complete words (for example, prevent HotDocs from replacing the his in this with a variable for a pronoun) | Select Find whole words only.
    Replace only those instances of text that have the same capitalization as the selected instance | Select Match case.
    Change the properties of the variable | Click Modify and make the changes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Variables in Text Templates > Replace Other Instances of Selected Text with a Variable


HotDocs Help - Create and Insert a Variable Using Component Manager

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Create and Insert a Variable Using Component Manager
  • Edit a Variable
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable

Create and Insert a Variable Using Component Manager

At times you might want to create a variable that might not appear in the template at all (such as a temporary variable that helps process a computation.) Or, perhaps you want to create several variables consecutively but you might not be sure where to use them in the template. You can use Component Manager to do this.

To create a variable using Component Manager

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select a variable type by clicking the Components drop-down button.
  3. Click the New Component New Component button. The Variable Editor appears to gather information about the new variable.
  4. Assign a name and any other properties to the variable and click OK.

If you use Component Manager to create variables, you can likewise use Component Manager to insert the variables directly in the template.

To insert a variable into the template using Component Manager

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select the variable you want to insert from the component list. (To show only that certain type of variable in the list, click the Components drop-down button and select the variable type.)
  3. Either place your cursor in the template where you want the variable and click the Insert Variable Insert Variable button (in Component Manager), or drag the variable from the Components list into the template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Variables in Text Templates > Create and Insert a Variable Using Component Manager


HotDocs Help - Add a Comment to a Variable or Instruction Field

Overviews

  • Overview: Create and Customize Variables
  • Overview: Include Lists in Your Documents
  • Overview: Make Parts of Templates Conditional
  • Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Count the Number of Entries in a List
  • Create a Prompt for a Variable
  • Create a REPEAT Instruction to Gather a List of Answers
  • Create and Insert a Variable Using Component Manager
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Edit a Variable
  • Edit an IF Instruction or Expression
  • Filter a List of Answers
  • Format an Answer as the Time of Day
  • Format the Variable
  • Get Sum Totals for Repeated Number Variables
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Insert a Variable Field in a Text Template
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Name a Group of Merge Text Values
  • Punctuate a Sentence-Style List
  • Replace Other Instances of Selected Text with a Variable
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Nest IF Instructions
  • Number Variable Formats, Percentages, and Fractions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Add a Comment to a Variable or Instruction Field

When you insert a variable or instruction in a template, you can add a comment to the insertion field. Comments are useful when you want to document information about the variable or instruction you are inserting and you want those comments to be viewable by anyone editing the text of the template.

Comments can also be useful when viewing a markup view of the template—the comment can describe (in easy-to-understand terms) the purpose of the field or provide a more reader-friendly name for the field.

Note: If you want to add comments to a specific component, enter it at the Notes tab of the component editor. See Add Notes to Components for details.

To add a comment to a variable or instruction field

  1. Insert a new variable or edit an existing variable. (See Insert a Variable Field in a Text Template or Edit a Variable.) The Variable Field dialog box appears. Or, insert a new instruction or edit an existing instruction. The instruction field dialog box appears.
  2. Click Show Advanced. The view expands to show advanced options.
  3. Enter your comments in the Comment box.

When you click OK, HotDocs merges the field, with the comments merged after the variable name, like this: «Employee Salary //Calculates biweekly salary based on hourly rate».

Note: To merge a comment in an END instruction (such as END IF, END REPEAT, OR END SPAN), place your cursor before the closing chevron, enter two forward slashes (//), and type your comment, like this: «END IF //Closing». If the END instruction contains a Keep Return code ( | ), enter the comment before the return code, like this: «END IF //Closing |».

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Add a Comment to a Variable or Instruction Field

More... (4)

Home > All About... > Creating Lists of Answers > Add a Comment to a Variable or Instruction Field

Home > All About... > Marking Editable Text in a Template > Add a Comment to a Variable or Instruction Field

Home > All About... > Editing Variables > Add a Comment to a Variable or Instruction Field

Home > All About... > Inserting Variables in Text Templates > Add a Comment to a Variable or Instruction Field


HotDocs Help - Edit a Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Create and Insert a Variable Using Component Manager
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Insert a Variable Field in a Text Template
  • Name a Group of Merge Text Values
  • Replace Other Instances of Selected Text with a Variable
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Edit a Variable

You can edit a variable, including changing a variable's properties. Changes to the component properties of a variable affect all instances of the variable in the template.

Note: To edit a variable's field-specific properties, edit them at the Variable Field dialog box. To do this, place your cursor in the variable field (at the template) and click the Variable Field Variable Field button. Make sure Use default is cleared.

You can edit a variable directly at the template, or you can edit it using Component Manager.

To edit a variable at the template

  1. In the text template, click in the variable field and click the Edit Component Edit Component button. Or, in a form template, select the field and click the Edit Component Edit Component button. The Variable Editor appears.
  2. Make any changes. (Click any of the following links for information on customizing specific variable types: Text, Date, Number, True/False, Multiple Choice, and Computation.)

To edit a variable at Component Manager

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select the variable from the list and click the Edit Component Edit Component button. The Variable Editor appears.
  3. Make any changes. (Click any of the following links for information on customizing specific variable types: Text, Date, Number, True/False, Multiple Choice, and Computation.)
Note:
  • If you're using Microsoft Word 2000 and above, you can double-click in a variable field in the template to open the Variable Field dialog box.
  • For instructions on renaming a variable, see Rename Components in a Single Template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Edit a Variable

More... (1)

Home > All About... > Inserting Variables in Text Templates > Edit a Variable


HotDocs Help - Using Variable Types

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Working with Component Files

Using Variable Types

Overview: Create and Customize Variables

Customize a Text Variable

Customize a Number Variable

Customize a Date Variable

Customize a True/False Variable

Customize a Multiple Choice Variable

Customize a Computation Variable

Insert a Personal Information Variable

Create a Date Variable that Inserts the Current Date

Merge the Name of the Answer File in the Document

Use Automatic Paragraph Numbering

Count the Number of Entries in a List

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types


HotDocs Help - Customize a Text Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Customize a Text Variable

Text variables are used to merge text, such as names or descriptions, into assembled documents. They also merge numbers that are never added, subtracted, and so on, such as telephone numbers, U.S. Social Security numbers, and times of day.

When you create a Text variable, you can add a title or prompt to help the user know what information is required. You can also decide how answers will be formatted when they are merged into the assembled document. Finally, you can add a resource or select advanced options that determine how the variable will be processed and merged into the document.

Once a variable is created, you can edit it at any time. See Edit a Variable.

To edit the properties of a Text variable

  1. Follow the instructions for inserting a variable, selecting Text as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button. The Text Variable Editor appears.
  3. Make any changes, as described in the following table:
    To | Do This
    Specify a default format that will be applied to all instances of the variable (except when a field-specific format has been assigned)

    Select a format from the Default format drop-down list. (See Format the Variable and How Example Formats are Interpreted.)

    Optionally, to keep the answer from breaking across lines in the document, select Non-breaking.

    Specify an alternate name for the variable

    Enter a title in the Title box.

    See Understand How Component Titles and Prompts are Used for a description of how and when variable titles are used.

    Provide users with additional information about the variable | Enter a prompt in the Prompt box. This information replaces the Variable name and Variable title when the variable is presented during the interview. (See Create a Prompt for a Variable.)
    Change the height of the answer field that appears in the interview, allowing it to show more than a single line

    Either type the number of answer field lines (up to 12) in the Field height box, or click the up or down arrows to select a number.

    Changing the answer field height affects only how large the answer field appears in the interview—not how long the answer can be. To limit the answer length, enter a number in the Maximum characters box.

    Control how an answer is merged in a Word document when the user presses Enter in a multi-line answer field

    The type of answer required determines which break should be used. For example, if the user must enter separate paragraphs of text, HotDocs should merge a paragraph break. However, if the user must enter separate lines in a single paragraph (such as lines in an address), HotDocs should insert a line break.

    Select Enter key in multi-line answers inserts new paragraph mark ( ¶ ).

    To control whether line or paragraph breaks are inserted in literal text strings used in computation scripts, see Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts.

    Control the number of characters allowed in the answer | Either type a value in the Maximum characters box, or click the up or down arrows to select a value (up to 15,000 characters).
    Control what type of information a user types and format it as they type | Select a pattern from the Pattern drop-down list. (HotDocs provides a telephone number pattern, time of day patterns, and a Social Security number pattern. You can also create your own. See Use Pattern Codes to Create a Custom Pattern.)
    Control how the variable is processed during assembly, as well as how its answer appears in the interview and in the assembled document | Click the Advanced tab and select any of the options. (See Control How HotDocs Processes a Variable, Specify the Width of Answer Fields in the Interview, and Control How HotDocs Processes a Variable, respectively.)
    Provide users with helpful information that can assist them in providing the correct answer | Click the Resource tab and provide a resource option. (See Add Resource Information to a Variable or Dialog.)
    View a list of all components that refer to this variable | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    Save changes to the variable without closing the variable editor | Click Save.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Customize a Text Variable


HotDocs Help - Customize a Number Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Customize a Number Variable

You can merge numbers into your assembled document using Number variables. You can format numbers as currency, use decimals, and specify minimum and maximum values.

Typically you use a Number variable to represent text in your template that can be calculated—for example, dollar amounts or other sums. Even though Social Security numbers, telephone numbers, and times are numbers, you must use a Text variable with the appropriate pattern to merge one of these numbers into your document. (See Customize a Text Variable.)

When you create a Number variable, you can add a title or prompt to help the user know what information is required. You can also decide how answers will be formatted when they are merged into the assembled document. Finally, you can add a resource or select advanced options that determine how the variable will be processed and merged into the document.

Once a variable is created, you can edit it at any time. (See Edit a Variable.)

To edit the properties of a Number variable

  1. Follow the instructions for inserting a variable, selecting Number as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button. The Number Variable Editor appears.
  3. Make any changes, as described in the following table:
    To | Do This
    Specify a default format that will be applied to all instances of the variable (except when a field-specific format has been assigned)

    Select a format from the Default format drop-down list. (See Format the Variable and How Example Formats are Interpreted.)

    Optionally, to keep the answer from breaking across lines in the document, select Non-breaking.

    Specify an alternate name for the variable

    Enter a title in the Title box.

    See Understand How Component Titles and Prompts are Used for a description of how and when variable titles are used.

    Provide users with additional information about the variable | Enter a prompt in the Prompt box. This information replaces the Variable name and Variable title when the variable is presented during the interview. (See Create a Prompt for a Variable.)
    Force users to enter a number that falls within a certain numeric range | Type numbers in the Minimum and Maximum boxes.
    Specify a certain number of decimal places allowed in the users' answer | Either type a number (0-7) in the Decimal places box, or click the up or down arrows to select a number.
    Make HotDocs show a currency symbol next to the answer field when it displays the variable in the interview | Select a symbol from the Currency drop-down list.
    Control how the variable is processed during assembly, as well as how its answer appears in the interview and in the assembled document | Click the Advanced tab and select any of the options. (See Control How HotDocs Processes a Variable, Specify the Width of Answer Fields in the Interview, and Control How HotDocs Processes a Variable, respectively.)
    Provide users with helpful information that can assist them in providing the correct answer | Click the Resource tab and provide a resource option. (See Add Resource Information to a Variable or Dialog.)
    View a list of all components that refer to this variable | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    Save changes to the variable without closing the variable editor | Click Save.
Note:
  • If you are creating a list of answers, you can use a built-in Number variable called COUNTER to count the number of entries in a list. See Count the Number of Entries in a List.
  • You can automatically number paragraphs or other blocks of text. See Use Automatic Paragraph Numbering.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Customize a Number Variable


HotDocs Help - Customize a Date Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Customize a Date Variable

You can create variables that merge dates into your assembled document. When you create a Date variable, you can add a title or prompt to help the user know what information is required. You can also decide how answers will be formatted when they are merged into the assembled document. Finally, you can add a resource or select advanced options that determine how the variable will be processed and merged into the document.

Once a variable is created, you can edit it at any time. See Edit a Variable.

To edit the properties of a Date variable

  1. Follow the instructions for inserting a variable, selecting Date as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button to open the Date Variable Editor.
  3. Make any changes, as described in the following table:
    To | Do This
    Specify a default format that will be applied to all instances of the variable (except when a field-specific format has been assigned)

    Select a format from the Default format drop-down list. (See Format the Variable and How Example Formats are Interpreted.)

    Optionally, to keep the answer from breaking across lines in the document, select Non-breaking.

    Specify an alternate name for the variable

    Enter a title in the Title box.

    See Understand How Component Titles and Prompts are Used for a description of how and when variable titles are used.

    Provide users with additional information about the variable | Enter a prompt in the Prompt box. This information replaces the Variable name and Variable title when the variable is presented during the interview. (See Create a Prompt for a Variable.)
    Control how the variable is processed during assembly, as well as how its answer appears in the interview and in the assembled document | Click the Advanced tab and select any of the options. (See Control How HotDocs Processes a Variable, Specify the Width of Answer Fields in the Interview, and Control How HotDocs Processes a Variable, respectively.)
    Provide users with helpful information that can assist them in providing the correct answer | Click the Resource tab and provide a resource option. (See Add Resource Information to a Variable or Dialog.)
    View a list of all components that refer to this variable | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    Save changes to the variable without closing the variable editor | Click Save.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Customize a Date Variable


HotDocs Help - Customize a True/False Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Customize a True/False Variable

Using a True/False variable, you can merge a word or phrase into an assembled document based on the user's answer to a yes/no question.

Likewise, if you are developing a form template using HotDocs Automator, you can use True/False variables to select and clear check boxes.

When you create a True/False variable, you can add a title or prompt to help the user know what information is required. You can also decide how answers will be formatted when they are merged into the assembled document. Finally, you can add a resource or select advanced options that determine how the variable will be processed and merged into the document.

Once a variable is created, you can edit it at any time. See Edit a Variable.

To edit the properties of a True/False variable

  1. Follow the instructions for inserting a variable, selecting True/False as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button to open the True/False Variable Editor.
  3. Make any changes, as described in the following table:
    To | Do This
    Specify a default format that will be applied to all instances of the variable (except when a field-specific format has been assigned)

    Select a format from the Default format drop-down list.

    You can customize this format by entering other true/false text to the left and right of the slash. If the user chooses yes, the text entered to the left of the slash merges. If the user chooses no, the text entered to the right of the slash merges. If you do not enter a format, either true or false is merged. (See Format the Variable.)

    Optionally, to keep the answer from breaking across lines in the document, select Non-breaking.

    Note: The total number of characters you can use in a merge format is 1,000, but only the first 50 characters appear in the template.
    Specify an alternate name for the variable

    Enter a title in the Title box.

    See Understand How Component Titles and Prompts are Used for a description of how and when variable titles are used.

    Provide users with additional information about the variable | Enter a prompt in the Prompt box. This information replaces the Variable name and Variable title when the variable is presented during the interview. (See Create a Prompt for a Variable.)
    Have Yes and No appear on the same line in the interview | Select Yes/No on same line.
    Control how the variable is processed during assembly, as well as how its answer appears in the interview and in the assembled document | Click the Advanced tab and select any of the options. (See Control How HotDocs Processes a Variable, Specify the Width of Answer Fields in the Interview, and Control How HotDocs Processes a Variable, respectively.)
    Provide users with helpful information that can assist them in providing the correct answer | Click the Resource tab and provide a resource option. (See Add Resource Information to a Variable or Dialog.)
    View a list of all components that refer to this variable | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    Save changes to the variable without closing the variable editor | Click Save.
Note:
  • If you have multiple True/False variables in a dialog, you can group them so that each variable is preceded with a check box or option button. This allows users to select either one option or multiple options from a list of possible answers. See Change a Dialog's Options.
  • You can use True/False variables to determine whether sections of text should be included in a document. See Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Customize a True/False Variable


HotDocs Help - Customize a Multiple Choice Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Customize a Multiple Choice Variable

You can let users select one or more answers from a list of possible options by using a Multiple Choice variable. The selected option or its corresponding merge text is merged into the assembled document. (Merge text can be specified either at a variable field or at the variable editor. See Specify Merge Text Options as Default or Field-Specific Properties.)

When you create a Multiple Choice variable, you can add a title or prompt to help the user know what information is required. You can also decide how answers will be formatted when they are merged into the assembled document. Finally, you can add a resource or select advanced options that determine how the variable will be processed and merged into the document.

Once a variable is created, you can edit it at any time. See Edit a Variable for details.

To edit the properties of a Multiple Choice variable

  1. Follow the instructions for inserting a variable, selecting Multiple Choice as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button to open the Multiple Choice Variable Editor.
  3. Type the options (at least two) you want users to choose from in the Option column. (Do not create an option with the exact text None of the Above or Other. Instead, select None of the Above or Other from the Select option.)
  4. Optionally, type a prompt for the option in the Prompt column. The prompt (instead of the corresponding Option text) appears for the options during the interview. (If you need more space for the prompt, click the Options tab and type the text there. See Work with Multiple Choice Options.)
  5. Optionally, type the text you want merged into the assembled document in the Default Merge Text column. (If you need more space for the merge text, click the Options tab and type the text there. See Work with Multiple Choice Options.)
  6. From the Select drop-down list, select either One Only or All That Apply.
  7. Depending on your selection in Step 6, you can select Other or None of the Above. (These options allow users to either type an answer not in the list or specify that the answer needed is not available in the list.)
  8. Choose a display style from the Style drop-down list. The available styles depend on the selection style.
  9. Make any other changes, as described in the following table:
    To | Do This
    Add longer prompts and merge text for each option, as well as suggest an answer for the user | Click the Options tab and make your changes. (See Work with Multiple Choice Options.)
    Specify a default format that will be applied to all instances of the variable (except when a field-specific format has been assigned)

    Select a format from the Default format drop-down list. (See Format the Variable and How Example Formats are Interpreted.)

    Optionally, to keep the answer from breaking across lines in the document, select Non-breaking.

    Specify an alternate name for the variable

    Enter a title in the Title box.

    See Understand How Component Titles and Prompts are Used for a description of how and when variable titles are used.

    Provide users with additional information about the variable | Enter a prompt in the Prompt box. This information replaces the Variable name and Variable title when the variable is presented during the interview. (See Create a Prompt for a Variable.)
    Control how the variable is processed during assembly, as well as how its answer appears in the interview and in the assembled document | Click the Advanced tab and select any of the options. (See Control How HotDocs Processes a Variable, Specify the Width of Answer Fields in the Interview, and Control How HotDocs Processes a Variable, respectively.)
    Provide users with helpful information that can assist them in providing the correct answer | Click the Resource tab and provide a resource option. (See Add Resource Information to a Variable or Dialog.)
    View a list of all components that refer to this variable | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    Save changes to the variable without closing the variable editor | Click Save.
Note:
  • You can control whether merge text is a default property of the variable component, or whether it's a field-specific property of a variable field. See Specify Merge Text Options as Default or Field-Specific Properties for details.
  • You can add and delete rows of options by clicking Insert or Delete.
  • You can use existing option or merge text lists when you create other Multiple Choice variables in the template. To do this, click the Option and Merge Text column headings and choose the group.
  • You can copy and paste options either to or from the Multiple Choice Variable Editor. See Copy and Paste Columns in a Multiple Choice Variable Spreadsheet.
  • To SET two or more options for a Multiple Choice variable in a computation script, separate each option with a vertical bar (for example, SET MC Variable TO "Option1|Option2|Option3"). (The Multiple Choice variable must have the Select All That Apply property selected.)
  • You frequently use Multiple Choice variables to insert gender references, such as pronouns. HotDocs automatically includes common pronoun sets in the Merge Text list. Click the Merge Text column heading and select an option.
  • You can customize Multiple Choice option prompts and merge text based on answers the user enters in the interview. See Use Variables and Scripts in Prompts, Dialog Element Text, and Resources for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Customize a Multiple Choice Variable


HotDocs Help - Customize a Computation Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Customize a Computation Variable

You can use a Computation variable to calculate number, date, true/false, and text values based on answers a user enters. The computed value can then be merged into the assembled document. Computation variables can also be used to group several instructions or expressions for insertion into a template, which results in quicker assembly.

Creating a computation requires you to write a script using the HotDocs scripting language. The actual process of writing a script depends on your skill level in using this language—if you're a beginner, you can drag scripting models into the Script box and allow HotDocs to guide you in filling in the required information. With experience, you can type the script directly in the box. (See Understand the HotDocs Scripting Language and Use the Script Editor.)

The title bar of the Computation Editor contains information that can help you evaluate the correctness of the script as you write it. When a script is invalid (meaning it does not adhere to the rules of the HotDocs scripting language), HotDocs includes the word [Invalid] in the title bar. Once a script is valid, HotDocs then notes what type of result the script produces (for example, [Text] or [Number]).

Once a variable is created, you can edit it at any time. See Edit a Variable for details.

To edit the properties of a Computation variable

  1. Follow the instructions for inserting a variable, selecting Computation as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button to open the Computation Editor.
  3. In the Script box, enter a computation script. (See Use the Script Editor for specific instructions.)
  4. Make any other changes, as described in the following table:
    To | Do This
    Indent matching pairs of IF and REPEAT instructions | Click the Auto Format Auto Format button. HotDocs indents the instructions based on the level of their insertion.
    Specify a default format that will be applied to all instances of the variable (except when a field-specific format has been assigned)

    Select a format from the Default format drop-down list. (See Format the Variable and How Example Formats are Interpreted.)

    Optionally, to keep the answer from breaking across lines in the document, select Non-breaking.

    Control how the variable is processed during assembly, as well as how its answer appears in the interview and in the assembled document | Click the Advanced tab and select any of the options. (See Control How HotDocs Processes a Variable, Specify the Width of Answer Fields in the Interview, and Control How HotDocs Processes a Variable, respectively.)
    Add a title to the Computation variable | Click the Advanced tab and enter the title in the Title box.
    Provide users with helpful information that can assist them in providing the correct answer | Click the Resource tab and provide a resource option. (See Add Resource Information to a Variable or Dialog.)
    View a list of all components that refer to this variable | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    Save changes to the variable without closing the variable editor | Click Save.
Note:
  • You can create new variables directly at the Computation Editor. Make sure the Components list contains the type of variable you want to create, and then click the New Component New Component button. Similarly, you can edit an existing variable in the list by double-clicking it.
  • If you experience errors when writing a script, it may be because you are using the instruction and expression keywords incorrectly. See Understand and Resolve Syntax Errors in a Template or Script for troubleshooting tips. If you aren't receiving errors, but the script produces results you don't expect, you can examine the script line by line to see where the logic is flawed. See Overview: Debugging Templates for information.
  • HotDocs will not let you close the Computation Editor or save a script if the script is invalid. If you need to close or save, you must either comment out the script (by highlighting the script and clicking the Comment Block Comment Block button) or place a QUIT instruction at the beginning of the script (see QUIT).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Customize a Computation Variable


HotDocs Help - Insert a Personal Information Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Insert a Personal Information Variable

Personal Information variables store basic information about the user, such as a name, a company name, and a phone number in the Current User key of the Windows System Registry. Those answers can then be used in any document that uses the same Personal Information variables, regardless of which answer file is being used. HotDocs provides 12 Personal Information variables, but you can also create your own.

To insert a Personal Information variable

  1. At the template, place your cursor where you want the Personal Information variable and click the Variable Field Variable Field button. The Variable Field dialog box appears.
  2. Select Personal Information.
  3. Either type a name for a new Personal Information variable in the Variable box, or click the Variable drop-down button to select an existing Personal Information variable.
  4. Optionally, clear Use default and select an example format from the Format drop-down list. This format will be applied to this instance of the variable only. (See Format the Variable.)
  5. Optionally, click Show Advanced to assign options that control how that specific instance of the variable is merged into the assembled document. See Control How Answers Appear in the Assembled Document for information about each option.

When a Personal Information variable is inserted in the template, its name is preceded by the word MY. This notation distinguishes it from other variables in the template.

When users assemble documents that use Personal Information variables, HotDocs asks for the information and then stores it in the HotDocs section of the system registry. Once entered, the variable is never asked again; however, users can change their information at the HotDocs Options dialog box. See Edit Answers for Built-In Personal Information Variables.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Insert a Personal Information Variable


HotDocs Help - Create a Date Variable that Inserts the Current Date

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Create a Date Variable that Inserts the Current Date

You can insert the current date in a template using the built-in variable, TODAY. The variable won’t be asked during the interview—instead TODAY automatically merges the current date, based on the Windows System Clock.

To insert the TODAY variable

  1. Follow the instructions for inserting a variable, selecting Date as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Variable drop-down button and select TODAY.
  3. Optionally, clear Use default and select a format from the Format drop-down list. This format will be applied to this instance of the variable only. (See Format the Variable.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Create a Date Variable that Inserts the Current Date


HotDocs Help - Merge the Name of the Answer File in the Document

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Merge the Name of the Answer File in the Document

In some documents, you may need to include the name of the answer file that was used to assemble the document. You can insert an instruction that merges the path and file name of the answer file directly in the document. If the answer file is new and unsaved, the text, New Answer File, is merged into the assembled document.

To create an answer file variable

  1. Open a template for editing. (See Edit a Template.)
  2. Position the cursor in the template where you want to merge the name of the answer file.
  3. Click the Variable Field dialog box and choose Text as the Variable type.
  4. Click the Variable drop-down button and choose ANSWER FILE NAME.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Merge the Name of the Answer File in the Document


HotDocs Help - Use Automatic Paragraph Numbering

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Insert a Personal Information Variable
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering

Use Automatic Paragraph Numbering

You can create Number variables that supply automatic paragraph numbering to lists of answers in your HotDocs text template. This feature is not available in JavaScript or Silverlight interviews.

Caution: HotDocs paragraph numbering values are merged into an assembled document as text, not codes. This means that if users add or delete a paragraph after the document has been assembled and sent to the word processor, the numbering will not adjust. To have automatic paragraph numbering that adjusts to changes made in the assembled document, use your word processor’s numbering codes.

To create automatic paragraph numbering

  1. Position your cursor at the place in the template where you want the paragraph numbering to take effect.
  2. Follow the instructions for inserting a variable, selecting Number as the variable type. (See Insert a Variable Field in a Text Template.)
  3. With the Variable Field dialog box displayed, type PN# in the Variable box. (Replace # with a number representing the paragraph level. Numbers 1–9 can be entered.)
  4. Optionally, clear Use default and select one of the following formats: 9.9, 9.9.a, abc, or IX. (If no example format is selected, the default—9—is used.)
  5. Insert this Number variable before every paragraph of that level.
Note: You can use SET instructions to customize HotDocs paragraph numbering. For example, the computation script, SET PN1 TO 10, would automatically start the paragraph numbering at 10. Additionally, if you assign the abc example format to the PN1 variable, HotDocs will merge in the alphabetic character that corresponds with the number used in the SET instruction. For example, the computation script, SET PN1 TO 10, would start numbering the variable «PN1:ABC» with the letter J.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Variable Types > Use Automatic Paragraph Numbering


HotDocs Help - Count the Number of Entries in a List

Overviews

  • Overview: Create and Customize Variables
  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a Date Variable that Inserts the Current Date
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize a Computation Variable
  • Customize a Date Variable
  • Customize a Multiple Choice Variable
  • Customize a Number Variable
  • Customize a Text Variable
  • Customize a True/False Variable
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Insert a Personal Information Variable
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Merge the Name of the Answer File in the Document
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Automatic Paragraph Numbering
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Count the Number of Entries in a List

You can use a computation script to determine how many times a user answers a repeated dialog. You can also use a built-in Number variable that numbers a list of answers automatically.

To determine the number of entries in a list

  1. Create a Computation variable containing the expression COUNT( DIALOG ). (See Customize a Computation Variable.)
  2. Replace the DIALOG placeholder with the name of the repeated dialog.
  3. Optionally, insert this Computation variable wherever you want the number of entries to appear. (You don't have to insert the Computation variable in the template. Often, template developers simply use the COUNT( DIALOG ) expression as a way to keep track of the number of answers without ever inserting the actual number in the template.)

To number a list automatically

  1. At the template, position your cursor before the variable in the list you want to number.
  2. Insert a Number variable. (See Insert a Variable Field in a Text Template and Customize a Number Variable.) Instead of typing a variable name, however, click the Variable drop-down button and select COUNTER.
  3. Click OK.
  4. Add any punctuation or spaces you want to go with the number. For example:
    The children are listed, as follows:
«REPEAT Children’s Names»
«COUNTER». «Name of Child», «Age of Child»
«END REPEAT»

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Count the Number of Entries in a List

More... (1)

Home > All About... > Using Variable Types > Count the Number of Entries in a List


HotDocs Help - Editing Variables

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Editing Variables

Overview: Create and Customize Variables

Edit a Variable

Format the Variable

Create a Prompt for a Variable

Control How HotDocs Processes a Variable

Specify the Width of Answer Fields in the Interview

Control How Answers Appear in the Assembled Document

Add Resource Information to a Variable or Dialog

View Relationship Between the Current Component and Other Components

Add Notes to Components

Add a Comment to a Variable or Instruction Field

Format an Answer as the Time of Day

Use Pattern Codes to Create a Custom Pattern

Number Variable Formats, Percentages, and Fractions

Work with Multiple Choice Options

Specify Merge Text Options as Default or Field-Specific Properties

Copy and Paste Columns in a Multiple Choice Variable Spreadsheet

Name a Group of Merge Text Values

Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Use Variables and Scripts in Prompts, Dialog Element Text, and Resources

Use the Script Editor

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables


HotDocs Help - Format the Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Format the Variable

You can cause an answer to be formatted a certain way in an assembled document—even if the user types the answer using a different format. For example, a number can be merged as ONE HUNDRED DOLLARS in the assembled document, even if the user types 100. (See How Example Formats are Interpreted.)

You can assign the format either when you insert the variable field or when you create the variable component. Specifically, if you assign a format at the Variable Field dialog box, the format applies to that specific instance of the variable only—the format is a property of the field. However, if you assign a format to the component, that format is used each time the variable is inserted into the template. The format becomes a property of the component.

When you insert a new variable in a template (without replacing any template text), you can specify which format you want HotDocs to use for that instance. However, when you create a variable by replacing existing template text (see Insert a Variable Field in a Text Template), HotDocs looks at the text you have selected and attempts to suggest a field-specific format based on what it sees. For example, if you select the template text, 14 November 1973 and then create a Date variable, HotDocs suggests a field-specific format of 3 June 1990. This format will be applied to this instance of the variable only.

Finally, if users' answers shouldn't break across lines in the document, you can force the answer to be non-breaking. You do this by selecting the Non-breaking property next to the Format drop-down list at either the Component Editor or at the Variable Field dialog box.

To assign a field-specific format to a variable

  1. At the template, place your cursor inside a variable field and click the Variable Field Variable Field button. The Variable Field dialog box appears.
  2. If it's selected, clear Use default. The format options become available.
  3. Click the Format drop-down button and select an appropriate format.
  4. Optionally, select Non-breaking. This keeps the answer from breaking across lines in the document. (You can assign this property to a variable field even if you do not assign a specific format.)
  5. Click OK.

When you assign a field-specific format to the variable, the example format is merged with the variable name in the field.

To assign a default format to a variable

  1. At the template, place your cursor inside a variable field and click the Edit Component Edit Component button. The Variable Editor appears.
  2. Click the Default format drop-down button and select an example format.
  3. Optionally, select Non-breaking to keep the answer from breaking across lines in the document. (You can assign this property to a variable field even if you do not assign a specific format.)
  4. Click OK.

Now, when you insert this variable in other places in the template, the format you have specified will be used. (You can, of course, override this by assigning a field-specific format.)

When you view the Variable Field dialog box, the default example format you have selected appears grayed in the Format box, and Use default is selected. If you clear this check box, the default format is suggested as the field-specific format. It also becomes a property of the field.

Note:
  • The Use defaults option at a Variable Field dialog box controls all field properties of a variable. (Field properties include answer formats, Multiple Choice merge text, and field formats.) This means that you cannot assign a field-specific property to a field and then assign a default property to the variable component. If you choose one type of property, all other properties must be the same type.
  • You can create your own formats by typing an example in the Format box. Follow the format of the existing examples—for example, use a variation on the number nine for number examples, and use a variation on the date June 3, 1990 for date examples.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Format the Variable


HotDocs Help - Create a Prompt for a Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Create a Prompt for a Variable

By default, when you assign a name to a variable, that name is what appears in the interview to guide users in providing an answer. However, sometimes you may name your variables using a scheme that would be confusing for your users to understand. Likewise, some situations require more detailed instructions. HotDocs allows you to provide longer explanations by using a prompt. During the interview, the prompt replaces the variable name (and title, if one has been provided).

To create a prompt for a variable

  1. Edit the variable. (See Edit a Variable.) The Variable Editor appears.
  2. In the Prompt box, type the information about the variable you want the user to see.
  3. Optionally, to assign font properties to the prompt text (such as bold or underline), enter a formatting dot code. (See Overview: Dot Codes.)
Note:
  • You can include a variable in the Prompt box, which will merge the user's answer into the prompt during the interview. See Use Variables and Scripts in Prompts, Dialog Element Text, and Resources.
  • When you group variables in a dialog, you can specify the visual relationship between variable prompts and answer fields by choosing an alignment option at the Options tab of the Dialog Editor. See Change a Dialog's Options.
  • You can make HotDocs show only an answer field—with no prompt or variable name—in the interview. To do this, type NONE in the Prompt box.
  • To make a character in your prompt an accelerator key, type an ampersand (&) character immediately before the letter you want as an accelerator. Then, during the interview, users can press the Alt key while also pressing the underlined character in the prompt, which moves the cursor to that answer field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Create a Prompt for a Variable


HotDocs Help - Control How HotDocs Processes a Variable

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Control How HotDocs Processes a Variable

You can have greater control over how HotDocs processes a variable. For instance, you can control whether a variable appears during the interview, whether the answer is saved, and whether users are warned when they leave the question unanswered. These options are properties of the variable component, and not the variable field.

By clearing Ask automatically, you cause a variable to be asked only when it is in a dialog that is specifically asked. (See How Variables and Dialogs Are Asked for details on how variable and dialogs are asked.)

When users leave questions unanswered during the interview, HotDocs leaves the dialog's icon in the interview outline partially answered and notes the unanswered question in the End of Interview dialog. When you clear Warn when unanswered, HotDocs suppresses these warnings. You might want to assign this option to variables that won’t always be answered in all cases—for example, a variable that asks a middle name or a second address line.

Clearing Save in answer file prevents a variable’s answer from being saved. You might use this feature if the variable is a temporary variable (for example, a variable that has its value SET to a temporary value for use in a script). This will keep HotDocs from marking the variable as answered and prompting the user to save the answer file.

Note: These options are not available for Computation variables.

To control how HotDocs processes a variable

  1. At the HotDocs template, edit a variable. (See Edit a Variable.)
  2. Click the Advanced tab. The dialog box changes to show several advanced options.
  3. Clear any of the following options, as explained in the following table:
    To | Do This
    Prevent the variable question from appearing in an interview unless the variable is used in a dialog that is specifically asked | Clear Ask Automatically.
    Prevent the unanswered variable warning from appearing for this variable when a user finishes the interview. (The warning appears in both the End of Interview dialog and when you attempt to close an assembly window. HotDocs also uses the unanswered or partially answered dialog icon in the interview outline.) | Clear Warn when unanswered.
    Prevent the variable’s answer from being saved in an answer file | Clear Save in answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Control How HotDocs Processes a Variable


HotDocs Help - Specify the Width of Answer Fields in the Interview

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Specify the Width of Answer Fields in the Interview

You can control the width of an answer field in an interview. This includes controlling column widths if the variable is repeated in a spreadsheet dialog.

To control the appearance of the variable's answer field

  1. At the HotDocs template, edit a variable. (See Edit a Variable.)
  2. At the Variable Editor, click the Advanced tab. The dialog box changes to show several advanced options, including answer field widths.
  3. Click the Regular drop-down button and choose one of the following options:
    • Select Full to have HotDocs use the full width of the dialog pane to display the answer field.
    • Select Calculated to have HotDocs calculate an approximate width, based on the possible answer length.
    • Select Exactly and enter the specific number of units you want HotDocs to use for the answer field width.
  4. Click the Spreadsheet drop-down button and choose one of the following options:
    • Select Calculated to have HotDocs calculate an approximate column width, based on the possible length of the answer and the actual width of the dialog pane.
    • Select At Least and then enter the minimum number of characters that should determine the column width.
Note:
  • These options are not available for Computation variables.
  • The Exactly field width measurement takes into account the width of the entire field, including field borders, group boxes (on True/False and Multiple Choice variables), and the calendar icon for Date variables. One unit is about equal to the width of the character 5.
  • For text fields, Calculated field widths are calculated by looking at the Maximum units setting. If this isn't set, HotDocs will assume 30 units. For date and number fields, HotDocs figures out the longest field required to accept the date or maximum number. For multiple choice and true/false answer fields (or group boxes), HotDocs uses the width required to show all the options. One unit is about equal to the width of the character 5.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Specify the Width of Answer Fields in the Interview


HotDocs Help - Control How Answers Appear in the Assembled Document

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Control How Answers Appear in the Assembled Document

You can control some of the ways a variable's answer is merged into an assembled document. For example, you can control the characters that are filled in when you need to "lengthen" an answer. You can also control the text that is merged if the user chooses not to provide an answer.

Specifically, with the Fill character and Field width fields, you can specify how many characters wide an answer should be, and which character will be used to fill spaces the answer doesn't use. If the answer is longer than the width of the field, the entire answer is merged into the document. If the answer is shorter than the field width, HotDocs inserts the necessary number of fill characters. (The default fill character is a space.) If no answer is given, the minimum number of spaces doesn't affect the merge field. However, you can specify text you want merged into the document when the variable is unanswered by entering it in the Unanswered text box. This text will override the Unanswered variable placeholder users can select at HotDocs Options. (See Tips on Using Unanswered Variable Placeholders.)

The Align answer option lets you align the merged answer, based on the fill characters that are given. For example, if you select Left, the answer appears first, followed by any fill characters. If you select Right, the answer appears after any fill characters.

Finally, at times you may need to format the answer using a symbolic font. (For example, perhaps you need to merge a bar code.) To do this, you can assign a Font at the Variable Field dialog box.

To control how the variable's answer is merged into the assembled document

  1. At the template, edit a variable by placing your cursor in the field and clicking the Variable Field Variable Field button. The Variable Field dialog box appears.
  2. If it's selected, clear Use defaults. All the merge field properties become active.
  3. Click Show Advanced. The dialog box changes to show several advanced options.
  4. Select the options that apply, as explained in the following table:
    To | Do This
    Specify the minimum number of character spaces you want the merge field to use | Type a number in the Field width box, or use the up or down arrows to select a number
    Specify the alignment of the answer within the merge field. (For example, if you are creating a column of dollar amounts, you can right-align the numbers.)

    Choose Right or Left from the Align answer drop-down list.

    When aligning Number variables, HotDocs will align the answer in the answer field as well as in the merge field in the assembled document.

    Fill extra spaces in an answer field with a specific character (instead of a space character, which is the default) | Type a character in the Fill character box.
    Merge specific text when the variable is unanswered | Type the text in the Unanswered text box. (See Tips on Using Unanswered Variable Placeholders.)
    Format answers using symbolic character fonts, such as bar code fonts

    Click the Font drop-down button and choose a font from the list.

    This is a field-specific property available only in text templates. Additionally, you can assign this property only at the Variable Field dialog box.

    Caution: Make sure your users have the same fonts installed on their computers.
Note:
  • The Use default option at a Variable Field dialog box controls all of the properties of a variable field. (Field-specific properties include variable formats, Multiple Choice merge text, and formatting styles for answer fields. These options are visible when you click Show Advanced.) This means that you cannot assign a field-specific property to a field and then assign a default property to the variable component. If you choose one type of property, all other properties must be the same type.
  • Where you specify the Advanced options determines where the formatting occurs. If you change them at the Variable Field dialog box, the changes will apply to that instance of the variable only. If you change the options at the Advanced tab of the Variable Editor, the changes are used as defaults for every instance of the variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Control How Answers Appear in the Assembled Document


HotDocs Help - Add Resource Information to a Variable or Dialog

Overviews

  • Overview: Create and Customize Variables
  • Overview: Create Your Own Dialogs

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Control Whether Dialogs are Asked Automatically
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Custom Dialog
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Gather Questions into a Custom Dialog
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Add Resource Information to a Variable or Dialog

Sometimes including additional information about questions users are answering during an interview can make it easier for them to enter the correct answer. To provide this extra information, you can assign resources either to variables or to dialogs. Users can view this information by viewing the Resource pane during the interview.

By default, resources are displayed as plain text. However, you can use any of the following other formats or programs to create and display resources. (Click the associated link for instructions on creating the resource type.)

  • WinHelp
  • HTML Help
  • Folio infobase
  • Custom program
  • Web page

To add a plain text resource to a variable or dialog

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Plain Text.
  4. Type the information in the Text box.
  5. Optionally, to use variables in the resource or make text in the resource conditional, enter the variable name, or enter an IF instruction or expression. (See Use Variables and Scripts in Prompts, Dialog Element Text, and Resources.)
  6. Optionally, select Pop-up to display the information in a What's This? help-style window, rather than a typical window. (The pop-up window only appears when the user clicks the Resource button next to the answer field.)

During assembly, HotDocs displays the resource text either in the resource pane or in a text-only pop-up window, depending on your selection. (Pop-up windows stay open only until the user clicks somewhere else.)

Caution: You cannot use angle brackets with text between them in a plain-text resource (for example, <Your Name>). Instead, you must use the codes &lt; and &gt; to insert the brackets (for example, &lt;Your Name&gt;). (You can use brackets, however, if you put a space immediately after the opening angle bracket and immediately before the closing angle bracket, like this < Your Name >.)
Note: When editing Multiple Choice variables, you can assign resource text to the entire variable or to individual options. At the Multiple Choice Variable Editor, click the Resource tab and make your selection at the Resource for drop-down list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Add Resource Information to a Variable or Dialog

More... (1)

Home > All About... > Editing Variables > Add Resource Information to a Variable or Dialog


HotDocs Help - View Relationship Between the Current Component and Other Components

Overviews

  • Overview: Create and Customize Variables
  • Overview: Create Your Own Dialogs

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Control Whether Dialogs are Asked Automatically
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Custom Dialog
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Gather Questions into a Custom Dialog
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

View Relationship Between the Current Component and Other Components

When editing a component (such as a variable or a dialog), you can view a list of other components in the template that refer to it. You can view this list at the Used In tab of the component editor.

By default, when you first click the Used In tab, HotDocs displays only the dialog or database component to which the variable is linked, as well as any other dialogs in which the variable is used. To generate a complete list of component references (including other components that refer to the current component), you can click the List All Components button. If you want a complete list to be displayed every time you click the Used In tab, you must select Always list all components when viewing this tab . (Depending on the complexity of your template, you may experience a slight delay each time you view this list, which is why displaying it is optional.)

To view component relationships

  1. At the template or at Component Manager, select the component and edit it. (See Edit a Variable.) The Component Editor appears.
  2. Click the Used In tab. The window changes to show a box listing the dialog(s) (and database components) in which the component is used.
  3. Optionally, to view a list of other components that refer to this component, click List All Components. HotDocs creates a list of all components that refer to this particular component. (Depending on the complexity of your template, this may take several seconds.)
  4. Optionally, to always view this list of component cross-references each time you view the Used In tab (regardless of the component you are editing), select Always list all components when viewing this tab.
Note:
  • The dialog to which the variable is linked is marked with a red arrow. Dialogs that simply use the component are marked with a plain arrow. See Use the Same Variable or Clause in Two or More Dialogs.
  • If you make changes to other components in the component file while you have the component editor open, you can click List All Components again to regenerate the list of used components.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > View Relationship Between the Current Component and Other Components

More... (1)

Home > All About... > Editing Variables > View Relationship Between the Current Component and Other Components


HotDocs Help - Add Notes to Components

Overviews

  • Overview: Create and Customize Variables
  • Overview: Create Your Own Dialogs

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Control Whether Dialogs are Asked Automatically
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Custom Dialog
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Gather Questions into a Custom Dialog
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Add Notes to Components

As you create components, you may want to include notes about the component. For example, maybe you need to include information about restrictions you applied to a Number variable, or maybe you need to explain the purpose of the variable or dialog or how it should be used in the template. To do this, you can add a note to the component. You add notes at the Notes tab of the component editor. Notes can be viewed by anyone editing the component.

Note: You can add a comment to a variable field or instruction field so it can be visible by anyone editing the template text. See Add a Comment to a Variable or Instruction Field for details.

To add development notes to a component editor

  1. Edit the component. (See Edit a Variable or Edit a Custom Dialog.) The component editor appears.
  2. Click the Notes tab. The view changes to show a multi-line text box.
  3. Enter the notes you want associated with the component.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Add Notes to Components

More... (1)

Home > All About... > Editing Variables > Add Notes to Components


HotDocs Help - Format an Answer as the Time of Day

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Format an Answer as the Time of Day

You can merge an answer that is formatted as a time of day. To do this, you assign a pattern to a Text variable. During the interview, users will be prompted to enter the hours and minutes in 12-hour or 24-hour format.

To assign a time pattern to a Text variable

  1. Follow the instructions for inserting a variable, selecting Text as the variable type. (See Insert a Variable Field in a Text Template.)
  2. At the Variable Field dialog box, click the Edit Component Edit Component button. The Text Variable Editor appears.
  3. Click the Pattern drop-down button and choose the time of day pattern you wish to use, based on the following information:
    • Choose 99:99 to insert a time in 24-hour format.
    • Choose 99:99 am to insert a time in 12-hour format. The morning or afternoon designation will not include periods (for example, am or pm).
    • Choose 99:99 a.m. to insert a time in 12-hour format. The morning or afternoon designation will include periods (for example, a.m. or p.m.).
Note: If your component file was created before the release of HotDocs 2006, you must create the time-of-day pattern. To do this, type 99:99, 99:99 a.m., or 99:99 a.m. in the Pattern box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Format an Answer as the Time of Day


HotDocs Help - Use Pattern Codes to Create a Custom Pattern

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Use Pattern Codes to Create a Custom Pattern

HotDocs provides Text variable patterns: a telephone number pattern, time of day patterns, and a U.S. Social Security number pattern. You can also create your own pattern by typing it directly in the Pattern box (at the Text Variable Editor) or by clicking the Component Manager Component Manager button at the template, selecting Text Pattern from the Components list, and clicking the New Component New Component button.

Use the following codes to create patterns. These codes represent the types of characters the user can enter. Additionally, you can insert hyphens, periods, static text, and so forth with these codes.

Code | What HotDocs Will Require and Insert in the Document
X | any character
9 | any numeric character
A | any alphabetic character
U | uppercase alphabetic character
L | lowercase alphabetic character
N | alphanumeric character (9 and A)
H | hexadecimal character (0-9, A-F, a-f)
Note: If you need a character in your pattern that HotDocs may interpret as a code, you can force the character to appear as part of the pattern and not as a code by typing a forward slash (/) and then the character. For example, if you need a pattern to use the X character, you must place the forward slash before the X so that HotDocs doesn't try to replace the X with a character the user types.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Use Pattern Codes to Create a Custom Pattern


HotDocs Help - Number Variable Formats, Percentages, and Fractions

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Number Variable Formats, Percentages, and Fractions

Formats

In Number variable formats, HotDocs distinguishes between 9’s and 0’s. A 9 displays a digit unless it is a leading zero or a trailing zero after the decimal point. A 0 displays digits when it is a trailing zero. For example, if the number is 850, the example format 9999.99 would merge 850 while the example format 0009.00 would merge 850.00. Also, if you are using a Number variable to merge a decimal, make sure the Decimal places box contains a value greater than 0.

If you want commas to be merged into the number answer, make sure your format does not use leading zeros.

Another set of similar example formats includes the examples NINE, NONE, and ZERO. These three example formats all merge an uppercase alphabetic number unless the answer is 0. When the answer is 0, NINE merges NO, NONE merges NONE, and ZERO merges ZERO. (You can also enter these formats in lowercase or initial caps.)

Percentages

You can format number answers as percentages. To do this, you must assign an example format of 99% to the variable, assign 2 decimal places to the variable, and set the Maximum to 1. You should also include a variable prompt to instruct the user to enter the answer as a decimal—for example, 0.50 for a result of 50%.

Another option is to include a percent symbol in the template text, so that the user can enter a whole number. If you do, you might want to set a Maximum limit of 100, and you might want to include a resource or prompt that explains how the user should enter the answer.

Fractions

Example formats can also be used to enter fractions. While HotDocs does not allow users to directly enter fractions, it can convert a decimal value to a fraction before it merges the value into the document. To merge a fraction, first make sure the Decimal places box contains a number greater than 0 so users can enter a decimal answer. Then specify a fraction as an example format. The number in the denominator of the example will be the number used in the denominator of the merged value. Fractions are rounded and simplified. For example:

Format Examples | The user types 2.3 | 2.5 | 2.6
9 1/3 | 2 1/3 | 2 2/3 | 2 2/3
9 1/8 | 2 1/4 | 2 1/2 | 2 5/8

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Number Variable Formats, Percentages, and Fractions


HotDocs Help - Work with Multiple Choice Options

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Work with Multiple Choice Options

By default, when you first create a Multiple Choice variable, you have limited space for entering prompts and merge text. If you require more space, you can click the Options tab and enter the information there. You can also have HotDocs suggest one of the options as a possible answer for the user.

To provide additional information for option prompts and merge texts

  1. Create a Multiple Choice variable. (See Customize a Multiple Choice Variable.)
  2. After specifying all the variable properties at the Properties tab of the Multiple Choice Variable Editor, click the Options tab.
  3. Click the Option drop-down button and select the option you want to modify.
  4. Perform any of the following optional tasks:
    • Type a new prompt in the Prompt box or edit the existing prompt. (500-character limit)
    • Type a new merge text option in the Default merge text box or edit the existing merge text. (1,000-character limit)
    • Select Automatically select this option if variable is unanswered when displayed to have HotDocs pre-select one or more options for the user. During the interview, the user can either accept this selection, or make a different selection.
Caution: Do not use the Automatically select this option if variable is unanswered when displayed if you are using the Multiple Choice variable in a repeated dialog. Because of the way HotDocs processes dialogs, whenever you default a value for a variable, there will always be one extra repetition in the dialog. To set a default option for a repeated Multiple Choice variable, you should use a computation script that conditions the default value. See DEFAULT VAR TO VALUE for more details.
Note:
  • You can assign resources to each specific option of a Multiple Choice variable. See the note at the end of Add Resource Information to a Variable or Dialog.
  • If you are using a SET instruction, you can set two or more options for a Multiple Choice variable. To do this, separate each option with a vertical bar (for example, SET MC Variable TO "Option1|Option2|Option3"). (The Multiple Choice variable must have the Select All That Apply property set.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Work with Multiple Choice Options


HotDocs Help - Specify Merge Text Options as Default or Field-Specific Properties

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Specify Merge Text Options as Default or Field-Specific Properties

When you create a Multiple Choice variable, you can control whether merge text options are automatically available each time you insert the variable, or whether they are only available for a specific instance of the variable. You determine this by typing your merge text either at the Multiple Choice Variable Editor or at the Variable Field dialog box.

To assign default merge text to a Multiple Choice variable

  1. Create or edit a Multiple Choice variable. (See Customize a Number Variable.)
  2. At the Multiple Choice Variable Editor, enter your options in the Option column and enter the corresponding merge text in the Default Merge Text column.
  3. Click OK. The merge text options you just entered are now saved with the other component properties.
  4. At the Variable Field dialog box for the Multiple Choice variable, select Use default. HotDocs grays all field properties for the variable.

To assign field-specific merge text to a Multiple Choice variable

  1. Create or edit a Multiple Choice variable (see Customize a Multiple Choice Variable and Edit a Variable.)
  2. At the Variable Field dialog box, clear Use defaults. HotDocs ungrays the Merge Text column.
  3. Enter the merge text that corresponds with the Options you have specified.
Note:
  • The Use defaults option at a Variable Field dialog box controls all field properties of a variable. (Field-specific properties include variable formats, Multiple Choice merge text, and formatting styles for answer fields, which are visible when you click Show Advanced.) This means that you cannot assign a field-specific property to a field and then assign a default property to the component. If you choose one type of property, all other properties must be the same type.
  • When assigning merge text to a variable, you can assign an existing merge text group by clicking the Default Merge Text column heading and choosing the option from the drop-down list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Specify Merge Text Options as Default or Field-Specific Properties


HotDocs Help - Copy and Paste Columns in a Multiple Choice Variable Spreadsheet

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Copy and Paste Columns in a Multiple Choice Variable Spreadsheet

At times, you may have an Excel spreadsheet or Microsoft Word table that contains the data you want to use as options, prompts, and merge text for a Multiple Choice variable. Other times you may want to copy this information from a Multiple Choice variable to a spreadsheet or table. Using the shortcut menu at the Multiple Choice Variable Editor, you can do this.

To copy data from a spreadsheet or table and paste it into the Multiple Choice Variable Editor

  1. In the spreadsheet or table, select or highlight the columns and rows that contain the information you want to copy and copy them. (See the application's help for information on copying.)
  2. Edit the Multiple Choice variable. (See Edit a Variable.) The Multiple Choice Variable Editor appears.
  3. Place your cursor in the spreadsheet column where you want the new data to be used.
  4. Right-click and choose Paste Multiple from the shortcut menu. The data is pasted into the spreadsheet.

To copy data from the Multiple Choice Variable Editor and paste it into a spreadsheet or table

  1. In the Multiple Choice Variable Editor, place your cursor in the spreadsheet column where you want to copy the data.
  2. Right-click and choose Copy Column (copies the text from the current cell down for this column only) or Copy All Columns (copies the text from the current cell down in all columns) from the shortcut menu.
  3. In the spreadsheet or table, place your cursor where you want to paste the data and paste it. (See the application's help for information on pasting.)
Note: To copy the spreadsheet from one Multiple Choice variable and paste it into another Multiple Choice variable, right-click on the first cell in the spreadsheet and choose Copy All Columns from the shortcut menu. Then edit the second variable, place your cursor in the first cell of the spreadsheet, and choose Paste Multiple from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Copy and Paste Columns in a Multiple Choice Variable Spreadsheet


HotDocs Help - Name a Group of Merge Text Values

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Name a Group of Merge Text Values

When you add merge text values to a Multiple Choice variable, the list of values you enter becomes a separate HotDocs component, which can be used in other Multiple Choice variables. By default, HotDocs names this component using all the values separated by slashes (for example, Boise/Olympia/Salem/Helena/Etc.) Sometimes, the merge text list can be quite long. In these situations, it may work to assign a different component name (for example, Western States Region) to the merge text values. You must use Component Manager to assign this new name.

To edit merge text and assign a new name

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Components drop-down button and select Merge Text. HotDocs displays the different merge text groups available in your component file.
  3. Select a merge text group and click the Rename Component Rename Component button. The Rename Component dialog box appears.
  4. Enter a name for the merge text group in the New name box.
  5. Click Rename. The component is renamed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Name a Group of Merge Text Values


HotDocs Help - Work with Variables in Headers, Footers, Footnotes, and Text Boxes

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change Component File Properties
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Control Whether Users See the End of Interview Dialog
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Copy Components From One File to Another
  • Create a Prompt for a Variable
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Format an Answer as the Time of Day
  • Format the Variable
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Name a Group of Merge Text Values
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Overviews

  • Overview: Create and Customize Variables

Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Depending on whether you use Word or WordPerfect, how you insert a variable in a header, footer, footnote, or text box is different. The following table explains how to use variables in the various areas of a word processor template.

 | Microsoft Word | WordPerfect
Headers and footers | Create the variable directly in the field, or create the variable in Component Manager and drag it into the field. Edit the variable directly in the field or use Component Manager. | Create the variable directly in the field, or create the variable in Component Manager and drag it into the field. Edit the variable directly in the field or use Component Manager.
Footnotes | Create the variable in Component Manager and drag it into the field. Edit the variable using Component Manager. | Create the variable directly in the field, or create the variable in Component Manager and drag it into the field. Edit the variable directly in the field or use Component Manager.
Text Boxes | Variables in text boxes are ignored during document assembly. | Create the variable directly in the text box, or create the variable in Component Manager and drag it into the text box. Edit the variable directly in the box or use Component Manager.
Caution:
  • Using buttons in the HotDocs Navigation toolbar will have no effect while editing the contents of a header or footer.
  • When inserting variables or instructions in a WordPerfect header, footer, footnote, or text box, you cannot highlight text and then replace it with the field. You must simply insert the variable by clicking in the text.
  • HotDocs 5 users: In HotDocs 5, you had to specify a component file property that instructed HotDocs to assemble variables in Word headers and footers. HotDocs 10 automatically assembles these, so the option has been removed from the Component File Properties dialog box.
Note: If a Word RTF template contains headers and footers with variables, you may find your variables being asked "out of order." You can create a custom interview to control the order your variables and dialogs are asked. See Define a Custom Interview for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Work with Variables in Headers, Footers, Footnotes, and Text Boxes

More... (1)

Home > All About... > Editing Variables > Work with Variables in Headers, Footers, Footnotes, and Text Boxes


HotDocs Help - Use Variables and Scripts in Prompts, Dialog Element Text, and Resources

Overviews

  • Overview: Create and Customize Variables

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Reference Material

  • Number Variable Formats, Percentages, and Fractions
  • Use Pattern Codes to Create a Custom Pattern
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Use Variables and Scripts in Prompts, Dialog Element Text, and Resources

You can further customize the interview process by including variables in prompts, in plain text resources, and in dialog element text. You can also include variables in dialog titles and Multiple Choice option prompts and merge text.

Additionally, you can include IF and REPEAT instructions in plain text resources. You should note, however, that placing an instruction in a resource will not cause variables used in the instruction to be asked during the interview. If an instruction relies on a variable being asked in order to be processed, you must make sure those references are resolved earlier in the interview, before the resource is displayed.

Referring to variables and instructions in other components can provide users with more specific information about the answer they need to enter during the interview. For example, if you ask for a defendant's name at the beginning of an interview, whatever name the user enters can appear in a prompt or resource later in the interview.

To customize prompts, dialog element text, dialog titles, plain-text resources, and Multiple Choice merge text and prompts

  1. Edit the component where you want to merge the variable reference or script. (See Edit a Variable or Gather Questions into a Custom Dialog.)
  2. Place your cursor where you want the variable reference (for example, a prompt, title, or dialog element text box), right-click, and choose Variable Field. The Variable Field dialog box appears.
    Note: To include variable answers in Multiple Choice merge text and prompts, you must either enter the variables at the Options tab, or you must manually enter the variable references in the options spreadsheet.
  3. Enter the variable information and click OK. The variable is merged in the field.
  4. Optionally, to enter a script in a plain-text resource, right-click in the Text box and choose IF Field or REPEAT Field from the shortcut menu, depending on the type of instruction you are inserting.
Note:
  • You can also merge variable field references by typing double-angle brackets (<< >>), followed by the variable name or instruction keyword. HotDocs will convert the double-angle brackets to HotDocs chevrons (« »).
  • If Component Manager is open, you can also drag a variable from Component Manager and HotDocs will automatically include the chevrons.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Editing Variables > Use Variables and Scripts in Prompts, Dialog Element Text, and Resources


HotDocs Help - Use the Script Editor

Overviews

  • Overview: Create and Customize Variables
  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • DEBUG
  • DEFAULT VAR TO VALUE
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FIRST( TEXT, NUM )
  • FORMAT "LIST_FORMAT"
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • INTEGER( TEXT )
  • LANGUAGE CODE
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • LIMIT NUM
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • Number Variable Formats, Percentages, and Fractions
  • OMIT VAR
  • OTHER( MULT_CHOICE_VAR )
  • PLAY "MACRO"
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • QUIT
  • REMAINDER( NUM, NUM )
  • REPEAT DIALOG; END REPEAT
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • REQUIRE ALL; REQUIRE VAR
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SET VAR TO VALUE
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • Use Pattern Codes to Create a Custom Pattern
  • VALUE( VAR, EXPRESSION )
  • WHILE EXPRESSION; END WHILE
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Control How Answers Appear in the Assembled Document
  • Control How HotDocs Processes a Variable
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Create a Prompt for a Variable
  • Edit a Variable
  • Format an Answer as the Time of Day
  • Format the Variable
  • Name a Group of Merge Text Values
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Specify the Width of Answer Fields in the Interview
  • Use the Script Editor
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • View an Outline of Scripting in the Template
  • View Relationship Between the Current Component and Other Components
  • Work with Multiple Choice Options

Use the Script Editor

When writing a computation script, there are several tools you can use to make the process easier.

To use the script editor

  1. Edit the script or expression.
  2. At the Script or Expression box, complete any of the following tasks:
    To | Do This
    Have HotDocs automatically complete keywords, component names, and Multiple Choice options as you type

    Place your cursor in the Script box and press Ctrl+Spacebar. HotDocs displays a list of instruction and expression keywords, constant values (such as month abbreviations), and components. Type a portion of the keyword, component name, or Multiple Choice option for which you are searching. As you type, HotDocs filters the list to show only those keywords that contain the text you have typed. Once selected, press Enter to merge it into your script.

    To keep seldom-used keywords out of the auto-complete list, click the Options Options button and clear Include seldom-used keywords in auto-complete list.

    Access just a list of components | Press the F5 key, select the component, and press Enter.
    Access just a list of keywords | Press Shift+F5, select the keyword, and press Enter.
    Display a syntactical hint of how an instruction or expression should be used | Place your cursor inside the keyword and press the F7 key. HotDocs displays a small ToolTip that shows the entire model as well as the type of value it produces, if it's an expression.
    Indent matching pairs of IF and REPEAT instructions based on the level of their insertion | Click the Auto Format Auto Format button.
    Undo (or cancel) an action you just performed | Click the Undo Undo button. HotDocs reverses the change you made.
    Redo (or re-implement) an action you just performed | Click the Redo Redo button. HotDocs reapplies the change you made.
    Cut or copy and paste a selected portion of the script | Select the portion of the script you want to cut or copy, and then click the Cut Cut button or the Copy Copy button. The script is copied to the Clipboard. To paste the script in a new location, insert your cursor at that location and click the Paste Paste button.
    Find a specific string of text in the script

    Click the Find Find button and enter your search text in the Find what box. To find the next instance of the text, click the Find Next Find Next button.

    Note: To find only those instances of text that are complete words, select Find whole words only. To find only those instances that have the same capitalization as the text for which you are searching, select Match case.
    Find a specific string of text in the script and replace it with another string of text

    Click the Find and Replace Find and Replace button. Enter the search text for which you are searching in the Find what box, and then enter the replacement text in the Replace with box. Once you have entered the required text, click Replace, Replace All, or Find Next.

    To find and replace script text in a specific block of script, select the block of script first and then click the Find and Replace Find and Replace button. At the Find and Replace dialog box, select Replace only in selected text.

    Move your cursor to a specific location in the script | Click the Go To Go To button. This displays the Go To dialog box, where you can enter the line number or character position of where you want your cursor to move.
    Indent or outdent a block of the script | Select the portion of the script you want to indent or outdent and click the Indent Indent button or the Outdent Outdent button. (Click repeatedly to increase or decrease the indent.)
    Cause HotDocs to ignore a section of the script when it processes it, or insert a comment in the script | Highlight the block of the script you want to comment and click the Comment Block Comment Block button. This puts two forward slashes in front of each line of the script, which instructs HotDocs to ignore this section. To uncomment it, highlight the text and click the Uncomment Block Uncomment Block button.
    Match an IF or REPEAT instruction with its END IF or END REPEAT instruction (or vice versa) | Place your cursor inside the instruction, right-click, and select Match IF/REPEAT from the shortcut menu. (You can also press Ctrl+M.)
    Highlight an entire IF or REPEAT instruction block (meaning everything between a beginning and ending IF/REPEAT instruction) | Place your cursor inside the instruction, right-click, and select Select IF/REPEAT from the shortcut menu. (You can also press Ctrl+Shift+M.)
    View helpful information while using the script editor, including accessing help topics for the different instructions and expressions you can use in your script | Click the HotDocs Help HotDocs Help button.
    Customize the way the script editor works | Click the Options Options button and make your changes. (See Change Script Editing Options.)
    Insert line breaks and tab characters in a script | See Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts.
    Assign formatting characteristics to literal text strings in a script

    Insert the corresponding dot code. See one of the following topics for details:

    • Change Font Properties of Text
    • Insert Characters in Text Strings
    • Add Punctuation and Capitalization to Sentences
Note:
  • To access the script editor toolbar using the keyboard, press F10.
  • To access help for each instruction or expression, first select the model in one of the lists and then press Ctrl+F1.
  • For an explanation of the HotDocs scripting language, see Understand the HotDocs Scripting Language. For details on creating a Computation variable, see Customize a Computation Variable. For a list of instruction and expression models, see Overview: Instruction and Expression Models.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Use the Script Editor

More... (2)

Home > All About... > Using Instruction Models > Use the Script Editor

Home > All About... > Editing Variables > Use the Script Editor


HotDocs Help - Setting Values for Variables

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Setting Values for Variables

Automatically Assign Answers to a Variable

Values in SET Instructions

Use SET Instructions to Help Write Computations

Home > All About... > Setting Values for Variables


HotDocs Help - Automatically Assign Answers to a Variable

Reference Material

  • Use SET Instructions to Help Write Computations
  • Values in SET Instructions

Automatically Assign Answers to a Variable

Variables normally get their values from the answers users enter during an interview, but sometimes you may want to assign an answer to a variable instead of allowing the user to specify the answer.

For example, a document might include the address of the client and, in another place, the address of the client’s spouse. Once the client’s address has been entered by the user, you could use a SET instruction to automatically fill in the same address for the spouse, since it will be the same.

SET instructions are inserted using a Computation variable, which you can insert in the template where you want the SET instruction to take effect.

When you set a variable to a value, you should clear the Save in answer file option for the variable (Advanced tab of the variable editor). That way, when HotDocs builds the interview, the answer can be set without prompting the user to save the answer file. (A changed answer file warning like this could be puzzling to users, especially if users don't add or change any answers in the interview.)

To set a variable to a value

  1. Create a Computation variable. (See Customize a Computation Variable.)
  2. From the Instruction models list, drag the SET VAR TO VALUE instruction into the Script box.
  3. Drag a variable you want to receive the new answer from the Variables list onto the VAR placeholder.
  4. Replace the VALUE placeholder with the answer you are assigning to the variable. You can do this by dragging a variable name from the Variables list, by dragging another instruction or expression into the Script box, or by entering an actual value. (See Values in SET Instructions for more details about these different types of values.)
  5. Click OK after the placeholders have been replaced with actual values.
Note:
  • You should never SET a variable's value and then cause the variable to be asked later in the template. If you do this, the value assigned by the SET instruction will always overwrite users' answers. If you want to suggest an answer for users but allow them to change it, use the DEFAULT instruction. (See DEFAULT VAR TO VALUE instruction model and Differences Between SET and DEFAULT Instructions.)
  • To set two or more options for a Multiple Choice variable, separate each option with a vertical bar (for example, SET MC Variable TO "Option1|Option2|Option3").

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting Values for Variables > Automatically Assign Answers to a Variable


HotDocs Help - Values in SET Instructions

How Do I...?

  • Automatically Assign Answers to a Variable

Reference Material

  • Use SET Instructions to Help Write Computations
  • Values in SET Instructions

Values in SET Instructions

You can set a variable to three kinds of values—a fixed value, another variable's value, and a value created by an expression. Be sure the variable and the value are the same type—set a Text variable to a text value, a Number variable to a number value, and so forth.

Fixed Values

A fixed value is a number, a date, a string of text, or TRUE or FALSE that is typed into the SET instruction. For example:

SET Receiving Office TO "Ridgefield"
SET Maximum Weight TO 5000
SET Client is Married TO TRUE
SET Property Items TO "Furniture|Automobiles"

Be sure to follow the rules for entering fixed values—for example, text must be in quotation marks and numbers cannot include commas. See Understand the HotDocs Scripting Language for an explanation.

Variables

You can set a variable to the value of another variable. That way, the user supplies the answer. For example:

SET Receiving Office TO Customer City

Expressions

You can use an expression to produce the value for a SET instruction. For example:

SET Total Weight of Shipment TO (Weight of One Unit * Number of Units) + (Weight of Pallet * (Number of Units / 12))

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting Values for Variables > Values in SET Instructions


HotDocs Help - Use SET Instructions to Help Write Computations

How Do I...?

  • Automatically Assign Answers to a Variable

Reference Material

  • Use SET Instructions to Help Write Computations
  • Values in SET Instructions

Use SET Instructions to Help Write Computations

Sometimes a SET instruction makes a computation easier to write. When there’s a long expression that is used in the computation more than once, set a variable to the expression and then use the variable wherever you need the expression after that in the computation.

For example, you might create a variable like Total Weight of Shipment just for use within the computation—it might not be used anywhere else in the template. In the following script, the SET instruction (the first instruction in the script) assigns the value of an entire expression to the variable. You can then use the variable elsewhere in the computation instead of writing the expression again:

SET Total Weight of Shipment TO (Weight of One Unit * Number of Units) + (Weight of Pallet * (Number of Units / 12))
IF Total Weight of Shipment > 10000
  "Peoria Warehouse"
ELSE IF Total Weight of Shipment > 5000
  "South Chicago Warehouse"
ELSE IF Total Weight of Shipment > 200
  "Chicago Office Warehouse"
ELSE
  "Local Office"
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting Values for Variables > Use SET Instructions to Help Write Computations


HotDocs Help - Tips on Using and Editing Variables

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Tips on Using and Editing Variables

Tips on Naming Your Variables

How Example Formats are Interpreted

Understand the HotDocs Scripting Language

Understand How Component Titles and Prompts are Used

Home > All About... > Tips on Using and Editing Variables


HotDocs Help - Tips on Naming Your Variables

Reference Material

  • How Example Formats are Interpreted
  • Tips on Naming Your Variables
  • Understand How Component Titles and Prompts are Used
  • Understand the HotDocs Scripting Language

Tips on Naming Your Variables

How you name variables in your templates depends largely on personal preference or your project guidelines. However, there are a few rules and suggestions that can make the automation and assembly process easier.

Assign Common, Useful Names

A variable name guides the user in answering each question, so you should choose meaningful names as you design your templates. A variable name can have up to 50 characters, including letters, numbers, and some symbols. However, the first character must be a letter. Each variable name must be unique—even if the variables are different types, their names cannot be identical.

Caution: Do not use all uppercase letters in your variable names. Because HotDocs instruction and expression keywords use uppercase letters, you may inadvertently use a word that may someday be used as a keyword, which will cause HotDocs to read your variable name incorrectly. (See Overview: Instruction and Expression Models.)

Finally, there are certain characters you cannot use when naming your components. They are:

Character | Name
. | Period
$ | Dollar sign
" | Quotation mark
: | Colon
[ ] | Brackets
, | Comma
( ) | Parenthesis
% | Percent

These characters can be used only if there is a character other than a space immediately before or after it:

Character | Name
+ | Plus
- | Hyphen
* | Asterisk
/ | Forward slash
> < | Greater Than and Less Than signs
>= <= | Greater Than or Equal To and Less Than or Equal To signs
= | Equals
!= | Does not equal

In addition, if you are developing templates for use with HotDocs Server, the following characters should be avoided when naming components:

Character | Name
? | Question mark
& | Ampersand
@ | At symbol

Share Answers Between Templates

If you have multiple templates that use the same information, your users can share answers across a set of templates. To do this, you must create variables with the same names in each template, and users must use the same answer file when assembling documents. (See Assemble a Text or Form Document and Create a New Answer File.) When the variable names are identical, the answers in separate documents are also identical. However, variable names are context-sensitive and any limits entered for the first variable (such as maximum number of characters, patterns, and decimal places) must be entered for each duplicate variable or the answers will not flow from one document to the next.

When many variables are shared throughout your template set, you may find it easier to use one component file for all of your templates. (See Use One Component File for Multiple Templates.) Or, if you want each template to use an independent component file, copy the contents from the first template’s component file into each subsequent component file. (See Copy Components From One File to Another.) Using either method, you can use variables you have already created, rather than recreating each variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Tips on Using and Editing Variables > Tips on Naming Your Variables


HotDocs Help - How Example Formats are Interpreted

Reference Material

  • How Example Formats are Interpreted
  • Tips on Naming Your Variables
  • Understand How Component Titles and Prompts are Used
  • Understand the HotDocs Scripting Language

How Example Formats are Interpreted

The following describes how answers will be formatted, based on the assigned example format:

Text Variables

Example Format | User's Answer | How Answer is Formatted in Document
like this | Marianne Stevens | marianne stevens
Like this | Marianne Stevens | Marianne stevens
Like This | Marianne Stevens | Marianne Stevens
LIKE THIS | Marianne Stevens | MARIANNE STEVENS
Like a This | our client, Marianne Stevens, is the Plaintiff in the case | Our client, Marianne Stevens, is the Plaintiff in the case

Number Variables

Example Format | User's Answer | How Answer is Formatted in Document
09 | 4 78 | 04 78
9 | 7,898 | 7,898
9 1/8 | 2.3 | 2 1/4
9,999.00 | 9214 9214.36 | 9,214.00 9.214.36
9,999.99999 | 87.5984 | 87.5984
9.9 | 87.6 | 87.6
9.9.a (this format is best used with PN variables) | 287.3 | 287.3.a
9999 | 12587 | 12587
9th | 23 | 23rd
nine | 1,278 | one thousand two hundred seventy-eight
NINE | 1,278 | ONE THOUSAND TWO HUNDRED SEVENTY-EIGHT
Nine Dollars and Twelve Cents | 5.36 | Five Dollars and Thirty-Six Cents
ninth | 782 | seven hundred eighty-second
alpha Alpha ALPHA | 12 | twelve Twelve TWELVE
ordinal Ordinal ORDINAL | 25 | twenty-fifth Twenty-Fifth TWENTY-FIFTH
Caution: Many of these formats will change depending on whether you assign decimal places to the answer. How many decimal places you assign also affects the outcome.

Date Variables

Example Format | User's Answer | How Answer is Formatted in Document
03 JUN 90 | November 6, 2000 | 06 NOV 00
06/30/90 | November 6, 2000 | 11/06/00
3 June 1990 | November 6, 2000 | 6 November 2000
3rd day of June, 1990 | November 6, 2000 | 6th day of November, 2000
6/3/90 | November 6, 2000 | 11/6/00
June 3, 1990 | November 6, 2000 | November 6, 2000
June 3rd | November 6, 2000 | November 6th
June Third, One Thousand Nine Hundred Ninety | November 6, 2000 | November Sixth, Two Thousand
Sunday | November 6, 2000 | Monday
Sunday, June 3, 1990 | November 6, 2000 | Monday, November 6, 2000
Third day of June, 1990 | November 6, 2000 | Sixth day of November, 2000
Note: For additional date formats, please see Additional Date Formats.

True/False Variables

Example Format | User's Answer | How Answer is Formatted in Document
/x | Yes No | (nothing) X
true/false | Yes No | true false
x/ | Yes No | X (nothing)
yes/no | Yes No | yes no

Multiple Choice Variables

The format assigned to a Multiple Choice variable depends on whether the variable is set to allow only one selection (Select One) or multiple selections (Select All That Apply). If set to Select One, the answer will be formatted like Text variables are formatted. Please see the formats table for Text Variables for a description of each option. If the variable is set to Select All That Apply, the answer will be formatted like repeated answer lists are formatted. Please see the table for answer lists for a description of each option.

Computation Variables

Formats for Computation variables depend on the type of computation script you are creating. If you are calculating numbers, the formats are the same as Number variables. If you are working with text, the formats available are the same as Text variables.

Answer Lists

To create a list of answers, you can either create a Multiple Choice variable and assign the Select All That Apply property for it, or you can create a REPEAT instruction. The following list of formats describes the format for each type of list.

Caution:When creating lists of answers using a REPEAT instruction, the formats with all capital letters only capitalize the conjunction in the sentence, for example, the word AND. Individual answers in the list are either merged as the user types them or as you have specified for each variable.
Example Format | User's Answer | How Answer is Formatted in Document
a, and b | apples and oranges | Multiple Choice: apples, and oranges Repeated List: apples, and oranges
a, b | apples, oranges, and cherries | Multiple Choice: apples, oranges, cherries Repeated List: apples, oranges, cherries
a, b and c | apples, oranges, and cherries | Multiple Choice: apples, oranges and cherries Repeated List: apples, oranges and cherries
A, b and c | apples, oranges, and cherries | Multiple Choice: Apples, oranges and cherries Repeated List: apples, oranges and cherries
A, B and C | apples, oranges, and cherries | Multiple Choice: Apples, Oranges and Cherries Repeated List: apples, oranges and cherries
A, B AND C | apples, oranges, and cherries | Multiple Choice: Apples, Oranges AND Cherries Repeated List: apples, oranges AND cherries
A, b or c | apples, oranges, and cherries | Multiple Choice: Apples, oranges or cherries Repeated List: apples, oranges or cherries
a, b, and c | apples, oranges, and cherries | Multiple Choice: apples, oranges, and cherries Repeated List: apples, oranges, and cherries
a; b; and c | apples, oranges, and cherries | Multiple Choice: apples; oranges; and cherries Repeated List: apples; oranges; and cherries

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Tips on Using and Editing Variables > How Example Formats are Interpreted


HotDocs Help - Understand the HotDocs Scripting Language

Reference Material

  • How Example Formats are Interpreted
  • Tips on Naming Your Variables
  • Understand How Component Titles and Prompts are Used
  • Understand the HotDocs Scripting Language

Understand the HotDocs Scripting Language

Learning the Language

As you use HotDocs, you may need to tell HotDocs to perform a particular task, such as insert one template into another, hide variables in dialogs, or perform some action based on an answer the user provides. Similarly, you may need to add up several dollar amounts, or find the number of years between two given dates. Or, you may need to search a user’s answer for a certain block of text.

To accomplish this, you must use the HotDocs scripting language, which consists of instructions, expressions, operators, and values—such as text, numbers, dates, or answers users enter. To help you learn this language, HotDocs provides you with instruction and expression models.

Specifically, an instruction model tells HotDocs to perform some sort of function, while an expression model retrieves a special value. Most models also include placeholders, which you must replace with a value. Possible values include text strings, number amounts, other models, and HotDocs variables. A model will not work until all its placeholders are replaced.

In addition to using instructions and expressions, you can use operators to control how the script is processed. Most operators are common mathematical signs, but there are also Boolean operators such as AND and OR. The operator AND means the statement to the left and the statement to the right must both be true. The operator OR means either the statement to the left or the statement to the right must be true. The operator ( ) means to perform the operation between the parentheses first. (See Use Operators When Scripting.)

Rules for Writing Scripts

Instruction and expression models are designed to help you accurately write scripts. However, there are still certain rules you must follow, particularly when it comes to replacing placeholders with values. Failure to follow these rules may result in syntax errors when HotDocs attempts to process the script during assembly.

When using literal values:

  • Decimal numbers less than one must have a zero before the decimal point (0.125 not .125).
  • Numbers cannot contain commas (1250 not 1,250).
  • Dates must be in the form 3 JUN 1990.
  • Text strings must be inside quotation marks.

To help you format these numbers correctly, use the Enter a Date, Enter a Number, Enter some Text, and Enter True or False expression models.

When manually typing the script:

  • Component names must be entered exactly as they appear in the Components list, including capitalization.
  • Components and operators must be separated by spaces.
  • Operators must be entered exactly as they appear in the Operators list, including capitalization.
  • Variables used inside a literal text string (or between quotation marks) in a computation must be inside chevrons (« »). If the variable name is not inside chevrons, the variable name—not the variable's value—will be merged as the answer. (For example, "«Employee Name» must wait «Number of Months» months before applying.")
  • Keywords, such as TRUE, FALSE, AND, END IF, and so forth, must be in all capital letters.
  • Only TRUE or FALSE can be used for a true/false value.
  • If you want the computation to return a combination of text, variables, and values, you must concatenate (or join) the data with the Add ( + ) operator. Otherwise, HotDocs returns only the last piece of text, variable, or value.
  • When using the RESULT expression, you must first set the computation to a value. If the computation will return text, set it to a specific value by typing text inside quotation marks at the start of the script. (To set a text computation to an empty value, type nothing between the quotation marks—not even a space.) If the computation will return a number, set it to a value by typing a number at the very beginning of the script. (To set a number computation to nothing, type 0 (zero).)

Writing the Script

There are three places in HotDocs where you can write scripts: The Computation Editor, the Script tab of the Dialog Editor, and the Expression box of the IF Field dialog box. Each of these places provides you with the tools you need to write the script. Which tools you use, however, depends on personal preference, as well as your skill level.

If you are learning the scripting language, it is suggested that you select and drag instructions and expressions from the models lists to the Script box. You can also drag operators and components from their respective lists into the Script box. If there are placeholders, replace them by dragging components or other models onto them. To correctly format literal values (such as text, numbers, dates, and true/false values) use the Enter... expression models.

If you prefer to use the keyboard rather than the mouse, press the Tab key to move from one field in the dialog box to the next. Use the arrow keys to select specific components, operators, and models, and use the Insert key to bring the selected element into the Script box. To replace placeholders in the script, insert your cursor in the placeholder text and then locate the value you want to replace it with in the lists below and press the Insert key.

Once you become familiar with the instructions and expressions, you can type your scripts directly in the Script or Expression box. To ensure you use the correct instruction and expression keywords and component names, you can access lists of these things using keyboard shortcuts and other options available in the script editor. When you do this, HotDocs displays an auto-complete list from which you can choose the instruction or expression you are typing. For complete instructions, See Use the Script Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Tips on Using and Editing Variables > Understand the HotDocs Scripting Language


HotDocs Help - Understand How Component Titles and Prompts are Used

Reference Material

  • How Example Formats are Interpreted
  • Tips on Naming Your Variables
  • Understand How Component Titles and Prompts are Used
  • Understand the HotDocs Scripting Language

Understand How Component Titles and Prompts are Used

In HotDocs, you can assign titles to different components, including variables, dialogs, clauses, and databases. Titles are used in place of component names, which, when used in the context of an interview, may not make much sense to the user. (For example, a component may be named Client Birth Date DA, but the name you want users to see in the interview is Client's Birth Date.)

How HotDocs uses these titles, especially for components that may also have a prompt, depends on where the component appears in the interview. Following is a description of the components, where they are used in the interview, and the order in which titles, prompts, and names are used when identifying the component.

For example, say you have a Text variable that is used in a dialog. The first property HotDocs will try to use as the question for the Text variable in the dialog is the prompt itself. If no prompt is specified, it will use the title. If no title is given, it will use the variable name.

Type of Component | Where Used in Interview | Order in Which Properties are Used
Variable (used or not used in a custom dialog) | Answer field in the dialog pane | Prompt / Title / Variable name
Variable (used in a custom dialog) | Text in the column heading of a spreadsheet (including in an answer source column) | Prompt / Title / Variable name
Variable (not used in a custom dialog) | Dialog title in the interview outline or dialog title in the dialog pane title bar | Title / Prompt / Variable name
Variable (used or not used in a custom dialog) | Reference in a Question or Answer Summary | Prompt / Title / Variable name
Clause (referenced in a clause library) | Clause title in the clause library | Title / Clause name
Clause (referenced using an IF instruction in a template; is not used in a custom dialog) | Dialog title in interview outline or dialog title in the dialog pane title bar | Title / Prompt / Clause name
Clause (referenced using an IF instruction in a template; is not used in a custom dialog) | Answer field in the dialog pane | Prompt / Title / Clause name
Database component | Dialog title in interview outline or dialog title in dialog pane title bar | Title / Component name
Database component | Table in dialog pane | Prompt / Title / Component name
Dialog (nonrepeated) | Dialog title in interview outline or dialog title in dialog pane title bar | Dialog title / Dialog name
Dialog (repeated as series) | Dialog title in interview outline | Repeated series label / Dialog title / Dialog name
Dialog (repeated as series) | Dialog title in dialog pane title bar | Dialog title / Dialog name
Dialog (repeated as spreadsheet) | Dialog title in interview outline or dialog title in dialog pane title bar | Dialog title / Dialog name
Note:
  • Remember that when variables are linked to or used in dialogs, the text that appears in the interview outline and in the dialog pane title bar comes from the dialog, not the variable.
  • You should always test assemble your template to make sure these combinations of titles, prompts, and variable names make sense for the interview. See Overview: Test HotDocs Templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Tips on Using and Editing Variables > Understand How Component Titles and Prompts are Used


HotDocs Help - Creating and Using Dialogs

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Creating and Using Dialogs

Overview: Create Your Own Dialogs

Gather Questions into a Custom Dialog

Edit a Custom Dialog

Change a Dialog's Options

Add Resource Information to a Variable or Dialog

Use Scripts to Add Power to Your Dialogs

Change the Layout of Variables in a Dialog

View Relationship Between the Current Component and Other Components

Add Notes to Components

Use the Same Variable or Clause in Two or More Dialogs

Control Whether Dialogs are Asked Automatically

Home > All About... > Creating and Using Dialogs


HotDocs Help - Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Overview: Create Your Own Dialogs

When you insert variables in your templates, HotDocs automatically creates a default dialog (or a question window) for each variable. When the user assembles the document, HotDocs presents each of these individual dialogs in the order the variables are used in the template.

However, if you want to have more control over the information-gathering process, you can create custom dialogs. To do this, you group related questions together and add text (and other design elements) to the dialog to help the user provide correct answers. You can also control the order in which custom dialogs appear during the interview.

When you add a variable to a dialog, HotDocs creates a link between the variable and the dialog. When an answer is needed for the variable during the interview, HotDocs displays the linked dialog instead of displaying the variable by itself.

When creating dialogs, you can add visual elements to the dialog, such as lines, graphics, and white space. You can also include links to computations, applications, or even a Web page. All of these tools give your users a better experience answering questions in the dialog.

The following shows the Dialog Editor with a list of the variables that have been linked to it.

During the interview, HotDocs displays the dialog and allows the user to enter answers.

You can also add scripts to your dialogs, which let you conditionally hide or dim variable questions and require that certain questions be answered. You can use text from a Windows or HTML Help file, Folio Infobase, custom program, or Web page as a resource for a dialog. You can also create an answer source—an answer file from which a user can select existing answers during the interview. Finally, you can change the width and placement of answer fields in the dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Overview: Create Your Own Dialogs


HotDocs Help - Gather Questions into a Custom Dialog

Overviews

  • Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Gather Questions into a Custom Dialog

By default, when HotDocs displays variables in a HotDocs interview, each variable is shown in a dialog by itself. This dialog is called a default dialog. While this approach may be sufficient for some, you may want to group related variables and present them in a custom dialog. Grouping questions together makes it easier for users to answer questions in the interview because there are fewer dialogs to navigate through. Additionally, sometimes viewing questions in context makes it easier to understand what information is required.

To add variables or clauses to a custom dialog

  1. At the HotDocs template, click the Component Manager Component Manager button. The Component Manager window appears.
  2. Select Dialogs from the Components drop-down list. This limits the list of components to show only the dialogs used in the template.
  3. Click the New Component New Component button. The Dialog Editor appears.
  4. At the Properties tab, type a name in the Dialog name box.
  5. Select the components you want from the Components list and drag them to the Contents box.
    Note: Click the Components drop-down button and select a component type to limit the list of components you are viewing. To use a component you haven’t created yet, select a component type and click the New Component New Component button.
  6. Optionally, to change the order variables are asked in the dialog, select a variable and drag it up or down in the list. As you do this, HotDocs displays a horizontal bar showing you where the variable will be placed when you release the mouse.
  7. Once all the variables are added, you can perform any of the following optional tasks:
    To | Do This
    Specify a prompt for the dialog that is different from the dialog name

    Type the desired prompt in the Title box. The title is what will be used in the interview outline and in the dialog title bar during the interview.

    Dialog titles are useful when the dialog name you have assigned wouldn't make sense to the user.

    To make the title bold, italic, or underlined, insert the opening dot code for the style you need. Do not include a closing dot code. (See Change Font Properties of Text.)

    Add other items to a dialog, such as text, graphics, links, or design elements | Click on the Create New Dialog Element icon and drag it to the Contents list. The Dialog Element Editor opens where you can choose to add text, lines or spaces, a link that runs a computation, a link that launches an application, a hyperlink, or a graphic.
    Choose how you want to display a dialog if it's repeated

    Click the Style drop-down button and choose a repeated display option: Repeated Series or Spreadsheet. (See Create a REPEAT Instruction to Gather a List of Answers.)

    To assign a label to the entire repeated series of dialogs, enter the label in the Label box. (See Customize REPEAT Titles.)

    Customize how the dialog displays variable questions and control how the dialog functions | Click the Options tab and make your selections. (See Change a Dialog's Options.)
    Make the contents of your dialog dynamic based on answers a user enters | Click the Script tab and create a script. (See Use Scripts to Add Power to Your Dialogs.)
    Provide helpful information about the dialog for the user | Click the Resource tab and enter the resource text. The information you enter here appears in the resource pane during the interview. (See Add Resource Information to a Variable or Dialog.)
    Have two or more variables appear side by side in the dialog | Click the Layout tab and drag variables to the line you want. (See Change the Layout of Variables in a Dialog.)
    View a list of all components that use this dialog | Click the Used In tab. (See View Relationship Between the Current Component and Other Components.)
    Enter notes about the component, such as an explanation about why the component was created or how it should function in the interview | Click the Notes tab and enter your comments. (See Add Notes to Components for details.)
    See how your dialog looks and works without closing the Dialog Editor

    Click Test. A test assembly window appears, showing the current dialog. (See Test a Custom Dialog.)

    If you want to make changes to the dialog, make your changes in the Dialog Editor (without closing the assembly window) and click Update. When you are satisfied with your changes, close the test assembly window and click OK.

Once your dialog is created, you can rearrange components within the dialog by dragging them up or down in the Contents list. You can remove all components by dragging them back to the Components list. To edit a component, double-click it (at either the Contents box or the Components list).

By default, HotDocs asks variables and dialogs in the order it "reads" them in the template (top-to-bottom, left-to-right). If you want a dialog to be asked at a specific place in the template, you must use an ASK instruction. See Control When Your Dialogs Appear for details.

Caution: When you add variables to a dialog, the variables and the dialog become linked and used variables appear grayed in the Components list of the Dialog Editor. Be careful when adding an already-linked variable to a different dialog. If you don't first clear the Link variables to this dialog option (Options tab), you will remove the variable from the first dialog. (See Use the Same Variable or Clause in Two or More Dialogs.)
Note:
  • If you don't link variables to a dialog, the variables will appear in their own default dialogs in the interview. If you assign titles to the variables, that title will be used in the interview outline and in the dialog title bar. Otherwise, the variable prompt or name will be used.
  • You can control the width of answer fields in a dialog. See Specify the Width of Answer Fields in the Interview.
  • To save your changes to a dialog without closing the Dialog Editor, click Save.
  • To move components between the Components and Contents list using the keyboard, use the Left and Right arrow keys. To move components within the Contents list, press Alt+Up Arrow or Alt+Down Arrow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Gather Questions into a Custom Dialog


HotDocs Help - Edit a Custom Dialog

Overviews

  • Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Edit a Custom Dialog

Once you have created a dialog, you can use Component Manager to make changes to it at any time.

To edit a dialog

  1. At the HotDocs template, click the Component Manager Component Manager button. The Component Manager window appears.
  2. Select Dialogs from the Components drop-down list. This limits the list of components to show only the dialogs used in the component file.
  3. Select the dialog you want to edit and click the Edit Component Edit Component button. The Dialog Editor appears, showing the contents and properties of the dialog.
  4. Make changes to the dialog. (See Change a Dialog's Options for ideas.)
Note: To edit a dialog without using Component Manager, make sure your cursor isn't in a variable field. Then, click the Edit Component Edit Component button in the HotDocs toolbar. Select Dialog and click the Component drop-down button. Choose the dialog you want to edit from the list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Edit a Custom Dialog


HotDocs Help - Change a Dialog's Options

Overviews

  • Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Change a Dialog's Options

You can make several changes to further customize your dialog, such as:

  • Put True/False variables, clauses, or inserted dialogs into single-selection or multiple-selection groups.
  • Decide where variable prompts appear in relation to answer fields.
  • Make sure variables grouped in a dialog are asked only if the dialog is specifically ASKed.
  • Make sure a dialog always appears, no matter how the user navigates through an interview.
  • Specify an answer source to be used with the dialog.

You can specify all of these options at the Options tab of a custom dialog

To change dialog options

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. Click the Options tab. The window changes to show several custom options.
  3. Perform any of the following tasks:
    To | Do This
    Place groups of True/False variables together, clause components together, or child dialogs together so users can choose only one option

    Choose Select One from the Selection grouping drop-down list.

    When HotDocs processes a dialog that has a selection grouping, it automatically marks all options as false, which tells HotDocs those variables are answered. (Of course, the user can change this by selecting an option.) The user viewing the dialog, however, sees no visual cue that these options are false (and therefore answered), so they might not understand why the answered status changes in the interview outline. Because of this, you should always select None of the Above, which adds a None of the Above option to the list. This way, the dialog can appear answered, even if the user doesn't select an option.

    Place groups of True/False variables together, clause components together, or child dialogs together so users can choose from several options

    Choose Select All That Apply from the Selection grouping drop-down list.

    When HotDocs processes a dialog that has a selection grouping, it automatically marks all options as false, which tells HotDocs those variables are answered. (Of course, the user can change this by selecting an option.) The user viewing the dialog, however, sees no visual cue that these options are false (and therefore answered), so they might not understand why the answered status changes in the interview outline. Because of this, you should always select None of the Above, which adds a None of the Above option to the list. This way, the dialog can appear answered, even if the user doesn't select an option.

    Add a None of the Above option to a single-selection or multiple-selection group

    Select None of the Above.

    Note: Providing a None of the Above option for your users gives them the chance to answer a question without selecting any of the options you have presented.
    Choose the visual relationship you want between variable prompts and answer fields

    Select an option from the Prompt position drop-down list:

    • Above places the prompt above the answer field.
    • Left places the prompt to the left of the answer field. The length of the prompt text can be from 12 to 50 units, as specified in the Maximum units box. If the prompt length exceeds this, the prompt will wrap to the next line.
    • Automatic places the prompt according to the values you specify in the Maximum units box. Prompts that are shorter than this number will be placed to the left of the answer field. Prompts that are longer are placed above the answer field.

    To right-align prompts, select Right-align prompts.

    Note:
    • One unit is about equal to the width of the character 5.
    • When variables are placed side-by-side in a dialog, prompts will always appear above the answer field.

    Enter a prompt for a child dialog button on the parent dialog

    (By default, child dialogs appear on parent dialogs as links with the child dialog's name as the prompt. Specifying a prompt lets you provide more instructive text for accessing and then answering questions in the child dialog.)

    Enter the new prompt in the Prompt to use when displayed as child dialog box.

    The prompt you specify here will be used in the dialog only—the dialog's name or title will still be used in the interview outline and in the dialog itself.

    Keep child dialogs from appearing as buttons on the parent dialog | Clear Show buttons for child dialogs. HotDocs removes any representation of the child dialog from the parent dialog. The only reference to the dialog will be in the interview outline, and users must manually click on the dialog to answer questions within it.
    Keep the dialog from being asked if none of the variables in the dialog are active (or used by the document) | Select Hide this dialog when all variables are inactive. (See Automatically Disable Irrelevant Variables in Interviews for details.)
    Make sure the dialog is asked—even if it has already been answered—when a user clicks the Next Unanswered button

    Select Always stop at this dialog when moving to next unanswered.

    This option is also useful when you have a dialog that contains dialog element text only. By selecting this option, you can ensure that users navigating the interview using the Next Unanswered button will still see this dialog. (See Using a Dialog to Display Only Dialog Element Text.)

    Control whether dialogs are asked automatically | Clear Ask automatically. (See Control Whether Dialogs are Asked Automatically.)
    Cause variables in the dialog to be asked separately, rather than together in a dialog | Clear Link variables to this dialog. If this option is cleared and the dialog is not specified in an ASK instruction, the variable questions are asked individually.
    Use one variable in two or more dialogs | Clear Link variables to this dialog. (See Use the Same Variable or Clause in Two or More Dialogs.)
    Identify an answer source file from which the user can choose answers

    Either type the name of an answer source file in the Answer source box, or click the drop-down button and select an existing answer source. (See Suggest an Answer Source for Dialogs.)

    Click the Map Variables button to link an existing answer source to a dialog where the variable names are not the same. (See Link an Existing Answer Source to Other Dialogs or Link a Dialog to a List Gathered by a Repeated Dialog.)

    You can also link an answer source to a Time Matters Record or an Outlook Contacts list

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Change a Dialog's Options


HotDocs Help - Use Scripts to Add Power to Your Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Automatically Disable Irrelevant Variables in Interviews
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Reference Material

  • Special Instructions for Dialog Scripts

Overviews

  • Overview: Create Your Own Dialogs

Use Scripts to Add Power to Your Dialogs

You can create scripts for your dialogs that allow you to hide or dim variable questions, require certain questions be answered before the user can proceed to the next dialog, and assign predetermined values to variables. You can also use scripts to make variables within a dialog conditional—just as they are in the underlying template text.

Caution: Before creating a dialog script, see Special Instructions for Dialog Scripts as well as Understand the HotDocs Scripting Language. Dialog scripts should only change the appearance of variables in a dialog—they should not be used to compute answers.

To create a script for a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. Click the Script tab. The window changes to show scripting options.
  3. Enter your dialog script. (See Use the Script Editor and Special Instructions for Dialog Scripts.)

Once you have written your script, you can make sure it works correctly by testing the dialog. The dialog appears just as it will during regular assembly. (See Test a Custom Dialog.)

Note: At the Script tab, the Components list shows the components (including dialog element components) in the order they are used in the dialog. This makes it easier to see exactly which components you can use in the script.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Scripts to Make Dialogs Dynamic > Use Scripts to Add Power to Your Dialogs

More... (1)

Home > All About... > Creating and Using Dialogs > Use Scripts to Add Power to Your Dialogs


HotDocs Help - Change the Layout of Variables in a Dialog

Overviews

  • Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Change the Layout of Variables in a Dialog

You can change the appearance of dialogs, including placing variables side by side in the dialog and changing the width of variables already placed side by side. Changes can only be made in dialogs that have the Regular and Repeated Series styles applied. You cannot change the layout of Spreadsheet dialogs.

To place variables side by side on a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. Click the Layout tab. The window changes to show icons representing each component in the dialog.
  3. Click a component icon and drag it to another location in the window.

    When you do this, HotDocs displays either a vertical or a horizontal bar, which tells you where the variable will be moved when you release the mouse button. A vertical bar shows that the variable will be placed to the right or left of variables already on that line. A horizontal bar shows that the variable will be placed above or below that line. You can place up to three variables on the same line.

  4. Optionally, click Test. HotDocs displays the variables in a test assembly window. (You can leave this window open and return to the Dialog Editor to make additional changes, which are immediately updated in the window.)
Note:
  • If you place only two components on the same line, you can make one of the components wider than the other by right-clicking on the component and selecting Wide from the shortcut menu. To further adjust the width of answer fields, at the Variable Editor, click the Advanced tab and make your changes. (See Specify the Width of Answer Fields in the Interview for further instructions.)
  • To edit a component or remove it from the dialog, right-click on the component and select Edit or Remove from the shortcut menu.
  • When two or more components appear on the same line, the prompts will automatically appear above the answer field—you cannot specify a different prompt alignment.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Change the Layout of Variables in a Dialog


HotDocs Help - Use the Same Variable or Clause in Two or More Dialogs

Overviews

  • Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Use the Same Variable or Clause in Two or More Dialogs

When you add a variable to a dialog, HotDocs creates a link between the two so that when HotDocs processes the variable during the interview, it knows to display the dialog to which the variable is linked. However, this linking limits your ability to use a variable in more than one dialog. To use a variable in two different dialogs, one of the dialogs must not be linked to its variables.

One reason you may want to include variables in two or more dialogs is so you can have two different versions of a dialog, only one of which should be displayed, based on answers a user enters. Otherwise, when you add the variable to the second dialog, it is automatically removed from the first dialog. This is because a variable can be linked to only one dialog. You can, however, specify an option that allows the variables and clauses in that dialog to be used in another dialog.

To use the same variable or clause in two or more dialogs

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor. (At the Components list of the Dialog Editor, variables and clauses that are already linked to other dialogs are grayed out.)
  2. Click the Options tab. The window changes to show several custom options.
  3. Clear Link variables to this dialog.
Caution: If you clear this option for a dialog, you must specifically ASK the dialog in the template or else it will not be displayed during the interview. (See Control Whether Dialogs are Asked Automatically.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Use the Same Variable or Clause in Two or More Dialogs


HotDocs Help - Control Whether Dialogs are Asked Automatically

Overviews

  • Overview: Create Your Own Dialogs

How Do I...?

  • Add Notes to Components
  • Add Resource Information to a Variable or Dialog
  • Change a Dialog's Options
  • Change the Layout of Variables in a Dialog
  • Control Whether Dialogs are Asked Automatically
  • Edit a Custom Dialog
  • Gather Questions into a Custom Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Use the Same Variable or Clause in Two or More Dialogs
  • View Relationship Between the Current Component and Other Components

Control Whether Dialogs are Asked Automatically

You can control whether a dialog is asked automatically during an interview. You can do this by selecting an option at the Options tab of the Dialog Editor.

Dialogs that are not asked automatically must be asked using an ASK instruction. (See Control Whether Dialogs are Asked Automatically.)

By default, HotDocs asks a dialog automatically: 1) when the dialog has not been asked before in the interview, and 2) when a variable to which the dialog is linked is asked automatically. Also, a dialog will be asked automatically when it is used in a REPEAT instruction. (See How Variables and Dialogs Are Asked for details on how variables and dialogs are asked.)

One example of why clearing this option may be useful is when you've created a list of answers by merging two different lists together (see WHILE EXPRESSION; END WHILE). When doing this, you often need to merge the new list into the document using a third repeated dialog. Since you've already gathered all the applicable answers, you don't want this repeated dialog to be asked.

To specify an option that controls when a dialog is asked

  1. Edit a custom dialog. (See Edit a Custom Dialog.) The Dialog Editor appears.
  2. Click the Options tab. The window changes to show several custom options.
  3. Clear Ask automatically.
Note: This option replaces the need for using ASK NONE / ASK ALL instructions. However, instructions for using them are still available.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Dialogs > Control Whether Dialogs are Asked Automatically


HotDocs Help - Inserting Dialog Elements in Dialogs

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Inserting Dialog Elements in Dialogs

Add Text to Your Dialogs

Add the Ability to Launch an Application from a Dialog

Add a Link to a Dialog That Runs a Computation

Add a Hyperlink to a Dialog

Add Spacing and Separator Lines to a Dialog

Add a Graphic File to a Dialog

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs


HotDocs Help - Add Text to Your Dialogs

How Do I...?

  • Add a Graphic File to a Dialog
  • Add a Hyperlink to a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add Spacing and Separator Lines to a Dialog
  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog

Add Text to Your Dialogs

You can add text to a dialog to guide the user in answering questions. Dialog text can be inserted above or below variables or other items in the dialog.

To add text to a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. At the Properties tab of the Dialog Editor, click the Dialog Element Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically, which allows HotDocs to name the component.
  4. In the Style group, make sure Text is selected.
  5. In the Display text box, enter the text you want to appear in the dialog.
  6. Optionally, to assign font properties to the prompt text (such as bold or underline), enter a formatting dot code. (See Overview: Dot Codes.)
  7. Optionally, if the dialog is repeated as a spreadsheet, click the Options tab and select one of the following options:
    • Spreadsheet view only displays the text on the dialog only when users view the spreadsheet and not when they edit individual rows in the spreadsheet.
    • Edit Row view only displays the text on the dialog only when users edit individual rows of the spreadsheet. No text will appear when they are viewing the spreadsheet.
  8. Move the dialog element within the dialog by dragging it up or down in the Contents list.
Note:
  • To edit the dialog element, double-click it in the Contents list. To remove the element, drag it back to the Components list.
  • You can use a dialog to display just text and no variables. For example, you may want to include a dialog that contains only instructions for completing the interview. See Using a Dialog to Display Only Dialog Element Text.
  • You can customize dialog element text based on users' answers by including variables and other scripting instructions in the element text. See Use Variables and Scripts in Prompts, Dialog Element Text, and Resources for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs > Add Text to Your Dialogs


HotDocs Help - Add the Ability to Launch an Application from a Dialog

How Do I...?

  • Add a Graphic File to a Dialog
  • Add a Hyperlink to a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add Spacing and Separator Lines to a Dialog
  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog

Add the Ability to Launch an Application from a Dialog

At times, you may want your users to launch a separate application while answering questions in a specific dialog. You can add an option to a dialog that lets users either click a hyperlink or click a button to start the application.

For example, perhaps your users may need to calculate a number before entering their answer in an interview. You can provide a link on the dialog that launches the Windows Calculator so they can calculate their answer.

To place the link on a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. At the Properties tab of the Dialog Editor, click the Dialog Element Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically , which allows HotDocs to name the component.
  4. In the Style group, select Application link.
  5. In the Executable file box, click the Browse Browse button and locate the application's .EXE file.
  6. In the Link text box, enter the text you want to use as the link.
  7. Click the Options tab and select how you'd like the link to appear on the dialog, based on the following information:
    • In the Display as group, select whether the link should be a Button or Hyperlink. (If you select Button, you can specify a custom button size in the Button size group.)
    • If you select Hyperlink, select whether the link should include text, an image, or both in the Display using group. (Enter the name of the image file in the Image file box if you select Image.)
    • In the Display in group, select Desktop interviews. (Application links are not allowed in HotDocs Server interviews.)
  8. Click OK. The Dialog Element Editor is closed.
  9. Drag the component up or down in the Contents list, depending on where you want the hyperlink placed on the dialog.
Note:
  • When specifying the executable file, if you include just the program's file name and not a folder path, HotDocs looks for the executable file in the same folder as the template. If it doesn't find the file there, it looks in the HotDocs program folder. Finally, if the file is still not found, HotDocs uses information from the Windows Path Environment variable to search for it.
  • You may include command-line options in the file path of the executable, for example, "C:\Windows\Notepad.exe" c:\Temp\MyTextFile.txt.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs > Add the Ability to Launch an Application from a Dialog


HotDocs Help - Add a Link to a Dialog That Runs a Computation

How Do I...?

  • Add a Graphic File to a Dialog
  • Add a Hyperlink to a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add Spacing and Separator Lines to a Dialog
  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog

Add a Link to a Dialog That Runs a Computation

You can add a link that processes a Computation variable to a HotDocs dialog. This may be useful if you want users to execute a calculation or other type of command and have the result immediately take effect.

To add a button to a dialog that runs a Computation variable

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor .
  2. At the Properties tab of the Dialog Editor, click the Dialog Element Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically , which allows HotDocs to name the component.
  4. In the Style group, select Script link.
  5. In the Computation box, enter the name of the Computation variable you want to run. (Click the New Component New Component button to create or edit the computation.)
  6. In the Link text box, enter the text you want to use as the link.
  7. Click the Options tab and select how you'd like the link to appear on the dialog, based on the following information:
    • In the Display as group, select whether the link should be a Button or Hyperlink. (If you select Button, you can specify a custom button size in the Button size group.)
    • If you select Hyperlink, select whether the link should include text, an image, or both in the Display using group. (Enter the name of the image file in the Image file box if you select Image.)
      Caution:Any images displayed in a browser-based (HotDocs Server) interview must be located in the same folder as the template. Also, bitmap (.BMP) files are not supported in browser-based interviews. Additionally, Silverlight does not support all possible color depths that are included in the PNG specification. Specifically, gray scale and 64-bit true color are not supported in Silverlight.
    • In the Display in group, select whether the link should appear when the dialog is displayed in Desktop interviews, Server interviews, or both.
  8. Click OK. The Dialog Element Editor is closed.
  9. Drag the component up or down in the Contents list, depending on where you want the hyperlink placed on the dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs > Add a Link to a Dialog That Runs a Computation


HotDocs Help - Add a Hyperlink to a Dialog

How Do I...?

  • Add a Graphic File to a Dialog
  • Add a Hyperlink to a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add Spacing and Separator Lines to a Dialog
  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog

Add a Hyperlink to a Dialog

You can include a hyperlink on a dialog, which can point to any URL. When the user clicks the hyperlink, the Web page will open. This may be useful if you need users to refer to a specific Web page when answering questions in a dialog.

One reason you may want to add a hyperlink to a dialog is to let HotDocs Server users retrieve answers from a database. For example, the site administrator can create a Web page at the specified URL that presents information from a database and allows users to select the appropriate data. Once the data is selected, the Web page is closed and the answer fields in the dialog are filled with answers from the database. If you create such a Web page, it will only be accessible in HotDocs Server.

To add a hyperlink to a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. At the Properties tab of the Dialog Editor, click the Dialog Element Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically, which allows HotDocs to name the component.
  4. In the Style group, select Web link.
  5. In the URL box, enter the complete Web address for the page you want the hyperlink to open. (Make sure the URL is entered correctly. Include http:// or https:// or ftp://, depending on the type of URL it is.)
  6. In the Link text box, enter the text you want to use as the hyperlink.
  7. Click the Options tab and select how you'd like the link to appear on the dialog, based on the following information:
    • In the Display as group, select whether the link should be a Button or Hyperlink. (If you select Button, you can specify a custom button size in the Button size group.)
    • If you select Hyperlink, select whether the link should include text, an image, or both in the Display using group. (Enter the name of the image file in the Image file box if you select Image.)
      Caution:Any images displayed in a browser-based (HotDocs Server) interview must be located in the same folder as the template. Also, bitmap (.BMP) files are not supported in browser-based interviews. Additionally, Silverlight does not support all possible color depths that are included in the PNG specification. Specifically, gray scale and 64-bit true color are not supported in Silverlight.
    • In the Display in group, select whether the link should appear when the dialog is displayed in Desktop interviews, Server interviews, or both.
  8. Optionally, to control the appearance of the browser window when it opens, enter the JavaScript parameters in the Window.open features string (HotDocs Server only) box.

    This value corresponds to the third parameter of the JavaScript window.open method (sFeatures). For example, to open the resource in a window that is 200 pixels high, 400 pixels wide, includes the status bar, and does not include the toolbar, menu bar, and location bar, use this string:

    height=200,width=400,status=yes,toolbar=no,menubar=no,location=no
  9. Click OK. The Dialog Element Editor is closed.
  10. Drag the component up or down in the Contents list, depending on where you want the hyperlink placed on the dialog.
Note: Rather than create a hyperlink that opens a Web browser, you can create an e-mail link. To do this, include mailto: in the URL, followed by an e-mail address, like this: mailto:publications@hotdocs.com.
Caution:If your hyperlink is designed to allow HotDocs Server users to access a database via a Web page, you must select Server interviews in the Display in group. Note that the hyperlink will not work in a desktop interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs > Add a Hyperlink to a Dialog


HotDocs Help - Add Spacing and Separator Lines to a Dialog

How Do I...?

  • Add a Graphic File to a Dialog
  • Add a Hyperlink to a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add Spacing and Separator Lines to a Dialog
  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog

Add Spacing and Separator Lines to a Dialog

Sometimes you need to add white (or empty) space or separator lines to a dialog. This can help you better organize the dialog.

When adding empty space to a dialog, you can control how much space will be used.

When adding a separator, you can include a caption with the separator. For example, if you have two groups of questions in a dialog—one about the plaintiffs and the other about the defendants in a case—you can separate each group with a line and include the text Plaintiff Information or Defendant Information on each separator line.

To add white space to a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. At the Properties tab of the Dialog Editor, click the Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically, which allows HotDocs to name the component.
  4. In the Style group, select Vertical spacing.
  5. In the Spacing box, enter a percentage. (For example, if you want the space to be equal to the space taken by text in the dialog, enter 100 in the Spacing box. If you want it to be larger or smaller, enter the appropriate number in the box.)
  6. Click OK. The Dialog Element Editor is closed.
  7. Drag the component up or down in the Contents list, depending on where you want the white space placed on the dialog.

To add lines to a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. At the Properties tab of the Dialog Editor, click the Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically, which allows HotDocs to name the component.
  4. In the Style group, select Horizontal divider.
  5. Optionally, enter a short description or phrase in the Caption box.
    • In the Font size box, enter a font size for the caption, based on the percentage of the rest of the dialog text's size. (For example, if you want the caption to be the same size as the rest of the text in the dialog, enter 100 in this box.)
    • Click the Justification drop-down button and select which side of the dialog the caption will be aligned with.
  6. Click OK. The Dialog Element Editor is closed.
  7. Drag the component up or down in the Contents list, depending on where you want the divider placed in the dialog.
Note: To format the caption text (for example, to make the text bold), highlight the text, right-click, and then choose a formatting option from the Character Format shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs > Add Spacing and Separator Lines to a Dialog


HotDocs Help - Add a Graphic File to a Dialog

How Do I...?

  • Add a Graphic File to a Dialog
  • Add a Hyperlink to a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add Spacing and Separator Lines to a Dialog
  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog

Add a Graphic File to a Dialog

Sometimes you may want to include images in your dialogs. Images may help users better understand questions in the dialog, or they may allow you to display your company logo or other icon. The types of files you can add include .BMP, .JPG, .GIF, and .PNG.

Caution:Images with transparency may not appear correctly in dialogs.

To add an image to a dialog

  1. Open a dialog for editing. (See Edit a Custom Dialog.) HotDocs displays the Dialog Editor.
  2. At the Properties tab of the Dialog Editor, click the Dialog Element button and drag it to the Contents list. The Dialog Element Editor appears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically, which allows HotDocs to name the component.
  4. In the Style group, select Image.
  5. In the Image file box, click the Browse Browse button and locate the image file.
    Caution:Any images displayed in a browser-based (HotDocs Server) interview must be located in the same folder as the template. Also, bitmap (.BMP) files are not supported in browser-based interviews. Additionally, Silverlight does not support all possible color depths that are included in the PNG specification. Specifically, gray scale and 64-bit true color are not supported in Silverlight.
  6. Optionally, select an alignment option: Left, Center, and Right.
  7. Click OK. The Dialog Element Editor is closed.
  8. Drag the component up or down in the Contents list, depending on where you want the graphic placed on the dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialog Elements in Dialogs > Add a Graphic File to a Dialog


HotDocs Help - Using Scripts to Make Dialogs Dynamic

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using Scripts to Make Dialogs Dynamic

Automatically Disable Irrelevant Variables in Interviews

Use Scripts to Add Power to Your Dialogs

Special Instructions for Dialog Scripts

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Scripts to Make Dialogs Dynamic


HotDocs Help - Automatically Disable Irrelevant Variables in Interviews

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Create an Interview Template
  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview
  • Use Scripts to Add Power to Your Dialogs

Reference Material

  • Improve Interview Speed Using a Custom Interview
  • Special Instructions for Dialog Scripts

Overviews

  • Overview: HotDocs Interviews

Automatically Disable Irrelevant Variables in Interviews

When creating dialogs, you frequently need variables within a dialog to be dynamic. For example, you may want to disable some questions in a dialog until a user answers a different question in the dialog a specific way. To accomplish this, you can either write a script (see Use Scripts to Add Power to Your Dialogs) or you can have HotDocs automatically hide or disable variables, based on whether they are used in the document.

For example, say you have a dialog that asks (using True/False variables) whether a client has any pre-existing health conditions. If the client does, he or she must enter an explanation for each health condition. You can set variable preferences that keep the explanations from being asked unless the corresponding True/False questions are answered affirmatively. Then, if a dialog contains all inactive variables, you can keep the dialog from being asked in the interview.

Note: When you start an assembly, HotDocs processes the template and determines which variables are referred to in instructions, merged in the document, and so forth, based on the current answers. If a variable is unused, for example, if you answer a conditional True/False variable such that it doesn't merge the associated Text variable, the Text variable will be grayed or hidden in the dialog. (A third option lets you always show the variable, even if it's unused.) Once this "usage pass" is done in the template, HotDocs does another pass through the template and generates the interview.

There are three steps to automatically disabling unused variables:

  • Specifying at the variable level whether variables should be grayed or hidden if they're not needed in the document.
  • Specifying at the dialog level whether dialogs that contain only irrelevant variables should be left out of the interview entirely.
  • Selecting a component file property that automatically disables irrelevant variables in the interview.

To mark how variables should be treated if they're not needed in the document

  1. Edit the variable. (See Edit a Variable.)
  2. At the Advanced tab of the Variable Editor, click the When irrelevant drop-down button and choose an option:
    • Default causes the variable to use the default setting, which you define at Component File Properties.
    • Gray causes the variable to appear grayed out if it is unused in the document. (This is the default option for all variables.)
    • Hide causes the variable to be hidden if the variable is unused in the document. If the answer file changes and the variable is needed, the variable will be shown in the dialog.
    • Show causes the variable to always appear in the dialog, regardless of whether it's used or not.

To automatically exclude dialogs that contain only irrelevant variables

  1. Edit the dialog. (See Edit a Custom Dialog.)
  2. Click the Options tab. The view changes to show the different options for displaying a dialog.
  3. Select Hide this dialog when all variables are inactive.

To automatically disable unused variables in the interview

  1. Open Component Manager for the template. (See Open and Close Component Manager.)
  2. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  3. Click the Interview tab. The view changes to show interview options.
  4. Select Automatically disable irrelevant variables and dialogs.
  5. Click the Default drop-down button and choose one of the options from the list:
    • Gray causes all variables with their irrelevant status set to Default to be grayed.
    • Hide causes all variables with their irrelevant status set to Default to be hidden.
    • Show causes all variables with their irrelevant status set to Default to always be asked, even if the variable is irrelevant.
Note: Model documents assembled from markup are set to automatically disable unused variables. For information on marking up model documents, see Overview: Create a Model Document.
Caution:Even when variables are automatically disabled, they will always be visible in pop-up dialogs users view when they click a form field wizard button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Scripts to Make Dialogs Dynamic > Automatically Disable Irrelevant Variables in Interviews

More... (1)

Home > All About... > Defining the Interview for the Document > Automatically Disable Irrelevant Variables in Interviews


HotDocs Help - Special Instructions for Dialog Scripts

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs

Special Instructions for Dialog Scripts

Caution: Dialog scripts should only change the appearance of variables in a dialog — they should not be used to compute answers. A dialog script may be run any number of times, with no guarantee that an answer will only be computed once.

The following is a brief explanation of instructions that can be used in dialogs. In each of the following examples, either replace the placeholder NUM with a number value, or replace VAR with a variable name:

Instruction | Description
LIMIT NUM | The LIMIT instruction limits the number of times a dialog can be repeated. It is placed in the script of the dialog that must be limited to a specific number of repetitions.
GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR | These instructions, which are used in a dialog script, control whether components in a dialog appear grayed or ungrayed, depending on answers a user enters. GRAY ALL dims all components in the dialog, while UNGRAY ALL makes all of the components active again. Likewise, GRAY VAR dims a single component, and UNGRAY VAR enables the component again.
HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR | These instructions, which are used in a dialog script, control whether the user is able to see variables in a dialog. The HIDE ALL instruction hides all variables in the dialog, while SHOW ALL reveals the variables again. Likewise, HIDE VAR hides a single variable, and SHOW VAR reveals the variable.
REQUIRE ALL; REQUIRE VAR | The REQUIRE instruction requires users to answer questions in a dialog before they can advance to the next dialog in the interview.
CONCEAL VAR | This instruction, which you use in a dialog script, keeps variables from appearing in the Select From Answer Source dialog box of an answer source.
OMIT VAR | The OMIT VAR instruction, which you use in a dialog script, keeps variables from appearing in the Edit Answer Source dialog box of an answer source.
DEFAULT VAR TO VALUE | This instruction suggests a value for a variable if the variable is unanswered.
SET VAR TO VALUE | This instruction lets you specify a given value for a variable’s answer automatically, rather than allow the user to specify an answer. With the SET instruction, you can transfer names and other values from one variable to another.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Scripts to Make Dialogs Dynamic > Special Instructions for Dialog Scripts


HotDocs Help - Assigning Answer Sources to Dialogs

All About...

  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Assigning Answer Sources to Dialogs

Suggest an Answer Source for Dialogs

Tips for Working with Answer Sources

Link a Dialog to a List Gathered by a Repeated Dialog

Link an Existing Answer Source to Other Dialogs

Let Users Retrieve Answers from an Outlook Contacts List

Let Users Retrieve Answers from a Time Matters Record

Home > All About... > Assigning Answer Sources to Dialogs


HotDocs Help - Suggest an Answer Source for Dialogs

How Do I...?

  • Let Users Retrieve Answers from a Time Matters Record
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Suggest an Answer Source for Dialogs

Reference Material

  • Tips for Working with Answer Sources

Suggest an Answer Source for Dialogs

You can suggest an answer source (a list of answers from which a user can select one) for a dialog. Users open the list when answering questions in a dialog and pick an existing set of answers, instead of entering one manually. For example, perhaps you have a large number of attorneys in your firm. Rather than enter information for a specific attorney each time you need to assemble a document, you can enter this information once and then retrieve it on a document-by-document basis.

An answer source file contains sets of answers for one or more variables in a dialog. For example, a dialog may require information about an attorney, such as a name, address, and telephone number. If there are multiple attorneys in a firm, all of this information for each attorney could be saved in an answer source. During an interview, the user opens the answer source, selects the appropriate attorney, and that information will be merged into the document.

You must group all of the variables you want answered by a selected record in the same dialog. If your template contains variables that must be answered by different records, you can group all the variables to be answered by one record together in one dialog, all the questions for another record in another dialog, and so on.

If you are integrating HotDocs with another program you can also specify a DLL file as an answer source that will link the dialog to the third-party program. (Contact your HotDocs sales representative for more information about using the HotDocs API.)

See Tips for Working with Answer Sources for more information on answer source files.

To create an answer source

  1. Edit or create a dialog that contains the variables you want to associate with an answer source file. The Dialog Editor appears.
    Caution: Remember that variables in each dialog can be answered by only one record. If you have variables that must be answered by a different answer source, place those variables in a different dialog.
  2. Click the Options tab. The window changes to show several custom options.
  3. Select an existing answer source file by clicking the Answer source drop-down button, or create an answer source by typing a file name with a three-letter extension, such as .ANX or .HPL, in the Answer source box. (You can use an existing answer source by clicking the Open Open button and then searching for the file.)
  4. If you are linking an existing answer source to a dialog, and the variable names used in the answer source don't match the variable names in the dialog, you must associate the variables so they can share information. Click Map Variables to do this. (See Link an Existing Answer Source to Other Dialogs or Link a Dialog to a List Gathered by a Repeated Dialog.)
  5. Click OK to close the Dialog Editor.

Once your answer source is created, a Select Answer Source Select button appears on the dialog during the interview. The user can click this button, select an answer or enter new answers, and the answers are saved to the answer source file you specified.

Caution:
  • Be careful about using an answer source with a dialog other than the one for which it was created. Each variable in the answer source must have a corresponding variable in every dialog with which it is used. Otherwise, if records are added or deleted, the records are added or deleted incorrectly and existing records will be damaged. (You can use the HIDE instruction to hide variables so they won’t be visible in the dialog. If you don’t want them to be visible in the answer source record, use either the CONCEAL or OMIT instruction in the same script.)
  • When associating an answer source with a repeated child dialog, the child dialog cannot be repeated as a spreadsheet on the parent. If you do this, the Answer Source Select Select button will not appear in the interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assigning Answer Sources to Dialogs > Suggest an Answer Source for Dialogs


HotDocs Help - Tips for Working with Answer Sources

How Do I...?

  • Let Users Retrieve Answers from a Time Matters Record
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Suggest an Answer Source for Dialogs

Tips for Working with Answer Sources

You should keep the following tips in mind when creating and using answer sources for dialogs:

  • Since answer source files are saved to the default Answers folder, be careful giving them an .ANX extension, or you may not be able to tell them apart from your regular answer files. It’s best to choose a file name extension such as .HPL ("HotDocs pick list"), so you can distinguish them from other types of files.
  • If an answer source file is not found in the default Answers folder, HotDocs looks for it in the default template folder next. If you want to store the file somewhere else, enter a folder path along with the file name in the Answer source box.
  • Answer sources are automatically saved as you enter answers in them.
  • When you view the Answer source drop-down list, you may see several options listed. One option, CURRENT ANSWER FILE, allows you to link variables in the current dialog to variables used in a repeated dialog. (See Link an Existing Answer Source to Other Dialogs or Link a Dialog to a List Gathered by a Repeated Dialog.) Other options you may see, including external programs such as the Corel Address Book, allow you to link dialogs directly to an application and associate variable names to use the information stored in the program to answer variables. (Only programs you have installed that support this type of integration will be listed.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assigning Answer Sources to Dialogs > Tips for Working with Answer Sources


HotDocs Help - Link a Dialog to a List Gathered by a Repeated Dialog

How Do I...?

  • Let Users Retrieve Answers from a Time Matters Record
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Suggest an Answer Source for Dialogs

Reference Material

  • Tips for Working with Answer Sources

Link a Dialog to a List Gathered by a Repeated Dialog

At times, you may want to allow users to choose answers for a dialog from a list of answers they've already provided earlier in the interview.

To link a dialog to a list of answers

  1. Edit the dialog whose answers you want to retrieve from an existing list. (See Edit a Custom Dialog.)
  2. Click the Options tab. The window changes to show several custom options.
  3. Click the Answer source drop-down button and choose CURRENT ANSWER FILE.
  4. Click Map Variables. The HotDocs Variable Mapping dialog box appears.
  5. In the Map To column, click the drop-down button corresponding to the first variable and select the variable that should share the same answer. (The drop-down list contains the variables in the current template that are the same type as the variables in the dialog.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assigning Answer Sources to Dialogs > Link a Dialog to a List Gathered by a Repeated Dialog


HotDocs Help - Link an Existing Answer Source to Other Dialogs

How Do I...?

  • Let Users Retrieve Answers from a Time Matters Record
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Suggest an Answer Source for Dialogs

Reference Material

  • Tips for Working with Answer Sources

Link an Existing Answer Source to Other Dialogs

You can use an answer source with a dialog other than the one it was created for. You must know the answer source file name (and location) as well as the names of the variables referenced in it.

To use an existing answer source

  1. Edit the dialog you want to link to the answer source. (This dialog can be in any template.) (See Edit a Custom Dialog.)
  2. Click the Options tab. The window changes to show several custom options.
  3. In the Answer source box, enter the answer source file name. (If the answer source is saved in a location other than the HotDocs Answers folder or the current template's folder, enter a full folder path along with the file name.)
  4. If the variable names in the current dialog match those in the answer source, click OK. If not, continue this process.
  5. If the variable names in the current dialog don't match those in the answer source, click Map Variables. The HotDocs Variable Mapping dialog box appears. The variable names in the current dialog are listed in the Variable Name column.
  6. In the Map To column, click the drop-down button corresponding to the first variable whose answer you want to come from the answer source. (The drop-down list contains the variables in the answer source that are the same type as the variables in the dialog.)
  7. From the list, select the variable you want to map to the variable in the current dialog.
  8. Continue selecting corresponding variables for each variable in the dialog you want to map.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assigning Answer Sources to Dialogs > Link an Existing Answer Source to Other Dialogs


HotDocs Help - Let Users Retrieve Answers from an Outlook Contacts List

How Do I...?

  • Let Users Retrieve Answers from a Time Matters Record
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Suggest an Answer Source for Dialogs

Reference Material

  • Tips for Working with Answer Sources

Let Users Retrieve Answers from an Outlook Contacts List

Note: This feature is supported in Microsoft Outlook 2000 and later.

You can link dialogs in your template to a Microsoft Outlook Contacts list. This allows your users to retrieve information they already know from Outlook, rather than typing it in manually.

To do this, you must first specify Outlook as an answer source for a specific dialog. Then you must map variables in the dialog to fields in the Contacts list. Like most variable mappings, data types must match. For example, you cannot map a Text variable to a date field, and vice versa.

To map variables in a dialog to fields in Outlook

  1. Edit the dialog you want to link to the Contacts list. (This dialog can be in any template.) (See Edit a Custom Dialog.)
  2. Click the Options tab. The window changes to show several custom options.
  3. Click the Answer source drop-down button and choose Outlook.
  4. Click Map Variables. The HotDocs Variable Mapping dialog box appears. The Variable Name column lists the variables in the current component file.
  5. In the Map To column, click the drop-down button and choose the Outlook field that corresponds to the variable.
  6. Repeat Step 5 for each variable you want to map.

Now, when users view this dialog during the interview, a Answer Source Select Select button will appear on the dialog. When they click the button, HotDocs will display the Contacts list in Outlook where users can select the name of a contact and have the appropriate information merged into answer fields in the interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assigning Answer Sources to Dialogs > Let Users Retrieve Answers from an Outlook Contacts List


HotDocs Help - Let Users Retrieve Answers from a Time Matters Record

How Do I...?

  • Let Users Retrieve Answers from a Time Matters Record
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Suggest an Answer Source for Dialogs

Reference Material

  • Tips for Working with Answer Sources

Let Users Retrieve Answers from a Time Matters Record

Note: To link your dialog to a Time Matters answer source, you must be using Time Matters 7.0 or later. Additionally, you must select the Activate Answer Source Integration option when you enable the HotDocs link in Time Matters. (See the Time Matters documentation for complete instructions on enabling this link.)

You can link dialogs in your template to a Time Matters Contacts or Matters record. This allows your users to retrieve information they already know from Time Matters, rather than entering it manually.

To do this, you must first choose whether to link to a Time Matters Contacts record or a Matters record as the answer source. You then must map variables in the dialog to fields in the record. Like most variable mappings, data types must match. For example, you cannot map a Text variable to a date field, and vice versa.

When linking to Time Matters, you can also designate whether the user has write-back capabilities. This means that if the user changes an answer once it has been selected from Time Matters and entered in the interview, HotDocs can either always save the answer back to Time Matters, or it can allow the user to choose whether the answer should be saved back. If changes should never be reflected in the original Time Matters record, you can choose to disallow write-back.

To map variables in a dialog to a Time Matters record

  1. Edit the dialog you want to link to the Time Matters record. (This dialog can be in any template.) (See Edit a Custom Dialog.)
  2. Click the Options tab. The window changes to show several custom options.
  3. Click the Answer source drop-down button and choose Time Matters - Contact or Time Matters - Matter.
  4. Click Map Variables. The HotDocs Variable Mapping dialog box appears. The Variable Name column lists the variables in the current component file.
  5. In the Map To column, click the drop-down button and choose the Time Matters field that corresponds to the variable.
  6. Optionally, click the Write Back drop-down button and choose the option you need:
    • Never keeps the answer from being written back to Time Matters if it is changed.
    • Always always writes the answer back to Time Matters if it is changed. The user will not be notified or prompted of the change.
    • Prompt displays a dialog box that lets the user decide if the changed answer should be written back to Time Matters.
  7. Repeat steps 5 and 6 for each variable you want to map.

Now, when users view this dialog during the interview, a Answer Source Select Select button will appear on the dialog. When they click the button, HotDocs will display the Time Matters records list where they can select the specific record and have the appropriate information merged into answer fields in the interview. If users change an answer, the write-back options you selected will take effect when they save the answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assigning Answer Sources to Dialogs > Let Users Retrieve Answers from a Time Matters Record


HotDocs Help - Inserting Dialogs into Other Dialogs

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Inserting Dialogs into Other Dialogs

Insert Dialogs Into Dialogs

Group Child Dialogs in a Parent Dialog

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialogs into Other Dialogs


HotDocs Help - Insert Dialogs Into Dialogs

How Do I...?

  • Group Child Dialogs in a Parent Dialog
  • Insert Dialogs Into Dialogs

Insert Dialogs Into Dialogs

You can insert dialogs into other dialogs. For example, you could create a dialog that collects basic client information and then, if the client is married, add that dialog to the client dialog to collect spouse information. Dialogs inserted into other dialogs are called child dialogs.

During an interview, a child dialog appears on its parent dialog as a button followed by the name or title of the dialog. When the user clicks the button, the inserted dialog appears and the interview outline expands to show the inserted dialog.

If you are inserting multiple child dialogs in a parent dialog and you specify a Selection grouping style, HotDocs places a check box or option button next to each inserted dialog. When this check box or option button is selected, HotDocs places the child dialog in the interview outline so that its contents can be answered. Otherwise, HotDocs will treat the child dialog as if it doesn't exist—even if there are required variables in it. In the interview, the user can either select the check box or option button and then click the child dialog icon, or the user can click the child dialog icon, which automatically selects the check box or option and then displays the child dialog.

You can insert as many levels of regular dialogs as you want. If you are nesting repeated dialogs, however, you can nest up to 3 levels of repeated child dialogs. See Create a List Within a List for details.

To insert one dialog in another

  1. Create the parent dialog as well as the child dialog. (See Gather Questions into a Custom Dialog.)
  2. Once both dialogs are created, edit the parent dialog. (See Edit a Custom Dialog.)
  3. At the Properties tab, click the Components drop-down button and select Dialogs from the list. HotDocs limits the contents of the list to just dialogs.
  4. Drag the dialog you want to insert to the Contents list.
  5. Optionally, click the Options tab and select a grouping option from the Selection grouping drop-down list. (See Group Child Dialogs in a Parent Dialog.)
Note: By default, child dialogs appear on parent dialogs as links with the child dialog's name as the prompt. If you want to provide more instructive text for accessing and then answering questions in the child dialog, enter a prompt in the Prompt to use when displayed as child dialog box. (The prompt you specify here will be used in the dialog only—the dialog's name or title will still be used in the interview outline and in the dialog itself.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialogs into Other Dialogs > Insert Dialogs Into Dialogs


HotDocs Help - Group Child Dialogs in a Parent Dialog

How Do I...?

  • Group Child Dialogs in a Parent Dialog
  • Insert Dialogs Into Dialogs

Group Child Dialogs in a Parent Dialog

When you add two or more child dialogs to a parent dialog, you can group the child dialogs so users can more easily specify which dialog they want to answer. When you group child dialogs, HotDocs places a check box or option button in front of the child dialog icon. When this check box or option button is selected, HotDocs places the child dialog in the interview outline so that its contents can be answered. Otherwise, HotDocs will treat the child dialog as if it doesn't exist—even if there are required variables in it. In the interview, users can either select the check box or option button and then click the child dialog icon, or they can click the child dialog icon, which automatically selects the check box or option and then displays the child dialog.

Caution: If child dialogs are not grouped, each child dialog will appear in the interview outline, regardless of whether the dialog is optional to answer. If the user does not answer every question in every dialog, HotDocs will report in the End of Interview dialog that there are unanswered questions.

To group child dialogs in a dialog

  1. Create the parent dialog as well as the dialogs you want to insert. (See Gather Questions into a Custom Dialog.)
  2. Once your dialogs are created, edit the parent dialog and add the child dialogs to it. (See Edit a Custom Dialog and Insert Dialogs Into Dialogs.)
  3. While editing the parent dialog, click the Options tab. The window changes to show options for working with the dialog.
  4. Click the Selection grouping drop-down button and select Select One or Select All That Apply.
Note: When child dialogs are grouped, you can use a SET instruction to automatically select a child dialog for answering. Doing this will automatically add the correct child dialog to the interview outline. You can also test whether a child dialog has been selected for answering by using a True/False expression.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Dialogs into Other Dialogs > Group Child Dialogs in a Parent Dialog


HotDocs Help - Using ASK Instructions to Control Dialog Order

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using ASK Instructions to Control Dialog Order

Control When Your Dialogs Appear

Put ASK Instructions in a Computation Variable

Use ASK Instructions to Control the Interview

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using ASK Instructions to Control Dialog Order


HotDocs Help - Control When Your Dialogs Appear

How Do I...?

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

Control When Your Dialogs Appear

When HotDocs creates an interview for the user, it reads through the template and displays dialogs based on the order it encounters variables and instructions in the template. However, if you want your dialogs to appear in a different order—for instance, if you want a certain dialog to appear first, even though variables that prompt the dialog to be asked appear at the end of the template—you can use an ASK instruction to force HotDocs to display the dialog.

To insert an ASK instruction

  1. Position the cursor at the point in the template where you want the dialog to appear (for example, at the top of the template).
  2. Click the ASK Field ASK Field button. The ASK Field dialog box appears.
  3. Select a dialog from the Dialog drop-down list, or click the Edit Component Edit Component button to create a new dialog. (See Gather Questions into a Custom Dialog.)
  4. Click OK. The ASK instruction is inserted in the template.
Note:
  • You can place several ASK instructions in a single computation script to control the order all dialogs are asked in the interview. See Put ASK Instructions in a Computation Variable and Define a Custom Interview.
  • Sometimes you want to restrict a dialog so it only appears in the interview when it is specifically asked (using an ASK instruction). To do this, clear Link variables to this dialog (at the Options tab). If a dialog that has this option cleared is not specifically asked, variables in the dialog will be asked individually.
  • In Microsoft Word, you can also insert ASK instructions either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing ASK Field, or by right-clicking in the template and choosing ASK Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using ASK Instructions to Control Dialog Order > Control When Your Dialogs Appear


HotDocs Help - Put ASK Instructions in a Computation Variable

How Do I...?

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

Put ASK Instructions in a Computation Variable

When you insert an ASK instruction directly in a template, the instruction can ask only one dialog at a time. If you want to ask several dialogs in a specific order, you must insert individual ASK instructions for each dialog. Some template developers like this approach to asking dialogs. Others, however, prefer to group ASK instructions together by creating one computation that asks all the dialogs, and then inserting just the Computation variable into the template. In either case, during assembly, the dialogs appear in the interview outline in the order of the ASK instructions.

To put ASK instructions in a Computation variable

  1. Create the dialogs you want to ask. (See Gather Questions into a Custom Dialog.)
  2. At the template, position your cursor where you want to insert the Computation variable that asks the series of dialogs.
  3. Create a Computation variable. (See Customize a Computation Variable.)
  4. At the Computation Editor, drag ASK DIALOG from the Instruction models list to the Script box.
  5. Replace the DIALOG placeholder with the name of a dialog you want asked. (See Use the Script Editor.)
  6. Repeat Steps 4 and 5 for each ASK instruction. Your computation script may look something like this:
    ASK Attorney Information
ASK Court Information
ASK Client Information
  7. When you are finished, click OK.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using ASK Instructions to Control Dialog Order > Put ASK Instructions in a Computation Variable


HotDocs Help - Use ASK Instructions to Control the Interview

How Do I...?

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

Use ASK Instructions to Control the Interview

Caution:HotDocs 5 users: If your HotDocs 5 templates use ASK UNANSWERED or ASK DEFAULT instructions, those instructions will be treated as ASK ALL in HotDocs 10. Command-line options that once controlled these are no longer functional.

In addition to using an ASK instruction to ask dialogs or variables, an ASK instruction can control whether variables and dialogs required to assemble a document are asked during assembly. Changing ASK instructions lets you work with answers behind the scenes—assigning values without displaying the variables to the users. Specifically, ASK NONE keeps HotDocs from asking variables or dialogs that would otherwise be asked automatically.

Note: See How Variables and Dialogs Are Asked for details on how HotDocs determines when to ask variables and dialogs.

Using ASK instructions is particularly useful if you need to repeat a dialog but you don't want the dialog to be asked during the interview.

You can insert an ASK instruction directly in a template or place it in a Computation variable and insert the variable in the template.

To change the ASK mode in a text template

  1. Place your cursor at the point in the template where you want HotDocs to control what gets asked.
  2. Insert an ASK instruction (see Control When Your Dialogs Appear). Once the instruction is inserted, replace the dialog name with one of the following keywords: ALL or NONE.

To change the ASK mode in a computation script

  1. Open a Computation variable for editing. (See Customize a Computation Variable.) The Computation Editor appears.
  2. Drag ASK DIALOG from the Instruction models list into the Script box.
  3. Replace DIALOG with one of the following keywords: ALL or NONE.
    Caution: If you change the ASK mode in a computation, you should always change it back to what it was originally (ALL or NONE).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using ASK Instructions to Control Dialog Order > Use ASK Instructions to Control the Interview


HotDocs Help - Working with Component Files

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types

Working with Component Files

Open and Close Component Manager

Open Component Manager at the Template Library

Use Component Manager to Work with Components

Create and Edit Multiple Components Simultaneously

Change Component File Properties

Delete a Component from the Current Component File

Copy Components From One File to Another

Rename Components in a Single Template

Make a Duplicate Copy of a Variable

Edit Formats, Merge Text, Dialog Elements, and Patterns

Search Component Files

Spell Check Components

Print a List of Components

Use One Component File for Multiple Templates

Specify Whether Component File Properties are Shared

Make Templates Stop Sharing Component Files

Control Whether Users See the End of Interview Dialog

Position the Cursor in the Assembled Document

Specify a Word Template for Storing Post-Assembly Macros

Remove Hidden Data from Assembled Documents

Remove Hidden Data from Word RTF Templates

Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About... > Working with Component Files


HotDocs Help - Open and Close Component Manager

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Open and Close Component Manager

You can edit components in a template by using Component Manager.

To open Component Manager

  1. At the HotDocs template, click the Component Manager Component Manager button. The Component Manager window appears.
  2. Optionally, adjust the Component Manager window to the desired width and click the Arrange Windows Arrange Windows button. The Component Manager window appears to the left of the template development window.
  3. Once Component Manager is opened, you can perform any number of tasks, including:
    • Using Component Manager to work with components.
    • Creating and inserting a variable using Component Manager.
    • Creating and editing multiple components simultaneously.
    • Changing component file properties.

To close Component Manager, click the X in the upper-right corner of Component Manager.

Note: You can also open Component Manager at the template library. This allows you to create and edit components without actually opening the corresponding template. It also allows you to more easily edit the component file of a clause library or interview template. (See Open Component Manager at the Template Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Open and Close Component Manager


HotDocs Help - Open Component Manager at the Template Library

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Open Component Manager at the Template Library

In addition to using Component Manager while you are editing a template (see Open and Close Component Manager), you can use Component Manager to modify the contents of a component file when you are at the HotDocs template library. This may be useful if you need to make changes in the component file, but don't want to open the corresponding template to do it. It is also useful if you need to edit an interview template (see Create an Interview Template), as well as edit clause components in a clause library.

Caution: Some changes you make in the component file are not always reflected in the template. For example, if you rename a component at Component Manager without also renaming it in the template, you will receive errors when you assemble the document. Update your template with changes as necessary to avoid such problems.

To open Component Manager at the template library

  1. At the HotDocs library, select the template or clause library whose component file you want to open.
  2. Click the Component Manager Component Manager button. The Component Manager window appears.
  3. Make changes to the component file as necessary, such as create new components, edit existing components, and rename components. (See Use Component Manager to Work with Components.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Open Component Manager at the Template Library


HotDocs Help - Use Component Manager to Work with Components

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Use Component Manager to Work with Components

Using Component Manager allows you to work with individual components in a HotDocs template, including copying components between component files, creating new components, and editing existing components.

You can open and close Component Manager as needed, or you can leave it displayed as you work in the template, switching between the two windows. One advantage of leaving Component Manager open is the ability to view all the components in your template at once, and edit them simultaneously as needed.

To work with individual components in a component file

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Perform any tasks, as described in the following table:
    To | Do This
    Sort components in Component Manager either by alphabetical name or by component type

    Click the Sort Components Sort Components button and then choose either Sort by Name or Sort by Type.

    To sort component lists that appear in the Dialog Editor and Computation Editor, right-click on the list and then choose your sorting option from the shortcut menu.

    Display Component Manager side by side with the template development window | Adjust Component Manager to the width you want and click the Arrange Windows Arrange Windows button. HotDocs adjusts the size of the template development window so that both windows can be viewed in full.
    Save changes you have made to the component file | Click the Save Components Save Components button.
    Specify certain assembly and interview preferences for the template and component file | Click the Component File Properties Component File Properties button. (See Change Component File Properties.)
    Use Component Manager to insert a variable in the template text | Place your cursor in the template where you want the variable, select the variable from the Components list, and click the Insert Variable Insert Variable button. (See Create and Insert a Variable Using Component Manager.)
    Create a new component, including a variable, dialog, or clause | Click the Components drop-down button, select the type of component you want to create, and click the New Component New Component button.
    Make changes to an existing component | Select the component from the component list and click the Edit Component Edit Component button. (You can also double-click the component.)
    Remove a component from the component file

    Select the component in the component list and click the Delete Component Delete Component button.

    Caution: The component is removed from the component file and any associated dialogs, but references to it in the template and other components (such as scripts, prompts, or dialog text elements) will not be updated. If you've referred to this component in any of these ways, you must manually update these references or your template may not work.
    Assign a new name to a component | Select the component(s) and click the Rename Variables Rename Component button. (See Rename Components in a Single Template.)
    Make a duplicate copy of a variable or group of variables | Select the variable(s) and click the Duplicate Variable Duplicate Variables button. (See Make a Duplicate Copy of a Variable.)
    Bring all open Component Editors to the front | Click the Restore All Restore All button. HotDocs brings all open Component Editors to the front so you can view and edit them.
    Minimize all open Component Editors to the Windows taskbar | Click the Minimize All Minimize All button. All open Component Editors are then minimized. However, you can still access them by clicking their icon in the Windows taskbar.
    Close all open Component Editors | Click the Save and Close All Save and Close All button. All changes made to components are saved and all open Component Editors are closed.
Note:
  • To access the Component Manager toolbar using the keyboard, press F10.
  • You can open a component file for another template while viewing the current component file. Once opened, you can edit components or assign other properties. To do this, click the Expand Expand button, and then select the component file. Once open, edit the component. You can also copy components between the open component files. See Copy Components From One File to Another.
  • For information on searching and replacing text strings in the component file, spell checking components, and printing lists of component properties, see Search Component Files, Print a List of Components, and Spell Check Components.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Use Component Manager to Work with Components


HotDocs Help - Create and Edit Multiple Components Simultaneously

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Create and Edit Multiple Components Simultaneously

Using Component Manager, you can create and edit as many components in a given component file as you want—at the same time. This allows you to compare the properties, advanced options, selection options, and computation scripts of many variables and dialogs. To manage all the open component editing windows, you can either use the Restore All Restore All, Minimize All Minimize All, and Save and Close All Save and Close All buttons in Component Manager; or you can use the Windows taskbar to switch between open windows.

To edit multiple components simultaneously

  1. Open Component Manager. (See Open and Close Component Manager.)
  2. At the Component Manager window, you can either edit existing components or create new ones:
    • To edit an existing component, select it from the list of components and click the Edit Component Edit Component button. Do this for each component you want to edit. (HotDocs adds the component window to the Windows taskbar so you can more quickly access it.)
    • To create a new component, click the New Component New Component button. Do this for each component you want to create.
  3. Make changes to each variable as necessary, using the following tools to help you manage the open windows:
    • To bring all open Component Editors to the front, click the Restore All Restore All button.
    • To minimize all open Component Editors, click the Minimize All Minimize All button.
    • To save and close all open Component Editors, click the Save and Close All Save and Close All button. (Any changes you have made to component properties will automatically be saved—you will not be prompted to save them.)
    • To switch between open Component Editor windows, select the component in the Windows taskbar. HotDocs will bring that Component Editor to the front.
Note:
  • If you create new components using Component Manager, they are not immediately inserted into the template—they are only saved in the component file. You must insert the variables into the template. See Insert a Variable Field in a Text Template.
  • How quickly HotDocs minimizes and restores component editing windows depends on your Windows settings. To restore instantaneously, right-click on the Windows desktop, choose Properties from the shortcut menu, click the Appearance tab, click Effects, and then clear Use transition effects for menus and tooltips. (This process may differ, depending on the version of Windows.)
  • To change a component in several component files, use Template Manager. (See Overview: Use Template Manager.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Create and Edit Multiple Components Simultaneously


HotDocs Help - Change Component File Properties

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Change Component File Properties

You can change certain template and component file properties at the component file level. Component file properties allow you to, among other things:

  • Specify default titles and descriptions for the template.
  • Define the interview for the template.
  • Control which parts of the assembly window (such as the interview outline and End of Interview dialog) appear for a given template.
  • Enable answer-editing at the Document Preview tab.
  • Choose which hidden data can be removed from an assembled document.
  • Define properties for how the interview will be displayed in a Web browser.

When you change component file properties, those changes usually affect a single template. However, if you are sharing component files (see Use One Component File for Multiple Templates), some properties may be applied to the shared file while others may be applied to the pointed component file. (See Specify Whether Component File Properties are Shared.)

To change component file properties

  1. Open Component Manager. (See Open and Close Component Manager.)
  2. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  3. Change any of the following options at the General tab:
    To | Do This
    Specify a default title for the template | Enter the template title in the Template title box. This title is used to identify the template in the template library file list.
    Include a short description of the template, such as how the template should be used or when it was created | Enter a description in the Template description box. The description appears when the user views its properties at the library Properties tab.
    Specify with which version of HotDocs the template will be used Click the Component file format drop-down button and choose the version of HotDocs you need:
    • Choose Current Format to save it in the latest version of HotDocs—in this case, HotDocs 2009-10. When you upgrade to a future version of HotDocs, HotDocs automatically upgrades the component file version so you don't have to (as you do if you choose one of the other options).
    • Choose HotDocs 6, HotDocs 2005, HotDocs 2006-2008, or HotDocs 2009-10 to save the component file in that specific version. To upgrade or downgrade the version, you must manually choose the new version here.
    Caution: Be careful not to use new features that aren't supported in the older versions of HotDocs or you may experience errors during assembly.

    Specify a shared component file for the template

    To point a template to a shared component file, make sure you first close the template and then edit the component file from the template library.

            Click the Shared component file drop-down button and choose the component file from the list. (Shared and pointed component files must be stored in the same folder.)
  4. Change any of the following options at the Interview tab:
    To | Do This
    Choose whether to use your own interview script or have HotDocs generate a default interview

    If you choose to create and use your own interview component, select Use custom interview and enter the name of the computation in the Interview component box. (In HotDocs 2005 and earlier, this component's name was INTERVIEW. You can continue to use this name, or you can use any name—as long as it's specified here.)

    If you choose to let HotDocs generate a default interview, select Generate default interview. HotDocs then asks the variables and processes the instructions in the template in the order it "reads" them. If a variable is linked to a dialog, the dialog is displayed instead.

    Automatically disable variables in dialogs that aren't referred to in the document

    Select Automatically disable irrelevant variables and dialogs. (See Automatically Disable Irrelevant Variables in Interviews.)

    You can specify the default action for variables in the template. Click the Default drop-down button and choose an option. (To make use of this setting, at each variable's Advanced tab, click the When irrelevant drop-down button and choose Default.)

    Display just answer-gathering dialogs without showing the interview outline | Select Hide interview outline. The only way the user can navigate the interview is by using the Previous Previous and Next Next commands.
    Keep the End of Interview dialog from appearing | Select Hide End of Interview dialog. When the user clicks Next Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or it will display the Document tab, depending on which End of Interview action the user has defined. (See Control Whether Users See the End of Interview Dialog and Control What Happens When You Finish an Interview.)

    Have HotDocs automatically generate titles for dialogs based on the contents of the dialog

    The way HotDocs generates default dialog titles is by seeing if the first item in a dialog is dialog element text. If so, it displays that text as the dialog title in the interview outline. If not, it uses the prompt from the first variable and appends the word "etc." For example, if you have a dialog gathering personal information about an employee and you have not used any additional text to introduce the dialog, HotDocs looks at the prompt of the first variable in the dialog, Employee name, and creates a dialog title called Employee name, etc.

    Select Generate default titles for dialogs.

    If you want to create your own custom dialog titles, assign them at each dialog's Dialog Editor. (See Change a Dialog's Options.) Once you specify a title for a dialog, HotDocs will not generate them.

    Specify the text that will be used for the resource button ToolTip | Enter the text in the Resource button label box that you want users to see when they hover their mouse cursor over the resource button during the interview.
  5. Change any of the following options at the Assembly tab:
    To | Do This
    Specify a product title or template set name that appears in the assembly window title bar | Enter a title in the Product title box. (If you leave this field empty, HotDocs will use the text HotDocs Developer 10.)
    Keep users from saving their answers or using an existing answer file for this particular template

    Select Do not use answer files.

    Once selected, this option causes the first information-gathering dialog to appear immediately after the template is selected for assembly. At the end of assembly, users cannot save their answers.

    Use variable names instead of prompts when generating Question and Answer Summaries | Select Use variable names in summaries.
    Position the cursor at a certain place in the document after it has been assembled | Create a word processor bookmark in the template and select Move to the "TypeHere" bookmark. (See Position the Cursor in the Assembled Document.)
    Automatically update the document's table of contents and/or index once the document has been sent to the word processor

    Select Update table of contents, references, fields, etc.

    Once the document is sent to the word processor, these references will be updated based on any changes made during assembly of the document.

    Let users see their answers highlighted in the assembled Microsoft Word document

    Select Mark answers in assembled documents.

    When you do this, HotDocs marks merge fields in the Document Preview tab. Users can then click the Highlight Answers Highlight Answers button in the assembly window and answers will be highlighted with a special color.

    Let users edit answers while viewing the assembled document in the Document Preview tab (Microsoft Word users only)

    Select Enable Edit Answer at the Document Preview tab.

    As users change answers, answers throughout the document (and interview) will be updated to reflect the change.

    Designate what text will be merged in the document if the user chooses to not answer a question | Click the Unanswered variable placeholder drop-down button and choose an option: Default, [Variable], ***Variable***, Underscores, Asterisks, or Nothing. See Tips on Using Unanswered Variable Placeholders for an explanation.
    Specify a Word document template where you want to store your post-assembly macros (Word RTF users) | Click the Browse Browse button next to the Post-assembly macro file (Word only) box and locate the template that contains these macros. See PLAY "MACRO" and Specify a Word Template for Storing Post-Assembly Macros for more information.
    Prevent HotDocs from infinitely processing a WHILE expression, which will cause HotDocs to stop responding. | Type a number in the Maximum WHILE iterations box. This number represents the number of times dialogs or variables in the template or script can be looped before HotDocs stops it from doing so.

    Prevent HotDocs from infinitely recursing (or processing) a computation, which will cause HotDocs to stop responding

    Note: Recursion happens when a computation "calls" itself over and over until the desired result is achieved. For example, you can use a recursive computation to scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to the processing stack. If too much information gets added to this stack, HotDocs may stop responding.
             Type a number in the Maximum processing stack depth box. This number represents how many instructions you want HotDocs to allow in the processing stack (see note in previous column). When HotDocs reaches this limit, the recursion will stop.
  6. Change any of the following options available from the remaining tabs:
    To | Do This
    Have HotDocs automatically remove hidden data from the assembled document | At the Hidden Data tab, select which types of data you want to remove from the assembled document. See Remove Hidden Data from Assembled Documents for more details.
    Enable your templates for server-based assembly

    At the HotDocs Server tab, select Enable template for use with HotDocs Server. See Enable Templates for Use with HotDocs Server for a description of all of these options.

    If you do not select this option, you will not be able to browser test the template or publish it for use with HotDocs Server.

    Have HotDocs upload answer files to a Web server | At the Answer Upload tab, fill in the information about answer uploading in the corresponding fields. See Specify Options to Upload Answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Change Component File Properties


HotDocs Help - Delete a Component from the Current Component File

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Delete a Component from the Current Component File

You can delete a particular reference to a component in the template by highlighting the reference and pressing the Delete key. However, to delete a variable from the component file (so that it won’t appear in variable lists), you must use Component Manager. You must also use Component Manager to delete formats, patterns, merge text, dialog element text, or other components from the current component file.

Caution: Deleting a component removes it from the component file and any associated dialogs, but references to it in the template and other components (such as scripts, prompts, or dialog text elements) will not be updated. If you've referred to this component in any of these ways, you must manually update these references or your template may not work. If you are sharing components across multiple files, this must be done in each template that uses the component file.

To permanently delete a variable, format, pattern, or merge text group

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. From the Components list, select the variable, format, pattern, or merge text you want to delete.
  3. Click the Delete Component Delete Components button and click Yes when HotDocs confirms the removal. The component is removed. If a reference to the component still exists in the template, you must remove it or you will receive errors when you assemble the template.
Note:
  • To delete unused components in several templates, use Template Manager. (See Delete Components from Multiple Component Files.)
  • When you are viewing the component list, you can limit the list of components that are showing by clicking the Components drop-down button and selecting the specific component type.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Delete a Component from the Current Component File


HotDocs Help - Copy Components From One File to Another

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Copy Components From One File to Another

You can copy components from one component file into another. Copying components makes it easy to use the same variables, dialogs, example formats, and so forth in several templates. Once you have copied a variable from one component file into another, you can change its properties to fit that specific template.

When you copy a component such as a dialog or a Computation variable, all of the variables associated with the component are automatically copied as well.

To copy components from one component file to another

  1. At the template, click the Component Manager Component Manager button. The Component Manager window appears.
  2. Click the Expand Expand button in the upper-right corner of Component Manager. The window expands to show a second component list.
  3. Click the Open Open button. The Open dialog box appears. (You can also click the Other component file drop-down button and select one of the component files that is saved in the same folder as the current file.)
  4. Locate the component file you want to display and click OK. HotDocs shows a list of components in that file.
  5. In either the current component file or the other component file, select the components you want to copy.
  6. Click the Copy Copy button (or the Copy Copy button). HotDocs copies the components. If you copy a dialog or a Computation variable, any variables referenced by that component will also be copied.
  7. If a component already exists in the file to which you are copying and contains properties that are different, complete any of the following steps at the Copy Components dialog box:
    • Click Overwrite to overwrite that specific instance of an existing component with the one you are copying.
    • Click Don't Overwrite to not copy a specific component.
    • Click Rename to assign a new name to the component you are copying. Both the original and the copied component are saved in the component file.
    • Click Always Overwrite to overwrite all existing components with the ones you are copying. Once you select this option, you will not be warned when other duplicate components are found.
    • Click Never Overwrite to tell HotDocs to not copy (and overwrite) any existing components with ones you are copying.

Also, at the Copy Components dialog box, you can view the components you are copying. To view the component in the file from which you are copying, click the first View button. To see the component that exists in the component file into which you are copying, click the second View button.

Once you have copied the components, click the Collapse Collapse button in the upper-right corner of Component Manager to show only the current list of components.

Note: To copy components between several component files at once, you can use Template Manager. (See Copy and Paste Components Across Multiple Component Files.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Copy Components From One File to Another


HotDocs Help - Rename Components in a Single Template

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Rename Components in a Single Template

Note: If you have a template that contains several components that must be renamed, you should use Template Manager, which changes the name in both the template file and the component file. It also updates any references to the component if it is used by other components. (See Rename Components Across Multiple Component Files.)

You can rename variables, dialogs, example formats, merge text values, dialog elements, and so forth. When you rename a component, it is changed everywhere it is used in the component file. For example, renaming a variable will update all references to it in dialogs, scripts, and prompts. However, you must update references to the component in the template text itself. This may include removing the old variable field and inserting a new variable field.

How you rename components depends on the component type. Main components can be renamed in both the template file and the component file; however supplemental components (such as example formats, patterns, and so forth) can only be renamed using Component Manager.

To rename a component while editing the template

  1. Place the cursor in the variable field and click the Variable Field Variable Field button. The Variable Field dialog box appears.
  2. Click the Edit Component Edit Component button. The Variable Editor appears.
  3. In the Variable name box, type the new variable name and click OK. HotDocs verifies that you want to rename the component.
  4. Click Yes. The variable component is renamed, and the Variable Field dialog box appears again.
  5. Click OK.
  6. Remove any other references to the variable in the template and insert the new variable field. (See Insert a Variable Field in a Text Template.)

To rename a single component using Component Manager

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select the component from the Components list and click the Rename Component Rename Component button. The Rename Component dialog box appears.
  3. Type the new component name in the New name box and click Rename. HotDocs changes the name throughout the component file.
  4. In the template, replace old component references with the new component. (See Insert a Variable Field in a Text Template.)

To rename multiple components using Component Manager

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select the components from the Components list and click the Rename Component Rename Component button. The Rename Components dialog box appears.
  3. In the Existing Component Names column, select the components you want to rename.
  4. Type the new name in the New Component Names column.
  5. Optionally, to create multiple like-named components at once (for example, to rename two variables that use the word Plaintiff so the new names instead use Client), type the existing word or phrase (i.e. Plaintiff) in the Replace box, and then type the new word or phase (i.e. Client) in the with box, and click Apply. Where applicable, HotDocs changes all the names in the New Component Names column.
  6. Click Rename to rename the components.
  7. In the template, replace old component references with the new components. (See Insert a Variable Field in a Text Template.)

HotDocs lists all the components that were renamed in the Renamed Components list of Component Manager. To view the full list of components again, click the Components drop-down button and choose All Components.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Rename Components in a Single Template


HotDocs Help - Make a Duplicate Copy of a Variable

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Make a Duplicate Copy of a Variable

You can copy an existing variable to create a new variable. This may be useful, for example, if you want to create a variable that uses most (if not all) of the same properties of an existing variable, but you want the variable to have a different name.

You must use Component Manager to duplicate variables. You can duplicate one component or many, depending on your needs. You cannot duplicate dialogs, clauses, or database components.

To duplicate a single variable

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select the variable you want to copy and click the Duplicate Variable Duplicate Variables button. HotDocs opens the Variable Editor and displays a copy of the variable (as shown in the Variable name box).
  3. Change the name and any other properties of the variable and click OK. The new variable is added to the component file.

To duplicate multiple variables at once

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Select the variables you want to create copies of and click the Duplicate Variable Duplicate Variables button. The Duplicate Variables dialog box appears.
  3. In the Existing Variables column, select the variable(s) you want to duplicate.
  4. Type the name of the new variable in the New Variables column.
  5. Optionally, to create multiple like-named components at once (for example, to copy Defendant-related components to create Plaintiff-related components), type the existing word or phrase (i.e. Defendant) in the Replace box, and then type the new word or phase (i.e. Plaintiff) in the with box, and click Apply. Where applicable, HotDocs changes all of the names in the New Variables column.
  6. Click Duplicate to create the new variables.

HotDocs lists all the variables that were duplicated in the Duplicated Components list of Component Manager. To view the full list of components again, click the Components drop-down button and choose All Components.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Make a Duplicate Copy of a Variable


HotDocs Help - Edit Formats, Merge Text, Dialog Elements, and Patterns

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Edit Formats, Merge Text, Dialog Elements, and Patterns

You can edit supplemental components such as example formats, dialog elements, merge text, and patterns using Component Manager.

To edit supplemental components

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Components drop-down button and select the type of supplemental component you want to edit. Your options include variable formats (like Text Formats and Number Formats), Merge Text, Dialog Elements, and Text Patterns. The list is filtered to show that kind of component.
  3. Select the component you want to edit and click Edit Component Edit Component. The component is opened in its component editor.
  4. Make any necessary changes.
Note:
  • To create a new example format, merge text group, dialog element text, or text pattern, click the New Component New Component button while viewing that specific list of supplemental components at Component Manager.
  • If you want to assign a name to a variable format—for instance, because a name would be more descriptive than the actual format—type the name in the Format name box. This name will be displayed in format lists instead of the format itself.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Edit Formats, Merge Text, Dialog Elements, and Patterns


HotDocs Help - Search Component Files

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Search Component Files

Using Component Manager, you can search for literal text strings in component prompts, titles, dialog element text, notes, scripts, patterns, formats, and merge text. If necessary, you can replace any text you find with different text.

To search components for a certain text string

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Find in Components Find in Components button. The Find in Components dialog box appears.
  3. From the Include list, select one of the following options: All components in list (searches all of the components currently displayed in the Components list), Selected components in list (searches only the components that are currently selected (highlighted) in the Components list), All components in component file (searches all of the components in the component file, regardless of what is currently displayed (and selected) in the Components list).
  4. Type the word or string of text in the Find what column. (You can include up to 10 text strings.)

  5. Optionally, select any other search criteria:

    • Match case searches for a text string that matches the capitalization you have used.
    • Find whole words only excludes instances where the text in the Find column occurs as part of another word.
  6. Specify which properties of a component you want to search by selecting an option. (See Component Properties for an explanation of each property.)
  7. Click Find. Once HotDocs is finished searching the components for the specified string, Component Manager displays the Found Components list, which shows only those components that contained a match. This list continues to show the results of your search until you either perform a new search or you close Component Manager. To view the full list of components again, click the Components drop-down button and choose All Components.

To search components for a certain text string and then replace the string with new text

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Find and Replace Find and Replace in Components button. The Find and Replace in Components dialog box appears.
  3. From the Include list, select one of the following options: All components in list (searches all of the components currently displayed in the Components list), Selected components in list (searches only the components that are currently selected (highlighted) in the Components list), All components in component file (searches all of the components in Component Manager, regardless of what is currently displayed (and selected) in the Components list).
  4. Type the text string for which you want to search in the Find what column. (You can include up to 10 strings.)
  5. Type the text string with which you want to replace the found text in the Replace with column.
  6. Optionally, select any other search criteria:
    • Match case searches for a text string that matches the capitalization you have used.
    • Find whole words only excludes instances where the text in the Find column occurs as part of another word.
    • Confirm replacements makes HotDocs ask you before it replaces the text string.
  7. Specify which properties of a component you want to search by selecting an option. (See Component Properties for an explanation of each property.)
  8. Click Find. If you selected Confirm replacements, HotDocs will confirm each replacement. Once HotDocs finishes replacing the components for the specified string, Component Manager displays the Found Components list, which shows only those components that were modified. This list continues to show the results of your search and replace until you either perform a new search or you close Component Manager. To view the full list of components again, click the Components drop-down button and choose All Components.
Note: To search for a specific component based on the component name, select the Find check box (located at the bottom of the Component Manager window) and type the text for which you are searching.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Search Component Files


HotDocs Help - Spell Check Components

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Spell Check Components

Using Component Manager, you can spell check text-based properties of components, such as prompts, titles, notes, and dialog element text.

To spell check components

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Spell Check Spell Check Components button. The Spell Check Components dialog box appears.
  3. From the Include list, select one of the following options: All components in list, Selected components in list, or All components in component file.
  4. Select the component properties you want to spell check. (See Component Properties.)
  5. Click OK. If HotDocs finds any unrecognized words, it displays the Check Spelling dialog box.
  6. Make your selection, based on information in the following table:
    To | Do This
    Ignore the current instance of the word and continue spell checking | Click Ignore.
    Ignore all instances of the word and continue spell checking | Click Ignore All.
    Correct only the current instance of the word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to box) and click Change.
    Correct all instances of the misspelled word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to box) and click Change All.
    Add the word to your personal dictionary so that the spelling checker will not question the word again | Click Add.
    Display additional spelling alternatives for the unrecognized word Click Suggest.
    Note: A deeper search takes longer but produces better possible replacements. If the button is unavailable, HotDocs is searching at the deepest level.
    Change your spell checking options, such as which words the spelling checker looks at and how it determines whether a word is a possible replacement | Click Options. (You can also change your options at the HotDocs Options dialog box. See Change Your Spell Checking Options.)

When you are finished spell checking, HotDocs displays a list of components that were modified in the Changed Components list. If HotDocs does not find any misspelled words, or if you do not correct any misspellings, this list is empty. To view the full list of components again, click the Components drop-down button and choose All Components.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Spell Check Components


HotDocs Help - Print a List of Components

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Print a List of Components

Using Component Manager, you can print lists of properties for selected components.

To print a list of properties for selected components

  1. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Print Components Print Components button. The Print Components dialog box appears.
  3. From the Include list, select one of the following options:
    • All components in list, which prints all of the components currently displayed in the Components list.
    • Selected components in list, which prints only the components that are currently selected (highlighted) in the Components list.
    • All components in component file, which prints all of the components in Component Manager, regardless of what is currently displayed (and selected) in the Components list.
  4. Select the properties you want to print. (See Component Properties for an explanation of each property.)
  5. Click OK and specify any printer options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Print a List of Components


HotDocs Help - Use One Component File for Multiple Templates

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Use One Component File for Multiple Templates

Caution: It's a good idea to back up your shared component files on a regular basis. If a shared component file becomes damaged, you could lose all of the components for several templates.

When you create a template file, HotDocs automatically creates a component file for that template. The component file stores variables, dialogs, and other components you use for that specific template.

When several related templates use many of the same components, you can create all of those components just once and store them in a shared component file. When you make a change to a shared component, (for example, if you change a prompt or resource text), the change will appear in all templates that use that component file.

The way you share the same components in multiple templates is by pointing each template's own component file to the shared component file. Then, as you create and edit components within the template, the template bypasses its own component file (which is now known as the pointed component file or actual component file) and stores the information in the shared component file instead. All templates, pointed component files, and shared component files must be saved in the same folder.

It’s a good idea to point all the templates that will share a component file to the shared component file before you start creating components in the templates. That way, they are saved directly in the shared component file and are ready for use when you automate other templates. Otherwise, you must copy those components to the shared file so HotDocs can find them. (See Copy Components From One File to Another.) (Pointing the current component file to the shared file does not automatically copy the components there.)

When specifying component file properties, properties from the shared component file are used for all templates that point to it (except for those specified at the General tab of the Component File Properties dialog box). You can, however, use the pointed component file's properties. Additionally, if some of the properties you want to use are specified in the shared component file, you can copy them to the pointed component file. See Specify Whether Component File Properties are Shared for details.

If you are pointing several templates to a shared component file, but you want each template to use its own custom interview, at the Interview tab, clear Use interview properties stored in the shared component file, select Use custom interview, and then specify the name of the interview computation in the Interview component box.

To unpoint a component file, see Make Templates Stop Sharing Component Files.

To point the current component file to a shared component file

  1. Make sure all templates and component editors are closed. (The only window that should be open is the template library.)
  2. At the template library, select the template whose component file you want to point.
  3. Click the Component Manager Component Manager button. The Component Manager window appears.
  4. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  5. At the General tab, click the Shared component file drop-down button and select the shared component file. (This drop-down list shows all of the component files listed in the same folder as the actual component file. Remember, pointed and shared component files must be saved to the same folder.)
  6. Optionally, to use the properties of the pointed component file instead of the shared, clear Use properties stored in the shared component file at each respective tab of the Component File Properties dialog box. To copy the properties of the shared component file into the pointed component file, click Copy Shared. (Any properties you change after choosing to use the pointed component file will not be updated in the shared file.)
  7. Click OK. The current template's component file is now pointed and the contents of the shared component file appear in the component list. (At Component Manager, the Component File Properties Component File Properties button changes appearance to indicate that the component file is pointed.)
Caution: If you created variables before you pointed the component file to the shared file, you must copy those variables to the shared file. See Copy Components From One File to Another for details.
Note: HotDocs can display a warning when you edit a template that has a pointed component file. This warning reminds you that changes you make will affect all templates that point to the component file you are editing. See Display HotDocs Warning Messages for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Use One Component File for Multiple Templates


HotDocs Help - Specify Whether Component File Properties are Shared

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Specify Whether Component File Properties are Shared

When several related templates use many of the same components, you can create all of those components just once and store them in a shared component file. The way you share the same components in multiple templates is by pointing each template's own component file to the shared component file. Then, as you create and edit components within the template, the template bypasses its own component file (which is now known as the pointed component file or actual component file) and stores the information in the shared component file instead.

When specifying component file properties (see Change Component File Properties), you can choose which component file will provide the options for the template. By default, templates use the shared component file's properties (except for those properties specified at the General tab of the Component File Properties dialog box). However, if a certain number of templates in your set require their properties be different from the others, you can choose to use the pointed component file's properties, instead.

For example, perhaps only a few of your pointed templates will be published for use with HotDocs Server. For those specific templates, you can enable them for use with HotDocs Server and set specific properties so they can be used on the Web.

Caution: Properties (such as the Template title and Template description) specified at the General tab of the Component File Properties dialog box are always stored in the pointed component file.

To choose which component file properties should be used for a pointed template

  1. Point the template's component file. See Use One Component File for Multiple Templates.
  2. With Component Manager open and the Component File Properties dialog box displayed, click the tab for the properties you want to use from the pointed component file. (For example, to use the pointed file's interview options, click the Interview tab.) The view changes to show those specific options.
  3. Clear Use properties stored in the shared component file.
  4. Optionally, to copy the properties of the shared component file into the pointed component file, click Copy Shared. Any properties specified for this group at the shared component file are copied into the current (or pointed) component file.
Note:
  • The ability to use pointed component file properties for templates also lets you specify custom interviews for each template in your set. Specifically, if you are pointing several templates to a shared component file, but you want each template to use its own custom interview, at the Interview tab, clear Use Interview properties stored in the shared component file, select Use custom interview, and then specify the name of the interview computation in the Interview component box.
  • Any properties you change after choosing to use the pointed component file will not be updated in the shared file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Specify Whether Component File Properties are Shared


HotDocs Help - Make Templates Stop Sharing Component Files

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Make Templates Stop Sharing Component Files

You can unpoint a component file if you decide you no longer want to share components between multiple templates. (See Use One Component File for Multiple Templates.)

To unpoint a component file

  1. Make sure all templates and component editors are closed. (The only thing that should be open is the template library.)
  2. At the template library, select the template whose component file you want to unpoint.
  3. Click the Component Manager Component Manager button. The Component Manager window appears.
  4. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  5. At the General tab, click the Shared component file drop-down button and choose the blank line at the top of the list.
  6. Click OK. The component list changes to show the components used in the original component file.
Caution: If you added or created components while the component file was pointed, you must copy those components back to your original component file so HotDocs can find them. See Copy Components From One File to Another for information on how to do this.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Make Templates Stop Sharing Component Files


HotDocs Help - Control Whether Users See the End of Interview Dialog

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Control Whether Users See the End of Interview Dialog

By default, when users complete interviews, the last dialog they see is the End of Interview dialog, which is where they choose what to do with the assembled document. In some situations, you may want users to view the assembled document automatically without displaying these options. You can keep this dialog from appearing.

To hide the End of Interview dialog

  1. Open Component Manager for the template whose End of Interview dialog you want to hide. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  3. Click the Interview tab and select Hide End of Interview dialog.

When the End of Interview dialog is hidden and the user clicks nextfield Next at the last dialog in the interview, HotDocs will perform the End of Interview action the user specifies at HotDocs Options. These options include sending the document to the word processor or Filler, or viewing the assembled document at the Document Preview tab. (See Control What Happens When You Finish an Interview.)

Note: Users can choose which options appear in the End of Interview dialog by making their selections at HotDocs Options. See Customize the End of Interview Dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Control Whether Users See the End of Interview Dialog


HotDocs Help - Position the Cursor in the Assembled Document

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Position the Cursor in the Assembled Document

You can cause HotDocs to place the cursor at a specified place in the assembled document once the user has completed an interview and sent the assembled document to the word processor. You do this by inserting a “TypeHere” bookmark in your template and then by selecting a component file property.

To insert a TypeHere bookmark

  1. Create a template or open an existing template for editing. (See Create a New Text Template File or Edit a Template.)
  2. Place the cursor in the template where you want your cursor to appear when the assembled document is sent to the word processor.
  3. Use your word processor’s functionality to create a bookmark. Name it TypeHere and insert it into the text. (See your word processor’s help file for information on creating bookmarks.)
  4. Open Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  5. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  6. Click the Assembly tab and select Move to the “Type Here” bookmark.
  7. Click OK.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Position the Cursor in the Assembled Document


HotDocs Help - Specify a Word Template for Storing Post-Assembly Macros

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Specify a Word Template for Storing Post-Assembly Macros

You can insert PLAY instructions in templates to play macros after assembly is complete. Such macros are used to update references in the document, remove unused markup coding, apply custom formatting to answers, and so forth.

With a DOT template, the macro to be PLAYed can simply be included in the HotDocs template itself. After assembly, HotDocs temporarily attaches the original template to the assembled document so that when the PLAY instruction is processed, Word automatically finds the macro to be PLAYed.

With an RTF template, however, you can't store macros in the template. While you can place macros to be PLAYed in a global template saved in Word's Startup folder, or add the macros to Normal.dot, this can be inconvenient, since you must either provide instructions for the user on how to save the global template to the Startup folder or you must instruct them on how to modify Normal.dot.

To accommodate this, you can store your post-assembly macros in a Word template, which you can then associate with the HotDocs template. You specify the name of this Word template file at the Component File Properties dialog box for the template. This Word template must be stored in the same folder as the HotDocs template that uses it.

To use a post-assembly macro template

  1. Create a Word DOT template and store your macro in it. (See the Microsoft Word documentation for instructions on doing this.)
  2. Edit the template to which you want to attach the macro. (See Edit a Template.)
  3. Insert the PLAY MACRO instruction in the template. (See PLAY "MACRO".)
  4. Open the Component File Properties dialog box for the template. (See Change Component File Properties.)
  5. Click the Assembly tab, and, in the Post-assembly macro file box, enter the name of the template you created in Step 1. (Remember, the Word macro template must be stored in the same folder as the HotDocs template.)
Note: Post-assembly macros are played whenever the user creates a document from the template, specifically when the user prints the document, saves the document to disk, or sends the document to the word processor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Specify a Word Template for Storing Post-Assembly Macros


HotDocs Help - Remove Hidden Data from Assembled Documents

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Remove Hidden Data from Assembled Documents

Note: Removing hidden data from an assembled document is supported in Microsoft Word only.

As you work in Microsoft Word templates or documents, some personal information as well as some hidden document properties are stored in the document. This information may compromise the security of the assembled document as well as affect the size of the document file. To keep others from reviewing this information, or to reduce the size of the file, you can choose which of these Word properties should be removed from an assembled document.

Properties you select at the Hidden Data tab of the Component File Properties dialog box will be removed from the assembled document when users send the document to Microsoft Word.

Note: In addition to removing hidden data from assembled documents, you can also remove hidden data from Word RTF templates you're automating. See Remove Hidden Data from Word RTF Templates for details.

To choose which properties will be removed from an assembled Word document

  1. Open Component Manager. (See Open and Close Component Manager.)
  2. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  3. Click the Hidden Data (Word) tab. The view changes to show the properties you can remove.
  4. Select the types of data you want removed from the assembled document. You can remove content as well as properties from the assembled document. Specifically:
    • Options in the Document Data to Remove group include marks or other types of data Word uses to manage information in the document:
      • Invisible merge ID marks: Word merges revision ID numbers in the template each time you edit the template text. (Word uses these numbers to improve accuracy when merging or comparing related documents.) Each time you edit the text of a template, more IDs are added to the template and the size of the file increases. Removing these IDs reduces the size of the document.
      • Redundant metafile graphics: When you insert a graphic image in your RTF template, Word merges a Windows Metafile copy of the graphic in the template as well. This means there are two versions of the graphic in the template. Removing the metafile version can significantly reduce the size of the document.
      • Unused property codes: When you apply formatting properties (such as bold, underline, alignment, etc.) to text in a template, these codes are stored in the template. Selecting this property removes any codes that may be left in the assembled document after the section of text to which the property was applied has been removed through the use of IF instructions.
    • Options in the Document Properties to Remove group include information stored about the document, including information about who created the document. (Document properties typically appear on the Properties dialog box for a given document.)
    • Options in the HotDocs Fields to Remove group include the bookmarks HotDocs merges in a document to indicate editable answers and text.
    • Options in the Document Markup group include reviewer's comments, such as annotations or change-tracking suggestions.
Caution: For complete explanations of each individual property, view the What's This help for each option on the tab, or see the Microsoft Word documentation.

Now, when the document is assembled and sent to the word processor, the data associated with each option you've selected will be removed from the document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Remove Hidden Data from Assembled Documents


HotDocs Help - Remove Hidden Data from Word RTF Templates

How Do I...?

  • Change Component File Properties
  • Control Whether Users See the End of Interview Dialog
  • Copy Components From One File to Another
  • Create and Edit Multiple Components Simultaneously
  • Delete a Component from the Current Component File
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Make a Duplicate Copy of a Variable
  • Make Templates Stop Sharing Component Files
  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Position the Cursor in the Assembled Document
  • Print a List of Components
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Rename Components in a Single Template
  • Search Component Files
  • Specify a Word Template for Storing Post-Assembly Macros
  • Specify Whether Component File Properties are Shared
  • Spell Check Components
  • Use Component Manager to Work with Components
  • Use One Component File for Multiple Templates

Reference Material

  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Remove Hidden Data from Word RTF Templates

Note: Removing hidden data is supported in Microsoft Word RTF templates only.

As you work in Microsoft Word RTF templates, some personal information as well as some hidden document properties are stored in the template. This information may compromise the security of the template as well as affect the size of the template. To keep others from reviewing this information, or to reduce the size of the file, you can choose which of these Word properties should be removed from the template. You can remove this data from a single template or from multiple templates at a time.

Note: You can also remove hidden data from assembled Word documents. See Remove Hidden Data from Assembled Documents for details.

To remove hidden data from Word RTF templates

  1. Open a template library. (See Open a Library.)
  2. Select the RTF templates from which you want to remove the data.
  3. Choose Hidden Data Remover (Tools menu). The Hidden Data Remover dialog box appears.
  4. Optionally, click Analyze. HotDocs analyzes the templates you have selected and reports how much space in the file each option listed in this dialog box is using. (This information appears in parentheses next to each option.)
  5. In the Document Data group, select any of the following options:
    • Invisible merge ID marks: Word merges revision ID numbers in the template each time you edit the template text. (Word uses these numbers to improve accuracy when merging or comparing related documents.) Each time you edit the text of a template, more IDs are added to the template and the size of the file increases. Removing these IDs reduces the size of the template file.
    • Redundant metafile graphics: When you insert a graphic image in your RTF template, Word merges a Windows Metafile copy of the graphic in the template as well. This means there are two versions of the graphic in the template. Removing the metafile version can significantly reduce the size of the RTF template.
    Caution: Once you remove this data from a template, continued editing of the template may reintroduce the extra data back into the template. You can prevent Word from adding this data to the template. Click here for details.
  6. In the Document Properties group, select which properties you want to remove from the template. (This includes information stored in the Properties dialog box for a given template. It usually represents information about who created the template.)
  7. In the Document Markup group, select any of the following options:
    • Accept all tracked changes updates the template with any additions or corrections made with Word's Track Changes feature.
    • Turn off change tracking disables the Track Changes option.
    • Remove all comments removes comments made in the template using Word's Comment feature.
  8. Once you've selected which data you want to remove, click Remove Data. HotDocs removes the data from the selected templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Component Files > Remove Hidden Data from Word RTF Templates


HotDocs Help - Using IF Instructions

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using IF Instructions

Overview: Make Parts of Templates Conditional

Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression

Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions

Edit an IF Instruction or Expression

Nest IF Instructions

Use Conditional Instructions in a Computation Script

Tips on Using IF Instructions

Add a Comment to a Variable or Instruction Field

Understand How Smart Returns are Inserted After Instructions

Assign Colors to Fields and Instructions in Templates

Use Labels to Identify Instructions

Match Opening Instructions with Closing Instructions

Home > All About... > Using IF Instructions


HotDocs Help - Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Overview: Make Parts of Templates Conditional

Sometimes your templates contain optional text, or text that should be included only when certain conditions are met. To include or exclude text based on these conditions, either you create an IF instruction, which is based on a True/False variable, or you create an IF expression, which is based on other conditional tests. In either situation, the IF instruction or expression must result in a true/false (or yes/no) result.

For example, in an estate planning document, there may be a paragraph that lists children who stand to inherit part of the client's estate. However, if the client doesn't have children, this paragraph should not be included. To keep it from being merged in cases where it's not relevant to the client, you can condition the paragraph on a True/False variable that determines whether the client has children. If a simple True/False variable doesn't accomplish what you need, you can create a more complicated expression. Types of expressions include testing against which option of a Multiple Choice variable was selected, whether the value of an answer is equal to (or greater than or less than) another value, and so forth.

In this example, the sentence Buyer and Spouse will be joint purchasers will be merged into the document only when the answer to the True/False variable, Buyer is Married, is true.

Also, the sub-template, bos-009.rtf (which contains special insurance provisions) will be inserted only if the answer to the variable BOS Consideration is greater than $250,000.

Conditional Text Example

In addition to using a single instruction or expression to merge or remove a single block of text, there may be times when you have multiple versions of a paragraph or other text, only one version of which should be merged into the assembled document. To accomplish this, you can use a series of ELSE IF instructions or expressions. If you have a paragraph that should be merged when no conditions are met, you can use an ELSE instruction.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Overview: Make Parts of Templates Conditional


HotDocs Help - Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression

Overviews

  • Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression

Often you have text in your template that you want to include or exclude based either on users' answers or on other conditions being met during the interview. For example, perhaps you need to include a client's shipping address. You can use a True/False variable to determine whether the shipping address is different from the billing address. If so, the Shipping variables will be asked and their answers will be merged into the assembled document. If not, only the Billing variables will be asked and merged.

Sometimes the situation in which you want to merge the text requires a little more information. In this case, you can use a True/False expression to condition the text. For example, perhaps you need to include a list of minor children in the document; however, you only want this list to appear if the client is married and if the children are under the age of 18. To accomplish this, you can create a True/False expression. Like a True/False variable, an expression must result in either true or false for the text to be merged or excluded correctly. Expressions are often used when a simple True/False variable doesn't convey the condition you need.

In some templates, you may have multiple versions of text, only one of which you want to include in the document. You can condition each section using a series of ELSE IF and ELSE expressions. The process of creating these expressions is similar to creating them for True/False variables. To understand how to do this, see Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions.

Note: A true expression produces a true/false value. For example, the expression YEARS FROM( Child’s Birth Date, TODAY ) produces a number (the age of a person), not a true or false value—it is not a True/False expression. But the expression YEARS FROM( Child’s Birth Date, TODAY ) <= 17 can only result in true or false. It is a True/False expression.

By default, when HotDocs inserts an IF expression in the template, it includes a return character after the instruction. During assembly, as the instruction is processed and removed from the assembled document, this return character is likewise removed. If you would prefer to keep this character from being merged entirely, or if you want to merge a return character only when working with complete paragraphs of text, you can specify an option that controls this. See Control When Returns Are Inserted After Instructions in Text Templates and Understand How Smart Returns are Inserted After Instructions.

To condition text using a True/False variable

  1. Highlight the template text you want to make conditional—a word, a sentence, a paragraph, an instruction, and so forth.
  2. Click the IF Field IF Field button. The IF Field dialog box appears.
  3. Select IF True/False Variable.
  4. Type a name in the True/False variable box, or select an existing variable from the drop-down list.
  5. Optionally, click the Edit Component Edit Component button to make changes to the variable's component properties. (See Customize a True/False Variable.)
  6. Click OK. HotDocs inserts an IF instruction around the text you selected.

To add or exclude text based on a True/False expression

  1. Select the text in the template you want to make conditional—a word, a sentence, a paragraph, an instruction, and so forth.
  2. Click the IF Field IF Field button. The IF Field dialog box appears.
  3. Select IF Expression. The window changes to let you create a script for the expression. (See Understand the HotDocs Scripting Language.)
  4. Enter the script, using models from the Expression models list. (For example, the following is an expression that tests three different conditions: 1) the client must be married, 2) the client must be over age 25, and 3) the client must live in Pennsylvania: Client is Married AND AGE( Client Birth Date ) > 25 AND Client State= "Pennsylvania".)
  5. Click OK. HotDocs inserts the expression around the part of the template you selected.
Note:
  • True/false expressions can contain only 256 characters. If longer, you must use a Computation variable.
  • When the True/False variable appears during the interview, the variable name is used as the prompt. You can enter a Prompt at the True/False Variable Editor to make it more specific. (See Tips on Naming Your Variables and Create a Prompt for a Variable.) Additionally, you can include a resource (see Add Resource Information to a Variable or Dialog.)
  • To help you create the expression, you can use predefined expression models from a list of models. Two expression models you will use frequently are MULT_CHOICE = TEXT and MULT_CHOICE != TEXT—both of which test what the answer is for a Multiple Choice variable.
Caution: You cannot use an IF instruction to condition a table that appears within another table. For example, if you have a table which contains another table within one of its cells, you cannot use a condition to remove the embedded table during assembly. (If you do, HotDocs only removes the text from the table and leaves the empty table in the assembled document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression


HotDocs Help - Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions

Overviews

  • Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions

Often you have a simple paragraph (or other section) of text in your template that you want to include or exclude based either on users' answers or on other conditions being met during the interview. (See Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression.)

In other cases, however, you may have multiple versions of text, only one version of which you want to include in the document. You can condition each section using a series of ELSE IF and ELSE instructions. For example, if you have different versions of a paragraph you use for different field offices, you can use the ELSE IF and ELSE expressions to insert the correct paragraph, based on a user's answers. You can use both ELSE IF and ELSE in the same IF instruction, but ELSE must always be the last item in the instruction.

In the following example, the first part of the condition tests whether the client lives in the state of Idaho. If so, the paragraph for Idaho sales tax is merged. If the client doesn't live in Idaho but does live in Utah, the paragraph about Utah sales tax is merged. Finally, if the client lives in a state other than Idaho or Utah, the paragraph keeping them from paying sales tax is merged.

«IF Client Lives in Idaho»
Sales tax for the State of Idaho is «Sales Tax Amount»% and must be paid at the time of purchase.
«ELSE IF Client Lives in Utah»
Sales tax for the State of Utah is «Sales Tax Amount»% and must be paid at the time of purchase.
«ELSE»
No sales tax must be paid.
«END IF»

To create these ELSE IF sections, you can use either True/False variables or you can use expressions.

Note: HotDocs processes IF instructions by starting at the top of the IF instruction and looking for the first condition that is true. Once it finds a true condition, it inserts the correct text and continues processing any additional instructions. But if all the conditions are false, HotDocs doesn’t insert anything at all (unless there is an ELSE instruction.) When the True/False variable that controls the IF instruction is not answered, none of the instructions are processed and no text is merged in the document.

To add or exclude multiple versions of text using two or more True/False variables or expressions

  1. Highlight the first conditional part of the template and create an IF instruction. (See Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression.)
  2. Select the IF instruction’s END IF keywords together with the next section of conditional text and click the IF Field IF Field button. The ELSE Field dialog box appears.
  3. Select ELSE IF True/False Variable or ELSE IF Expression. The dialog box changes to show the options for defining the condition.
  4. Enter a name in the True/False variable box, or enter an expression in the Expression box.
  5. Click OK to complete the instruction.
  6. Repeat this procedure for each section of conditional text, making sure you select the preceding section’s END IF instruction, along with the new section of text.

    Optionally, if you have a paragraph or block of text you want to include if all other conditions are false, you can use an ELSE instruction.

  7. Highlight the last END IF instruction together with the part of the template you want to be used if none of the preceding conditions in the instruction are true.
  8. Click the IF Field IF Field button. The ELSE Field dialog box opens.
  9. Select ELSE and click OK. The selected section of the text is added to the IF instruction. (You don't have to specify a condition for this section—it will simply be used whenever all the earlier conditions are false.)
Note:
  • True/false expressions can contain only 256 characters. If longer, you must use a Computation variable.
  • When the conditions in an ELSE IF instruction are all True/False variables, you can put them together in a single-selection group in a dialog. (See Change a Dialog's Options.)
Caution: You cannot use an IF instruction to condition a table that appears within another table. For example, if you have a table which contains another table within one of its cells, you cannot use a condition to remove the embedded table during assembly. (If you do, HotDocs only removes the text from the table and leaves the empty table in the assembled document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions


HotDocs Help - Edit an IF Instruction or Expression

Overviews

  • Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Edit an IF Instruction or Expression

You can edit an IF instruction or expression.

To change the condition for an IF instruction or expression

  1. At the template, place the cursor in the IF instruction or expression.
  2. Click the IF Field IF Field button. The IF Field dialog box appears.
  3. Edit the condition as necessary. Optionally, you can:
    • Create or select a different True/False variable or create a true/false expression. (See Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression or Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions.)
    • Click the Edit Component Edit Component button and type a prompt in the Prompt box to help the user make a selection. (See Create a Prompt for a Variable.)
    • Click the Edit Component Edit Component button and then click the Resource tab to add a resource to the instruction or expression. (See Add Resource Information to a Variable or Dialog.)
    • Click the Edit Component Edit Component button and then click the Advanced tab to specify several advanced options that control how the variable used in the instruction is processed. (See Control How HotDocs Processes a Variable, Control How Answers Appear in the Assembled Document, and Specify the Width of Answer Fields in the Interview.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Edit an IF Instruction or Expression


HotDocs Help - Nest IF Instructions

Overviews

  • Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Nest IF Instructions

You can nest an IF instruction inside another IF instruction. HotDocs won’t process the nested instruction unless the first (or top) level of the instruction is true.

In this example, if HotDocs finds that Client’s Marital Status was answered Married, HotDocs inserts the text with the spouse’s name and then checks to see if Client Has Children by This Marriage was answered true. If it is, HotDocs inserts the names of the children.

This ruling affects the client, «Full Name of Client»«IF Client's Marital Status = "Married"»; and spouse, «Full Name of Spouse»«IF Client Has Children by This Marriage»; and the following children: «REPEAT Children:a, b, and c»«Full Name of Child»«END REPEAT»«END IF»«END IF».

But if HotDocs finds that Client’s Marital Status was not answered Married, HotDocs skips the rest of the instruction, including the question about children in the marriage.

Note:
  • If you ask variables later in the template based on a nested IF instruction being true, you must make sure you use the full conditional reference before asking the variable. See Tips on Using IF Instructions.
  • You can have HotDocs identify the level of nesting in your IF instructions using both labels and field coloring. See Use Labels to Identify Instructions and Assign Colors to Fields and Instructions in Templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Nest IF Instructions


HotDocs Help - Use Conditional Instructions in a Computation Script

Overviews

  • Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Use Conditional Instructions in a Computation Script

Just as you can insert IF instructions and expressions directly in a template, you can use a Computation variable to control conditional text. The computation can be as complicated as it needs to be, as long as it follows the same logic applied when you insert an instruction directly in the template. (See Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression and Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions for a reminder.)

The IF instruction keywords (IF EXPRESSION, ELSE IF EXPRESSION, and so forth) are all available at the Instruction models list in the Computation Editor. You can either type the instructions directly in the Script box, or you can drag the models to the Script box and replace the EXPRESSION placeholders with either True/False variables or true/false expressions. (See Use the Script Editor.)

The following is an example of a script that uses conditional logic:

IF State = "Idaho"
  Total Price + (Total Price * 0.05) + Shipping
ELSE IF State = "Utah"
  Total Price + (Total Price * 0.0625) + Shipping
ELSE
  Total Price + Shipping
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Use Conditional Instructions in a Computation Script


HotDocs Help - Tips on Using IF Instructions

Overviews

  • Overview: Make Parts of Templates Conditional

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Edit an IF Instruction or Expression
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Tips on Using IF Instructions

How HotDocs Processes IF Instructions and Expressions

HotDocs processes IF instructions by starting at the top of the IF instruction and looking for the first condition that is true. Once it finds a true condition, it inserts the correct text and continues processing any additional instructions. But if all the conditions are false, HotDocs doesn’t insert anything at all (unless there is an ELSE instruction). When the True/False variable or expression that controls the IF instruction is not answered or satisfied, none of the instructions are processed and no text is merged in the document.

Line Spacing

The key to correct line spacing between paragraphs when one or more paragraphs is conditional is understanding the process by which HotDocs inserts returns. By default, HotDocs inserts a return after each IF instruction. Then, during assembly, it removes any returns it has inserted.

You can select an option that inserts returns after every instruction, an option that inserts returns only if a complete paragraph is selected, or an option that doesn't insert any returns at all. (See Control When Returns Are Inserted After Instructions in Text Templates.) If you opt to include returns after complete paragraphs, if there are blank lines between paragraphs, be sure to consistently include either the preceding or following blank line.

Qualifying Instructions

When automating a template, you can cause certain things to happen in your interview based on answers a user gives. You accomplish this by using IF instructions. When using IF instructions, however, you should never reference a conditional variable outside the context of its full condition.

For example, the following script only asks Text Variable B if True/False Variable A has been answered true. Then, later in the template, another dialog is asked based on whether Text Variable B has been answered.

«IF True/False Variable A»
«Text Variable B»
«END IF»
…
«IF ANSWERED( Text Variable B)»
«ASK Dialog 1»
«END IF»

However, this script is incorrect since a user can reassemble the document (using the same answer file) and change the answer for True/False Variable A. This would keep Text Variable B from being asked again. However, a value still exists for Text Variable B in the answer file, so when HotDocs reaches the IF expression later in the template, Dialog 1 is asked.

To fully qualify this condition, create an IF expression that tests both True/False Variable A and Text Variable B before asking Dialog 1. For example:

«IF True/False Variable A AND ANSWERED (Text Variable B)»
«ASK Dialog 1»
«END IF»

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Tips on Using IF Instructions


HotDocs Help - Understand How Smart Returns are Inserted After Instructions

Overviews

  • Overview: Include Lists in Your Documents
  • Overview: Make Parts of Templates Conditional
  • Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Edit an IF Instruction or Expression
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Understand How Smart Returns are Inserted After Instructions

By default, each time you insert any instruction (IF/END IF, REPEAT/END REPEAT, SPAN/END SPAN, INSERT, or ASK) in a template, HotDocs adds a return following the instruction. Then, when HotDocs assembles the template and processes the instruction, it removes the return it inserted. To some, this insertion of returns creates problems or confusion in automating the template because it sometimes makes the template text difficult to read and understand, especially when instructions (and their subsequent returns) within a paragraph sometimes break the paragraph into separate lines of text.

To accommodate this, HotDocs allows you to choose whether to insert returns following these instructions. (See Control When Returns Are Inserted After Instructions in Text Templates.). Specifically, you can:

  • Always insert a return after an instruction.
  • Never insert a return after an instruction.
  • Use "smart" return insertion.

The first two options behave exactly as expected—HotDocs will either always insert a return (and remove it during assembly) or never insert a return, depending on which of the two options you choose.

The behavior of third option, using smart returns, depends on how and where you're inserting the instruction.

If text you select represents a complete paragraph (meaning there's a paragraph mark at the end of the selected text), HotDocs will insert a return character after the instruction. In the following example, brackets ([]) indicate where text selection begins and ends. Note that the closing bracket ends on the line after the paragraph mark (¶):

Here is a paragraph.
[Here is another paragraph.¶
]Here is a third paragraph.

Would produce a section of conditional text that looks like this:

Here is a paragraph.
«IF Instruction»
Here is another paragraph.
«END IF»
Here is a third paragraph.

However, if the text you select is within a paragraph, HotDocs will not insert a return character. So, in the following example, when you insert the REPEAT instruction, HotDocs does not insert a return because the insertion is happening in the middle of a paragraph. There is no paragraph break at the end of the insertion:

The client, «Client Name», has the following children: «REPEAT Children:a, b, and c»«Child Name»«END REPEAT». These children live with the client and are covered under the provision.¶

At times, you may simply insert an instruction without first selecting text, or perhaps you may select some text but not include the paragraph mark in the selection. If HotDocs detects an existing paragraph break immediately after the instruction, it includes a Keep Return code (or vertical bar (|) ) at the end of the instruction. The code tells HotDocs to not delete the return when it assembles the document. So, the following example, where brackets indicate text selection:

Here is a paragraph.
[Here is another paragraph.]¶
Here is a third paragraph.

would produce the following automation:

Here is a paragraph.
«IF Instruction»Here is another paragraph.«END IF|»
Here is a third paragraph.

Note that the Keep Return code (|) in the END IF instruction indicates to HotDocs to keep the return character when it assembles the document.

Caution: HotDocs' capacity to delete both an IF instruction and the return that follows it is very important in some situations. If an optional paragraph includes numbering, it is difficult to condition out the entire paragraph and its numbering without putting the IF on a separate line before the paragraph. It can be done, but the template looks odd, since the IF is inside the numbering of the paragraph.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Understand How Smart Returns are Inserted After Instructions

More... (2)

Home > All About... > Creating Lists of Answers > Understand How Smart Returns are Inserted After Instructions

Home > All About... > Marking Editable Text in a Template > Understand How Smart Returns are Inserted After Instructions


HotDocs Help - Match Opening Instructions with Closing Instructions

Overviews

  • Overview: Include Lists in Your Documents
  • Overview: Make Parts of Templates Conditional
  • Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Edit an IF Instruction or Expression
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Nest IF Instructions
  • Tips on Using IF Instructions
  • Understand How Smart Returns are Inserted After Instructions
  • Use Conditional Instructions in a Computation Script

Match Opening Instructions with Closing Instructions

Note: Click here if you are using WordPerfect and the HotDocs Navigation toolbar doesn't appear in your template.

Every IF, REPEAT, and SPAN instruction inserted in a template must include an END IF, END REPEAT, or END SPAN instruction. Without both of these instructions, you will receive an error when you attempt to assemble a document. (The one exception is a repeated row in a table. See Use a Word Processor Table to Display a List.) However, sometimes during the course of editing a template, you may inadvertently delete or move part of the instruction. Doing so will cause errors when you attempt to assemble the document. To troubleshoot errors like this, you can have HotDocs match the different parts of the instruction. Likewise, if you have an intricate section of nested instructions, you can pair these different parts of the instruction.

To match opening instructions with their closing instructions

  1. Open the template for editing. (See Edit a Template.)
  2. Place the cursor inside either the opening instruction or the closing instruction. For example, if you're trying to find the opening instruction of a REPEAT, place your cursor in the END REPEAT instruction.
  3. Click the Match Fields Match Fields button. HotDocs moves your cursor to the corresponding instruction.
Note:
  • When editing instructions in a computation script, you can place your cursor in either the opening or closing instruction and press Ctrl+M. This will move your cursor to the corresponding instruction.
  • If you're using Microsoft Word, you can also match fields by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Match Fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using IF Instructions > Match Opening Instructions with Closing Instructions

More... (2)

Home > All About... > Creating Lists of Answers > Match Opening Instructions with Closing Instructions

Home > All About... > Marking Editable Text in a Template > Match Opening Instructions with Closing Instructions


HotDocs Help - Creating Lists of Answers

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Creating Lists of Answers

Overview: Include Lists in Your Documents

Create a REPEAT Instruction to Gather a List of Answers

Edit a REPEAT Instruction

Choose a Presentation Style for the Repeated Dialog

Customize REPEAT Titles

Punctuate a Sentence-Style List

Sort a List of Answers

Filter a List of Answers

Control How Many Rows are Visible in a Spreadsheet Dialog

Limit the Number of Answers Allowed for a Repeated Dialog

Get Sum Totals for Repeated Number Variables

Use a Word Processor Table to Display a List

Make a List Appear as one or More Columns

Count the Number of Entries in a List

Retrieve a Specific Answer from a List

Add a Comment to a Variable or Instruction Field

Understand How Smart Returns are Inserted After Instructions

Assign Colors to Fields and Instructions in Templates

Use Labels to Identify Instructions

Match Opening Instructions with Closing Instructions

Home > All About... > Creating Lists of Answers


HotDocs Help - Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Overview: Include Lists in Your Documents

You can include lists of answers in your documents by repeating variables and allowing the user to enter as many answers as necessary. You repeat variables by surrounding the variables with a REPEAT instruction. Instead of collecting and merging a single answer, as variables normally do, the repeated variable can merge an entire list of answers into the assembled document.

For example, the following shows a REPEAT instruction inserted into a template:

This shows the list of answers the REPEAT instruction merged into the template:

When you create a REPEAT instruction, you will be asked to create or select a custom dialog to control the instruction. During the interview, users can answer the dialog over and over again, until they have entered all the answers for the list. Or, you can limit the number of answers a user can enter for a repeated variable.

Additionally, you can repeat any text, instructions, or other parts of a template. Everything inside a REPEAT instruction is repeated along with the variables.

You can make lists in a document appear the way you like—either in sentence style with punctuation, or in column style. You can also have HotDocs sort, number, and filter lists automatically.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Overview: Include Lists in Your Documents


HotDocs Help - Create a REPEAT Instruction to Gather a List of Answers

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Create a REPEAT Instruction to Gather a List of Answers

Sometimes you may need to collect and merge a list of answers (instead of just a single answer) into a document. You can create such a list by inserting a REPEAT instruction around one or more variables. For example, perhaps you must insert a list of personal property items with their associated values. You can create the two variables and then repeat them. When users complete the interview, they can enter as many property items as they have. Those answers are merged into the finished document.

By default, when HotDocs inserts a REPEAT instruction in the template, it includes a return character after the instruction. During assembly, as the instruction is processed and removed from the assembled document, this return character is likewise removed. If you would prefer to keep this character from being merged, or if you want to merge a return character only under certain situations, you can specify an option that controls this. See Control When Returns Are Inserted After Instructions in Text Templates and Understand How Smart Returns are Inserted After Instructions.

Caution: Often, you must repeat information within a word processor table. To repeat a row in the table, see Use a Word Processor Table to Display a List. To repeat the contents of a single cell, see Create a REPEAT Instruction Using a Computation Variable.

To create a REPEAT instruction

  1. Select the template text, including variables you want to repeat, and click the REPEAT Field REPEAT Field button. The REPEAT Field dialog box appears.
  2. Either select an existing dialog from the Dialog drop-down list, or type the name of a new dialog in the box.
  3. Click the Edit Component Edit Component button. The Dialog Editor appears.
  4. Click the Style drop-down button and select the format for the repeated dialog. (See Choose a Presentation Style for the Repeated Dialog.)
  5. Optionally, enter custom label text you want to use on the Add Another Repetition Add Another button in the Add button text box. (This button appears on a repeated series dialog. Users click it to add a new repetition to the series of answers.)
  6. If you are creating a new dialog, add the variables you want repeated to the dialog. (See Gather Questions into a Custom Dialog.)
  7. Click OK at the Dialog Editor. HotDocs displays the REPEAT Field dialog box again.
  8. Complete either of the following optional tasks:
    • Click the Format drop-down button to choose a punctuation style for a sentence-style list (for example, A, B, and C.) (See Punctuate a Sentence-Style List.)
    • Click Show Advanced to select sorting and filtering options for the repeated dialog. (See Sort a List of Answers and Filter a List of Answers.)
  9. Click OK. The REPEAT instruction is inserted in the template.

You can always change punctuation, sorting, or other options by editing the instruction. See Edit a REPEAT Instruction. (To edit the contents of the repeated dialog, see Edit a Custom Dialog.)

Note:
  • You can find the total sum of a series of repeated Number variables, such as a list of dollar amounts. See Get Sum Totals for Repeated Number Variables for details.
  • In Microsoft Word, you can also insert a REPEAT instruction either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing REPEAT Field, or by right-clicking in the template and choosing REPEAT Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Create a REPEAT Instruction to Gather a List of Answers


HotDocs Help - Edit a REPEAT Instruction

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Edit a REPEAT Instruction

You can make changes to REPEAT instructions, including editing the repeated dialog's contents, adding a filter, choosing an answer-sorting order, and adding punctuation to the list of answers.

To edit a REPEAT instruction

  1. Position the cursor in the opening REPEAT instruction.
  2. Click the REPEAT Field REPEAT Field button. The REPEAT Field dialog box appears with the repeated dialog already selected.
  3. Make any of the following optional changes:
    • Click the Edit Component Edit Component button to edit the dialog (including adding or removing variables from the dialog and selecting presentation options for the dialog.) (See Change a Dialog's Options.)
    • Click the Format drop-down button and select a punctuation format. (See Punctuate a Sentence-Style List.)
    • Click Show Advanced to specify a sorting order and add a filter. (See Sort a List of Answers and Filter a List of Answers.)
Note: If you're using a complicated series of REPEAT instructions, you can match REPEAT instructions with END REPEAT instructions. See Match Opening Instructions with Closing Instructions for details. You can also assign color coding to REPEAT instructions to help you view relationships between them and other instructions in the template. See Assign Colors to Fields and Instructions in Templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Edit a REPEAT Instruction


HotDocs Help - Choose a Presentation Style for the Repeated Dialog

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Choose a Presentation Style for the Repeated Dialog

You can choose how a repeated dialog appears during the interview, either by presenting the list as a series of dialogs or as a single spreadsheet with multiple entry points.

Your options include:

  • Repeated Series causes a regular dialog to appear with an answer field for each variable. When the user answers the questions in the dialog, they can either click the Add Another Repetition Add Another button to add another repetition to the dialog, or they can click Next Next to move to the next dialog in the interview.
  • Spreadsheet causes a single dialog to appear with a column for each variable and an unlimited number of rows. Users fill in as many rows as they need. (The spreadsheet format lets users see all the answers at one time and makes it easier to change answers. However, a dialog with several variables can make a spreadsheet too large to view easily.)

To make a repeated dialog appear as a series

  1. Edit the REPEAT instruction. (See Edit a REPEAT Instruction.) The REPEAT Field dialog box appears.
  2. Click the Edit Component Edit Component button to open the Dialog Editor.
  3. Click the Style drop-down button and choose Repeated Series.
  4. Optionally, assign a custom title to each repetition in the dialog. See Customize REPEAT Titles for details.
  5. Optionally, enter custom label text you want to use on the Add Another Repetition Add Another button in the Add button text box. (This button appears on a repeated series dialog. Users click it to add a new repetition to the series of answers.)

To make a repeated dialog appear as a spreadsheet table

  1. Edit the REPEAT instruction. (See Edit a REPEAT Instruction.) The REPEAT Field dialog box appears.
  2. Click the Edit Component Edit Component button to open the Dialog Editor.
  3. Click the Style drop-down button and choose Spreadsheet.
  4. Optionally, limit the number of visible rows in the spreadsheet by entering a number in the Rows to display box. (See Control How Many Rows are Visible in a Spreadsheet Dialog for details.)
  5. Optionally, select Hide buttons to keep the Edit Row, Insert Row, and Delete Row buttons from appearing just below the spreadsheet. (Users can still access these commands either by right-clicking on the spreadsheet row, or by choosing the commands from the Edit menu.)
Caution:If the repeated dialog contains a multiple-selection Multiple Choice variable, the dialog must use the Repeated Series style—it cannot use the Spreadsheet style. (See Customize a Multiple Choice Variable.)
Note:
  • For information on using the Spreadsheet on Parent option, see Display a Child Dialog Directly on the Parent Dialog.
  • You can control the width HotDocs uses for the columns in a spreadsheet. See Specify the Width of Answer Fields in the Interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Choose a Presentation Style for the Repeated Dialog


HotDocs Help - Customize REPEAT Titles

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Customize REPEAT Titles

You can customize the titles used for each repetition in a repeated series of dialogs. For example, perhaps you need to ask the user for a list of beneficiaries. By default, HotDocs displays this list in the interview outline using an incremented number, followed by the dialog title:

Repeat Title Example

This approach may work in some situations, but in others, it may be better to customize the title for each repetition so the user knows what's in that particular dialog. For example, maybe you want the topmost icon in the list to use a generic title (like List of Beneficiaries), but you want the name of the beneficiary to appear for each individual repetition in the interview. This way, the user can easily review what's in each dialog, like this:

Repeat Title Example

To accomplish this, you must do the following:

  • Assign a generic label (such as List of Beneficiaries) to the repeated series.
  • Create a computation script that merges the user's answer to Beneficiary Name in the title. If no answer has been given, the script will merge other text that will help the user know the dialog is unanswered. (Otherwise, HotDocs will merge an unanswered variable placeholder in the title.)

To customize the title of the repeated dialog

  1. Edit the repeated dialog and select Repeated Series at the Style drop-down list. (See Edit a Custom Dialog and Choose a Presentation Style for the Repeated Dialog.)
  2. Enter a generic title in the Label box.
  3. Right-click in the Title box and choose Variable Field from the shortcut menu.
  4. Choose Computation as the Variable type and enter a name in the Name box.
  5. Click the Edit Component Edit Component button. The Computation Editor appears.
  6. In the Script box, enter the script that tests whether the variable you want to use in the title is answered. The script should also merge the text you want to be used in the title. An example script would be:
    VALUE(Beneficiary Name, "Next Beneficiary")
  7. Click OK at both the Computation Editor and at the Variable Field dialog box. The variable is merged in the title field.
  8. Click OK to close the Dialog Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Customize REPEAT Titles


HotDocs Help - Punctuate a Sentence-Style List

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Punctuate a Sentence-Style List

If you’re inserting a list in sentence style, you must choose the punctuation you want for the list. If you don’t choose a punctuation style, the list runs together without any punctuation or spaces—for example, DanielNathanEmilyKate. Once you select a punctuation style, HotDocs punctuates the list automatically—for example, Daniel, Nathan, Emily, and Kate.

When assigning a format, note that formats with all capital letters only capitalize the conjunction in the sentence, for example, the word AND. Individual answers in the list are either merged as the user types them or merged as you have formatted them using a variable-level example format. See Format the Variable and How Example Formats are Interpreted.

To punctuate a list

  1. At the template, edit the REPEAT instruction you want to punctuate. (See Edit a REPEAT Instruction.) The REPEAT Field dialog box appears.
  2. Click the Format drop-down button.
  3. Select a punctuation style, as explained in the following table:
    To | Do This
    Insert a comma even when there are only two items | Choose a, and b.
    Punctuate a list, but keep and from being used | Choose a, b.
    Keep the last comma before and from being inserted | Choose a, b and c.
    Use or instead of and | Choose a, b, or c.
    Use semicolons instead of commas between list items | Choose a; b; and c.
    Enter your own punctuation style | Type your style in the Format box. Base it on the other formats in the list. For example, you could use or or some other text instead of and, or you could use a semicolon instead of a comma.
Note:
  • If you want to create a list in a column, see Make a List Appear as one or More Columns.
  • You can punctuate the same list differently at another place in the document. Choose a punctuation style separately at each REPEAT instruction field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Punctuate a Sentence-Style List


HotDocs Help - Sort a List of Answers

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Sort a List of Answers

You can have HotDocs alphabetize your list automatically, in either ascending or descending alphanumeric order (for example, A to Z and 1 to 9). You can sort based on any repeated variable. If there’s more than one repeated variable in the REPEAT instruction, you can sort on two levels—for example, first on State, then on City (or cities within the state).

To sort a repeated list of answers

  1. At the template, edit the REPEAT instruction you want to sort. (See Edit a REPEAT Instruction.) The REPEAT Field dialog box appears.
  2. Click Show Advanced. The dialog box changes to show sorting and filtering options.
  3. Click the Sort by drop-down button and choose the variable on which you want to sort.
  4. Select Ascending or Descending.
  5. Optionally, to sort on a second level, select a variable at the Then By box and choose either Ascending or Descending.

When you close the REPEAT Field dialog box, you will see the names of the variable(s) on which you are sorting added to the REPEAT instruction.

Note: You can sort the same list differently at another place in the document. Edit that specific REPEAT instruction and specify the sort order you want, following the instructions given above.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Sort a List of Answers


HotDocs Help - Filter a List of Answers

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Filter a List of Answers

You can create a computation script that filters a list so only the entries that meet some condition are merged into the assembled document. For example, you could create a list of all the children in a family and then limit the list to include only those who are under the age of 18.

To filter a list

  1. At the template, edit the REPEAT instruction. (See Edit a REPEAT Instruction.) The REPEAT Field dialog box appears.
  2. Click Show Advanced. The dialog box changes to show sorting and filtering options.
  3. Click the Edit Component Edit Component button next to the Filter by drop-down list. The Computation Editor appears.
  4. Type a name for the filter in the Variable name box.
  5. In the Script box, type the condition that has to be true for an entry to be included in the list. (The variable in the condition must also be in the repeated dialog.) For example:
    Dependent Age <= 17
  6. Click OK to return to the REPEAT Field dialog box.
  7. Optionally, if you've assigned a sorting option and you want the sorting to happen before the filter is applied, select Sort first.
  8. Click OK again to return to the template.
Note: A filter can be as complicated as it needs to be, but it must result in either true or false. For example, the expression YEARS FROM( Child's Birth Date, TODAY ) produces a number (the age of a person), not a true or false value—it is not a filter. But the expression YEARS FROM( Child's Birth Date, TODAY ) <= 17 can only result in true or false. It can correctly filter all children under the age of 18 from a list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Filter a List of Answers


HotDocs Help - Control How Many Rows are Visible in a Spreadsheet Dialog

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Control How Many Rows are Visible in a Spreadsheet Dialog

By default, when displaying a spreadsheet dialog, HotDocs always shows 10 rows of the spreadsheet. If you need to show more or less than this number of rows, you can enter a specific number at the Dialog Editor. (This option doesn't limit the number of answers a user can enter—it only controls the number of answers that can be viewed at any given time.)

To change the number of viewable rows in a spreadsheet

  1. Edit the REPEAT instruction. (See Edit a REPEAT Instruction.) The REPEAT Field dialog box appears.
  2. Click the Edit Component Edit Component button to open the Dialog Editor.
  3. Click the Style drop-down button and choose Spreadsheet.
  4. In the Rows to display box, either type a number, or click the up or down arrows to select a number.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Control How Many Rows are Visible in a Spreadsheet Dialog


HotDocs Help - Limit the Number of Answers Allowed for a Repeated Dialog

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Limit the Number of Answers Allowed for a Repeated Dialog

At times, you may want users to enter only a specific number of answers in a list. You can use the LIMIT instruction to limit the number of times a dialog is repeated. Once the limit is reached, users can no longer enter anymore answers.

To limit the number of answers that can be entered

  1. Open the repeated dialog for editing. (See Edit a Custom Dialog.) The Dialog Editor appears.
  2. Click the Script tab. The window changes to show scripting options.
  3. Drag LIMIT NUM from the Instruction models list into the Script box.
  4. Replace the NUM placeholder with the maximum number of answers you want the user to enter.
Note:
  • You can let the user change the limit each time a document is assembled. To do this, replace NUM with a Number variable. Make sure the Number variable gets answered before the REPEAT instruction is processed.
  • To control the number of viewable rows in a spreadsheet (but still allow users to enter as many answers as they need), enter the number in the Rows to display box. (Make sure Spreadsheet is selected as the Style.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Limit the Number of Answers Allowed for a Repeated Dialog


HotDocs Help - Get Sum Totals for Repeated Number Variables

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Get Sum Totals for Repeated Number Variables

You can use a Computation variable to find the sum total of a repeated Number or Computation variable. For example, you may need to find the grand total of a series of dollar amounts.

To total a column of number variables

  1. Create a computation that contains the expression SUM( NUM_VAR ) if the repeated variable you are totaling is a list of Number variables, or SUM( COMPUTATION VAR ) if you are totaling a list of Computation variables. (See Customize a Computation Variable.)
  2. Replace the NUM_VAR or COMPUTATION_VAR placeholder with the name of the repeated Number or Computation variable, respectively.
  3. Insert the Computation variable containing the SUM instruction where you want the total to appear—for example, at the bottom of a column of numbers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Get Sum Totals for Repeated Number Variables


HotDocs Help - Use a Word Processor Table to Display a List

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Use a Word Processor Table to Display a List

You can insert a list of answers into a word processor table. As the user provides answers during the interview, HotDocs automatically adds rows to the table.

When you insert a REPEAT instruction in a table, HotDocs does not include an END REPEAT instruction—the end of the row signifies the end of the repeat. Additionally, you can repeat only a single row of the table, and each row must have the same number of columns. Finally, to REPEAT the contents of a single cell of a table, you must use a Computation variable. See Create a REPEAT Instruction Using a Computation Variable.

To insert a list into a word processor table

  1. Create a table in your word processor with a single row and a column for each repeating variable. (If you want to use a row for column headings, create a two-row table and put the headings in the first row.) (See your word processor's documentation for information on creating tables.)
  2. Insert the variables in the table, with one variable per column. (See Insert a Variable Field in a Text Template.)
  3. Once your variables are created, position the cursor in the first table cell—before the first variable.
  4. Click the REPEAT Field REPEAT Field button. The REPEAT Field dialog box appears.
  5. Click the Dialog drop-down button and select the dialog you want to repeat. (To create a new dialog, click the Edit Component Edit Component button. See Gather Questions into a Custom Dialog.)
  6. Select a repeat style for the dialog. (See Choose a Presentation Style for the Repeated Dialog.)
  7. When you are finished, click OK at the REPEAT Field dialog box. The REPEAT instruction is inserted in the table, like this:

    Table Repeat Example

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Use a Word Processor Table to Display a List


HotDocs Help - Make a List Appear as one or More Columns

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Make a List Appear as one or More Columns

Sometimes it makes more sense to have your list of answers appear in columns, rather than in a punctuated sentence. If you want to make the list appear in a column, include a hard return after the text in the REPEAT instruction.

For example, the following script, inserted directly in the template:

«REPEAT Children’s Names»
«Name of Child»
«END REPEAT»

would result in a list like this:

Sarah
Jackson
Madi
Adam

If there are two or more variables in the REPEAT instruction, you can separate them with tabs so they appear in multiple columns. The following script:

«REPEAT Children’s Information»
«Name of Child»    «Age of Child»
«END REPEAT»

would create a list like this:

Sarah    14
Jackson    11
Madi    7
Adam    2
Note: By default, when HotDocs inserts a REPEAT instruction in the template, it includes a return character after the instruction. During assembly, as the instruction is processed and removed from the assembled document, this return character is likewise removed. If you would prefer to keep this character from being merged, or if you want to merge a return character only when repeating an entire paragraph, you can specify an option that controls this. See Control When Returns Are Inserted After Instructions in Text Templates and Understand How Smart Returns are Inserted After Instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Make a List Appear as one or More Columns


HotDocs Help - Retrieve a Specific Answer from a List

Overviews

  • Overview: Include Lists in Your Documents

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Assign Colors to Fields and Instructions in Templates
  • Choose a Presentation Style for the Repeated Dialog
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Count the Number of Entries in a List
  • Create a REPEAT Instruction to Gather a List of Answers
  • Customize REPEAT Titles
  • Edit a REPEAT Instruction
  • Filter a List of Answers
  • Get Sum Totals for Repeated Number Variables
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Make a List Appear as one or More Columns
  • Match Opening Instructions with Closing Instructions
  • Punctuate a Sentence-Style List
  • Retrieve a Specific Answer from a List
  • Sort a List of Answers
  • Use a Word Processor Table to Display a List
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Retrieve a Specific Answer from a List

At times, you may need to retrieve a specific answer from a list of answers. For example, maybe you have created a list of employees, but later in the document you need to merge the name of just the second employee in the list. You can do this by using explicit indexing. To do this, you enter the index number of the answer you need between brackets, just after the variable name.

To use explicit indexing

  1. Insert the variable whose value you want to retrieve in the template text. (Make sure the variable is repeated someplace earlier in the template.)
  2. Once the variable is inserted, place your cursor immediately after the variable name and enter—between brackets—the index number of the repetition you want to retrieve. This index should be before any additional field formatting notations, for example:
    The second alternate will be «Alternate Board Member[2]:LIKE THIS».
Note:
  • To set an explicit index for a variable in a form field, first create the variable. Then select the field and open the Field Properties dialog box. Enter the explicit index in the Variable box, immediately after the variable name (like in the example above).
  • Normally, a repeated variable must be inside a REPEAT instruction, but when you a specify a particular list entry this way, the REPEAT instruction should not be included.
  • The Maximum WHILE iterations limit controls the maximum-allowed explicit index. (You set this value at the Component File Properties dialog box. See Change Component File Properties for details.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists of Answers > Retrieve a Specific Answer from a List


HotDocs Help - Using Computations to Create Lists

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using Computations to Create Lists

Create a REPEAT Instruction Using a Computation Variable

Punctuate a List Using a Computation Variable

Sort a List Using a Computation Variable

Filter a List Using a Computation Variable

Tips on Using Computations to Create Lists

Home > All About... > Using Computations to Create Lists


HotDocs Help - Create a REPEAT Instruction Using a Computation Variable

How Do I...?

  • Create a REPEAT Instruction Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable

Reference Material

  • Tips on Using Computations to Create Lists

Create a REPEAT Instruction Using a Computation Variable

Instead of inserting a REPEAT instruction directly in a template to generate a list of answers, you can use a REPEAT instruction in a Computation variable to create your list of answers. One reason for this is if your list of answers must appear in a single table cell. Also, using a computation allows you to quickly insert a list in more than one location in the template. (One drawback of this approach is that punctuating, sorting, and filtering will be applied wherever the computation is inserted—the list won't appear differently in different parts of your assembled document.)

To use a REPEAT instruction in a computation

  1. At the template, create a Computation variable. (See Customize a Computation Variable.)
  2. In the Script box, type either empty quotation marks ( "" ) or a zero (0) as the starting value for the computation. (These set the repeated value to “nothing” if the result will be text or zero if the result will be a number.)
  3. Enter a REPEAT instruction, followed by the dialog name.
  4. Enter the RESULT expression, followed by the names of the variables whose answers you want to merge. (Use the plus ( + ) operator to add variables, text, space characters (including a hard return), and so forth, to what’s being repeated.)
  5. Enter an END REPEAT instruction. An example of a possible script would be:
    ""
REPEAT Tour Information
  RESULT + Name of City + ", " + Venue + "
"
END REPEAT
Note: When you use a script to merge a list of answers that have been gathered using a REPEAT, you must first set the computation to a starting value. This value must be a 0 if the result will be a number, or it must be "" if the result will be text.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Computations to Create Lists > Create a REPEAT Instruction Using a Computation Variable


HotDocs Help - Punctuate a List Using a Computation Variable

How Do I...?

  • Create a REPEAT Instruction Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable

Reference Material

  • Tips on Using Computations to Create Lists

Punctuate a List Using a Computation Variable

When you use a computation to generate a repeated list, you can use the FORMAT instruction to punctuate the list in sentence style.

To punctuate a repeated list in a computation

  1. Create a Computation variable that contains your REPEAT instruction. (See Create a REPEAT Instruction Using a Computation Variable.)
  2. Drag FORMAT "LIST_FORMAT" from the Instruction models list into the Script box on a line of its own, after the REPEAT instruction but before the RESULT expression.
  3. Replace the LIST_FORMAT placeholder with a punctuation format (such as "A, B, and C"). An example would be:
    ""
REPEAT Tour Information
FORMAT "a; b; and c"
RESULT + Name of City + ", " + Venue
END REPEAT

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Computations to Create Lists > Punctuate a List Using a Computation Variable


HotDocs Help - Sort a List Using a Computation Variable

How Do I...?

  • Create a REPEAT Instruction Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable

Reference Material

  • Tips on Using Computations to Create Lists

Sort a List Using a Computation Variable

If you are using a Computation variable to create a list of answers, you can sort answers in the list using the ASCEND VAR and DESCEND VAR instructions. These instructions sort a list from A to Z, and 1 to 9.

To sort a REPEAT instruction in a Computation variable

  1. Create a Computation variable that contains your REPEAT instruction. (See Create a REPEAT Instruction Using a Computation Variable.)
  2. Drag ASCEND VAR or DESCEND VAR from the Instruction models list into the Script box on a line of its own, after the REPEAT instruction but before the RESULT expression.
  3. Replace the VAR placeholder with the repeated variable you want to sort on. An example would be:
    ""
REPEAT Tour Information
  ASCEND Name of City
  RESULT + Name of City + ", " + Venue + "
"
END REPEAT
Note:
  • When you use a script to merge a list of answers that have been gathered using a REPEAT, you must first set the computation to a starting value. This value must be a 0 if the result will be a number, or it must be "" if the result will be text.
  • To add a second sort level, insert a second ASCEND VAR or DESCEND VAR instruction below the first.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Computations to Create Lists > Sort a List Using a Computation Variable


HotDocs Help - Filter a List Using a Computation Variable

How Do I...?

  • Create a REPEAT Instruction Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable

Reference Material

  • Tips on Using Computations to Create Lists

Filter a List Using a Computation Variable

If you are using a Computation variable to create a repeated list, you can filter the REPEAT instruction in a Computation variable by using the FILTER COMPUTATION_VAR instruction. (See Filter a List of Answers.)

A filter can be as complicated as it needs to be, but it must result in either true or false. For example, the expression YEARS FROM( Child's Birth Date, TODAY ) produces a number (the age of a person), not a true or false value—it is not a filter. But the expression YEARS FROM( Child's Birth Date, TODAY ) <= 17 can only result in true or false. It can correctly filter all children under the age of 18 from a list.

To filter a REPEAT instruction in a Computation variable

  1. Create a Computation variable that contains your REPEAT instruction. (See Create a REPEAT Instruction Using a Computation Variable.)
  2. Once you have added the REPEAT instruction to the script, drag FILTER COMPUTATION_VAR from the Instruction models list into the Script box. (Place this model on a line of its own, after the REPEAT instruction and any punctuation or sorting instructions but before the RESULT expression.)
  3. Select Computation Variable at the Components list.
  4. Click New Component New Component to open a second Computation Editor.
  5. Assign a name to the computation.
  6. Type the filtering instructions in the Script box, and click OK. HotDocs returns you to the REPEAT computation and the new variable is added to the Components list.
  7. Drag the new variable onto the COMPUTATION_VAR placeholder and complete the REPEAT instruction. An example of a possible script would be:
      ""
  REPEAT Tour Information
  ASCEND Tour City
  FILTER New York Appearances
  RESULT + Tour City + ", " + Tour State + ", " + Tour Venue + "
  "
  END REPEAT
    Note: The New York Appearances filter contains the script, Tour State CONTAINS "new york"
Note: When you use a script to merge a list of answers that have been gathered using a REPEAT, you must first set the computation to a starting value. This value must be a 0 if the result will be a number, or it must be "" if the result will be text.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Computations to Create Lists > Filter a List Using a Computation Variable


HotDocs Help - Tips on Using Computations to Create Lists

How Do I...?

  • Create a REPEAT Instruction Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable

Tips on Using Computations to Create Lists

There are a few things to note when using a computation to create a list of answers.

  • In the Script box, before the REPEAT instruction, you must set the computation to a starting value. Most often this value will be "nothing"—either two quotation marks with nothing between them ("") if the result of the computation will be text, or a zero (0) if the result will be a number.
  • Inside the REPEAT instruction, begin the part that is being repeated (the part with the repeated variable or other value in it) with RESULT followed by a plus character. This RESULT keyword updates the computation as it goes through each repetition. For example:
    ""
REPEAT Decedent Information
RESULT + Decedent Name + ", " + Date of Death + "
"
END REPEAT

Also, there are four special models you can use in a computation to get information from a REPEAT instruction.

  • COUNT( DIALOG ) counts the number of repetitions in a list.
  • COUNTER gives you the number of the current repetition.
  • SUM( COMPUTATION_VAR ) totals a repeating Computation variable.
  • SUM( NUM_VAR ) totals a repeating Number variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Computations to Create Lists > Tips on Using Computations to Create Lists


HotDocs Help - Creating Lists Within Lists

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Creating Lists Within Lists

Overview: Create Lists Within a List

Create a List Within a List

Display a Child Dialog Directly on the Parent Dialog

Nest REPEAT Instructions Using a Computation Variable

Use a Particular Answer from a Sublist

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists Within Lists


HotDocs Help - Overview: Create Lists Within a List

How Do I...?

  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

Overview: Create Lists Within a List

You can create a sublist of answers by nesting one REPEAT instruction inside another. For example, you could create a list of children inside a list of parents, like this:

Paul Linares
Jack
McKenzie
Abby
Lisa White
Kevin
Logan
Savannah
Gregory Hurley
Randy
Jessica

The list of parents (Paul Linares, Lisa White, and Gregory Hurley) is the first repeat level. The sublists of children are the second repeat level. Repeats can be nested up to four levels deep. You can nest repeats directly in a text template or you can nest repeats using a Computation variable in a text or form template.

You can use instructions or expressions with nested REPEAT instructions if you use a Computation variable. And, you can merge a particular answer from a nested repeat list into a text or form document.

Nested repeats cannot be used if you are retrieving answers from a database.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists Within Lists > Overview: Create Lists Within a List


HotDocs Help - Create a List Within a List

Overviews

  • Overview: Create Lists Within a List

How Do I...?

  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

Create a List Within a List

Sometimes you may need to gather a list of answers that must appear within a larger list of answers. For example, perhaps you need a list of your client's real estate holdings. For each holding, you also need property descriptions and improvements. You can create these lists by nesting one REPEAT instruction inside another.

There are two parts to creating a list within a list:

  • First, you must select all the template text you want repeated and insert the required REPEAT instruction fields.
  • Second, you must edit the properties of the parent (or main) dialog and insert the nested dialog(s) into it.

The first step in creating a list within a list is to REPEAT each level of text in the template. (See Create a REPEAT Instruction to Gather a List of Answers.)

To create a nested repeat

  1. Create the variables you want repeated and insert them into the template. (See Insert a Variable Field in a Text Template.)
  2. Gather the variables you want repeated into dialogs. (Make sure you choose a repeat style for each dialog. See Gather Questions into a Custom Dialog.)
  3. At the template, select all the template text and variables you want repeated (including all repeat levels) and click the REPEAT Field REPEAT Field button. The REPEAT Field dialog box appears.
  4. Select the dialog for the first (or top) level of the repeat from the Dialog drop-down list and click OK. HotDocs inserts the REPEAT instruction in the template. (Even though you have selected all levels of the repeat in the template text, this dialog should only contain the variables from the first level of the repeat.)
  5. At the template, select the second level of repeated text and variables, as well as any subsequent levels of information (do not select the END REPEAT instruction) and click the REPEAT Field REPEAT Field button. The REPEAT Field dialog box appears again.
  6. Select the dialog for the second level of the repeat from the Dialog drop-down list and click OK.
  7. Repeat this process for each subsequent list.

    The second part in nesting REPEAT instructions is to edit the contents of each dialog and insert each repeated dialog (except the dialog for the first repeat level) into the preceding level’s dialog.

  8. Edit the dialog in the first (or top) level of the repeat. (See Edit a Custom Dialog.) The Dialog Editor appears.
  9. Drag the dialog for the second repeat level from the Available Components list into the Contents box and click OK.
  10. Repeat this process until each dialog in the nested repeat (except for the first) is inserted into the preceding level’s dialog.
Note:
  • By default, a child dialog appears as a button on the parent dialog. You can change the style of a repeated dialog to Spreadsheet on parent, which lets users enter the nested list of answers while viewing its parent dialog. (See Display a Child Dialog Directly on the Parent Dialog.)
  • If you are nesting REPEAT instructions in a form template, the REPEAT instructions must be placed in a Computation variable. See Nest REPEAT Instructions Using a Computation Variable for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists Within Lists > Create a List Within a List


HotDocs Help - Display a Child Dialog Directly on the Parent Dialog

Overviews

  • Overview: Create Lists Within a List

How Do I...?

  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

Display a Child Dialog Directly on the Parent Dialog

By default, when you insert a repeated dialog on its parent dialog, it creates a button which the user must click in order to answer the questions in the dialog. However, HotDocs can display the inserted dialog directly on its parent dialog so users can view—and answer—both dialogs without changing the view. The inserted dialog will appear on its parent dialog as a spreadsheet.

Note: Any dialog elements in the inserted child dialog will not appear on the parent dialog.

The following is an example of a nested repeated dialog. The Book Information spreadsheet is inserted in the Author Information dialog, and both are displayed simultaneously.

Nested Repeat Example

To display a spreadsheet dialog on its parent

  1. Edit the inserted dialog (or the dialog you want to appear as a spreadsheet on its parent dialog). (See Edit a Custom Dialog.) The Dialog Editor appears.
  2. Click the Style drop-down button and select Spreadsheet on Parent.
  3. Optionally, enter a number in the Rows to display box to control the number of viewable rows that appear in the dialog.
  4. Click OK.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists Within Lists > Display a Child Dialog Directly on the Parent Dialog


HotDocs Help - Nest REPEAT Instructions Using a Computation Variable

Overviews

  • Overview: Create Lists Within a List

How Do I...?

  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

Nest REPEAT Instructions Using a Computation Variable

You can use a Computation variable to nest REPEAT instructions. This allows you to use other instructions or expressions to create more complex repeated dialogs.

For example, perhaps you want to use a computation to generate a list of different departments within a company. Then you can list the names of employees within each department.

To nest REPEAT instructions in a Computation variable

  1. Create a Computation variable and enter the script containing the nested repeats in the Script box. (See Customize a Computation Variable.) An example of a possible script would be:
    ""
REPEAT Department Information
  RESULT + Department Name + " " + "Department" + "
  "
  REPEAT Employee Information
    RESULT + " " +  FORMAT( COUNTER , "9" )   + "." + " " + Employee Name + "
"
  END REPEAT
END REPEAT
  2. Open each dialog for editing and insert each repeated dialog (except for the first) into the dialog preceding it. (See Insert Dialogs Into Dialogs.)
  3. Select a repeated dialog style for each repeated dialog. (See Choose a Presentation Style for the Repeated Dialog or Display a Child Dialog Directly on the Parent Dialog.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists Within Lists > Nest REPEAT Instructions Using a Computation Variable


HotDocs Help - Use a Particular Answer from a Sublist

Overviews

  • Overview: Create Lists Within a List

How Do I...?

  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

Use a Particular Answer from a Sublist

Just as you can merge a particular answer from a regular list into the document, you can merge a particular answer from a sublist. To do this, you must include in the brackets the numbers of the answers leading to the answer you want to use, beginning with the first repeat level.

The following graphic shows the hierarchy HotDocs follows when determining which answer to merge into a specific field. For example, if you need to merge the name of the fifth grandchild born to the fourth child of the second parent, you would specify the following information in the variable name field: «Grandchild Name [2,4,3]» .

Then, during the interview, the user provides the answers and HotDocs retrieves the information from the correct levels of the nested repeat. Specifically, the 2 in the first title bar directs HotDocs to the second answer entered for the variable Parent Name. The 4 in the second title bar directs HotDocs to the fourth answer entered for the variable Child Name for the second parent. The 3 in the third title bar directs HotDocs to the third answer entered for the variable Grandchild Name for the fourth child of the second parent.

Manual Indexing Example

To merge a particular answer from a nested repeat

  1. Determine the number path leading to the answer you want to merge.
  2. At the template, position the cursor after the variable name, but inside the chevrons.
  3. Type brackets ( [ ] ), and then, within the brackets, type the first number of the path, followed by a comma, then the second number, followed by a comma, and so forth. Don’t put spaces after the commas, and don’t put a comma after the last number.

As you select specific records from a nested repeat, enter all the necessary numbers in the path. HotDocs always uses a 1 if a necessary number is missing, and it always places the 1 after the number(s) you entered. If you don’t enter any numbers, HotDocs uses [1,1,...] as the default number path.

Note: When automating a form template, you must enter the number path in the Variable box at the Field Properties dialog box. (See Retrieve a Specific Answer from a List.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Lists Within Lists > Use a Particular Answer from a Sublist


HotDocs Help - Inserting Templates into Other Templates

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Inserting Templates into Other Templates

Overview: Insert Templates into Templates

Make Part of a Template into an Inserted Template

Insert an Existing Template

Edit an INSERT Template Instruction

Inserted Templates and Shared Component Files

Define Headers and Footers in Inserted Word Templates

Start a New Assembly From a Template

Insert Image Files in a Template

Specify File Names for Inserting Files During Assembly

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates


HotDocs Help - Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Overview: Insert Templates into Templates

You can insert one template into another by using an INSERT instruction. For example, you might want to:

  • Include boilerplate text in multiple documents.
  • Include a set of related documents in one main template so users can choose the document they want.

During document assembly, when HotDocs finds an INSERT instruction, it stops assembling the main document so it can assemble the inserted document. When it finishes, it continues assembling the main document.

In addition to inserting existing text templates, you can also convert part of your current template into an inserted template so you can insert it into other templates.

Caution: You cannot place INSERT instructions in template headers or footers. Additionally, you cannot place INSERT instructions in a table.
Note: Templates can be inserted from any location. Click here for details.

You can also use an ASSEMBLE instruction to assemble additional documents from within one template. For example, say an answer a user provides while assembling a document means they must then assemble another document. Rather than make them assemble it manually, you can have HotDocs assemble it automatically. You do this by inserting an ASSEMBLE instruction in the template. Then, once the first assembly finishes, HotDocs will start an additional assembly. (See Differences Between ASSEMBLE and INSERT Instructions.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Overview: Insert Templates into Templates


HotDocs Help - Make Part of a Template into an Inserted Template

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Make Part of a Template into an Inserted Template

You can select part of a template and turn it into a separate, inserted template. Once you do this, you can insert it in other templates as well. For example, perhaps you have a section of a template that could be used in other templates. You can select this section of text, create an inserted template from it, and then use this inserted template in other related templates.

When you create inserted templates by selecting existing template text, the inserted template uses the same component file as the parent template. This means you should save the newly created template to the same folder as the parent template. If you save it to a different folder, a new, empty component file will be created for the template, which means if the new template uses variables from the parent template, you must copy those variables into the new component file. (See Inserted Templates and Shared Component Files and Copy Components From One File to Another.)

Note: Templates can be inserted from any location. Click here for details.

To make part of a template into a separate, inserted template

  1. At the template, select (highlight) the text you want to include in the inserted template and click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  2. Select INSERT Template.
  3. Type a name for the new template in the Template to create box.
  4. Click OK. HotDocs removes the selected text from the main template, creates the inserted template, and then replaces the original text with the INSERT Template instruction.
Caution: You cannot place INSERT instructions in template headers or footers. Additionally, you cannot place INSERT instructions in a table.
Note:
  • You can let the user choose which templates they insert by surrounding INSERT instructions with IF instructions. (See Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression and Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions.) If you have multiple instructions, you can place the True/False variables in a custom dialog and specify whether the dialog should use a multiple-select or single-select grouping. (See Change a Dialog's Options.)
  • If you’re going to allow the user to select several documents for assembly at the same time, make sure there’s a section break or page break at the bottom of each template so each assembled document starts on a new page.
  • In Microsoft Word, you can also add INSERT instructions either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing INSERT Field, or by right-clicking in the template and choosing INSERT Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Make Part of a Template into an Inserted Template


HotDocs Help - Insert an Existing Template

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Insert an Existing Template

You can create templates that contain the sections of documents you use over and over again—like signature blocks, legal headers, and so forth—and then insert them in your text templates wherever you need them.

Note: Templates can be inserted from any location. Click here for details.

To insert an existing template

  1. At the template, position the cursor where you want to insert the section of text.
  2. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select INSERT Template.
  4. Click the Open Open button and select the template.
  5. Click OK. The new INSERT instruction is added to the template.

Once you have created an INSERT instruction, you can edit it by placing your cursor in the instruction and clicking the INSERT Field INSERT Field button again. (See Edit an INSERT Template Instruction.)

Caution: You cannot place INSERT instructions in template headers or footers. Additionally, you cannot place INSERT instructions in a table.
Note:
  • If you do not know which template should be inserted during template development, you can use a variable INSERT instruction so that the file path and name can be inserted during document assembly. For details, see Specify File Names for Inserting Files During Assembly.
  • In some situations, you may want to assemble separate documents but keep all these separate documents contained in single document file. When you insert a template for this purpose, headers and footers specific to each inserted template must remain intact and should not be overwritten by the headers/footers defined for the parent template. See Define Headers and Footers in Inserted Word Templates.
  • In Microsoft Word, you can also add INSERT instructions either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing INSERT Field, or by right-clicking in the template and choosing INSERT Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Insert an Existing Template


HotDocs Help - Edit an INSERT Template Instruction

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Edit an INSERT Template Instruction

Once you create an INSERT instruction in your template, you can edit it at any time—including making changes to the text of the inserted template.

Note: Templates can be inserted from any location. Click here for details.

To edit an INSERT Template instruction

  1. At the template, place the cursor in the INSERT field and click the INSERT Field button. The INSERT Field Insert FIELD dialog box appears.
  2. Perform either of the following tasks:
    • Click the Open Open button to select a new template to insert.
    • Click Edit Template to edit the text of the inserted template. (Once the template is open, make any necessary changes. Click the Save and Close Save and Close button to save and close the inserted template.)
Caution: You cannot place INSERT instructions in template headers or footers. Additionally, you cannot place INSERT instructions in a table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Edit an INSERT Template Instruction


HotDocs Help - Inserted Templates and Shared Component Files

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Inserted Templates and Shared Component Files

Related templates often share many of the same variables. If you point an inserted template’s component file to the main template’s component file, both templates can share the same variables and other components. On the other hand, if there are not many shared variables between the templates, pointing may not be worthwhile. (See Use One Component File for Multiple Templates and Make Templates Stop Sharing Component Files.)

When you insert an existing template, HotDocs does not automatically point its component file. When HotDocs processes the INSERT instruction during assembly, it uses the inserted template’s own component file. This makes sense since the inserted template probably contains variables and other components not found in the component file of the main template. If you want both templates to use the same component file, you must manually point the component file of the inserted template. (Also, if the inserted template already contains variables, dialogs, and so forth, you must copy those existing components into the shared component file).

When you select text and create a new template, HotDocs automatically points the component file of the new template to the component file of the main template—as long as the template is saved to the same folder as its parent. This ensures the main template and the inserted template will continue to share a common set of variables and other components. If the inserted template is saved in a different folder, a new, empty component file is created. If the inserted template uses variables, you must copy components from the parent template into the new component file. (See Copy Components From One File to Another.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Inserted Templates and Shared Component Files


HotDocs Help - Define Headers and Footers in Inserted Word Templates

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Define Headers and Footers in Inserted Word Templates

Note: In Microsoft Word, every template has a header and footer, even if no text is defined for it. This is especially important to understand as you are working with headers/footers in inserted templates. The Microsoft Word help file contains a lot of important information about inserting headers and footers in your templates and documents. You should read this information before attempting to use headers and footers, particularly when using them in inserted templates.

When using headers, footers, and margins in your inserted RTF templates, you must first determine the purpose of the inserted template—will the inserted text be inline with that of the parent template, or will it be used to create a set of documents contained within a single document file? Following is a discussion of both situations.

Inserting "Inline" Documents

An inserted template can merge a section of text so that it is "inline" with the text into which it is being inserted. This is useful if you have an optional paragraph or clause that must be inserted at a specific place within the document.

By default, when you insert a template for this purpose, any headers/footers in the inserted template will be defined by the parent template, and any headers/footers used in the inserted template will be deleted. This is correct.

For instructions on inserting inline text in a template, see Insert an Existing Template and Make Part of a Template into an Inserted Template.

Inserting Separate Documents (with Separate Headers) in a Single Document File

An inserted template can also merge a section of text as though it were separate from the document into which it is inserted. For example, you may want to assemble separate documents but keep all these separate documents contained in a single document file. When you insert a template for this purpose, you may want the headers and footers specific to each inserted template to remain intact and not be overwritten by the headers/footers defined for the parent template.

When working with headers and footers in inserted templates, you must think of each inserted template as a section of the main template. This means that if you want inserted template text to have headers/footers that are different from the parent template, you must define section breaks in your inserted template.

To use different headers or footers in your inserted templates

  1. In the parent template, define the header/footer (or define no header/footer at all).
  2. Place your cursor at the place in the parent template where you want the inserted template to be merged and place a next-page section break.
  3. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  4. Click the Open Open button next to the Template to insert box and locate the template file you are inserting.
  5. At the INSERT Field dialog box, click Show Advanced. The view changes to show advanced options. Select either Keep header of inserted template or Keep footer of inserted template. (Select both if you want the document to maintain both the header and the footer.)
  6. Click OK.
  7. If inserting multiple templates, repeat this process for each inserted template.

Once you define headers/footers in the inserted template, any text that appears in the main template after the INSERT instruction will use the headers/footers that were defined in the inserted template.

At times, you may want a cover page for the document that has its own unique header/footer (for example, a notice or disclaimer). For the document to be assembled correctly, you must use a combination of section breaks both in the main template as well as in the inserted templates.

Caution:You cannot use the Keep header and Keep footer options with ASSEMBLE instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Define Headers and Footers in Inserted Word Templates


HotDocs Help - Start a New Assembly From a Template

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Start a New Assembly From a Template

You can use the ASSEMBLE instruction to add templates to the Assembly Queue. Unlike the INSERT instruction, an ASSEMBLE instruction adds the template to the assembly queue and then waits until the main document is finished assembling before it starts assembling the new, added template. (See Differences Between ASSEMBLE and INSERT Instructions.) ASSEMBLE instructions can be used in both text and form templates, and they can add both text and form templates to the assembly queue, regardless of the type of template where the instruction is used.

To test an ASSEMBLE instruction, you must exit the template completely and test it from the library.

Note: Templates can be inserted from any location. Click here for details.

To insert an ASSEMBLE instruction in a Word template

  1. At the template, position the cursor in the template where you want the ASSEMBLE instruction.
  2. Click the HotDocs drop-down menu in the HotDocs toolbar and choose Other Field from the list of options. The Other Field dialog box appears.
  3. Click the Field type drop-down button and choose ASSEMBLE.
  4. Click the Browse Browse button next to the Template to assemble box and locate the template you want to assemble.
  5. Click OK. The instruction is inserted in the template.

To insert an ASSEMBLE instruction in a WordPerfect template

  1. At the template, position the cursor in the template where you want the ASSEMBLE instruction.
  2. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select INSERT Template.
  4. Click the Open Open button to select the template file you want to have assembled.
  5. Click OK. HotDocs inserts the instruction for that specific template. For example: «INSERT "subpoena.rtf"».
  6. Delete the text INSERT from the instruction and type the keyword ASSEMBLE. For example: «ASSEMBLE "subpoena.rtf"».
Caution: If the template you are inserting is a form template, HotDocs will not let you browse for the file from the INSERT Field dialog box. Instead, at the template, you must manually enter the file path and name of the form template file.

To insert an ASSEMBLE instruction in a form template

  1. At the template, create a field and attach a Computation variable to it. (See Create a Form Field and Attach a Variable to a Field.)
  2. At the Computation Editor, enter the ASSEMBLE instruction, including the path and file name (if necessary) of the template you want to assemble. For example: ASSEMBLE "subpoena.hft".
Note: You can add command-line options to an ASSEMBLE instruction (for example, ASSEMBLE "subpoena.rtf /pr"). If the command-line option includes a file path and name, enclose the path and name in double quotation marks (for example, ASSEMBLE "subpoena.rtf /sa /af=""L Chang"""). (Four command-line options were designed specifically for use with ASSEMBLE instructions. They are: Suggest Save, Suggest Save New, Save Answers, and Save Answers Prompt. They control the saving of answers after each ASSEMBLE instruction is processed.)
Caution:If your template uses a custom interview, you must place ASSEMBLE instructions in both the body of the template and in the interview script. For more information, see ASSEMBLE "FILENAME".

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Start a New Assembly From a Template


HotDocs Help - Insert Image Files in a Template

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Insert Image Files in a Template

Note: Inserting graphics in a text template is supported in Microsoft Word only. If you insert a graphic in a WordPerfect template, the instruction is ignored.

Using a HotDocs INSERT instruction, you can insert image files in your template. The actual files will not be stored in the template, but instead may be inserted during assembly. This might be useful if you need to include diagrams, photos, or other graphics in the final document, but specification of these files might not be known until the document is assembled.

For example, say you are a legal secretary drafting a letter for one of the attorneys in your firm. This letter can be signed by any number of attorneys. Rather than use Word to add or remove signatures from the document after it has been assembled, you can include a series of INSERT Image instructions, and then define the conditions for which signature is inserted. For example:

«IF Attorney Name = "Cathy Bailey"»
«INSERT "cbailey sig.png" IMAGE»
«ELSE IF Attorney Name = "Jim Johnson"»
«INSERT "jjohnson sig.png" IMAGE»
«END IF»

When the document is assembled, the correct signature will be inserted based on how the user answers the Attorney Name question.

You can insert JPG, PNG, and GIF files in a template. Also, when you insert a graphic in a template, the INSERT instruction is appended with the IMAGE keyword. This keyword instructs HotDocs that the file that should be inserted is a graphic. Finally, graphics can be inserted from any location, as long as the file path to the image file is specified correctly. (Click here for details.)

If the graphic is already in the template, you can copy the graphic to an RTF document and specify the RTF document in the INSERT instruction. You can do this by simply selecting the image in the template and clicking the INSERT Field button.

Note: One advantage to inserting RTF files that store the graphic (rather than inserting the graphic directly) is you can format the graphic and have those settings transfer to the parent template. For example, if you want to specify placement, text wrapping, borders, and other effects, you can assign them in the RTF template. Then, when the image is inserted, those properties are carried over and applied to the parent template.

To insert an existing graphic file in a template

  1. In the template, position the cursor where you want to insert the image file.
  2. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select INSERT Image.
  4. Click the Open Open button next to the Image file to insert box and select the graphic file.
  5. Click OK. The new INSERT instruction is added to the template.

To create an INSERT instruction using an existing image in the template

  1. In the template, click on the image you want to include in an RTF document. Field borders appear around the graphic.
  2. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select Insert image.
  4. Enter a name for the RTF document in the Image file to create box. (To specify a folder location different from the template, click the Open Open button and browse to the folder.)
  5. Click OK. HotDocs removes the image from the template, copies it to an RTF document, and inserts the INSERT Image instruction.
Note: If you do not know which graphic should be inserted during template development, you can use a variable INSERT instruction so that the file path and name can be inserted during document assembly. For details, see Specify File Names for Inserting Files During Assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Insert Image Files in a Template


HotDocs Help - Specify File Names for Inserting Files During Assembly

Overviews

  • Overview: Insert Templates into Templates

How Do I...?

  • Define Headers and Footers in Inserted Word Templates
  • Edit an INSERT Template Instruction
  • Insert an Existing Template
  • Insert Image Files in a Template
  • Make Part of a Template into an Inserted Template
  • Specify File Names for Inserting Files During Assembly
  • Start a New Assembly From a Template

Reference Material

  • Inserted Templates and Shared Component Files

Specify File Names for Inserting Files During Assembly

When inserting templates and images in a template, you may not always know, during template development, which files you need to insert.

When this situation arises, you can instead use a variable INSERT in the template. A variable INSERT instruction allows you to specify the template’s file name during document assembly, rather than during template development. The type of variable you insert must accept text as an answer, which means you must use a Text variable, a Multiple Choice variable, or a Computation variable that produces a text result.

For example, say there are hundreds of sub-templates that could potentially be inserted in a document. It wouldn’t make sense to try to automate the template to account for each of these sub-templates—especially when new sub-templates are being created and added to the group on a regular basis. Using a variable INSERT instruction, however, you can script your template such that it specifies the name of the inserted file when you assemble the document.

To specify a file for insertion during assembly

  1. At the template, position the cursor where you want to insert the template or graphic.
  2. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select INSERT Template or INSERT image, depending on which type of file you want to include in the assembled document.
  4. Click Show Advanced. The dialog expands to show advanced options.
  5. Select Variable INSERT.
  6. Click the Type drop-down button and choose which type of variable you want to use in the INSERT instruction:
    • Computation Variable allows you to use a computation script to specify the file path and name of the template that will be inserted. (Make sure the script produces a text result.)
    • Multiple Choice Variable allows you to specify the file path and name of the template that will be inserted in the Option column. (If you want to provide a reader-friendly name for the template, enter the name in the Prompt column.)
    • Text Variable allows you to specify the file path and name of the template using a simple text answer field.
  7. Click the Variable drop-down button and choose the variable you want to use. (To create a new variable or edit the existing variable, click the Edit Component Edit Component button.)
  8. Click OK. The new INSERT instruction is added to the template.
Caution:
  • If you reference any specific templates in a variable INSERT instruction, make sure you include the template in the library when you run Template Manager. If you do not, Template Manager may not accurately report component usage information.
  • When publishing templates, you must manually add any files you reference in variable INSERT instructions to the published file at the Additional Files page of the Publishing Wizard.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Inserting Templates into Other Templates > Specify File Names for Inserting Files During Assembly


HotDocs Help - Marking Editable Text in a Template

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Marking Editable Text in a Template

Overview: Use SPAN Instructions

Allow Users to Edit the Text of an Assembled Document

Allow Users to Enter New Text in the Assembled Document

Add a Comment to a Variable or Instruction Field

Understand How Smart Returns are Inserted After Instructions

Use Labels to Identify Instructions

Match Opening Instructions with Closing Instructions

Home > All About... > Marking Editable Text in a Template


HotDocs Help - Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Overview: Use SPAN Instructions

Note: SPAN fields are supported in Microsoft Word only.

Frequently, users need to edit document text once a document has been assembled. To allow this, you must mark sections of template text using SPAN fields. Inserting SPAN fields in a template allows users to edit the text of the assembled document while viewing the Document Preview tab of the assembly window. Changes made to the text can be saved in an answer file, which allows users to later reassemble the document and still have access to the changes they made.

SPAN instructions are inserted using Span components. Also, like IF and REPEAT instructions, SPAN instructions must include an END instruction.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Marking Editable Text in a Template > Overview: Use SPAN Instructions


HotDocs Help - Allow Users to Edit the Text of an Assembled Document

Overviews

  • Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Allow Users to Edit the Text of an Assembled Document

Note: SPAN fields are supported in Microsoft Word only.

Sometimes users need to edit the text of a document while viewing the Document Preview tab of the assembly window. To allow this, you can mark sections of the template using a SPAN instruction. Text between the beginning and end instruction can be highlighted and then selected and edited by the user. Any changes a user makes to the text can be saved to an answer file so that if the user ever reassembles the document, he or she can reuse the answer file and have the changes reapplied to the document.

Like IF and REPEAT instructions, SPAN instructions include an opening instruction («SPAN») and a closing instruction («END SPAN»).

To allow users to edit document text and save it in the answer file

  1. At the template, select the text you want the user to be able to edit.
    Caution: When selecting template text, do not include IF instructions or REPEAT instructions between the SPAN instructions, as these instructions will no longer be processed correctly once the user edits the document text.
  2. Click the SPAN Field SPAN Field button. The SPAN Field dialog box appears.
  3. Enter a component name in the Span box.
  4. Optionally, click the Notes tab to enter notes about the span component, such as an explanation about why the span field was created or how it should function in the interview. (See Add Notes to Components for details.)
  5. Optionally, click the Edit Component Edit Component button and enter a title in the Title box. The title will be used to identify the editable text in the Document Text Editor.
Note:
  • When naming Span components, use unique component names. If two different (but related) templates use the same Span component name, when users edit the document text in the first document, save the answer file, and then use that answer file to assemble the second document, those changes from the first document may overwrite text in the second.
  • To let users enter a new paragraph of text in the document, see Allow Users to Enter New Text in the Assembled Document.
  • You cannot insert SPAN instructions in template headers and footers.
  • When working with SPAN instructions, you can use buttons on the HotDocs Navigation toolbar to label instructions and match starting and ending instructions. (See Use Labels to Identify Instructions and Match Opening Instructions with Closing Instructions.) You can also assign color to SPAN instructions. (See Assign Colors to Fields and Instructions in Templates.)
  • You can also insert SPAN instructions either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing SPAN Field, or by right-clicking in the template and choosing SPAN Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Marking Editable Text in a Template > Allow Users to Edit the Text of an Assembled Document


HotDocs Help - Allow Users to Enter New Text in the Assembled Document

Overviews

  • Overview: Use SPAN Instructions

How Do I...?

  • Add a Comment to a Variable or Instruction Field
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Match Opening Instructions with Closing Instructions
  • Use Labels to Identify Instructions

Reference Material

  • Understand How Smart Returns are Inserted After Instructions

Allow Users to Enter New Text in the Assembled Document

Note: SPAN fields are supported in Microsoft Word only.

Sometimes you may want to allow users to enter new text in an assembled document, rather than just modify existing document text. For example, perhaps users need to insert a new paragraph, based on answers they entered during the interview. You can insert a SPAN field in the template that allows users to do this.

When users view the assembled document, they can position their cursor either at the beginning of a paragraph or between paragraphs and click the Edit Document Text button. HotDocs will then display a list of editable paragraphs (if any) near the cursor position. If the cursor is in a paragraph and there are no additional Span fields near the cursor position, HotDocs will simply display the Document Text Editor where users can enter their text. To help users better identify which section of text they want to edit, you should enter a descriptive title for the Span component.

To insert an empty SPAN field in a template

  1. At the template, place your cursor where you want the user to enter text.
  2. Click the SPAN Field SPAN Field button. The SPAN Field dialog box appears.
  3. Enter a component name in the Span box.
  4. Click the Edit Component Edit Component button and enter a title in the Title box. The title will be used to identify the editable text in the Document Text Editor.
  5. Optionally, click the Notes tab to enter notes about the span component, such as an explanation about why the span field was created or how it should function in the interview. (See Add Notes to Components for details.)
Note:
  • When naming Span components, use unique component names. If two different (but related) templates use the same Span component name, when users edit the document text in the first document, save the answer file, and then use that answer file to assemble the second document, those changes from the first document may overwrite text in the second.
  • To allow users to edit existing paragraph text, see Allow Users to Edit the Text of an Assembled Document.
  • You cannot insert SPAN instructions in template headers and footers.
  • When working with SPAN instructions, you can use buttons on the HotDocs Navigation toolbar to label instructions and match starting and ending instructions. (See Use Labels to Identify Instructions and Match Opening Instructions with Closing Instructions.) You can also assign color for SPAN instructions. (See Assign Colors to Fields and Instructions in Templates.)
  • You can also insert SPAN instructions either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing SPAN Field, or by right-clicking in the template and choosing SPAN Field from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Marking Editable Text in a Template > Allow Users to Enter New Text in the Assembled Document


HotDocs Help - Creating and Editing Clauses

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Creating and Editing Clauses

Overview: Use Clauses and Clause Libraries

Understand How Clauses Work

Open and Close a Clause Library

Create a Clause Library at the HotDocs Library

Add a Folder to a Clause Library

Create Clauses at the Clause Library

Add Existing Clauses to a Clause Library

Customize a Clause Library

Create Clauses at the Template and Add Them to the Library

Create and Insert Clauses Directly in Template

Insert a Clause Library into a Template

Edit an Existing Clause

Group Clause Components in One Custom Dialog

Home > All About... > Creating and Editing Clauses


HotDocs Help - Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Overview: Use Clauses and Clause Libraries

A clause is a HotDocs component that contains text. When you create clauses, you are, in essence, creating smaller templates that can be added to one main document. Clauses can contain text as well as HotDocs components (such as variables, instructions, and so forth).

You can insert a clause component directly into a template using an INSERT or an INSERT IF instruction, or you can add clauses to a clause library so a user can select them for insertion into an assembled document.

Clauses

When you insert a clause into a template, you are actually working with three different parts of the clause—the clause field, the clause component, and the clause text:

  • Clause field: This is the merge field that inserts the clause text into the assembled document. You can control whether the clause is inserted automatically, or whether the clause is inserted based on certain conditions being met. (When you create a clause at the clause library, there is no clause field associated with the clause.)
  • Clause component: This is the clause itself. It includes component properties, such as a prompt and resource information.
  • Clause text: This is the text you want inserted into the assembled document. The clause text can also contain HotDocs components, such as variables, dialogs, and instructions, which will all be processed during assembly.

Clause Libraries

Like a template library, a clause library is a collection of clauses. Grouping clauses in a library allows users to select, organize, and insert any number of clauses into the document. HotDocs then proceeds to prompt users for any variables contained in the clauses.

You can create clauses and clause libraries at two places: a HotDocs library and a template. Each location causes the clause library to function a little differently:

  • A clause library assembled from a HotDocs library allows users to select clauses to insert into any text document. They can select the clause library first at the template library and assemble a document using clauses from it, or they can assemble a document and then after assembly, add clauses from the library to the document.
  • A clause library assembled in a template allows users to select which clauses they want to insert at that specific point in the assembled document.
Note: For additional information on the underlying functionality of clauses, see Understand How Clauses Work.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Overview: Use Clauses and Clause Libraries


HotDocs Help - Understand How Clauses Work

Overviews

  • Overview: Use Clauses and Clause Libraries

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Understand How Clauses Work

When working with clauses and clause libraries, it is useful to understand the underlying functionality. This includes understanding the files that control how clauses and clause libraries work.

When you create a clause library and add clauses to it, HotDocs creates and uses the following files:

  • Clause template file (.DOT, .RTF, .WPT): This is the file that contains the text of the clause component. When you create a clause template file, HotDocs generates an eight-character file name based on the clause component name, appends the appropriate file name extension, and adds the clause to an archive file (see below). (If the clause name is less than eight characters, HotDocs adds underscores to make the template name the right length.)

  • Clause component file (.CMP): When you create a clause, HotDocs creates a clause component, which is added to a component file. Where you create the clause determines which component file is used. For example, if you create clauses at a template, the clause components are added to the template's component file. But if you create clauses at a clause library, HotDocs creates a new component file that is associated with the clause library and stores the clause components in it.

    In addition to storing the clause components, the clause component file also stores other components used in the clause text, such as variables, dialogs, and scripts.

  • Clause library file (.HDL): This is a library file that contains an organized set of shortcuts that correspond to a set of clauses stored in the HotDocs clause archive file (see below). The clause library file gets its name based on where it is created—either at the template or at a template library. For example, if you create a clause library while editing contract.rtf, the clause library file name becomes contract.hdl. However, when you create a clause library at a regular template library, you specify the file name.
  • Clause Archive file (.HCL): This is a file that contains a set of related clauses in compressed (or zipped) format. When you edit or assemble a document using clauses, this file is unzipped and the clause template files are extracted on an as-needed basis to a temporary folder. When the clauses and clause library are no longer in use, the clause template files are zipped and saved to the clause archive file, and all temporary files are deleted.

These files work simultaneously to organize and store clauses. The clause library file, the clause template file, and the clause component file are all located in the word processor's template folder, along with the other HotDocs templates.

Note: If you are uncertain about a clause's shortened name or file format, you can view the name in the Clause identifier box at the Clause Editor. (See Edit an Existing Clause.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Understand How Clauses Work


HotDocs Help - Open and Close a Clause Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Open and Close a Clause Library

You can open and close a clause library either at the template library or at the template.

To open a clause library from the template library

  • At the HotDocs library, select the clause library and click Edit Edit. The Clause Library window appears.

To open a clause library from the template

  • At the text template, click the Clause Library Clause Library button. The Clause Library window appears.

To close a clause library

  • Click the X in the upper-right corner of the clause library window.
Note:
  • To access the clause library toolbar using the keyboard, press F10.
  • Word users can also open a clause library by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Clause Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Open and Close a Clause Library


HotDocs Help - Create a Clause Library at the HotDocs Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Create a Clause Library at the HotDocs Library

At a template library, you can create a clause library that contains any number of clauses. These clauses can be assembled and added to any word processor document. For example, users can select a clause library at the template library, provide any required information, and then either send the assembled clauses to a new document or paste the assembled document into an open document (perhaps another related document you have just finished assembling).

Storing sections of template text in clauses and then adding those clauses to a clause library makes it easy for the user to choose which text will be used in assembling a document. A clause library also provides a way for users to organize their clauses and view the properties of each individual clause.

Users can also preview clause text from the Preview tab of the clause library.

To create a clause library at a HotDocs template library

  1. At the template library, select the folder in which you want the clause library to appear.
  2. Click New Template New Template. The New Template dialog box appears.
  3. Click the Type drop-down button and select a clause library option for the word processor you are using. Your options include Word RTF Clause Library, Word DOT Clause Library, and WordPerfect Clause Library.
  4. Type a name for the clause library in the File name box.
  5. Type a title for the clause library in the Title box (or accept the suggestion HotDocs makes).
  6. Optionally, type a description in the Description box. The description appears when the user views the clause library's properties at the HotDocs template library.
  7. Click OK. HotDocs creates and opens the clause library.

When the clause library opens, you will notice that it does not contain any clauses yet. You must create the clauses that will appear in the clause list. See Create Clauses at the Clause Library for details.

When a clause library is created directly at a HotDocs template library, no template file is created. However, a component file (using the same file name as the clause library) is created automatically to store information for components used in the clause library.

Note: A clause library can be used to assemble any number of documents and can even be inserted into any template if you want to associate the clauses with a specific document. (See Insert a Clause Library into a Template.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Create a Clause Library at the HotDocs Library


HotDocs Help - Add a Folder to a Clause Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Add a Folder to a Clause Library

You can add folders to your clause library so you can organize your clauses into groups.

To add a folder to a clause library

  1. At the template, or at the template library, open the clause library for editing. (See Open and Close a Clause Library.)
  2. With the clause library displayed, select the folder in which you want to create a new folder.
  3. Click Add Clause Add. The Add Clause dialog box appears.
  4. Click the Type drop-down button and select Folder. The dialog box changes to show folder properties.
  5. Type a name for the folder in the Title box.
  6. Optionally, type a description for the folder in the Description box. The description appears in the Properties tab of the clause library window when the folder is selected.

Once you have created folders, you can arrange the folders (as well as the contents of the folders) by selecting the library item and dragging it to a new location in the list. You can also arrange the contents of each folder by clicking Sort Sort. (See Customize a Clause Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Add a Folder to a Clause Library


HotDocs Help - Create Clauses at the Clause Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Create Clauses at the Clause Library

Once you've created a clause library at a template library (see Create a Clause Library at the HotDocs Library), you can add clause text from any word processor document to it. To do this, either copy text from an existing word processor document or template and paste it into the clause component, or write the clause text as you go.

To create a clause at the clause library

  1. Open for editing the clause library which will contain your clause components. (See Open and Close a Clause Library.)
  2. Click New Clause New Clause. The Clause Editor appears.
  3. Type a name for the clause in the Clause name box. (50-character limit.)
  4. Optionally, enter a title for the clause in the Title box. The title will be used as the default title for the item once it is added to the clause library.
  5. Optionally, click the Resource tab to provide users with helpful information that can assist them in providing the correct answer. (See Add Resource Information to a Variable or Dialog.)
  6. Optionally, click the Notes tab to enter notes about the clause, such as an explanation about why the clause was created or how it should function in the interview. (See Add Notes to Components for details.)
  7. Click OK. HotDocs opens a new, empty text template.
  8. Either copy sections of existing template text and paste it into the template (make sure you copy any existing components into the associated component file), or type the text directly in the template. You can automate the clause text by adding variables, instructions, and any other HotDocs functionality.
  9. When you are finished, click the Save and Close Template Save and Close Template button at the HotDocs toolbar. The clause is added to the clause library.
  10. Repeat this process for all the clauses you need to create.
Caution: In Word, the word processor may insert an extra hard return at the end of a new clause. To fix this, select the clause at the clause library and click Edit Component Edit. The Clause Editor appears, where you can click Edit Clause Text. When your text appears, delete the extra hard return. (Click the Show / Hide ¶ button in the Word toolbar to view paragraph marks.)
Note: As you create clauses, if you paste template text that already contains variables or other HotDocs components, you must copy those components into the clause library's component file in order for the clauses to assemble correctly. The easiest way to do this is to click the Component Manager Component Manager button in the clause library toolbar and copy those components in. (See Copy Components From One File to Another.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Create Clauses at the Clause Library


HotDocs Help - Add Existing Clauses to a Clause Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Add Existing Clauses to a Clause Library

When you create clauses at the template, you can either specify the clause text and have HotDocs immediately add the clause to the clause library (see Create Clauses at the Template and Add Them to the Library), or you can manually add the clauses at a later time.

If you are adding clauses to a library that resides in a template library, you can only add clauses that have already been created for that specific clause library. (For example, maybe you have deleted a clause from the library list and you want to re-add it.)

To add an existing clause to the clause library

  1. Open the clause library for editing. (See Open and Close a Clause Library.) The Clause Library dialog box appears.
  2. Click Add Clause Add. The Add Clause dialog box appears.
  3. Click the Select clause drop-down button and select the clause you want to add.
  4. Enter a new title for the clause in the Title box, or accept the suggestion HotDocs makes. (If you entered one, HotDocs uses the title you suggested when you created the clause component. If you later decide you want to change the title, select the clause in the clause library and click Properties Properties. Make your change at the Item Properties dialog box.)
  5. Optionally, enter a description in the Description box. The description, along with the title, appears in the Properties pane of the clause library window.
  6. Click OK. The clause is added to the clause list in the library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Add Existing Clauses to a Clause Library


HotDocs Help - Customize a Clause Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Customize a Clause Library

It is often helpful to organize your clauses using a clause library. At the clause library, you can create, add, and delete clauses from a clause library, as well as sort clauses in alphanumeric order. You can also create additional folders in the library to group the clauses, and change the titles and descriptions of clauses and folders. Finally, you can view either the properties of a specific clause, or you can view the text of the clause itself.

To customize a clause library

  1. Open a clause library for editing. (See Open and Close a Clause Library.)
  2. Perform any of the following tasks:
    To | Do This
    Move clauses within the clause library | Select a clause and drag it to a different position. As you are dragging, HotDocs displays a horizontal bar, indicating where the clause will be placed when you release the mouse button.
    Arrange the clause library with other open windows | Resize the clause library window to the desired height and click the Arrange Arrange button. The clause library window appears below the window from which it was opened—either the word processor or the template library.
    Create a new clause component | Click New New. HotDocs opens the Clause Editor where you can assign properties to a clause component. Once you assign a name and click OK, a text template opens where you can enter your clause text. (See Create Clauses at the Clause Library.)
    Add an existing clause to the clause library | Click Add Add. HotDocs opens the Add Clause dialog box where you can select an existing clause and add it. (See Add Existing Clauses to a Clause Library.)
    Add a folder to the clause library | Click Add Add. When the Add Clause dialog box appears, select Folder from the Type drop-down list. (See Add a Folder to a Clause Library.)
    Remove a clause or a folder from the clause library | Select the clause or folder you want to remove and click Remove Remove Item.
    Make changes to a clause in the clause list | Select the clause and click Edit Clause Edit. HotDocs opens the Clause Editor where you can change the clause component properties. (To edit the text of the clause, click Edit Clause Text at this dialog box.) (See Edit an Existing Clause.)
    Rearrange clauses in the clause list in alphabetical order | Select the folder whose contents you want to arrange and click the Sort Sort button. HotDocs displays the Folder Sort Options dialog box where you can choose either Ascending or Descending order.
    Change the clause or folder title, or add a description | Select a clause or folder and click Properties Properties. The Item Properties dialog box appears where you can type a new title in the Title box, or type a description in the Description box. Both the title and the description appear in the clause library's Properties tab.
    Print a list of the clauses | Click the Print Print button. HotDocs prints a list of all the clauses with their associated clause identifiers.
    Open the component file for the clause library | Click the Component Manager Component Manager button. (See Use Component Manager to Work with Components.)
    View the properties of the clause or preview the clause text | Click the Properties tab or the Preview tab, respectively.
    Search the list of clause names and clause descriptions for a specific string of text | Select Find and then type the text for which you are searching. HotDocs searches the clause names as well as clause descriptions. When it finds the text string, it lists only those clauses in the clause list until you clear Find.

Any time you make changes at the clause library file, those changes are automatically saved.

Note: To access the clause library toolbar using the keyboard, press F10.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Customize a Clause Library


HotDocs Help - Create Clauses at the Template and Add Them to the Library

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Create Clauses at the Template and Add Them to the Library

When the text for the clauses you want to create already exists in a single template, you can create individual clauses right in the template. Once you've defined the clause text, you can add the clause to the clause library.

To create the clause and add it to the clause library

  1. At the template containing your clause text, select the text you want to make into a clause and click the Clause Library Clause Library button. The Clause Editor appears, as well as the Clause Library.
  2. Type a name for the clause in the Clause name box.
  3. Enter a title for the clause in the Title box. The title will be used as the default title for the item once it is added to the clause library.
  4. Optionally, click the Resource tab to provide users with information that can assist them in providing the correct answer. (See Add Resource Information to a Variable or Dialog.)
  5. Optionally, click the Notes tab to enter notes about the clause, such as an explanation about why the clause was created or how it should function in the interview. (See Add Notes to Components for details.)
  6. Click OK. The clause is added to the clause list in the library.
Caution: In Word, the word processor may insert an extra hard return at the end of a new clause. To fix this, select the clause at the clause library and click Edit Edit. The Clause Editor appears, where you can click Edit Clause Text. When your text appears, delete the extra hard return. (Click the Show / Hide ¶ button in the Word toolbar to view paragraph marks.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Create Clauses at the Template and Add Them to the Library


HotDocs Help - Create and Insert Clauses Directly in Template

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Create and Insert Clauses Directly in Template

When the text for the clauses you want to create already exists in a single template, you can create individual clauses right in the template instead of at the clause library.

To create a clause and insert it into the template

  1. Edit the template that contains the text you want to convert to clauses. (See Edit a Template.)
  2. At the template, select the text for the first clause and click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select INSERT Clause.
  4. Type a name for the clause component in the Clause to create box. (50-character limit.)
  5. Optionally, select INSERT clause only IF selected if you want the user to control whether the clause is inserted.
  6. Click OK. The Clause Editor appears.
  7. Perform any of the following optional tasks:
    • Enter a title for the clause in the Title box. The title will be used as the default title for the item once it is added to the clause library.
    • Type the information about the clause you want the user to see in the Prompt box. (See Create a Prompt for a Variable.)
    • If you selected INSERT clause only IF selected at the INSERT Field box, select Yes/No on same line to have Yes/No options appear on the same line in the interview.
    • Click the Resource tab to provide users with information that can assist them in providing the correct answer. (See Add Resource Information to a Variable or Dialog.)
  8. Click OK when you are finished. The instruction is inserted into the template.
Caution: In Word, the word processor may insert an extra hard return at the end of a new clause. To fix this, select the clause at the clause library and click Edit Edit. The Clause Editor appears, where you can click Edit Clause Text. When your text appears, delete the extra hard return. (Click the Show / Hide ¶ button in the Word toolbar to view paragraph marks.)
Note:
  • To insert an existing clause in the template, position your cursor where you want the clause inserted and click the INSERT Field INSERT Field button. Then select the clause by clicking the Clause to insert drop-down button. (The drop-down button is not available if you have selected text.)
  • You can add the clauses you have created to a clause library, which can be used to assemble any other document. See Add Existing Clauses to a Clause Library for details.
  • Clauses not only have a text value, but they have a true/false value as well. That means if you insert a clause in a template by using an INSERT IF instruction, the clause will automatically appear to the user as a yes/no question during assembly. If the user answers Yes, the clause will be included in the document; if the user answers No, the clause will not be included. You can also group clauses in a single selection or multiple selection group. See Group Clause Components in One Custom Dialog for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Create and Insert Clauses Directly in Template


HotDocs Help - Insert a Clause Library into a Template

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Insert a Clause Library into a Template

Once you add clauses to a clause library (see Add Existing Clauses to a Clause Library), you can insert the library into the template so it will appear during the interview. When the library appears, users can select and order the clauses they want to appear in the document. You can insert any clause library into the template, as long as the library, its clauses (stored in the clause archive (.HCL) file), the template, and the component file are all stored in a folder HotDocs can find.

To insert a clause library into the template

  1. At the template, place the cursor where you want the library to be inserted. (If you've divided the whole document into clauses in the library, the template may show no text at all.)
  2. Click the INSERT Field INSERT Field button. The INSERT Field dialog box appears.
  3. Select INSERT Clause Library.
  4. Click the Open Open button next to the Clause library to insert box to browse for and select the file. Click OK when you are finished.
Note: To insert a clause library that is located in a folder separate from its host template, you must include the folder path, or at least some portion of it. For example, a clause library can be inserted from a subfolder of the host template («INSERT "Subfolder\ClauseLib.hdl"»); or it can be inserted using a full file path («INSERT "C:\My Documents\ClauseLib.hdl"»); or it can be inserted using a reference path («INSERT "^referencePath\ClauseLib.hdl"»).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Insert a Clause Library into a Template


HotDocs Help - Edit an Existing Clause

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Edit an Existing Clause

Once you have created a clause component, you can edit it at any time. Clause components can be edited from the template where the INSERT Clause instruction is, from the clause library that contains the clause, and from Component Manager. Likewise, when you edit a clause, you can edit both the properties of the clause component (for example, the prompt, the resource, and so forth) and the clause text itself.

To edit a clause

  1. Open the Clause Editor using any of the following methods:
    • Select the clause at the clause library and click Edit Component Edit.
    • In Component Manager, select the clause in the Components list and click Edit Component Edit Component.
    • In the template, place your cursor in the INSERT Clause instruction and click the INSERT Field Insert Field button.
  2. Make any changes to the clause component by editing the Properties or the Resources.
  3. Optionally, to edit the clause text, click Edit Clause Text at the Clause Editor. (Click Save and Close Save and Close Template on the HotDocs toolbar to save your changes to the text.)
Caution: In Word, the word processor may insert an extra hard return at the end of a new clause. To fix this, select the clause at the clause library and click Edit. The Clause Editor appears, where you can click Edit Edit Clause Text. When your text appears, delete the extra hard return. (Click the Show / Hide ¶ button in the Word toolbar to view paragraph marks.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Edit an Existing Clause


HotDocs Help - Group Clause Components in One Custom Dialog

Overviews

  • Overview: Use Clauses and Clause Libraries

Reference Material

  • Understand How Clauses Work

How Do I...?

  • Add a Folder to a Clause Library
  • Add Existing Clauses to a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Create and Insert Clauses Directly in Template
  • Create Clauses at the Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Customize a Clause Library
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog
  • Insert a Clause Library into a Template
  • Open and Close a Clause Library

Group Clause Components in One Custom Dialog

If your template contains several clauses from which the user must choose (meaning the clauses are inserted using INSERT IF instructions), you can group the clauses in one dialog instead of displaying each clause option in its own dialog. You can allow the user to select either one clause or multiple clauses.

To group clauses in a dialog

  1. At the template, create the clauses you want the user to choose from, making sure you select INSERT clause only IF selected at each clause's INSERT Field dialog box. (See Create and Insert Clauses Directly in Template.)
  2. Create a dialog for the clauses. (See Gather Questions into a Custom Dialog.)
  3. Once you have added the clauses to the Contents box at the Dialog Editor, click the Options tab. The window changes to show several custom options.
  4. Click the Selection grouping drop-down button and select either Select One or Select All That Apply, depending on how many clauses you want your users to select.
Note: Be careful not to create a custom dialog that contains variables from two or more different clauses. If the user selects one clause and not the other, HotDocs might present a dialog that asks for unnecessary information. If you’re going to create custom dialogs, limit each dialog to include only those variables used in a single clause.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Editing Clauses > Group Clause Components in One Custom Dialog


HotDocs Help - Defining the Interview for the Document

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Defining the Interview for the Document

Overview: HotDocs Interviews

Create an Interview Template

Have HotDocs Generate a Default Interview

Define a Custom Interview

Improve Interview Speed Using a Custom Interview

Automatically Disable Irrelevant Variables in Interviews

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document


HotDocs Help - Overview: HotDocs Interviews

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Create an Interview Template
  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview

Reference Material

  • Improve Interview Speed Using a Custom Interview

Overview: HotDocs Interviews

Once a template is automated, users can assemble it to create a custom document. During this assembly process, the variables you've included in the template are presented as questions so users can enter their information. These questions make up the interview for the template. The interview is viewable by clicking the Interview tab of the assembly window.

By default, HotDocs creates this interview by reading through the document by starting at the top left corner and finishing at the bottom-right corner. (This is just as if you are reading through the document.) During this process, when HotDocs finds a variable, it displays it in the interview. If the variable is linked to a dialog, HotDocs displays the dialog instead. As it reads through the template, HotDocs also processes and executes any other instructions in the template, such as IF instructions, REPEAT instructions, and INSERT instructions. All of these things together create a default interview. See Have HotDocs Generate a Default Interview for details.

At times, you may want the order questions are asked in the interview to be a little different. If this is the case, you can override the default interview with your own custom interview. You can do this by creating a Computation variable that uses ASK DIALOG instructions to specify the new order. See Improve Interview Speed Using a Custom Interview for a description of this process.

Sometimes, when templates are more complex, this complexity can make the interview sluggish. (This is especially noticeable as users move between dialogs or change answers that update other questions in the dialog.) In situations like this, you can use a custom interview to minimize the amount of script processing that has to happen to generate the interview. See Improve Interview Speed Using a Custom Interview for a description of this process.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document > Overview: HotDocs Interviews


HotDocs Help - Create an Interview Template

Overviews

  • Overview: HotDocs Interviews

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Create an Interview Template
  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview

Reference Material

  • Improve Interview Speed Using a Custom Interview

Create an Interview Template

You can create an interview template, which can gather common information (such as court, attorney, or client information) and save the answers for use in assembling other documents.

An interview template is a component file that contains the variables for which you need to get answers. Users can select an interview template for assembly just as they can any other template. Unlike text and form templates, however, users cannot generate documents from an assembled interview template—they only generate answer files.

A common use for an interview template is to create an answer source file. For example, you can create an interview template that gathers a list of information about attorneys in a law firm and have that information saved in an answer source file. You can then link a specific dialog in your template to that answer source so that when users view it, they can select answers from that list rather than enter them manually. (See Suggest an Answer Source for Dialogs, Link an Existing Answer Source to Other Dialogs and Link a Dialog to a List Gathered by a Repeated Dialog.)

Note: If you are using an interview template to generate an answer source for a specific dialog, you may want to assign command-line options to the interview template file properties that automatically lock answer file usage and save the answers to a specified answer file. See Overview: Command-Line Options.

To create an interview template

  1. At the HotDocs library window, select the folder in which you want to create the interview template.
  2. Click New Template New Template. The New Template dialog box appears.
  3. Click the Type drop-down button and choose HotDocs Interview Template.
  4. In the File name box, enter a file name. HotDocs automatically adds the correct extension (.CMP) to the file name. To save the template in a location other than the default Templates folder, include the folder path with the file name in the File name box. (You can check the default Templates location at the HotDocs Options dialog box. See Change HotDocs Program File Locations.)
  5. Enter a title for the interview template in the Title box (or accept the suggestion HotDocs makes). The title is what identifies the file in the library.
  6. Optionally, enter a description in the Description box. Descriptions appear in the Properties tab of the library when the template is selected.
  7. Click OK. The Component Manager window appears, with a single computation variable in it named INTERVIEW. (Your interview templates are not required to use this specifically named Computation variable. If you prefer, you can delete this component and create a new one. Simply specify the name of the new interview component at the Interview tab of Component File Properties.)

    The interview component must contain the script that asks the questions in the interview. Variables and dialogs used in the script will be used to create the interview.

  8. Select the interview component and click the Edit Component Edit Component button. The Computation Editor appears.
  9. Create the variables you want answered, link them to dialogs, and then create a script that asks the dialogs you want users to see when they assemble this template. (See Put ASK Instructions in a Computation Variable.)

To edit an interview template, select it at the library and click Edit Template Edit Template. Then select the interview component and click Edit Component Edit Component.

Note:
  • When converting interview templates from previous versions of HotDocs to HotDocs 2009-10 format, you may need to edit the Component File Properties for the component file and specify the name of the interview component you are using for the template. See Define a Custom Interview for details.
  • You can use an existing interview template as the basis for a new interview template. To do this, select the existing template, click New Template New Template, and enter a new file name for the template (but leave the information in the Other file box as is). See Create a Text Template Based on an Existing Template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document > Create an Interview Template


HotDocs Help - Have HotDocs Generate a Default Interview

Overviews

  • Overview: HotDocs Interviews

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Create an Interview Template
  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview

Reference Material

  • Improve Interview Speed Using a Custom Interview

Have HotDocs Generate a Default Interview

When you assemble a template, HotDocs displays an interview, based on variables and instructions it finds in the template. An outline of the interview is displayed in the left pane of the assembly window.

This interview is comprised of dialogs that contain one or more questions, which the user must answer to assemble a complete document. As users answer questions, the outline updates to show which questions are still unanswered.

By default, HotDocs generates this interview by asking variables as it reads them in the template. When a variable is linked to a dialog, the dialog is asked. For most templates, this default interview is sufficient. (However, if you need control over the order questions are asked in the interview, you can create a custom interview component. See Define a Custom Interview for details.)

To generate a default interview for a template

  1. Open Component Manager. (See Open and Close Component Manager.)
  2. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  3. Click the Interview tab. The window changes to show interview options.
  4. Select Generate default interview.

Now, whenever this template is assembled, the questions in the interview will be asked based on the order they are asked in the template.

If you want to control the appearance of just one or two dialogs in the interview, you can insert ASK instructions at the place in the template where you want your questions asked. See Control When Your Dialogs Appear for details. If you want to use a custom interview script, see Define a Custom Interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document > Have HotDocs Generate a Default Interview


HotDocs Help - Define a Custom Interview

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Create an Interview Template
  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview

Overviews

  • Overview: HotDocs Interviews

Reference Material

  • Improve Interview Speed Using a Custom Interview

Define a Custom Interview

When you assemble a template, HotDocs displays an interview, based on variables and instructions it finds in the template. An outline of the interview is displayed in the left pane of the assembly window.

This interview is comprised of dialogs that contain one or more questions, which the user must answer to assemble a complete document. As users answer questions, the outline updates to show which questions are still unanswered.

By default, HotDocs generates this interview by asking variables as it reads them in the template. When a variable is linked to a dialog, the dialog is asked. For most templates, this default interview is sufficient.

However, if you need control over the order questions are asked in the interview, you can create a custom interview component. A custom interview is defined by a computation script in which you use a series of ASK instructions to ask the variables and dialogs in your template. A custom interview can also contain other scripting, such as IF instructions and REPEAT instructions.

One reason why it may be beneficial to create a custom interview is to speed up the process with which HotDocs displays and updates the interview. To explain, during assembly, the interview that is presented to the user is dynamic. This means that each time a user enters an answer, the entire interview is updated to reflect any changes caused by that answer. Depending on the complexity of the template and the frequency with which variables and instructions are used in the template, this updating may take longer than expected because HotDocs must process each field. By creating a custom interview, you can create a script that asks these components and processes these instructions just once, thereby reducing the number of times HotDocs has to process each field. This can improve assembly speed considerably. (For a detailed description of how a complex template can slow interview speed, see Improve Interview Speed Using a Custom Interview.)

There are two parts to using a custom interview in your template:

  • Create the custom interview component that contains all of your scripting.
  • Specify a component file property that tells HotDocs to use the component when generating the interview.

To create a custom interview

  1. At the template (which should be completely automated), open Component Manager. (See Open and Close Component Manager.)
  2. Select Computation Variables from the Components drop-down list and click the New Component New Component button. HotDocs opens the Computation Editor.
  3. Enter a name in the Variable name box. (The component can use any name, including INTERVIEW.)
  4. Using a series of instructions, specify how you want variables in the template to be asked, based on the logic you use in the template. For example, you can create a series of ASK instructions that ask the dialogs, as well as use IF instructions to make variables in the template conditional upon users' answers.
  5. Click OK when you are finished.

    Once you have created the custom interview, you must specify a component file property that tells HotDocs to use the computation when it generates the interview.

  6. With Component Manager still open, click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  7. Click the Interview tab and select Use custom interview.
  8. Specify the name of the Computation variable in the Interview component box.

Now, HotDocs will use this computation to generate the interview.

Note:
  • If you are pointing several templates to a shared component file, but you want each template to use its own custom interview, at the Interview tab, clear Use Interview properties stored in the shared component file, select Use custom interview, and then specify the name of the interview computation in the Interview component box.
  • In a text template, if you select both Generate default interview and Use custom interview, HotDocs will always use the custom interview. Any variables not asked in the custom interview will be left out of the interview altogether. In a form template when both options are selected, HotDocs will present the custom interview first and then include any variables not asked in the custom interview at the end of the interview outline.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document > Define a Custom Interview


HotDocs Help - Improve Interview Speed Using a Custom Interview

Overviews

  • Overview: HotDocs Interviews

How Do I...?

  • Automatically Disable Irrelevant Variables in Interviews
  • Create an Interview Template
  • Define a Custom Interview
  • Have HotDocs Generate a Default Interview

Improve Interview Speed Using a Custom Interview

Once you automate a template, the template can be used to generate an interview, which displays the questions the user must answer in order to produce a complete document.

How HotDocs generates this interview is important to understand. To start, HotDocs reads through the template text and extracts all variables and instructions from it. This produces what is called an extracted script.

This example shows a short template, followed by its corresponding extracted script:

(Template text)

Last Will of «Client Name»
I, «Client Name», being of sound mind, do make this my last will and testament. «IF Client Marital Status = "Married"»My «Client Spouse Gender: wife/husband»’s name is «Spouse Name». «Client Spouse Gender: she/he» is my personal representative. «ELSE IF Client Marital Status = "Never Married"»I have never been married. «END IF»

(Extracted script)

«Client Name»
«Client Name»
«IF Client Marital Status = "Married"»
«Client Spouse Gender: wife/husband»
«Spouse Name»
«Client Spouse Gender: She/He»
«ELSE IF Client Marital Status = "Never Married"»
«END IF»

Once HotDocs creates this script, it then processes the script and asks any variables referenced in it, displaying those questions in the interview. (When a variable is linked to a dialog, HotDocs displays the dialog instead.) Additionally, HotDocs processes other instructions (such as ASK, REPEAT, or IF instructions) included in the extracted script. While the extracted script may refer to a variable or instruction multiple times, once the variable or instruction has been answered, it will not be asked again.

For most templates, allowing HotDocs to generate the interview this way is sufficient. In fact, all templates are set, by default, to use this method.

For complicated templates that contain a lot of scripting, however, this default interview generation may produce an interview that is sluggish for the user to navigate. This is because HotDocs must repeatedly process every variable and instruction in the extracted script—even if the user has already answered the question or the instruction has already been executed. Depending on the complexity of the script, processing this script may cause a delay when moving between answers in the dialog or between dialogs in the interview.

If this happens, you can create a custom interview that contains only the required scripting and variables. You create this script using a Computation variable. Once you write the custom interview script, you must select a component file property that tells HotDocs to use this script instead of the default extracted script. The following example shows a custom interview script that might be created for the template shown above:

(Custom interview script)

ASK Client Information
IF Client Marital Status = "Married"
  ASK Spouse Name
END IF

For instructions on creating a custom interview so you can improve the responsiveness of the interview, see Define a Custom Interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document > Improve Interview Speed Using a Custom Interview


HotDocs Help - Using Dot Codes to Format Text and Insert Special Characters

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using Dot Codes to Format Text and Insert Special Characters

Overview: Dot Codes

Change Font Properties of Text

Insert a Web Link in a Prompt or Dialog Text Element

Add Punctuation and Capitalization to Sentences

Insert Characters in Text Strings

Punctuate Non-Repeated Lists of Answers

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters


HotDocs Help - Overview: Dot Codes

How Do I...?

  • Add Punctuation and Capitalization to Sentences
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Overview: Dot Codes

Working with Plain Text

When working with plain text—either in variable prompts, dialog element text, plain-text resources, or in answers generated by computation scripts—you frequently want to assign font properties to the text, such as bolding, italicizing, and underlining. Additionally, you may want to punctuate and capitalize characters in plain text as well as insert special characters, such as hyphens and other punctuation marks.

To do this, you insert dot code fields in the your prompts, text, or scripts. During assembly, these dot codes will be processed and will apply whatever formatting you specify to the text with which you are working.

Note: Unfortunately, dot codes that format answer text in a form document cannot be processed. This is because the text is in plain-text format and cannot support formatting, like bold and italics. To explain, think of when you've worked on a plain-text document in Notepad. You can insert characters like line breaks, section symbols, and punctuation in a Notepad document, but you cannot make character-level formatting changes. HotDocs uses this same plain text in form document answers. Dot codes that insert characters (such as line breaks, section symbols, and so forth), however, are processed without any problems in forms.

Punctuating Non-Repeated Lists

Dot codes can also be used to merge punctuation for non-repeated lists in the template. Using a series of dot codes, you can define the punctuation mark that should be used to separate items in the list as well as define the conjunction used for the list. This is useful when you have separate answers that are being merged conditionally in list format.

Full List of Dot Codes

The following table lists all of the dot codes that are available in HotDocs:

Dot Code | What It Does
Punctuation and Capitalization Dot Codes |
«.» | Inserts a period if no other punctuation precedes it
«,» | Inserts a comma if no other punctuation precedes it
«;» | Inserts a semicolon if no other punctuation precedes it
«:» | Inserts a colon if no other punctuation precedes it
«!» | Inserts an exclamation point if no other punctuation precedes it
«?» | Inserts a question mark if no other punctuation precedes it
«.a»/«.ae» | Capitalizes very letter in the selected text
«.c» | Capitalizes the word immediately following the code
«.l»/«.le» | Capitalizes the first letter of each word in the enclosed text
«.s»/«.se» | Capitalizes each letter in the enclosed text and displays the text at a smaller font size
Font Formatting Dot Codes |
«.b»/«.be» | Applies bold formatting to the enclosed word or group of words
«.h»/«.he» | Applies the hidden text property to a word or group of words
«.i»/«.ie» | Applies italic formatting to a word or group of words
«.u»/«.ue» | Applies underline formatting to a word or group of words
«.x»/«.xe» | Crosses out a word or group of words
«.z»/«.ze» | Increases or decreases the font size for a word or group of words by a specified percentage.The dot code, «.z +Size», is a percent increase in the current size. The dot code, «.z -Size» is a percent decrease in the current size. (When you select this option, HotDocs displays a dialog box asking you to specify these properties.)
Character Dot Codes |
«.an» | Inserts a or an, depending on whether the word that follows begins with a consonant or a vowel.
«.la»/«.ra» | Inserts a left or right apostrophe
«.lq»/«.rq» | Inserts a left or right quotation mark
«.ps» | Inserts a paragraph character
«.ss» | Inserts a section symbol character
«.tc» | Inserts a tab character
«.lb» | Inserts a line break
«.pm» | Inserts a paragraph mark
«.pb» | Inserts a page break
«.ns» | Inserts a non-breaking space character
«.nh» | Inserts a non-breaking hyphen character
«.oh» | Inserts an optional hyphen character
Non-Repeated List Punctuation Dot Codes |
«.p "style"»/«.p»/«.pe» | Identifies the beginning of a punctuated list and assigns the punctuation format to it. The second dot code then identifies where the punctuation character should be inserted. Finally, the closing dot code identifies where the punctuated list ends.
Web Link Dot Code |
«.w "URL"»/«.we» | Inserts a Web link. Enter the link text between the two dot codes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters > Overview: Dot Codes


HotDocs Help - Change Font Properties of Text

Overviews

  • Overview: Dot Codes

How Do I...?

  • Add Punctuation and Capitalization to Sentences
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Change Font Properties of Text

Caution: Dot codes that change the character format (bold, italic, font size, etc.) do not work in prompts for True/False and Multiple Choice variables that are set to appear as buttons or check boxes.

Frequently, you use a computation script to generate an answer that must be merged in the document. Because answers generated by a computation script are in plain text (which can't be formatted at the Script Editor), you can insert formatting dot codes in the plain text. These dot codes will be processed and the formatting will be applied once the answer is merged in the document.

Additionally, you can use dot codes to assign formatting to variable prompts and dialog element text. This allows questions in the interview to be formatted according to your needs. Specifically, using dot codes, you can apply font properties (such as bolding and italicizing) to answers. You can also specify font sizes and capitalization.

When formatting sections of text using dot codes, you must first highlight the text you are formatting before you assign the dot code. This surrounds the text with beginning and ending codes that instruct HotDocs where the formatting starts and stops. Additionally, when you insert multiple dot codes for a single block of text, the codes must be nested, meaning the first opening dot code you assign must be the last closing dot code. For example, this is an example of «.b»«.i»nesting«.ie»«.be».

To apply formatting to plain text

  1. Either edit a Computation variable (See Customize a Computation Variable), or edit a prompt or dialog element text (see Create a Prompt for a Variable and Add Text to Your Dialogs).
  2. Highlight the text you want to format and right-click. A shortcut menu appears.
  3. Choose Character Format > Format (where Format represents one of the dot codes described in the following table). (WordPerfect users: To insert the dot codes, manually type the codes as you see them in the table below.)
    Dot Code What It Does

    «.b» (Bold)

    «.be» (Bold End)

            Applies bold formatting to a word or group of words.

    «.h» (Hidden)

    «.he» (Hidden End)

    Caution:The hidden property is not supported in WordPerfect templates.
            Applies the hidden text property to a word or group of words.

    «.i» (Italics)

    «.ie» (Italics End)

            Applies italic formatting to a word or group of words.

    «.u» (Underline)

    «.ue» (Underline End)

             Applies underline formatting to a word or group of words.

    «.x» (Strike-through)

    «.xe» (Strike-through End)

             Crosses out a word or group of words.

    «.z» (Font size)

    «.ze» (Font size End)

    Caution:The font size options are not supported in WordPerfect templates.
             Increases or decreases the font size for a word or group of words by a specified percentage. The dot code, «.z +Size», is a percent increase in the current size. The dot code, «.z -Size» is a percent decrease in the current size. (When you select this option, HotDocs displays a dialog box asking you to specify these properties.)

The following is an example of a computation script that uses dot codes. The account status is bolded:

IF DAYS FROM( Purchase Date, TODAY ) > 60
"Your account is «.b»past due«.be»."
ELSE
"Your account is «.b»current«.be». Thank you."
END IF

Likewise, this is an example of a variable's plain-text resource that uses dot codes. Here, the name of a required form is italicized:

To get free service of the court's orders without paying a fee, you must fill out and file the «.i»Request and Order for Free Service of Restraining Order«.ie».
Note: When you type double angle brackets (<< >>), HotDocs converts them to chevrons (« »). You can manually enter the dot code by typing the brackets with the format code between them.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters > Change Font Properties of Text


HotDocs Help - Insert a Web Link in a Prompt or Dialog Text Element

Overviews

  • Overview: Dot Codes

How Do I...?

  • Add Punctuation and Capitalization to Sentences
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Insert a Web Link in a Prompt or Dialog Text Element

You can use a Web link dot code («.w "URL"»/«.we») to add a Web address to a variable prompt or dialog element text. The user will be able to click this link during the interview and a separate browser window (displaying the specified Web page) will appear.

To include a Web address in a prompt or dialog text element

  1. Edit a prompt or dialog text element. (see Create a Prompt for a Variable and Add Text to Your Dialogs.)
  2. Place your cursor where you want the link to appear and right-click. A shortcut menu appears.
  3. Choose Web Link. The Web Link dialog box appears.
  4. In the URL box, enter the complete Web address for the page you want the hyperlink to open. (Make sure the URL is entered correctly. Include http:// or https:// or ftp://, depending on what type of URL it is.)
  5. Enter the text you want the user to see for the link in the Link text box.
Note:
  • Before creating the Web link, you can select existing text in the prompt or dialog element text and that text will be used as the Link text.
  • If you don't know the exact URL for the Web page, click the Browse Web Browse Web button next the URL box to search for the Web page.
  • You can include a link that opens an e-mail message rather than a Web address. To do this, enter mailto:, followed by the email address you want included, in the URL box. (For example, enter mailto:publications@hotdocs.com.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters > Insert a Web Link in a Prompt or Dialog Text Element


HotDocs Help - Add Punctuation and Capitalization to Sentences

Overviews

  • Overview: Dot Codes

How Do I...?

  • Add Punctuation and Capitalization to Sentences
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Add Punctuation and Capitalization to Sentences

Sometimes you need answers in the assembled document to be capitalized and punctuated correctly, but you can't anticipate how users will enter the answer. To ensure text in the document is correct, you can use dot codes to merge the correct capitalization and punctuation.

For example, say the user enters a description but doesn't include the end punctuation in the answer. Using a dot code, you can merge the punctuation in the document if the user doesn't. (If the user does include the punctuation, the dot code won't merge anything.) The following script demonstrates this:

The property, which is located at «Property Address», is described as «Property Description»«.»

To add punctuation and capitalization dot codes

  1. Either edit a Computation variable (See Customize a Computation Variable), or insert your cursor in the template text where you want to insert the dot code.
  2. To insert a punctuation mark, right-click to display the shortcut menu and choose Sentence Punctuation > Punctuation Mark (where Punctuation Mark represents one of the dot codes described in the following table. (WordPerfect users: To insert the dot codes, manually type the codes as you see them in the table below.)
    Dot Code What It Does
    «.» Inserts a period if no other punctuation precedes it.
    «,» Inserts a comma if no other punctuation precedes it.
    «;» Inserts a semicolon if no other punctuation precedes it.
    «:» Inserts a colon if no other punctuation precedes it.
    «!» Inserts an exclamation point if no other punctuation precedes it.
    «?» Inserts a question mark if no other punctuation precedes it.
  3. To change the capitalization of text, right-click to display the shortcut menu and choose Character Format > Capitalization (where Capitalization represents one of the dot codes described in the following table:
    Dot Code | What It Does

    «.a» (All Caps)

    «.ae» (All Caps End)

            Capitalizes every letter in the selected text.
    «.c» (Capitalize Letter) | Capitalizes the first letter of the word immediately following the code.

    «.l» (Leading Caps)

    «.le» (Leading Caps End)

            Capitalizes the first letter of each word in the selected text.

    «.s» (Small Caps)

    «.se» (Small Caps End)

             Capitalizes each letter in the selected text and displays the text at a smaller font size.
Note: When you type double angle brackets (<< >>), HotDocs converts them to chevrons (« »). You can manually enter the dot code by typing the brackets with the format code between them.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters > Add Punctuation and Capitalization to Sentences


HotDocs Help - Insert Characters in Text Strings

Overviews

  • Overview: Dot Codes

How Do I...?

  • Add Punctuation and Capitalization to Sentences
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Insert Characters in Text Strings

When working with plain text in both computation results and in variable prompts, dialog element text, and resources, you frequently need to insert a character not typically supported by the plain-text character set. Using dot codes, you can insert these characters so that when the answer is merged in the document, the dot codes are processed and the sentence is punctuated correctly.

For example, if you are merging a literal text string in a computation script and the text needs smart quotation marks (and not straight quotation marks), you can insert the dot codes that merge the correct marks.

To insert special characters in plain text

  1. Either edit a Computation variable (See Customize a Computation Variable) or edit a prompt or dialog text element. (see Create a Prompt for a Variable and Add Text to Your Dialogs.)
  2. Place your cursor where you want the character and right-click. A shortcut menu appears.
  3. Choose Character Insertion > Character (where Character represents one of the dot codes described in the following table). (WordPerfect users: To insert the dot codes, manually type the codes as you see them in the table below.)
    Dot Code | What It Does
    «.an» (An)

    Inserts a or an, depending on whether the word that follows begins with a consonant or a vowel. For example,

    «Employee Name», «.an»«Job Title»
   becomes
Jack Carey, a paralegal
   or
Bonnie Millet, an attorney

    «.la» (Left Apostrophe)

    «.ra» (Right Apostrophe)

            Inserts a left or right apostrophe.

    «.lq» (Left Quote)

    «.rq» (Right Quote)

            Inserts a left or right quotation mark.
    «.ps» (Paragraph Symbol ¶) | Inserts a paragraph character.
    «.ss» (Section Symbol §) | Inserts a section symbol character.
    «.tc» (Tab Character) | Inserts a tab character.
    «.lb» (Line Break) | Inserts a line break.
    «.pm» (Paragraph Mark) | Inserts a paragraph end.
    «.pb» (Page Break) | Inserts a page break.
    «.ns» (Non-breaking Space) | Inserts a non-breaking space character.
    «.nh» (Non-breaking Hyphen) | Inserts a non-breaking hyphen character.
    «.oh» (Optional Hyphen) | Inserts an optional hyphen character.
Note: When you type double angle brackets (<< >>), HotDocs converts them to chevrons (« »). You can manually enter the dot code by typing the brackets with the format code between them.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters > Insert Characters in Text Strings


HotDocs Help - Punctuate Non-Repeated Lists of Answers

Overviews

  • Overview: Dot Codes

How Do I...?

  • Add Punctuation and Capitalization to Sentences
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Punctuate Non-Repeated Lists of Answers

Sometimes you create lists of answers in a template without using a REPEAT instruction. Often, you need a way to punctuate the list, depending on answers that are merged. For example, say you need to list the client name, the client's spouse's name (if the client is married), and the children's names (if there are children). Such a list could look like this in the assembled document:

The client's family consists of Tim Anderson, spouse Lori Anderson, and children Jessica Anderson, Aubrey Anderson, and Lance Anderson.

However, not all clients will be married, nor will all clients have children. Because of this, you need some way to punctuate the sentence, based on which answers are added to the list. You can accomplish this using a series of dot codes that punctuate a sentence (including adding a conjunction between items in the list), depending on where answers are merged in the document.

To punctuate a non-repeated list

  1. Edit the template. (See Edit a Template.)
  2. In the template text where you want to merge the list punctuation, right-click and choose List Punctuation > Punctuation from the Word shortcut menu (where Punctuation represents the mark you want to insert, based on the following table). (WordPerfect users: To insert the dot codes, manually type the codes as you see them in the table below.)
    Dot Code | What It Does
    «.p "style"» (Punctuation Format) | Identifies the beginning of a punctuated list and assigns the punctuation format.
    «.p» (Punctuation) | Identifies the spot where punctuation character should be inserted.
    «.pe» (Punctuation End) | Identifies the end of the punctuated list.

The following is an example of how punctuation dot codes are used in the text of a template. The first dot code («.p "a, b, and c"») indicates the start of the list (and specifies the punctuation and conjunction that should be used). Each item that is added to the list is marked by a punctuation code («.p») which indicates where the punctuation mark should be merged. The end punctuation mark («.pe») indicates the end of the list:

«.p "a, b, and c"»The client's family consists of «Client Name»«.p»«IF Client is Married»spouse «Spouse Name»«.p»«END IF»«IF Client Has Children»children «REPEAT Children:a, b, and c»«Child Name»«END REPEAT»«.p»«END IF»«.pe».

In this example, there are really two lists—first, the list of family members (client, spouse, and children) and then second, the list of individual children. While dot codes are used to punctuate this first list, the repeat format for the REPEAT instruction punctuates the list of children. However, you can use dot codes to punctuate the items in a REPEAT instruction, as well. The following script demonstrates how to nest these dot codes:

«.p "a, b, and c"»The client's family consists of «Client Name»«.p»«IF Client is Married»spouse «Spouse Name»«.p»«END IF»«IF Client Has Children»«.p "a, b, and c"»children «REPEAT Children»«Child Name»«.p»«END REPEAT»«.pe»«.p»«END IF»«.pe».

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Dot Codes to Format Text and Insert Special Characters > Punctuate Non-Repeated Lists of Answers


HotDocs Help - Using Instruction Models

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using Instruction Models

Overview: Instruction and Expression Models

Use Operators When Scripting

Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts

Use the Script Editor

View an Outline of Scripting in the Template

Full List of Instruction Models

ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR

ASCEND VAR; DESCEND VAR

ASK DIALOG

ASK VAR

ASSEMBLE "FILENAME"

CONCEAL VAR

DEBUG

DEFAULT VAR TO VALUE

ERASE VAR; ERASE DIALOG

FILTER COMPUTATION_VAR

FORMAT "LIST_FORMAT"

GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR

HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR

IF EXPRESSION; ELSE IF; ELSE; END IF

INCREMENT NUM_VAR; DECREMENT NUM_VAR

INSERT "FILENAME"

LANGUAGE CODE

LIMIT NUM

OMIT VAR

PLAY "MACRO"

QUIT

REPEAT DIALOG; END REPEAT

REQUIRE ALL; REQUIRE VAR

SET VAR TO VALUE

WHILE EXPRESSION; END WHILE

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models


HotDocs Help - Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • DEBUG
  • DEFAULT VAR TO VALUE
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FIRST( TEXT, NUM )
  • FORMAT "LIST_FORMAT"
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • INTEGER( TEXT )
  • LANGUAGE CODE
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • LIMIT NUM
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OMIT VAR
  • OTHER( MULT_CHOICE_VAR )
  • PLAY "MACRO"
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • QUIT
  • REMAINDER( NUM, NUM )
  • REPEAT DIALOG; END REPEAT
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • REQUIRE ALL; REQUIRE VAR
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SET VAR TO VALUE
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • WHILE EXPRESSION; END WHILE
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

Overview: Instruction and Expression Models

As you use HotDocs, you may need to tell HotDocs to perform a particular task, such as insert one template into another, hide variables in dialogs, or perform some action based on an answer the user provides. Similarly, you may need to add up several dollar amounts, or find the number of years between two given dates. Or, you may need to search a user’s answer for a certain block of text.

To accomplish this, you must use the HotDocs scripting language, which consists of instructions, expressions, operators, and values—such as text, numbers, dates, or answers users enter. To help you learn this language, HotDocs provides you with instruction and expression models.

Specifically, an instruction model tells HotDocs to perform some sort of function, while an expression model retrieves a special value. Most instructions and expressions also include placeholders, which you must replace with a value. Possible values include text strings, number amounts, other models, or HotDocs variables. A model will not work until all its placeholders are replaced.

In addition to using instructions and expressions, you can use operators to control how the script is processed. Most operators are common mathematical signs, but there are also Boolean operators such as AND and OR. The operator AND means the statement to the left and the statement to the right must both be true. The operator OR means either the statement to the left or the statement to the right must be true. The operator ( ) means to perform the operation between the parentheses first. (See Use Operators When Scripting.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Overview: Instruction and Expression Models

More... (1)

Home > All About... > Using Instruction Models > Overview: Instruction and Expression Models


HotDocs Help - Use Operators When Scripting

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • DEBUG
  • DEFAULT VAR TO VALUE
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FIRST( TEXT, NUM )
  • FORMAT "LIST_FORMAT"
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • INTEGER( TEXT )
  • LANGUAGE CODE
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • LIMIT NUM
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OMIT VAR
  • OTHER( MULT_CHOICE_VAR )
  • PLAY "MACRO"
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • QUIT
  • REMAINDER( NUM, NUM )
  • REPEAT DIALOG; END REPEAT
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • REQUIRE ALL; REQUIRE VAR
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SET VAR TO VALUE
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • WHILE EXPRESSION; END WHILE
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

Use Operators When Scripting

An operator is a symbol or word that causes an operation such as addition or a comparison to be performed in a computation or expression. Operators are available at the Operators list wherever you can create a script or expression. Most operators can be used when working with both number and text values.

There are three types of operators:

  • Comparison operators: These compare two values of the same type (text, number, date, multiple choice, or true/false). They return values of true or false depending on whether the comparison is true or not.
  • Arithmetic operators: These calculate new values. Operands used in the script must be the same type.
  • Logical operators: These return a true/false value based on a logical comparison of their operands, both of which must be true or false values.

The following tables explain how each operator works:

Comparison Operator Description
=

The two items in the comparison are of equal value. For example:

Birth Date = 17 Dec 1989
Employee Name = "Louisa Gehrig"
!=

The two items in the comparison are not of equal value. For example:

IF Exhibit A != TRUE
IF Plaintiff Gender != "Male"
<

The first item in the comparison has a lesser value than the second item. For example:

Account Balance < 9000
COUNTER < 10
>

The first item in the comparison has a greater value than the second item. For example:

Dependent Age > 18
<=

The first item in the comparison is less than or equal to the second item. For example:

Client Age <= 65
COUNTER <= 2
>=

The first item in the comparison is greater than or equal to the second item. For example:

Taxed Income >= 75000
CONTAINS

The value of the first item is found in the value of the second item. For example:

"massachusetts virginia kentucky pennsylvania" CONTAINS State Name
Arithmetic Operator Description
+

Add the different components of the script together. For example:

Value 1 + Value 2
Street Address + ", " + City + ", " + State
-

Subtract the different components of the script from each other. For example:

Monthly Income - Amount of Owed Child Support
*

Multiply the different components of the script. For example:

Purchase Price * 0.625
/

Divide the different components of the script. For example:

Yearly Salary / 12
-

The unary minus operator results in the numeric negation of the operand (which must be a Number value). For example:

SET Loss Amount TO - Aggregate Amount
%

The unary percent operator results in the operand (which must be a Number value) divided by 100. It is a postfix operator. For example:

Purchase Price + (Purchase Price * 6.25%)
Logical Operator Description
AND

The statement to the left and the statement to the right must both be true. For example:

IF Client is Married AND Client has Children
OR

The statement to the left or the statement to the right must be true. For example:

IF Single OR Widowed
NOT

The NOT operator results in the logical negation of the operand (which must be a True/False value). For example:

IF NOT Client is Married
Note:
  • HotDocs also supports two other unary operators—unary plus (+) and the dollar sign ($). While both produce numeric results in a script, the results are exactly the same as the operands. Therefore, they should not be used in a script.
  • The Add ( + ) operator can also be used to string together (concatenate) two text values.

The final operator, the parentheses ( ), instructs HotDocs to perform the operation inside the parentheses first.

HotDocs operators are processed in the following order of precedence, from highest to lowest. Operators listed on the same line have the same precedence.

()
NOT - %
* /
+ -
= != < > <= >=
AND
OR

So in other words, when HotDocs is evaluating an expression, first parenthesis are used to determine order of operations, then unary operators, then multiplication and division, then plus and minus, then comparisons, then logical AND, and last logical OR.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Use Operators When Scripting

More... (1)

Home > All About... > Using Instruction Models > Use Operators When Scripting


HotDocs Help - Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • DEBUG
  • DEFAULT VAR TO VALUE
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FIRST( TEXT, NUM )
  • FORMAT "LIST_FORMAT"
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • INTEGER( TEXT )
  • LANGUAGE CODE
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • LIMIT NUM
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OMIT VAR
  • OTHER( MULT_CHOICE_VAR )
  • PLAY "MACRO"
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • QUIT
  • REMAINDER( NUM, NUM )
  • REPEAT DIALOG; END REPEAT
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • REQUIRE ALL; REQUIRE VAR
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SET VAR TO VALUE
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • WHILE EXPRESSION; END WHILE
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts

Caution: Inserting line breaks and paragraph ends are only relevant if you are merging text into an assembled Word document. In WordPerfect, each of the commands listed below inserts a hard return. (See the WordPerfect helps for an explanation.)

When including literal text strings in computation scripts, you can have HotDocs merge line breaks, paragraph ends, and tabs in the answer. To do this, at the Script box, either manually enter the characters, or use a dot code. Use the following information:

To insert Do one of the following
A line break

Press Enter or Shift+Enter. When you do this, HotDocs creates a new line of text in the same paragraph.

Note: When you use a line break to span a literal text string across two lines in the script editor, the color coding assigned to the text string changes to the default color. This doesn't affect how the computation will be processed, but it may make it more difficult to visually recognize the different portions of your script. To fix the color coding, click the Auto Format Auto Format button.

Insert a Line Break dot code («.lb») at the place you want HotDocs to start a new line. (See Insert Characters in Text Strings.)

A paragraph end

Press Ctrl+Enter. When you do this, HotDocs inserts a paragraph mark ( ¶ ) and starts a new paragraph of text.

Insert a Paragraph Mark dot code («.pm») at the place you want HotDocs to start a new paragraph. (See Insert Characters in Text Strings.)

A tab character

Press Ctrl+T.

If you want the Tab key to insert a tab character (instead of you pressing Ctrl+T), click the Options Options button and select Tab key inserts a tab in scripts. Now, whenever you press Tab or Shift+Tab, HotDocs will insert a tab in the script instead of taking you to another field in the dialog box.

Insert a Tab Character dot code («.tc») at the place you want the text to be tabbed. (See Insert Characters in Text Strings.)

When creating multi-line Text variables, you can force HotDocs to merge a paragraph mark (rather than a line break) when the user presses Enter. For details, see Customize a Text Variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts

More... (1)

Home > All About... > Using Instruction Models > Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts


HotDocs Help - Full List of Instruction Models

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

Full List of Instruction Models

Instruction | Description
ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR | These instructions allow you to modify options of a Multiple Choice variable. The CLEAR instruction removes all the current options, and the ADD instruction adds options to the variable.
ASCEND VAR; DESCEND VAR | The ASCEND instruction sorts lists of answers (gathered using a REPEAT instruction) in alphanumeric order, from 1 to 9, and from A to Z. The DESCEND instruction sorts lists of answers from 9 to 1, and from Z to A.
ASK DIALOG | The ASK DIALOG instruction allows you to control the order in which dialogs appear in an interview. (See Control When Your Dialogs Appear.)
ASK VAR | Sometimes a variable needs to be asked by itself. You can use the ASK VAR instruction so that during the interview, HotDocs displays the variable in its own default dialog.
ASSEMBLE "FILENAME" | You can use the ASSEMBLE instruction to add templates to the assembly queue. Unlike the INSERT instruction, an ASSEMBLE instruction waits until the current document is assembled before starting the next assembly session.
CONCEAL VAR | This instruction, which you use in a dialog script, keeps variables from appearing in the Select From Answer Source dialog box of an answer source.
DEBUG | This instruction steps through the template or script field by field or line by line. It helps you determine why the template you are automating (or the script you are writing) is producing results you don't expect.
DEFAULT VAR TO VALUE | This instruction suggests a value for a variable if the variable is unanswered.
ERASE VAR; ERASE DIALOG | The ERASE instructions let you clear answers in a dialog. Specifically, ERASE VAR clears answers for a specified variable in a dialog, while ERASE DIALOG clears all answers in the dialog. This may be useful when you are using a temporary dialog to store lists of answers from two or more dialogs.
FILTER COMPUTATION_VAR | The FILTER instruction filters out certain entries from a repeated list, based on conditions you specify.
FORMAT "LIST_FORMAT" | The FORMAT "LIST_FORMAT" instruction allows you to create a sentence-style list within a computation. (If you create the REPEAT instruction using a REPEAT field, you can specify the list format by choosing a style from the Format drop-down list. See Punctuate a Sentence-Style List.)
GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR | These instructions, which are used in a dialog script, control whether components in a dialog appear grayed or ungrayed, depending on answers a user enters. GRAY ALL dims all components in the dialog, while UNGRAY ALL makes all of the components active again. Likewise, GRAY VAR dims a single component, and UNGRAY VAR enables the component again.
HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR | These instructions, which are used in a dialog script, control whether the user is able to see variables in a dialog. The HIDE ALL instruction hides all variables in the dialog, while SHOW ALL reveals the variables again. Likewise, HIDE VAR hides a single variable, and SHOW VAR reveals the variable.
IF EXPRESSION; ELSE IF; ELSE; END IF | You can make sections of templates or scripts conditional by using IF instructions. A conditional section will be included only if a condition you specify is true. The ELSE IF instruction allows two or more conditions to be included in an IF instruction. The ELSE instruction establishes a final condition for an IF instruction, specifying that if all preceding conditions are false, the following information should be included. It must be the last item of the IF instruction.
INCREMENT NUM_VAR; DECREMENT NUM_VAR | The INCREMENT and DECREMENT instructions cause HotDocs to increase or decrease a number variable, usually a counter, by the value of 1.
INSERT "FILENAME" | This instruction inserts a clause, a clause library, or a template into the document currently being assembled. When HotDocs encounters an INSERT instruction, it immediately processes the instruction and inserts the template, clause, or clause library into the current document. If there are variables to be answered, HotDocs presents them before finishing the interview of the main document.
LANGUAGE CODE | This instruction tells HotDocs to format numbers and dates in a particular language.
LIMIT NUM | The LIMIT instruction limits the number of times a dialog can be repeated. It is placed in the script of the dialog that must be limited to a specific number of repetitions.
OMIT VAR | The OMIT VAR instruction, which you use in a dialog script, keeps variables from appearing in the Edit Answer Source dialog box of an answer source.
PLAY "MACRO" | The PLAY "MACRO" instruction plays a word processor macro after the document is assembled and either sent to the word processor, printed, or saved.
QUIT | The QUIT instruction allows you to close the variable without losing the work you have done. Normally, HotDocs will not save an invalid computation. The only way to exit an invalid computation is to click Cancel, which erases the script. The instruction is usually placed at the beginning of an unfinished or invalid computation.
REPEAT DIALOG; END REPEAT | A REPEAT instruction gathers lists of answers and merges them into a document.
REQUIRE ALL; REQUIRE VAR | The REQUIRE instruction requires users to answer questions in a dialog before they can advance to the next dialog in the interview.
SET VAR TO VALUE | This instruction lets you specify a given value for a variable’s answer automatically, rather than allow the user to specify an answer. With the SET instruction, you can transfer names and other values from one variable to another.
WHILE EXPRESSION; END WHILE | The WHILE EXPRESSION instruction allows you to repeatedly process (or loop through) an answer or set of answers until a certain condition is met, such as a certain answer is found or a limit is reached.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > Full List of Instruction Models


HotDocs Help - ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR

Placeholder | Replace With
TEXT | A text value, such as a Text variable or an actual word or name
MULT_CHOICE | Any Multiple Choice variable in the template

These instructions allow you to modify options of a Multiple Choice variable. The CLEAR instruction removes all the current options, and the ADD instruction adds options to the variable.

Using these two models, you can create an entire Multiple Choice variable using answers the user provides.

For example, a template requires the user to first enter a list of all the committee member names. Later, the user can identify which committee member is the chairperson. You can allow the user to identify the chairperson by presenting a Multiple Choice variable that has the names of all committee members as options. The following script would create that Multiple Choice variable:

CLEAR Committee Chairperson
REPEAT Committee Members List
  ADD Member Name TO Committee Chairperson
END REPEAT

In this example, the CLEAR instruction first removes any existing options from the Multiple Choice variable Committee Chairperson. Then, the script repeats the Committee Members List dialog, gathering the names of each committee member. The ADD instruction then adds each member’s name to the Multiple Choice variable. After the committee members have all been entered, you can present the Committee Chairperson variable for the user to identify the chairperson.

Additionally, if the Multiple Choice variable you are clearing uses any option prompts, these prompts will also be cleared. When adding new options to the Multiple Choice variable, you can also add new prompts. To do this, use a vertical bar to separate the option from the prompt in the ADD instruction. For example:

CLEAR Marital Status
ADD "Single|Client is single" TO Marital Status
ADD "Married|Client is married" TO Marital Status
ADD "Divorced|Client is divorced" TO Marital Status

In this example, the Multiple Choice variable Marital Status is cleared. The script then adds a literal text value (denoted by quotation marks) for the new option. The option is immediately followed by a vertical bar, which tells HotDocs to use the text following the bar as a prompt for the option.

Both the CLEAR and ADD instructions must be used in a computation script, which must be processed before the Multiple Choice variable is asked. To add options to a Multiple Choice variable, you should create the variable beforehand and assign a temporary option. Then, as the user provides the answers you want to include as options, the CLEAR instruction removes the temporary option, and the ADD instruction places the user’s answers as options in the variable.

Caution:Unlike options and prompts, the merge text for a Multiple Choice variable comes from another component—a Merge Text component. This means you cannot create and add merge text to a Multiple Choice variable "on the fly."

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR


HotDocs Help - ASCEND VAR; DESCEND VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

ASCEND VAR; DESCEND VAR

Placeholder | Replace With
VAR | A repeated variable

The ASCEND instruction sorts lists of answers (gathered using a REPEAT instruction) in alphanumeric order, from 1 to 9, and from A to Z. The DESCEND instruction sorts lists of answers from 9 to 1, and from Z to A.

For example, the following script would insert a list of clients in alphabetical order, from A to Z. Even though it lists Client First Name first, it sorts by Client Last Name:

""
REPEAT Client Information
  ASCEND Client Last Name
  RESULT + Client First Name + " " + Client Last Name + "
"
END REPEAT

The first empty set of quotation marks sets the computation value to nothing. Then, the repeated dialog, Client Information, asks for each client’s first and last name. Next, the ASCEND instruction sorts the list of names by last name. Finally, the RESULT expression tells HotDocs to merge the names in the document.

Note: The ASCEND and DESCEND instructions can only sort on a single variable; however, you can sort multiple variables by including multiple ASCEND or DESCEND instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > ASCEND VAR; DESCEND VAR


HotDocs Help - ASK DIALOG

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

ASK DIALOG

Placeholder | Replace With
DIALOG | Any dialog in the template

The ASK DIALOG instruction allows you to control the order in which dialogs appear in an interview. (See Control When Your Dialogs Appear.)

ASK instructions are also useful when some interview questions should only be asked in certain situations. In the following example, HotDocs only asks the Buyer Information dialog if the user is a first-time buyer:

«IF First Time Buyer»
«ASK Buyer Information»
«END IF»

In general, the ASK instruction tells HotDocs to display a dialog as soon as the instruction is processed. You can insert an ASK instruction directly in the template, or use a Computation variable to ask several dialogs at once. In fact, you can control the entire interview by using a series of ASK and other instructions in a single computation. (See Define a Custom Interview for details.)

Home > All About... > Using Instruction Models > ASK DIALOG


HotDocs Help - ASK VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

ASK VAR

Placeholder | Replace With
VAR | Any variable in the template

Sometimes a variable needs to be asked by itself. You can use the ASK VAR instruction so that during the interview, HotDocs displays the variable in its own default dialog.

In the following example, an IF expression evaluates if more than a year has passed since the last time the client assembled this document. If so, the Insurance Company Name variable is asked:

IF MONTHS FROM( Date Of Previous Filing , TODAY ) >= 13
  ASK Insurance Company Name
END IF

You can insert the ASK VAR instruction directly in the template or you can use it in a Computation variable. Be aware, however, that if you insert the instruction directly in the template, you can ask only one variable, and any answers the user provides will not be merged into the document at that place.

Home > All About... > Using Instruction Models > ASK VAR


HotDocs Help - ASSEMBLE "FILENAME"

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

ASSEMBLE "FILENAME"

Placeholder | Replace With
FILENAME | The name of another HotDocs template
Note: Complete instructions on using the ASSEMBLE instruction can be found in the topic, Start a New Assembly From a Template.

You can use the ASSEMBLE instruction to add templates to the assembly queue. Unlike the INSERT instruction, an ASSEMBLE instruction waits until the current document is assembled before starting the next assembly session.

For example, you may or may not need to include a cover letter with the document you are assembling. If you do, the following script adds the template, Cover Letter, to the assembly queue.

«IF Cover Letter Required»
«ASSEMBLE "Cover Letter.rtf"»
«END IF»

In this script, if the user opts to assemble a cover letter, then the ASSEMBLE instruction is processed and HotDocs assembles the cover letter template after the main document is assembled.

Understand How Templates Are Added to the Assembly Queue

To achieve the best results when using the ASSEMBLE instruction, you should understand how HotDocs adds the templates it finds in ASSEMBLE instructions to the assembly queue—particularly if your template uses a custom interview. There are two different scripts that HotDocs processes during an assembly:

  • The template script is the body of the template where HotDocs merges the answers to produce the assembled document.
  • The interview script is the set of instructions that determine what dialogs to include in the interview. If your template uses a custom interview, this is your custom interview computation (e.g., INTERVIEW). Otherwise, the interview script is the same as the template script for a default interview.

Each time HotDocs processes one of these scripts, it first removes from the Assembly Queue any templates that were added by ASSEMBLE instructions in the current template. Then, as HotDocs encounters each ASSEMBLE instruction, it adds that template to the assembly queue. Thus, if you have an ASSEMBLE instruction in your custom interview script, the template in that instruction will be added to the assembly queue whenever HotDocs processes your interview script.

This behavior can cause a problem if the ASSEMBLE instructions in your interview script do not match the instructions in the template script. For example, if HotDocs adds templates to the assembly queue while processing the interview script, those templates could be removed when HotDocs subsequently processes the template script. Likewise, if your template script adds templates to the assembly queue, they could be removed when the interview script is processed.

To ensure that templates are added to, and remain in, the assembly queue, you should include identical ASSEMBLE instructions in both your interview and template scripts. This way, no matter which script HotDocs processes last, it will put the desired templates in the assembly queue. (As noted above, both scripts are identical if you use a default interview, so this information is only important when you use a custom interview in your template.)

Note: You can add command-line options to an ASSEMBLE instruction (for example, ASSEMBLE "subpoena.rtf /pr"). If the command-line option includes a file path and name, enclose the path and name in double quotation marks (for example, ASSEMBLE "subpoena.rtf /sa /af=""L Chang.anx"""). (Four command line options were designed specifically for use with ASSEMBLE instructions. They are: Suggest Save, Suggest Save New, Save Answers, and Save Answers Prompt. They control the saving of answers after each ASSEMBLE instruction is processed.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > ASSEMBLE "FILENAME"


HotDocs Help - CONCEAL VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

CONCEAL VAR

Placeholder | Replace With
VAR | A variable used in an answer source

This instruction, which you use in a dialog script, keeps variables from appearing in the Select From Answer Source dialog box of an answer source.

Answer sources are associated with specific dialogs in a template. When users view the dialog during the interview, they can click a special button, which displays a list of answers that were entered during previous interview sessions. They can either select an existing set of answers or add a new set to the list.

After creating an answer source for one dialog, you can use it with other dialogs, including dialogs in other templates. However, when using an answer source with multiple dialogs, each variable must be represented in both the answer source and in each dialog. If a variable that is referenced in the answer source isn’t included in the dialog (or vice-versa), answers in the answer source will get “mixed together” whenever you add, edit, or delete records.

In some situations though, it isn’t always practical or relevant to show the user every variable—either in the dialog or in the answer source. To accommodate this, you can use the HIDE, CONCEAL, and OMIT instructions to manipulate these variables in both the dialog and the answer source. Specifically, HIDE keeps a variable from appearing on the dialog, while CONCEAL keeps it from appearing in the answer source. OMIT keeps it from being associated with the answer source at all. Often, you must use a combination of these instructions to achieve your desired result.

For example, in one template, the user must enter both a Creditor Name and a Creditor Address. However, in a second template that uses the same dialog and answer source, Creditor Address isn't needed. You can keep it from appearing in the Select From Answer Source dialog box for this template by using the following script:

CONCEAL Creditor Address

Answers for Creditor Address are still saved in the answer source, even though they do not appear when the user opens the Select From Answer Source dialog box. (You would most likely include the instruction HIDE Creditor Address in this script as well, which would keep Creditor Address from appearing on the actual interview dialog. To keep the variable from appearing when the user edits a record in the answer source, see OMIT VAR.)

See Suggest an Answer Source for Dialogs for more information.

Home > All About... > Using Instruction Models > CONCEAL VAR


HotDocs Help - DEBUG

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

DEBUG

This instruction steps through the template or script field by field or line by line. It helps you determine why the template you are automating (or the script you are writing) is producing results you don't expect.

For full information on how to use this instruction, please see the following topics:

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script

Home > All About... > Using Instruction Models > DEBUG


HotDocs Help - DEFAULT VAR TO VALUE

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

DEFAULT VAR TO VALUE

Placeholder | Replace With
VAR | Any type of variable in the template
VALUE | A value that corresponds with the variable type

This instruction suggests a value for a variable if the variable is unanswered.

For example, in the following script, the variable Attorney Name is defaulted to the literal value of Sam Jones:

DEFAULT Attorney Name TO "Sam Jones"

In this example, when HotDocs processes this script, it first determines whether Attorney Name has been answered. If it has, the DEFAULT instruction has no effect and HotDocs uses the answer already given. If Attorney Name has not been answered, however, HotDocs suggests the answer Sam Jones. When this variable appears during the interview, users can accept this answer by moving to the next dialog, or they can enter a different answer in the answer field.

You can also use a DEFAULT instruction to suggest an answer that has already been given in the interview. For example:

DEFAULT Trustee Name TO Client Name

In this example, when HotDocs processes this script, it first determines whether Trustee Name has been answered. If it has, the DEFAULT instruction has no effect and HotDocs uses the answer already given. If Trustee Name has not been answered, HotDocs then checks to see what answer has been given for Client Name and suggests that as the answer. It is important to note, however, that if Client Name is unanswered, Trustee Name will likewise be unanswered.

Caution: Do not use the DEFAULT instruction in the script of a repeating dialog unless the instruction is used in conjunction with a conditional expression (on another variable in the same dialog, at the same REPEAT index) or a LIMIT instruction. If you use it by itself in a repeated dialog script, it will always add an unanswered dialog to the interview, which will produce an incorrectly assembled document.
Note:
  • The DEFAULT and SET instructions both assign answers to variables. Click here for an explanation of the differences between the two.
  • To default two or more options for a Multiple Choice variable, separate each option with a vertical bar (for example, DEFAULT MC Variable TO "Option1|Option2|Option3").

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > DEFAULT VAR TO VALUE


HotDocs Help - ERASE VAR; ERASE DIALOG

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

ERASE VAR; ERASE DIALOG

Placeholder | Replace With
VAR | The name of a variable in a dialog you want to clear
DIALOG | The name of the dialog whose contents you want to clear

The ERASE instructions let you clear answers in a dialog. Specifically, ERASE VAR clears answers for a specified variable in a dialog, while ERASE DIALOG clears all answers in the dialog. This may be useful when you are using a temporary dialog to store lists of answers from two or more dialogs.

For example, say you have two repeated dialogs—one containing plaintiff names and another containing defendant names. If you need to generate a single list of all parties in the case, you can combine the two lists into a single repeated dialog. To do this, you would want to erase any existing values from the combined list before populating it with the names from the plaintiff and defendant dialogs.

Using the ERASE instruction in the script keeps the combined list up to date each time the computation script is processed. For example, if the user adds or removes names in the plaintiff or defendant dialogs during the interview, the ERASE instruction will make sure they are properly added or removed when the combined list is regenerated.

The following script demonstrates how to accomplish this:

ERASE Combined List
SET Counter TO 0

REPEAT Plaintiff Information
  INCREMENT Counter
  SET Combined Name[Counter] TO Plaintiff Name
END REPEAT

REPEAT Defendant Information
  INCREMENT Counter
  SET Combined Name[Counter] TO Defendant Name
END REPEAT

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > ERASE VAR; ERASE DIALOG


HotDocs Help - FILTER COMPUTATION_VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

FILTER COMPUTATION_VAR

Placeholder | Replace With
COMPUTATION_VAR | Any Computation variable in the template that results in a true or false value

The FILTER instruction filters out certain entries from a repeated list, based on conditions you specify.

In the following example, the script filters out all corporate entities from a list of vendors:

""
REPEAT Vendor Information
  FORMAT "A, B, and C"
  FILTER No Corporate Vendors
  RESULT + Vendor Name
END REPEAT

In the preceding script, No Corporate Vendors is a Computation variable with the following script:

Vendor Type != "Corporation"

First, the empty quotation marks set the value of the repeat to "nothing." HotDocs then repeats the Vendor Information DI dialog. After the user enters all the information, HotDocs processes the responses, filters out all corporate entities, and displays a modified list in the specified format.

Note:
  • You can use the AND operator in the computation to filter out entries based on two or more conditions.
  • A filter can be as complicated as it needs to be, but it must result in either true or false. For example, the expression YEARS FROM( Child's Birth Date, TODAY ) produces a number (the age of a person), not a true or false value—it is not a filter. But the expression YEARS FROM( Child's Birth Date, TODAY ) <= 17 can only result in true or false. It can correctly filter all children under the age of 18 from a list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > FILTER COMPUTATION_VAR


HotDocs Help - FORMAT "LIST_FORMAT"

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

FORMAT "LIST_FORMAT"

Placeholder | Replace With
LIST_FORMAT | An example of the conjunction and punctuation desired, for example, a, b, and c or a; b; or c.

The FORMAT "LIST_FORMAT" instruction allows you to create a sentence-style list within a computation. (If you create the REPEAT instruction using a REPEAT field, you can specify the list format by choosing a style from the Format drop-down list. See Punctuate a Sentence-Style List.)

For example, perhaps you want the items in your list to appear with the final comma preceding the and. Your script would look like this:

""
REPEAT Education Information
  FORMAT "A, B, and C"
  RESULT + Degree Designation
END REPEAT
RESULT

Once a user has provided the list of educational degrees in Education Information, the FORMAT instruction ensures that the requisite commas are in place.

Note: FORMAT instructions should be placed immediately after the REPEAT instructions for repeated dialogs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > FORMAT "LIST_FORMAT"


HotDocs Help - GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR

Placeholder | Replace With
Var | Any variable used in a dialog

These instructions, which are used in a dialog script, control whether components in a dialog appear grayed or ungrayed, depending on answers a user enters. GRAY ALL dims all components in the dialog, while UNGRAY ALL makes all of the components active again. Likewise, GRAY VAR dims a single component, and UNGRAY VAR enables the component again.

For example, say you want certain variables in a dialog to appear based on the user's family situation. How the user answers the Multiple Choice variable, Family Status, controls which questions are asked:

GRAY ALL
UNGRAY Family Status
IF Family Status = "Married, with children"
  UNGRAY ALL
ELSE IF Family Status = "Married, no children"
  UNGRAY Spouse Name
ELSE IF Family Status = "Separated, with children"
  UNGRAY Number Of Children
END IF

The initial GRAY ALL instruction dims all variables in the dialog, making them inactive. Then the Family Status Multiple Choice variable is immediately ungrayed so the user can choose an option. Depending on the answer to this Multiple Choice variable, some or all of the other variables are ungrayed.

Note: In the script above, you could also gray each variable in the dialog (except the Multiple Choice variable); however, graying all of the variables and then ungraying the Multiple Choice variable immediately after saves a lot of repetitive typing.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR


HotDocs Help - HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR

Placeholder | Replace With
Var | A variable used in an answer source

These instructions, which are used in a dialog script, control whether the user is able to see variables in a dialog. The HIDE ALL instruction hides all variables in the dialog, while SHOW ALL reveals the variables again. Likewise, HIDE VAR hides a single variable, and SHOW VAR reveals the variable.

In the following example, a certain estate planning template may be used for both wills and trusts. The initial dialog uses a Multiple Choice variable called Document Type to ask which type of document will be assembled. Then, depending on how the user answers the variable, HotDocs asks either the executor/testator names or the trustee/grantor names:

HIDE ALL
SHOW Document Type
IF Document Type = "Will"
  SHOW Executor Name
  SHOW Testator Name
ELSE IF Document Type = "Trust"
  SHOW Trustee Name
  SHOW Grantor Name
END IF
Caution: You should not HIDE or SHOW a variable in a repeated-as-spreadsheet dialog based on another variable in the same dialog. When you use HIDE or SHOW in a spreadsheet dialog, the entire column is shown or hidden. Attempting to do this may produce unexpected results.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR


HotDocs Help - IF EXPRESSION; ELSE IF; ELSE; END IF

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

IF EXPRESSION; ELSE IF; ELSE; END IF

Placeholder | Replace With
EXPRESSION | A statement that can be evaluated as true or false

You can make sections of templates or scripts conditional by using IF instructions. A conditional section will be included only if a condition you specify is true. The ELSE IF instruction allows two or more conditions to be included in an IF instruction. The ELSE instruction establishes a final condition for an IF instruction, specifying that if all preceding conditions are false, the following information should be included. It must be the last item of the IF instruction.

Each IF instruction or expression must end with an END IF instruction. This instruction completes a section of conditional logic. HotDocs automatically creates an END IF paired with each IF instruction. These pairs can be nested, allowing you to test several conditions before applying a single effect.

For example, in the following script, HotDocs uses an IF instruction to insert a paragraph about vacation time—but only if the new employee qualifies for paid vacation:

«IF Vacation Days»In addition, «Employee Name» shall be allowed «Number of Vacation Days:ten» for vacation time. «Employee Name» shall also receive seven paid holidays, including New Year's Day, Memorial Day, Fourth of July, Labor Day, Thanksgiving (including the day after), and Christmas.«END IF»

More complex situations can also be handled using IF expressions. For example, in the following computation script, a single paragraph in a template may change depending on how close a project is to completion. Using the IF, ELSE IF, and ELSE instructions, the correct paragraph can be inserted:

IF Project Status = "Complete"
  "Upon finishing the project…"
ELSE IF Project Status = "In Process"
  "While working on the project…"
ELSE
  "Before working on the project…"
END IF
Note:
  • You can use IF expressions anywhere. Operators such as AND and OR can link multiple conditions, giving the user greater control over the interview. However, creating complicated IF instructions directly in the template can make the assembly process sluggish. Consider using Computation variables or INSERT instructions instead.
  • Please see Overview: Make Parts of Templates Conditional for further information on using IF instructions and expressions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > IF EXPRESSION; ELSE IF; ELSE; END IF


HotDocs Help - INCREMENT NUM_VAR; DECREMENT NUM_VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

INCREMENT NUM_VAR; DECREMENT NUM_VAR

Placeholder | Replace With
NUM_VAR | A Number variable

The INCREMENT and DECREMENT instructions cause HotDocs to increase or decrease a number variable, usually a counter, by the value of 1.

In the following example, you want to create a list of potential employees. However, you want the list to include only those applicants with four or more years of schooling. To do this, you would use the WHILE instruction to loop through a list of applicants. You would then use the INCREMENT instruction to keep track of which repetition you are on so that the correct information can be merged into a new list.

SET Applicant Count TO 1
SET Prospect Count TO 0
WHILE ANSWERED( Applicant Name[Applicant Count] )
  IF Applicant Years of Schooling[Applicant Count] >= 4
    INCREMENT Prospect Count
    SET Prospect Name[Prospect Count] TO Applicant Name[Applicant Count]
  END IF
  INCREMENT Applicant Count
END WHILE

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > INCREMENT NUM_VAR; DECREMENT NUM_VAR


HotDocs Help - INSERT "FILENAME"

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

INSERT "FILENAME"

Placeholder | Replace With
FILENAME | The file name and folder path of another HotDocs template Note: Include the folder path if the inserted template resides in a folder that is different from the main template.

This instruction inserts a clause, a clause library, or a template into the document currently being assembled. When HotDocs encounters an INSERT instruction, it immediately processes the instruction and inserts the template, clause, or clause library into the current document. If there are variables to be answered, HotDocs presents them before finishing the interview of the main document.

To create a simple INSERT instruction, you can click the INSERT Field INSERT Field button and insert the instruction directly in the template. However, if you want to insert a more complex instruction using conditional logic, you may need to use a Computation variable.

Often an organization’s documents will include sections that are used frequently, such as company letterhead or attorney information blocks. Rather than recreate these parts of a document each time you automate a template, you can save just the letterhead or the information block as its own template and then use an INSERT instruction to include it in the templates that require it. For example, let's say you have a specific attorney information block you use in pleadings. You would create a template that contains only the attorney information and then use the INSERT instruction to insert it:

«IF Attorney Information Required»
«INSERT "Attorney Information Block.rtf"»
«END IF»

In text templates, if the inserted template contains unanswered variables, HotDocs asks these variables. After the inserted template is assembled, HotDocs finishes assembling the main template. In contrast, with form templates, HotDocs appends the inserted form template to the main form. Once it finishes assembling the main form, it then assembles the inserted form template.

Note:
  • For detailed information on inserting templates, see Overview: Insert Templates into Templates.
  • Templates can be inserted from any location, as long as you specify the correct folder path information. (See Inserted Template File Locations for examples.)
  • Inserted files may have formatting that differs from the original template. Headers, footers, and margins can often be controlled more easily by using word processor section breaks. See Define Headers and Footers in Inserted Word Templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > INSERT "FILENAME"


HotDocs Help - LANGUAGE CODE

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

LANGUAGE CODE

Placeholder | Replace With
CODE | Any of the following language codes: ENG (English) DEU (German) DES (Swiss German) DEA (Austrian German) FRA (French) NLD (Dutch) ESN (Spanish) ITA (Italian)

This instruction tells HotDocs to format numbers and dates in a particular language.

For example, the following script allows the template to use Spanish formats:

«LANGUAGE ESN»
«Start Contract Date:3 Juno 1990»

Optionally, if your date or number format requires non-U.S. thousands and decimal separators, you can specify which separators you want to use in the LANGUAGE instruction. The first character must be the thousands separator and the second character must be the decimal separator. For example:

«LANGUAGE ".," FRA»
Note:
  • For more detailed information on using foreign language templates, see Create a Foreign Language Template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > LANGUAGE CODE


HotDocs Help - LIMIT NUM

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

LIMIT NUM

Placeholder | Replace With
NUM | A whole number, Number variable, or numeric expression

The LIMIT instruction limits the number of times a dialog can be repeated. It is placed in the script of the dialog that must be limited to a specific number of repetitions.

When setting repeat limits, assign a number value or numeric expression. For example, the dialog, Daily Schedule Information, gathers information about the scheduled activities for each day of the work week, so it needs to be limited to five repetitions. The following would be placed in the dialog's script:

LIMIT 5
Note:
  • You can let the user change the limit each time a document or form is assembled by replacing the NUM placeholder with a Number variable. Make sure the Number variable gets answered before the REPEAT instruction is processed.
  • To control the number of viewable rows in a spreadsheet (but still allow users to enter as many answers as they need), enter the number in the Rows to display box. (Make sure Spreadsheet is selected as the Style.)

Home > All About... > Using Instruction Models > LIMIT NUM


HotDocs Help - OMIT VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

OMIT VAR

Placeholder | Replace With
VAR | A variable used in an answer source

The OMIT VAR instruction, which you use in a dialog script, keeps variables from appearing in the Edit Answer Source dialog box of an answer source.

Answer sources are associated with specific dialogs in a template. When users view the dialog during the interview, they can click a special button, which displays a list of answers that were entered during previous interview sessions. They can either select an existing set of answers or add a new set to the list.

After creating an answer source for one dialog, you can use it with other dialogs, including dialogs in other templates. When using an answer source with multiple dialogs, each variable must be represented in both the answer source file and in each dialog. If a variable that is referenced in the answer source file isn’t included in the dialog (or vice-versa), answers in the answer source will get “mixed together” whenever you add, edit, or delete records.

In some situations though, it isn’t always practical or relevant to show the user every variable—either in the dialog or in the Select From Answer Source dialog box. To accommodate this, you can use the HIDE, CONCEAL, and OMIT instructions to manipulate these variables in both the dialog and the answer source. Specifically, HIDE keeps a variable from appearing in the dialog, while CONCEAL keeps it from appearing in the answer source spreadsheet. OMIT keeps it from appearing in the answer source altogether, but still allows you to use it in the dialog. Often, you must use a combination of these instructions to achieve your desired result.

For example, say you have a dialog that shows information about a client, including how much a client owes in payments to the firm. Because information about amounts owed changes, it would not make sense to include it in the answer source. To keep it from appearing in the answer source—both in the Select From Answer Source dialog and in the Edit Answer Source dialog—you would use the OMIT instruction, like this:

OMIT Amount Owed

The variable would be asked on the dialog, however, so the user could answer it.

See Suggest an Answer Source for Dialogs for more information.

Home > All About... > Using Instruction Models > OMIT VAR


HotDocs Help - PLAY "MACRO"

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

PLAY "MACRO"

Placeholder | Replace With
"MACRO" | A word processor macro that performs a certain function in your template

The PLAY "MACRO" instruction plays a word processor macro after the document is assembled and either sent to the word processor, printed, or saved.

Where you store the macro depends on which word processor you are using:

  • For WordPerfect users, the macro can be stored anywhere. The PLAY instruction must include the file name of the macro, and if the macro is stored anywhere other than the default macro folder, the instruction must include a full path to the file as well.
  • For Word DOT users, the macro must be stored in the template itself, in Normal.dot, or in any global template that is automatically loaded when you start Word.
  • For Word RTF users, the macro must be stored either in Normal.dot, in any global template that is automatically loaded when you start Word, or in a Word template you associate with the template through Component Manager. (See Specify a Word Template for Storing Post-Assembly Macros for details.)

Macros can be helpful in many situations, such as making sure the format of an inserted clause matches the rest of the document. For example, the text in the Authority Clause document may be formatted differently than the text in the main document. You could create a macro that can adjust the formatting so that it’s uniform:

«INSERT "Authority Clause.rtf"»
«PLAY "Standard_Format"»

To insert a PLAY instruction in a template

  1. At the template, position the cursor in the template where you want the PLAY instruction.
  2. If you are using Microsoft Word:
    1. Click the HotDocs menu in the HotDocs toolbar and choose Other Field from the list of options. The Other Field dialog box appears.
    2. Click the Field type drop-down button and choose PLAY.
    3. In the Macro name box, enter the name of the macro you want to run.
    4. Click OK. The instruction is inserted in the template.
  3. If you are using WordPerfect:
    1. Copy an existing variable or instruction field in the template.
    2. Replace text between the chevrons (« ») with the PLAY instruction.

See Specify a Word Template for Storing Post-Assembly Macros for more information.

Note: PLAY instructions are executed when you create an actual document from the assembly. This includes sending the document to the word processor, saving the document, or printing a copy of the document. If there are multiple instructions, they are processed in the order they are encountered.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > PLAY "MACRO"


HotDocs Help - QUIT

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

QUIT

The QUIT instruction allows you to close the variable without losing the work you have done. Normally, HotDocs will not save an invalid computation. The only way to exit an invalid computation is to click Cancel, which erases the script. The instruction is usually placed at the beginning of an unfinished or invalid computation.

For example, perhaps you aren't sure about the specific variable names that need to be included because the variables have not yet been created. Normally, HotDocs won’t allow an unfinished script to be saved. The QUIT instruction, though, makes this possible:

QUIT
IF Client History = "____"
  SET ____ TO "Returning"
ELSE
  SET ____ TO "New"
END IF

Another useful place to include a QUIT instruction is at the end of a computation, which allows you to enter "developer comments" about the computation script. You can also apply a comment block to the section of the script you don't want processed. To do this, select that section of the script and click the Comment Block Comment Block button. (To uncomment the script, click the Uncomment Block Uncomment Block button.)

Caution: If you use a QUIT instruction in a script, it will cause all the scripting after the instruction to lose its syntax-aware formatting. To restore this formatting once you remove the QUIT instruction, click the Auto Format Auto Format button.

Home > All About... > Using Instruction Models > QUIT


HotDocs Help - REPEAT DIALOG; END REPEAT

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

REPEAT DIALOG; END REPEAT

Placeholder | Replace With
DIALOG | A dialog with a repeat style specified

A REPEAT instruction gathers lists of answers and merges them into a document.

For example, the following script gathers a list of editors and inserts them into the assembled document:

«REPEAT Editor Information»
Editor: «Editor First Name» «Editor Last Name»
«END REPEAT»

Each REPEAT instruction must also include an END REPEAT instruction, which tells HotDocs to stop repeating the variables within the instruction.

This next computation script actually contains two repeated dialogs—one nested in another. It produces a list of editors as well as the titles and authors he or she is currently working with:

""
REPEAT Editor Information
  RESULT + "Editor: " + Editor First Name +  " " + Editor Last Name + "
"
  REPEAT Book Information
    RESULT + "Book Title: " + Book Title + "
" + "Author: " + Author First Name + " " + Author Last Name + "
"
  END REPEAT
END REPEAT

You can create up to three levels of sublists by nesting REPEAT instructions. (See Overview: Create Lists Within a List.)

Note:
  • For more information about creating lists of answers, see Overview: Include Lists in Your Documents.
  • While editing complicated sequences, you can jump from the END REPEAT instruction to its associated REPEAT instruction, or vice versa, by placing the cursor within the REPEAT or END REPEAT chevrons, then clicking the Match Fields Match Fields button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > REPEAT DIALOG; END REPEAT


HotDocs Help - REQUIRE ALL; REQUIRE VAR

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

REQUIRE ALL; REQUIRE VAR

Placeholder | Replace With
VAR | Any variable used in a dialog

The REQUIRE instruction requires users to answer questions in a dialog before they can advance to the next dialog in the interview.

REQUIRE instructions ensure that important information is not left out of the assembled document. For example, a certain document requires the user to enter the date when a legal filing was first made. Later in the template, this date is used to calculate a deadline for subsequent filings. Many users, however, may not take the time to look up the initial filing date, which creates problems for calculating the deadline. Using the REQUIRE instruction in a dialog script, as shown in this example script, can help resolve this problem:

REQUIRE Initial Filing Date

When a dialog script contains a REQUIRE instruction, a red mark appears on the dialog icon in the interview outline. The question in the dialog is also marked. This mark remains until the required variable is answered. If a user tries to move to another dialog, HotDocs displays an error message, then moves the cursor to the first required answer field in the dialog. Users cannot advance to the next dialog without first providing the required answers.

Note:
  • It may be helpful to include text in the dialog that provides users with information about which fields are mandatory and why. See Add Text to Your Dialogs for details.
  • You can customize the marks used in the dialog by specifying your options at HotDocs Options. See Customize the Look of the Dialog Pane.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > REQUIRE ALL; REQUIRE VAR


HotDocs Help - SET VAR TO VALUE

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

SET VAR TO VALUE

Placeholder | Replace With
VAR | Any variable
VALUE | A value appropriate for the associated variable
Note: For a more detailed explanation of setting variables to values, see Automatically Assign Answers to a Variable.

This instruction lets you specify a given value for a variable’s answer automatically, rather than allow the user to specify an answer. With the SET instruction, you can transfer names and other values from one variable to another.

For example, if the plaintiff is the same as the client, you can use a SET instruction to automatically enter the plaintiff’s name as the client’s, saving the user from typing the name a second time:

IF Is Plaintiff Also Client
  SET Client Name TO Plaintiff Name
END IF
Caution: Because HotDocs repeatedly processes SET instructions during the course of an interview, you must not let the user specify a different answer for a variable whose value is being SET. When HotDocs updates the interview, the user’s answer will be replaced with the value from the SET instruction. To suggest an answer for the user and allow them to change it, use the DEFAULT instruction. (See Differences Between SET and DEFAULT Instructions for an explanation.)
Note:
  • If you are grouping two or more child (inserted) dialogs in a parent dialog, you can SET the child dialog's status to TRUE. This forces the contents of the child dialog to automatically appear in the interview outline. (See Group Child Dialogs in a Parent Dialog for details.)
  • To set two or more options for a Multiple Choice variable, separate each option with a vertical bar (for example, SET MC Variable TO "Option1|Option2|Option3")

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > SET VAR TO VALUE


HotDocs Help - WHILE EXPRESSION; END WHILE

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • Full List of Instruction Models
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • WHILE EXPRESSION; END WHILE

How Do I...?

  • Use the Script Editor
  • View an Outline of Scripting in the Template

WHILE EXPRESSION; END WHILE

Placeholder | Replace With
EXPRESSION | An expression that results in true or false Note: A True/False expression can be as complicated as it needs to be, but it must result in either true or false. For example, the expression YEARS FROM( Child’s Birth Date, TODAY ) produces a number (the age of a person), not a true or false value—it is not a True/False expression. But the expression YEARS FROM( Child’s Birth Date, TODAY )> 17 can only result in true or false. It is a True/False expression.

The WHILE EXPRESSION instruction allows you to repeatedly process (or loop through) an answer or set of answers until a certain condition is met, such as a certain answer is found or a limit is reached.

Before using the WHILE instruction, you should understand the following:

  • The WHILE instruction must be used in a computation or dialog script—it cannot be inserted directly into a template.
  • When using the WHILE instruction inside of a REPEAT instruction, the WHILE instruction will not affect the underlying COUNTER variable associated with the REPEAT instruction. If you need to count something within a WHILE loop, you must create your own temporary counter. Additionally, to access repeated variables in a WHILE loop, you must use explicit indexing.
  • Unless the instructions inside the WHILE loop include an instruction that increments the temporary counter, the WHILE instruction will repeat until the Maximum WHILE iterations limit is reached. You can specify this property at the Component File Properties dialog box. (See Change Component File Properties.) To avoid problems like this, make sure you increment the temporary counter.

In the following example, you want to create a list of signers in a will. Since the signers may include both beneficiaries and fiduciaries, you want to merge both lists into one. Because some fiduciaries may also be beneficiaries, you will want to remove any duplicate names. To loop through the list of fiduciaries, you will use the WHILE instruction:

SET Signer Count TO 0
REPEAT Beneficiary Information
  INCREMENT Signer Count
  SET Signer Name[Signer Count] TO Beneficiary Name
END REPEAT
REPEAT Fiduciary Information
  SET Lookup TO 1
  WHILE Lookup <= Signer Count AND Fiduciary Name != Signer Name[Lookup]
    INCREMENT Lookup
  END WHILE
  IF Lookup > Signer Count
    INCREMENT Signer Count
    SET Signer Name[Signer Count] TO Fiduciary Name
  END IF
END REPEAT

In the first part of this script, the Beneficiary Information dialog is repeated, and as answers are entered, their values are set to be used for Signer Name (which is the variable that will be repeated to insert all the names of the signers). Then, in the second part of the script, as the Fiduciary Information dialog is repeated, HotDocs uses the WHILE expression to test whether the name of the fiduciary is the same as any of the beneficiary names. If it is not, it will likewise be added to the Signer Information dialog. (When you insert the REPEAT instruction for the Signer Information dialog in the template, clear the Ask Automatically option at the Dialog Editor (Options tab). See Control Whether Dialogs are Asked Automatically for details.)

In the next example, you need to remove unwanted space characters from a user's account number. Here, the WHILE instruction is used to repeat an answer, character by character, so that HotDocs can check to see if there are space characters in the answer. If there are, HotDocs removes them and rewrites the answer.

SET Count Index TO 1
WHILE Count Index <= LENGTH( Account Number )
  IF MID(Account Number, Count Index, 1 ) = " "
    SET Account Number TO FIRST( Account Number, Count Index -1 ) + LAST( Account Number, LENGTH(Account Number) - Count Index)
  ELSE
    INCREMENT Count Index
  END IF
END WHILE

This script uses a temporary counter (Count Index) to keep track of which character in the answer HotDocs is looking at. Any time the answer is repeated and HotDocs finds a space character, it removes it by concatenating the characters before and after the space character. HotDocs then makes sure that the new character it is now examining isn't a space character either. If it is not, HotDocs increments the temporary counter, moves to the next character, and repeats this process.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Instruction Models > WHILE EXPRESSION; END WHILE


HotDocs Help - Using Expression Models

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using Expression Models

Overview: Instruction and Expression Models

Use Operators When Scripting

Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts

Use the Script Editor

Full List of Expression Models

Enter a Date

Enter a Number

Enter some Text

Enter True or False

ABSOLUTE VALUE( NUM )

AGE( DATE )

ANSWERED( DIALOG )

ANSWERED( VAR )

COUNT( DIALOG )

COUNTER

COUNT( MULT_CHOICE_VAR )

DATE - NUM DAYS

DATE - NUM MONTHS

DATE - NUM YEARS

DATE + NUM DAYS

DATE + NUM MONTHS

DATE + NUM YEARS

DATE OF( NUM, NUM, NUM )

DAY OF( DATE )

DAY OF WEEK( DATE )

DAYS FROM( DATE, DATE )

FIRST( TEXT, NUM )

FORMAT( VALUE, "EXAMPLE" )

INTEGER( TEXT )

LAST( TEXT, NUM )

LENGTH( TEXT )

MAX( NUM, NUM )

MID( TEXT, NUM, NUM )

MIN( NUM, NUM )

MONTH OF( DATE )

MONTHS FROM( DATE, DATE )

MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT

NOT TRUE_FALSE

OTHER( MULT_CHOICE_VAR )

POSITION( TEXT, TEXT )

POWER( NUM, NUM )

REMAINDER( NUM, NUM )

REPLACE( TEXT, TEXT, TEXT, NUM )

RESULT

ROUND( NUM, NUM )

SELECTION( MULT_CHOICE_VAR, NUM )

SPACE( TEXT, TEXT )

STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )

SUM( COMPUTATION_VAR )

SUM( NUM_VAR )

TEXT CONTAINS TEXT

TODAY

TRUNCATE( NUM, NUM )

UNANSWERED

UNION( MULT_CHOICE, MULT_CHOICE )

VALUE( VAR, EXPRESSION )

YEAR OF( DATE )

YEARS FROM( DATE, DATE )

ZERO( NUM_VAR )

Home > All About... > Using Expression Models


HotDocs Help - Full List of Expression Models

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

Full List of Expression Models

Expression | Description
Enter a Date | You can use this expression to format your dates correctly as you write computations.
Enter a Number | You can use the Enter a Number expression to format numbers correctly as you write computations. Numbers in computations and expressions must be in numeric form and cannot contain commas. If you enter a number that contains a comma, it will be removed from the value. Decimals must have one digit to the left of the decimal point, even if it is only a zero.
Enter some Text | You can use the Enter some Text expression to format a text string correctly as you write computations. When used in computations and expressions, text strings must be inside quotation marks. This expression adds those quotation marks to the text string.
Enter True or False | You can use this expression to enter a TRUE or FALSE value in a computation or expression script. True/False values must use uppercase letters.
ABSOLUTE VALUE( NUM ) | Using the ABSOLUTE VALUE expression, you can find the absolute value of a given number. You can calculate a negative number, but have it appear as a positive number.
AGE( DATE ) | The AGE( DATE ) expression produces an age, in years, by calculating the number of years between the current date (as determined by your computer’s system clock) and a date you provide in the computation script.
ANSWERED( DIALOG ) | HotDocs can determine whether a dialog has been answered using the ANSWERED expression. Even if only one variable in the dialog is answered, the expression returns a value of true.
ANSWERED( VAR ) | You can use the ANSWERED expression to determine whether a HotDocs variable has been assigned a value. If so, the expression receives the value of true.
COUNT( DIALOG ) | You can find out how many sets of answers a user provides for a repeated dialog. A repeated dialog is any dialog used in a REPEAT instruction. This expression produces a number, based on each answered dialog.
COUNT( MULT_CHOICE_VAR ) | This expression counts how many options a user chooses when answering a Multiple Choice variable. The result it produces is a number.
COUNTER | You can use the COUNTER expression to keep track of the current number of repetitions of a repeated dialog. Each time a user clicks the Next Next button at a repeated dialog and provides additional information, the value of COUNTER increases.
DATE - NUM DAYS | You can subtract any number of days from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.
DATE - NUM MONTHS | You can subtract a certain number of months from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.
DATE - NUM YEARS | You can subtract a certain number of years from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.
DATE + NUM DAYS | You can add any number of days to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.
DATE + NUM MONTHS | You can add any number of months to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.
DATE + NUM YEARS | You can add a certain number of years to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.
DATE OF( NUM, NUM, NUM ) | This expression finds a date value based on day, month, and year values.
DAY OF( DATE ) | This expression returns the day portion (1 to 31) of a given date.
DAY OF WEEK( DATE ) | This expression determines on which day of the week a specific date falls and converts that value to an integer.
DAYS FROM( DATE, DATE ) | This expression allows you to find the number of days between two dates.
FIRST( TEXT, NUM ) | Using this expression, you can return any number of characters starting with the first character in an answer value.
FORMAT( VALUE, "EXAMPLE" ) | Sometimes you may need to add a date, number, or true/false value to a text value. You can do this by formatting the date, number, or true/false value as text.
INTEGER( TEXT ) | Sometimes you may have a text value that contains number characters, as in the case of a time of day value. The INTEGER expression allows you to convert those number characters into numeric values so you can perform calculations or compare them with other values.
LAST( TEXT, NUM ) | The LAST expression finds and returns a certain number of characters from the end of a text string.
LENGTH( TEXT ) | The LENGTH expression counts the number of characters—including spaces and punctuation—in a text value, such as a Text variable.
MAX( NUM, NUM ) | The MAX expression compares two number values and returns the greater of the two.
MID( TEXT, NUM, NUM ) | Like the FIRST and LAST expressions, this expression extracts a specified number of characters from within a text string.
MIN( NUM, NUM ) | The MIN expression compares two number values and returns the lesser of the two.
MONTH OF( DATE ) | This expression returns the month portion of a given date.
MONTHS FROM( DATE, DATE ) | The MONTHS FROM expression calculates the number of months between two given dates.
MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT | The MULT_CHOICE = TEXT expression returns true when the user chooses a Multiple Choice option that is equal to ( = ) a given text value. If it is not equal ( != ), the expression returns false. The MULT_CHOICE != TEXT expression functions in the opposite way—testing instead to see if an answer is not equal to ( != ) a given text value.
NOT TRUE_FALSE | You can use the NOT TRUE_FALSE expression to find out if a True/False variable is false.
OTHER( MULT_CHOICE_VAR ) | This expression determines whether the user has chosen the Other option of a Multiple Choice variable and, if so, returns the text entered in the Other field. It can also be used to test whether the user has selected the None of the Above option.
POSITION( TEXT, TEXT ) | The POSITION expression finds the position of a certain character or character string in a given text value. It is useful if you need to find a character you know will be in an answer but are not sure where it will appear. It returns a number value, which represents the first character.
POWER( NUM, NUM ) | The POWER expression generates a numeric value, based on a given exponent.
REMAINDER( NUM, NUM ) | The REMAINDER expression returns the remainder of a division. If the denominator is a zero, HotDocs generates a divide by zero error.
REPLACE( TEXT, TEXT, TEXT, NUM ) | This expression lets you search a string of text for a given character string and replace the results with new text.
RESULT | As you write computations, you often need HotDocs to acknowledge what the result would be at that point in the script. You can update this answer by using the RESULT expression.
ROUND( NUM, NUM ) | You can round a number value to a specified number of places.
SELECTION( MULT_CHOICE_VAR, NUM ) | This expression lets you retrieve individual options (answers) selected in a Multiple Choice variable. It returns a text value that corresponds to the defined answer (as designated by the NUM placeholder).
SPACE( TEXT, TEXT ) | This expression tests whether the variable is answered. If it is, it merges the answer, followed by a space character. If the variable is unanswered, it merges nothing ("").
STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE ) | This expression removes a specified character or characters from the beginning or end of a text answer. By default, HotDocs removes the characters from both the beginning and the end of the text. If you want to specify just one or the other, you must use the TRUE_FALSE parameters.
SUM( COMPUTATION_VAR ) | Using the SUM( COMPUTATION_VAR ) expression, you can add computation values that have been repeated.
SUM( NUM_VAR ) | Using the SUM expression, you can add repeated number values.
TEXT CONTAINS TEXT | The TEXT CONTAINS TEXT expression determines whether the first text value contains the same text as the second value. If it does, it returns the value of true.
TODAY | This expression returns the current date, according to your computer’s system clock.
TRUNCATE( NUM, NUM ) | You can truncate a decimal number a specified number of places after a decimal point.
UNANSWERED | This expression removes an assigned value from a variable. It is used most often with the SET VAR TO VALUE instruction:
UNION( MULT_CHOICE, MULT_CHOICE ) | This expression creates a single list of all unique options (answers) that have been selected across two or more Multiple Choice variables.
VALUE( VAR, EXPRESSION ) | This expression returns a default value for the variable type if the variable is unanswered. If the variable is answered, the value is the answer the user specifies.
YEAR OF( DATE ) | You can use this expression model to find the year portion of a given date.
YEARS FROM( DATE, DATE ) | This expression calculates the number of years between two given dates.
ZERO( NUM_VAR ) | This expression returns the value of zero only if a Number variable is unanswered. If the Number variable is answered, the value is the answer the user specifies.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Full List of Expression Models


HotDocs Help - Enter a Date

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

Enter a Date

You can use this expression to format your dates correctly as you write computations.

To use the expression, drag the Enter a Date expression into the Script or Expression box. The Enter a Date dialog appears where you can type a date into the field, or you can use the pop-up calendar to select a date. When you click OK, HotDocs inserts the date at the cursor position in the correct format, for example, 3 JUN 1990.

Home > All About... > Using Expression Models > Enter a Date


HotDocs Help - Enter a Number

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

Enter a Number

You can use the Enter a Number expression to format numbers correctly as you write computations. Numbers in computations and expressions must be in numeric form and cannot contain commas. If you enter a number that contains a comma, it will be removed from the value. Decimals must have one digit to the left of the decimal point, even if it is only a zero.

To use the expression, drag the Enter a Number expression into the Script or Expression box. The Enter a Number dialog box appears. Enter a number and click OK. The correctly formatted number is inserted at the cursor position.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Enter a Number


HotDocs Help - Enter some Text

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

Enter some Text

You can use the Enter some Text expression to format a text string correctly as you write computations. When used in computations and expressions, text strings must be inside quotation marks. This expression adds those quotation marks to the text string.

To use the expression, drag the Enter some Text expression into the Script or Expression box. The Enter some Text dialog box appears. Enter some text and click OK. HotDocs inserts that text—in quotation marks—at the cursor position.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Enter some Text


HotDocs Help - Enter True or False

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

Enter True or False

You can use this expression to enter a TRUE or FALSE value in a computation or expression script. True/False values must use uppercase letters.

To use the expression, drag the Enter True or False expression into the Script or Expression box. The Enter True or False dialog box appears. Click either True or False. The keyword you choose is inserted in all capital letters at the cursor position.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > Enter True or False


HotDocs Help - ABSOLUTE VALUE( NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

ABSOLUTE VALUE( NUM )

Placeholder | Replace With
NUM | A number value for which you want the absolute value returned. Can be a Number variable or a fixed number value.

Using the ABSOLUTE VALUE expression, you can find the absolute value of a given number. You can calculate a negative number, but have it appear as a positive number.

For example, you may need to send a notice to a client about an account balance. Not knowing whether it will be a positive or negative balance, you would create the computation Absolute Value of Final Balance, which would return a positive expression, regardless. The computation script is:

ABSOLUTE VALUE( Final Balance )

Once you have created the computation, you can use an IF/ELSE expression to merge the desired text with the correct value in the document:

«IF Final Balance < 0»
Your account is $«Absolute Value of Final Balance» overdrawn.
«ELSE»
You have $«Absolute Value of Final Balance» in your account.
«END IF»

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > ABSOLUTE VALUE( NUM )


HotDocs Help - AGE( DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

AGE( DATE )

Placeholder | Replace With
DATE | A date value, which you want to check against the current date. This can be a Date variable or a fixed date value.

The AGE( DATE ) expression produces an age, in years, by calculating the number of years between the current date (as determined by your computer’s system clock) and a date you provide in the computation script.

For example, the following script determines the age of the user based on his or her birth date:

AGE( Birth Date )

In the following conditional script, HotDocs determines whether the client is under the age of 18. If so, the Parent-Guardian Information dialog is asked. If the client is over the age of 18, no dialogs are asked.

IF AGE( Birth Date ) < 18
  ASK Parent-Guardian Information
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > AGE( DATE )


HotDocs Help - ANSWERED( DIALOG )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

ANSWERED( DIALOG )

Placeholder | Replace With
DIALOG | A dialog name

HotDocs can determine whether a dialog has been answered using the ANSWERED expression. Even if only one variable in the dialog is answered, the expression returns a value of true.

Let's suppose you have a dialog that gathers information about a decedent (Decedent Information). From within this dialog, a user could open an inserted dialog that asks questions about the decedent's assets (Decedent's Assets). Later in the template, you could ask additional questions based on whether these dialogs have been answered:

IF ANSWERED( Decedent Information ) AND ANSWERED( Decedent's Assets )
  ASK Asset Distribution Information
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > ANSWERED( DIALOG )


HotDocs Help - ANSWERED( VAR )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

ANSWERED( VAR )

Placeholder | Replace With
VAR | A variable

You can use the ANSWERED expression to determine whether a HotDocs variable has been assigned a value. If so, the expression receives the value of true.

Caution:If you are testing whether a user has ANSWERED a variable, you must make sure the variable is presented to the user using a custom dialog. Using the ANSWERED( VAR ) expression alone will not automatically force HotDocs to display the variable for the user.

For example, you may place a variable for the second line of an address (Client Address 2) in a custom dialog; however, not all users will provide information for that variable. In the template text, you can surround Client Address 2 with an IF expression that merges that variable into the document—only if the user answers it:

«Client Name»
«Client Address 1»
«IF ANSWERED( Client Address 2 )»
«Client Address 2»
«END IF»
«Client City», «Client State» «Client ZIP»

In this script, the ANSWERED expression is used with an IF expression to insert or remove Client Address 2, based on whether the user has provided that information. (Without it, the default unanswered text, ***Client Address 2***, would be inserted in the assembled document.)

Note: Even if a user chooses not to answer a variable that has been tested using the ANSWERED expression, HotDocs will still warn that it is unanswered. If you don't want a warning to appear, clear Warn when unanswered at the Advanced tab of the Variable Editor. (Control How HotDocs Processes a Variable.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > ANSWERED( VAR )


HotDocs Help - COUNT( DIALOG )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

COUNT( DIALOG )

Placeholder | Replace With
DIALOG | A dialog name

You can find out how many sets of answers a user provides for a repeated dialog. A repeated dialog is any dialog used in a REPEAT instruction. This expression produces a number, based on each answered dialog.

The following example determines if there is more than one fiduciary. If there is, certain prefixes and plural abbreviations are added to the fiduciary title so the paragraph is structured correctly.

I appoint «REPEAT Fiduciary Information:a, b, and c»«Fiduciary Name:LIKE THIS»«END REPEAT» as «IF COUNT( Fiduciary Information ) > 1»Co-«Fiduciary Title»s«ELSE»«Fiduciary Title»«END IF».

This expression uses the COUNT instruction to determine if Fiduciary Information is answered more than once. If it is, the Co- prefix is inserted before Fiduciary Title, and the plural s is inserted at the end of the variable. For example, in the assembled document, the answer may be inserted as Co-Executors or Co-Personal Representatives.

Note: The difference between COUNT and COUNTER is that COUNT counts the number of repetitions in a list, while COUNTER gives you the number of the current repetition.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > COUNT( DIALOG )


HotDocs Help - COUNTER

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

COUNTER

You can use the COUNTER expression to keep track of the current number of repetitions of a repeated dialog. Each time a user clicks the Next Next button at a repeated dialog and provides additional information, the value of COUNTER increases.

For example, a user may want to create a word processor table that contains a numbered list of clients:

«REPEAT Client Information»
«COUNTER». «Client Name»
«END REPEAT»

In the example above, Client Information repeats the Client Name variable. Each time a user enters a different client, COUNTER is incremented and merged into the assembled document. For example:

1. John TeNgaio
2. Erica Nees
3. Lisa Alvey
4. Jonathan Rainwater

HotDocs also uses COUNTER as a way to compare two incrementing number values. For example, perhaps you want to list the last child named in a repeated dialog:

""
REPEAT Children Information
  ASCEND Child Birth Date
  IF COUNTER = COUNT( Children Information )
    RESULT + "The youngest child is " + Child Name
  END IF
END REPEAT

In this computation script, HotDocs first sets the value of the computation to nothing. It then processes the REPEAT instruction, sorting the children based on their birth dates. It uses COUNTER to determine when the last answer in the dialog is given (by comparing it to the COUNT of the dialog), and then merges the name of the youngest child in the list into the document.

Note: The difference between COUNT and COUNTER is that COUNT counts the number of repetitions in a list, while COUNTER gives you the number of the current repetition.

Home > All About... > Using Expression Models > COUNTER


HotDocs Help - COUNT( MULT_CHOICE_VAR )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

COUNT( MULT_CHOICE_VAR )

Placeholder | Replace With
MULT_CHOICE_VAR | A Multiple Choice variable with the Select option set to All That Apply

This expression counts how many options a user chooses when answering a Multiple Choice variable. The result it produces is a number.

For example, suppose the user wants to generate a list of cities in which an author plans to make appearances. There might be one—or many—depending on the schedule. HotDocs can merge the correct term—city or cities—into the document once it knows how many cities were selected from the Multiple Choice variable:

IF COUNT( Publicity Tour City ) = 1
  "city"
ELSE IF COUNT( Publicity Tour City ) > 1
  "cities"
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > COUNT( MULT_CHOICE_VAR )


HotDocs Help - DATE - NUM DAYS

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE - NUM DAYS

Placeholder | Replace With
DATE | A date value, such as a Date variable
NUM | A number value

You can subtract any number of days from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation calculates the date the books need to arrive at the warehouse before they can be shipped:

Shipping Date - 14 DAYS

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE - NUM DAYS


HotDocs Help - DATE - NUM MONTHS

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE - NUM MONTHS

Placeholder | Replace With
DATE | A date value, such as a Date variable
NUM | A number value

You can subtract a certain number of months from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

In the following example, HotDocs subtracts four months from the Shipping Date and inserts the new date:

Shipping Date - 4 MONTHS

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE - NUM MONTHS


HotDocs Help - DATE - NUM YEARS

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE - NUM YEARS

Placeholder | Replace With
DATE | A date value, such as a Date variable
NUM | A number value

You can subtract a certain number of years from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation subtracts two years from Marriage Date:

Marriage Date - 2 YEARS

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE - NUM YEARS


HotDocs Help - DATE + NUM DAYS

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE + NUM DAYS

Placeholder | Replace With
DATE | A date value, such as a Date variable
NUM | A number value

You can add any number of days to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation script adds 90 days to the Date variable, Purchase Date:

Purchase Date + 90 DAYS

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE + NUM DAYS


HotDocs Help - DATE + NUM MONTHS

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE + NUM MONTHS

Placeholder | Replace With
DATE | A date value, such as a Date variable
NUM | A number value

You can add any number of months to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation determines what the date will be six months from the date the document is assembled:

TODAY + 6 MONTHS

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE + NUM MONTHS


HotDocs Help - DATE + NUM YEARS

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE + NUM YEARS

Placeholder | Replace With
DATE | A date value, such as a Date variable
NUM | A number value

You can add a certain number of years to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

In this script, HotDocs adds 30 years to the date the loan originated:

Loan Origination Date + 30 YEARS

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE + NUM YEARS


HotDocs Help - DATE OF( NUM, NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DATE OF( NUM, NUM, NUM )

Placeholder | Replace With
NUM | A number value representing the day of the month (from 1 to 31)
NUM | A number value representing the month (from 1 to 12)
NUM | A number value representing the year (should be four digits)

This expression finds a date value based on day, month, and year values.

You can use this expression to compare a date the user gives with another date, such as a cut-off date for when an employee had to be hired to qualify for a yearly bonus:

IF Hire Date <= DATE OF ( 15, 8, YEAR OF( TODAY ) )
  Employee Name  + " qualifies for the annual bonus."
END IF

HotDocs uses an IF instruction to compare Hire Date with August 15 of the current year. If the comparison returns a true value, the employee qualifies for the bonus.

Suppose, in this next example, a new employee qualifies for a benefits package on the first day of the second month of employment—regardless of what day the employee was hired during the first month of employment. You can calculate that date with the DATE OF expression:

DATE OF ( 1, MONTH OF( Hire Date + 1 MONTHS ), YEAR OF( Hire Date + 1 MONTHS ))

The first parameter in the expression, 1, tells HotDocs to specify the first day of the month. The second parameter identifies the month of the hire date and adds one month. The third parameter determines the year of the hire date (plus one month).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DATE OF( NUM, NUM, NUM )


HotDocs Help - DAY OF( DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DAY OF( DATE )

Placeholder | Replace With
DATE | A date value

This expression returns the day portion (1 to 31) of a given date.

The following computation is used to determine when a new employee can begin accruing vacation days. If the employee is hired on the first day of the month, he or she immediately begins accruing time off. Otherwise, he or she begins accruing at the beginning of the next month:

IF DAY OF ( Hire Date ) = 1
  SET Start Accruing Date TO Hire Date
ELSE
  SET Start Accruing Date TO DATE OF( 1, MONTH OF( Hire Date + 1 MONTHS ), YEAR OF( Hire Date + 1 MONTHS ) )
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DAY OF( DATE )


HotDocs Help - DAY OF WEEK( DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DAY OF WEEK( DATE )

Placeholder | Replace With
DATE | A Date variable

This expression determines on which day of the week a specific date falls and converts that value to an integer.

These integers are as follows:

Sunday = 1
Monday = 2
Tuesday = 3
Wednesday = 4
Thursday = 5
Friday = 6
Saturday = 7

For example, perhaps you want to determine whether a payment due date falls on a Saturday or Sunday. If it does, HotDocs moves the payment due date to the following Monday. The following script shows how this works:

IF DAY OF WEEK( Payment Date ) = 7
  Payment Date + 2 DAYS
ELSE IF DAY OF WEEK( Payment Date ) = 1
  Payment Date + 1 DAYS
ELSE
  Payment Date
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DAY OF WEEK( DATE )


HotDocs Help - DAYS FROM( DATE, DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

DAYS FROM( DATE, DATE )

Placeholder | Replace With
DATE | A date value, such as a Date variable
DATE | A date value, such as a Date variable. (These can be in any order.)

This expression allows you to find the number of days between two dates.

In the following example, a buyer has 60 days to make a payment on an account balance. If the buyer has miss ed the payment deadline, HotDocs merges a warning into the document:

IF DAYS FROM( Purchase Date, TODAY ) > 60
  "Your account is past due."
ELSE
  "Your account is current. Thank you."
END IF

This example uses an IF/ELSE IF expression to determine the text that must be inserted.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > DAYS FROM( DATE, DATE )


HotDocs Help - FIRST( TEXT, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

FIRST( TEXT, NUM )

Placeholder | Replace With
TEXT | A text value, such as a Text variable, from which the specified number of characters will be returned. This can be a fixed text value, inside quotation marks.
NUM | A number value, such as a Number variable or a fixed number value. It specifies the number of characters you want returned.

Using this expression, you can return any number of characters starting with the first character in an answer value.

The following computation looks at the client’s first, middle, and last names and returns only the first character from each of these variables. When merged together, these characters create the client’s initials:

FIRST( Client First Name, 1 ) + FIRST( Client Middle Name, 1 ) + FIRST( Client Last Name, 1 )

In the following example, the first four characters of a client’s last name are merged with a case number to create a file number.

FIRST( Client Last Name, 4 ) + Case Number

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > FIRST( TEXT, NUM )


HotDocs Help - FORMAT( VALUE, "EXAMPLE" )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

FORMAT( VALUE, "EXAMPLE" )

Placeholder | Replace With
VALUE | Any Number, Date, or True/False variable
"EXAMPLE" | A format example (in quotation marks) you want used with the value. Must be in a format HotDocs can recognize.

Sometimes you may need to add a date, number, or true/false value to a text value. You can do this by formatting the date, number, or true/false value as text.

For example, perhaps you want to create a list of items with their associated monetary values. Because these two values are different in nature, they cannot be added together without first representing the number value as a text value:

""
REPEAT Purchase Information
  RESULT + Item Name + ", " + FORMAT( Item Amount, "$9,999.00" ) + "
"
END REPEAT

In this script, HotDocs first sets the computation value to nothing. Then HotDocs repeats Purchase information and then places the answers for both Item Name and Item Amount (which is formatted to appear as a text value) in the same text string, separated by a comma. If Purchase Information is answered more than once, HotDocs manually inserts a hard return (as shown before the END REPEAT) to create a column of amounts.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > FORMAT( VALUE, "EXAMPLE" )


HotDocs Help - INTEGER( TEXT )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

INTEGER( TEXT )

Placeholder | Replace With
TEXT | A text value, such as a Text variable

Sometimes you may have a text value that contains number characters, as in the case of a time of day value. The INTEGER expression allows you to convert those number characters into numeric values so you can perform calculations or compare them with other values.

INTEGER searches the beginning of a text string for number characters and converts those it finds to numeric values. When it encounters a non-number character (such as a letter or punctuation mark) it stops processing the instruction.

For example, if you tried to find the integer of the word cat, the INTEGER expression would return 0 (zero) since there are no number characters in cat. However, if you used INTEGER on the text value 12:30, it would return the number value 12 since those characters are numbers. (As explained earlier, it stops processing when it reaches a punctuation mark, which in this case is a colon.)

One of the main uses for the INTEGER expression is to compare time values. In the following computation, HotDocs is attempting to determine if a given time value falls after 5:30 P.M. Because time values are text values, the Text variable, Call Time, must first be converted to an integer before it can be used in the comparison:

IF Call Time CONTAINS "p"
  INTEGER( Call Time ) + ( INTEGER( MID( Call Time, 1 + POSITION( Call Time, ":" ), 2 ) ) /60 ) > 5.5
ELSE
  INTEGER( Call Time ) + ( INTEGER( MID( Call Time, 1 + POSITION( Call Time, ":" ), 2 ) ) /60 ) > 17.5
END IF

In this script, Call Time is a Text variable with a 24-hour or 12-hour time pattern (99:99 or 99:99 A.M.). HotDocs first determines if Call Time is in the afternoon (P.M.). If it is, the script uses the INTEGER expression to convert all the digit characters up to the first non-digit character (the colon) into a numeric value. This number represents the hours portion of the total time. Using the MID expression to locate the two digit characters after the colon, it also converts these characters into an integer and divides the value by 60. This number represents the minutes portion of the total time. These two numbers are added together, and if the result is greater than 5.5 (the equivalent of 5:30), the result is true. If the result is not greater than 5.5, the result is false.

The second portion of the script (after the ELSE expression) performs the same functions on a non-afternoon time value—that is, one that is either in 24-hour format or in the morning (A.M.).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > INTEGER( TEXT )


HotDocs Help - LAST( TEXT, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

LAST( TEXT, NUM )

Placeholder | Replace With
TEXT | A text value, such as a Text variable, from which the specified number of characters will be returned. This can be a fixed text value, inside quotation marks.
NUM | A number value, such as a Number variable or a fixed number value. It specifies the number of characters you want returned.

The LAST expression finds and returns a certain number of characters from the end of a text string.

For example, the following text computation returns the last four digits of a Social Security number:

LAST( Social Security Number, 4 )

In the next example, the user wants to make the answer to Item Type plural. Using the LAST expression, HotDocs checks to see if the last letter in the value is a specific letter. If so, HotDocs inserts the correct plural suffix.

IF LAST( Item Type, 1 ) = "s" OR LAST( Item Type, 1 ) = "z"
  Item Type + "es"
ELSE
  Item Type + "s"
END IF
Note: This example script does not take into consideration words that end in “y” or “x” or any other letter that would cause yet a different result. It is only shown here in its most basic form to demonstrate how the LAST expression functions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > LAST( TEXT, NUM )


HotDocs Help - LENGTH( TEXT )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

LENGTH( TEXT )

Placeholder | Replace With
TEXT | A text value, such as a Text variable. HotDocs counts the characters in this value and assigns a numeric value.

The LENGTH expression counts the number of characters—including spaces and punctuation—in a text value, such as a Text variable.

For example, let’s say you want a user to add a descriptive paragraph about the novel he or she has just reviewed. If the description is brief, you’d like to keep it in the same paragraph as the lead-in sentence. However, if the user has much to say about the novel, you would like to start a new paragraph:

«IF LENGTH( Plot Description ) <= 150»
The novel's plot description is as follows: «Plot Description»
«ELSE»
The novel's plot description is as follows:
«Plot Description»
«END IF»

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > LENGTH( TEXT )


HotDocs Help - MAX( NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

MAX( NUM, NUM )

Placeholder | Replace With
NUM | A number value, such as a Number variable
NUM | A number value, such as a Number variable (These values can be in any order.)

The MAX expression compares two number values and returns the greater of the two.

In this example, HotDocs returns the value of either the Monthly Salary or the Monthly Expenses, depending on which is the greater value:

MAX( Monthly Salary, Monthly Expenses )

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > MAX( NUM, NUM )


HotDocs Help - MID( TEXT, NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

MID( TEXT, NUM, NUM )

Placeholder | Replace With
TEXT | A text value, such as a Text variable, from which the specified number of characters will be returned. This can be a fixed text value, inside quotation marks.
NUM | A number value, such as a Number variable or a number you type. This number specifies where HotDocs starts "returning" characters.
NUM | A number value, such as a Number variable or a number you type. It specifies the number of characters you want returned.

Like the FIRST and LAST expressions, this expression extracts a specified number of characters from within a text string.

For example, a form template may require that the text variable, Telephone Number (with the telephone number pattern), be split into three pre-formatted fields—the area code, the prefix, and the number. In the following example, three different computations would be scripted and inserted into the different fields as follows:

MID( Telephone Number, 2, 3 )
MID( Telephone Number, 7, 3 )
LAST( Telephone Number, 4 )

The first computation, which you would place in the area code field, tells HotDocs to include three characters, starting with the second character (this takes into consideration the opening parenthesis.)

The second computation (the prefix field) starts at the seventh character (again, taking into account the parentheses and space characters between the area code and the prefix), and inserts the next three characters.

The third expression, which uses the LAST expression, returns the last four digits of the phone number by counting backwards from the last character.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > MID( TEXT, NUM, NUM )


HotDocs Help - MIN( NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

MIN( NUM, NUM )

Placeholder | Replace With
NUM | A number value, such as a Number variable
NUM | A number value, such as a Number variable. (These values can be in any order.)

The MIN expression compares two number values and returns the lesser of the two.

In the following number computation, the expression compares the two values, Shipping Costs and Labor Costs, and returns the lesser of the two values:

MIN( Shipping Costs, Labor Costs )

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > MIN( NUM, NUM )


HotDocs Help - MONTH OF( DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

MONTH OF( DATE )

Placeholder | Replace With
DATE | A date value, such as a Date variable

This expression returns the month portion of a given date.

For example, in the following script, a new employee has temporary status until the end of his or her third month with the company. HotDocs uses the MONTH OF expression to specify which month that is:

DATE OF( 1, MONTH OF ( Hire Date + 3 MONTHS ), YEAR OF ( Hire Date + 3 MONTHS ) ) - 1 DAYS

In this example, HotDocs finds the first day of the fourth month of employment. HotDocs then subtracts one day to reveal the last day of the third month—either the 28th, 29th, 30th or 31st—depending on the month. It then inserts the new date into the document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > MONTH OF( DATE )


HotDocs Help - MONTHS FROM( DATE, DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

MONTHS FROM( DATE, DATE )

Placeholder | Replace With
DATE | A date value, such as a Date variable
DATE | A date value, such as a Date variable. (These values can be in any order.)

The MONTHS FROM expression calculates the number of months between two given dates.

The following example finds the number of months between the judgment date and today—in months:

MONTHS FROM( Judgment Date, TODAY )

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > MONTHS FROM( DATE, DATE )


HotDocs Help - MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT

Placeholder | Replace With
MULT_CHOICE | A Multiple Choice variable
TEXT | A text value that is either equal to ( = ) or not equal to ( != ) one of the options in the given Multiple Choice variable, inside quotation marks.

The MULT_CHOICE = TEXT expression returns true when the user chooses a Multiple Choice option that is equal to ( = ) a given text value. If it is not equal ( != ), the expression returns false. The MULT_CHOICE != TEXT expression functions in the opposite way—testing instead to see if an answer is not equal to ( != ) a given text value.

In the following True/False expression, if the user chooses Credit Card as the payment method, HotDocs asks the user for the credit card information:

IF Method of Payment = "Credit Card"
  ASK Credit Card Information
END IF

In the next expression, if Credit Card is not chosen as a method of payment, HotDocs inserts a template which can gather alternate payment information about the user:

IF Method of Payment != "Credit Card"
  INSERT "Alt payment method.RTF"
END IF
Note: When writing this script, you can use the auto-complete functionality to access your list of Multiple Choice options. Specifically, press Ctrl+Spacebar (after you enter the operator) to display a list of the different Multiple Choice options. See Use the Script Editor for full details on using auto-complete as you write scripts.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT


HotDocs Help - NOT TRUE_FALSE

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

NOT TRUE_FALSE

Placeholder | Replace With
TRUE_FALSE | A true/false value, such as a variable or expression that results in true or false.

You can use the NOT TRUE_FALSE expression to find out if a True/False variable is false.

In the following script, HotDocs asks whether the user is a United States citizen. If the user is not, HotDocs asks the user for Visa information:

«IF NOT US Citizen»
«ASK Visa Information»
«END IF»

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > NOT TRUE_FALSE


HotDocs Help - OTHER( MULT_CHOICE_VAR )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

OTHER( MULT_CHOICE_VAR )

Placeholder | Replace With
MULT_CHOICE | A Multiple Choice variable that has either the Other option specified, or the None of the Above option specified

This expression determines whether the user has chosen the Other option of a Multiple Choice variable and, if so, returns the text entered in the Other field. It can also be used to test whether the user has selected the None of the Above option.

For example, a user is given a list of lending agents from which to choose. If the user doesn’t see the correct name on the list, he or she can select Other and specify the correct name. HotDocs then asks for the city in which the lending agent operates, as shown in the following script:

IF Lending Agent = OTHER( Lending Agent )
ASK Lending Agent City
END IF

In this next example, you want to create a list of company representatives. However, if the user doesn't select a company representative, you want the text No representative selected merged.

""
IF OTHER (Company Representative ) = "None of the Above"
  "No representative selected"
ELSE
  FORMAT (Company Representative, "a, b, and c")
END IF

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > OTHER( MULT_CHOICE_VAR )


HotDocs Help - POSITION( TEXT, TEXT )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

POSITION( TEXT, TEXT )

Placeholder | Replace With
TEXT | A text value, such as a Text variable
TEXT | The character or character string for which you want to search

The POSITION expression finds the position of a certain character or character string in a given text value. It is useful if you need to find a character you know will be in an answer but are not sure where it will appear. It returns a number value, which represents the first character.

The following script finds the hyphen in the variable, Case Number, and returns a number value, representing its numeric position in that given text string.

POSITION( Case Number, "-" )

In the next example, the POSITION expression is used as part of a larger computation to test whether a given time falls after 5:30 P.M. POSITION locates the colon (:) in the time value so HotDocs can process the text before and after the colon to find the correct result:

IF Call Time CONTAINS "p"
  INTEGER( Call Time ) + ( INTEGER( MID( Call Time, 1 + POSITION( Call Time, ":" ), 2 ) ) /60 ) > 5.5
ELSE
  INTEGER( Call Time ) + ( INTEGER( MID( Call Time, 1 + POSITION( Call Time, ":" ), 2 ) ) /60 ) > 17.5
END IF

This script first determines if the value of Call Time is in the afternoon (P.M.). If it is, the script uses the POSITION expression to locate the first non-digit character (the colon) so the INTEGER expression can convert all of the digit characters leading up to it into a numeric value.

Once identified, this number represents the hours portion of the total time. Using the MID expression to locate the two digit characters after the colon, it also converts these characters into an integer and divides the value by 60. This number represents the minutes portion of the total time. The hours and minutes are added together, and if the result is greater than 5.5 (the equivalent of 5:30), the result is true. If the result is not greater than 5.5, the result is false.

The second portion of the script (after the ELSE expression) performs the same functions on a non-afternoon time value—that is, one that is either in 24-hour format or in the morning (A.M.).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > POSITION( TEXT, TEXT )


HotDocs Help - POWER( NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

POWER( NUM, NUM )

Placeholder | Replace With
NUM | A number value, such as a Number variable, to be raised to a power
NUM | The exponent (or number that indicates the operation of repeated multiplication)

The POWER expression generates a numeric value, based on a given exponent.

For example, say you want to calculate the future value of an investment:

POWER( ( 1 + Annual Rate of Return ), Number of Years ) * Amount Invested

HotDocs adds 1 to Annual Rate of Return and then raises it to the power of Number of Years. It then multiplies that number by Amount Invested.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > POWER( NUM, NUM )


HotDocs Help - REMAINDER( NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

REMAINDER( NUM, NUM )

Placeholder | Replace With
NUM | A number value, such as a Number variable, to be divided (a numerator)
NUM | A number value, such as a Number variable, by which to divide (a denominator)

The REMAINDER expression returns the remainder of a division. If the denominator is a zero, HotDocs generates a divide by zero error.

In this basic example, HotDocs divides 10 by 3. The remainder of that division is 1:

REMAINDER( 10, 3 )

In this next example, a user enters a time value in number format (such as 6 hours). However, using the REMAINDER expression (as well as TRUNCATE and ROUND), HotDocs causes the value to appear in hours:minutes format:

FORMAT( TRUNCATE ( Number of Hours, 0 ), "9" ) + ":" +
FORMAT( ROUND ( 60 * REMAINDER( Number of Hours, 1 ), 0 ), "09" )

This script takes the value of Number of Hours, which may have a decimal value, and truncates it to a whole number. Then, using the REMAINDER expression, Number of Hours is divided by 1 and the remainder of the division is multiplied by 60 (as in 60 minutes). HotDocs then rounds that value and brings these two values together in a string, separated by a colon. The value is then formatted correctly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > REMAINDER( NUM, NUM )


HotDocs Help - REPLACE( TEXT, TEXT, TEXT, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

REPLACE( TEXT, TEXT, TEXT, NUM )

Placeholder | Replace With
TEXT | The name of a Text variable or the string of characters you need to search
TEXT | The text for which you are searching, which may include the following special characters: \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab
TEXT | The text you want to use as a replacement, which may include the following special characters: \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab
NUM (optional) | Controls the number of times the character is replaced For example, if no number is specified, all found instances will be replaced; however, if you include a 1 as a parameter, only the first found instance will be replaced.

This expression lets you search a string of text for a given character string and replace the results with new text.

For example, perhaps you want to take the information in an address block (which will most likely appear as separate lines) and display it as a single line, with each "part" separated by a comma. The following script removes all line breaks ( \l ) from the Text variable, Multi-Line Address, replaces them with a comma and space, and then SETs that result to the Text variable Single-Line Address:

SET Single-Line Address TO REPLACE(Multi-Line Address, "\l", ", ")

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > REPLACE( TEXT, TEXT, TEXT, NUM )


HotDocs Help - RESULT

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

RESULT

As you write computations, you often need HotDocs to acknowledge what the result would be at that point in the script. You can update this answer by using the RESULT expression.

For example, let’s suppose you are creating a list of editors. You want to combine Editor First Name TE and Editor Last Name TE as well as the literal text Editor:. You must use RESULT to force HotDocs to acknowledge the result of the computation before you add the next item to the text string:

""
REPEAT Editor Information
  RESULT + Editor First Name +  " " + Editor Last Name + ", Editor" + "
"
END REPEAT

In this computation, the RESULT expression returns the value of Editor First Name and adds it to the value of Editor Last Name. The RESULT expression updates the list each time a new editor is added to the list. (If no RESULT expression were used, HotDocs would merge just the first name entered in the list.)

Home > All About... > Using Expression Models > RESULT


HotDocs Help - ROUND( NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

ROUND( NUM, NUM )

Placeholder | Replace With
NUM | A number value, such as a Number variable, to be rounded
NUM | A number value that indicates the number of places (0-7) to the right of the decimal point after which the number will be rounded

You can round a number value to a specified number of places.

The following example looks at the first two digits after the decimal point and rounds the value based on the third digit. (The resulting value is 5.93.)

ROUND( 5.9274, 2 )

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > ROUND( NUM, NUM )


HotDocs Help - SELECTION( MULT_CHOICE_VAR, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

SELECTION( MULT_CHOICE_VAR, NUM )

Placeholder | Replace With
MULT_CHOICE | A Multiple Choice variable
NUM | A number value that indicates which selected option to return

This expression lets you retrieve individual options (answers) selected in a Multiple Choice variable. It returns a text value that corresponds to the defined answer (as designated by the NUM placeholder).

In the following example, you want to generate a list of employees that have various different work projects they need to complete. Multiple employees may work on one individual project. Once you have this list, you want to generate a work list report for each employee on the list.

To accomplish this, you first repeat a dialog (Employee List) that asks which employees are supposed to work on a given assignment (using the Multiple Choice variable, Employee Names). As HotDocs repeats this list, the UNION expression adds each selected, original name from each repetition to a new Multiple Choice variable, Unique List.

Once all of the unique answers have been added to Unique List, HotDocs then uses the SELECTION expression to retrieve each individual answer from Unique List. The result of the script merges these names in a report.

ERASE Unique List
REPEAT Employee List
  SET Unique List TO UNION(Unique List, Employee Names )
END REPEAT

ERASE Project Participant
SET Index TO 1

WHILE SELECTION(Unique List, Index ) != ""
  SET Project Participant[Index] TO SELECTION(Unique List, Index )
  INCREMENT Index
END WHILE

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > SELECTION( MULT_CHOICE_VAR, NUM )


HotDocs Help - SPACE( TEXT, TEXT )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

SPACE( TEXT, TEXT )

Placeholder | Replace With
TEXT | A Text variable or other expression that produces a text result
TEXT (optional) | A character or text string that can be used in place of the space character. You can include the following special characters in your search: \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab

This expression tests whether the variable is answered. If it is, it merges the answer, followed by a space character. If the variable is unanswered, it merges nothing ("").

For example, perhaps you need to merge a client's full name. Some clients, however, do not have a middle name. You can create a script that includes this middle name (if it's provided), followed by a space. If no middle name is given, nothing will be merged.

Client First Name + " " + SPACE(Client Middle Name) + Client Last Name

Sometimes you may want to merge a character other than a space. The second optional parameter for this expression allows you to specify what this character should be.

In the following example, the script uses the SPACE expression to determine if each of the variables in the address block are answered. If so, it merges the answer to the variable, followed by a line break character (rather than a space character). This merges each "part" of the address on its own line.

SPACE(Address Line 1, "\l") +
SPACE(Address Line 2, "\l") +
SPACE(City, ",") + SPACE(State) + SPACE(Zip Code)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > SPACE( TEXT, TEXT )


HotDocs Help - STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )

Placeholder | Replace With
TEXT | The name of a Text variable, or the string of characters you need to search
TEXT | The character or string of characters for which you want to search. You can strip any alphanumeric characters from a text string, including the following special characters: (Make sure you include the backslash.) \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab
TRUE_FALSE (optional) | The value of TRUE if characters should be stripped from just the beginning of the text
TRUE_FALSE (optional) | The value of TRUE if characters should be stripped from just the end of the text

This expression removes a specified character or characters from the beginning or end of a text answer. By default, HotDocs removes the characters from both the beginning and the end of the text. If you want to specify just one or the other, you must use the TRUE_FALSE parameters.

For example, perhaps you want to remove punctuation or space characters from the end of an answer (because the punctuation is already included in the document text). The following script will help you accomplish this:

SET Product Description TO STRIP(Product Description, " !.,?", FALSE, TRUE)

Because the FALSE and TRUE parameters are used, HotDocs strips the characters from the end of the answer (TRUE) and not the beginning (FALSE).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )


HotDocs Help - SUM( COMPUTATION_VAR )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

SUM( COMPUTATION_VAR )

Placeholder | Replace With
COMPUTATION_VAR | A repeated Computation variable

Using the SUM( COMPUTATION_VAR ) expression, you can add computation values that have been repeated.

For example, let's say you have a repeated dialog that contains three variables—Item Name, Item Amount, and Item Quantity. For each line item, you create a fourth variable, a computation called Total Amount that multiplies Item Amount by the number of items the user purchases (or Item Quantity). You can then add all of the Total Amount values and receive one sum total:

SUM( Total Amount )

In order for SUM(COMPUTATION_VAR) to work properly in a template, the script that actually calculates the sum (for example, the REPEAT instruction) must be processed before the variable containing the SUM expression is asked.

Also, when using RTF templates, headers or footers are always processed before the rest of the template text. This means that if you are using SUM(COMPUTATION_VAR) in a header or footer, the script that calculates the sum must be asked in the header or footer.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > SUM( COMPUTATION_VAR )


HotDocs Help - SUM( NUM_VAR )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

SUM( NUM_VAR )

Placeholder | Replace With
NUM_VAR | A repeated Number variable

Using the SUM expression, you can add repeated number values.

In this computation script, HotDocs totals the values of the repeated Number variable Monthly Payment:

SUM( Monthly Payment )

In the next example, HotDocs then takes the total monthly payments the user is making and compares it to the user’s monthly income. If the monthly payments are greater than 36 percent of the monthly income, the loan application is rejected:

SUM( Monthly Payment ) > ( Monthly Income * 0.36 )

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > SUM( NUM_VAR )


HotDocs Help - TEXT CONTAINS TEXT

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

TEXT CONTAINS TEXT

Placeholder | Replace With
TEXT | A text value, such as a Text variable
TEXT | A text value, such as a Text variable. Any text you type must be in quotation marks.

The TEXT CONTAINS TEXT expression determines whether the first text value contains the same text as the second value. If it does, it returns the value of true.

In this example, some states in the United States are officially recognized as “commonwealth” states. In the following script, HotDocs examines the answer the user provides for the variable State Name to see if the user has listed one of these states. If so, HotDocs attaches the correct designation to the merged answer:

IF "massachusetts virginia kentucky pennsylvania" CONTAINS State Name
  "The Commonwealth of «State Name»"
ELSE
  "The State of «State Name»"
END IF
Note: At first glance, this computation may seem backward. You may think you would test State Name to see if it contains any of the commonwealths listed in the text string (for example, IF State Name CONTAINS "massachusetts virginia kentucky pennsylvania"). However, if you used that method, the answer the user assigns to State Name TE would have to contain everything between the quotation marks—"massachusetts virginia kentucky pennsylvania"—and you would never produce a true statement. Of course, you could test State Name against each individual commonwealth (for example, IF State Name CONTAINS "massachusetts" OR IF State Name CONTAINS "virginia" and so forth), but by "switching" the values for the placeholders and placing all of the commonwealths in one text string, you eliminate a lot of repetitive typing.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > TEXT CONTAINS TEXT


HotDocs Help - TODAY

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

TODAY

This expression returns the current date, according to your computer’s system clock.

For example, this computation script figures out the number of days between the day the user purchased the item and today’s date (or the date the user assembles the document.)

DAYS FROM( Purchase Date, TODAY )
Note: You also can create a Date variable called TODAY. See Create a Date Variable that Inserts the Current Date.

Home > All About... > Using Expression Models > TODAY


HotDocs Help - TRUNCATE( NUM, NUM )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

TRUNCATE( NUM, NUM )

Placeholder | Replace With
NUM | A number value, such as a Number variable
NUM | A number value specifying the number of places (0-7) to the right of the decimal point at which to truncate the number

You can truncate a decimal number a specified number of places after a decimal point.

For example, the following script truncates the number 5.9375 to include only the first two digits after the decimal point. The truncated value is 5.93:

TRUNCATE( 5.9375, 2 )

In the next example, however, a Computation variable tests if the value of Rent Amount includes cents. The variable is then formatted to eliminate the text AND NO CENTS from being merged when the variable contains only a whole number:

IF Rent Amount = TRUNCATE( Rent Amount, 0 )
  FORMAT( Rent Amount, "NINE DOLLARS" )
ELSE
  FORMAT( Rent Amount, "NINE DOLLARS AND TWELVE CENTS" )
END IF

Specifically, this computation compares the actual value of Rent Amount against its truncated value. If the values are equal, HotDocs formats the answer to exclude the text, AND TWELVE CENTS. Otherwise it includes the text in the format.

Note: The difference between the TRUNCATE and the ROUND expressions is that TRUNCATE simply "cuts off" a number at a specified digit, while ROUND actually rounds a number up or down, based on where you want the number rounded.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > TRUNCATE( NUM, NUM )


HotDocs Help - UNANSWERED

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

UNANSWERED

This expression removes an assigned value from a variable. It is used most often with the SET VAR TO VALUE instruction:

SET Property Value TO UNANSWERED

If you use this instruction, do not allow the user to change the answer by asking the variable in the interview. Because HotDocs can potentially reprocess the interview several times, the answer the user enters will always be replaced with the UNANSWERED value. Only use this value if you want a variable to be unanswered in the assembled document.

Note: Do not confuse the value of UNANSWERED with that of NOT ANSWERED. UNANSWERED is an actual value assigned to a variable, while NOT ANSWERED (or !ANSWERED) is used to determine whether a value has been assigned.

Home > All About... > Using Expression Models > UNANSWERED


HotDocs Help - UNION( MULT_CHOICE, MULT_CHOICE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

UNION( MULT_CHOICE, MULT_CHOICE )

Placeholder | Replace With
MULT_CHOICE | A Multiple Choice variable
MULT_CHOICE | A Multiple Choice variable

This expression creates a single list of all unique options (answers) that have been selected across two or more Multiple Choice variables.

In the following example, you want to generate a list of employees that have various different work projects they need to complete. Multiple employees may work on one individual project. Once you have this list, you want to generate a work list report for each employee on the list.

To accomplish this, you first repeat a dialog (Employee List) that asks which employees are supposed to work on a given assignment (using the Multiple Choice variable, Employee Names). As HotDocs repeats this list, the UNION expression adds each selected, original name from each repetition to a new Multiple Choice variable, Unique List.

Once all of the unique answers have been added to Unique List, HotDocs then uses the SELECTION expression to retrieve each individual answer from Unique List MC. The result of the script merges these names in a report.

ERASE Unique List
REPEAT Employee List
  SET Unique List TO UNION( Unique List, Employee Names )
END REPEAT

ERASE Project Participant
SET Index TO 1
WHILE SELECTION( Unique List, Index ) != ""
  SET Project Participant[Index] TO SELECTION( Unique List, Index)
  INCREMENT Index
END WHILE

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > UNION( MULT_CHOICE, MULT_CHOICE )


HotDocs Help - VALUE( VAR, EXPRESSION )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

VALUE( VAR, EXPRESSION )

Placeholder | Replace With
VAR | The name of a variable
EXPRESSION (optional) | The specific value you want to assign to the variable if the user leaves it unanswered. Otherwise, HotDocs will use one of the following default values: "" for Text variables 0 for Number variables 1 JAN 1800 for Date variables FALSE for True/False variables "" for Multiple Choice variables

This expression returns a default value for the variable type if the variable is unanswered. If the variable is answered, the value is the answer the user specifies.

For example, users will sometimes purposely not answer a question in the interview. However, all variables must be answered or the script will fail. Using VALUE assigns an answer (albeit a default one) so that the script or expression can be processed correctly and still return a value.

In the following example, suppose you need to calculate a sum. However, one of the variables in the calculation, Sales Tax, may not be required in order to produce the result. Since the variable may be left unanswered, you can use the VALUE expression to assign a default value of 0 to the variable so that the script can be processed correctly.

The optional EXPRESSION placeholder allows you specify the value that should be returned if the user leaves the question unanswered. Otherwise, HotDocs will use the default value, shown in the table, above.

Services Cost + Product Cost + VALUE( Sales Tax )

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > VALUE( VAR, EXPRESSION )


HotDocs Help - YEAR OF( DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

YEAR OF( DATE )

Placeholder | Replace With
DATE | A date value, such as a Date variable

You can use this expression model to find the year portion of a given date.

For example, in the following script, a new employee has temporary status until the end of his or her third month with the company. HotDocs uses the YEAR OF expression to specify the year:

DATE OF( 1, MONTH OF( Hire Date + 3 MONTHS ), YEAR OF( Hire Date + 3 MONTHS ) ) - 1 DAYS

In this example, HotDocs finds the first day of the fourth month of employment. HotDocs then subtracts one day to reveal the last day of the third month—either the 28th, 29th, 30th or 31st—depending on the month. It then merges the new date into the document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > YEAR OF( DATE )


HotDocs Help - YEARS FROM( DATE, DATE )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

YEARS FROM( DATE, DATE )

Placeholder | Replace With
DATE | A date value, such as a Date variable
DATE | A date value, such as a Date variable (These values can be in any order.)

This expression calculates the number of years between two given dates.

In the following example, the YEARS FROM expression finds the client’s age at the time of the hearing:

YEARS FROM( Hearing Date, Birth Date )

In this next example, the expression determines whether an employee has worked at the company for 25 years or more. If the employee has, HotDocs merges a paragraph into the document with details of a retirement party:

«IF YEARS FROM( Hire Date, Retirement Date ) >= 25»
We would like to honor you at a retirement party on «Party Date» at «Party Time» at «Party Location».
«END IF»

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > YEARS FROM( DATE, DATE )


HotDocs Help - ZERO( NUM_VAR )

Overviews

  • Overview: Instruction and Expression Models

Reference Material

  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNT( MULT_CHOICE_VAR )
  • COUNTER
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF WEEK( DATE )
  • DAY OF( DATE )
  • DAYS FROM( DATE, DATE )
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • Full List of Expression Models
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use Operators When Scripting
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

How Do I...?

  • Use the Script Editor

ZERO( NUM_VAR )

Placeholder | Replace With
NUM | A Number variable

This expression returns the value of zero only if a Number variable is unanswered. If the Number variable is answered, the value is the answer the user specifies.

For example, users will sometimes leave a Number variable blank instead of entering 0. If the Number variable is then used in a Computation variable, because it is unanswered, the computation will not be processed. The ZERO expression ensures the variable is assigned a value so the computation can return a value.

In this example, the ZERO expression is used in the Computation variable Invoice Total to return 0 if the Number variable Shipping Charge is unanswered.

Total Price + ZERO( Shipping Charge )
Note: You can suggest default answers for unanswered variables of other types. See VALUE( VAR, EXPRESSION ) for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Expression Models > ZERO( NUM_VAR )


HotDocs Help - Linking Templates to a Database

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Linking Templates to a Database

Overview: Link Templates to a Database

Use Supported Databases

Understand Database Connectivity

Create a Database Component Using ADO

Create a Database Component Using ODBC

Save ADO Connection Information in a Separate File

Convert ODBC-based Connections to ADO

Connect to Microsoft Excel using the Database Component

Edit a Database Component

Link Variables to Database Fields

Remember Selected Records

Save Changed Answers Back to the Database

Change Database Component Properties

Use a Custom Command to Retrieve Data from a Database

Choose Which Database Fields Appear During Assembly

Cause HotDocs to Update Selected Records Between Assemblies

Limit the Number of Database Records from Which a User Chooses

Specify a User Name and Password for a Database

Sort Records in a Database Table

Generate a List of Records in an Assembled Document

Tips on Filtering and Sorting Repeated Database Components

Merge Filtered Records into the Document Automatically

Ask Variables Already Answered by the Database

Select Related Database Records

Control When Your Database Tables Appear

Choose a Database Cursor

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database


HotDocs Help - Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Overview: Link Templates to a Database

Each time you use a text or form template to assemble a document, HotDocs prompts you for the information the template requires. Once you have answered the questions, HotDocs merges your answers and carries out your instructions to produce the finished, assembled document.

There are three ways to provide HotDocs with the information it needs during document assembly. You can use any (or a combination) of these methods:

  1. Enter the information manually.
  2. Retrieve the information from an answer file (or answer source, such as an Outlook Contacts list).
  3. Retrieve the information from a database using a database component.

The last option, which requires you to create a database component, allows you to use answers from a database during document assembly. That way, information from a company data store or other database-driven program, such as some case managers, can also be used to assemble a HotDocs document.

Before you can retrieve answers from a database, you must first set up a connection to your database from within a HotDocs template. Then, once the connection is specified, you can link variables in your template to fields in a database table. Finally, you can specify several options that control the scope of the records from which the user chooses and how this data appears to them during the interview.

For a more technical explanation of how database components works, see Understand Database Connectivity.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Overview: Link Templates to a Database


HotDocs Help - Use Supported Databases

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Use Supported Databases

Supported Databases

The following is a list of database programs and servers (and their corresponding OLE DB providers) with which the HotDocs has been tested and is certified to work. These databases include:

  • Microsoft Access (Microsoft.Jet.OLEDB)
  • Microsoft SQL Server (SQLOLEDB)
  • Oracle (It is strongly recommended that you use the Oracle Provider for OLE DB (OraOLEDB) instead of the Microsoft OLE DB Provider for Oracle (MSDAORA).)
  • Any ODBC level 1-compliant database (using the Microsoft OLE DB provider for ODBC (MSDASQL))

HotDocs may also function with other OLE DB providers, as long as the following conditions are met: 1) The OLE DB provider must accept plain-text command strings, 2) the OLE DB provider must return rowsets (ADO Recordsets) as the result of commands—not records and/or streams, and 3) the database must reside in a location accessible by HotDocs. OLE DB providers that expose data in individual Rows and/or Fields (but not Rowsets) will not work. Please keep in mind that these are recommended guidelines and meeting these guidelines does not necessarily mean your provider will work with HotDocs.

Providers.ini

If you are able to establish a connection to a database using an OLE DB provider, but are having trouble accessing certain data types (most noticeably dates), you can use a file called Providers.ini, which supplies HotDocs with information specific to each OLE DB provider it accesses. This file augments information not provided by the database and supersedes HotDocs' own defaults or information which may have been provided by the database.

The Providers.ini file was installed and saved to the HotDocs program folder at the time HotDocs was installed. You can edit its contents using any text editor. It contains a header explaining the file's syntax and the possible options which can be specified there. HotDocs queries each OLE DB provider it uses for as much of this information as possible, but it is possible the information is not supplied. If this is the case, you must create an entry for the OLE DB provider in Providers.ini. (Examples for doing this are included in the file itself.)

HotDocs needs to know certain details about how to build database commands for a given OLE DB provider. Among these are:

  • How the database expects dates to be formatted.
  • How dates are delimited.
  • How database literals (table and column names) that contain spaces are delimited.
  • How schema and/or catalog names are separated from table names.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Use Supported Databases


HotDocs Help - Understand Database Connectivity

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Understand Database Connectivity

HotDocs uses ActiveX Data Objects (or ADO) as the primary means of communicating with databases. (HotDocs 5 used ODBC.) ADO allows greater flexibility in the types of databases you can access and gives you greater control over how you extract information from a database.

In order to connect HotDocs to a database using an ADO connection, you must link your template to the database using an OLE DB provider. An OLE DB provider acts as a "translator" between HotDocs and the database, telling the two how to interpret the information that is being passed from the database to the template. Many database programs and/or clients include their own native OLE DB providers, but if you are using a database for which no provider is available, you can use an ODBC driver for your database and the OLE DB provider for ODBC. An ODBC-type connection allows you to connect to the database using an ODBC DSN (data source name), which associates a database driver with the database itself. This help file includes instructions for setting up both types of connections—see Create a Database Component Using ADO or Create a Database Component Using ODBC. (For additional information on ADO connections and data link properties, please either refer to the Windows system help or refer to the help files installed with your particular database program.)

Once the connection to the database is made, HotDocs must know what information to retrieve from the database. You do this by linking variables in the template to fields in a database table or view. Optionally, you can set up filtering and sorting options and designate other custom options that change how records are retrieved from the database.

To perform these various tasks, you can use the features available in the Database Editor, which is a component-editing dialog box like those used to edit other components. However, if you have experience writing database commands, you can specify an option that will allow you to define these filters, etc. using your own command text. Be aware, however, that writing custom commands requires you to have experience using the query language (SQL or other database query language) required by your specific database program. Because of the large number of databases (and potential language variants) little effort is made in this help file to teach this. This help file does contain, however, some general guidelines to help you write your custom commands. (See Use a Custom Command to Retrieve Data from a Database.)

Note: If you are converting database components created in HotDocs 5 to the latest HotDocs format, you should consider changing the type of connection you are using to use an OLE DB provider for the specific database program, rather than the OLE DB provider for ODBC. For information, see Convert ODBC-based Connections to ADO.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Understand Database Connectivity


HotDocs Help - Create a Database Component Using ADO

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Create a Database Component Using ADO

In order for programs such as HotDocs to communicate with certain database programs, the database must understand the command HotDocs issues to retrieve data from it. Likewise, HotDocs must understand how to work with the data that is retrieved from the database. One way this is accomplished is by using a data presentation layer known as ActiveX Data Objects, or ADO. ADO allows HotDocs to communicate with a wide range of sources using OLE DB providers for each specific database program. The OLE DB provider acts as a translator between the specific database and HotDocs—it reads information from the database and tells HotDocs how to interpret the data so HotDocs can use it.

That said, in order to connect with a database, you must tell HotDocs to which database you want it to connect. This requires you to create at least one database component for your template, which is where information about the connection is stored—including information about the OLE DB provider you are using, the name of the database, and any security information that is required to access data in the database. Once you have created the database component and assigned a name to it, you must define a connection string, which is what HotDocs will use to connect to the database. This string contains information about the OLE DB provider, the location of the actual database file or server, and any other information needed to establish the connection.

To create a database component

  1. At the template you want to connect to the database, click the Component Manager Component Manager button. The Component Manager window appears.
  2. Click the Components drop-down button and select Databases from the list. The list changes to show only database components.
  3. Click the New Component New Component button. HotDocs displays the Database Editor.
  4. Type a name for the component in the Component name box.
  5. Optionally, perform the following tasks:
    • In the Title box, enter a title for the database component. The title will be used in the interview outline and dialog title bar.
    • In the Prompt box, type the information about the database table you want the user to see. This information will appear above the database table in the assembly window. (See Create a Prompt for a Variable.)
    • Click the Resource tab and provide a resource option. A resource helps the user know what type of answer to select. (See Add Resource Information to a Variable or Dialog.)
  6. At the Properties tab of the Database Editor, click the Connection properties are defined by drop-down button and choose an ADO connection string.
  7. Click the Edit Edit button next to the Connection string box. The Data Link Properties dialog box appears.
    Note: The Data Link Properties dialog box is a standard Windows dialog box designed to set up a connection string. If you have specific questions about items in this dialog box, click the Help button located in the lower-right corner of the dialog box.
  8. Select the OLE DB provider you need from the list of providers. For example:
    1. If you are using a Microsoft Access database, select the Microsoft Jet 4.0 provider.
    2. If you are using a SQL Server, select the Microsoft Provider for SQL Server.
    3. If you are using an Oracle database, select the Oracle Provider for OLE DB.
    4. For all other integrations, refer to the documentation for your specific database for help in identifying the correct provider.
  9. Click Next. HotDocs displays the Connection tab of the Data Link Properties dialog box.
  10. Depending on which OLE DB provider you selected, enter the required information about the data source to which you are linking, including selecting the actual database file.
  11. When finished entering this information, click OK. The Database Editor appears again, showing the ADO connection string that will link your template to the database. (This connection string is encrypted when it is saved in the component file, but it will always appear in the Database Editor as plain text.)
  12. Click the Field Map tab. The window changes to show how fields in the table will be linked to variables in the template.
  13. At the Table name drop-down list, select the table to which you want to connect. The information from that table appears in the Field Name column.

Once you have created the database component and associated a table with it, you must link variables in the template to fields in the database table. (See Link Variables to Database Fields). You also must designate a unique field in the table as the key field, which will allow HotDocs to remember which record the user selects during assembly. (See Remember Selected Records.)

Note:
  • Database connections in HotDocs 5 were maintained using a data presentation layer known as ODBC, or Open Database Connectivity. The ADO-based connection in HotDocs 10 allows you to continue using ODBC by using the OLE DB provider for ODBC, rather than a native OLE DB provider for the specific database. Maintaining this type of connection may be useful when a native OLE DB provider may either be incompatible or unavailable for you to use. (See Create a Database Component Using ODBC.) However, it is recommended that, where possible, you update all existing ODBC-based connections to use a native OLE DB provider for the database program you are using. (See Convert ODBC-based Connections to ADO.)
  • You can save ADO connection information in a Microsoft Data Link (.UDL) file. This may be useful if you plan to distribute your templates and databases to users whose systems may not be configured the same as yours. Because the connection information is saved in a file separate from the component file, it will make it easier for users without component-editing capabilities to update their connections. See Save ADO Connection Information in a Separate File for details.
  • If your connection to the database requires you to enter a user name, password, or other options, you can enter them at the Options tab of the Database Editor instead of including them in the connection string. See Specify a User Name and Password for a Database.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Create a Database Component Using ADO


HotDocs Help - Create a Database Component Using ODBC

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Create a Database Component Using ODBC

In order for programs such as HotDocs to communicate with certain database programs, the database must understand the command HotDocs issues to retrieve data from it. Likewise, HotDocs must understand how to work with the data that gets retrieved from the database. This is accomplished by using a data presentation layer known as ADO, or ActiveX Data Objects. The functionality behind ADO allows HotDocs to communicate with a wide range of database programs using OLE DB providers for each specific database program. In essence, an OLE DB provider acts as a translator between the specific database and HotDocs—it reads information from the database and tells HotDocs how to interpret the data so HotDocs can use it.

Many database programs and/or clients include their own native OLE DB provider (see Create a Database Component Using ADO), but in some situations, an OLE DB provider may either be incompatible or unavailable for you to use. (Click here for a list of supported databases.) In such situations, you can use the OLE DB provider for ODBC (Open Database Connectivity). This type of provider allows you to link your template to the database using an ODBC data source.

To connect to a database using the OLE DB provider for ODBC, you must first make sure you have a database driver installed that is compliant with ODBC Level One or higher standards. Drivers are often installed when you install the database program. If the driver you need is not installed, you should contact the database program provider.

Once you know the correct driver is installed, you must create a data source, which sets up a connection between the database driver and the database so that you can retrieve information from it. You can create one data source to associate a single driver with several database tables, as long as the tables are associated with one database.

Then, once you set up the data source, you must create a database component that uses your data source. HotDocs will use the data source to link to the database table that contains your information. You can use Component Manager to create a database component.

To create an ODBC data source and link it to a database component

  1. Click Start > Settings > Control Panel and navigate to the Data Source Administrator dialog box. How you do this depends on which operating system you are using:
    1. Windows 2000: Click Settings > Control Panel. The Control Panel dialog box appears. Then double-click the Administrative Tools icon. The Administrative Tools dialog box appears. Finally, double-click the Data Sources (ODBC) icon. The Data Source Administrator dialog box appears.
    2. Windows XP: Click Settings > Control Panel > Administrative Tools > Data Sources (ODBC). The ODBC Data Source Administrator dialog box appears.
    3. Windows Vista and Windows 7: Click Start > Control Panel > Administrative Tools > Data Sources (ODBC). The ODBC Data Source Administrator dialog box appears.
  2. With the Data Source Administrator dialog box displayed (and the User DSN or System DSN tab selected), click Add. The Create New Data Source dialog box appears.
  3. Select the driver you need and click Finish. The ODBC Setup dialog box appears.
  4. Type a unique name for the data source in the Data Source Name box.
  5. If the ODBC Setup dialog box includes database version options, select the version you are using.
  6. Specify the database (or the folder containing the database tables) you want to use. The procedure varies depending on the driver you selected.
  7. At the ODBC Setup dialog box, click OK to return to the Data Source Administrator dialog box. The new data source is added to the list of data sources.
  8. Click OK at the Data Source Administrator dialog box and close the Control Panel window (if it's open).
  9. Open the template you want to connect to the database. (See Edit a Template.)
  10. Click the Component Manager Component Manager button in the HotDocs toolbar. The Component Manager window appears.
  11. Click the Components drop-down button and select Databases from the list. The list changes to show only database components.
  12. Click the New Component New Component button. HotDocs displays the Database Editor.
  13. Type a name for the component in the Component name box.
  14. Optionally, perform the following tasks:
    • In the Title box, enter a title for the database component. The title will be used in the interview outline and dialog title bar.
    • In the Prompt box, type the information about the database table you want the user to see. This information will appear above the database table in the assembly window. (See Create a Prompt for a Variable.)
    • Click the Resource tab and provide a resource option. A resource helps the user know what type answer to select. (See Add Resource Information to a Variable or Dialog.)
  15. From the Connection properties are defined by drop-down list, select an ODBC data source.
  16. From the ODBC Data Source Name (DSN) drop-down list, select the name of the data source you created earlier.
  17. Click the Field Map tab. The window changes to show how fields in the table will be mapped to variables in the template.
  18. At the Table name drop-down list, select the name of the table you want to use. The information from that table appears in the Field Name column.

Once you have created the database component and associated a table with it, you must link variables in the template to fields in the database table. (See Link Variables to Database Fields). You also must designate a unique field in the table as the key field, which will allow HotDocs to remember which record the user selects during assembly. (See Remember Selected Records.)

Note:
  • If your connection to the database requires you to enter a user name, password, or other options you do not wish to include in the ODBC data source, you can enter them at the Options tab of the Database Editor. See Specify a User Name and Password for a Database.
  • In order for HotDocs to remember which records your users have selected during assembly, you must assign a key field. For information on doing this, see Remember Selected Records.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Create a Database Component Using ODBC


HotDocs Help - Save ADO Connection Information in a Separate File

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Save ADO Connection Information in a Separate File

You can save ADO connection information in a Microsoft Data Link (.UDL) file. When you do this, HotDocs will look in this file (rather than the component file) for the connection information when it tries to access the database. This is useful if you plan to redistribute the template set to users who may need to edit the connection information, for example, because their database is located in a different folder or on a different server than the one you used to develop the template. Otherwise, storing this information in the component file would make it impossible for HotDocs Player users (who have no component-editing capabilities) to make the required changes.

To save an ADO connection string

  1. Using the Database Editor, define the ADO-based connection string. (See Create a Database Component Using ADO.)
  2. When finished, click the Save Save button next to the Connection string box. The Save Microsoft Data Link File dialog box appears.
  3. Specify the location where you want to save the file, type a name for it, and click Save. The file is created.
  4. At the Database Editor, click the Connection properties are defined by drop-down button and select a Microsoft Data Link (.udl) file.
  5. Click the Open Open button next to the Microsoft Data Link file box and locate the data link file. The component now looks in this separate file for connection information.
Note: To edit a data link file, you or your user can double-click the file in Windows Explorer and make the changes in the Data Link Properties dialog box.
Caution: Microsoft Data Link (.UDL) files are plain text files. If you use a data link file to store your connection information, you should be sure sensitive information, such as database user names and passwords, are not specified in the UDL file. Specify this information in the database component instead, where it will be safely encrypted. See Specify a User Name and Password for a Database for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Save ADO Connection Information in a Separate File


HotDocs Help - Convert ODBC-based Connections to ADO

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Convert ODBC-based Connections to ADO

Database connections created in HotDocs 5 were driven by ODBC connectivity, which required you to specify an ODBC data source name in your database component.

Now, when you connect to a database using HotDocs 10, the primary means of connection is ADO. (See Overview: Link Templates to a Database.) This means that when you convert database components created in HotDocs 5 to HotDocs 2009, HotDocs updates the connection to use the OLE DB provider for ODBC. This allows you to continue to use an ODBC data source, even though the primary mode of connection is ADO. While this type of connection is fully supported, performance of the database component may improve if you change your connection to use a native OLE DB provider for the database you are using.

Caution: If your database does not have a native OLE DB provider or if the OLE DB provider does not work, you should continue to use your existing data source, or the data source you created for HotDocs 5. During the conversion, HotDocs automatically selects the OLE DB provider for ODBC drivers and maintains its connection to your data source. You should not have to do anything to update your connection information.

You can change the type of connection by editing the database component, and, provided HotDocs can successfully communicate with the new OLE DB provider, it will maintain all the other properties of the connection—including links between the variables and fields and any filters you have created.

To change an ODBC connection to ADO

  1. Convert the template to HotDocs 2009-10 format by editing it. (See Edit a Template.) (You can do this by clicking Start > Programs > HotDocs 10 > HotDocs. Once the template library appears, you can either add your HotDocs 5 template to the library, or you can open an entire library of HotDocs 5 templates using HotDocs 10. See Add Templates and Other Files to a Library or Open a Library for instructions.)
  2. Once the template is converted to HotDocs 2009-10 format, open the existing database component for editing. (See Edit a Database Component.) The Database Editor appears.
  3. At the Properties tab of the Database Editor, click the Connection properties are defined by drop-down button and select an ADO connection string.
  4. Click the Edit Edit button next to the Connection string box. The Data Link Properties dialog box appears.
  5. Select the provider that corresponds to your database program. (If you are using a Microsoft Access database, select the Microsoft Jet 4.0 provider. If you are using a SQL Server, select the Microsoft Provider for SQL Server. If you are using an Oracle database, select the Oracle Provider for OLE DB. For all other integrations, refer to the documentation for your specific database for help in identifying the correct provider.)
  6. Click Next. The Connection tab of the Data Link Properties dialog box appears.
  7. Specify the correct database information, following the on-screen instructions provided for your specific provider and click OK. The Database Editor appears again. Once the new connection information is specified, HotDocs should maintain all existing properties of the component.
  8. Check the different properties of the database component (such as field mappings and database options) and then click OK to close the Database Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Convert ODBC-based Connections to ADO


HotDocs Help - Connect to Microsoft Excel using the Database Component

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Connect to Microsoft Excel using the Database Component

To connect to Microsoft Excel using the Database Component

  1. Open an Excel document to use as a data source.
  2. In the Excel document, define Names and Ranges for the data you wish to appear in the HotDocs interview. For example:

    An Excel document to be used as a data source

    In this example, the Name of the entire range of cells is EmployeeDetails. This Name appears as the name of the database table in HotDocs. The column headings EmployeeID, FirstName, Surname appear as the column headings in the database table. The data underneath the column headings appears as data in the table.

    For more details on defining Names and Ranges in Excel, see the Excel help file.

  3. Create a new ODBC Data Source for Excel. Navigate to Administrative Tools > Data Sources (ODBC) > User DSN. Click Add. The Create New Data Source wizard appears.
    Note: If you are using a 64-bit operating system, you must create a 32-bit DSN. To do this, run the 32-bit version of the ODBC Data Source Administrator, which you can find in C:\Windows\SysWoW64\Odbcad32.exe. For more information, see http://msdn.microsoft.com/en-us/library/ms712362.aspx
  4. Select the required Microsoft Excel driver from the driver list. Click Finish. The ODBC Microsoft Excel Setup dialog appears.
  5. In the dialog, enter a new Data Source Name and Description. Click the Select Workbook button and navigate to the Excel document from Step 1. Click OK. Click OK to close the Excel Setup dialog. Close the ODBC Data Source Administrator dialog.
  6. Open HotDocs. Right-click on the template in which you wish the Excel data to appear and select Component Manager.
  7. In the Component Manager, create a new Database component. In the Database Component Editor:
    1. Enter a Component name
    2. In the Connection Properties are defined by drop-down menu, select an ODBC data source.
    3. In the Command type drop-down menu, select Simple.
    4. In the ODBC Data Source Name (DSN) drop-down menu, select the Data Source created in Step 4.
    5. Navigate to the Field Map tab. In the Table name drop-down menu, select the required table. Link HotDocs variables to the required database columns and make any other changes to the database component.
    6. Click Test. An interview window appears displaying the new database component. Check the correct data appears in the component. Once you are finished, close the interview window.
    7. Click OK to save and close the database component. Close the component manager.
Note: An ADO data source can also be used to connect to Excel. See Create a Database Component Using ADO for more details on using ADO data sources.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Connect to Microsoft Excel using the Database Component


HotDocs Help - Edit a Database Component

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Edit a Database Component

You can edit database components using Component Manager.

To edit a database component

  1. At the template, click the Component Manager Component Manager button. The Component Manager window appears. (See Open and Close Component Manager.)
  2. Select the database component from the list of components and click the Edit Component Edit Component button. The Database Editor appears. (To show only database components in the variable list, click the Components drop-down button and select Databases.)
  3. Make changes to the component as necessary. For example, you can:
    • Link variables in your template to fields in the database table. (See Link Variables to Database Fields.)
    • Create a filter to control the number of records that will be retrieved from the database table. (See Limit the Number of Database Records from Which a User Chooses.)
    • Sort the data into logical lists for the end user. (See Sort Records in a Database Table.)
    • Cause HotDocs to remember which records you have selected for subsequent assemblies. (See Remember Selected Records.)
    • Specify other database component properties. (See Change Database Component Properties.)
Note: In order for HotDocs to remember which records your users have selected during assembly, you must assign a key field. For information on doing this, see Remember Selected Records.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Edit a Database Component


HotDocs Help - Link Variables to Database Fields

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Link Variables to Database Fields

Once you connect your template to a database, you can select a table in the database and link its fields to variables in your template. These links allow HotDocs to retrieve information from the database table each time the template is used to assemble a document.

When linking variables to fields, data types must match. For example, if the field type is text, you must link to either a Text variable or a Multiple Choice variable (since Multiple Choice variables are text values).

During assembly, HotDocs processes a template from top to bottom. When HotDocs encounters a variable that you have linked to a field in a database table, HotDocs first checks to see whether the list of records for that database table has been displayed yet. If it has not, HotDocs displays it so the user can select one or more records.

Caution: Database components are designed to link to only one database table. That means that even though you may see several tables listed in the Table name drop-down list, you can choose only one table for the component.

To create links between variables and database fields

  1. Open the database component you want to link to the database table. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Field Map tab. The window changes to show the fields in the table as well as the variables in the template.
  3. In the Linked Variable column, click the drop-down button that corresponds to the database field to which you want to link.
  4. Select the variable.
  5. Optionally, to show both linked and unlinked variables in the Linked Variable drop-down lists, clear Show unlinked variables only. Be aware, however, that if you select a variable that is already linked, HotDocs will unlink it in order to link it to the new field. Each variable in the template can be linked to only one field at a time. (In these lists, HotDocs uses brackets to show the variable is linked, for example, [Employee Name].)
  6. Repeat this process for every variable that can be answered using data from the database table.

Note:
  • In order for HotDocs to remember which records your users have selected during assembly, you must assign a key field. For information on doing this, see Remember Selected Records.
  • In HotDocs, NULL values retrieved from a database are considered unanswered while empty string values ("") are considered answered, but empty.
  • When HotDocs queries the database, it retrieves every record from the table, displays them for the user, and then disconnects from the database. Because of this, you should use a filter on your database component to minimize the number of records that are initially retrieved. (If filtering is not an option but you still want to avoid retrieving all records at once, you can click the Options tab of the Database Editor and clear Use disconnected (client) record set. Be aware, however, that clearing this option can impact the speed with which the user can scroll through and filter large data sets. It also prohibits the user from sorting the data.) (See Choose a Database Cursor for more details.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Link Variables to Database Fields


HotDocs Help - Remember Selected Records

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Remember Selected Records

During assembly, when HotDocs connects to a database, it displays a table of records. Once a user selects a record and moves to another dialog, HotDocs can remember from where in the database table the record was selected so that if the user revisits the table during the interview, the user can see his or her selection.

For HotDocs to operate this way, you must make one of the fields in the database component the key field. A key field contains information that is unique to a record—for example, an invoice number or a customer identification number. Without a key field, HotDocs has no way to remember from where in the table the record was retrieved and therefore, cannot retain this information once the user moves to a new dialog. This may be confusing to a user who reviews a database record selection—even though answers may appear in the assembled document, the interview shows that no record has been selected.

Selecting a key field also makes it easier to reuse an answer file that contains selected database records, for the reasons explained above.

If you are connecting to a database table using a native OLE DB provider, HotDocs recognizes key fields and automatically assigns them in the database component. (You can always choose a different key field, if necessary.) However, HotDocs does not recognize existing key fields when you connect to the database using the OLE DB provider for ODBC, or when your database component is connected to a database view. You must manually identify the key using the Database Editor.

Caution: The field you designate as the key field must always have a non-null value. This applies even in cases where you are defining multiple key fields—if you specify multiple key columns (because no single column uniquely identifies each row), then none of the columns you select should be nullable.

To identify a field as a key field

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Field Map tab. The window changes to show a list of database fields and their related template variables.
  3. In the Key column, select the box next to the field you want to designate as the key.
Caution: If you think you may need an exact replica of a document assembled from a template that includes a database component, be sure to save a copy of the document. If you try to reassemble the document later, even if you use the same answer file, the document may not come out exactly the same because the information stored in the connected database may have changed.
Note: If no single field in the table or view can uniquely identify a selected record, choose multiple keys, making sure the combination of information in those fields will be unique for every record.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Remember Selected Records


HotDocs Help - Save Changed Answers Back to the Database

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Save Changed Answers Back to the Database

When linking variables in your template to fields in a database, you can allow users to edit answers that are retrieved from the database. At times, you may want to save changes the user makes back to the database. To allow this, you can select an option for the database component that allows answers to be saved back to the database record. HotDocs can either always save the answer back to the database, or it can allow the user to choose whether the answer should be saved back. If changes should never be saved back to the database, you can disallow write-back for a specific variable.

Changed answers are saved back to the database when the user saves the answer file.

To save changes back to a database record

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Properties tab. The window changes to show the main properties of the database component.
  3. Select Allow database write-back.
  4. Click the Field Map tab. The mapping spreadsheet appears. By default, all linked variables are set to never allow write-back.
  5. For each variable's answer you want to save back to the database, click the Write-back drop-down button and choose the option you need:
    • Never keeps the answer from being written back to the database if it is changed.
    • Always always writes the answer back to the database if it is changed. The user will not be notified or prompted of the change.
    • Prompt displays a dialog box that lets the user decide if the changed answer should be written back to the database.
Note: To allow users to change answers retrieved from the database, select Treat linked variables as asked: Never at the Options tab of the Database Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Save Changed Answers Back to the Database


HotDocs Help - Change Database Component Properties

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Change Database Component Properties

You can change certain properties of a database component. These properties control the way information is retrieved from a database, as well as how the user is able to select which answers will be used in the document.

Database component properties allow you to:

  • Let users select multiple records.
  • Let users sort and filter records.
  • Automatically select records for the user.
  • Control which variables are asked in the interview, even if the database answers them.
  • Specify user names and passwords for accessing information in the database.

To change database component properties

  1. Open a database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Options tab. The window changes to show several component options.
  3. Make changes as explained in the following table:
    To | Do This
    Allow the user to choose two or more records during assembly | Select Allow multiple selections. (Make sure the variables in the template are included in a REPEAT Database instruction so that all the answers can be merged correctly.) (See Generate a List of Records in an Assembled Document.)
    Force HotDocs to merge a list of filtered answers from a database into the document without allowing the user to make the selection | Select Automatically select all filtered records. (See Merge Filtered Records into the Document Automatically.)
    Have HotDocs check the database for new or updated data each time you assemble the document | Select Automatically refresh linked answers. (See Cause HotDocs to Update Selected Records Between Assemblies.)
    Have HotDocs retrieve data from a database and then disconnect from it | Select Use disconnected (client) record set. (See Choose a Database Cursor.)
    Give users the ability to sort columns in the database table in ascending or descending order | Select Allow sorting by end user. Users can then, during assembly, click column headings in the table and have the records sort in alphanumeric order. They can also control the order records will be merged into the assembled document.
    Give users the ability to limit the number of records that appear in the table | Select Allow filtering by end user. This level of filtering does not affect any filters you have used to retrieve the data from the database—it only affects the records the user is viewing at the assembly window.
    Change the way HotDocs treats variables that may potentially be answered by the database | Click the Treat linked variables as asked drop-down button and select one of the following options: Always (HotDocs considers linked variables as always asked—it will not ask them, even if the database does not contain an answer), Never (HotDocs considers linked variables as never asked—it will ask them, even if the database contains an answer), or Only if Answered from Database (HotDocs asks a linked variable if no answer for the variable exists in the database). (See Ask Variables Already Answered by the Database.)
    Specify a user name and password so that information can be retrieved from the database | Type the user name and password in the User name and Password boxes, respectively. This information is encrypted and saved in the component file. (See Specify a User Name and Password for a Database.)
Note: In order for HotDocs to remember which records your users have selected during assembly, you must assign a key field. For information on doing this, see Remember Selected Records.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Change Database Component Properties


HotDocs Help - Use a Custom Command to Retrieve Data from a Database

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Use a Custom Command to Retrieve Data from a Database

Instead of linking variables to fields using HotDocs field mapping, advanced template developers or database administrators can link variables to a database using a custom command. A custom command lets you extract exactly the data you need from the database. It also may allow you to connect HotDocs to an OLE DB provider representing a non-traditional or non-relational data source.

In order to write a custom command, you must be familiar with the text command syntax of the particular OLE DB provider you are using for the database component. For most relational databases, this is SQL, or at least some variation of SQL. Some OLE DB providers also accept commands in a language or syntax other than SQL. In all cases, HotDocs should work with any OLE DB provider that accepts text commands which return recordsets. HotDocs, however, does not work with OLE DB providers that return records or streams. (Click here for a list of supported databases.)

You write a custom command at the Command tab of the Database Editor. (Instructions for getting this tab are included below.) This tab lists all the variables in the template to which you can refer in your command. The only modification HotDocs makes to the command string as it passes it through to the database is the substitution of answers for any HotDocs fields it finds in the command.

As you add HotDocs components to a custom command string, keep the following in mind:

  • Custom commands should be written so that the returned recordset always has the same number of columns with the same column names.
  • Only HotDocs fields that merge variable answers are permitted. Other fields (such as HotDocs scripting or instructions) will not work in database commands.
  • When true/false values are merged into a command, an example format is required. When date values are merged into a command, an example format is recommended.
  • For HotDocs variables to be mapped to database fields at design-time, HotDocs must execute the custom command to determine what the column names and types are that it returns. Because no answers are available to merge at design-time, HotDocs uses the following guidelines to prepare the command for execution at design-time:
    • If the merge field is a Text variable, Multiple Choice variable or text computation, the merge field is simply replaced by an empty text string.
    • If the merge field is a Number variable or number computation, it is replaced by a zero (0) when the command is issued. If the merge field is a True/False variable or a true/false computation, it is replaced by the false portion of its example format.
    • If the merge field is a Date variable or date computation, it is replaced by its example format if one is specified; if no format is specified, it is replaced by a generic date in the format expected by the OLE DB provider, as specified in the file Providers.ini. (Click here for more information.)
Caution: While it might be possible to merge a text computation that would vary the number of columns, or the column names or types, that were returned by a command, doing so will prevent HotDocs from properly linking those fields to HotDocs variables. Therefore, HotDocs answers merged into custom commands should only be used to limit or order the results, not to change the scope of the command.

To create a database component using a custom command

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. From the Command type drop-down list (found on the Properties tab), select User-defined (SQL or custom).
  3. Click the Command tab and type the custom command, following the guidelines outlined earlier. Use the command to retrieve the fields from the table. (Click here for an example of a custom command.)

Once the command script is correct and HotDocs has executed the command, the contents of the Field Map tab are updated to show both the fields in the database and the variables in the template. You can then link your variables to fields. See Link Variables to Database Fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Use a Custom Command to Retrieve Data from a Database


HotDocs Help - Choose Which Database Fields Appear During Assembly

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Choose Which Database Fields Appear During Assembly

By default, when you connect your database component to a database table, HotDocs automatically selects every displayable field in the table for display during assembly, even if some of the fields aren't directly linked to variables in the template. (HotDocs automatically omits fields which cannot easily be displayed, such as binary fields.) However, you can choose to display only certain fields.

Also, you can change the order of the database columns as well as the widths of the columns.

To display only selected fields

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Field Map tab. The window changes to show the options for linking template variables to database fields.
  3. In the Display column, clear the check boxes next to the fields you don't want to appear during assembly. Notice the fields are removed from the list of fields in the Field display order list.
  4. Complete any of the following tasks:
    To | Do This
    Change the order in which the columns are presented | In the Field display order box, select a field name and drag it to a different location.
    Make the column widths larger than the space taken by the field name | Enter the number of units in the Width column. This number must be larger than the number of characters in the column name.
    Test the database component | Click Test. HotDocs displays the database table in the test assembly window.
Note:
  • If you are using a custom command, you control the order fields appear in the table using the command script—not by rearranging fields in the Field display order box. See Use a Custom Command to Retrieve Data from a Database for details.
  • In order for HotDocs to remember which records your users have selected during assembly, you must assign a key field. For information on doing this, see Remember Selected Records.
  • When specifying the column width, please note that one unit is about equal to the width of the character 5.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Choose Which Database Fields Appear During Assembly


HotDocs Help - Cause HotDocs to Update Selected Records Between Assemblies

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Cause HotDocs to Update Selected Records Between Assemblies

You can select an option that allows answers retrieved from a database to be current when it is merged into an assembled document. This allows data in a table to be updated without the user having to manually re-select the record or do something else that causes HotDocs to update the connection.

This update happens whenever a user starts a new assembly and then views the database selection dialog. However, if answers in the underlying database change during the interview, those changes will not be reflected in the interview or the document. When this option is cleared (which it is, by default), linked answers will only be updated when the user makes some change to the database table—for example adding, removing, or moving a selected row. Additionally, the data is updated when the database returns nothing or only one record, or when the database component has the Automatically select all filtered records option selected.

To update selected records between assemblies

  1. Open the existing database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Options tab. The window changes to show several options for the component.
  3. Select Automatically refresh linked answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Cause HotDocs to Update Selected Records Between Assemblies


HotDocs Help - Limit the Number of Database Records from Which a User Chooses

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Limit the Number of Database Records from Which a User Chooses

By default, when HotDocs presents a table of records for the user, every record in the table is displayed. Depending on the size of the table, this may mean the table with which the user is working may be very large. You can limit the number of records that appear, however, by filtering the list of records to include only those relevant to the user.

For example, if you are retrieving customer information from a database, you can create a filter that displays only those customers located in a particular state.

A filter is created by setting up one or more comparisons between the value in a database field and a variable or other value. Only the records that meet the comparison(s) will be displayed.

To filter certain records from the database table

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Sort & Filter tab. The window changes to show sorting and filtering options.
  3. Click the Filter by Field drop-down button and select the database field you want to use as a filter.
  4. Click the Comparison drop-down button and select the type of comparison operator you want to use.
  5. Click the Compared to drop-down button and select a value to which you want to compare the field. (This list of values matches the data type of the field you are using as a filter. If you selected IS EMPTY or IS NOT EMPTY as a comparison operator, you do not need to select a value here.)
  6. Optionally, include another condition for the filter by selecting AND or OR from the first drop-down list of the second row and completing the condition, just as you did earlier.
    Note: Each filter can have up to five comparison conditions, with each condition connected to the preceding condition by the keyword AND or OR. When two conditions are connected by AND, they both must return true in order for a record to be selected. If two conditions are connected by OR, only one of the conditions must be true in order for a record to be selected. If the filter has multiple conditions, some connected by AND and others by OR, the conditions connected by AND will be required first, followed by the conditions connected by OR.
  7. Optionally, click Test to test the filter. You will see a list of records as it will be presented to the user during assembly. (See Test Individual Variables.)

In addition to creating a filter yourself, you can allow the user to create his or her own filter during assembly. Filtering options will appear in the interview for the user to select. To do this, select Allow filtering by end user at the Options tab.

Note:
  • You can use a variable in a filter when you want to make the filter dependent on information the user enters during assembly. For example, you could create a filter to display only those customers located in a particular state, and users could specify different states each time they assemble a document.
  • If you have used multiple filters, you can remove all of them by clicking Clear All Filters. To remove a single filter, click that specific filter's Field drop-down button and select the blank line at the top.
  • If you are filtering a repeated database component, you can also assign filtering instructions at the REPEAT Field dialog box. For information about doing this, see Tips on Filtering and Sorting Repeated Database Components.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Limit the Number of Database Records from Which a User Chooses


HotDocs Help - Specify a User Name and Password for a Database

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Specify a User Name and Password for a Database

Some databases require users to provide a user name and password before connecting to the database. If this is the case for your database, you can provide the information at the Options tab of the Database Editor. Connection strings, user names, and passwords are saved and encrypted in the component file (for safety purposes).

To specify a user name and password at the Options tab of the Database Editor

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Options tab. The window changes to show several database component options.
  3. In the Connection Options group, type the user name in the User name box.
  4. Type the password in the Password box.
Caution:
  • You can choose to store the username and password in the connection string (by entering them at the Data Link Properties dialog box). However, ADO connection strings are always displayed in plain text in the Database Editor, so anyone with component editing capabilities will be able to view the database password in plain text. (Passwords entered at the Options tab of the Database Editor are masked, though.)
  • If you must supply a database password for an Access database, you specify it at the All tab of the Data Link Properties dialog box. (You can access this dialog box by clicking the Edit Edit button at the Properties tab of the Database Editor.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Specify a User Name and Password for a Database


HotDocs Help - Sort Records in a Database Table

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Sort Records in a Database Table

To make it easier for users to find records in the database table, you can sort the records by any field in the table, either in ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order. You can also sort a list at two levels. For example, you could sort a client list first by state and then within the state by city.

You can also specify an option that allows users to sort the records during the interview. They can sort on any field in the table and have the contents arranged in ascending or descending order (as described above).

To sort the records for the user

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Sort & Filter tab. The window changes to show sorting and filtering options.
  3. Click the first Sort by drop-down button and select the field on which you want to sort.
  4. Click the second Sort by drop-down button and select Ascending or Descending.
  5. Optionally, to sort on a second level, select a field at the Then by drop-down list and then choose Ascending or Descending.

You can let users sort their own records. To allow this, select Allow sorting by end user at the Options tab of the Database Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Sort Records in a Database Table


HotDocs Help - Generate a List of Records in an Assembled Document

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Generate a List of Records in an Assembled Document

By default, users can merge answers from one selected database record during assembly. However, there may be times when choosing multiple records would be necessary, for example, to produce a list of answers in a document.

To generate a list of answers that are retrieved from a database, you must repeat the database component that will provide the answers. You must also specify a database component property that allows the user to select multiple records from the table.

To assemble a single document that contains a list of records

  1. Select the text (including variables, instructions, and so forth) you want repeated using information from different records and click the REPEAT Field REPEAT Field button. The REPEAT Field dialog box appears.
  2. Select REPEAT Database.
  3. Click the Database drop-down button and select the database component you want to use.
  4. Click the Edit Component Edit Component button to open the database component for editing. The Database Editor appears.
  5. Click the Options tab and select Allow multiple selections.
  6. Click OK at the Database Editor. The REPEAT Field dialog box appears again.
  7. Optionally, click Show Advanced and choose sorting or filtering options. (See Tips on Filtering and Sorting Repeated Database Components for information about doing this.)
  8. Click OK. The REPEAT instruction is inserted into the template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Generate a List of Records in an Assembled Document


HotDocs Help - Tips on Filtering and Sorting Repeated Database Components

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Tips on Filtering and Sorting Repeated Database Components

When you REPEAT a database component, you can specify filtering and sorting instructions at two places—at the Database Editor and at the REPEAT Field dialog box. Generally speaking, instructions specified at the Database Editor control how the database table appears during the interview, while instructions specified at the REPEAT Field dialog box control how the data is merged into the assembled document. The following discusses in greater detail these relationships.

Filtering Repeated Database Components

When you assign a filter at the Database Editor (at the Sort & Filter tab), you are limiting the records from which the user may choose during the interview. When you assign a filter at the REPEAT Field dialog box, however, you are limiting the answers that are actually merged into the assembled document.

In most situations, assigning a filter at the database component should be adequate. One situation where it might be useful to create an additional filter at the REPEAT Field dialog box is if you want the user to select answers from one table but you want the answers merged into different lists in the document.

Sorting Repeated Database Components

Similarly, when you assign sorting instructions at the Database Editor (at the Sort & Filter tab), HotDocs forces the records in the table to appear in that order during the interview. If you also select Allow sorting by end user at the Options tab of the Database Editor, the table initially is presented to users using your sorting order, but users can then sort the records how they want. If users select multiple records, they can then rearrange the order the answers are merged into the assembled document.

When you assign sorting instructions at the REPEAT Field dialog box, HotDocs will merge the answers into the assembled document in the order you specify.

Where possible, you should always use the Database Editor to assign sorting instructions for a repeated database. One situation where it might be useful to assign sorting instructions at the REPEAT Field dialog box would be if you need to insert a list of answers at multiple places in the document but need the list to be arranged differently in each location. For example, perhaps in one location, you would need the list to be sorted based on Invoice Number, but in another place the list needs to be sorted by Company Name. You could use the sorting instructions at the REPEAT Field dialog box to help you create these different lists. Make sure, however, that you clear Allow sorting by end user at the Options tab of the Database Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Tips on Filtering and Sorting Repeated Database Components


HotDocs Help - Merge Filtered Records into the Document Automatically

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Merge Filtered Records into the Document Automatically

You can have HotDocs automatically select all filtered records and set the linked repeated variables accordingly. This can be useful if you've designed a filter to automatically retrieve this information from the database and you don't need the user to make any selections.

To merge all filtered records into the document during assembly

  1. Repeat the variables you want answered by the database. (See Generate a List of Records in an Assembled Document.)
  2. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  3. Click the Options tab. The window changes to show several database component options.
  4. Select Allow multiple selections and then select Automatically select all filtered records.

Now, when your user assembles a document, any records that meet the filter condition are automatically selected and used to set linked variables—the table of records will not appear during assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Merge Filtered Records into the Document Automatically


HotDocs Help - Ask Variables Already Answered by the Database

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Ask Variables Already Answered by the Database

When variables in a template are answered using data from a database, HotDocs considers the variables to be answered and, by default, won't ask them again. You can, however, have HotDocs ask the variables, even though answers have already been provided. This may be useful if you want the user to review or change the answers supplied by the database. Then, if you choose to allow it, users can save any changes they've made to the data back to the database. (See Save Changed Answers Back to the Database for details.)

Similarly, if a variable requires an answer, but no answer for the variable exists in the database, HotDocs can ask the variable and allow the user to provide the answer.

To control which linked variables are asked during the interview

  1. Open the database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Options tab. The window changes to show several database component options.
  3. Click the Treat linked variables as asked drop-down button and select one of the following options:
    • Choose Never to have HotDocs never consider linked variables as asked—it will ask them elsewhere in the interview, even if the database contains an answer.
    • Choose Always to have HotDocs always consider linked variables as asked—it will not ask them elsewhere in the interview, even if the database does not contain an answer.
    • Choose Only if Answered from Database to have HotDocs ask a linked variable if no answer for the variable exists in the database.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Ask Variables Already Answered by the Database


HotDocs Help - Select Related Database Records

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Select Related Database Records

Sometimes your template may link to more than one database table. If both tables have at least one field in common (for example, both tables have a field named CLIENT_ID), you can create a filter based on this association that will allow users, during assembly, to select a record from one table and have the corresponding records from the other table automatically selected. (This common field is sometimes referred to as a foreign key.)

For example, perhaps you want to assemble an invoice letter for a specific client whose payment is past due. Specifically, you want to select an unpaid invoice record from the INVOICE table and automatically have the associated information about the client selected from the CLIENT table. This data should then be merged into the assembled document. To do this, you must create both database components, link the fields in each table to variables in the template, and assign a filter to the CLIENT table. The filter uses the value of CUSTOMER_ID (which has already been answered by the INVOICE table) and returns the record from the CLIENT table that matches that value.

To select related records in another table

  1. Create database components for two tables in your database. (See Create a Database Component Using ADO and Link Variables to Database Fields.)
  2. Open the database component for the database table from which you want the user to choose a record. (See Edit a Database Component.)
  3. Click the Field Map tab and link the related (or common) field to a variable in the template.
    Note: If no variable exists, create it by clicking the Linked Variable cell and then clicking the New Component New Component button. HotDocs automatically creates a variable that matches—as closely as possible—the properties of the field. The variable is created, but not inserted into the template, and the field is linked to it.
  4. Open the other database component for editing. (This is the database from which you want to select related records.) The Database Editor appears.
  5. Click the Sort & Filter tab. The window changes to show sorting and filtering options.
  6. Click the Filter by Field drop-down button and select the related field.
  7. Click the Comparison drop-down button and select EQUAL from the list of comparison operators.
  8. Click the Compared to drop-down button and select the variable that corresponds to the related fields.
  9. At each Database Editor, click OK to close both windows.
Note:
  • If you are retrieving answers from multiple records, you can have HotDocs automatically select all the records that meet the filtered condition and merge them into the document. To do this, open the database component that contains the filter (this is the database component you don't want displayed during assembly) and select Automatically select all filtered records. (See Merge Filtered Records into the Document Automatically for more details on using this option.)
  • See Custom Command Sample for an example of a custom command that actually joins two database tables.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Select Related Database Records


HotDocs Help - Control When Your Database Tables Appear

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Control When Your Database Tables Appear

When HotDocs creates an interview for the user, it reads through the template and displays dialogs based on the variables it finds in the template text. If a variable is linked to a database table, HotDocs displays the database table instead.

If you want your database table to appear at certain place in the template, you can insert an ASK Database instruction into the text of the template where you want the database table to be displayed.

To insert an ASK Database instruction

  1. Position the cursor at the point in the template where you want the table to be asked (for example, at the top of the template).
  2. Click the Ask Field ASK Field button. The ASK Field dialog box appears.
  3. Select ASK Database.
  4. Select a database table from the Database drop-down list, or click the Edit Component Edit Component button to create a new database component. (See Create a Database Component Using ADO and Link Variables to Database Fields.)
  5. Click OK. The ASK Database instruction is inserted in the template.
Note: You can group several ASK instructions in one computation script and use that computation to control the order questions are asked in the interview. (See Put ASK Instructions in a Computation Variable.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Control When Your Database Tables Appear


HotDocs Help - Choose a Database Cursor

Overviews

  • Overview: Link Templates to a Database

Reference Material

  • Tips on Filtering and Sorting Repeated Database Components
  • Understand Database Connectivity
  • Use Supported Databases

How Do I...?

  • Ask Variables Already Answered by the Database
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Change Database Component Properties
  • Choose a Database Cursor
  • Choose Which Database Fields Appear During Assembly
  • Connect to Microsoft Excel using the Database Component
  • Control When Your Database Tables Appear
  • Convert ODBC-based Connections to ADO
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Edit a Database Component
  • Generate a List of Records in an Assembled Document
  • Limit the Number of Database Records from Which a User Chooses
  • Link Variables to Database Fields
  • Merge Filtered Records into the Document Automatically
  • Remember Selected Records
  • Save ADO Connection Information in a Separate File
  • Save Changed Answers Back to the Database
  • Select Related Database Records
  • Sort Records in a Database Table
  • Specify a User Name and Password for a Database
  • Use a Custom Command to Retrieve Data from a Database

Choose a Database Cursor

When HotDocs connects to the database and identifies the information it needs to retrieve, it uses what is called a cursor. Just as a cursor in a word processor document allows you to move around and select text in a document, a database cursor allows HotDocs to scroll through and select records from a database table.

A database component can use one of two types of cursors when retrieving data from a database table: client cursors and server cursors. By default, HotDocs uses a client cursor; however, you can choose to have it use a server cursor. The following is a discussion about the advantages of each.

Client Cursors

A client cursor retrieves all the data in the result set (possibly across the network) to the user's machine, and manipulates the data there. The advantages of this are:

  • End users will have fast scrolling and full ability to change sort order.
  • The data is only pulled across the network one time.
  • Server resources (connections) are freed as soon as the data is retrieved. No server connection is maintained while the user is interacting with the database component, selecting records. This has minimal impact on server resources.

The primary disadvantage of client cursors is that for very large result sets, the initial loading of the data across a network consumes bandwidth and can be time consuming. That is why, in HotDocs, it is recommended that you always use filters to minimize the size of the result sets from which users will choose. (See Limit the Number of Database Records from Which a User Chooses.)

Server Cursors

Unlike a client cursor, a server cursor opens the connection to the database and leaves it open until the user leaves the database selection dialog. This may be desirable in a few circumstances, such as when a large result set is required and the initial performance of a client cursor is prohibitive. However, the disadvantages of a server cursor are:

  • User scrolling can be slower, as only the displayed data is retrieved from the database at one time.
  • A connection to the database server must be maintained the whole time the user is selecting records from the database. Also, network traffic may be impacted if the user scrolls through the data repetitively.
  • The user cannot change the sort order of the displayed results.
  • If the user applies filters to very large result sets, performance and network bandwidth usage can be negatively impacted.

If you're accessing a database that is located on your local machine, there may not be a huge performance difference between client and server cursors. The biggest difference in this case is that server cursors will not allow you to change the sort order of the data you are viewing during the interview.

Caution: Because of these limitations, it is recommended you use client cursors—unless you have a specific reason to choose otherwise.

Once you decide which type of cursor best fits your needs, you can specify this option at the Options tab of the Database Editor.

To specify which type of cursor you will use

  1. Open the existing database component for editing. (See Edit a Database Component.) The Database Editor appears.
  2. Click the Options tab. The window changes to show several options for the component.
  3. Choose one of the following options:
    • Select Use disconnected (client) record set to use a client cursor.
    • Clear Use disconnected (client) record set to use a server cursor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Linking Templates to a Database > Choose a Database Cursor


HotDocs Help - Testing HotDocs Automation

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Testing HotDocs Automation

Overview: Test HotDocs Templates

Test Individual Variables

Test a Computation Script

Test a Custom Dialog

Test Assemble a Document

Use a Test Answer File

Simultaneously Edit a Template and Test Assemble a Document

Understand and Resolve Syntax Errors in a Template or Script

Home > All About... > Testing HotDocs Automation


HotDocs Help - Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Overview: Test HotDocs Templates

Test Variables, Scripts, and Dialogs

As you create variables and computation scripts in your templates, you can test them to make sure they produce the desired result. Likewise, you can test dialogs to see how the information will be presented to users during document assembly.

As you test these different components, HotDocs displays the HotDocs test assembly window. If you find that you must edit the variable, script, or dialog, you can leave the assembly window open, bring the component editor to the front, and make the required changes. Then, to continue testing, you can click the Update button to review your changes. (Note, however, that these changes aren't saved to the component file until you click OK or Save at the component editor.)

Test Assemble Documents

At any point during template development, you can test all or part of the template to make sure it is assembling correctly. Test assembling a document can help you pinpoint trouble spots in the template without requiring you to close the template and assemble it from the library.

When you test assemble a document, HotDocs displays the same HotDocs assembly window users will see. At any time during test assembly, you can return to the template, make the desired changes, and test assemble the document again. The test assembly window will adjust to show your changes.

Use the Test Panel

To help you test, you can use the HotDocs Test Panel. This feature lets you examine variable usage, including whether variables referenced in the interview are actually used in the document (and vice versa). Features of the Test Panel also let you check to make sure you've properly asked variables and set values for variables in the template. Finally, during a test assembly, you can link from the Document Preview tab of the test assembly window back to a specific place in the template.

Resolve Problems in a Template or Script

As you test, you may find problems with your automation. For example, HotDocs may display a syntax error or warning you must fix before the template or script can be properly tested. To help you resolve syntax errors, HotDocs displays error messages that contain information about the specific error as well as a command for going to the error in the template.

Additionally, perhaps a test assembly produces a result you don't expect. To help you step through a template or script in order to determine why you're receiving unexpected results, HotDocs provides the HotDocs Debugger.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Overview: Test HotDocs Templates


HotDocs Help - Test Individual Variables

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Test Individual Variables

When you’re creating a variable or an IF instruction, you can test it to see if it’s working the way you want. Even if the variable is linked to a custom dialog, HotDocs still tests it individually. You can test variables by clicking the Test button at the variable editor.

To test a variable or True/False expression

  1. Edit a variable or IF instruction. (See Edit a Variable or Edit an IF Instruction or Expression.)
  2. Click Test at the variable editor. HotDocs displays a test assembly window.
  3. Enter an answer for the variable.
  4. Optionally, if you assigned a resource to the variable, view the Resource pane. (The Resource pane appears below the dialog pane. If it is not visible, select it at the View menu.)
  5. Click the Result tab to see the answer that would be merged in the assembled document.
  6. Optionally, place your cursor in the answer field and click the Edit Component Edit Component button in the assembly window toolbar. The variable editor comes to the front so you can make changes. Click Update to update the window. To permanently save the changes, click OK at the variable editor. (See Simultaneously Edit a Template and Test Assemble a Document.)
  7. Click Close (File menu) to close the test assembly window.
Note:
  • You can save your test answers in a test answer file. See Use a Test Answer File.
  • You can have HotDocs arrange the test assembly window with other open windows. Adjust the height of the test assembly window and then click the Arrange Windows Arrange button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Test Individual Variables


HotDocs Help - Test a Computation Script

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Test a Computation Script

Often, as you write calculations or scripts, you want to make sure they produce the desired result. You can test computations and scripts as you write them. When you do this, HotDocs displays a test dialog where you can enter the information that is needed to produce a result.

To test a script

  1. At the Computation Editor, enter your computation or script. (See Customize a Computation Variable and Use the Script Editor.)
  2. When finished, click Test. HotDocs displays a test assembly window.
  3. Enter any required information and click the Result tab. HotDocs displays the computed answer.
  4. Optionally, to further edit the variable, leave the test assembly window open and return to the Computation Editor to make the changes. Click Update at the Computation Editor to update the test assembly window. To permanently save the changes, click OK at the Computation Editor. (See Simultaneously Edit a Template and Test Assemble a Document.)
  5. Click Close (File menu) to close the test assembly window.
Note:
  • You can save your test answers in a test answer file. See Use a Test Answer File.
  • When you test a computation script, if HotDocs finds any syntax errors in the script, it displays a warning message and then places your cursor as close to the error as possible in the Script box. You must fix the error before HotDocs will allow you to save the script. (See Understand and Resolve Syntax Errors in a Template or Script.)
  • You can have HotDocs arrange the test assembly window with other open windows. Adjust the height of the test assembly window and then click the Arrange Windows Arrange button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Test a Computation Script


HotDocs Help - Test a Custom Dialog

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Test a Custom Dialog

You can test a custom dialog to see how the dialog contents will appear during an interview, including any scripting you may have assigned. When you test assemble a dialog, HotDocs displays a test assembly window so you can see the dialog exactly as the user will see it.

To test a custom dialog

  1. Edit the dialog you want to test. (See Edit a Custom Dialog.)
  2. At the dialog, click Test. HotDocs opens a test assembly window, which shows the different components of the dialog you are editing.
  3. Make sure variable prompts, dialog elements, and check boxes appear correctly.
  4. Optionally, select the dialog icon in the interview outline and click the Edit Component Edit Component button in the assembly window toolbar. The Dialog Editor comes to the front so you can make changes. Click Update to update the window. To permanently save changes, click OK at the Dialog Editor. (See Simultaneously Edit a Template and Test Assemble a Document.)
  5. If you've created a dialog script, type information in the answer fields to make sure the script is updating the dialog correctly.
Note:
  • You can save your test answers in a test answer file. See Use a Test Answer File.
  • You can have HotDocs arrange the test assembly window with other open windows. Adjust the height of the test assembly window and then click the Arrange Windows Arrange button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Test a Custom Dialog


HotDocs Help - Test Assemble a Document

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Test Assemble a Document

When you’re automating a template, you can test assemble it at any time to see if the document assembles the way you want. When testing a text document, you can test assemble all or just part of it. When testing a form template, you can test using direct-fill mode as well as using an interview (if one has been specified).

To test assemble a text template

  1. At the template, click the Assemble Assemble button. HotDocs opens a test assembly window.
  2. Answer questions as they are presented.
  3. Click the Document Preview tab to see the assembled document, just as the user will.
  4. Choose Close (File menu) to close the test assembly window, or switch windows to return to the template.

To test assemble a form template

  1. At the form template, click the Assemble Assemble button. HotDocs opens a test assembly window.
  2. If you have created a custom interview, you can view the template's variables and dialogs in the left pane (or interview outline) and the corresponding answer fields in the right pane (or dialog pane). Answer questions as they are presented.
  3. Click the Form Document tab to see the assembled document, just as the user will.
  4. Optionally, click or tab through the fields in the Form Document tab to fill the form directly.
  5. Choose Close (File menu) to close the test assembly window, or switch windows to return to the template.
Note:
  • You can save your test answers in a test answer file. See Use a Test Answer File.
  • As you complete the interview, you can move between dialogs by clicking dialog icons in the interview outline, by clicking the Next or Previous buttons in the navigation bar, or by pressing Alt+N or Alt+P.
  • To test a template for online assembly, press the Shift key while clicking the Assemble Test Assemble button. (See View an Interview in a Web Browser.)
  • You can have HotDocs arrange the test assembly window with other open windows. Adjust the height of the test assembly window and then click the Arrange Arrange button.
  • When you test assemble a document from a template, if HotDocs finds any syntax errors in the template, it displays a warning message, which allows you to go to the place in the template where the error occurs. You must fix the error before HotDocs will let you continue. (See Understand and Resolve Syntax Errors in a Template or Script.)
  • In Microsoft Word, you can also test assemble a document either by clicking on the HotDocs drop-down menu in the HotDocs toolbar and choosing Test Assemble, or by right-clicking in the template and choosing Test Assemble from the shortcut menu.
  • If you receive an error message that includes a field number, you can quickly go to that field in the template. To do this, click the Go To Field Go To Field command. See Go to a Specific Field in the Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Test Assemble a Document


HotDocs Help - Use a Test Answer File

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Use a Test Answer File

As you test variables, scripts, dialogs, and templates, you can save the answers you use in a special test answer file. When you do this, these answers will be used each time you test, and you will not be prompted to save answers at the end of each test.

To save your answers in a special test answer file

  1. Test assemble a variable, dialog, or template by entering answers for each question.
  2. When finished, close the assembly window. HotDocs asks if you want to save your answers.
  3. Click Save or Save As. The Save Answer File dialog box appears.
  4. In the File name box, type Test Answer File.
  5. In the Title box, enter a title or accept the suggestion HotDocs makes.
  6. Click OK.

Now, whenever you test assemble in HotDocs, this answer file will be used and you will not be prompted to save your answers. To use a different answer file, click either the New Answer File New Answers button or the Open Answer file Open Answers button in the test assembly window toolbar. If you use an existing answer file other than Test Answer File, HotDocs will use this answer file for each test assembly, but you will be prompted to save any changes you have made to the file when you close the assembly window.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Use a Test Answer File


HotDocs Help - Simultaneously Edit a Template and Test Assemble a Document

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Reference Material

  • Understand and Resolve Syntax Errors in a Template or Script

Simultaneously Edit a Template and Test Assemble a Document

You can test a variable, dialog, or script to make sure the information is being processed correctly. When you don't get the results you expect, you can leave the test assembly window open as you make the necessary changes at the component editor for the component you are testing. You can then click the Update button and HotDocs refreshes the assembly window to show your changes. Changes aren't saved to the component file until you click OK at the component editor.

To update the contents of a test assembly window with changes

  1. At the template you are editing, test assemble a variable, dialog, computation script, or template.
  2. Place your cursor in an answer field (or select a dialog in the interview outline) and click the Edit Component Edit Component button. HotDocs displays the component editor for that specific component.
  3. Make any desired changes to a component or the template text and click Update. HotDocs makes the changes in the test assembly window.
  4. Repeat this process until you see the desired result.
  5. When you are finished, close the test assembly window and click OK at the component editor. The changes are saved to the component file.
Note: You can have HotDocs arrange the test assembly window with other open windows. Adjust the height of the test assembly window and then click the Auto Arrange Arrange button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Simultaneously Edit a Template and Test Assemble a Document


HotDocs Help - Understand and Resolve Syntax Errors in a Template or Script

Overviews

  • Overview: Test HotDocs Templates

How Do I...?

  • Simultaneously Edit a Template and Test Assemble a Document
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Test Individual Variables
  • Use a Test Answer File

Understand and Resolve Syntax Errors in a Template or Script

When HotDocs encounters a component or instruction in a template or script that it doesn't recognize or understand, it generates and displays a syntax error message. This message lists the component or components HotDocs was processing when it encountered the error and allows you to go directly to that point in the template or script so you can fix the problem. (See Understand the HotDocs Scripting Language.)

Errors may be caused by:

  • Unrecognized variable names: Any references to variables or other components must have a corresponding component in the component file. For example, you cannot refer to the Text variable Employee Name in the template unless there is Text variable in the component file named Employee Name. This includes using unrecognized variable names in prompts, dialog element text, scripts, and so forth.
  • Incomplete instructions: IF and REPEAT instructions used in the template or a script must have corresponding END IF and END REPEAT instructions. If HotDocs cannot find these instructions, it generates a syntax error when you assemble the document. (This includes test assembling from the template development window.) (You can have HotDocs match opening instructions with closing instructions. See Match Opening Instructions with Closing Instructions.)
  • Syntax errors in a script or expression: Writing scripts in HotDocs requires you to use a specific "language" that HotDocs can recognize and then process. If you use the language incorrectly, or if you use words that are not part of the language, you will receive an error when you try to save your work.

HotDocs reports syntax errors when you try to test assemble a document and when you try to save a script that contains syntactical errors:

  • When a syntax error occurs in a template, HotDocs displays a warning message that describes the error and displays the processing stack for the error. The stack shows, starting from the bottom, the components HotDocs was processing when it found the error. The Field denotes the variable or instruction field in the template where the error occurred, while Position denotes the character position within the field or script.
  • To resolve such a syntax error, select an entry in the processing stack and click Go To Error. (Usually, you should select the topmost entry in the stack.) HotDocs takes you to the reference point so you can make the change. (When you click Go To Error, HotDocs continues to display the error message in a pop-up window, which you can leave open until you have corrected the error. When finished, click Close at the message box.)
    Note: You can click the Go to Field Go to Field button in the HotDocs toolbar to quickly move to a variable or instruction field containing an error.
  • When a syntax error occurs in a script, HotDocs displays an error message and then moves the cursor as close to the error in the script as it can.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Testing HotDocs Automation > Understand and Resolve Syntax Errors in a Template or Script


HotDocs Help - Using the HotDocs Debugger

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Using the HotDocs Debugger

Overview: Debugging Templates

Insert Debugging Instructions in Templates and Scripts

Step Through a Template or Script

Add Variables to the Debugger Watch List

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the HotDocs Debugger


HotDocs Help - Overview: Debugging Templates

How Do I...?

  • Add Variables to the Debugger Watch List
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script

Overview: Debugging Templates

When test assembling templates, you may find that some scripting or automation in your template isn’t producing the result you expect. Perhaps you have created a computation script that is producing an answer you think is wrong. To help you troubleshoot situations like this, you can test your templates or scripts in Debug mode. You do this by inserting a DEBUG instruction in the template or script you think may be causing the unexpected result. Then, you test the template or script using an answer file. When HotDocs processes the DEBUG instruction, it brings up the HotDocs Debugger so you can step through the script line by line, examining the components and any answers that may be causing the problem. The Debugger allows you to observe how a script is being processed or how a document is being assembled.

While debugging your templates or scripts, there are several options you can use to help you diagnose the problem. For example, you can add variables to a “watch list,” which allows you to track how answers to certain variables change depending on how other questions are answered in the interview.

The Debugger also displays the processing stack which shows, starting from the bottom, the templates and components HotDocs is processing at the field or line you are currently examining. For example, if you are debugging a computation script in an inserted template, the processing stack would include the name of the parent template, the name of the inserted template, and the name of the Computation variable. Viewing the stack can help you understand what part of the interview you’re viewing as well as provide the path for how you got to it.

You can use the information you gather from debugging to correct problems with automation.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the HotDocs Debugger > Overview: Debugging Templates


HotDocs Help - Insert Debugging Instructions in Templates and Scripts

Overviews

  • Overview: Debugging Templates

How Do I...?

  • Add Variables to the Debugger Watch List
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script

Insert Debugging Instructions in Templates and Scripts

To debug your template or script, you must first insert a DEBUG instruction in the template or script. Then, you must test assemble the template (or test the script). Finally, you must enable debugging in the test assembly window.

To debug your template or script using a certain set of answers, first test assemble the template using those answers and then save your answers in a test answer file. (See Use a Test Answer File.) Once you have done this, then complete the steps below.

You can insert a DEBUG instruction:

  • In a text template.
  • In a form template.
  • In a script.

To insert a DEBUG instruction

  1. Open the text or form template for editing. (See Edit a Template.)
  2. Complete the following steps, depending on where you need to insert the DEBUG instruction:
    • If you are inserting a DEBUG instruction in a text template, place your cursor where you want to begin debugging. Click the HotDocs menu and choose Other Field from the list of options. Choose DEBUG from the Field type drop-down menu. Click OK.
      Note: For WordPerfect Users: The HotDocs menu does not appear in WordPerfect. To insert a debug statement, manually type «DEBUG» into the template.
    • If you are inserting a DEBUG instruction in a form template, create a field on the form where you want to begin debugging. Select the field and click the Field Properties Field Properties button. In the Variable box, type DEBUG. (Close the Field Properties dialog box when you are finished.)
    • If you are inserting a DEBUG instruction in a script, edit the computation or dialog whose script you want to debug. Insert the DEBUG instruction at the place in the script where you want to begin debugging.
  3. Click the Test Assemble Test Assemble button. (If debugging a script, click the Test button.) The test assembly window appears, along with the HotDocs Debugger window, which stops at the field following the DEBUG instruction. (If the Debugger window does not appear, make sure debugging is enabled by clicking the Enable Debugging Enable Debugging button in the assembly window toolbar.)
  4. Step through the template or script using the Debugger. (See Step Through a Template or Script.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the HotDocs Debugger > Insert Debugging Instructions in Templates and Scripts


HotDocs Help - Step Through a Template or Script

Overviews

  • Overview: Debugging Templates

How Do I...?

  • Add Variables to the Debugger Watch List
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script

Step Through a Template or Script

Once you have inserted a DEBUG instruction in a script or in the template, you can begin stepping through the template or script to determine where your automation is causing unexpected results. The HotDocs Debugger includes several options for doing this.

Before debugging, however, you should understand how HotDocs processes the template or script:

When you first test assemble a template or script, HotDocs processes (or runs through) the entire template or script to create the interview, which it displays in the test assembly window. As you answer questions in the interview, some answers may cause HotDocs to reprocess the script so it can update the interview. (For example, answering a true/false question may gray or ungray other variables in a dialog. In order for these changes to happen, HotDocs must reprocess the template.) Depending on the complexity of your template, HotDocs may reprocess the template or script many times during a test assembly.

During a test, if HotDocs encounters a DEBUG instruction, it displays the HotDocs Debugger, which simply shows you how the template or script is being processed at that specific field or line using any answers that have been entered. This allows you to see how variables and instructions are being used to manipulate text in the document or data in the script. Such analysis will help you understand why you may be seeing unexpected results in your test.

At any time, you can close the Debugger and return to the test assembly window. However, as long as you are in debugging mode, any time HotDocs processes a DEBUG instruction, the HotDocs Debugger will be redisplayed. This will happen each time you make a change to answers in the interview that cause it to be reprocessed.

Note: Debugging mode happens when you have a DEBUG instruction in your script or template and the Enable Debugging Enable Debugging button is selected (pressed down) at the test assembly window.

To debug your template or script using a certain set of answers, first test assemble and then save your answers in a test answer file. (See Use a Test Answer File.) Then debug your template. (See Insert Debugging Instructions in Templates and Scripts.)

To step through a template or script

  1. Insert a DEBUG instruction in the script or template and then test assemble the template. (See Insert Debugging Instructions in Templates and Scripts.)
  2. When the HotDocs Debugger window appears, complete any of the following tasks:
    To | Do This
    Understand why the Debugger window is showing | Read the explanation at the top of the tabbed pane.
    Examine either each field in the template or each line in the script

    Click Step Into Step Into. The Debugger steps into that field or line to show how HotDocs has processed it using the answers you have provided, specifically:

    • If you are in an INSERT instruction, the Debugger will step into the inserted clause, clause library, or template and show you how that file is being processed.
    • If you are in a Computation variable field, the Debugger will step into the computation and show you how the script is being processed.
    • If you are in a regular (non-computed) variable field, the Debugger will move you to the next field or line.

    As you step into components and instructions, you will notice that you are adding these levels of processing to the processing stack (which is a sequential list of templates and components you are processing).

    Ignore a field or line in a script

    Click Step Over Step Over. The Debugger will not step through any computations or subtemplates referenced in the field unless it encounters another explicit DEBUG instruction.

    For example, if you step over a computation field but the computation script includes a DEBUG instruction, HotDocs will stop at the DEBUG instruction in the computation script.

    Move to the next item on the processing stack

    Click Step Out Step Out. The Debugger will move you out of the current level of debugging and move you to the next item down on the processing stack (which is a sequential list of templates and components you are processing).

    For example, if you are debugging a computation in an inserted template, clicking Step Out Step Out will move you out of the computation and back to the inserted template. If you click Step Out Step Out again, the Debugger will return you to the parent template.

    Stop processing any current DEBUG instructions

    Click Continue Continue. HotDocs continues processing the interview until it either finds another explicit DEBUG instruction (which will cause the Debugger to appear again) or it finishes processing the template.

    Caution: Changing answers in the interview may cause HotDocs to reprocess the interview, thus triggering another debug session. To keep this from happening, close the Debugger window and either remove the DEBUG instruction from the template or script, or disable the Debugger. (To do this, click the Enable Debugging Enable Debugging button in the test assembly window toolbar.)
    Cancel the debugging session

    Click Stop Stop. HotDocs closes the Debugger window and disables the Debugger. You are returned to the test assembly window.

    Note: You can start the Debugger again by clicking the Enable Debugging Enable Debugging button in the test assembly window toolbar.
    View the current field or line of script and any answers used in processing it

    Click the Default Watch List tab, which shows a list of variables referenced in the field or script as well as any answers for the variables.

    As HotDocs processes REPEAT instructions, it displays the value for the current iteration (or index) in the Answer column. As you step through the REPEAT instruction, you can watch the Debugger increment this index. The Debugger also displays the REPEAT COUNTER.

    Track the answers for specific variables as the Debugger steps through the interview or script | Click the Custom Watch List tab. See Add Variables to the Debugger Watch List for details.
    View the processing stack, or path of execution

    Click the Processing Stack tab.

    The processing stack shows the sequential list of templates and components you are processing as well as the reason why a certain template or component was added to the stack. This can help you determine how HotDocs came to be processing the current field or line. As you step into components, those components are added to the top of the stack.

    Keep HotDocs from debugging the template or script without removing the DEBUG instruction | Click Stop Stop at the Debugger window. This closes and disables the Debugger window. (To start another debugging session, click the Enable Debugging Enable Debugging button. HotDocs reprocesses the interview or script, which forces HotDocs to process the DEBUG instruction, thus causing the Debugger to open again.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the HotDocs Debugger > Step Through a Template or Script


HotDocs Help - Add Variables to the Debugger Watch List

Overviews

  • Overview: Debugging Templates

How Do I...?

  • Add Variables to the Debugger Watch List
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script

Add Variables to the Debugger Watch List

You can have the Debugger monitor how answers to specific variables change as you step through the interview or script. You do this by adding variables to a custom watch list.

When you add variables to the watch list, they will be associated with the list until you manually remove them. Also, the custom watch list contains variables for only the current component file. In other words, if you are debugging a template that has an inserted template, you can actually have two watch lists—one for variables in the parent template and one for variables in the inserted template.

To add variables to a watch list

  1. At the Debugger window, click the Custom Watch List tab. The tab changes to show the list of specific variables you want to watch.
  2. In the Watch pane, right-click and choose Add or Remove Variables from the shortcut menu. The Add or Remove Variables dialog box appears, showing a list of all the variables in the current component file. (You can filter this list by clicking the Variables drop-down button and choosing a variable type.)
  3. Select a variable and click the Add Add Variables button. The variable is added to the Variables to watch list.
  4. Add as many variables as you want to monitor and click OK when you are finished. The variables are added to the Custom Watch List tab.
Note: To remove a variable from the custom watch list, select the variable and click the Remove Remove Variables button. You can also select a variable at the Watch pane, right-click, and choose Remove Selected Variable from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the HotDocs Debugger > Add Variables to the Debugger Watch List


HotDocs Help - Using the Test Panel

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using Variable Types
  • Working with Component Files

Using the Test Panel

Overview: Use the Test Panel

Validate Variable Usage in a Template

Check Interviews for Improper Scripting

Move From the Document to the Template During Testing

Home > All About... > Using the Test Panel


HotDocs Help - Overview: Use the Test Panel

How Do I...?

  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing
  • Validate Variable Usage in a Template

Overview: Use the Test Panel

You can display logistical information about the template you are testing in the Test Panel. This includes viewing a list of variables that are asked in the interview but not used in the document (and vice versa), and identifying situations where you've improperly asked or set variable values. Finally, it includes linking from the Document Preview tab of the assembly window back to a specific place in a Microsoft Word template.

Once you open the Test Panel, you can leave it displayed as you work in the test assembly window. Changes you make in the interview are automatically reflected in the Test Panel.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Test Panel > Overview: Use the Test Panel


HotDocs Help - Validate Variable Usage in a Template

Overviews

  • Overview: Use the Test Panel

How Do I...?

  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing
  • Validate Variable Usage in a Template

Validate Variable Usage in a Template

One key to good template automation is making sure the variables asked in the interview are both relevant to the interview and to the document. Specifically, you must ensure you're not asking questions in the interview that aren't used in the document, and vice versa. If such a situation exists, the interview and/or document may be incorrect.

You can use the Test Panel to examine which variables are asked in the interview (but not used in the document) as well as see which variables are not asked in the interview but are used in the document.

Variables listed in these tables appear based on the current answer set. For example, if a variable is included in conditional text and the condition has not yet been resolved, that variable will appear in the Variables asked in interview but not referred to in document list. Additionally, if a variable is merged in the document but it is set to Don't ask automatically and it's not specifically asked in a dialog, it will appear in the Variables referred to in document but not asked in interview list.

You can use this tool with both text and form templates.

To view variable usage

  1. Test assemble the document. (See Test Assemble a Document.)
  2. At the test assembly window, click the Test Panel Test Panel button. The Test Panel window appears.
  3. Click the Variable Usage tab. The view changes to show the validation options.
  4. Select Enable variable usage tracking. This generates the variable lists.
  5. Review the usage lists and make any necessary corrections to the template or interview script.
  6. Optionally, to review the variable's properties, including seeing which dialog links to it, double-click the variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Test Panel > Validate Variable Usage in a Template


HotDocs Help - Check Interviews for Improper Scripting

Overviews

  • Overview: Use the Test Panel

How Do I...?

  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing
  • Validate Variable Usage in a Template

Check Interviews for Improper Scripting

When assembling documents in HotDocs, HotDocs displays an interview outline in the assembly window. This outline is dynamic, in that as users enter answers, HotDocs processes the answers and updates the outline as necessary. Because of this, some scripting may cause the interview to process incorrectly.

Potential problems include SET instructions that have been used incorrectly, and variables that have been asked or referred to incorrectly. During testing, HotDocs identifies these problems and displays the relevant warnings in the Warnings tab of the Test Panel. You can go directly from a warning to the problem in the template and make changes.

Many of these warnings pertain to variables being asked incorrectly in the interview. To understand the circumstances under which a variable or dialog is asked, it is important to note that when the Ask automatically property is selected for a variable, HotDocs will ask the variable 1) when the answer is used (for example, tested in an IF instruction or merged into text) and 2) when the variable hasn't been asked before in the interview, either by itself or as part of a dialog. Additionally, a dialog is asked automatically when 1) the dialog has not been asked before in the interview and 2) when a variable to which the dialog is linked is asked automatically. Also, a dialog will be asked automatically when it is used in a REPEAT instruction.

See Warnings Tab Descriptions for a description of each warning.

To test a template for correctly produced interviews

  1. At the template you are editing, click the Test Assemble Test Assemble button. HotDocs displays the test assembly window.
  2. Answer questions in a way that causes the interview to update differently based on your answers.
  3. Click the Test Panel Test Panel button. The Test Panel window appears.
  4. Click the Warnings tab. HotDocs displays a window that contains items for which you can check, as well as a list of actual problems that were found when HotDocs processed the interview.
  5. Select a warning from the Warnings in interview list and click Go to Warning. HotDocs takes you to the place in the template where the potential problem exists. If the problem is in a component, HotDocs opens the component editor so you can make the changes.
Note: If you receive an error that includes a field number, you can quickly go to that specific field in the template by clicking the Go To Field Go To Field button in the HotDocs Edit toolbar. See Go to a Specific Field in the Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Test Panel > Check Interviews for Improper Scripting


HotDocs Help - Move From the Document to the Template During Testing

Overviews

  • Overview: Use the Test Panel

How Do I...?

  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing
  • Validate Variable Usage in a Template

Move From the Document to the Template During Testing

Caution:The Go to Template command is supported in Microsoft Word templates only.

When you are test assembling a document, you sometimes need to return to the template to see how automation in the template affects the portion of the assembled document you are reviewing. Rather than manually search for that section of text in the template, you can use the Go To Template command in the Test Panel to move from a specific place in the assembled test document to the template.

Caution: When using this command, you must test assemble the entire document. The command will not work properly if you test assemble just a portion of the template.

To go to a specific location in the template from the test assembly window

  1. Test assemble the document. (See Test Assemble a Document.)
  2. At the test assembly window, click the Test Panel Test Panel button. The Test Panel window appears.
  3. Click the Go to Template tab. The view changes to show the options available.
  4. Select Enable Go to Template.
  5. Click the Document Preview tab to view the assembled document.
  6. Place your cursor in the document where you want to review the corresponding automation and click Go to Template. The template window comes to the front and inserts your cursor at the specified location.
Caution: Selecting Enable Go to Template inserts several hidden field markers in the assembled document that allow HotDocs to find the correct location in the template when you click Go to Template. (To see these markers, you can right-click in the assembled document and choose Show Codes.) If you send a test assembled document to Word with this option enabled, the field markers will appear (albeit hidden) in the new Word document. If you don't want these hidden markers in the document, clear this option before sending the document to Word. (Of course, these markers will not appear in a document assembled regularly.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Test Panel > Move From the Document to the Template During Testing


HotDocs Help - Managing Templates

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Components
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Managing Templates

Overview: Use Template Manager

Open and Close Template Manager

Understand Parts of Template Manager Window

Template Manager Toolbar

Export Contents of a Template Manager Window to a Spreadsheet

Convert Multiple Templates to Work with HotDocs 10

Convert Templates and Clauses to Microsoft RTF

Rename Templates Using Template Manager

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Templates


HotDocs Help - Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Overview: Use Template Manager

You can use Template Manager to manage both templates and component files.

The following is an example of a template library that is being "managed" using Template Manager. A list of templates in the library appears on the left, while a list of components used in the templates appears on the right.

Template Manager example

Manage Templates

Template Manager allows you to view a list of items referenced in a library. This view includes templates and any files referenced by the templates, including component files, inserted templates, clauses, clause libraries, and so forth. Template Manager can also report any problems it finds with files you are managing.

You can use Template Manager to convert multiple documents either to HotDocs 2009-10 format or to RTF. Additionally, you can use Template Manager to rename templates. Using Template Manager to do these tasks can ensure that any changes you make in one file will be reflected in any other files referenced by it.

Manage Components

Template Manager provides a comprehensive overview of component usage in templates, inserted templates, clause libraries, and component files, as well as the dependencies between all these files. You can also copy components to multiple files at once to ensure consistency across templates and component files. Likewise, you can rename components in multiple files. When you rename a component, the change is also reflected in the corresponding template files. Additionally, you can single out unused components so you can delete them from the component files, which can reduce the number of components with which you must work in a given file. Finally, you can modify the properties of several component files at once.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Overview: Use Template Manager

More... (1)

Home > All About... > Managing Templates > Overview: Use Template Manager


HotDocs Help - Open and Close Template Manager

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Open and Close Template Manager

You can open Template Manager from the HotDocs template library. As Template Manager opens, it scans through the entire template library and creates a database file that lists all of the files in the library as well as all the components used in those files. (This happens even if you select only a single file to explore.) HotDocs uses this database to track changes you make to templates and components so that your changes won't adversely affect other files in the library.

For example, perhaps you want to rename a single template file. When you select it at the template library and launch Template Manager, HotDocs will create a database of all the files in the library, even though you have selected only one. This allows HotDocs to make sure that when you rename the template, any other place where the file is referred to in the library (either in the library itself or in another template), those references are updated with the new file name.

Caution: This database file is saved to the same file location as the template library. Do not open this file directly with the intent to modify its contents. Changes you make may have potentially serious consequences. For example, the change may cause HotDocs to make incorrect assumptions about what files and components are being used. This may make you think it's safe to delete something you shouldn't, thus "breaking" templates. Additionally, changes in the database may cause HotDocs to crash if it receives data it is not expecting.

To start Template Manager

  1. At the HotDocs template library, select the library items you want to work with and click the Template Manager Template Manager button. A dialog appears telling you that HotDocs is building a component database. (Depending on the number of files in the library, this process may take several minutes.)
    • If it encounters any errors when compiling the database, HotDocs displays an option to view the Error Report, which appears in a temporary text file. The report lists the folder path and file names of the files that contained the errors.
    • If it doesn't encounter any errors when compiling the database, it launches Template Manager.
  2. Once Template Manager appears, you can perform any number of tasks, such as:
    • View the contents of a Template Manager window.
    • Work with Template Manager.
    • Convert multiple templates to work with HotDocs 10.
    • Convert templates and clauses to Microsoft RTF.
    • Rename templates.
    • Copy and paste components.
    • Rename components.
    • Delete components.

To close Template Manager, click the X in the upper-right corner of the Template Manager window.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Open and Close Template Manager

More... (1)

Home > All About... > Managing Templates > Open and Close Template Manager


HotDocs Help - Understand Parts of Template Manager Window

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Understand Parts of Template Manager Window

When you first start Template Manager, it creates a database of all of the templates and components found in the current library. However, only the templates and components for those files you selected in the library appear in the Template Manager window, which is divided into two panes—the file list and the component list.

Together, the file list and component list show relationships between files and components. For example, when you select a file, Template Manager displays a Marker red marker next to the components used in the selected file. Likewise, when you select a component, HotDocs displays a Marker red marker next to the file or files that use that component either directly or indirectly (for example, you may have an inserted template that uses that component).

As you examine templates and components in Template Manager, you can customize your view of the window. See Template Manager Toolbar for details.

Viewing the File List

The file list shows all of the files you selected at the template library. You can expand each file to see all of the files associated with it. (You can expand the file list to show corresponding component files and inserted templates by clicking the Expand Expand button. (Click the Collapse Collapse button to once again minimize the list.) For example, if you expand a template file, you will see the template's component file, as well as any other files that may be referenced in the template. This can include a clause library (and all of its clauses) and any templates referenced in INSERT or ASSEMBLE instructions (which are denoted by the Shortcut icon.)

In this example, the template, Introductory Instructions Series, is expanded to show the template's component file (Introdur.cmp) and an inserted template (Table.rtf, which includes an ASSEMBLE instruction to assemble Table1.rtf). It also shows that a clause library with several clauses has been inserted (Introdur.hdl).

Where there are problems with a specific file, such as the file is referenced either in the library or a template, but doesn't actually exist on disk, Template Manager overlays a warning on the file icon. (Click here for an explanation of the different template status icons used.)

You can choose to view either file titles or file names. Right-click anywhere in the file list and choose your preference. Additionally, you can copy information about the files you're exploring to another program, such as Notepad or the word processor by choosing Copy as Text from the shortcut menu.

While viewing the file list, you can:

  • Convert multiple earlier versions of HotDocs templates to HotDocs 10 format.
  • Convert multiple templates to Microsoft RTF.
  • Rename templates using Template Manager.
  • Modify component file properties across multiple files.

Viewing the Component List

The component list shows all the components associated with the files in the file list. This can include components like variables and dialogs, but it can also include supplemental components, such as example formats, merge text, and patterns. Template Manager shows information about the component, such as whether it's used in a template, or whether it's referred to in a template but doesn't exist in the component file. (Click here for an explanation of the different component status icons used.)

You can control what types of components and other information is displayed in the component list. See Set Template Manager Options for details. Additionally, in the component list, you may see multiple listings of the same component. This means that while each component shares the same component name, there is at least one property of the component that is different, such as a prompt. You can right-click the component and select View from the shortcut menu to view the properties of the component; however, to edit the component's properties, you must use Component Manager, which you can access by right-clicking the corresponding file and selecting Component Manager from the shortcut menu.

While viewing the component list, you can:

  • Copy and paste components across multiple component files.
  • Rename components across multiple component files.
  • Delete components from multiple component files.
  • Modify component file properties across multiple files.
Note: To access the Template Manager toolbar using the keyboard, press F10.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Understand Parts of Template Manager Window

More... (1)

Home > All About... > Managing Templates > Understand Parts of Template Manager Window


HotDocs Help - Template Manager Toolbar

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Template Manager Toolbar

The following buttons and commands appear on the Template Manager toolbar:

Button or Command | Description
Open Window | Opens a new Template Manager window that shows only the components for the files you've selected in the file list. This makes it easier to copy components between files and helps control the number of files and components you are viewing. You can have as many windows open as necesary.
Expand All | Expands the list to show all top-level entries in the list with their related files.
Collapse All | Collapses the list to show only the top-level entries in the list.
Component Manager | Opens Component Manager.
Component File Properties | Opens the Component File Properties dialog box so you can modify properties across multiple files at once.
Convert Files | Converts the selected files to either the latest version of HotDocs or to RTF format.
Copy Components | Copies the components so you can paste them in other files.
Paste Components | Pastes copied components into other template's component files.
Rename | Renames the selected file or component.
Delete | Deletes the selected component from the files you select.
Focus | Shows only the components for the selected template or group of templates. (Click Focus Focus again to show all components.)
Components drop-down list | Shows only the specific type of component you select.
Refresh | Regenerates the component database and updates the contents of the Template Manager window if you've made any changes.
Options Template Manager Options | Changes specific settings for what information Template Manager displays in the components list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Template Manager Toolbar

More... (1)

Home > All About... > Managing Templates > Template Manager Toolbar


HotDocs Help - Export Contents of a Template Manager Window to a Spreadsheet

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Open and Close Template Manager
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Export Contents of a Template Manager Window to a Spreadsheet

When working with Template Manager, you may want to copy either a list of variables or a list of files to a spreadsheet so you can work with that data directly. You can do this by first opening the spreadsheet application (such as Microsoft Excel) and dragging the data directly from Template Manager into the spreadsheet application.

To export lists of items from Template Manager to a spreadsheet

  1. Start Template Manager. (See Open and Close Template Manager.)
  2. Start the spreadsheet application. (See that program's help file for information on doing this.)
  3. Complete either of the following steps:
    • To copy a list of components to the spreadsheet, select the components in the component list and drag them to the rows in the spreadsheet you want to fill. When you release the mouse, the component names appear in one column, while the corresponding component types appears in a second column.
    • To copy a list of templates to the spreadsheet, select the templates in the file list and drag them to the rows in the spreadsheet you want to fill. When you release the mouse, the template titles (or file names, if you are showing them) appear in one column, while the corresponding file path appears in a second column.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Templates > Export Contents of a Template Manager Window to a Spreadsheet


HotDocs Help - Convert Multiple Templates to Work with HotDocs 10

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Open and Close Template Manager
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Convert Multiple Templates to Work with HotDocs 10

Caution: Any time you make major changes to templates, component files, or other HotDocs files, it is a good idea to back the files up before making the change. This is especially true when converting component files to work with HotDocs 10.

HotDocs 10 uses a file format for component files that is different from pre-2009 versions of HotDocs. This means that all component files created in these earlier versions must be converted to HotDocs 2009-10 format in order for them to work. Failure to convert the files may result in errors when you attempt to assemble documents using them.

You can either convert component files individually (see Convert a Single Template to a New File Format), or you can convert several at once using Template Manager. When you convert using Template Manager, Template Manager can convert all component files referred to in the template or templates you are converting. For example, if Template A contains an INSERT instruction, when you convert Template A, any templates (and component files) referred to in the instruction will also be converted.

To convert templates to HotDocs 2009-10 format

  1. Back up the templates you want to convert by copying them to a different location.
  2. Open the library containing the templates you want to convert. (See Create a Library and Add Templates and Other Files to a Library.)
  3. Click the top folder in the library and launch Template Manager. (See Open and Close Template Manager.) The Template Manager window appears.
  4. In the file list, select the templates you want convert. (To select all, press Ctrl+A.)
  5. Click the Convert Files Convert Files button. The Convert Files dialog box appears.
  6. The Convert component files to work with HotDocs 10 option is always selected by default. (This is correct.)
  7. Optionally, select one of the options to convert the Word or WordPerfect templates to RTF. (See Convert Templates and Clauses to Microsoft RTF for details about this kind of conversion.)
  8. Click OK. HotDocs converts all the selected files (and any dependent files referenced by the templates) to HotDocs 2009-10 format.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Templates > Convert Multiple Templates to Work with HotDocs 10


HotDocs Help - Convert Templates and Clauses to Microsoft RTF

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Open and Close Template Manager
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Convert Templates and Clauses to Microsoft RTF

Caution: Any time you make major changes to templates, component files, or other HotDocs files, it is a good idea to back the files up before making the change. This is especially true when converting component files to work with HotDocs 10.

If you change your word processor brand from WordPerfect to Microsoft Word, you can convert your templates and clause libraries to Microsoft Word RTF using Template Manager.

If you are already using Microsoft Word but your templates or clauses are in DOT format, you should consider converting them to RTF. This is because HotDocs assembles all Word templates using an RTF-based assembly process. Therefore, if your template or clause library is in DOT format, HotDocs must open it, convert it to RTF, and then assemble it. By automating the templates (and clauses) in RTF, you can reduce the number of steps HotDocs must follow to assemble a document. This improves assembly speed.

Template Manager allows you to convert multiple files to RTF at once. Doing so ensures that any files dependent on the file you are converting are likewise converted and references to it are updated. Please note the following:

  • When you select a template or clause library in the file list to convert, Template Manager will convert that file to the new format.
  • If the file you are converting contains INSERTed files, Template Manager will convert both the parent template and any INSERTed templates or clauses.
  • Template Manager will not convert files used in ASSEMBLE instructions. However, you can convert these files at the main list, and any ASSEMBLE instructions that refer to it in other files will be updated.

After a file is converted, Template Manager will search through the contents of the other files in the library to see if any of those files contain INSERT or ASSEMBLE instructions that refer to the template or clauses it just converted. If so, Template Manager updates the file name extension in those instructions so that the instruction correctly refers to the new file.

Caution: When converting templates to a new format, it's a good idea to convert all the files in the library so that you don't create any file name extension inconsistencies. For example, TemplateA.wpt and TemplateB.wpt both INSERT Subtemplate1.wpt. If you were to select only TemplateA for conversion, Template Manager would convert it and Subtemplate1 to RTF. Template Manager would then update the reference to Subtemplate1 in TemplateB, but TemplateB would still be in WordPerfect format because you haven't converted it yet. If you tried to assemble Template B, you would get errors. (Remember, when inserting one template into another, the file types must match.)

To convert WordPerfect / Word templates or clauses to RTF

  1. Back up the templates you want to convert by copying them to a different location.
  2. Open the library containing the templates you want to convert. (See Create a New Library By Exporting Part of an Existing Library and Add Templates and Other Files to a Library.)
  3. Click the top folder in the library and launch Template Manager. (See Open and Close Template Manager.) The Template Manager window appears.
  4. In the file list, select the templates you want to convert and click the Convert Files Convert button. The Convert Files dialog box appears, with the Convert component files to work with HotDocs 9 option selected by default. (See Convert Multiple Templates to Work with HotDocs 10.)
  5. Select Convert WordPerfect templates and clauses to MS Word RTF to convert your WPTs to RTF.
  6. Select Convert MS Word DOT templates and clauses to RTF to convert your DOTs to RTF. HotDocs lists the files that will be converted in the box below these options.
  7. Click OK. Template Manager confirms that you want to convert the files.
  8. Click Yes to continue.

Template Manager converts the templates (and clauses) to the new format. As it does this, it opens each template file in Word and makes the necessary updates. Once it finishes converting the templates, it refreshes the Template Manager database. When conversion is complete, you are returned to the Template Manager window.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Templates > Convert Templates and Clauses to Microsoft RTF


HotDocs Help - Rename Templates Using Template Manager

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Open and Close Template Manager
  • Rename Templates Using Template Manager

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Rename Templates Using Template Manager

Sometimes as you work with complex template sets, you may want to rename templates. However, renaming templates in HotDocs isn't as easy as simply renaming the template and component file using Windows Explorer. References to the template must be updated in the library. References to the file in other templates must also be updated. Additionally, any other dependent files (such as clause libraries and clause archive files) must also be renamed.

Template Manager allows you to rename a template and have all the corresponding files and references to the template in other templates updated as well. For example, if you rename a clause library, both its component file and clause archive file will be renamed. If the clause library is inserted in any templates, the INSERT instruction will be updated with the new file name.

To rename templates using Template Manager

  1. Start Template Manager. (See Open and Close Template Manager.) Template Manager opens.
    Note: You should select all of the templates in the library before starting Template Manager. This makes it easier to update file names throughout the template set.
  2. Optionally, right-click anywhere in the file list and choose Show File Names from the shortcut menu. This lists templates by file name rather than title, making it easier to identify which files you want to rename.
  3. Select the file you want to rename from the file list and click Rename Rename. The Rename Files dialog box appears.
  4. Type the new file name in the New file name box. Do not include a file name extension.
  5. As you enter the new file name, Template Manager updates the file list below so you can see which files will be updated.
  6. Click Rename. Template Manager renames all the appropriate files and updates references in the template library. It also searches through other files in the library and updates any INSERT or ASSEMBLE instructions with the new file name information.
Note: If you are renaming a template whose component file is pointed to a shared component file, Template Manager will rename the pointed component file and repoint it to the shared file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Templates > Rename Templates Using Template Manager


HotDocs Help - Managing Components

All About...

  • Assigning Answer Sources to Dialogs
  • Creating and Editing Clauses
  • Creating and Using Dialogs
  • Creating and Working with Template Files
  • Creating Lists of Answers
  • Creating Lists Within Lists
  • Defining the Interview for the Document
  • Editing Variables
  • Inserting Dialog Elements in Dialogs
  • Inserting Dialogs into Other Dialogs
  • Inserting Templates into Other Templates
  • Inserting Variables in Text Templates
  • Linking Templates to a Database
  • Managing Templates
  • Marking Editable Text in a Template
  • Setting Values for Variables
  • Testing HotDocs Automation
  • Tips on Using and Editing Variables
  • Using ASK Instructions to Control Dialog Order
  • Using Computations to Create Lists
  • Using Dot Codes to Format Text and Insert Special Characters
  • Using Expression Models
  • Using IF Instructions
  • Using Instruction Models
  • Using Scripts to Make Dialogs Dynamic
  • Using the HotDocs Debugger
  • Using the Test Panel
  • Using Variable Types
  • Working with Component Files

Managing Components

Overview: Use Template Manager

Open and Close Template Manager

Understand Parts of Template Manager Window

Template Manager Toolbar

Copy and Paste Components Across Multiple Component Files

Rename Components Across Multiple Component Files

Delete Components from Multiple Component Files

Modify Component File Properties Across Multiple Files

Home > All About... > Managing Components


HotDocs Help - Copy and Paste Components Across Multiple Component Files

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Copy and Paste Components Across Multiple Component Files

Sometimes you may create a variable or other component that you would like to copy into all the component files in your template library. Rather than open each component file manually and copy the variable to it (see Copy Components From One File to Another), you can use Template Manager to copy a component into several component files at once.

You can copy multiple components at a time. If the component you select is a clause that uses variables, a variable reference (or variable used in another variable's prompt), a dialog, or Computation variable that refers to or requires other variables to function, those variables will also be copied to the new component file.

To copy and paste components between component files

  1. At Template Manager, select a component or components from the component list and click the Copy Components Copy Components button. The components are saved to the Clipboard.
  2. If the component is used in two or more component files, Template Manager displays the Copy Components dialog box that lets you choose which component file you want to copy from. Select the correct file and click Copy. The component is saved to the Clipboard.
  3. From the file list, select the file or files you want to copy the component into.
  4. Click the Paste Components Paste Components button. The Paste Components dialog box appears. The files you have already selected appear in this list with a check mark next to them. The list also includes other component files you are currently working with.
  5. Select additional component files from the list, clear the selected files, or accept the current selection.
  6. Optionally, select Warn when overwriting components that already exist if you want Template Manager to warn you if the component you are copying already exists in the file.
  7. Click Paste. Template Manager pastes the component into the file or files.
Note: You can also drag components from the component list to selected files in the file list to copy and paste them.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Copy and Paste Components Across Multiple Component Files


HotDocs Help - Rename Components Across Multiple Component Files

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Rename Components Across Multiple Component Files

Sometimes as you create complex template sets, you may wish to simultaneously change the name of a component throughout the entire set. You can use Template Manager to select a component, assign a new name, and make the change in multiple component files.

When you use Template Manager to rename components, components are renamed in both the component file and the template file. Additionally, when renaming variables, any references to the variable in prompts or dialog element text will also be renamed.

To rename components using Template Manager

  1. At Template Manager, select a component from the component list and click Rename Rename. The Rename Components dialog box appears.
  2. Type the new component name in the New component name box.
  3. From the Following files box, select the files you want to make the change in. (This box lists all of the files that contain the component or a reference to the component.)
    Caution: If a component is used in a template and its associated component file, you must select both files in the list before you rename the component. If you select one and not the other, you will create an unresolved reference and you will not be able to assemble a document from the template. (Template Manager selects both files by default.)
  4. Click Rename. Template Manager renames all selected instances of the component.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Rename Components Across Multiple Component Files


HotDocs Help - Delete Components from Multiple Component Files

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Delete Components from Multiple Component Files

As you explore component files, you may discover you have several components that are unused. You can use Template Manager to remove the unused components. If your component file contains a large number of components, removing unused components can make the list much more manageable.

You can identify an unused component by its status, which is shown in the component list.

Caution: If you delete a component that is either still referenced in the template or by another component, it deletes the component from the component file, but does not remove the reference. The component still appears in the component list in Template Manager; however, its status is Missing. You cannot assemble a document from a template that contains an unresolved reference.

Components you remove using Template Manager are permanently deleted from the selected component files.

To remove unused components from one or more component files

  1. At Template Manager, select the component you want to remove from the component list.
  2. Click Delete Component Delete. Template Manager confirms that you want to delete the component.
  3. Click Yes. Template Manager removes the component from the associated component files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Delete Components from Multiple Component Files


HotDocs Help - Modify Component File Properties Across Multiple Files

Overviews

  • Overview: Use Template Manager

How Do I...?

  • Copy and Paste Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files
  • Open and Close Template Manager
  • Rename Components Across Multiple Component Files

Reference Material

  • Template Manager Toolbar
  • Understand Parts of Template Manager Window

Modify Component File Properties Across Multiple Files

There may be certain component file properties that you want used across multiple templates in your set. You can use Template Manager to specify these properties at once for all of these files.

For example, perhaps you want all the templates in your library to use the same product title. Rather than change this property in each individual component file, you can specify a product title using Template Manager and have it applied to all the selected component files at once.

To modify component file properties in multiple component files

  1. At Template Manager, select the files you want to modify from the file list and click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  2. Enter or select which properties you want to change. (See Change Component File Properties for specific details of each option.)
  3. Click OK. HotDocs displays a list of component files that will be changed.
  4. Click OK. The changes are made in the selected component files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Managing Components > Modify Component File Properties Across Multiple Files


HotDocs Help - Creating and Working with Forms

All About...

  • Changing Field Properties
  • Creating and Using Fillable PDF Form Templates
  • Creating Form Fields
  • Defining Form Overflow Properties

Creating and Working with Forms

Overview: HotDocs Automator

HotDocs Automator Toolbar

Create a Form Template

Save Existing HFT Files as PDF-based Form Templates

Edit a Form Template

Add Pages to a Form Template

Remove Pages from a Form Template

Update the Underlying Text in a Form Template

View the Form in More than One Window

Globally Change Properties in a Template or Group of Templates

Save and Close a Form Template

Define the Interview for a Form Template

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms


HotDocs Help - Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Overview: HotDocs Automator

Caution:
  • When creating a HotDocs form template (.HFT) file in previous versions of HotDocs, you had to use the HotDocs HFT driver, which was only supported for use with Windows 98 and Windows Me. Starting with the release of HotDocs 2006, these operating systems are no longer supported. Now, beginning with HotDocs 10, the functionality for creating and saving form templates in PDF format is integrated with HotDocs.

HotDocs Automator helps you create templates based on graphical forms—or forms that contain static text and graphics that cannot be changed or modified by users. These kinds of forms include loan applications, tax forms, or pre-printed court forms.

To create a PDF template, you first start with a PDF document1 . Some agencies or organizations with which you work may provide you with these PDF documents, or you can create your own using PDF-creation software, such as Adobe Acrobat Professional. You then use HotDocs to convert that file to HotDocs form template format.

When automating form templates, many tasks are identical to automating text templates—you must 1) identify each place on the form template where changeable information must be entered, 2) create fields, and then 3) attach variables to these fields. (See Overview: Create and Customize Variables.)

You can create different types of fields, depending on what type of answer the field requires. For example, edit fields can be used to merge Text, Date, and Number answers, while check-box fields can be used to merge True/False and Multiple Choice answers. In contrast, control fields control the flow of information but are hidden from end users. Resource fields, the final field type, allow you to create a resource for the entire form, which appears as a hyperlink on the form.

Edit and check-box fields, with variables attached, allow users to provide information to complete the form. Sometimes a user’s answer is longer than the space available. By designating overflow options, you can manage the problem of limited space on your form templates. When an answer overflows a field, HotDocs provides several ways to adjust the field or the answer. One solution is to create an addendum after the last page of the document and save the answers there.

Users assemble form document files from the form templates you develop. They can print blank versions of the forms, or provide answers for the questions and produce a finished document. After a form document is saved, users can edit answers in it by using HotDocs Filler. However, once the document is saved and then viewed in Filler, much of the template functionality is lost. For example, the form fields no longer process computations; they simply act as placeholders for the user’s information.

Finally, you can test assemble your form templates to see how they will appear to users. (See Test Assemble a Document.)

1 HotDocs supports the creation of templates using fillable PDFs. For details, see Overview: Use Fillable PDFs as Form Templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Overview: HotDocs Automator


HotDocs Help - HotDocs Automator Toolbar

Overviews

  • Overview: HotDocs Automator

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

HotDocs Automator Toolbar

The following table gives a summary of the Automator toolbar buttons, many of which are also on the assembly window toolbar:

Button Name | What It Does
HotDocs Library HotDocs Library | Opens the HotDocs template library. If the library is already open, it brings it to the front.
New Template New Template | Creates a new, untitled form template.
Open Open Form | Opens an existing form template.
Save Save Form | Saves any changes you've made to the current form template and component file.
Print Print Form | Prints the template currently displayed.
Field Properties Field Properties | Displays the Field Properties dialog box, where you can change how the answer the user enters is merged in the assembled document.
Font Answer Font | Displays the Font dialog box, where you can change the font face, size, or style for the answer.
Detect Field Detect Field | Scans the static content around the selected area for lines and text, and then moves the selected field into position. If no field is selected, creates a new field.
Align Fields Align Fields | Displays the Align dialog box, where you can arrange the size and layout of multiple fields.
Undo Undo | Removes the most recent changes you've made to the template.
Redo Redo | Reapplies any changes you may have undone.
Variable Field Variable Field | Displays the Variable Field dialog box, where you can attach a new variable to a field, or edit the merge field properties of an existing variable.
Edit Component Edit Component | Displays the Variable Editor, where you can edit the component properties of the selected variable.
Component Manager Component Manager | Opens Component Manager, where you can work with the components used in the template.
Assemble Test Assemble | Starts a test assembly, showing how the current template will appear to users during assembly.
Fill Tool Fill Tool | Allows you to click on a field and enter a test answer.
Select Tool Select Tool | Creates new fields (on double-click); also selects and moves existing fields.
Select Text and Fields Tool Select Text and Fields Tool | (HotDocs form templates (.HFT) only) Creates new fields (on double-click); also allows you to select underlying template text.
Scroll Tool Scroll Tool | Scrolls the template vertically and horizontally.
Zoom Tool Zoom Tool | Changes the view, increasing or decreasing the magnification.
Page Width Page Width | Changes the view to fit the left and right edges of the template in the window.
Full Page Full Page | Changes the view to fit the top and bottom edges of the template in the window.
Show Fields Show Fields | Shows and hides the colored HotDocs variable fields.
Show Variables Show Variables | Shows and hides the names of variables attached to each field. (Hiding variable names lets you enter test answers in the fields so you can test the field properties you've assigned. See Preview the Formatting of Answers in a Form Field.)
Name Show Thumbnails | Shows and hides the Thumbnails pane. You can click on a thumbnail (a small image of each page in the template) to move through the template.
Previous Page Previous Page | Changes the view to show the previous page.
Next Page Next Page | Changes the view to show the next page.
HotDocs Options HotDocs Options | Opens the HotDocs Options dialog box where you can customize how HotDocs works.
What's This? Help What's This? | Changes the mouse cursor to a What's This? help cursor. When you click on a button or property with this cursor, a help window appears, summarizing the purpose for that option.
Note:
  • When you highlight a command on a menu or point to a toolbar button, a description of the command displays in the status bar at the bottom of the window.
  • You can hide the toolbar and the status bar by choosing Toolbar or Status Bar (View menu). To redisplay the toolbar or status bar, choose those commands again.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > HotDocs Automator Toolbar


HotDocs Help - Create a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Create a Form Template

Caution:
  • When creating a HotDocs form template (.HFT) file in previous versions of HotDocs, you had to use the HotDocs HFT driver, which was only supported for use with Windows 98 and Windows Me. Starting with the release of HotDocs 2006, these operating systems are no longer supported. Now, beginning with HotDocs 10, the functionality for creating and saving form templates in PDF format is integrated with HotDocs.
  • For instructions on creating a PDF form template from a fillable PDF document, see Create a Form Template Using a Fillable PDF.

Using HotDocs Automator, you can create templates based on electronic forms. (Forms are documents that contain underlying text and graphics that cannot be changed. Examples include loan applications, tax forms, and pre-printed court forms.) An electronic form can be created in virtually any Windows program from which you can print, such as a word processor, design, or form creation program.

Before you can automate a form template file, you must first convert an electronic form document into HotDocs template format. You do this by first printing the document to PDF format using the HotDocs PDF driver. You then save the PDF as a form template. If the document you want to automate is already in PDF format, you can simply save the PDF as a HotDocs PDF template.

Note: You can also use Adobe Acrobat to create PDF documents.

Once you have created a form template file, you can automate it using HotDocs Automator.

Creating a PDF template requires two parts:

  • Print the document as a PDF file.
  • Save the PDF file as PDF-based form template.

To create a PDF template

  1. If you already have a PDF document, skip to Step 11.
  2. Open the document in a Windows program with printing capability.
  3. Select the Print command for that program.
  4. At the printing dialog box, select HotDocs PDF Driver as the printer.
  5. Assign any properties you need to the PDF (such as security settings, watermarks, and so forth.)
  6. Click the Print or OK button. The Save As dialog box appears.
  7. If necessary, browse and select the location for the file.
  8. In the File name box, type a name for the new file.
  9. At the Save as type drop-down list, select PDF as the file type.
  10. Click the Save button. The PDF file is created and stored in the location you chose. (You can close the original document.)

    You will now create a PDF template from the document you just saved.

  11. Start HotDocs. The template library appears. (See Start HotDocs.)
  12. Click on a folder in the file list and click the New Template New Template button. The New Template dialog box appears.
  13. Click the Type drop-down button and choose HotDocs PDF Template from the list.
  14. Enter a name for the file in the File name box and a title for the template in the Title box.
  15. In the Initial contents group, select Other file.
  16. Click the the Browse Browse button and browse to (and open) the PDF you created in the first part of these steps.
  17. Click OK at the New Template Initial Contents box.
  18. Click OK at the New Template dialog box. The new template is opened in HotDocs Automator.

When you create a new form template, HotDocs automatically creates a companion file called the component file that stores information about components you use in the template, such as variables and dialogs. The component file works behind the scenes, but both files—the form template and the component file—are necessary for the template to work. (The component file works exactly the same for a form template as a text template. See Overview: Template and Component Files.)

Note:
  • For information on converting existing form template (.HFT) files to PDF-based templates, see Save Existing HFT Files as PDF-based Form Templates.
  • If you are comfortable working directly with file name extensions, you can also use Windows Explorer to change the file name extension of a PDF file from .PDF to .HPT. Be aware, however, that when you do this (as opposed to the steps outlined above), no component file will be created until you open the template and add components to it (either by creating variable fields or by opening Component Manager and adding components that way.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Create a Form Template


HotDocs Help - Save Existing HFT Files as PDF-based Form Templates

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Save Existing HFT Files as PDF-based Form Templates

Caution:
  • When creating a HotDocs form template (.HFT) file in previous versions of HotDocs, you had to use the HotDocs HFT driver, which was only supported for use with Windows 98 and Windows Me. Starting with the release of HotDocs 2006, these operating systems are no longer supported. Now, beginning with HotDocs 10, the functionality for creating and saving form templates in PDF format is integrated with HotDocs.

With HotDocs, you can convert existing Envoy-based form template (.HFT) files into PDF-based form template (.HPT) files. The advantage of PDF-based form templates comes to end-users who want to use the templates to create PDF documents.

Note: If you want to convert an existing .HFT file to a PDF-based template file, first check to see if you have the original source file (for example, the original Omniform file) and use that file instead to generate the PDF-based template. This will maintain the quality of the template.

To convert an HFT file into an HPT file

  1. At the HotDocs library window, select the form template you want to convert, and click Edit. HotDocs Automator appears, showing the selected form template. (If the form template isn't included in the library currently showing, open the necessary library. See Open a Library.)
  2. Select Save As (File menu). The Save As dialog box appears.
    Note: If you change the name of the new template, or change the folder in which the template is saved, you must also rename the .CMP file and move it to the new folder.
  3. At the Save as type drop-down list, select HotDocs PDF Template (*.hpt).
  4. Click Save. The Convert to PDF dialog box appears.
  5. Optionally, provide information for the Title, Subject, Author, and Keywords boxes.
  6. Click OK. The PDF-based form template is created.
  7. You can now open the new template in HotDocs Automator to review and work with the template. (See Edit a Form Template.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Save Existing HFT Files as PDF-based Form Templates


HotDocs Help - Edit a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Edit a Form Template

You can open existing form templates in three different ways:

To edit a template from the HotDocs library window

  1. At the HotDocs library window, select the form template.
  2. Click Edit Template Edit. The HotDocs Automator window appears, showing the form template.

To edit a template from the HotDocs Automator window

  1. At the HotDocs Automator window, click the Open Open Form button. The Open dialog box appears.
  2. Locate and select the form template you want and click Open. The Automator window appears again, showing the form template.

To edit a template from Windows Explorer

  1. Using Windows Explorer, locate the form template you want.
  2. Double-click the icon for that form template. The Automator window appears, showing the form template.
Note: You can also drag a template icon from Windows Explorer and drop it into the HotDocs Automator window. The form will then open for you to edit.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Edit a Form Template


HotDocs Help - Add Pages to a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Add Pages to a Form Template

You can add pages to a form template. For example, say you need to add a page from one form template to the template you are currently automating. When you insert a page, Automator copies the static content and fields, and then pastes that information into the form template you're editing. The new page becomes part of the first template.

To insert pages from another template

  1. Edit a form template. (See Edit a Form Template.)
  2. Click Insert Insert Pages (Edit menu). The Insert Pages dialog box appears.
  3. Click the Form containing pages to insert drop-down box and select the file from which you want to copy the pages. You can also click the Open Open button to locate another file and add it to the list.
    Caution: When inserting, file types must match, meaning you cannot insert pages from a PDF template into a HotDocs form template.
  4. In the Insert pages group, specify the pages you want to insert and where they should be inserted in the current form.
  5. Click OK. The template appears again, with the pages inserted.
Note:
  • If the pages you inserted contain variable fields, copy the components from the inserted template's component file into the current file. (See Use Component Manager to Work with Components.)
  • To add pages to a form document during assembly, see Attach an INSERT Instruction to a Field.
  • To quickly navigate through inserted pages, click Thumbnails.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Add Pages to a Form Template


HotDocs Help - Remove Pages from a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Remove Pages from a Form Template

At times you may want to delete a page from a form template.

To remove a page from a form

  1. Edit the form template. (See Edit a Form Template.)
  2. Choose Delete Pages (Edit menu). The Delete Pages dialog box appears.
  3. Enter the range of page numbers you want to remove in the Delete and through boxes.
  4. Click OK. The page(s) you specified are deleted.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Remove Pages from a Form Template


HotDocs Help - Update the Underlying Text in a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Update the Underlying Text in a Form Template

Frequently, the courts or other agencies to whom you submit your form documents update the content of their forms, which, in turn requires you to update the templates you are using. Rather than creating new templates and re-automating them each time this happens, you can simply replace the text of the automated form with the updated content of the new form. HotDocs Automator provides you the tools for doing this.

To replace the static content of a form template

  1. Edit the form template. (See Edit a Form Template.)
  2. Choose Replace Static Content (Edit menu). The Replace Static Content dialog box opens.
  3. Either select the form with the correct static content from the Replace the static content... drop-down list, or click the Open Open button and locate the file you want.
  4. Click OK at the Replace Static Content dialog box. You are returned to the template.
  5. Reposition any fields, based on the updated static content. If the update significantly changed the form, check to make sure the text still corresponds to the fields and variables. If any new questions are asked on the form, create new fields and variables for them. (See Create a Form Field and Attach a Variable to a Field.)
Note: If you are replacing static content in a fillable PDF template, it is recommended you check the fillable fields for placement and formatting after replacing the content. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Update the Underlying Text in a Form Template


HotDocs Help - View the Form in More than One Window

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

View the Form in More than One Window

When you need to copy and paste fields, viewing the current form in multiple windows within Automatorcan be helpful. Also, when you have several forms open at once, you can view all open windows simultaneously

To display the form in more than one window

  1. Edit a form template. (See Edit a Form Template.)
  2. Click the Window menu and make a selection, based on information in the following table:
    To | Do This
    Open an additional copy of the current form | Choose New Window.
    Display all open forms arranged from left to right | Choose Tile Vertical.
    Display all open forms arranged from top to bottom | Choose Tile Horizontal.
    Display all open forms so they overlap from top-left to bottom-right | Choose Cascade.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > View the Form in More than One Window


HotDocs Help - Globally Change Properties in a Template or Group of Templates

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Globally Change Properties in a Template or Group of Templates

Caution: Before making large-scale changes to templates or component files, you should back up these files. Additionally, if you plan to use old versions of the templates, make copies before you use the Property Replicator feature. Unless you have recovery options specified at the HotDocs Options dialog box (see Protect Forms By Backing Them Up), you won't be able to retrieve the old copy. Another option is to have the template open when you apply a global change to it; then you can save the new file, then click Undo (Edit menu) to restore the original version.

In major projects, you may want to quickly change the properties in several templates. Using the Property Replicator, you can change the properties of regular fields, check-box fields, forms, or addenda properties—or all four—for the templates you select. The changes will affect all the regular fields and check-box fields in all the selected templates.

There are two parts to making changes in multiple templates:

  • Create a source template that has the properties you want to apply to the other templates.
  • Apply the global changes using the Property Replicator feature.

To change properties in a set of templates

  1. At the Automator window, click the New Template New Template button. A new, blank form template appears.
  2. Create two fields and arrange them in this order:
    • A first field slightly larger than a regular edit field. (You also can copy a regular field and paste it into the new template.)
    • A second field slightly larger than a check-box field. (You also can copy a check-box field and paste it into the new template.)
  3. Apply any changes to these fields that you want to be made globally. (You may want to make a note of exactly which properties you changed. You will be asked in Step 9 to select these properties.)
  4. Specify any template or addendum properties, again making note of any changes you make.
  5. Click the Save Save button, and name the source template.
    Caution: Make sure the check-box field you create is larger than the check boxes in the templates you’re changing. HotDocs applies check-box changes to only those fields that are equal in size to or smaller than the check box you create. If the check boxes in the templates are larger than the one you create, HotDocs treats them as regular fields.
  6. In the source template, click Property Replicator (Tools menu). The Property Replicator dialog box appears.
  7. In the Source template box, click the Browse Browse button to browse and select the source template. This file contains the formatting you want to apply globally.
  8. In the Destination templates box, click the Browse Browse button to browse and select the files.
    Note: You can also use wild cards to add templates. If you are changing all the files in a folder, you can use an asterisk (*) when you type the file paths in the Files to change field. The asterisk replaces the individual file names, and will add all files in a folder at once. For example, C:\Documents and Settings\UserName\My Documents\HotDocs\Templates*.HFT would add all the form templates in the template folder, and C:\Documents and Settings\UserName\My Documents\HotDocs\Templates*.* would add all the files in the template folder. To replace only a single character in a file path, you can use a question mark (?). For example, C:\Documents and Settings\UserName\My Documents\HotDocs\Templates*.HF? would add all the form templates and form documents.
  9. Select the properties to be changed:
    • In the Regular fields list, select the properties of the edit field in the source template that you want to apply globally to all fields in the destination templates.
    • In the Check boxes list, select the properties of the check-box field in the source template that you want to apply globally to all fields in the destination templates.
    • In the Form list, select the properties of the form or addendum in the source template that you want to apply globally to all destination templates.
  10. After specifying the properties to be changed, click Replicate. The Replicate Properties dialog box appears, showing which template files have been modified.
  11. Click OK. The Property Replicator dialog box appears again. It notes the files that were processed and reports how many files were changed.
  12. Click Close.
Note: You can use the Property Replicator to change the properties of linked fields in a fillable PDF template. Be aware, however, that if you save the document assembled from this template as a fillable PDF, it will use the field properties defined in the original fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Globally Change Properties in a Template or Group of Templates


HotDocs Help - Save and Close a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Save and Close a Form Template

As you automate a form template, you should periodically save your template. This protects your work from unexpected program or system errors. Additionally, when you finish automating a template, you should save the template to disk and close it.

To save and close a form template

  • Complete any of the steps in the following table:
To | Do This
Save changes to the currently open template and component file | Click the Save Save button.
Close the currently open template | Click Close (File menu).
Close all open templates | Click Close All (File menu).
Note: You can have HotDocs automatically save back-up copies of form templates you are automating. See Protect Forms By Backing Them Up for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Save and Close a Form Template


HotDocs Help - Define the Interview for a Form Template

Overviews

  • Overview: HotDocs Automator

Reference Material

  • HotDocs Automator Toolbar

How Do I...?

  • Add Pages to a Form Template
  • Create a Form Template
  • Define the Interview for a Form Template
  • Edit a Form Template
  • Globally Change Properties in a Template or Group of Templates
  • Remove Pages from a Form Template
  • Save and Close a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window

Define the Interview for a Form Template

When users assemble form documents, they can provide the information in one of two ways: answering questions in an interview or typing answers directly on the document (which is called direct-fill assembly).

All forms, when first automated, are set to allow only direct-fill assembly. However, you can allow interview-based assembly by specifying an interview. The interview can be a default interview (one in which HotDocs determines the order dialogs are asked in the template) or it can be a custom interview (one in which you specify the order dialogs and variables are asked).

To allow only direct-fill assembly of a form

  1. Edit the form template. (See Edit a Form Template.)
  2. Open Component Manager for the template. Component Manager appears. (See Open and Close Component Manager.)
  3. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  4. Click the Interview tab. The view changes to show interview options.
  5. Clear both the Generate default interview and the Use custom interview options.

To define an interview for the form

  • See Define a Custom Interview or Have HotDocs Generate a Default Interview, depending on your preferences.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > Define the Interview for a Form Template


HotDocs Help - Creating Form Fields

All About...

  • Changing Field Properties
  • Creating and Using Fillable PDF Form Templates
  • Creating and Working with Forms
  • Defining Form Overflow Properties

Creating Form Fields

Create a Form Field

Select a Field

Create a Check-Box Field

Attach a Variable to a Field

Attach an ASK Instruction to a Field

Make a Field Conditional

Attach an INSERT Instruction to a Field

Detect Borders to Create or Resize a Field

Move a Field on a Form

Align Two or More Fields

Change the Borders and Margins of a Field

Copy One or More Form Fields

Resize Form Fields

Change the Tab Order of Fields

Group Form Fields So Answers Can Flow From One Field to Another

Attach a Variable to Single-Character Boxes

Attach a Multiple Choice Variable to a Group of Check Boxes

Ungroup Form Fields

Attach an Answer Wizard to a Field

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields


HotDocs Help - Create a Form Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Create a Form Field

Before You Begin:

These instructions can also be used to create a form field at both the Form Document tab of the assembly window and in HotDocs Filler.

The first step in automating a form template is creating HotDocs fields at each place on the form where a user's information must be merged.

When you create a field, HotDocs determines the type of field you are creating based on the size of the field—if a field is smaller than a certain dimension, HotDocs creates a check-box field. If a field is larger, then it creates an edit field. (You can define these dimensions at HotDocs Options. See Set Properties for New Edit Fields.) Additionally, once you create the field, you can make it a Resource hyperlink or a Control field.

Sometimes when you create a field, HotDocs can detect the borders of the underlying form and adjust its size to fit within those borders. This helps ensure the field fits best in the space allotted. See Detect Borders to Create or Resize a Field.

Once a field is created, you can attach a variable to it.

Note: Please see Detect Fillable Fields in a PDF Template for information on working with fields in a template created from a fillable PDF.

To create a form field

  1. Edit a form template. (See Edit a Form Template.)
  2. Click the Select Tool Select Tool button.
  3. Position the mouse pointer at one end of the intended field.
  4. Press and hold down the left mouse button, then drag the pointer to the opposite corner of the field.
  5. Release the mouse pointer. The field is created.
  6. Optionally, click Detect to have HotDocs adjust the size of the field to more closely match the underlying static line or lines.
  7. Optionally, you can customize the appearance of your fields in the following ways:
    • Attach a variable to the field. (See Attach a Variable to a Field.)
    • Change the field type. (See Change the Field Type.)
    • Adjust the size. (See Resize Form Fields.)
    • Change the field's position on the form. (See Move a Field on a Form.)
    • Make a field conditional so the variable is asked only if a condition is true. (See Make a Field Conditional.)
Note:
  • To move multiple fields once they have been created, select the fields and press the arrow key that indicates which direction you want to move them. To move fields more quickly, press the Shift key while pressing the arrow keys.
  • You can also create a standard-size field by double-clicking on the form. Or, you can click to set the field cross-hair and press F8.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Create a Form Field

More... (1)

Home > All About... > Creating Form Fields > Create a Form Field


HotDocs Help - Select a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Select a Field

Before You Begin:

These instructions can also be used to select fields both at the Form Document tab of the assembly window and in HotDocs Filler.

In order to work with a field, you must first select it. When you select a field, handles appear on the field borders showing that you can edit the borders or other properties. You can select a single field to work with, or you can select multiple fields to group them or to make the same change to all of the fields.

To select fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Click the Select Select Tool button
  3. Click on the field you want to work with.
  4. Optionally, to select multiple fields, either press the Ctrl key while clicking each field, or press the Shift key, then press the mouse button and drag the mouse pointer to create a bounding frame. All fields included in or touched by this frame will be selected.
  5. Use any of the following additional methods for selecting fields or canceling the selection, as described in the following table:
    To | Do This
    Select all the fields on the current page | Click Select All (Edit menu). (You can also press Ctrl+A.)
    Cancel the selection of all selected fields | Click outside the fields, or press the Esc key.
    Cancel the selection of only one of a group of selected fields | Hold down the Ctrl key and click that field.
    Add fields to your group of selected fields without canceling the selection of those already selected | Hold down the Ctrl key and click the new fields.
Note:
  • If you have trouble selecting the field you want, the field may be in a group. If this is the case, you must first ungroup the fields by clicking Ungroup (Field menu). (See Ungroup Form Fields.)
  • Click the Show Fields Show Fields button to show and hide field colors.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Select a Field

More... (1)

Home > All About... > Creating Form Fields > Select a Field


HotDocs Help - Create a Check-Box Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Create a Check-Box Field

Before You Begin:

These instructions can also be used to create check-box fields at the Form Document tab of the assembly window and in HotDocs Filler.

Some forms include check boxes for users to mark. Check boxes can represent either true/false (or yes/no) options, but they can also represent several predefined options for users. By default, HotDocs merges an X in a check box to indicate that it has been selected, but you can define a different check-box character.

Note: Please see Detect Fillable Fields in a PDF Template for information on working with fields in a template created from a fillable PDF.

To create a check-box field

  1. Edit a form template. (See Edit a Form Template.)
  2. Where the check box appears on the form, double-click within the field borders, or click the Detect Detect Field button. A check-box field is created.
  3. Attach a variable to the field. Your options include True/False and Multiple Choice.
    Note: When assigning a True/False variable, if you want to merge a character other than an X, indicate the character by specifying it as a variable format. See Customize a True/False Variable for details. To change the font for the field, see Set Properties for New Check-Box Fields. When assigning a Multiple Choice variable, you should group the fields before attaching the variable. See Group Form Fields So Answers Can Flow From One Field to Another for details.
  4. Optionally, specify a condition to make the field dependant on other answers in the form. (See Make a Field Conditional.)
Note:
  • You can change the default measurements used to identify new fields as check boxes. You can also specify a default character other than X to be used when selecting check-box fields. (See Set Properties for New Check-Box Fields.)
  • If HotDocs creates an Edit field, rather than a Check-box field, select the field, click the Field Properties Field Properties button, and choose Check box as the Field type.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Create a Check-Box Field

More... (1)

Home > All About... > Creating Form Fields > Create a Check-Box Field


HotDocs Help - Attach a Variable to a Field

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Attach a Variable to a Field

Once you create fields on the form template, you can assign variables to them. Variables help control the type of answer the user enters (for example, a Text variable lets the user enter text, while a Date variable requires the user to enter a valid date). See Overview: Create and Customize Variables.

To attach variables to fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Create the field to which you want to attach the variable. (See Create a Form Field.)
  3. Select the field and click the Variable Field Variable Field button in the Automator toolbar. The Variable Field dialog box appears.
  4. Create a new variable or select an existing variable. Your options include Text, Date, Number, True/False, Multiple Choice, and Computation.
Note:
  • To attach variables to fields using a wizard-like approach, choose Create Variables (Tools menu). HotDocs scans through the template, looking for fields that do not yet have an assigned variable. On a field-by-field basis, it then displays the Variable Field dialog box, allowing you to create variables for each field. For instructions on using this tool for linked fields in a fillable PDF template, see Attach Variables to Fillable Fields.
  • Other methods for attaching variables to fields include double-clicking on the field to display the Variable Field dialog box, dragging variables from Component Manager to the fields in the template, and viewing the Field Properties dialog box for the field and assigning the variable there.
  • To attach a single variable to multiple fields, for example, to create a run-on group, select and group all of the fields before you click the Variable Field Variable Field button. (See Group Form Fields So Answers Can Flow From One Field to Another.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Attach a Variable to a Field


HotDocs Help - Attach an ASK Instruction to a Field

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Attach an ASK Instruction to a Field

When HotDocs asks the questions in a form template interview, it asks the variables (in their associated dialogs) in the order it encounters the variable fields on the form—starting from the top-left section of the template and processing to bottom-right. At times, you may find that you want greater control over the order these dialogs are asked. To control this order, you can insert an ASK field in the template. For example, if you want to gather attorney information first in the interview, but the variables that ask the questions are located at the end of the template, you can insert an ASK instruction for the Attorney Information near the beginning of the template.

To cause a dialog to be asked a certain place in the form interview

  1. Edit a form template. (See Edit a Form Template.)
  2. At the place in the form where you want the dialog to be asked, create a field. (See Create a Form Field.)
  3. With the field selected, choose ASK (Field menu). The ASK Field dialog box appears.
  4. Enter the name of the dialog you want to be asked in the Dialog box and click OK. (See Gather Questions into a Custom Dialog.)
  5. Optionally, change the field type to Control to keep users from typing in the field during direct-fill assembly. (See Change the Field Type.)
Note: To attach more than one ASK instruction to a field, group the ASK instructions in a Computation variable script, and then attach the variable to the field. (See Put ASK Instructions in a Computation Variable.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Attach an ASK Instruction to a Field


HotDocs Help - Make a Field Conditional

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Make a Field Conditional

Some fields on a form should be answered only under certain conditions. For example, say you have a series of options (designated by check box fields). Each check box field is followed by an edit field where users can enter explanations for their selection. To keep users from entering an explanation without first selecting the corresponding option, you can attach a condition (or IF instruction or expression) to the explanation field that disables it until the user first selects the check box.

For more information on using IF instructions and expressions, please see Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression and Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions.

To make a field conditional upon other answers

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field you want to make conditional. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, click IF Field IF Field button. The IF Field dialog box appears.
  5. Select IF True/False Variable or IF Expression depending on how complex the condition needs to be. The dialog box changes to show the necessary options.
    • For a simple IF instruction, type a name for a new True/False variable, or select an existing one.
    • For expressions, drag expressions and variables into the Expression box.

When a user assembles a document using this template, the fields you are conditioning will be asked only if the True/False variable or expression is true.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Make a Field Conditional


HotDocs Help - Attach an INSERT Instruction to a Field

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Attach an INSERT Instruction to a Field

When assembling form documents, you may need to attach another form to the current one. You can do this by using an INSERT instruction.

When an INSERT instruction is used in a form template, the questions from the inserted template are asked in the same interview as the parent template, but HotDocs appends the inserted document to the end of the parent document. (This is different from text templates where an INSERT instruction merges the text of an inserted document at the point of insertion in the parent document.) When inserting templates, file types must match—for example, you cannot insert a PDF template in a HotDocs form template, nor can you insert text templates in form templates.

To insert one form template into another

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a new field. (See Create a Form Field.)
  3. With the new field still selected, choose INSERT (Field menu). The INSERT Field dialog box appears.
  4. Click the Open Open button and select the form template file to insert.
  5. Click OK. The INSERT Field dialog box appears again, showing the name of the inserted template in the Template to insert box.
  6. Click OK. The INSERT instruction is attached to the field.
  7. Optionally, make the field a control field so the user won't see it during direct-fill assembly. (See Change the Field Type.)
  8. Optionally, make the field conditioned on other answers in the interview. (See Make a Field Conditional.)
Note: If you need to add content from one template to another, use the Insert Pages command. See Add Pages to a Form Template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Attach an INSERT Instruction to a Field


HotDocs Help - Detect Borders to Create or Resize a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Detect Borders to Create or Resize a Field

Before You Begin:

These instructions can also be used to detect field borders both at the Form Document tab of the assembly window and in HotDocs Filler.

When you create fields on a form, you often use the underlying static text as a guide as to where the field should be placed. Often, you want the borders of the fields to match the borders of the static text. To help you align these borders, you can use the Detect Detect feature. This feature is useful both when you create a new field and when you need to resize a field to fit within its allotted space.

If HotDocs is unable to automatically create or resize a field to the size and position you want, you must create the field manually. Several factors may contribute to these difficulties:

  • Insufficient surrounding features: To detect a field, HotDocs searches for surrounding features, such as lines, text, or graphics. If there are insufficient surrounding features, HotDocs may have difficulty detecting a field. In such cases, HotDocs creates a field of the default size.
  • Label text: When label text is inside the field area and there is enough space between the text and the bottom of the field area, the Detect Detect command will extend the field up to the bottom of the label text. If you want the field to occupy the area to the left or right of the label, or if you want to include the label inside the field, you must create the field manually.
  • Field not completely visible: If part of the intended field is not visible (for example, it's scrolled out of the window), HotDocs attempts to scroll to detect the field. It is recommended that you use a zoom level such as Fit Page to Width Fit Page to Width so HotDocs can find the entire field on the screen.

To detect the borders of the underlying static text

  1. Edit a form template. (See Edit a Form Template.)
  2. On the form, complete one of the following steps:
    • If the field is already created, select the field and click the Detect Detect button.
    • If you are creating a new field, place your cursor where the new field should be created and click the Detect Detect button.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Detect Borders to Create or Resize a Field

More... (1)

Home > All About... > Creating Form Fields > Detect Borders to Create or Resize a Field


HotDocs Help - Move a Field on a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Move a Field on a Form

Before You Begin:

These instructions can also be used to move fields both at the Form Document tab of the assembly window and in HotDocs Filler.

As you create fields on a form, you will frequently need to move the fields. You can do this using the mouse or keyboard. You can also specify a precise location using the Field Properties dialog box.

To move a field using the mouse

  1. Edit a form template. (See Edit a Form Template.)
  2. Position the mouse pointer over the selected field. The cursor changes.
  3. Hold down the mouse button and drag the field to the new position.

To move a field using the keyboard

  1. Edit a form template. (See Edit a Form Template.)
  2. Select a field. (See Select a Field.)
  3. Press the arrow keys to move the field one unit of measurement in that direction. (To move the field more quickly, hold down the Shift key as you press the arrow keys.)

To move a field using the Position/Size dialog box

  1. Edit a form template. (See Edit a Form Template.) Edit a form document. (See Edit a Saved Form Document.)
  2. Select a field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab. The view changes to show the positioning options.
  5. In the Position group, enter the desired distance from the left and top margins of the page in the Left and Top boxes. (You can also click the up or down arrows for each field to change the distance.)
Note:
  • If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.
  • If a field you want to move is part of a group, you must first ungroup the fields. (See Ungroup Form Fields.)
  • The Field Properties dialog box includes the First, Previous, Next, and Last buttons to move you between fields. When you have multiple fields selected, these buttons are not available.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Move a Field on a Form

More... (2)

Home > All About... > Changing Field Properties > Move a Field on a Form

Home > All About... > Creating Form Fields > Move a Field on a Form


HotDocs Help - Align Two or More Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Align Two or More Fields

When creating fields on a form template, you frequently need to align fields, either vertically or horizontally. Other times, you may need to adjust the height or width of a group of fields so they match each other. Aligning fields can give forms a more professional appearance, as well as minimize problems the user may experience when tabbing between fields during direct-fill assembly.

To align fields in relation to each other

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the fields you want to align. (See Select a Field.)
  3. Click the Align Align button. The Align Fields dialog box appears. (You can also right-click and choose Align from the shortcut menu.)
  4. Select an option in the Horizontal alignment group to align the fields horizontally, or the Vertical alignment group to align the fields vertically. The Example box previews the selected alignment option.
  5. Click OK. The template appears again, and the selected fields are repositioned.

To size fields in relation to each other

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the fields you want to size. (See Select a Field.)
  3. Click the Align Align button. The Align Fields dialog box appears. (You can also right-click and choose Align from the shortcut menu.)
  4. Select the options you need from the Width group and/or the Height group. The Example box previews the selected resizing options.
  5. Click OK. The template appears again, and the selected fields are resized.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Align Two or More Fields

More... (1)

Home > All About... > Creating Form Fields > Align Two or More Fields


HotDocs Help - Change the Borders and Margins of a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Borders and Margins of a Field

Before You Begin:

These instructions can also be used to change the borders and margins of fields both at the Form Document tab of the assembly window and in HotDocs Filler.

You can change the borders and margins of a form template field. Borders control the thickness of the field box, and margins control the distance between the border of the field and the answer text.

To change field borders or margins

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field whose borders or margins you want to change.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show layout options.
  5. In the Borders and Margins groupings, make your selections. (Remember, borders affect the thickness of field boxes, while margins affect the distance between the border of the field and the answer in the field.)
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Borders and Margins of a Field

More... (1)

Home > All About... > Creating Form Fields > Change the Borders and Margins of a Field


HotDocs Help - Copy One or More Form Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Copy One or More Form Fields

Before You Begin:

These instructions can also be used to copy and paste fields both at the Form Document tab of the assembly window and in HotDocs Filler.

Frequently, you need to copy fields on a form. For example, say you need to create a group of fields that all have the same properties. Rather than creating each field individually and modifying its properties, you can create a single field, assign the properties, and then copy the field to create the others in the group.

When a field is copied to a new place in the same template, all the field’s properties (size, font, line formatting, fill order, etc.) are copied with it. Similarly, when variables, conditions, or REPEAT instructions are attached to fields, they are also attached to the copied fields. However, if you copy fields from one template to another, the variables, dialogs, and other components used in computations, conditions, or instructions are not copied to the new template’s component file. You must copy these items manually. (See Create and Edit Multiple Components Simultaneously or Use One Component File for Multiple Templates.)

When you copy fields to a new location, the cursor position tells HotDocs where to paste the copied fields. If you copy a single field, the lower-left corner of the field will be at the cursor position. Likewise, if you copy two or more fields at the same time, the lower-left corner of an invisible boundary box drawn around all of the copied fields will be at the cursor position. If there is no cursor, the field is pasted on top of the original.

You can copy fields on only one page at a time.

To copy and paste one or more fields

  1. Edit a form template. (See Edit a Form Template.) Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field or fields you want to copy. (See Select a Field.)
  3. Choose Copy (Edit menu). The field is copied to the Windows Clipboard. (You can also select the field and press Ctrl+C, or you can right-click on the field and choose Copy from the shortcut menu.)
  4. Place the mouse cursor where you want the lower-left corner of the copied field to be, and then click the mouse to set the cross-hair.
  5. Choose Paste (Edit menu). The copied field is pasted at that location. (You can also press Ctrl+V, or you can right-click on the field and choose Paste from the shortcut menu.)
Note:
  • You can also copy a field by holding down the Ctrl key while dragging the field to its new location.
  • If you need to automate an updated version of the template, it may be easier to replace the static content, rather than copy all of the fields. (See Update the Underlying Text in a Form Template.)
Note: You can also copy a field by holding down the Ctrl key while dragging the field to its new location.
Caution:If you are working in a fillable PDF template, remember that linked fields are associated with underlying fillable fields in the PDF. If you plan to save the assembled document as a fillable PDF, answers associated with linked fields will only be merged where there are fillable fields on the form. This means that you cannot copy a linked field to a new location on the form and expect the answer to appear there in the resulting fillable PDF. If you want to use the same variable somewhere else in the form, create a regular HotDocs field and assign it the same variable name as the fillable field. Note, however, that in the fillable PDF, the answer will appear static.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Copy One or More Form Fields

More... (1)

Home > All About... > Creating Form Fields > Copy One or More Form Fields


HotDocs Help - Resize Form Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Resize Form Fields

Before You Begin:

These instructions can also be used to resize fields both at the Form Document tab of the assembly window and in HotDocs Filler.

You may need to adjust the size of a field to fit it into the available space on the form. You can change a field's size using the mouse, the keyboard, or the Position/Size tab of the Field Properties dialog box.

To resize a field using a mouse

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field. (See Select a Field.)
  3. Click a handle or field border. (When the mouse pointer is on a handle, the pointer changes to a double-arrow, indicating the directions the border can be moved.)
  4. Hold down the mouse button and drag the border to a new position.

To resize a field using the keyboard

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field. (See Select a Field.)
  3. Press the Page Up or Page Down keys to move the top border of the field up or down, and the End or Home keys to move the right border of the field right or left. (To resize the field more quickly, hold down the Shift key as you press the keys.)

To resize a field using the Field Properties dialog box

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab and, in the Size group, enter the desired distance from the left and top borders of the field in the Width or Height boxes. (You can also click the up or down arrows for each field to change the size.) The field size is changed.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Resize Form Fields

More... (1)

Home > All About... > Creating Form Fields > Resize Form Fields


HotDocs Help - Change the Tab Order of Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Tab Order of Fields

Before You Begin:

These instructions can also be used to change the tab order of fields both at the Form Document tab of the assembly window and in HotDocs Filler.

When determining the order to ask questions in the interview, HotDocs begins with the top-left field of the form and processes all of the fields until it reaches the bottom-right field. This processing affects two things—the order questions are asked in the default interview and the order in which the user is able to tab through fields on the form.

Because of this default field ordering, sometimes you may find your dialogs being asked out of order. You may also find that the tab order during direct-fill assembly isn't working as you expect. Additionally, when automating a nontypical table, you may need to change the order in which fields are asked.

Note: Once you specify a fill order for one field, you must specify the order for every field you want processed after that field. In effect, when you specify a fill order for just one field, you set that field to be answered last. This is because all the other fields are still set to Row 0, Column 0—they are lower than the Row 1 or Column 1 , so they will be filled first. Therefore, to change the order of the fields in the middle of the form, you must also change the order for every remaining field.

The following rules control field ordering:

  • Fill order is determined first by row, then by column.
  • All field values are initially set the same—Row 0, Column 0.
  • When fields have different row numbers, fields with lower row numbers are asked first, for example, Row 0, Column 0; Row 1, Column 0; etc.
  • When fields have the same row numbers, but different column numbers, fields with lower column numbers are asked first, for example, Row 1, Column 0; Row 1, Column 1; etc.
  • Fill order is treated separately for each page of the template—you cannot specify a fill order that runs from one page to another.

To change the tab order for fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab. The view changes to show ordering options.
  5. In the Row box, type the row number.
  6. If you need to specify the order for fields in the same row, type a number in the Column box.
  7. Optionally, at the Order dialog box, you can click the First, Previous, Next, or Last button to save the current field's settings and display the next field's order.

By selecting and ordering different groups of fields, you can use fill order to handle various situations. For example:

  • Remove all fill order settings: Select all fields and set the Row and Column numbers to 0.
  • Organize large sections of fields: Select the desired fields and specify the order.
  • Flow answers across fields contrary to the default order (top to bottom, left to right): Set the desired order, then group the fields. (See Group Form Fields So Answers Can Flow From One Field to Another.)
  • Fill table columns in an order different from the static text: Set the desired order, then group the fields as a table.
Note: To control when a variable is asked without changing fill order, you can use ASK instructions. For example, if you simply want a particular field to be asked first even though it isn't the first field on the form, place an ASK instruction in the top left corner of the page. (See Attach an ASK Instruction to a Field.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Tab Order of Fields

More... (1)

Home > All About... > Creating Form Fields > Change the Tab Order of Fields


HotDocs Help - Group Form Fields So Answers Can Flow From One Field to Another

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Group Form Fields So Answers Can Flow From One Field to Another

Before You Begin:

These instructions can also be used to group fields for answer flow-through both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes an answer must begin in one field and continue in other fields. For example, you may have a Text variable whose answer must span two or more pre-printed lines. You can create edit fields for each line, and then group the fields so that answers flow from one field to another. Fields grouped this way are called run-on groups.

Once fields are grouped, HotDocs treats the group as a single field. This means that the Text variable and any conditions for the variable will be assigned to the grouping, not the individual fields in the group.

Caution: If you are automating a fillable PDF template and you plan to save the assembled document as a fillable PDF, you cannot group fillable fields since necessarily, each fillable field is linked to a separate “variable.” Answers—both in HotDocs and Adobe—must be entered on individual lines. This means that when you reach the end of one field, you must tab to the next field and continue typing your answer. (This inability to group fields is a limitation of Adobe. If you have access to the form, you may consider replacing individual fields in the group with a single, multi-line field. Text you enter may not match the lines perfectly, but you will not have to tab between fields to enter the answer.)

To flow an answer across multiple fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Create all the text fields across which the answer should flow. (See Create a Form Field.)
  3. Select all the fields that will be used for the answer. (See Select a Field.)
  4. Click Group (Field menu). A bounding frame appears around the grouped fields. (You can also right-click and select Group from the shortcut menu.)
  5. Attach a variable to the grouped fields. (See Attach a Variable to a Field.)
Caution: When fields are grouped, you cannot change properties for individual fields. You must first ungroup the fields. (See Ungroup Form Fields.)
Note:
  • A form may require an answer to appear in a series of single-character fields or boxes (for example, a Social Security number). To place one character or digit in each field requires additional formatting. See Attach a Variable to Single-Character Boxes for details.
  • To group fields that appear on separate pages in the form, see Flow a Single Answer Across Two or More Pages in a Form.
  • By default, HotDocs asks questions in the interview by reading fields in the form from left to right, top to bottom. As it encounters a field, it asks the variable associated with it. If the variable is linked to a dialog, it asks the dialog instead. When directly filling the form, HotDocs tabs through the form fields using this same method. However, sometimes grouped run-on fields can create problems with the tab order. To ensure that text in a run-on group flows in the correct order, you may need to specify a fill order for fields in the group. (See Change the Tab Order of Fields.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Group Form Fields So Answers Can Flow From One Field to Another

More... (1)

Home > All About... > Creating Form Fields > Group Form Fields So Answers Can Flow From One Field to Another


HotDocs Help - Attach a Variable to Single-Character Boxes

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Attach a Variable to Single-Character Boxes

Sometimes an answer field is made up of several single-character boxes. Rather than create a single field that spans these boxes, you can create individual fields in each box. Then, once you group the fields, you can assign a variable to the grouped field and the answer the user enters will be split across the fields—one character in each box.

For example, perhaps you have a field on your form that requires the user to enter the digits in a U.S. Social Security number. If you just simply group the fields, HotDocs attempts to fit the entire answer in the first few boxes, like this:

Field Flow Example

When this happens, the answer will overflow and be sent to the addendum. However, if you group the fields and assign a maximum character number of one to the group, only one character will be merged in each box, like this:

Field Flow Example

To split an answer across multiple single-character boxes

  1. Edit a form template. (See Edit a Form Template.)
  2. Create and select the appropriate fields. (See Create a Form Field and Select a Field.)
  3. Choose Group (Field menu). A bounding box appears around the grouped fields. (See Group Form Fields So Answers Can Flow From One Field to Another.)
  4. Attach a variable to the group. (See Attach a Variable to a Field.)
  5. Select the grouped field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  6. Click the Layout tab. The view changes to show several alignment options.
  7. In the Line Format group, enter 1 in both the Maximum lines and the Max chars/line boxes.

When a user answers the variable, each character of the answer will be merged in its own field.

Note: Sometimes the preprinted boxes have space for only the variable characters, not for static characters (such as the hyphens in a Social Security number, or the slash marks in date formats like MM/DD/YYYY). However, these characters normally merge as part of the answer. This would make the answer too long, again causing it to overflow. In such situations, you must specify an example format that prevents the static characters from being merged. If the answer is for a Text variable, specify a pattern (see Use Pattern Codes to Create a Custom Pattern) and then use an example format that uses an X for every character you want and an underscore for every character you want suppressed (for example, XXX_XX_XXXX to remove hyphens from a Social Security number). For a Date variable, create a format that eliminates the characters you don't want (for example, 061390).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Attach a Variable to Single-Character Boxes


HotDocs Help - Attach a Multiple Choice Variable to a Group of Check Boxes

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Attach a Multiple Choice Variable to a Group of Check Boxes

Frequently, a form template includes several options from which a user can choose. These options are usually represented by check boxes. In order to assign a Multiple Choice variable to these fields, you must first group the fields and then attach the Multiple Choice variable to the grouped field. Additionally, the fields in the group must match the order of the options in the variable. During the interview, when the user selects an option, the corresponding check box is selected.

Caution:If you are working with fields in a fillable PDF template, you can only group linked check box fields if each of the field's corresponding fillable field has the same name. To view a linked field's name, select the field and click the Field Properties Field Properties button, and then click the Additional tab. The Field name drop-down list shows the associated name.

To assign a Multiple Choice variable to check boxes

  1. Edit a form template. (See Edit a Form Template.)
  2. Create the check-box fields. (See Create a Check-Box Field.)
  3. Select the fields you want grouped. (See Select a Field.)
  4. Choose Group (Field menu). The fields are grouped (as indicated by a bounding outline).
  5. Double-click on the group. The Variable Field dialog box appears.
  6. Assign a Multiple Choice variable, making sure the options for the variable correspond with the fill order of the check boxes. (If you need to assign a tab order to the fields, see Change the Tab Order of Fields.)
Note:
  • Sometimes the wrong box gets checked in the assembled form. If this happens, make sure the options are listed in the Multiple Choice Variable Editor in the same order as the fields' tab order. By default, HotDocs fills fields from top-left to bottom-right. If you want the fields processed in a different order, you can ungroup them and change the field order.
  • The default fill character for check boxes is an X. To merge a different character, enter the character in the Merge Text column for each multiple-choice option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Attach a Multiple Choice Variable to a Group of Check Boxes


HotDocs Help - Ungroup Form Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Make a Field Conditional
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Ungroup Form Fields

Before You Begin:

These instructions can also be used to ungroup fields both at the Form Document tab of the assembly window and in HotDocs Filler.

When fields are grouped, you cannot modify the individual fields. You must first ungroup the fields.

To ungroup the fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Select one of the grouped fields. The whole group is selected. (See Select a Field.)
  3. Click Ungroup (Field menu). (You can also right-click on the field and choose Ungroup from the shortcut menu.)

Some properties that were assigned to the group, such as text, margin, and line format properties remain applied to the individual fields that made up the group. Other properties, such as a field order or a condition, are lost until you regroup the fields. Regrouping the fields restores the properties that were previously applied to the group.

Caution: Properties of a table, including the name of the repeated dialog, are attached to the first field in a table. Because of this, you should not delete the first field in the group before you regroup the fields. Also, do not close the form before you regroup the fields. If you do either of these things, these properties are lost.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Ungroup Form Fields

More... (1)

Home > All About... > Creating Form Fields > Ungroup Form Fields


HotDocs Help - Attach an Answer Wizard to a Field

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Attach a Variable to a Field
  • Attach a Variable to Single-Character Boxes
  • Attach an Answer Wizard to a Field
  • Attach an ASK Instruction to a Field
  • Attach an INSERT Instruction to a Field
  • Change the Borders and Margins of a Field
  • Change the Tab Order of Fields
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Detect Borders to Create or Resize a Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Make a Field Conditional
  • Move a Field on a Form
  • Resize Form Fields
  • Ungroup Form Fields

Attach an Answer Wizard to a Field

When a user direct-fills a form document, he or she answers questions by clicking on the field and entering the answer in the field. Sometimes, however, the user may not be able to enter an answer in the field, either because the field requires other variables be answered to calculate its answer, or because it's conditioned on another field's answer in the document. To help users answer the questions necessary to fill in the field, you can assign an answer wizard to the field. An answer wizard attaches a button to the field that, when clicked, displays a pop-up interview asking the required questions.

For example, say you create a field that merges a user's age. To merge this answer, you attach a Computation variable that calculates the age based on the user's birth date and today's date. You can attach an answer wizard that asks the dialog that contains the birth date variable. Once the user answers the date, the answer is calculated and merged in the field.

Answer wizards are most often used with computation fields, conditional fields, or fields grouped as a table.

To create an answer wizard for a variable

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field to which you want to attach the answer wizard, then click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  3. At the Type tab, click the Answer Wizard Wizard button. The Answer Wizard Field dialog box appears.
  4. Select the answer wizard option you want to use:
    • Computation Variable: Select an existing Computation variable from the Computation drop-down list, or click the Edit Component Edit Component button to create a new one. During direct-fill assembly, when users click the Answer Wizard Answer Wizard button, the variables used in the Computation are displayed in the pop-up interview. (If the variables are linked to a dialog, the dialog appears in the pop-up interview.)
    • ASK Instruction: Select an existing dialog from the drop-down list, or click the Edit Component Edit Component button and create a new one. During direct-fill assembly, when users click the Answer Wizard Answer Wizard button, the specified dialog is displayed in the pop-up interview.
    • DEFAULT: When users click the Field Wizard Answer Wizard button, any dialogs containing the required variables are asked.
    • NONE: Removes any answer wizards attached to the selected field (or group of fields).
Note: You can also create a wizard for a table. A table wizard appears as a spreadsheet button ( Table Wizard) instead of as an answer wizard button ( Answer Wizard), and clicking it will display the repeated dialog in a pop-up interview. To create a table wizard, select the table, click the Field Properties Field Properties button, and create the wizard. You can still create an answer wizard for a field in a table by specifying the answer wizard before you group the fields in the table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Form Fields > Attach an Answer Wizard to a Field


HotDocs Help - Changing Field Properties

All About...

  • Creating and Using Fillable PDF Form Templates
  • Creating and Working with Forms
  • Creating Form Fields
  • Defining Form Overflow Properties

Changing Field Properties

Preview the Formatting of Answers in a Form Field

Show and Hide Fields

Change the Field Type

Change the Font Used for a Field

Format Lines and Paragraphs of Text in a Form Field

Rotate Answers in a Field

Keep Contents of Form Fields from Printing

Create a Field for Behind-the-Scenes Tasks

Create a Resource Link on a Form

Cross Out Static Text on the Form

Circle Static Text on a Form

Insert a Graphic File in a Form

Convert Answers on the Form to Bar Code Format

Move a Field on a Form

Merge a List of Answers in a Standard Table

Merge a List of Answers in a Nonstandard Table

Flow a Single Answer Across Two or More Pages in a Form

Home > All About... > Changing Field Properties


HotDocs Help - Preview the Formatting of Answers in a Form Field

How Do I...?

  • Change the Field Type
  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Preview the Formatting of Answers in a Form Field
  • Rotate Answers in a Field
  • Show and Hide Fields

Preview the Formatting of Answers in a Form Field

As you create fields in a form template, you frequently want to see how an answer will appear in a field. For example, say you create a multi-line field and you want to test whether a three-line address will fit. As you edit the field properties, you can enter a test answer and see how the answer fits in the underlying form field.

Caution: To test the assembly of the document—including how answers are merged in fields based on the underlying variables—click the Assemble Test Assemble button.

To enter test answers in a field

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a new field or select an existing field. (See Create a Form Field and Select a Field.)
  3. Click the Show Variables Show Variables button to hide variable names. (See Show and Hide Fields.)
  4. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  5. Change the different properties for the field at the Type tab as necessary.
  6. In the text box at bottom of the dialog, enter the text you want to view in the answer field, depending on the field type.
  7. Optionally, click the Layout tab of the Field Properties dialog box and make any changes to the field's alignment, borders, margins, and multi-line format.
  8. When you're finished entering the text, click outside of the text box. The field in the underlying form updates to show the text you entered.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Preview the Formatting of Answers in a Form Field


HotDocs Help - Show and Hide Fields

How Do I...?

  • Change the Field Type
  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Preview the Formatting of Answers in a Form Field
  • Rotate Answers in a Field
  • Show and Hide Fields

Show and Hide Fields

As you are viewing a form, field variables and backgrounds are shown by default. You can hide variable names and field backgrounds, though, which may make it easier for you to scan through the form. When backgrounds are hidden, only the variable name or answer appears. When variables are hidden, only the test answer text appears (if any is assigned to the field).

To hide or show field backgrounds

  1. Edit a form template. (See Edit a Form Template.)
  2. Click the Highlight Fields Highlight Fields button.

To hide or show variable names

  1. Edit a form template. (See Edit a Form Template.)
  2. Click the Show Variables Show Variables button.
Note: You can control whether field variables and field backgrounds are shown or hidden when you open form templates documents. See Control How Forms Appear When Opened for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Show and Hide Fields


HotDocs Help - Change the Field Type

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Field Type

Before You Begin:

These instructions can also be used to change the field's type at the Form Document tab of the assembly window and in HotDocs Filler.

When you first create a field, HotDocs creates it as either an edit or check-box field, depending on the field’s height and width. Check-box fields are usually used to mark a yes/no response, while edit fields are used for questions that require text, date, or number answers. In addition, you can assign some fields as control fields, which means users can't access or edit the field during direct-fill assembly. You can also create resource fields, which can display helpful information about the form.

Once you choose a field type, you can determine the type of answer that is merged in the field. Your options include text, graphics, and bar codes. You can also use fields to cross out or circle static text on a document.

The following are the different types of fields you can create:

Type of Field | Default Color | Description
Edit | Yellow | Allows users to enter any type of answer, including text, dates, numbers, multiple choice options, or computed values. It is the most commonly used field type.
Check Box | Blue | Allows users to select from two or more options. Usually check-box fields are associated with True/False variables or Multiple Choice variables. Answers in a check-box field are usually indicated by an X or other character. (See Create a Check-Box Field.)
Resource Orange

Allows users to view helpful information about the form while directly filling the form. Resource fields appear as hyperlinks on the form. When users click the link, a pop-up window containing the useful information opens. (See Create a Resource Link on a Form.)

Note: Resource fields provide help for the form in general, instead of for a specific variable or dialog.
Control | Green | Allows you to complete "behind-the-scenes" tasks in the template, such as inserting templates or setting the values of variables. If the field contains answer or example text, it will be visible to users, but users won't be able to access the field.
Note: If you are working with a fillable PDF template, linked fields appear using a light blue color. This distinguishes them from regular HotDocs fields. See Detect Fillable Fields in a PDF Template.

To change the field type

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a new field (See Create a Form Field) or select an existing field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, make your selection, based on the information in the table above.
Note: You can change the default colors used for form fields at the HotDocs Options dialog box. (See Change Colors in HotDocs Forms.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Field Type

More... (1)

Home > All About... > Changing Field Properties > Change the Field Type


HotDocs Help - Change the Font Used for a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Font Used for a Field

Before You Begin:

These instructions can also be used to change the field's font properties both at the Form Document tab of the assembly window and in HotDocs Filler.

You can choose the font that is used for answers on a form. When choosing the font, you can also indicate the style (for example, bold or italics), size, effects, and color that are used.

As is always the case when working with fonts, if the form requires a specific font be used, you must ensure the font is installed on all computers where the form will be viewed.

To change the font for a field or group of fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field or fields whose font you want to change.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, click Font. The Font dialog box appears.
  5. Make your font selections.
Note: You can specify default font properties for all new fields you create at HotDocs Options. See Set Properties for New Edit Fields for more details.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Font Used for a Field

More... (1)

Home > All About... > Changing Field Properties > Change the Font Used for a Field


HotDocs Help - Format Lines and Paragraphs of Text in a Form Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Format Lines and Paragraphs of Text in a Form Field

Before You Begin:

These instructions can also be used to format how text appears in a field both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes you need to format the text within a multi-line text field. For example, perhaps you need to indent the first line of a paragraph, or maybe you need to adjust the number of lines that fit in an inch of vertical space. To do this, you can adjust the line format of a field.

To format lines and paragraphs

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a multi-line field.
  3. Attach a multi-line Text variable to the field. (See Customize a Text Variable.)
  4. With the field selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  5. Click the Layout tab. The view changes to show the different options for formatting the field.
  6. In the Line Format group, complete one of the following options:
    To | Do This
    Indent the first line of text in the paragraph | Enter how much space to include between the margin of the field and the first character of the answer in the First line indent box. (You can either type the number or click the up or down arrows.)
    Force a certain number of lines to appear in an inch of space in the field | Enter the number of lines in the Lines per inch box.
    Indicate how many lines can appear in the field | Enter the number of lines in the Maximum lines box. If the answer contains more lines than is specified, the field will overflow.
    Indicate the maximum number of characters that can appear in a given line of text | Enter the number of characters in the Max chars/line box. When the number of characters exceeds this limit, text will wrap to the next line.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Format Lines and Paragraphs of Text in a Form Field

More... (1)

Home > All About... > Changing Field Properties > Format Lines and Paragraphs of Text in a Form Field


HotDocs Help - Rotate Answers in a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Rotate Answers in a Field

Before You Begin:

These instructions can also be used to rotate answers in an answer field both at the Form Document tab of the assembly window and in HotDocs Filler.

By default, answers in fields appear in horizontal rows and can be read from left to right. You can rotate text so answers will read from bottom to top, top to bottom, or upside-down from right to left.

To rotate text in a field

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the fields you want to rotate. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show field layout properties.
  5. In the Rotation group, select a degree of rotation: 0º, 90º, 180º, or 270º, for example:

    Text Rotation Example

Note:
  • You can enter test text in the test answer box (of the Type tab) to preview the selected rotation. See Preview the Formatting of Answers in a Form Field.
  • When you change the rotation, HotDocs views the bottom of the letters as the bottom of the field. This means that aligning the text horizontally or vertically may have different effects.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Rotate Answers in a Field

More... (1)

Home > All About... > Changing Field Properties > Rotate Answers in a Field


HotDocs Help - Keep Contents of Form Fields from Printing

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Keep Contents of Form Fields from Printing

Before You Begin:

These instructions can also be used to keep field text from printing at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes you want field text to appear on the form during direct-fill assembly, but you don't want the text to appear when you print a copy of the form. For example, if you create a resource field, you may not want the resource field text to appear on the form when you print it. You can select an option that keeps this text from printing.

To designate that a field's contents shouldn't be printed

  1. Edit a form template. (See Edit a Form Template.)
  2. Create or select the field whose text you want to appear only on the form.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Non-printing field.
Caution:If you are working with linked fields in a fillable PDF template and you plan to save the document assembled from the template as a fillable PDF, any changes you make to the linked field will not be honored in the saved fillable PDF. See Detect Fillable Fields in a PDF Template for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Keep Contents of Form Fields from Printing

More... (1)

Home > All About... > Changing Field Properties > Keep Contents of Form Fields from Printing


HotDocs Help - Create a Field for Behind-the-Scenes Tasks

How Do I...?

  • Change the Field Type
  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Preview the Formatting of Answers in a Form Field
  • Rotate Answers in a Field
  • Show and Hide Fields

Create a Field for Behind-the-Scenes Tasks

Frequently, as you automate a form template, you need to perform a task or display text in a field that isn't accessible to the user. You can do this by creating a control field.

For example, perhaps you want to automatically insert a form template (such as an attachment) if the user answers a question a specific way. To do this, you must create a field on the form and attach a conditioned INSERT instruction to the field. However, when you create the field, by default, the user can access the field by typing in it. To keep this from happening, you can create the field (and attach the instruction) and then make the field a control field. This disables the field for the user.

Additionally, perhaps you want to include text in a field but you don't want the user to access the text during direct-fill assembly. If you make such a field a control field, the text will be visible to users, but users won't be able to access it.

To make a field a control field

  1. Edit a form template. (See Edit a Form Template.)
  2. Create the field you want to use for behind the scenes tasks. (See Create a Form Field.)
  3. Assign whatever field properties, variables, or instructions you need to the field.
  4. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  5. At the Type tab, select Control in the Field type group.
  6. Optionally, you can resize the field so only the field borders are visible. (See Resize Form Fields.) This keeps any text in the field from appearing on the assembled document, which makes the field completely invisible.
Note: If you are working with linked fields in a fillable PDF template, some fields are marked as read-only in the underlying PDF. These become control fields in the template. However, even if you change the field's type in HotDocs, it will remain a read-only field when you save the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Create a Field for Behind-the-Scenes Tasks


HotDocs Help - Create a Resource Link on a Form

How Do I...?

  • Change the Field Type
  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Preview the Formatting of Answers in a Form Field
  • Rotate Answers in a Field
  • Show and Hide Fields

Create a Resource Link on a Form

When automating a template, you can assign resources to variables that help the user know how to answer a specific question in the interview. At times, however, you may want to include a resource for an entire form. To do this, you create a resource field. A resource field appears as a hyperlink on the form document. When clicked, the resource appears in a pop-up window. Resource fields appear during direct-fill assembly only.

To create a resource field, you must create a Text variable and assign as its resource the text you want users to view while directly filling the form document. You must then define the hyperlink text at the Field Properties dialog box.

To create a link field

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field, and attach a Text variable to the field. (See Create a Form Field and Attach a Variable to a Field.) (This Text variable will not be asked during the interview.)
  3. At the Variable Field dialog box, click the Edit Component Edit Component button. The Text Variable Editor appears.
  4. Click the Resource tab and enter your resource text. (See Add Resource Information to a Variable or Dialog)
  5. Click OK at the Text Variable Editor and the Variable Field dialog box. The Automator window appears again.
  6. With the field still selected, click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and choose Properties from the shortcut menu.)
  7. At the Type tab, select Resource from the Field type group.
  8. Choose one of the following options from the Display type group:
    • Hyperlink displays the resource as a link on which the user clicks. Enter the hyperlink text in the Hyperlink text box.
    • Image displays the resource as graphic file on which the user clicks. Enter the file name of the graphic in the Image file name box.
    • Bar code displays the resource in bar code format. Enter the text you want to encode in the Bar code text box.
  9. Select Non-printing field. (This keeps the hyperlink from printing on the document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Create a Resource Link on a Form


HotDocs Help - Cross Out Static Text on the Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Cross Out Static Text on the Form

Before You Begin:

These instructions can also be used to cross out static text on a form both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes a form includes static text that must be crossed out, depending on answers the user enters during the interview. For example, say a form includes a list of medical conditions. Instructions on the form tell you to cross out any conditions that do not apply to you. You could manually cross out these conditions once you've printed the form; however, HotDocs allows you to create a strike-through field, which crosses out the text for you, depending on answers you enter during the interview.

A strike-through field, which is transparent, overlays the static text. You can choose the character that will be used to cross out the text.

To create a strike-through field in a form

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field that covers the static text on the form. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  4. Click the Type tab.
  5. In the Field type group, select the type of field you want to associate with the strike-through field.
  6. In the Display type group, select Strike-through.
  7. In the Variable box, insert a True/False or Multiple Choice variable. This variable sets the conditions when static text should be crossed out. (See Attach a Variable to a Field.)
    • True/False variable: Select an example format that merges the strike-through character when the variable is true or false, as appropriate. (See Customize a True/False Variable.)
    • Multiple Choice variable: Type the strike-through character in the Merge Text field of the option that should cause the strike through, and type NONE in the other choices. (See Customize a Multiple Choice Variable.)
Note:
  • You can use the alignment controls on the Field Properties dialog box to position the strike-through text more accurately.
  • To change the font properties of the strike-through character, click the Font button at the Field Properties dialog box and make your changes there.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Cross Out Static Text on the Form

More... (1)

Home > All About... > Changing Field Properties > Cross Out Static Text on the Form


HotDocs Help - Circle Static Text on a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Circle Static Text on a Form

Before You Begin: These instructions can also be used to circle static text on a form both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes instructions on a form ask users to circle a preprinted option. Rather than make users print the form and manually circle the option using a pen, you can create a form field that overlays a circle on the text. You can attach a variable to the field so that the user can select which option should be circled during the interview. Creating circle fields not only preserves the professional look of the form, but allows the answer associated with the selection to be saved in the answer file.

To create a field that circles text

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field that covers the static option on the form you want to select. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  4. Click the Type tab.
  5. In the Field type group, select the type of field you want to associate with the circled field.
  6. In the Display type group, select Circled.
  7. Assign a True/False or Multiple Choice variable to the field. (See Customize a True/False Variable, Attach a Multiple Choice Variable to a Group of Check Boxes, and Customize a Multiple Choice Variable.)
  8. Optionally, to control the width of the circle's border, click the Layout tab and change the Line thickness in the Circle group.
Note: To preview the circle (see Preview the Formatting of Answers in a Form Field), make sure you enter text in the Answer text box of the Type tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Circle Static Text on a Form

More... (1)

Home > All About... > Changing Field Properties > Circle Static Text on a Form


HotDocs Help - Insert a Graphic File in a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Insert a Graphic File in a Form

Before You Begin:

These instructions can also be used to insert graphics in a form both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes you may need to include an image on your form, such as a signature or seal. You can create a field and assign as one of its properties a graphic file. Supported file formats include .JPG, .BMP, and .PNG. Image files should be saved to the same folder as the template.

You control the conditions under which the image appears on the form. For example, you can attach a Multiple Choice variable or a True/False variable that merges an image file depending on which option a user chooses. Additionally, you can make the field a control field so that users can't access the field directly.

To create a graphic field using a variable

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field (See Create a Form Field) and attach either a Multiple Choice or True/False variable to it. (See Customize a Multiple Choice Variable or Customize a True/False Variable.)
  3. If you're using a Multiple Choice variable, edit the variable and, in the Merge Text column, enter the file names of the graphics, depending on which options the user chooses.
  4. If you're using a True/False variable, edit the variable and, in the Format box, enter the file name of the graphic, either preceded or followed by a forward slash (to indicate yes/no status).
  5. Click OK at the variable editor and at the Variable Field dialog box.
  6. With the field still selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  7. At the Type tab, select Image from the Display type group.
  8. Optionally, change the Field type to Control to restrict the user’s ability to modify the field. (Change the Field Type.)

To create a graphic field without using a variable

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field. (See Create a Form Field.)
  3. With the field still selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Image from the Display type group.
  5. Click the Open Open button next to the Image file name box. The Open dialog box appears.
  6. Locate and select the desired graphic file and click Open. The path and file name appear in the box.
  7. Optionally, change the Field Type to Control to restrict the user’s ability to modify the field. (Change the Field Type.)
  8. Optionally, click the View Variables Show Variables button in the Automator toolbar to view the image.

The image is visible at the Form Document tab.

Caution:If you are automating a fillable PDF template and you plan to save the assembled document as a fillable PDF, you cannot assign an image to a linked field. Instead, use a regular HotDocs field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Insert a Graphic File in a Form

More... (1)

Home > All About... > Changing Field Properties > Insert a Graphic File in a Form


HotDocs Help - Convert Answers on the Form to Bar Code Format

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Convert Answers on the Form to Bar Code Format

Before You Begin: These instructions can also be used to enter bar code text both at the Form Document tab of the assembly window and in HotDocs Filler.

You can create a two-dimensional bar code field that displays a single answer or group of answers. This may be useful if the organization to which you submit your documents requires certain data in the document be in bar code format. This allows the organization to scan the information and save it in some data retrieval system, such as a database.

For example, say you must submit a form to the court. When the court files the form, rather than manually entering case information (such as party names, case numbers, etc.), it can simply scan the bar code and have the information automatically entered in the system.

Typically, bar codes display data in a pattern of lines and formats, which should be readable by most hand-held laser scanners or charge-coupled device (CCD) scanners. The scanner should be able to read the size of the bars, which is 0.01 inch.

Use the following tips when working with bar codes:

  • The format HotDocs uses for bar codes is PDF417, or Portable Data File 417. It is one of several recognized 2-D bar code formats.
  • Bar codes in HotDocs can store about 1,500 characters, including numbers and other standard text symbols.
  • Printing a form that has a bar code requires a high-density printer, such as a laser printer.
  • Bar code fields can overflow, but all overflow properties assigned to the field are ignored. When too much text is entered for a bar code, no bar code appears. If you are having trouble getting the bar code to fit in the field, you can enlarge the field or reduce the field margins. (See Resize Form Fields or Change the Borders and Margins of a Field.)

There are two methods for creating a bar code:

  • Create a bar code using a variable: When the answers you want to convert to a bar code must be supplied by the user, you can create a variable, such as a Computation variable, which will then merge the answers in the field and convert them to bar code format.
  • Create a bar code using predefined text: If the bar code text is always the same, regardless of who is completing the document, you can enter that text at the Field Properties dialog box.

To create a bar code using a variable

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field and attach a variable to it, such as a Computation variable. (See Attach a Variable to a Field.)
  3. If using a Computation variable, create a script that will create a text string that includes all the answers you want encoded. Separate each answer by using a delimiter character, such as a tilde (~) or a vertical bar ( | ). (See Customize a Computation Variable and Overview: Instruction and Expression Models.)

    For example, Court Branch or District + "|" + Court Mailing Address + "|" + Court City + "|" + Court Zip Code.

  4. Click OK at both the variable editor and the Variable Field dialog box. The template appears again.
  5. With the field still selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  6. At the Type tab, select Bar code as the Display type.
  7. Optionally, click the Bar Code tab and adjust any of the bar code settings. (See Understand Bar Code Settings.)

When the user assembles the document, the answer will be encoded as a two-dimensional bar code.

To create a bar code using predefined text

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Bar code.
  5. Type the data you want encoded in the Bar code text box. As you type the text, HotDocs displays the bar code in the underlying form field. (You may need to click the Show Variables Show Variables button in the Automator toolbar to hide variable names.) (If you are entering a group of answers that must be interpreted by the bar code scanner as individual answers, you must separate each answer with some sort of delimiting character, such as a tilde (~) or vertical bar (|).)

    For example, Superior Court of Ada County|12 N. Elm Street|Boise|99999.

Note:
  • If you are automating a fillable PDF template and you plan to save the assembled document as a fillable PDF, you cannot assign a bar code to a linked field. Instead, use a regular HotDocs field.
  • For information on changing the bar code specifications, see Understand Bar Code Settings.
  • To access the Field Properties dialog box, you can also right-click and select Field Properties from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Convert Answers on the Form to Bar Code Format

More... (1)

Home > All About... > Changing Field Properties > Convert Answers on the Form to Bar Code Format


HotDocs Help - Merge a List of Answers in a Standard Table

How Do I...?

  • Change the Field Type
  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Preview the Formatting of Answers in a Form Field
  • Rotate Answers in a Field
  • Show and Hide Fields

Merge a List of Answers in a Standard Table

Sometimes you may need to merge a list of answers instead of a single answer in a form template. Often this list can appear in a predefined table in which users enter answers in rows sequenced from top to bottom and in columns sequenced from left to right.

You can also create what is called a nonstandard table, or one in which the rows are sequenced from left to right, instead of top to bottom. For details, see Merge a List of Answers in a Nonstandard Table.

When you create a standard table, you create and group fields in every cell, but you only attach variables to fields in the top row, like this:

To create a list

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field in each empty table cell that will contain an answer in the assembled form. (See Create a Form Field.)
  3. Attach variables to only the first row of fields—one variable for each column. (See Attach a Variable to a Field.)
  4. Select all of the fields in the table, then select Group as Table (Field menu). A bounding frame appears around the grouped fields. (You can also right-click and choose Group as Table from the shortcut menu.)
  5. With the grouped fields still selected, choose REPEAT (Field menu). The REPEAT Field dialog box appears. (You can also double-click the grouped fields.)
  6. Create a repeated dialog that contains the variables used in the table, or select an existing repeated dialog. (See Create a REPEAT Instruction to Gather a List of Answers.)

During assembly, if the user enters more answers than there are rows, those answers can be sent to the addendum, which you can customize.

Note:
  • You can filter answers merged into the table. (See Filter a List of Answers and Filter a List Using a Computation Variable.)
  • Information about the REPEAT instruction is associated with the field grouping. If you ungroup the table after you have inserted a REPEAT Instruction, remember to regroup the fields before you close the template. Otherwise, the information about the instruction is lost.
  • To create a list in a single variable field instead of a table, select the field and insert a Computation variable. In the computation, use a REPEAT instruction. (See Create a REPEAT Instruction Using a Computation Variable.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Merge a List of Answers in a Standard Table


HotDocs Help - Merge a List of Answers in a Nonstandard Table

How Do I...?

  • Change the Field Type
  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Preview the Formatting of Answers in a Form Field
  • Rotate Answers in a Field
  • Show and Hide Fields

Merge a List of Answers in a Nonstandard Table

Sometimes you may need to merge a list of answers instead of a single answer in a form template. Often this list can appear in a predefined table. Generally, these tables ask for information in a fairly standard order—in rows that read from left to right. (See Merge a List of Answers in a Standard Table.)

However, some lists require information that flows in different patterns, such as rows going from top to bottom. These kinds of tables are considered nonstandard. In nonstandard tables, you must specify a field order for every field in the table, then insert the variables in the fields you have assigned to Row 1. The following examples show types of nonstandard tables.

In this example, the rows are sequenced from left to right instead of top to bottom:

In this example, the table is divided into sections, but each section is actually a row in the table:

To put a list in a nonstandard table

  1. Edit a form template. (See Edit a Form Template.)
  2. Create a field in each empty table cell that will contain an answer in the assembled form. (See Create a Form Field.)
  3. Select all of the fields for the first row (that is, the first series of fields) in the table, then click the Field Properties Field Properties button. The Field Properties Field Properties dialog box appears. (You can also right-click and select Order from the shortcut menu.)
  4. Click the Additional tab, and in the Tab Order group, enter 1 in the Row box.
  5. Click OK.
  6. Select all of the fields for the next row in the table and set them to Row 2. Repeat this process for the remaining rows in the table, incrementing the row number for each subsequent row.
  7. Select all the fields for the first column in the table and set them to Column 1. Repeat this process for the remaining columns in the table, incrementing the column number for each subsequent column.
  8. Attach variables to the fields in Row 1. (See Attach a Variable to a Field.)
  9. Select all of the fields in the table and choose Group as Table (Field menu). A bounding frame appears around the grouped fields. (You can also right-click and select Group as Table from the shortcut menu.)
  10. With the grouped fields still selected, choose REPEAT (Field menu). The REPEAT Field dialog box appears. (You can also double-click the grouped fields.)
  11. Create a repeated dialog that contains the variables used in the table, or select an existing repeated dialog. (See Create a REPEAT Instruction to Gather a List of Answers.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Merge a List of Answers in a Nonstandard Table


HotDocs Help - Flow a Single Answer Across Two or More Pages in a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Form Field
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Merge a List of Answers in a Nonstandard Table
  • Merge a List of Answers in a Standard Table
  • Move a Field on a Form
  • Override an Answer in a Form
  • Preview the Formatting of Answers in a Form Field
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Flow a Single Answer Across Two or More Pages in a Form

Before You Begin:

These instructions can also be used to flow an answer across two pages both at the Form Document tab of the assembly window and in HotDocs Filler.

At times, a single answer field will start at the bottom of one page and continue to the top of the next page. However, HotDocs will not allow you to create a single field that spans across both pages. You can, however, create two fields—one on each page—and then link them using the Group Fields command.

To group fields on separate pages

  1. Edit a form template. (See Edit a Form Template.)
  2. Create the first field in the series of spanned fields. (See Create a Form Field.)
  3. Assign a Text variable to the field. (See Customize a Text Variable.)
  4. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  5. Click the Overflow tab, and in the Group name box, enter a name. Usually, this is the name of the variable, but it can be any text as long as it is the same for each field in the group.
  6. On the following page(s), create the fields that will contain any overflow. Do not assign variables to these fields.
  7. Repeat the preceding steps for each field in the group, using the same group name as you assigned to the first field.

Now, answers that do not fit in the first field will overflow to the next field named in the group.

Note: To span text across multiple fields on the same page, see Group Form Fields So Answers Can Flow From One Field to Another.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Flow a Single Answer Across Two or More Pages in a Form

More... (1)

Home > All About... > Changing Field Properties > Flow a Single Answer Across Two or More Pages in a Form


HotDocs Help - Defining Form Overflow Properties

All About...

  • Changing Field Properties
  • Creating and Using Fillable PDF Form Templates
  • Creating and Working with Forms
  • Creating Form Fields

Defining Form Overflow Properties

Define Overflow Properties for a Regular Field

Define Overflow Properties for Run-on Fields

Define Overflow Properties for a Table

Customize the Look of the Addendum

Split a Multi-Line Answer Between the Form and the Addendum

Create Independent Addendums for Forms

Use Answer Overflow and Addendum Text Codes

Home > All About... > Defining Form Overflow Properties


HotDocs Help - Define Overflow Properties for a Regular Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Create Independent Addendums for Forms
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Define Overflow Properties for a Regular Field

Before You Begin: These instructions can also be used to change the overflow properties for a field both at the Form Document tab of the assembly window and in HotDocs Filler.

When an answer is too large to fit in its field, HotDocs, by default, warns you and asks how to handle the overflow. You can customize the field overflow properties, controlling how HotDocs automatically handles answer overflows.

For example, you can have HotDocs automatically create an addendum, where each answer that overflows is sent. In the field that overflows, HotDocs can insert cross-reference text that points you to a specific item in the addendum. You can designate the text that is used both for the cross-reference and for the label in the addendum.

Another option is for you to have HotDocs automatically reduce the answer’s font size. You can set a minimum point size and control if the answer is automatically reduced to this size before displaying an overflow warning message. (Be careful reducing the font size since others may find the smaller size harder to read.) (See Change the Font Used for a Field.)

How you define overflow properties depends on the type of field you are creating. For example, in an addendum, grouped fields and tables are handled a little differently from regular fields. See Define Overflow Properties for Run-on Fields and Define Overflow Properties for a Table.

To set overflow properties for regular fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field whose overflow properties you want to define.
  3. Click the Field Properties Field Properties button and click the Overflow tab.
  4. Complete any of the following steps:
    To | Do This
    Automatically shrink an answer that overflows to a specific point size | Select Shrink answer as needed and enter a point size in the points box.
    Automatically send an answer that overflows to the addendum | Select Send answer to addendum. (To send only part of a multi-line answer to the addendum, select Split answer. (See Split a Multi-Line Answer Between the Form and the Addendum.)
    Define the text that appears in the answer field when an answer is sent to the addendum | Enter the text in the Cross-reference text box. (See here for a list of reference numbering codes you can use.)
    Define the text that identifies the answer once it has been sent to the addendum | Enter the text in the Addendum label text box.
    Make an answer the first item on its addendum page | Select Begin addendum entry on a new page.
    Make an answer the last item on its addendum page | Select Begin new page following addendum entry.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Define Overflow Properties for a Regular Field

More... (1)

Home > All About... > Defining Form Overflow Properties > Define Overflow Properties for a Regular Field


HotDocs Help - Define Overflow Properties for Run-on Fields

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Define Overflow Properties for Run-on Fields

When an answer is too large to fit in its field, HotDocs, by default, warns you and asks how to handle the overflow. You can customize the field overflow properties, controlling how HotDocs automatically handles answer overflows.

For example, you can have HotDocs automatically create an addendum, where each answer that overflows is sent. In the field that overflows, HotDocs can insert cross-reference text that points you to a specific item in the addendum. You can designate the text that is used both for the cross-reference and for the label in the addendum.

Another option is for you to have HotDocs automatically reduce the answer’s font size. You can set a minimum point size and control if the answer is automatically reduced to this size before displaying an overflow warning message. (In reducing the font size, be cautious, because others may find the smaller size harder to read.) (See Change the Font Used for a Field.)

How you define overflow properties depends on the type of field you are creating. Grouped fields and tables are handled a little differently from regular fields. Grouped fields are shown in the addendum as just one answer.

To set the properties for a run-on group

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the run-on group whose overflow properties you want to define.
  3. Click the Field Properties Field Properties button and click the Overflow tab.
  4. Complete any of the following steps:
    To | Do This
    Automatically shrink an answer that overflows to a specific point size | Select Shrink answer as needed and enter a point size in the points box.
    Automatically send an answer that overflows to the addendum

    Select Send answer to addendum.

    To send only part of a multi-line answer to the addendum, select Split answer.

    Use a check box in the grouped fields to indicate the answer overflows

    Sometimes forms include a check box that indicates when an answer is continued elsewhere, such as in the addendum or in an attachment. Choosing one of these options selects that check box when the answer overflows.

    Select either Indicator check box is first in field group or Indicator check box is last field in group, depending on where the check box that indicates overflow is positioned.

    Select No addendum entry indicator check box if there is no check box to indicate an answer has been sent to an attachment or addendum.

    Define the text that appears in the answer field that an answer is sent to the addendum

    If you want the indicator check box to be the only designation that a field overflows, enter NONE in this box.

             Enter the text in the Cross-reference text box. (Click Use Answer Overflow and Addendum Text Codes for a list of reference numbering codes you can use.)
    Define the text that identifies the answer once it has been sent to the addendum | Enter the text in the Addendum label text box.
    Make an answer the first item on its addendum page | Select Begin addendum entry on a new page.
    Make an answer the last item on its addendum page | Select Begin new page following addendum entry.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Define Overflow Properties for Run-on Fields


HotDocs Help - Define Overflow Properties for a Table

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Define Overflow Properties for a Table

When the contents of a table overflow, answers, by default, are sent to the addendum as one item. That is, if one answer overflows, then all of the answers in the table are sent to the addendum. In the addendum, the table's answers are organized in an outline using lowercase letters to identify each column. Thus, the first row of answers appear in the addendum as a set marked "a, b, c". The second row of answers appear as a second set of "a, b, c", and so forth.

To define overflow properties for a table

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the table whose overflow properties you want to define.
  3. Click the Field Properties Field Properties button and click the Overflow tab.
  4. Complete any of the following steps:
    To | Do This
    Automatically send an answer (including extra rows in the table) that overflow to the addendum | Select Send answers to addendum.
    Define how much of the table is sent to the addendum when there is overflow

    In the When sending answers to addendum group, select one of the following options:

    • Select Send entire table to send the contents of the table to the addendum any time any answer in the table overflows. The overflow cross-reference text (for example, See 1 in Addendum) is merged in the top row of the table and no other rows contain any answers.
    • Select Send complete rows to send only rows that overflow to the addendum. For example, if an answer in a row overflows, the entire row is sent to the addendum. The overflow cross-reference text (for example, See 1 in Addendum) is merged in the affected row only.
    • Select Send individual cells to send only the contents of a single overflowing field to the addendum. The overflow cross-reference text (for example, See 1 in Addendum) is merged in the affected cell only.
    Define the text that appears in the answer field when an answer is sent to the addendum | Enter the text in the Cross-reference text box. (Click here for a list of reference numbering codes you can use.)
    Define the text that identifies the answer once it has been sent to the addendum | Enter the text in the Addendum label text box.
    Make an answer the first item on its addendum page | Select Begin addendum entry on a new page.
    Make an answer the last item on its addendum page | Select Begin new page following addendum entry.
    Indent the answer a specific amount of space | Enter a number in the Answer column indent box (or click the up and down arrows to select a number).
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Define Overflow Properties for a Table


HotDocs Help - Customize the Look of the Addendum

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Create Independent Addendums for Forms
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Customize the Look of the Addendum

Before You Begin: These instructions can also be used to customize the look of the addendum both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes when assembling a form document, an answer is too long for the form field. One way to resolve this overflow is to send the overflowing text to an addendum, which is a section of the form designed to display such answers. You can modify the appearance of the addendum—for example, you can choose what page margins to use, define what text appears in the headers and footers, and choose the font properties for the text that is used in the addendum. You can also define how pages are numbered in the addendum.

To change the addendum format

  1. Edit a form template. (See Edit a Form Template.)
  2. Click File > Template Properties > Addendum. The Addendum Properties dialog box appears.
  3. Complete any of the following steps:
    To | Do This
    Define how much white space there is between the addendum page edges and the text in the addendum | Enter the dimensions in the Page margins group.
    Define the text that appears at the top of each addendum page

    Enter the text in the Header text box.

    To learn how to merge page numbers in the header, see Use Answer Overflow and Addendum Text Codes.

    Define the text that appears at the bottom of each addendum page

    Enter the text in the Footer text box.

    To learn how to merge page numbers in the footer, see Use Answer Overflow and Addendum Text Codes.

    Change the font properties (including font face, size, and style) of the header or footer text | In the respective Header properties and Footer properties groups, click the Font button and make the changes at the Font dialog box.
    Define how much vertical space the header or footer text requires | In the respective Header properties and Footer properties groups, enter a number in the Height box.
    Change the alignment of the header or footer text | In the respective Header properties and Footer properties groups, click the Alignment button and choose your alignment option.
    Insert a variable in the header or footer text | In the respective Header properties and Footer properties groups, click the Variable Field Variable Field button. The Variable Field dialog box appears, where you can define the variable whose answer you want merged in the header or footer.
    Define the font properties (including font face, size, and style) for answers that appear in the addendum | In the Addendum entries group, click the Font button and make your changes at the Font dialog box.
    Define how much space there should be between the addendum label and the answer | In the Addendum entries group, enter a number in the Indentation box.
    Define how much space there should be between each answer in the addendum | In the Addendum entries group, enter a number in the Space between box.
    Make the addendum appear as a pleading paper | Select Number lines to format as pleading paper.

Once an answer has been sent to the addendum, you cannot edit the actual addendum—you must either modify your answers at the Form Document tab or Interview tab, or you must send the addendum to the word processor (choose File > Send Addendum To > Word Processor). You can also send the addendum to the Windows Clipboard (choose File > Send Addendum To > Clipboard) to paste it into a different program for editing.

Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Customize the Look of the Addendum

More... (1)

Home > All About... > Defining Form Overflow Properties > Customize the Look of the Addendum


HotDocs Help - Split a Multi-Line Answer Between the Form and the Addendum

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Create Independent Addendums for Forms
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Split a Multi-Line Answer Between the Form and the Addendum

When creating multi-line fields, you can select an overflow option that sends either all of the answer to the addendum, or only the part of the answer that doesn't fit in the field to the addendum.

If you allow the user to choose whether to split the answer between the form and the addendum, you can customize the reference and label text, based on their selection. For example, if the user chooses to send the entire answer to the addendum, you can specify See Addendum 1 as the cross-reference text. However, if the user chooses to send just part of the answer, you can specify Continued in Addendum 1 as the reference text.

To choose overflow options for a multi-line answer

  1. Create a multi-line field. (See Create a Form Field.)
  2. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  3. Click the Overflow tab. The view changes to show overflow options.
  4. Complete any of the following steps:
    To Do This
    Always send the answer to the addendum without prompting the user

    Select Send answer to addendum.

    To send just the part of the answer that doesn't fit in the field to the addendum, select Split answer.

    Specify the text that will be merged in the field as well as the addendum if the user chooses just to send to addendum

    Enter the text in the Cross-reference text and Addendum label text boxes, respectively.

    To specify alternate text that will be merged in the field and addendum if the user chooses to split the answer between the form and the addendum, type a vertical bar (|) and then enter the alternate text after the bar. For example:

    Cross-reference text: See Addendum 1|Continued in Addendum 1

    Addendum label text: Addendum 1|(con't) Addendum 1

Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Split a Multi-Line Answer Between the Form and the Addendum

More... (1)

Home > All About... > Defining Form Overflow Properties > Split a Multi-Line Answer Between the Form and the Addendum


HotDocs Help - Create Independent Addendums for Forms

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Create Independent Addendums for Forms

Before You Begin: These instructions can also be used to customize the addendum both at the Form Document tab of the assembly window and in HotDocs Filler.

Sometimes your form includes duplicate pages that must be given to or filed with a specific party. (For example, perhaps you have a form where one copy must be given to the client, and another copy must be filed in your office.) You can select an option that specifies that a new addendum page should begin following a specified field. This makes it possible to create multiple, independent addendums.

To create independent addendums

  1. Select the field(s) and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  2. Click the Overflow tab. The view changes to show overflow options.
  3. Select Begin new addendum following this field.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Create Independent Addendums for Forms


HotDocs Help - Use Answer Overflow and Addendum Text Codes

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for a Table
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Use Answer Overflow and Addendum Text Codes

These instructions can also be used to control numbering in overflow and addendum text both at the Form Document tab of the assembly window and in HotDocs Filler.

As you customize the appearance of an addendum, you can insert any combination of codes to merge page numbering into addendum headers and footers. Also, when defining overflow cross-references and labels, you can insert codes that number entries in the addendum, particularly answers in tables that overflow. Finally, in both cases, you can control the type of number that is used—Arabic, Roman, or alphabetic.

Addendum Header and Footer Page Numbering Codes

You can use the following codes to merge page numbers in addendum headers and footers. For example, the header text Financial Aid Application, page <PAGE> would insert at the top of each addendum page the form title followed by the number of the current page in the form (that is, Financial Aid Application, page 1). The footer text Page <PAGE> of <PAGES> would insert at the bottom of each addendum page the number of the current page followed by the total number of pages in the form (that is, Page 1 of 7).

Page Numbering Code | What It Inserts in Assembled Document
<PAGE> | Current page in the document
<PAGES> | Total number of pages in the document, including addendum pages
<DOCPAGES> | Total number of pages in the document, without including the addendum
<PAGEINFO> | Current page in the document / Total pages in the document
<ADMPAGE> | Current page in the addendum
<ADMPAGES> | Total number of pages in the addendum
<ADMPAGEINFO> | Current page in addendum / Total pages in addendum.

Addendum Label and Cross-Reference Text Numbering Codes

As you define how HotDocs should handle fields that overflow, you can use the following codes to merge reference numbers in cross-references and addendum labels. For example, in a table with two rows and two columns, the number codes <ROW>, <COLUMN> would insert 2, 1 for the answer in the first column of the second row. For that same cell of the table, <MEMBER> would insert 3, since the field is the third field in the table counting from the first cell of the table. And again for that answer <MEMBER:A> would insert C, the item number as an uppercase alphabetic character (1=A, 2=B, C=3, etc.).

Numbering Code | What It Inserts in Assembled Document
<REFNR> | Addendum item number
<VARNAME> | The name of the variable
<ROW> | Table row number (merged in addendum only)
<COLUMN> | Table column number (merged in addendum only)
<MEMBER> | Table cell sequence number (merged in addendum only)

Numbering Format Codes

To change the format of the number, between the page or referencing number code and the closing angle bracket (>), type a colon (:) immediately followed by one of the page format codes described in the following table. (A complete entry would look like this: <DOCPAGES:A>.)

Page Format Code | What Number is Merged
1 | Arabic numerals (default)
A | Uppercase letters
a | Lowercase letters
I | Uppercase Roman numerals
i | Lowercase Roman numerals

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Use Answer Overflow and Addendum Text Codes


HotDocs Help - Creating and Using Fillable PDF Form Templates

All About...

  • Changing Field Properties
  • Creating and Working with Forms
  • Creating Form Fields
  • Defining Form Overflow Properties

Creating and Using Fillable PDF Form Templates

Overview: Use Fillable PDFs as Form Templates

Create a Form Template Using a Fillable PDF

Detect Fillable Fields in a PDF Template

Attach Variables to Fillable Fields

Tips for Working with Fillable Fields

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Fillable PDF Form Templates


HotDocs Help - Overview: Use Fillable PDFs as Form Templates

How Do I...?

  • Attach Variables to Fillable Fields
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template

Reference Material

  • Tips for Working with Fillable Fields

Overview: Use Fillable PDFs as Form Templates

You can use fillable PDF documents as the basis for creating form templates. A fillable PDF is an interactive PDF document that allows users to enter answers on the form while viewing it in Adobe Acrobat or Reader. As you create the template, you will be prompted for instructions on how to use the fillable PDF. You can either create a fillable PDF template, or you can create a regular PDF-based form template.

Create a Fillable PDF Template

When you create a template from a fillable PDF, you can use the fillable fields from the Adobe document as a point of reference for automating the template. In fact, during template creation, HotDocs will automatically create fields where it detects fillable fields. These special fields are known as linked fields, since they link to and use the properties of the fillable fields.

Users can then assemble a fillable PDF template and save the completed document as a fillable PDF document. This allows them to edit answers directly in the PDF. Users can also save the assembled document as a regular (static) PDF or as a HotDocs PDF document.

When using fillable PDF templates, please note the following:

First, when saving the assembled document as a fillable PDF, if you changed any of the default field properties for the linked field, those properties will not be used in the saved document. Such properties include field position and size, font, and borders, just to name a few. Adhering to the default properties defined in the original PDF document ensures the saved document will meet any requirements specified by the agency that issued the form. Note, however, that if you save the assembled document as a regular PDF or HotDocs PDF Document, any custom properties you specified will be used for the fields instead.

Second, keeping fillable fields in the template makes it easier to match HotDocs fields to the original fillable fields, especially when you accidentally move, change, or delete a HotDocs field while editing the template. This precision may be important if you plan to submit the form to an agency that requires that answers be entered a very specific way, regardless of whether you save the document as a fillable PDF or otherwise.

Finally, when you create variables and attach them to linked fields in a PDF-based template, HotDocs may suggest some default properties for the variable, such as a name, format, pattern, and so forth. Where possible, you should accept these default properties. If you save the assembled document as a fillable PDF, Adobe Acrobat or Adobe Reader will try to format the answer coming from HotDocs so that it fits in the field as it is defined by Adobe Acrobat. If the answer contains text or uses properties that are different than what it expects, the field text may appear incorrectly. This is especially true with Number and Date formats.

Create a PDF Form Template

When creating a form template using a fillable PDF, you can choose not to keep fillable fields in the template. If you do, the template will be created as a regular, static PDF template, and users of the form will not be able to save it as a fillable PDF.

Caution:HotDocs supports only fillable PDFs (or Acrobat Forms or AcroForms) created with Acrobat Professional. It does not support any fillable PDF documents created or edited using Adobe LiveCycle Designer. (This includes XFA forms, XML Forms, or Designer Forms.) A small subset of XFA forms might still work, as long as there are no dynamic form features being used. Typically, if an AcroForm has been edited using LiveCycle Designer and only properties of fields have been changed, it is likely to still work in HotDocs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Fillable PDF Form Templates > Overview: Use Fillable PDFs as Form Templates


HotDocs Help - Create a Form Template Using a Fillable PDF

Overviews

  • Overview: Use Fillable PDFs as Form Templates

How Do I...?

  • Attach Variables to Fillable Fields
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template

Reference Material

  • Tips for Working with Fillable Fields

Create a Form Template Using a Fillable PDF

Caution:HotDocs supports only fillable PDFs (or Acrobat Forms or AcroForms) created with Acrobat Professional. It does not support any fillable PDF documents created or edited using Adobe LiveCycle Designer. This includes XFA forms, XML Forms, or Designer Forms. Please note that a small subset of XFA forms might still work, as long as there are no dynamic form features being used. Typically, if an AcroForm has been edited using LiveCycle Designer and only properties of fields have been changed, it is likely to still work in HotDocs.

Some PDF documents you receive from an organization contain fillable fields, which allow you to enter the data required by the document while you are viewing the PDF in Adobe Acrobat or Reader. You can create HotDocs form templates based on these fillable PDFs.

For example, say you download a fillable PDF from the court. You can create a HotDocs PDF template using this fillable PDF as the basis for the template. When you do, you can choose to keep the fillable fields in the template, or you can choose to remove them from the template. If you choose to keep them, HotDocs will create special HotDocs fields that mirror exactly the underlying fillable fields. (These are called linked fields.) This is useful if the resulting document must be filed with an agency that requires answers be entered in very precise places on the form.

Keeping fillable fields in a form template also makes it easy to re-adjust fields back to their original position and format, especially when you accidentally move, change, or delete a linked field while editing the template.

If you choose to remove the fillable fields, HotDocs will still create form fields where the fillable fields were—they just will not be associated with the fillable fields. Additionally, users will not be able to save the document as a fillable PDF, and the PDF will be static.

Once you create a template that contains fillable fields, you can attach variables to those fields. When you do, HotDocs attempts to use information from the original fillable PDF to suggest what type of variable to create. It also suggests other properties, such as variable names and answer formats.

Finally, when assembling a form document that contains fillable fields, you have three options for saving the document:

  • You can save the document as a regular HotDocs PDF document, or .HPD file. If you select this option, you can view the file and edit the answers in it using HotDocs Filler only.
  • You can save the document as a static Adobe PDF document. If you select this option, you can only view the document in Adobe Acrobat, Reader, or HotDocs Filler. You cannot edit the answers. Any fillable fields in the template will be removed from the document when you save it.
  • You can save the document as a fillable PDF. If you select this option, you can edit the answers in the document in Adobe Acrobat or Reader.

To create a PDF template from a fillable PDF

  1. Start HotDocs. The template library appears. (See Start HotDocs.)
  2. Click on a folder in the file list and click the New Template New Template button. The New Template dialog box appears.
  3. Click the Type drop-down button and choose HotDocs PDF Template from the list.
  4. Enter a name for the file in the File name box and a title for the template in the Title box.
  5. In the Initial contents group, select Other file.
  6. Click the Browse Browse button and browse to (and open) the fillable PDF document.
  7. Click OK at the New Template Initial Contents box. A message box appears, asking if you want to leave fillable fields in the form.
  8. Make a decision, based on the following options:
    • Select Yes, leave fillable fields in the form if you want to use the fillable fields from the PDF as the basis for fields in the new template. This allows you to create HotDocs fields that match exactly those fields in the underlying PDF.
    • Select No, remove fillable fields from the form if you do not want the template to use the fillable fields from the source PDF document.
  9. If the fillable PDF document contains any annotations (such as notes, stamps, highlighting, etc.), a second message box appears, asking if you want to leave annotations in the form. Select Yes, leave annotations in the form if you want the assembled Adobe document to still show these annotations. Be aware, however, that annotations will not appear on the form in HotDocs Automator. Select No, remove annotations from the form if you want to remove all annotations so they will not appear in the assembled PDF.

HotDocs creates the template and adds fields to it. If you selected to keep fillable fields in the template, these HotDocs fields are linked to the fillable fields. Otherwise, HotDocs creates regular HotDocs fields. See Detect Fillable Fields in a PDF Template for more information on working with these fields.

Note: When you create a new form template, HotDocs creates a component file, which stores information about components you use in the template, such as variables and dialogs. The component file works behind the scenes, but both files—the form template and the component file—are necessary for the template to work. (The component file works exactly the same for a form template as a text template. See Overview: Template and Component Files.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Fillable PDF Form Templates > Create a Form Template Using a Fillable PDF


HotDocs Help - Detect Fillable Fields in a PDF Template

Overviews

  • Overview: Use Fillable PDFs as Form Templates

How Do I...?

  • Attach Variables to Fillable Fields
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template

Reference Material

  • Tips for Working with Fillable Fields

Detect Fillable Fields in a PDF Template

When working with a fillable PDF, you can choose to create HotDocs fields that overlay and link to the PDF’s fillable fields. You can then attach variables to these linked fields and answers entered during the interview will be merged in the assembled document.

One benefit of using fillable fields as the basis for HotDocs fields is the fillable fields often include properties that indicate exactly where data must be entered in order for the completed PDF to be filed with a court or agency. For example, you may download a court form that requires answers to appear using a certain font and size, and the answer must be placed in an exact position in the field. When you save the assembled document as a fillable PDF, HotDocs honors the fillable field properties over any HotDocs-specific properties you may assign to fields. This ensures the completed PDF will meet the court's specifications.

Another benefit of using fillable fields is that saving an assembled document as a fillable PDF allows you to edit answers while viewing the document in Adobe Acrobat or Reader.

Finally, you can use fillable fields as a "blueprint" for where HotDocs fields should be placed in the template, especially if you delete or move fields, or if you accidentally edit field properties as you work in the template.

Note: You can assign custom properties to fillable fields while editing the template in HotDocs Automator. However, these properties will only be honored if the assembled document is saved as a regular (or static) PDF or HotDocs PDF document (.HPD).

To help you make sure the linked fields match exactly the fillable fields, you can use the Check Fillable Fields tool, which scans through the template and, on a field-by-field basis, allows you to compare the properties of a HotDocs field to its corresponding fillable field. If there are discrepancies, you can adjust the HotDocs field to match the fillable field. Specific properties this tool examines include size, position, field type, font properties, and text alignment within the field, just to name a few.

If no HotDocs field is associated with a fillable field, HotDocs prompts you to create the HotDocs field and link it to the fillable field.

There are two ways you can tell whether a HotDocs field is linked to a fillable field. First, linked fields appear using a light blue color. Second, HotDocs displays the fillable field name at the Field Properties dialog box. (To view this name, click the Additional tab of the Field Properties dialog box. The Field name drop-down list in the Linked Acrobat fillable field group shows the name.)

Note: You can view where the underlying PDF fillable fields are in the template by choosing Show Fillable Fields from the View menu.

To detect fillable fields in the template

  1. Edit a form template that uses fillable fields. (See Edit a Form Template.)
  2. Choose Check Fillable Fields (Tools menu). The Check Fillable Fields Options dialog box appears.
  3. Select the field properties you want to compare between the HotDocs fields and the fillable fields. (For example, if you want to compare only the fonts assigned to the fields, select Font and clear all other options.)
  4. Click OK. If there are discrepancies between the HotDocs fields and the fillable fields, the Check Fillable Fields dialog box appears.

    This dialog box shows a table that lists the differences between the two fields it is comparing. The Field Property column of the table shows the property name, while the HotDocs Field column shows the values currently assigned to the HotDocs field. The Fillable Field column shows the properties assigned to the fillable field.

  5. In the Change column, select which HotDocs properties you want to change so they match the fillable field.
  6. Proceed by choosing one of the following commands:
    • Click Change to change the selected properties for the current HotDocs field only. HotDocs makes the change and then displays the next field comparison.
    • Click Change All to change the selected properties for all HotDocs fields that have different properties from the fillable fields.
    • Click Ignore to ignore the suggested changes for the current field.
    • Click Ignore All to ignore all suggested changes for all HotDocs fields that have different properties from the fillable fields.
Note:
  • As you are checking fillable fields in a template, if a fillable field exists, but does not have a HotDocs field linked to it, HotDocs prompts you to create a linked field. To create the current field being suggested, click Yes. To create all fields that are missing, click Yes to All. To ignore the suggestion to create fields, click either No or No to All.
  • If you are showing fillable fields, you can double-click on a gray fillable field and HotDocs will create a linked field. (To view fillable fields, choose Show Fillable Fields (View menu).)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Fillable PDF Form Templates > Detect Fillable Fields in a PDF Template


HotDocs Help - Attach Variables to Fillable Fields

Overviews

  • Overview: Use Fillable PDFs as Form Templates

How Do I...?

  • Attach Variables to Fillable Fields
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template

Reference Material

  • Tips for Working with Fillable Fields

Attach Variables to Fillable Fields

Using HotDocs, you can automate a fillable PDF document. As you attach variables to each linked field in the template, HotDocs attempts to use field names and other properties from the underlying PDF field to create the variable. This includes assigning any formats specified in Adobe to the HotDocs field. So, for example, if the Adobe document uses a field named Signature Date and this field is formatted to appear in the mm/dd/yyyy format, HotDocs can attach a Date variable with the same name to the linked field and assign as its format mm/dd/yyyy.

As you create these variable fields, you can accept the suggested Adobe defaults, or you can specify your own properties. It is recommended, however, that where specific field formats are suggested, you honor them as closely as possible. If you save the assembled document as a fillable PDF, Adobe Acrobat or Adobe Reader will try to format the answer to fit in the field. If the answer contains text or uses properties that are different than what it expects, the field text may appear incorrectly.

As you attach variables to linked fields in a fillable PDF template, you should be aware of the following rules:

  • To determine what type of variable to create, HotDocs looks at the different formats assigned to the underlying fillable field. If the field doesn't have any formats, HotDocs suggests a Text variable. If the field does use formats, HotDocs tries to map the assigned format to its equivalent in HotDocs. So, for example, if the Adobe field has a Number format assigned to it, HotDocs will suggest Number as the variable type. If the Adobe field has a telephone number format assigned to it, HotDocs will suggest a Text variable with a telephone number pattern, and so forth.
  • HotDocs requires users to follow a set of rules for naming variables. If a name assigned to an Adobe field breaks one of these rules, HotDocs will change the name so that it becomes valid.
  • If an Adobe field is required or has a default answer assigned to it, HotDocs makes a note of this in the Notes tab of the Variable Editor. (When HotDocs adds a note to the tab, it marks the tab using an asterisk (*) character.)
  • If an Adobe field has a Tooltip, HotDocs uses the Tooltip text as a variable prompt.
  • Adobe supports time fields that include seconds. It also supports date fields that include hours and minutes. Since HotDocs does not support either of these types of formats, HotDocs will create a Text variable for the field and include a prompt that instructs the user on how to enter the answer.
  • Calculated fields in a PDF file use a JavaScript expression to compute the actual value. When this field is converted to a HotDocs field, HotDocs will place a commented-out copy of the expression in the Script box of the Computation Editor. You can use this expression as a guide for writing a HotDocs script that calculates the same value.

To attach variables to fillable fields using a wizard

  1. Edit a form template that uses fillable fields. (See Edit a Form Template.)
  2. Choose one of the following tasks for attaching a variable to a field:
    • Choose Create Variables (Tools menu). HotDocs opens the Variable Field dialog box for the first field in the template that does not have a variable attached to it.
    • Select a field and click the Variable Field Variable Field button. The Variable Field dialog box appears.
  3. Review the suggested variable type and name, and make any necessary changes.
  4. Click the Edit Component Edit Component button. The Variable Editor appears.
  5. Review the properties assigned to the variable, including its format, prompt, and any other patterns, limits, or other options.
  6. Optionally, if the Notes tab shows an asterisk in its label, click it to view any additional fillable field requirements.
  7. Click OK to close the Variable Editor, and then click OK again to close the Variable Field dialog box. The variable is created and attached to the field, and you are taken to the next empty field on the form.
  8. Repeat this process for each field in the template.
Note: To skip a field and not create a variable for it, click the Skip button on the Variable Field dialog box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Fillable PDF Form Templates > Attach Variables to Fillable Fields


HotDocs Help - Tips for Working with Fillable Fields

Overviews

  • Overview: Use Fillable PDFs as Form Templates

How Do I...?

  • Attach Variables to Fillable Fields
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template

Tips for Working with Fillable Fields

As you work with fillable PDFs, please note the following information:

Creating Fillable PDF Form Templates

HotDocs supports only fillable PDFs (or Acrobat Forms or AcroForms) created with Acrobat Professional. It does not support any fillable PDF documents created or edited using Adobe LiveCycle Designer. (This includes XFA forms, XML Forms, or Designer Forms.)

Note: A small subset of XFA forms might still work, as long as there are no dynamic form features being used. Typically, if an AcroForm has been edited using LiveCycle Designer and only properties of fields have been changed, it is likely to still work in HotDocs.

Using Fonts

If you have Type 1 (PostScript) fonts installed on your computer, you should not assign those fonts to fields in PDF-based template files. If you assign a Type 1 font to a form field, the field will appear correctly on screen during assembly and when the form is saved as a fillable PDF. However, if you print the form or save it as a static PDF, HotDocs will automatically substitute a TrueType font, which will keep the text in the field from appearing as expected. For best results, use TrueType (.ttf) fonts (or OpenType (.otf) fonts containing TrueType outlines) with linked fields in a fillable PDF template.

Fillable PDF authors may embed fonts they use in the fillable PDF. However, when you create a template using a fillable PDF, HotDocs will not use the embedded font. Instead, it will check to see if the font is installed locally. If it is, HotDocs will use it. If the font is not installed on the system, HotDocs will attempt to map the font to something similar. Once you save the assembled document as a fillable PDF, however, the embedded font will once again be used.

Honoring Adobe Field Formats

When you create variables and attach them to linked fields in a PDF-based template, HotDocs may suggest some default properties for the variable, such as a format, pattern, and so forth. Where possible, you should accept these default properties. If you save the assembled document as a fillable PDF, Adobe Acrobat or Adobe Reader will try to format the answer coming from HotDocs so that it fits in the field as its defined by Adobe Acrobat. If the answer contains text or uses formats that are different than what it expects, the field text may appear incorrectly. This is especially true with Number and Date formats.

Grouping Fields

If you are automating a fillable PDF template and you plan to save the assembled document as a fillable PDF, you cannot group run-on fields since necessarily, each fillable field is linked to a separate “variable.” Answers—both in HotDocs and Adobe—must be entered on individual lines. This means that as you enter an answer in a field, when you reach the end of one field, you must tab to the next field and continue typing your answer.

Note: This inability to group fields is a limitation of Adobe. If you have write-access to the form using Adobe Acrobat, you may consider replacing individual fields in the group with a single, multi-line field with a suitable font size. Text you enter may not match the lines perfectly, but you will not have to tab between fields to enter the answer.

Check-Box Groups

Multiple check boxes or option buttons with the same field name in a PDF file are converted to a HotDocs check box group. HotDocs relies on the sort order of the member fields when answers from HotDocs are saved back to the PDF fields. This means that it is not a good idea to change the ordering of the member fields using row and column settings.

Additionally, in the fillable PDF, check boxes and option buttons should all have different Export values since HotDocs doesn't allow duplicate options in a Multiple Choice variable.

Working with Rights-Enabled PDFs

When creating a fillable PDF document, form designers can enable usage rights within the document. These rights allow Adobe Reader users to save copies of the document with changes they have made to the document—including entering or changing answers they have entered in the fillable PDF. However, when you convert a rights-enabled fillable PDF to template format, the document is changed in such a way that usage rights are no longer in effect. This means that users will not be able to save changes they make when editing the assembled document in Adobe Reader.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Fillable PDF Form Templates > Tips for Working with Fillable Fields


HotDocs Help - Publishing HotDocs Templates

All About...

  • Publishing HotDocs Server Templates
  • Uploading Answer Files to a Server
  • Uploading Published Files

Publishing HotDocs Templates

Overview: Publish HotDocs Templates

Publish a Template as a Standard File

Publish Templates as Auto-Assemble Files (HDA)

Publish Templates as Auto-Install Files (HDI)

Protect Published Files

Publish and Register Templates for Use With HotDocs Player

Create a Shortcut for an Auto-Install Library

Create an HDI File for a CD-based Template Set

Add Files to a Published Set

Save Publishing Settings

Use a Custom Library Splash Screen

Automatically Update Published Template Sets

Home > All About... > Publishing HotDocs Templates


HotDocs Help - Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Overview: Publish HotDocs Templates

Publishing is a convenient way to distribute template files to others. When you publish a template, the related files (component files, clause library files, and so forth) are automatically compressed with the template file into one file.

There are four types of files you can publish, including:

  • Standard template files. You can publish a regular template file and copy all the related files to the correct location. You can also apply protection options to the files.
  • Auto-install files. You can publish a template or template set that, when accessed by the user, creates a new library of templates or updates an existing library for the user.
  • Auto-assemble files. You can publish a template or template set that will automatically assemble when the user accesses the file.
  • HotDocs Server files. You can publish the files needed to assemble documents using HotDocs Server.

All of these files can be uploaded to a Web server using your own custom uploading method. (See Overview: Upload HotDocs Files to a Web Server.)

The HotDocs publishing process offers several ways for you to protect your published files. Also, at the end of the process, you can save your publishing preferences in a HotDocs publish settings (.HDP) file. These files are saved to your HotDocs Publish folder and can be used the next time you publish your templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Overview: Publish HotDocs Templates


HotDocs Help - Publish a Template as a Standard File

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Publish a Template as a Standard File

You can publish a template as a standard template file to distribute among other users, including other users who will access it from the Internet or intranet. (See Upload Templates to a Web Server.) Publishing a template ensures that all associated files are copied to the same folder. It also allows you to protect the files.

You can also publish multiple template files as standard files; however, when you publish multiple templates, they will not be grouped as a set (as they are if you publish an auto-install or auto-assemble file.)

Additionally, you can publish your templates for use with HotDocs 2006-2008. This allows you to keep your templates backwards compatible. If you select this option, HotDocs opens and saves the component file in that version.

To publish templates as standard template files

  1. At the HotDocs library, select the template or templates you want to publish and click the Publishing Wizard Publishing Wizard button. The Publishing Wizard dialog box appears, displaying the Publishing Options information.
  2. Select Standard template files from the Publish as group.
  3. If your template contains any INSERT or ASSEMBLE instructions, select Include templates used in INSERT and ASSEMBLE instructions.
  4. If you want to make the published template(s) compatible with HotDocs 2006-2008, select Make published files compatible with HotDocs 2006-2008.
  5. Click the Browse Browse button next to the Local folder for published files box to specify the folder where you want HotDocs to save the published files.
  6. Optionally, if you plan to upload the published files, click the Edit Edit button next to the Web destination for published files box and specify the URL of the server to which you want to upload. (When HotDocs finishes publishing the templates, it will start the uploading process. See Overview: Upload HotDocs Files to a Web Server.)
  7. Click Next. The File Security dialog box appears.
  8. Optionally, specify any security options and click Next. (See Protect Published Files for details.) The Additional Files dialog box appears.
  9. If you want to include additional files (such as resource files), click Add Files, then select the desired files. (See Add Additional Files to a Published Set for details.)
  10. Click Finish. HotDocs publishes your files and returns you to the HotDocs library.
Note: If you publish multiple template sets, you can save the settings you specify during the publishing process so that the next time you publish, the options are already specified. (See Save Publishing Settings.)
Caution:Once these files are published to this temporary folder, you should move them to a more permanent location. If you publish additional templates or other files that use the same file names, HotDocs will overwrite the previously published files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Publish a Template as a Standard File


HotDocs Help - Publish Templates as Auto-Assemble Files (HDA)

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Publish Templates as Auto-Assemble Files (HDA)

A HotDocs auto-assemble (.HDA) file is a compressed file containing a template and its related files (component files, clause library files, and so forth.) When you assemble an auto-assemble file, HotDocs copies the template and related files into a temporary folder, then begins assembling. After assembly finishes, HotDocs deletes the files in the temporary folder. This is useful if you are distributing templates on the Internet, an intranet, or on a network and you don’t want users to have copies on their local drives. (See Overview: Upload HotDocs Files to a Web Server.)

If you select multiple library items to publish, you can either publish each item as its own auto-assemble file, or you can group items together in a template set. When an auto-assemble file contains a group of templates, assembly proceeds as if the user had selected multiple templates for assembly at the HotDocs library window.

Additionally, you can publish your templates for use with HotDocs 2006-2008. This allows you to keep your templates backwards compatible. If you select this option, HotDocs opens and saves the component file in that version.

To assemble an auto-assemble file, you can either pass the file to HotDocs using a command-line option, or you can add the auto-assemble file to a HotDocs library. If users access an auto-assemble file while browsing the Internet or an intranet, the browser will start HotDocs and pass it the auto-assemble file. If you are using a Web browser other than Internet Explorer, you may need to register HotDocs to work with the Web browser. (See Register HotDocs to Work with Web Browsers.)

To publish templates as auto-assemble files

  1. At the HotDocs library, select the template or templates you want to publish and click the Publishing Wizard Publishing Wizard button. The Publishing Wizard dialog box appears, showing the Publishing Options information.
  2. Select one of the following from the Publish as group:
    • Individual auto-assemble files (HDA)
    • Template set in a single auto-assemble file (HDA)
  3. If your template contains any INSERT or ASSEMBLE instructions, select Include templates used in INSERT and ASSEMBLE instructions.
  4. If you want to make the published template(s) compatible with HotDocs 2006s-2008, select Make published files compatible with HotDocs 2006-2008.
  5. Click the Browse Browse button next to the Local folder for published files box to specify the folder where you want HotDocs to save the published files.
  6. Optionally, if you plan to upload the published files, click the Edit Edit button next to the Web destination for published files box and specify the URL of the server to which you want to upload. (When HotDocs finishes publishing the templates, it will start the uploading process. See Overview: Upload HotDocs Files to a Web Server.)
  7. Click Next. The File Security dialog box appears.
  8. Optionally, specify any security options and click Next. (See Protect Published Files for details.)(If publishing individual auto-assemble files, skip to step 9.)
  9. Enter a name for the HDA file in the File name for published HDA file box, and then enter a title for the file in the Template set title box.
  10. Click Next. The Additional Files dialog box appears.
  11. If you want to include additional files (such as resource files), click Add Files, then select the desired files. (See Add Additional Files to a Published Set for details.)
  12. Click Finish. HotDocs publishes your files and returns you to the HotDocs library.
Note: If you publish multiple template sets, you can save the settings you specify during the publishing process so that the next time you publish, the options are already specified. (See Save Publishing Settings.)
Caution: Once these files are published to this temporary folder, you should move them to a more permanent location. If you publish additional templates or other files that use the same file names, HotDocs will overwrite the previously published files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Publish Templates as Auto-Assemble Files (HDA)


HotDocs Help - Publish Templates as Auto-Install Files (HDI)

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Publish Templates as Auto-Install Files (HDI)

A HotDocs auto-install (.HDI) file is a compressed file containing a library and one or more templates and their related files (component file, clause library file, and so forth). Auto-install files are a convenient way to distribute template sets to users, especially sets that must be updated periodically.

When you create an auto-install file, you specify a library file name. The first three characters of the file name are automatically assigned the characters, PUB, which sets a reference path keyword for the library. The first time a user installs a template set with that library file name, HotDocs suggests to the user that the library for the templates be installed in the Template Sets folder or the user's Libraries folder. HotDocs then asks where the templates should be installed. Any subsequent template sets with that same library file name will automatically get installed to the same folders. The paths for the templates in the library will appear as ^library file name\library file name\template file name.

If you select multiple library items to publish, you can either publish each item as its own HDI file, or you can group items together in a template set.

Additionally, you can publish your templates for use with HotDocs 2006-2008. This allows you to keep your templates backwards compatible. If you select this option, HotDocs opens and saves the component file in that version.

To assemble an auto-install file, you can either pass the file to HotDocs using a command-line option, or you can add the auto-install file to a HotDocs library using the Install Templates command (File menu at the HotDocs library). If users open an auto-install file from the Internet or an intranet, the browser will start HotDocs and pass it the file.

When HotDocs is passed an auto-install file, it installs a library, which contains the templates you published. If the library already exists, HotDocs updates it, overwriting existing library items and adding new items. If the library doesn't already exist, HotDocs creates it.

To publish templates as HotDocs auto-install files

  1. At the HotDocs library, select the template or templates you want to publish and click the Publishing Wizard Publishing Wizard button. The Publishing Wizard dialog box appears, displaying the Publishing Options information.
  2. Select one of the following from the Publish as group:
    • Individual auto-install files (HDI)
    • Template set in a single auto-install file (HDI)
  3. If your template contains any INSERT or ASSEMBLE instructions, select Include templates used in INSERT and ASSEMBLE instructions.
  4. If you want to make the published template(s) compatible with HotDocs 2006-2008, select Make published files compatible with HotDocs 2006-2008.
  5. Click the Browse Browse button next to the Local folder for published files box to specify the folder where you want HotDocs to save the published files.
  6. Optionally, if you plan to upload the published files, click the Edit Edit button next to the Web destination for published files box and specify the URL of the server to which you want to upload. (When HotDocs finishes publishing the templates, it will start the uploading process. See Overview: Upload HotDocs Files to a Web Server.)
  7. Click Next. The File Security dialog box appears.
  8. Optionally, specify any security options and click Next. (See Protect Published Files.) (If publishing individual auto-install files, skip to step 9.)
  9. At the Published Template Set dialog box, enter a name for the HDI file in the File name for published HDI file box, and then enter a title for the file in the Template set title box.
  10. Click Next. The Auto-Install Target Library dialog box appears.
  11. Enter a library file name, title, and optional description for the library that will be created and select any of the following options:
    • Update library title and description even if library already exists updates the current library title and description to match the information in the library that is being installed.
    • Update library items without installing templates points the items in the library to templates on a CD. (The templates on the CD must be saved in a first-level folder with the same name as the library base file name (including PUB).)
    • Install templates for read-only access installs the templates as read-only, which prohibits users from editing them.
  12. Click Next. If you’re publishing a template set in a single auto-install file, the Target Library Shortcut dialog box appears. (If you’re publishing individual auto-install files, skip to step 13.)
  13. Optionally, select Install a shortcut in the user's Start menu and specify any shortcut options. (See Create a Shortcut for an Auto-Install Library.)
  14. Click Next. The Additional Files dialog box appears.
  15. If you want to include additional files (such as resource files), click Add Files, then select the desired files. (See Add Additional Files to a Published Set for details.)
  16. Click Finish. HotDocs publishes your files and returns you to the HotDocs library.
Caution:Once these files are published to this temporary folder, you should move them to a more permanent location. If you publish additional templates or other files that use the same file names, HotDocs will overwrite the previously published files.
Note:
  • When installing templates for read-only access, you should understand that this option simply marks the files as read-only, so feasibly, users could change the file properties and then edit the templates, as long as they have HotDocs Developer. To keep users from editing the template, specify the Lock Component Files option at the File Security dialog box.
  • When updating an existing published template set that is in binary format, if you use any foreign characters in any of the properties of the template set, HotDocs will convert the existing library to XML format so that it can display the characters.
  • When updating the library, HotDocs looks to see if each item in the auto-install file’s library exists in the user’s library. If folder and template titles don't match, HotDocs adds new items instead of updating existing items.
  • If you give your libraries file names that are unique to your company or product, you will reduce the chance of another publisher creating a template set with the same name.
  • If you publish multiple template sets, you can save the settings you specify during the publishing process so that the next time you publish, the options are already specified. (See Save Publishing Settings.)
  • You can have a custom splash screen appear when the user launches the library created by the auto-install file. (See Use a Custom Library Splash Screen.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Publish Templates as Auto-Install Files (HDI)


HotDocs Help - Protect Published Files

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Protect Published Files

During the publishing process, you can specify options that control users' access to the files, set expiration dates for the files, and assign passwords to them.

To protect published files

  1. At the File Security dialog box of the Publishing Wizard, select the desired protection options:
    • Lock component files to prevent editing assigns an encrypted password to the component file, which keeps the user from editing it.
    • Set expiration date for component files makes the published templates usable only until a certain date. Selecting this option causes the Component File Expiration dialog box to appear when you click Next. (See Step 2 for details.)
    • Register component files allows you to register templates for commercial use with HotDocs Player. (To do this, you must obtain a special publisher key (.HDK) file from your HotDocs sales representative. Once this file is obtained (including a password to use it), the publisher key must be copied to the HotDocs program folder. Then, when you publish your template set, these options will be available. The resulting published set can be used with Player. See Publish and Register Templates for Use With HotDocs Player.)
      Caution: If your users upgrade to HotDocs Developer and then attempt to edit any published templates you have registered, those templates will no longer work with HotDocs Player. To prevent users from modifying component files, and thus unregistering them, you should lock the component files. (See above.)
    • Password protect published files requires users to enter a password before assembling the auto-assemble file or installing the auto-install file. You specify this password in the Password box.
    • Password protect documents sent to Microsoft Word requires users to unprotect the document before modifying assembled documents that have been sent to Microsoft Word. (They do this by entering the password you used to publish the file.) (This can include documents that were assembled from WordPerfect templates.) You specify this password in the Password box.
  2. If you selected Set expiration date for component files, the Component File Expiration dialog box appears. Select the desired expiration options:
    • Expiration date lets you specify the date on which you want the files to expire. Type the date in the box, or click the calendar icon next to the box to select the date.
    • Warning period lets you warn users that their files are about to expire. Click the up or down arrows to specify the number of days this warning will appear before the template actually expires and can no longer be used.
    • Extension period lets users continue to use the files for a specified amount of time after the template or template set has expired. Click the up or down arrows to specify the number of days.
    • Expiration message lets you include a custom message about the files that are set to expire. Enter your message in the text box. (HotDocs automatically includes information about the expiration date.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Protect Published Files


HotDocs Help - Publish and Register Templates for Use With HotDocs Player

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Overviews

  • Overview: Publish HotDocs Templates

Reference Material

  • Automatically Update Published Template Sets

Publish and Register Templates for Use With HotDocs Player

You can register your templates so they can be used with HotDocs Player. To do this, you must first obtain a publishing license from HotDocs Corporation. You will then receive a publishing key file (register.hdk), which allows you to register your templates for use with HotDocs Player. Registration happens during the publishing process. A publishing license also allows you to redistribute HotDocs Player at no cost to your users.

To publish your templates for use with HotDocs Player

  1. Copy Register.hdk to the HotDocs program folder (for example, C:\Program Files\HotDocs).
  2. At the template library, select the templates you want to publish and click the Publishing Wizard Publishing Wizard button.
  3. At the Publishing Options page of the wizard, enter all the required information for the template set you are publishing and click Next. The File Security page appears.
  4. Select Register component files and enter the password for the publisher key file in the Password box. (You should have received this password from the HotDocs Corporation publisher key administrator who gave you the publisher key file.)
  5. Continue with the publishing process.

Your templates are now registered and can be used with HotDocs Player.

Note: To distribute HotDocs Player, either your users can download a version from the HotDocs Web site, or you can include it in the installation package with your template sets.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Register Published Templates For Use with HotDocs Player > Publish and Register Templates for Use With HotDocs Player

More... (1)

Home > All About... > Publishing HotDocs Templates > Publish and Register Templates for Use With HotDocs Player


HotDocs Help - Create a Shortcut for an Auto-Install Library

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Create a Shortcut for an Auto-Install Library

When you publish a template set in a single auto-install file, you can have HotDocs create a shortcut in the user's Start menu. The shortcut is created when the user installs the file, and, depending on the options you specify, the user can specify the exact location for the shortcut. You can also include your own custom icon that will be used when the shortcut is created.

To add a shortcut (including a custom icon) to the Start menu

  1. At the Target Library Shortcut dialog box (which appears during the publishing of a template set in a single auto-install file), select Install a shortcut in the user's Start menu.
  2. Optionally, select any of the following options:
    • Select Prompt for which folder should contain the shortcut to have HotDocs prompt users to specify where the shortcut will be placed.
    • Click the Browse Browse button next to the Icon to use box and locate the icon (.ICO) file you want to assign to the library. (If you leave this box empty, HotDocs will use a default icon.)
    • Type a name in the Folder to contain shortcut box. HotDocs will create a folder in the Start > Program Files menu using this name, and will save the shortcut there. (If you don't specify a name, HotDocs creates the shortcut in the HotDocs program folder.)
    • Type a shortcut name in the Label for shortcut box. The label is what identifies the shortcut in the Start menu.
  3. Click Next and finish the publishing process.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Create a Shortcut for an Auto-Install Library


HotDocs Help - Create an HDI File for a CD-based Template Set

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Create an HDI File for a CD-based Template Set

If you are distributing a template set on CD and you want the templates to stay on the CD instead of being installed, you can create an auto-install file that will create the template set library on the user’s computer and point the library entries to the templates on the CD.

Users can install the library by clicking Install Templates (File menu at the HotDocs library window) and selecting the .HDI file.

To create an auto-install file for a CD-based template set

  1. Publish the template set in a single .HDI file. (See Publish Templates as Auto-Install Files (HDI).)
  2. At the Auto-Install Target Library dialog box, note the library file name (you will need this name in Step 4), and select Update library items without installing templates.
  3. Finish publishing the template as you normally would.
  4. When you put the templates and their associated files on the CD, put them in a first-level folder with the same name as the library base file name (including PUB) you specified in Step 2. Make sure all associated files and all inserted files are included on the CD.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Create an HDI File for a CD-based Template Set


HotDocs Help - Add Files to a Published Set

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Add Files to a Published Set

As you are publishing templates and template sets, you may want to include additional files, such as answer files, resource files, or bitmap files used for custom library splash screens. You can include any of these files by adding them at the Additional Files dialog box.

To add files to a published template set

  1. Publish your templates or your template set. (See Publish a Template as a Standard File, Publish Templates as Auto-Assemble Files (HDA), or Publish Templates as Auto-Install Files (HDI).)
  2. At the Additional Files dialog box, click Add Files. The Select Additional File(s) dialog box appears.
  3. Browse to the folder that contains your additional files, select the files, and click Select. HotDocs lists the files in the box.
  4. Optionally, select a file and click Remove Files to remove a file from the list.
  5. Click Finish to finish the publishing process.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Add Files to a Published Set


HotDocs Help - Save Publishing Settings

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Save Publishing Settings

Any options you select during the publishing process can be saved to a published settings (.HDP) file and used again the next time you publish a template or set of templates.

To save the settings you used during publishing

  1. Publish your templates or your template set. (See Publish a Template as a Standard File, Publish Templates as Auto-Assemble Files (HDA), or Publish Templates as Auto-Install Files (HDI).)
  2. Before clicking Finish at the Additional Files dialog box, click Save Settings. HotDocs displays the Save Publish Settings As dialog box.
  3. Type a name for the file in the File name box. HotDocs adds the extension .HDP to the file.
  4. Click Save. The file is saved to the HotDocs Publish folder.

To use the publish settings file, at the first dialog box of the Publishing Wizard, Publishing Options, click Load Settings. The Load Publish Settings dialog box appears. Select the publish settings (.HDP) file and click Load.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Save Publishing Settings


HotDocs Help - Use a Custom Library Splash Screen

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Reference Material

  • Automatically Update Published Template Sets

Use a Custom Library Splash Screen

You can attach a custom splash screen to any HotDocs library. The splash screen is displayed each time the library is opened. Template set publishers use library splash screens to identify ownership of or contributors to the templates in a library.

To attach a splash screen to a library

  1. Create a bitmap file (.BMP) of your splash screen, then save it with the same base name as your published library name. For example, the splash screen for the published library with the file name PUBBusiness.hdl would be PUBBusiness.bmp.
  2. Save the splash screen file to the same folder as the library file to which you want it associated. (If you are publishing an auto-install file, add the file at the Additional Files dialog box of the Publishing Wizard.)
Caution: When a user opens a library by clicking the HotDocs HotDocs button in the word processor toolbar, no splash screens are displayed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Use a Custom Library Splash Screen


HotDocs Help - Automatically Update Published Template Sets

Overviews

  • Overview: Publish HotDocs Templates

How Do I...?

  • Add Files to a Published Set
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Protect Published Files
  • Publish a Template as a Standard File
  • Publish and Register Templates for Use With HotDocs Player
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Save Publishing Settings
  • Use a Custom Library Splash Screen

Automatically Update Published Template Sets

Caution: For complete information on automatically updating your published template sets through HotDocs, see the HotDocs API section of the HotDocs Knowledge Base.

When you publish a template set, you can distribute a HotDocs update catalog (.HCAT) file along with your templates. HotDocs uses this file to automatically check for updates and notify users when updates are available for your template set. Catalog files contain a link to an RSS document ("feed") on your organization's Web server, which lists all of the available updates. When you need to update the template set, you add an item to the RSS document and users see the update the next time HotDocs checks the RSS feed.

To use this feature, you must create an update catalog (.HCAT) file that you distribute to each user and an update document (RSS feed) that you host on your Web server.

HotDocs Update Catalog Files

A HotDocs update catalog file is an XML file that contains information about the template set to be updated. The following table lists the main elements of a catalog file:

Element | Description
formatversion | A number that indicates the catalog file format. Currently, the only recognized value is 1, but future versions of HotDocs may support additional values.
feedurl | A URL for the update document (RSS feed). For example, http://www.yourcompany.com/update.rss.
checkinterval | The number of days between each update check. If the interval is 0, HotDocs will check for updates every time it starts.
publishdate | The date on which the template set was published. When HotDocs reads the RSS feed, it ignores any updates published prior to this date. The date must be in the following format: Sun, 03 Jun 1990 00:00:00 GMT.
title | The title of the template set. For example, Hobble Creek Real Estate Forms.
password | The password required to install HotDocs Auto-Install (.HDI) files for your template set. When HotDocs installs an update that requires a password, it uses the password found in this property. (If you set this property, you should use the same password each time you create an .HDI file to update your template set.)
enabled | Indicates whether HotDocs should check for updates for this template set (true) or not (false). Users can change this value at HotDocs Options (Tools > Options > Template Set Updates).

In addition to these elements, catalog files contain three lists of update items: notinstalleditems, discardeditems, and installeditems. HotDocs populates these lists and keeps them up to date automatically as it reads the RSS feed specified in the feedurl element. When you create an update catalog file for distribution with a template set, these lists are normally empty.

The following example shows the contents of a typical update catalog file without any updates.

Example HotDocs Update Catalog File

You can distribute the update catalog file in two ways. If you publish your template set as a HotDocs Auto-Install (.HDI) file, you can include the .HCAT file in the list of additional files. When HotDocs installs the template set, it automatically copies the .HCAT file to the Catalog Files folder specified in the user's HotDocs Options (Tools > Options > File Locations > Catalog Files). You can also manually copy the .HCAT file to the user's Catalog Files folder.

Caution: HotDocs must have read/write access to the .HCAT file. If HotDocs cannot access the folder or catalog file, the catalog file will be ignored.

HotDocs Update RSS Document

A HotDocs update RSS document is an XML file that conforms (with a few exceptions) to the RSS 2.0 specifications. It contains one channel with the following required elements:

Element | Description
title | The title of the template set. For example, Hobble Creek Real Estate Forms.
link | A URL for the template set. It may be a Web site that contains information about your company or template set. (HotDocs does not currently use this element, but it is included to conform to the RSS specifications.)
description | A description of the template set. (HotDocs does not currently use this element, but it is included to conform to the RSS specifications.)

The RSS channel also includes a list of individual update items, which contain the following elements:

Element | Description
title | The title of the update item. For example, if you update your template set monthly, the title may include the month in which the update is released. If the update fixes a problem with a particular template, the title may include the name of the template.
link | The URL for the update item. For file updates, this is the URL for a HotDocs Auto-Install (.HDI) file. For message updates, this is either the URL for a Web site you want users to visit, or it can be empty if you just want to display a simple message (see the description element below).
description | A description of the update item. If a message update does not include a link, HotDocs displays this description when the user applies the update.
guid | A string that uniquely identifies this update item. This must be different for each update item within your template set.
category | The type of item update. It can be one of the following two values: File Update: Installs an .HDI file. Message: Displays a message or links to a Web page.
pubDate | The date on which the update item was published. When HotDocs reads the RSS document, it ignores any items with a publication date earlier than the publication date in the .HCAT file. The date must be in the following format: Sun, 03 Jun 1990 00:00:00 GMT.

You can also indicate if an item is required, which means that end users cannot discard (hide) the update. HotDocs does not force users to install the update, but it will appear in the list of updates every time HotDocs checks for updates until it has been installed. To make an update item required, add required="true" to the item tag (e.g., <item required="true">).

The following example shows an RSS document with three update items.

Example RSS Document

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Automatically Update Published Template Sets


HotDocs Help - Publishing HotDocs Server Templates

All About...

  • Publishing HotDocs Templates
  • Uploading Answer Files to a Server
  • Uploading Published Files

Publishing HotDocs Server Templates

What is HotDocs Server?

Features Not Allowed in HotDocs Server Templates

Features That Work Differently in HotDocs Server Interviews

Enable Templates for Use With HotDocs Server

View an Interview in a Web Browser

Publish Templates For Use With HotDocs Server

Upload Templates to a Web Server

Upload Templates For Use With HotDocs Core Services

Home > All About... > Publishing HotDocs Server Templates


HotDocs Help - What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

What is HotDocs Server?

HotDocs Server is the server-based version of HotDocs that uses a standard Web browser to display HotDocs interviews, or answer-gathering sessions. Generally speaking, when a user goes to your Web site and selects a document for assembly, a request is made from the user's browser to the HotDocs Server engine, which is running on the server. HotDocs Server then sends an interview file back to the user's browser, where it appears as a Web page. Once the required information has been entered, the user clicks a button that posts the answers (in XML format) back to HotDocs Server, where they are merged into assembled documents.

The following diagram shows the assembly process:

The benefit of creating a Web application using HotDocs Server is that users do not need HotDocs installed on their computers, since the interview is presented in a Web browser and document assembly happens on the server. For example, your human resources department may integrate its forms into its intranet site using HotDocs Server. Employees would then go to the intranet site, select which form to fill out, provide the required information, and then submit the form to the appropriate human resources representative—all from within a Web browser. Depending on project requirements, employees may also print copies of assembled documents, save copies of assembled documents to their hard drives, or simply store assembled documents on the server. Additionally, users can save their answer files on the server, as well as upload answer files from their desktops to the server.

HotDocs Server may also be used for non-interactive assembly. For example, a call can be made to a database and a document can be generated from information within the database. In this case, users do not have to answer any interview questions. Likewise, HotDocs Server interviews may be used to gather information to store in a database without assembling any documents at all.

HotDocs Server vs. Desktop HotDocs

HotDocs Server differs from "desktop" HotDocs (including Developer, User, and Player) in several ways. First of all, HotDocs Server does not require that users install any special software on their computers; interviews are presented in a Web browser and document assembly occurs on the server.

Another difference between HotDocs Server and desktop HotDocs is the user interface. The desktop editions include user interfaces for creating and managing templates, assembling documents, managing answer files, and more. The HotDocs Server user interface, at least from the end user's perspective, is limited to displaying interviews in the Web browser. All other interaction with the user is accomplished by a custom host application, which you must build and maintain.

Desktop HotDocs does play an important role in a complete HotDocs Server implementation, however. Specifically, HotDocs Developer is the software used to create templates for use with HotDocs Server, and each authorized instance of HotDocs Server includes a limited number of licenses for HotDocs Developer.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > What is HotDocs Server?


HotDocs Help - Features Not Allowed in HotDocs Server Templates

Overviews

  • What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

Features Not Allowed in HotDocs Server Templates

The following features are not compatible with HotDocs Server. Using any one of these features will prevent a template from being assembled using HotDocs Server. (An error message is displayed when you try to test the template in a browser or publish it for use with HotDocs Server.) In some cases, there are simple ways of accomplishing the same task without using the feature, however.

Feature | Description
Clauses and clause libraries | Although clauses and clause libraries are not supported in HotDocs Server, you can use inserted templates to achieve similar results. For example, you can use the answer for a True/False variable to determine when to insert a template into the assembled document.
INSERT instructions used in computation scripts | HotDocs Server cannot process INSERT instructions in computation scripts. However, INSERT instructions can be processed when they are inserted directly in the template.
LANGUAGE instructions used in expressions | LANGUAGE instructions are not allowed when used as part of an expression. However, you can merge the instruction directly in the template.
Personal Information variables | Personal Information variables require access to the Current User key of the Windows registry. Since HotDocs Server cannot access the user's registry, this feature is not allowed.
ANSWER FILE NAME variables | The ANSWER FILE NAME variable is used to merge the name of the answer file used in the assembled document. Because of the differences in the way HotDocs Server works with answer files, this is not allowed.
Database components | Database components created using the HotDocs Database Connection cannot be used in HotDocs Server templates. However, you can achieve much of the same functionality using server answer sources. (See the HotDocs Server Help for instructions on creating an answer source.)
PLAY "MACRO" instructions | This instruction plays a word processor macro after the document is assembled and either sent to the word processor, printed, or saved. Playing a macro requires access to a word processor, and since HotDocs Server assembles documents outside of the word processor, it cannot play macros.
Application link dialog elements and EXECUTE instructions | These instructions are used to start other applications on the user's computer. However, they are not allowed in HotDocs Server templates.
Scripting in plain text resources or prompts | In JavaScript interviews, you cannot use scripting (such as IF, REPEAT, SPACE, and VALUE instructions or expressions) in a resource or prompt. In Silverlight interviews, you can use scripting in resources and prompts.
Automatic Paragraph Numbering | In JavaScript and Silverlight interviews, you cannot use PN Numbering (e.g., «PN1». What is your name?) to automatically number the prompts.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > Features Not Allowed in HotDocs Server Templates


HotDocs Help - Features That Work Differently in HotDocs Server Interviews

Overviews

  • What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

Features That Work Differently in HotDocs Server Interviews

The following features are allowed in HotDocs Server templates, but they work differently in desktop and server interviews. For example, the end result may be the same, but the different user interfaces require changes to the implementation of some features. There are also some features that are ignored when they are used in HotDocs Server templates. Unlike the features not supported in HotDocs Server templates (click here), these features do not cause any errors.

Feature | Description
Answer sources | In desktop HotDocs, you can specify an answer source (a list of answers from which a user can select one) for a dialog. Users open the list when answering a question in a dialog and pick an existing answer, instead of entering one manually. However, when assembling documents using HotDocs Server, these answer sources are ignored (the Select button does not appear on the dialog), although you can use a server answer source to achieve similar results. (See the HotDocs Server documentation for instructions on doing this.)
Automatically selecting a Multiple Choice option when the variable is unanswered | At the Multiple Choice Variable Editor, you can click the Options tab and specify which option should be automatically selected if the variable is unanswered when displayed. Although these "default" options are ignored in HotDocs Server interviews, you can still achieve the same results by using the DEFAULT instruction in your template.
Text patterns | Text patterns are supported in both desktop and server interviews, but the way answers are formatted as they are entered during the interview is slightly different in each version.
Example formats

You can include variable fields in variable prompts and dialog element text by inserting the name of the variable within chevrons (« »). You can also specify an example format for variables within the chevrons. For example, to display a text answer in ALL CAPS, insert the variable name as follows: «Text Var:LIKE THIS» (where Text Var is the name of your variable).

Also, in JavaScript interviews, the FORMAT instruction is not supported in dialog element text or variable prompts. For example, «FORMAT( Text Var, "LIKE THIS" )» or FORMAT "a, b, and c" does not work in a JavaScript interview. This instruction can be used to format text in Silverlight interviews and in the assembled document, however.

Script link dialog elements | You can use a script link dialog element to add a button to a dialog that processes a Computation variable. However, in a HotDocs Server template, the Computation variable cannot include an ASK instruction or otherwise cause a dialog to be asked. (HotDocs Server ignores ASK instructions in script link computation scripts.)
Web link dialog elements | You can use Web link dialog element to add a button to a dialog that links to a database. However, this works only in browser-based (HotDocs Server) interviews. Web links that launch such databases do not appear in desktop interviews. (See Add a Hyperlink to a Dialog.)
Image dialog elements The following restrictions apply to images displayed in dialogs:
  • Image files must be saved to the same folder as the template.
  • .JPG and .PNG images are supported in both Silverlight and JavaScript interviews. In addition, JavaScript interviews allow .GIF images, but neither interview type can display .BMP images.
  • Silverlight does not support all possible color depths that are included in the PNG specification. Specifically, gray scale and 64-bit true color are not supported in Silverlight.
Variable field (« ») and dot codes in Multiple Choice option prompts and merge text

In JavaScript interviews, HotDocs Server processes variable fields (« ») and dot codes in Multiple Choice option prompts when the Multiple Choice variable is first displayed in an interview. If the variable used in the prompt is asked before the Multiple Choice variable is displayed, the variable field will be resolved to display the answer. However, if the variable did not already have an answer, the prompt will show an unanswered variable reference instead. In both cases, if the answer for the variable used in the prompt is subsequently changed, the prompt will not be updated because it is only processed one time per interview. Finally, variable fields in merge text are never processed in JavaScript interviews, but they are processed when the answer is merged in the assembled document.

In Silverlight interviews, variable fields in Multiple Choice option prompts and merge text are always kept up to date as they are in desktop interviews.

Resources for variables and dialogs | HotDocs Server only supports Plain Text and URL resources. All other resource types (HTML Help, Windows Help, Folio Infobase, Custom Program) are ignored in HotDocs Server interviews. (No resource is displayed for the dialog or variable.) In addition, HotDocs Server displays all URL resources as hyperlinks that open up separate windows; the actual Web page does not appear in the resource pane.
End of Interview dialog | HotDocs Server interviews do not include an End of Interview dialog. Selecting Hide End of Interview dialog at the Component File Properties dialog box (Assembly tab) has no effect on the server interview.
Question and Answer summaries | Selecting Use variable names in summaries at the Component File Properties dialog box (Assembly tab) has no effect on the server interview. (HotDocs Server does not have an option for creating Question summaries, and Answer summaries always use variable prompts.)
"TypeHere" bookmarks | Since HotDocs Server does not send assembled documents to the word processor, selecting Move to the "TypeHere" bookmark at the Component File Properties dialog box (Assembly tab) is not applicable to HotDocs Server templates.
Prevent users from using an answer file to assemble a document | Since answer file selection and processing is handled by your HotDocs Server Web (host) application, the Do not use answer files option at the Component File Properties dialog box (Assembly tab) does not affect server interviews.
Max WHILE iterations | HotDocs Server does not honor the Maximum WHILE iterations value specified at the Component File Properties dialog box (Assembly tab). (You should be careful not to create an infinite WHILE loop in your templates.)
Max processing stack depth | HotDocs Server does not honor the Maximum processing stack depth value specified at the Component File Properties dialog box (Assembly tab). (You should be careful to avoid infinitely recursing (processing) a computation.)
Accelerator keys in variable prompts | In desktop interviews, you can make a character in a variable prompt an accelerator key by typing an ampersand (&) character immediately before the letter you want as an accelerator. HotDocs Server correctly removes the ampersand when the prompt is displayed in the interview, but does not make the following character an accelerator key.
ASCEND, DESCEND, and FILTER instructions | The ASCEND, DESCEND, and FILTER instructions, which are used for sorting and filtering repeated dialogs, are ignored in HotDocs Server interviews. They can be used to sort answers in the assembled document, but not to display a sorted or filtered list of answers in the interview.
SUM( COMPUTATION_VAR ) expression | Using the SUM( COMPUTATION_VAR) expression to display information during the interview is not supported. You can use this expression as part of the text in the assembled document, but not in a dialog script or dialog element.
Dot Codes The following dot codes are not supported in Silverlight interviews:
  • «.tc»: Tab character dot codes are ignored.
  • «.oh»: An optional hyphen is treated like a normal hyphen.
  • «.pb» and «.pm»: Page break and paragraph mark dot codes are both treated like line breaks.
  • «.w "URL"»/«.we»: New line characters, strike-through, and underline formatting is ignored within the text of a Web link.
Automatic Prompt Alignment | In Silverlight interviews, automatic prompt alignment works differently than it does in JavaScript or desktop interviews.
SPAN Instructions | When HotDocs assembles a template which contains a SPAN instruction, it checks the answer file to see if it contains an answer for that SPAN component. If there is an answer, the text within the SPAN instruction is replaced by the text in the answer file. This works whether you are assembling a document on the desktop or server. The difference, however, is that desktop interviews provide an interface at the Document Preview tab where you can edit the text within a SPAN instruction. On the server, there is no such user interface for editing SPAN text, which puts the usefulness of SPAN instructions in server-only templates into question.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > Features That Work Differently in HotDocs Server Interviews


HotDocs Help - Enable Templates for Use With HotDocs Server

Overviews

  • What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

Enable Templates for Use With HotDocs Server

To enable templates for use with HotDocs Server

  1. Open the template's component file for editing and click the [image] Component File Properties button. The Component File Properties dialog box appears.
  2. Click the HotDocs Server tab and select Enable template for use with HotDocs Server.
  3. Select any of the following options:
    Option | Description
    Interview outline initially showing | This option causes the interview outline (list of dialogs in the interview) to appear when the interview is first displayed.
    Allow user to hide/show interview outline | This option lets users show and hide the interview outline as needed.
    Resource pane initially showing | This option causes the resource pane, which shows helpful information about questions in the interview, to appear when the interview is first displayed.
    Allow user to hide/show resource pane | This option lets users show and hide the resource pane as needed.
    Instant Update initially ON This option causes HotDocs Server to automatically update the entire interview as users enter or change answers. If this option is turned off, HotDocs will only update the interview as needed. (Some complex interviews may require Instant Update to be turned off or response time may be slow.)
    Note: The Instant Update option applies only to JavaScript interviews. In Silverlight, interviews are always instantly updated.
    Allow user to turn Instant Update on/off | This option lets users control how frequently HotDocs updates the interview.
    Single-page interview initially ON | This option causes the interview to appear as a single page when the interview is first displayed.
    Allow user to turn single-page interview on/off | This option lets users switch between normal and single-page interviews.

When a template is enabled for use with HotDocs Server, HotDocs warns you if you try to use a feature that is not allowed in a HotDocs Server template. In addition, HotDocs Server-enabled templates can be tested in a Web browser to ensure that the interview appears as intended.

Tip: To view a JavaScript or Silverlight browser interview, use the Template > Test in Browser command at the library window. You can also view a JavaScript-based interview by pressing the Shift key as you click the Assemble Assemble button. To view the interview using Silverlight, press the Ctrl key as you click the Assemble Assemble button. (This also works while editing a template; you can press either the Shift key or the Ctrl key as you click the Test Assemble Test Assemble button in your word processor or HotDocs Automator.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > Enable Templates for Use With HotDocs Server


HotDocs Help - View an Interview in a Web Browser

Overviews

  • What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

View an Interview in a Web Browser

When you test assemble a template you plan to use with HotDocs Server, you can display the interview in a Web browser. This allows you to test its functionality and view its overall appearance.

To view an interview in a Web browser

  1. At the HotDocs library window, select a template and ensure it is enabled for use with HotDocs Server. (See Enable Templates for Use with HotDocs Server.)
  2. Select one of the following options from the Template > Test in Browser menu:
    • JavaScript: Displays a traditional JavaScript-based interview in a browser window.
    • Silverlight: Displays a Silverlight-based interview in a browser window. Unlike the traditional JavaScript-based interviews where the interview logic is written in an interpretive language (JavaScript), Silverlight-based interviews are compiled into machine code, which makes them much quicker. This is especially noticeable in long, complex interviews.
      Note: The Silverlight option is only enabled if you have the Microsoft Silverlight 3 Runtime, SDK, and Microsoft .NET Framework 3.5 installed on your computer. See System Requirements for details.
    HotDocs displays the Answer File dialog box.
  3. Select an answer file and click OK. A browser window appears and displays the interview.
  4. Type any answers and click Finish Finish. HotDocs closes the browser window and displays the assembled document in your default word processor or HotDocs Filler (for form documents).
Tip: You can also view a JavaScript-based interview by pressing the Shift key as you click the Assemble Assemble button. To view the interview using Silverlight, press the Ctrl key as you click the Assemble Assemble button. (This also works while editing a template; you can press either the Shift key or the Ctrl key as you click the Test Assemble Test Assemble button in your word processor or HotDocs Automator.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > View an Interview in a Web Browser


HotDocs Help - Publish Templates For Use With HotDocs Server

Overviews

  • What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

Publish Templates For Use With HotDocs Server

To publish and upload templates for use with HotDocs Server

  1. At the HotDocs library, select the template or templates you want to publish and click the Publishing Wizard Publishing Wizard button. The Publishing Wizard dialog box appears, displaying the Publishing Options information.
  2. Select Template files for use with HotDocs Server from the Publish as group
  3. Click the Browse button next to the Local folder for published files box to specify the folder where you want HotDocs to save the published files. (Once these files are published to this temporary folder, you should move them to a more permanent location. If you publish additional templates or other files that use the same file names, HotDocs will overwrite the previously published files.)
  4. Choose how you want to upload the templates to the server:
    • Automatically: Click the Edit button next to the Web destination for published files box to display the Web Destination dialog box where you can specify the URL and description ("friendly name") of the Publishing Form Page on the server to which you want to upload the files.
    • Manually: Leave the Web destination for published files box empty.
  5. Click Next. The Additional Files dialog box appears.
  6. Select any additional files you want to include with your published templates, and then click Finish. HotDocs finishes publishing your templates.

    If you chose to automatically upload the templates, the Publishing Form Page appears where you can enter additional information about the templates you are uploading, and then upload that information and the templates to the server using the Publishing Destination Page.

    If you chose to manually upload the templates, move the files from the Local folder for published files to the server. You can use an FTP client or other application, such as Microsoft FrontPage.

When a template is published for use with HotDocs Server, HotDocs creates two other files required by HotDocs Server:

  • HotDocs Variable Collection (.HVC) file: stores all of the variables used in a given template
  • Interview definition (.JS) file: defines (in JavaScript) how the browser should display the interview

If you upload the template automatically using the Publishing Wizard, these files are also uploaded to the server automatically. If you manually upload your template, you must remember to copy these files to the server.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > Publish Templates For Use With HotDocs Server


HotDocs Help - Upload Templates to a Web Server

Overviews

  • Overview: Upload HotDocs Files to a Web Server
  • What is HotDocs Server?

Reference Material

  • Create Custom HTML Documents for Template Uploading
  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

Upload Templates to a Web Server

Once you finish publishing templates and template sets, you can upload the published files to a Web server. This might be useful if you are publishing templates to be used with HotDocs Server, or if you want your users to access files from an Internet or intranet site.

To upload template files to a Web server

  1. Publish your templates or your template set. (See Publish a Template as a Standard File, Publish Templates as Auto-Assemble Files (HDA), or Publish Templates as Auto-Install Files (HDI).)
  2. At the Publishing Options dialog box, click the Edit Edit button. The Web Destination dialog box appears.
  3. Type an absolute URL in the URL box, or click the Browse Browse button to locate the URL.
  4. Type a description of the Web site in the Friendly name box, and click OK.
  5. HotDocs displays the Publishing Options dialog box again, where you can complete the publishing process.

When HotDocs finishes publishing your templates, it displays your customized Web page where you can enter additional information about the templates you are uploading. Provide the information required by your organization and submit it. That information, along with your templates, are uploaded to the server.

Note: In order for template uploading to work, you must create two HTML pages to handle the data you are uploading. (See Create Custom HTML Documents For Template Uploading.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > Upload Templates to a Web Server

More... (1)

Home > All About... > Uploading Published Files > Upload Templates to a Web Server


HotDocs Help - Upload Templates For Use With HotDocs Core Services

Overviews

  • What is HotDocs Server?

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

How Do I...?

  • Enable Templates for Use With HotDocs Server
  • Publish Templates For Use With HotDocs Server
  • Upload Templates For Use With HotDocs Core Services
  • Upload Templates to a Web Server
  • View an Interview in a Web Browser

Upload Templates For Use With HotDocs Core Services

To publish and upload templates for use with HotDocs Core Services

  1. At the HotDocs library, select the template or templates you wish to publish. Right-click on the templates and navigate to the Upload menu in the drop-down list.
  2. Select an Upload Site from the list in the Upload menu. If there are no existing sites in the Upload menu, you must add a new site to the Upload Site list:
    1. Select Edit Upload Sites in the Upload menu. The Upload Sites list appears.
    2. In the Upload Sites list, click Add.
    3. Enter a Site Name to identify the upload site and enter a site Location. The Location is the URL to which the templates will be uploaded, for example: http://www.hdcssamplehost/upload/.
    4. Click OK to add the new site to the Upload Sites list.
    5. You can now close the Upload Sites List by clicking Close.
  3. Select an Upload Site from the Upload Menu. The HotDocs Upload Wizard appears.
  4. In the Upload Wizard window, there is a list of all the templates to be uploaded, including their dependencies. These are all the files that a template needs to assemble correctly. These include: HotDocs Template files (.rtf, .dot, .hpt files), HotDocs Component Files (.cmp files) and any images that the template uses. Check that all of the required templates appear in the Upload Wizard and that the templates do not have any errors. Optionally, you can include additional files in the upload:
    1. Click the Down Arrow button next to the template name in the Templates List.
    2. Click the Add button.
    3. Browse to the files on your file system that you wish to add to the template package. Click Open. The file is added to the template package. The path of the file appears in the Additional files to include field.
  5. Click the Upload button. The upload page for the host application will appear.

Any further steps will depend on the host application to which you are publishing. For more information, please contact the Administrator for your host application.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Server Templates > Upload Templates For Use With HotDocs Core Services


HotDocs Help - Uploading Published Files

All About...

  • Publishing HotDocs Server Templates
  • Publishing HotDocs Templates
  • Uploading Answer Files to a Server

Uploading Published Files

Overview: Upload HotDocs Files to a Web Server

Create Custom HTML Documents for Template Uploading

Upload Templates to a Web Server

Overview: Upload HotDocs Files to a Web Server

Home > All About... > Uploading Published Files


HotDocs Help - Overview: Upload HotDocs Files to a Web Server

Reference Material

  • Create Custom HTML Documents for Template Uploading

How Do I...?

  • Upload Templates to a Web Server

Overview: Upload HotDocs Files to a Web Server

You can upload HotDocs template files to a Web server. These include standard template files, auto-assemble files, auto-install files, and HotDocs Server files. You can do this by creating a custom Web publishing method, which allows you to use an HTML form to upload your template files. This method also allows you to specify and gather metadata about the files, such as titles and descriptions, before uploading the files to the server. This information can be integrated with a database or used with other custom programs or Web designs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Uploading Published Files > Overview: Upload HotDocs Files to a Web Server


HotDocs Help - Create Custom HTML Documents for Template Uploading

Overviews

  • Overview: Upload HotDocs Files to a Web Server

How Do I...?

  • Upload Templates to a Web Server

Create Custom HTML Documents for Template Uploading

Once you publish your templates or template sets, you can upload the files to a Web server. This may be useful if you are developing templates for HotDocs Server, or if you want to make your templates available on an Internet or intranet site.

Since Web servers are configured to handle data exchange differently, you must customize the uploading process to meet your own needs. This requires you (or your Web server administrator) to create a custom HTML form, called the Publishing Form Page. This form can gather information about the user, the template set, or any other information required by your project.

Once this form has been created, the template developer can specify its URL as a destination for the upload. (This is done at the Publishing Options dialog box of the Publishing Wizard.) When the publishing process finishes, the form appears and template developers can provide the information required to complete the uploading process. Then, once they have provided the information and submitted the form, HotDocs posts that information, along with the template or template set, to the server.

As the information and the files are uploaded to the server, the server must know how to manipulate the data being sent from HotDocs. This requires you to create a second HTML document, called the Publishing Destination Page. This page contains scripting that can accept the HTTP POST from the Publishing Form Page. It should then process the data and files contained in the upload by entering metadata about the templates in a database, and then by copying the published files to the correct server locations, or by performing any other number of services your project requires.

Caution: During the publishing process, HotDocs logs a report about the uploading process. This report may be useful if you experience problems uploading your templates. To view this report, open 0hdUploadDebug.htm, located in the Local Settings\Temp folder (for example, C:\Documents and Settings\<username>\Local Settings\Temp\0hdUploadDebug.htm).

Publishing Form Page

The Publishing Form Page contains an HTML form. With this form, you can provide fields or other options for the template developer to add more information about the files being uploaded, such as template titles and descriptions.

You must follow certain criteria when creating the HTML form. First, you must name the form HotDocsPubForm. Second, the form ACTION must include an absolute URL path to the location on the server where you want to send the files. Last, any Select/Option fields (or drop-down/list/combo boxes) must have a VALUE attribute assigned, for example:

<option value="Option Text">Select the option</option>

Once the template developer provides the necessary information in this form, he or she submits the form and HotDocs adds the information to the published files. All the information is then uploaded (using HTTP POST) to the server.

Click here for an example of a Publishing Form Page.

Publishing Destination Page

After the uploading process is complete, the Publishing Destination page appears. This page accepts the HTTP POST from the Publishing Form page and then processes it by completing the actions specified by your project.

Once the information has been received on the server, the files from the upload must be decoded and handled. Several components are available to help with this process, including the Dundas Upload control, distributed by Dundas Software.

Click here for an example of Publishing Destination Page. (This page uses the Dundas Upload control.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Uploading Published Files > Create Custom HTML Documents for Template Uploading


HotDocs Help - Uploading Answer Files to a Server

All About...

  • Publishing HotDocs Server Templates
  • Publishing HotDocs Templates
  • Uploading Published Files

Uploading Answer Files to a Server

Overview: Upload HotDocs Answer Files

Specify Options to Upload Answers

Handle Data in Uploaded Answers

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Uploading Answer Files to a Server


HotDocs Help - Overview: Upload HotDocs Answer Files

How Do I...?

  • Specify Options to Upload Answers

Reference Material

  • Handle Data in Uploaded Answers

Overview: Upload HotDocs Answer Files

You can specify options that let users upload the answers they use to assemble documents. You must designate a destination URL and provide a resource at that URL, such as a CGI script or HotDocs Server server, to process the answers.

HotDocs answers are not uploaded in a HotDocs answer file, they are uploaded as a single block of data using the HTTP POST method. The server receiving the data sees it as a POST submission from an HTML form.

A CGI script receiving the data should do three things:

  • Get the size of the incoming data block from the CONTENT_LENGTH environment variable.
  • Read that number of characters from standard input.
  • Parse the data to extract the HotDocs answers.

This section does not provide the details of writing a CGI script or other program to process the answers. It does, however, tell you how to enable answer uploading for a template. It also provides the information you need to parse the uploaded data and extract the HotDocs answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Uploading Answer Files to a Server > Overview: Upload HotDocs Answer Files


HotDocs Help - Specify Options to Upload Answers

Overviews

  • Overview: Upload HotDocs Answer Files

Reference Material

  • Handle Data in Uploaded Answers

Specify Options to Upload Answers

You can allow users to upload answers they use with certain templates to a Web server. To do this, you must specify uploading options at each template's component file.

Caution:If you plan on uploading answers, make sure your templates don’t contain variables with names longer than 30 characters. HotDocs uploads the variable name along with the answer, and it can only upload 30 characters for the variable name.

To enable users to upload answers for a template

  1. Edit the template's component file using Component Manager. (See Open and Close Component Manager.) The Component Manager window appears.
  2. Click the Component File Properties Properties button. The Component File Properties dialog box appears.
  3. Click the Answer Upload tab.
  4. Type the URL of the Web page to which you want the answers uploaded in the Upload URL box.
  5. Type a description of the page to which the URL points in the Friendly name box.
  6. Optionally, select Upload answers without asking to force the answers to always be uploaded, according to the instructions you have specified.

When users assemble documents that have answer uploading enabled, at the end of document assembly, HotDocs will either prompt them to upload their answers, or it will upload the answers automatically (depending on whether you select Upload answers without asking). If users choose to upload their answers later, they can select Upload Answers from the Tools menu of the HotDocs library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Uploading Answer Files to a Server > Specify Options to Upload Answers


HotDocs Help - Handle Data in Uploaded Answers

Overviews

  • Overview: Upload HotDocs Answer Files

How Do I...?

  • Specify Options to Upload Answers

Handle Data in Uploaded Answers

This topic covers information on writing the CGI script or other program to process the answers. It contains the information needed to parse the data to extract the HotDocs answers, which are uploaded as a single block of data using the HTTP POST method. The server receiving the data sees it as a POST submission from an HTML form.

Format of Answers

The answers are uploaded in a single string of data, with each answer separated from the next by an ampersand, like this:

Answer1&Answer2&Answer3

The answers are not necessarily in the order in which they were input during document assembly.

Each answer is in the format Name=Value. This results in a data block, like this:

Name1=Value1&Name2=Value2&Name3=Value3

The format for answer names and values is URL-encoded text, with numbers being represented by text. For example, the number 25 would be represented by the characters 2 and 5. (For more information on URL-encoded text, see URL-encoded Text.)

The ampersand character that separates HotDocs answers and the equal sign that separates names and values are not URL-encoded. The script needs to use these characters to delimit the answers, names, and values before it decodes the names and values.

Answer Names

All answer names are 31 characters long. (Names for repeated answers are longer, however. See Names of Repeated Answers.) The first character of the name is a capital letter code indicating the value type of the answer value (which is always URL-encoded text). This value type corresponds to the variable type of the HotDocs variable that gathered the answer.

Code | Value
T | Text
N | Number
D | Date
B | True/False (Boolean)
M | Multiple Choice

The other 30 characters of the answer name are the variable name of the variable that gathered the answer. If the variable’s name is shorter than 30 characters, space characters are appended to the name to bring the total to 30.

The template developer needs to give you the complete answer names (value type code plus variable name).

Answer Values

The format of an answer value depends on the value type of the answer, as specified by the value type code in the answer name.

Type | Format
Text | Any text
Number | Number characters with an optional decimal point
Date | dd mm yyyy (fixed length of 10 characters)
True/False | Either TRUE or FALSE
Multiple Choice | Sections of text separated by vertical bars (for example, No Pets|Covered Parking|AC)

Answer File History

Every collection of HotDocs answers uploaded to an Internet resource has an Answer File History answer. This answer contains the name of the template used to gather the answers and the date and time it was used. The answer name is:

T(ANSWER FILE HISTORY)

The answer value is a text string in the following format:

template_name : month_name, day, four_digit_year, hh:mm

The time is the local time of the machine on which the template was used and is expressed in 24-hour format. The following is an example of an Answer File History answer (after URL-decoding):

T(ANSWER FILE HISTORY) =MyTemplate : April 9, 2002, 18:15
Note:
  • You can use HotDocs Server to process uploaded answers. Click here for an example of an ASP page that processes uploaded answers using HotDocs Server. (Contact your HotDocs sales representative for information on obtaining a HotDocs Server license.)
  • When the upload answers script executes and the server encounters an error, it sends an error report back to HotDocs. This error report is saved in a file called uploadOutput.htm. It is usually stored in your default temporary folder.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Uploading Answer Files to a Server > Handle Data in Uploaded Answers


HotDocs Help - Completing an Interview

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Completing an Interview

Overview: Assemble a Text or Form Document

Adjust HotDocs Windows and Panes

Update Your Interview Outline and Document

Preview a Template Before Assembling It

Search for a Specific Template in a Library

Assemble a Text or Form Document

Select an Answer File for Assembly

Assemble an Interview Template

Assemble a Document Without Showing an Interview

Overlay Answers in the Current Answer File

Assemble Multiple Documents

Use the Assembly Queue

Assemble a Clause Library from the Template Library

Navigate Through Answer-Gathering Dialogs

View Resources During Assembly

Save an Answer File During Assembly

Switch Answer Files During Assembly

Use Repeated Dialogs During Assembly

Use Inserted Dialogs During Assembly

View Individual Rows in a Spreadsheet

Select Clauses During an Interview

View an Assembled Document in Markup View

Answer Date Questions

View an Answer's Variable Name

Use the End of Interview Dialog

Edit Answers at the Document Preview Tab

Spell Check Answers

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview


HotDocs Help - Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Overview: Assemble a Text or Form Document

There are two types of documents you can assemble—text documents and form documents:

  • Text documents are documents you view in your word processor. Once the document is assembled, you can edit any of the text.
  • Form documents are those in which the underlying text is static, meaning it cannot be modified. Only the answers that are merged into the document can be modified. (An IRS form is a good example of a form document.)

The process of assembling both of these types of documents is very similar. However, there are specific things you should know about assembling form documents. Please see Overview: Assemble a Form Document for a description of these differences.

When you assemble a document, HotDocs displays the assembly window, which is divided into three panes—the interview outline, the dialog pane, and the resource pane. The interview outline shows a list of dialogs (or groups of questions). You can click on any dialog in the outline and view (and answer) the questions in the dialog pane. Finally, where provided, the resource pane shows information to help you answer questions in the dialog.

As you answer questions, HotDocs merges your answers into the assembled document, which you can view by clicking the Document tab at the assembly window. As you are reviewing the assembled document, if you see an answer that needs to be edited or changed, you can make the change right in the Document Preview tab. (Some template providers may prohibit you from changing answers at the Document Preview tab. If this is the case, the buttons and commands that control this feature will be disabled.) Additionally, if the template provider has allowed it, you can edit the actual text of the document while viewing the Document Preview tab. (These features are available to Microsoft Word users only.) You can also use the document navigation bar to move between answers in the document.

If you need to generate quick views of the document—for example a list of just the questions or a list of questions and answers (without all of the other document text)—you can view the Question Summary tab or the Answer Summary tab. Both provide you with a short list of information required in the document. You can also view a spreadsheet of the template's variables and any answers that have been given.

Once all of the answers are provided and the document is correct, you can send a copy of the document to a word processor (if you are assembling a text document) or you can view the assembled document at the Form Document tab (if you're assembling a form document). If no further editing is needed, you can print the document or save it to disk. You also can save the answers you've provided in an answer file, which can then be used to assemble other documents.

The following diagram shows the assembly process:

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Overview: Assemble a Text or Form Document


HotDocs Help - Adjust HotDocs Windows and Panes

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Adjust HotDocs Windows and Panes

You can arrange the HotDocs windows and panes to match your work preference.

To work with HotDocs windows

  1. At the HotDocs window, complete any of the following steps:
  • To move a window, click on the title bar and drag the window to another location.
  • To maximize or minimize the window, click either the Maximize or Minimize buttons in the window title bar. The Maximize button causes the window to fill the entire screen, while Minimize closes the window and places it on the Windows taskbar.
  • To resize the window to a specific size, move the mouse pointer to a border or corner of the window. When the icon becomes a resize arrow, click and drag the border to the desired position.
  • To resize a pane within a window, move the mouse pointer to a border between two panes. The icon becomes a resize arrow. Click and drag the border to the desired proportions.
  • To rearrange toolbars, move the mouse pointer to the anchor bar of one of the toolbars. Drag the toolbar to the desired location in the window.
Note: When moving toolbars, you can separate toolbars from the assembly window. To reattach the toolbar, move it to a position over the menu bar. You can also remove toolbars by clearing the toolbar at the View menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Adjust HotDocs Windows and Panes


HotDocs Help - Update Your Interview Outline and Document

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Update Your Interview Outline and Document

Some answers you enter during an interview may cause HotDocs to update the appearance of the interview outline. Additionally, each time you change an answer while viewing the Document tab, HotDocs updates the entire document. Depending on the complexity of the interview or the document, this updating may take longer than desired. You can minimize the amount of time HotDocs takes to update the interview or document with your changes by forcing it to update only when it needs to. You do this by turning Instant Update Instant Update off.

When Instant Update Instant Update is turned off, information in the interview and document may become outdated. When this happens, the Instant Update Instant Update button changes appearance. You can click the button and HotDocs will update the interview or document so that all information will be current. (HotDocs also updates the document and interview when you move between tabs in the assembly window, as well as when you print, save, or send the assembled document to the word processor.)

To control when HotDocs updates the interview outline or document

  1. While viewing either the Interview tab or the Document tab at the assembly window, click the Instant Update Instant Update button.
  • When the button is selected (or pressed in), HotDocs updates the interview outline as you move between answer fields. If you're viewing the Document tab, it updates the entire document.
  • When the button is not selected (or not pressed in), HotDocs updates the outline only when you move between dialogs. If you're viewing the Document tab, it updates just the answer field you are currently viewing (and any other answer fields that merge the same answer).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Update Your Interview Outline and Document


HotDocs Help - Preview a Template Before Assembling It

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Preview a Template Before Assembling It

To help you identify the correct template, you can preview the template before you select it for assembly. The Preview tab shows the text of the document, as well as where HotDocs variable fields are merged.

To preview a template

  1. At the HotDocs library window, select a template.
  2. Click the Preview tab. The library window changes to show the template text.
Note:
  • To remove the Preview tab from the library window, choose Preview Tab (View menu).
  • To move the Properties and Preview tabs to the top of the pane, select Tabs at Top (View menu.)
  • The Preview tab shows the information in the template correctly; however, it may not be formatted correctly—particularly when previewing WordPerfect templates. Additionally, previewing form templates will not show you variable fields.
  • You can preview a simpler version of the template by choosing Markup View at the template library window. This changes the preview so it shows simple mark-up fields, rather than complicated automation. (Markup View is supported for Word templates only.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Preview a Template Before Assembling It


HotDocs Help - Search for a Specific Template in a Library

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Search for a Specific Template in a Library

Some libraries may contain a long list of templates. Instead of browsing through the template list, you can search for a specific template or clause library based on the template's title, file name, or description.

To search for a template or clause library

  1. At the HotDocs library window, select the Find check box, located below the template list. The template list changes, showing each template in the library in alphabetical order.
  2. In the Find box, type the text that is in the title, description, or file name of the desired template. The template list changes to show only the items that contain the text you type. (The Find text box is not case-sensitive.)
  3. To view the entire library again, clear the Find check box.
Note: To show file names instead of template titles in the file list, choose File Names from the View menu. To view template titles again, choose Template Titles.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Search for a Specific Template in a Library


HotDocs Help - Assemble a Text or Form Document

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble a Text or Form Document

You assemble a document by selecting a template and then answering the questions in the interview. Answers to your questions are then merged in the correct places in the document. Once all of the questions are answered, you can view, print, or save the document.

To assemble a document

  1. At the HotDocs library window, select a template. (If you're assembling a form document, see Overview: Assemble a Form Document for additional instructions.)
  2. Click Assemble Assemble. The Answer File dialog box appears. (You can also start an interview by double-clicking the template.)
  3. Select an answer file (see Select an Answer File for Assembly), then click OK. The assembly window appears, showing the interview outline and the first information-gathering dialog.
  4. Answer the questions in each dialog, clicking Next Next to advance to each new dialog. (See Navigate Through Answer-Gathering Dialogs.) (You can also advance to the next dialog by pressing Alt+N, Enter, or Page Down.)

After the final dialog, the End of Interview dialog identifies how many questions are unanswered. This dialog also provides options for working with the assembled document. See Use the End of Interview Dialog for specific details.

Note: HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble a Text or Form Document


HotDocs Help - Select an Answer File for Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Select an Answer File for Assembly

When you assemble a document, you must choose whether to use a new answer file or an existing file. After you complete each interview, HotDocs can save your answers for use with other assemblies.

To select an answer file

  1. At the HotDocs library window, select a template, then click Assemble Assemble. The Answer File dialog box appears.
  2. Accept the suggested answer file or change the answer file by choosing one of the following options:
    • Click the Open Answer File Open Answer File button to open the Open Answer File dialog box where you can choose an existing answer file. After making your selection, click Open Answer File Open.
    • Click the New Answer File New Answer File button to create an empty, untitled answer file.
    • Select Automatically select this answer file for use with the next assembly to have HotDocs suggest this answer file for all subsequent documents you assemble.
  3. At the Answer File dialog box, click OK. The assembly window appears.
Note:
  • You can also use Windows Explorer to access your answer files. See Overview: Use Answer Management.
  • Some templates may have an answer file assigned by the template provider. For templates like this, the Answer File dialog box does not appear.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Select an Answer File for Assembly


HotDocs Help - Assemble an Interview Template

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble an Interview Template

An interview template is distinguished from other templates in the library by its icon: Interview Template. An interview template does not produce an assembled document. Instead, it gathers and (and sometimes automatically saves) information (such as court, attorney, or client information) that can be used in assembling other documents.

For example, a template library might include an interview template named Client Information. This template could gather personal information about each client—such as name, address, gender, birth date, and so forth. This information may be needed in other templates in the library. Before you ever assemble any of these other documents, you could assemble the interview template and create a set of answers. Then, whenever a dialog requires client information, you can access the answers you've already entered. (See Answer Questions in a Dialog Using an Answer Source.)

To assemble an interview template

  1. At the HotDocs library window, select the Interview Template interview template and click Assemble Assemble. The Answer File dialog box appears. (If the template is already associated with an external answer source, you will not be prompted to select an answer file. Skip to step 3.)
  2. Select an answer file, then click OK. (See Select an Answer File for Assembly.) HotDocs displays the assembly window.
  3. Answer the questions in each dialog, clicking Next Next or Previous Previous to move between dialogs.
  4. At the end of the assembly, HotDocs may prompt you to save your answers in an answer file.
    • If this prompt appears, click Save or Save As to view the Save Answer File dialog box, where you can save the answers you've provided. Or, click Don't Save to discard the answers.
    • If this prompt doesn't appear, the template is probably associated with an external answer source, so HotDocs automatically saves the answers to that answer source. (See Answer Questions in a Dialog Using an Answer Source for information on using an answer source.)
  5. Close the assembly window.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble an Interview Template


HotDocs Help - Assemble a Document Without Showing an Interview

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble a Document Without Showing an Interview

You can assemble a document without answering any questions in the interview. When you do this, HotDocs uses the answer file you specify and assembles the document. Depending on which Finish Interview Action options you have selected, you can choose where you will view the assembled document—either in the word processor (text templates), HotDocs Filler (form documents), or at the Document tab of the assembly window. (See Control What Happens When You Finish an Interview.)

To assemble a document without viewing the interview

  1. At the HotDocs library window, select one or more templates.
  2. Click Assemble Assemble. The Answer File dialog box appears.
  3. Select an answer file. (See Select an Answer File for Assembly.)
  4. Select Send / Go directly to ... without displaying an interview and click OK. HotDocs assembles the document using the answers in the answer file you selected. It then displays the assembled document in the application specified at HotDocs Options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble a Document Without Showing an Interview


HotDocs Help - Overlay Answers in the Current Answer File

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Overlay Answers in the Current Answer File

When you assemble a document, you can use answers from an existing answer file and overlay them in the current answer file. When an overlay answer file is loaded, it overwrites any existing answers in the current answer file.

For example, perhaps you have an answer file that contains only client-specific answers (such as names and addresses). These answers could be used in assembling several related documents. However, to use this answer file in the traditional way (selecting it at the Answer File dialog box), you would most likely add answers to the file, making it less useful in assembling other documents. To avoid this, you can select a new or existing answer file at the Answer File dialog box, and then use the answer file that contains your client-specific answers as an overlay answer file. Answers you enter or change during the interview are saved to the current answer file—not the overlay answer file.

To use an overlay answer file during assembly

  1. At the HotDocs library window, select a template and click Assemble Assemble. The Answer File dialog box appears.
  2. Select an answer file, and click OK. The assembly window appears. (See Select an Answer File for Assembly.)
  3. Click Overlay Answers (File menu). The Open Answer File dialog box appears.
  4. Select an answer file to overlay, and click the Open Open button. The assembly window appears again, showing information from the overlay answer file; however, the answer file you selected in step two is still assigned (as seen in the Current Answer File drop-down list).
Caution:HotDocs 5 users: You can no longer save or load pattern answer files. Instead, to merge specific answers from one file into the current answer file, use the Overlay Answers command at the File menu of the assembly window. To distinguish overlay answer files from regular answer files (as you could with pattern answer files), create a separate folder in Answer File Manager and store your overlay answer files there. (See Add, Modify, and Delete Folders in Answer File Manager.)
Note: You can also specify an overlay answer file at the command line. (See Overview: Command-Line Options and Overlay Answer File.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Overlay Answers in the Current Answer File


HotDocs Help - Assemble Multiple Documents

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble Multiple Documents

You can select multiple templates or clause libraries, and then start one assembly process that will address each template. Each template or clause library will create a separate document, using the same answer file, unless you select a different answer file during the interview. (See Switch Answer Files During Assembly.)

To assemble multiple documents

  1. At the HotDocs library window, press Ctrl or Shift, then select all the templates and clause libraries you want to assemble.
  2. Click Assemble Assemble. The assembly queue status box (located in the status bar of the assembly window) displays how many assemblies are waiting, and the Answer File dialog box appears.
  3. Select an answer file and click OK. (Select an Answer File for Assembly.) The assembly window appears.
    • If the item is a template, the first answer-gathering dialog is shown. (See Assemble a Text or Form Document.)
    • If the item is a clause library, the clause library is shown. (See Select Clauses During an Interview.)
  4. Provide answers or select clauses for the interview.
  5. After completing the interview, the End of Interview dialog notifies you that other assemblies are ready to begin.
  6. Close the assembly window, and begin assembling the next document.
Note: The assembly queue and assembly queue status box (located in both the library and the assembly window status bars) can help you track the assembly of each document. See Use the Assembly Queue for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble Multiple Documents


HotDocs Help - Use the Assembly Queue

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Use the Assembly Queue

The assembly queue shows a list of templates—some that may be waiting to be assembled and some that may have recently been assembled. Using the assembly queue, you can start and stop assemblies, change the assembly order, and change how assemblies are started. In addition, the assembly queue status box (which is located in the status bar of the template library window and assembly window) also shows when templates are queued for assembly.

The assembly queue provides two methods for starting assemblies: auto mode and manual mode. These methods are controlled by the Auto Start Auto Start button in the assembly queue toolbar. When assembling multiple templates and Auto Start Auto Start is selected, HotDocs automatically starts each assembly, following the order in which the templates are added to the queue. When assembling multiple templates and Auto Start Auto Start is not selected, HotDocs starts the first assembly, but then waits for you to start each subsequent assembly by clicking the Assemble Assemble button on the assembly queue toolbar.

As templates are added to the assembly queue, they are assigned a status, which helps you identify each template's stage in the assembly process. (For a description of template statuses, click here.)

To work with templates in the assembly queue

  1. At the HotDocs library window, click the Assembly Queue Assembly Queue button. The Assembly Queue dialog box appears. (You can also select Assembly Queue (Tools menu) or double-click the assembly queue status box in the status bar of the template library window.)
  2. At the library window, select multiple templates and click Assemble Assemble. Entries for each template appear in the assembly queue. Then the Answer File dialog box appears. (See Assemble Multiple Documents.)
  3. At the Answer File dialog box, select an answer file and click OK. (See Select an Answer File for Assembly.) The first dialog appears in the assembly window.
  4. Throughout the interview process, perform any of the following tasks using the following commands in the Assembly Queue:
    To | Do This
    Change the order in which pending or confirmed templates are assembled | Select the item in the assembly list and click either the Move Up Up button or the Move Down Down button. (Templates that are currently assembling cannot be moved in the queue.)
    Remove a confirmed assembly | Select the item in the assembly list and click the Delete Delete button. (Templates that are currently assembling cannot be removed from the queue.)
    Change whether assemblies start automatically or manually | Click the Auto Start Auto Start button. When Auto Start is turned off, clicking the Assemble Assemble button at the HotDocs library only starts the first assembly. To begin subsequent assemblies, you must also select an entry in the assembly queue and click the Assemble Assemble button there.
    Manually start an assembly | Click the Assemble Assemble button.
    Remove the entries for all completed assemblies from the Assembly Queue | Click the Clean Up Clean Up button.
Note:
  • When HotDocs closes, it remembers the assembly queue display setting. If you close HotDocs while the queue is showing, the queue will automatically be displayed the next time you open HotDocs.
  • You can have completed assemblies automatically removed from the assembly queue. See Include List of Completed Assemblies in Assembly Queue for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use the Assembly Queue


HotDocs Help - Assemble a Clause Library from the Template Library

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble a Clause Library from the Template Library

A clause is a section of text, usually a commonly used paragraph, and a clause library is a collection of clauses. You can select clauses from a clause library and use them to assemble text documents. (See Overview: Use Clauses and Clause Libraries.)

In HotDocs, there are two places where you may view a clause library and select clauses for inclusion in a document—at the template library or during the interview for a text template:

  • When a clause library is referenced in a template library, you assemble the clause library and then choose where the assembled clause text is merged. You can choose to send the assembled clauses to a new, empty document; copy the assembled text to the Windows Clipboard (so you can paste it into an existing document); or paste the assembled text directly into an open word processor document. (Instructions for this method are included below.)
  • When a clause library is asked during the interview of a text template, the clause text is automatically inserted into that assembled document. (See Select Clauses During an Interview for instructions on using this method.)

To assemble a clause library from the template library

  1. At the HotDocs library window, select a clause library and click Assemble Assemble. The Answer File dialog box appears.
  2. Select an answer file and click OK. The clause library appears in the dialog pane. (See Select an Answer File for Assembly.)
  3. Optionally, perform either of the following tasks:
    • Select the Find check box to find all of the clauses with specific text in their title or description. In the text box, type the text for which you are searching.
    • Click Preview Preview to view the clause text in a pop-up dialog box. To return to the clause library, click the X in the upper-right corner of the pop-up dialog box.
  4. From the Available list, select each clause you want to use and click Select Select to add it to the Selected list. To remove a clause, select it, then click Remove Remove. (Press Ctrl or Shift to select multiple items.)
  5. Optionally, reorder the clauses in the Selected list by selecting and dragging a clause to the desired position. The clauses will be inserted into the document in this order.
  6. When all the necessary clauses are in the Selected list, click Next Next on the navigation bar.
  7. Answer any questions in the interview. Once all questions are answered, complete any of the following steps:
    • Click the Send Document Send the assembled document to the word processor button (or press F11) to open the assembled document in your word processor.
    • Click Paste Document Paste the assembled document into the open word processor document (or press Shift+F11) at the End of Interview dialog. This will insert the assembled document into an open word processor document.
    • Microsoft Word users: Choose File > Send Document To > Clipboard (or press Ctrl+F11) to place a copy of the document on the Windows Clipboard. You can then open an existing document and paste the text in the desired location.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble a Clause Library from the Template Library


HotDocs Help - Navigate Through Answer-Gathering Dialogs

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Navigate Through Answer-Gathering Dialogs

To assemble a document, you must answer interview questions. To help you, you can use the navigation bar, located at the bottom of the dialog pane.

As you answer questions, the icons in the interview outline change color. This can help you identify how much of the interview is left to complete:

Unanswered Dialog None of the questions in the dialog are answered.

Partially Answered Dialog At least one of the questions in the dialog is answered.

Completely Answered Dialog All of the questions in the dialog are answered.

Repeated Dialog Repeats the dialog, allowing you to enter more than one set of answers.

Add New Dialog Allows you to enter a new set of answers in a list.

The final dialog in every interview is usually the End of Interview dialog, which reports how many questions are unanswered. This dialog also provides options for working with the assembled document. For information on these options, or to learn about hiding or customizing the End of Interview dialog, see Use the End of Interview Dialog.

To navigate through HotDocs dialogs

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. The HotDocs assembly window appears. Complete any of the tasks using commands listed in the following table:
    To | Do This
    Enter an answer for the question

    Depending on the type of answer required, type a text or number answer, enter a date, select a check box, or choose an option from a list of options.

    When entering a multi-line text answer, you can control whether the Enter key inserts a line break or a paragraph mark in the assembled Word document. To enter a line break, simply press Enter. To enter a paragraph break, press Ctrl+Enter. (In some situations, the template developer may have specified which break to use.)

    When entering a patterned time of day, enter the hour first, then press the right arrow key to move past the colon to enter the minutes. You can also click the up and down arrows next to the answer field to select the hours and minutes.

    Move to another dialg in the interview outline | Click a dialog icon in the interview outline.
    Go to the next or previous dialog | Click either the Next Next Dialog button or the Previous Previous Dialog button. (You can also press Page Down/Page Up, or Alt+N/Alt+P.)
    Go to the next dialog or the previous dialog that contains an unanswered variable | Click either the Next Unanswered Next Unanswered button or the Previous Unanswered Previous Unanswered button. You can also press Ctrl+Page Up/Ctrl+Page Down.
    Go to the first or the last dialog in the interview | Click either the First Dialog First Dialog button or the Last Dialog Last Dialog button.
    Finish the interview and view the assembled document | Click the Finish Interview Finish Interview button. (Where you view the assembled document depends on the Finish Interview action you've specified. See Control What Happens When You Finish an Interview.)
    View additional information about a specific answer or the contents of a dialog | Click the View Resource View Resource button. (See View Resources During Assembly.)
    View where the answer is merged into the document (This option is available to Word users only.) | Click the Go to Document Go to Answer in Document button. HotDocs displays the Document tab and moves the cursor to the first place in the document where the answer is merged.
    Hide the interview outline | Clear Interview outline (View menu).
    Preview an assembled text document before sending it to the word processor | Click the Document Preview tab. (See Preview the Assembled Text Document.)
    View an assembled form document | Click the Form Document tab. (See View the Assembled Form Document .)
    View a list of all questions in the template | Click the Question Summary tab. (See View a Question Summary.)
    View a list of all the questions and their answers in the interview | Click the Answer Summary tab. (See View an Answer Summary.)
    View a spreadsheet of the variables and their current answers | Click the Variable Sheet tab. (See View the Variable Sheet.)
Note:
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)
  • Sometimes the format of your answer may be changed. To verify these changes, you can specify an option that forces HotDocs to warn you of answer format changes before moving to the next dialog. (See Warn When HotDocs Reformats Date and Number Answers.)
  • To display the different tabs along the bottom of the window (instead of the top), clear Tabs at Top (View menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Navigate Through Answer-Gathering Dialogs


HotDocs Help - View Resources During Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View Resources During Assembly

Template providers can include helpful information with dialogs and questions in the interview. When such information is available, it appears in the resource pane. (To view the resource pane, either choose Resource Pane (View menu) or click the Resource Pane Resource button in the assembly window toolbar.)

To view resource information

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to a dialog that shows a resource.
    • If the resource pane is already displayed, the information automatically appears there. (You can change the size of the resource pane by selecting the top border of the pane and dragging it up or down.)
    • If the resource pane isn't displayed, you can either click the Resource Pane Resource button in the toolbar or click the Resource Pane Resource button that appears next to the answer field.
Note: Resources help you answer questions in the interview. For help using HotDocs, see Get Help Using HotDocs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View Resources During Assembly


HotDocs Help - Save an Answer File During Assembly

Overviews

  • Overview: Assemble a Text or Form Document
  • Overview: Save Answers

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Save an Answer File During Assembly

While assembling a document, you can save the answers you have entered. This allows you to save your work and perhaps start a different assembly without closing the assembly window. Saving answers also allows you to use the information you enter with other templates, thus saving you time.

To save answers during assembly

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. At the assembly window, click the Save Answers Save Answers button. If you are using an existing answer file, the new answers are saved. If you are using a new answer file, the Save Answer File dialog box appears where you can perform any of the following tasks:
    To | Do This
    Enter the file name

    At the File name box, enter a name. When you click OK, the answer file will be saved to the default Answers folder and a reference to it will be added to Answer File Manager.

    To save the answers to a location other than the default Answers folder, click the Browse Browse button and navigate to the location.

    Enter the title that identifies the answer file in Answer File Manager | At the Title box, enter a name or accept the suggestion HotDocs makes.
    Add information to help identify the file | At the Description box, type notes about the answer file's purpose or contents. (The description will appear at the Properties tab of the Answer File Manager. When searching for specific answer files, you can search for text in the description.)
    Save the answer file so it is compatible with versions of HotDocs earlier than HotDocs 2009 | Select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)
Note:
  • See Overview: Use Answer Management for information on using Windows Explorer instead of Answer File Manager.
  • The Save Answers Save Answers button may be disabled because the template provider wants to prevent the answer file from being altered. You can assemble a document using new answers, but when you close the assembly window, the new answers are automatically discarded.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Save an Answer File During Assembly

More... (1)

Home > All About... > Completing an Interview > Save an Answer File During Assembly


HotDocs Help - Switch Answer Files During Assembly

Overviews

  • Overview: Assemble a Text or Form Document
  • Overview: Save Answers

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Switch Answer Files During Assembly

While assembling a document, you may want to use another answer file. At any point during the interview, you can select a different answer file, then continue the interview using the new answers.

To switch answer files

  1. At the HotDocs library window, select a template and begin assembling a document. (See Assemble a Text or Form Document.)
  2. During the interview, click Open Open Answers. The Open Answer File dialog box appears. (Depending on the file management settings you have selected, a Windows Explorer dialog box or a window from your document management program may appear instead. See Manage Answer Files.)
  3. Select an answer file and click Open Open.
  4. If prompted to save the old answers, click Save, Save As, or Don't Save, depending on your needs. (See Save an Answer File During Assembly.)
  5. The assembly window appears again, using the newly selected answer file.
Note: When viewing the answer library, you can sort the answer files. To do this, select a folder and click Sort Sort. To search for a specific answer file, select the Find check box, then type the text for which you are searching in the text box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Switch Answer Files During Assembly

More... (1)

Home > All About... > Completing an Interview > Switch Answer Files During Assembly


HotDocs Help - Use Repeated Dialogs During Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Use Repeated Dialogs During Assembly

Dialogs can be repeatedly asked to gather several sets of answers for the same questions. A repeated dialog can appear as a series of dialogs or as a spreadsheet.

Once you have created a list of answers, you can use commands in the toolbar to move records within the list.

Note:
  • You can change the way repeated dialogs are represented in the interview outline. (See Display Repeated Dialogs Using a Special Icon.)
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

To enter answers in a series of dialogs

  1. At the repeated dialog, enter answers for the questions.
  2. Click the Add Another Repetition Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. (You can also press Alt+A to add new repetitions to a list.)
  3. To move to the next dialog after entering all the answers in the list, click Next Next in the navigation bar. (You can also click on the next dialog icon in the interview outline, or press Page Down or Alt+N.)
Note: When entering a list of answers within another list of answers, you can press Alt+Left Arrow to return to the parent dialog. (You can also choose Parent Dialog from the Navigate menu.)

To enter answers in a repeated spreadsheet

  1. At an answer-gathering dialog that includes a repeated dialog formatted as a spreadsheet, click in the first spreadsheet cell and enter your answer.
  2. Press Tab to move to the next cell in the row (or use the mouse to click in the next cell) and enter your answer.
  3. Repeat this process for each answer.

To work with repeated answers

  1. Answer questions in the repeated dialog.
  2. Select the record with which you want to work. (If you are editing records in a dialog series, select the dialog icon in the interview outline. If you are editing records in a spreadsheet, click on the row you want to edit.)
  3. Use the options described in the following table to complete additional tasks:
    To | Do This
    Remove a specific dialog from the list of answers | Select the dialog you want to delete and either click the Delete Repetition Delete Repetition button, or choose Delete Repetition from the Edit menu.
    Insert a new dialog between existing dialogs | Either click the Insert Repetition Insert Repetition button, or choose Insert Repetition from the Edit menu.
    Move an existing dialog up in the list of answers | Select the dialog you want to move and click the Move Repetition Up Move Repetition Up button (located on the Edit toolbar).
    Move an existing dialog down in the list of answers | Select the dialog you want to move and click the Move Repetition Down Move Repetition Down button (located on the Edit toolbar).
    Sort the contents of a spreadsheet dialog in alphanumeric order | Click in the column on which you want to sort and click the Sort Sort button (located on the Edit toolbar). The Sort Spreadsheet dialog box appears where you can specify your sorting preferences. If the template developer has specified any sorting options, answers will be merged in the document using those sort options. Otherwise the sort order you specify here will be used in the assembled document.
    Edit the contents of the row in a regular dialog | Click in the row you want to edit and either click the Edit Row Edit Row button, or right-click and choose Edit Row from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use Repeated Dialogs During Assembly


HotDocs Help - Use Inserted Dialogs During Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Use Inserted Dialogs During Assembly

In some templates, one dialog may contain other dialogs. For example, a dialog may ask for information about a client; then, if the client is married, an inserted dialog may ask for information about the spouse.

To use an inserted dialog

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to a dialog that contains an inserted dialog.
  3. Select the inserted dialog and provide information for the answer fields, based on the following information:
    • If the dialogs are not grouped: For each inserted dialog, HotDocs displays an icon in the dialog pane and in the interview outline. If you don't answer questions in the inserted dialogs, HotDocs counts them as unanswered questions and warns you about them.
    • If the dialogs are grouped for single selection: HotDocs adds an option button next to each inserted dialog icon. Until you select one of the option buttons or click the child dialog icon or title, no icon for the inserted dialog appears in the interview outline. If you don't select an option button and don't answer any questions in the inserted dialogs, HotDocs doesn't count them as unanswered questions.
    • If the dialogs are grouped for multiple selection: HotDocs adds a check box next to each inserted dialog icon. Until you select the check boxes or click the child dialog icon or title, no inserted dialogs appear in the interview outline. If you don't select any check boxes and don't answer any questions in the inserted dialogs, HotDocs doesn't count them as unanswered questions.
Note:
  • You can hide all inserted dialogs in the interview outline by selecting Collapse All (View menu) or by pressing Alt+-.
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use Inserted Dialogs During Assembly


HotDocs Help - View Individual Rows in a Spreadsheet

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View Individual Rows in a Spreadsheet

Some documents may require a list of information. To generate a list, template providers create a repeated dialog, which may be formatted as a spreadsheet. This format may be awkward to work with when there are large numbers of questions (or columns)—the spreadsheet may extend beyond the viewable area. However, to see all the questions at once, you can view one row of the spreadsheet in dialog format.

To answer a single set of answers in a spreadsheet

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. At the assembly window, navigate to a repeated dialog that is formatted as a spreadsheet.
  3. At the spreadsheet, click Edit Row Edit Row. A pop-up interview appears. (You can also right-click and choose Edit Row from the shortcut menu.)
  4. Type answers in the answer fields, then click Next Next. The answers are saved and a new set of answer fields appears.
  5. After providing all the necessary answers, close the pop-up interview by clicking Finish Finish.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View Individual Rows in a Spreadsheet


HotDocs Help - Select Clauses During an Interview

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Select Clauses During an Interview

A clause is a section of text, usually a commonly used paragraph, and a clause library is a collection of clauses. You can select clauses from a clause library and use them to assemble text documents. (See Overview: Use Clauses and Clause Libraries.)

In HotDocs, there are two places where you may view a clause library and select clauses for inclusion in a document—at the template library or during the interview for a text template:

  • When a clause library is referenced in a template library, you assemble the clause library and then choose where the assembled clause text is merged. You can choose to send the assembled clauses to a new, empty document; copy the assembled text to the Windows Clipboard (so you can paste it into an existing document); or paste the assembled text directly into an open word processor document. (See Assemble a Clause Library from the Template Library for instructions on using this method.)
  • When a clause library is asked during the interview of a text template, the clause text is automatically inserted into that assembled document. (Instructions for this method are included below.)

To select clauses from an inserted clause library

  1. At the HotDocs library window, select a template that contains an inserted clause library and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to the dialog where the clause library is located. The clause library appears in the dialog pane.
  3. Optionally, perform either of the following tasks:
    • Select the Find check box to find all of the clauses with specific text in their title or description. In the text box, type the text for which you are searching.
    • Click Preview Preview to view the clause text in a pop-up dialog box. To return to the clause library, click the X in the upper-right corner of the pop-up dialog box.
  4. From the Available list, select each clause you want to use and click Select Select to add it to the Selected list. To remove a clause, select it, then click Remove Remove. (Press Ctrl or Shift to select multiple items.)
  5. Optionally, reorder the clauses in the Selected list by selecting and dragging a clause to the desired position. The clauses will be inserted into the document in this order.
  6. When all the necessary clauses are in the Selected list, click Next Next on the navigation bar.
  7. Answer any questions in the interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Select Clauses During an Interview


HotDocs Help - View an Assembled Document in Markup View

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Open a Saved Text Document for Editing
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Answer File During Assembly
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Send the Assembled Text Document to the Word Processor
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View an Assembled Document in Markup View

Caution: If you are not a template developer, please click here for a brief explanation of template development terms. Understanding these terms will help you understand how the assembled document is marked up.

As you assemble Microsoft Word documents, there may be times when you want to assemble only a partial document and then submit it to an attorney or peer for revisions or corrections. To make the document easier for a non-HotDocs user to review, you can change the formatting of the document to Markup View and then provide the reviewer a copy of it.

When displaying markup, HotDocs replaces unanswered fields and instructions in the document with markup, which includes markers (such as brackets) and variable names. How the resulting markup fields look depend on the type of fields they are:

  • Answer fields: By default, answer fields are marked using brackets. If the template developer has assigned a comment to the variable, the comment text may be used as the field name. If no comment is used, HotDocs will use either the title or the name the template developer assigned to the variable.
  • Conditional and repeated text blocks: By default, conditional and repeated text blocks are marked using brackets. If a comment is assigned to these text blocks, the comment can be merged in the field label. If no comment is assigned, HotDocs will simply merge the field markers around the text block. The text block can be marked using an annotated footnote or endnote (depending on your preferences).
  • Insertion fields: HotDocs will merge the file name of the template being inserted.

Once you assemble the document using as many answers as needed, you can switch to Markup View and save a copy of the document. You can then provide a copy of it to the reviewer.

To view a document in Markup View

  1. Define the Markup View options you want to use in the document. (See Specify How Documents Should Be Marked Up.)
  2. Assemble the Word document for which you want to generate markup.
  3. Answer only the questions whose answers you want to appear in the assembled document. Leave all other questions unanswered. (These unanswered questions are the fields that will be marked using the scheme you define in step 1.)
  4. Choose Markup View (View menu). The document changes to show the marked up document.
Note:
  • By default, merge fields in the document appear in color—red for unanswered questions and blue for answered questions. Sometimes, however, if an answer field is within a text block that is conditional or repeated, it appears (and remains) blue until the condition is met or the REPEAT instruction is answered. Editable text likewise appears using the colors you've defined at HotDocs Options.
  • Additionally, merge fields in the document are italicized by default. If you've used international characters in your answers, the italicized version of the font used in the document may not display the foreign characters correctly. If this is the case, clear the Italic attribute for Markup View. See Specify How Documents Should Be Marked Up for details.
  • If the template developer has used merge fields in question prompts, those merge fields can be displayed as markup fields. (Choose Markup View (View menu) while at the Interview tab.) Additionally, you can switch to Markup View while assembling form documents.
  • To view a non-marked up version of the assembled document again, clear Markup View (View menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View an Assembled Document in Markup View

More... (1)

Home > All About... > Working with Assembled Text Documents > View an Assembled Document in Markup View


HotDocs Help - Answer Date Questions

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Answer Date Questions

To make it easier to answer Date variables, HotDocs provides three different ways to enter a date:

  • Type the letter t, then move to the next answer field. HotDocs converts the letter to the current date.
  • Type a date using a common format, such as MM/DD/YYYY. HotDocs converts the format to match the format specified for the template.
  • Click the Calendar Calendar button to access the Calendar dialog box. Then use the Next or Previous arrows to find the desired month and year. Select a day, and click OK.
Note:
  • HotDocs requires a four-digit year for Date variables. However, you can enter a two-digit year, and then let HotDocs convert it to a four-digit year. You can control which years are converted to 1900-century dates, and which are converted to 2000-century dates. See Control How HotDocs Handles Two-Digit and Four-Digit Years.
  • The Calendar Calendar button is not available when a Date variable is in a dialog repeated as a spreadsheet. However, if you click Edit Row, the pop-up interview will show the calendar button.
  • HotDocs may format dates in the interview different from the way they will appear in the assembled document. The appearance in the interview is controlled by a setting in the HotDocs Options dialog box. (See Change the Way Dates Appear in Answer Fields.) When a date appears in the document, however, it is formatted according to the format assigned to that variable.
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Answer Date Questions


HotDocs Help - View an Answer's Variable Name

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View an Answer's Variable Name

Sometimes as you complete an interview, you may need to ask the template provider about a specific question asked in the interview. Being able to identify the question by variable name may help the template provider better understand the kind of information you need. You can have HotDocs show you the name of the variable.

To view the variable name for a question in the interview

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to the dialog that contains the question.
  3. Place your cursor in the answer field, right-click, and choose Variable Name from the shortcut menu. A message box appears, showing you the variable name.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View an Answer's Variable Name


HotDocs Help - Use the End of Interview Dialog

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Use the End of Interview Dialog

The End of Interview dialog appears after the last dialog in each interview. At this dialog, you can view a report of unanswered questions, as well as access commands for working with the assembled document.

To work with assembled documents at the End of Interview dialog

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After completing the interview, the End of Interview dialog appears. The following table describes the commands available here:
    To | Do This
    Return to the first unanswered question in the interview | Click First Unanswered Go to the first unanswered question in the interview.
    Send the assembled text document to the word processor so you can view it in its final format

    Click Send Document Send the assembled document to the word processor.

    You can choose the default word processor to which assembled documents are always sent, or you can let HotDocs choose the word processor each time based on the file type. See Change Your Default Word Processor.

    View the assembled form document | Click the View Form Document View the assembled form document at the Form Document tab button. (See View the Assembled Form Document.)
    Insert the assembled document into an open word processor document

    Click Paste Document Paste the assembled document into the open word processor document.

    This command will paste the document text into a document already open in your word processor. If there is not a document already open, HotDocs will create a new document.

    Copy the document text to the Clipboard (only available when assembling Microsoft Word documents) | Click Copy Document Copy the assembled document to the Clipboard.
    Save a copy of the assembled document | Click Save Save the assembled document in a file.

    Save an assembled text or form document as a PDF file

    Click Save as PDF Save the assembled document as a PDF.

    Caution:For complete instructions on saving assembled documents as PDF files, see Save Assembled Text Document as PDF.
    Close the assembly window without saving a copy of the assembled document | Click Close Window Close this window without saving the assembled document.
    Choose which buttons are displayed in the End of Interview dialog | Click Options Choose which buttons are displayed on this dialog.
Note:
  • When you assemble multiple documents, the End of Interview dialog also notifies you that other assemblies are ready to begin.
  • To keep the End of Interview dialog from appearing, clear End of Interview Dialog at the View menu of the assembly window. Then, when you click Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or HotDocs Filler, or it will display the Document tab of the assembly window. To specify which action HotDocs performs, see Control What Happens When You Finish an Interview.
  • You can choose which options appear in the End of Interview dialog. See Customize the End of Interview Dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use the End of Interview Dialog


HotDocs Help - Edit Answers at the Document Preview Tab

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Open a Saved Text Document for Editing
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Answer File During Assembly
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Send the Assembled Text Document to the Word Processor
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Edit Answers at the Document Preview Tab

Note: The ability to edit answers at the Document Preview tab is available to Microsoft Word users only. Additionally, this option is available only if the template provider has allowed it.

If you are viewing the Document Preview tab, you can edit answers you've entered. Additionally, you can move from an answer in the document to its question in the interview and vice versa. Seeing answers in the context of the document helps you pinpoint errors and makes it easy for you to correct them without having to go back to the interview.

To help you review answers in the document, you can use the Document Navigation Bar. Just like the Interview Navigation Bar, this toolbar can help you move between answers, unanswered fields, and matching answers.

Caution: Some template providers may prohibit you from changing answers at the Document Preview tab. If so, the buttons and commands that control this feature will be disabled.

To change answers while previewing the document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the Highlight Fields Highlight Fields button. This assigns colors to both answered questions and unanswered questions in the document. (You can change the default colors assigned to answered fields as well as unanswered fields. See Set Properties for Viewing Answers and Editable Text in the Assembled Document.)
  4. Double-click on an answer field. A pop-up interview appears, showing the dialog in which the question is used.
  5. Change your answer and click Next Next or Finish Finish. The pop-up interview closes and the answer is updated in the document.
  6. Use any of the following commands to help you edit answers in the document:
    To Do This

    Jump to the place in the interview where the question is asked

    Caution: Because of scripting in the template, sometimes you will not be able to move between the Interview and Document tabs. HotDocs will warn you when this is the case.

    Place your cursor in the answer field and click the Name Go to Answer in Interview button.

    While viewing the Interview tab, you can go to the place in the document where the answer is merged. To do this, place your cursor in the answer field and click the Go to Answer in Document Go to Answer in Document button.

    Move between answers in the document

    Click Next Next or Previous Previous to move to the next or previous answer in the document.

    Click the Next Unanswered Next Unanswered or Previous Unanswered Previous Unanswered button to move to the next unanswered or previous unanswered question in the document.

    Press Ctrl+M or Ctrl+Shift+M to move between matching answers in the document (for example, those answers in the document that are exact matches). (You can also press Shift as you click the Next Next or Previous Previous button.)

    Click Go to End End or Go to Start Beginning to go to end of the document or the beginning of the document.

Note:
  • If you experience a delay when changing answers in your document, click the Instant Update Document Instant Update button (so it isn't pressed in). Then, when you change an answer, HotDocs will just update the field you are editing (and any other fields that merge the exact same answer). Be aware, however, that turning Instant Update Instant Update off may cause some of the information in the document to be out of date if you change answers. (You can tell when the document is out of date by the appearance of the Instant Update Instant Update button. To update the document, click the button again. (The document will automatically update if you attempt to save it, print it, or send it to the word processor.)
  • Once your cursor is in an answer field, you can press Enter and the pop-up interview will appear.
  • If the template provider has allowed it, you can also edit the text of the document. See Edit Document Text at the Document Preview Tab for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Edit Answers at the Document Preview Tab

More... (1)

Home > All About... > Working with Assembled Text Documents > Edit Answers at the Document Preview Tab


HotDocs Help - Spell Check Answers

Overviews

  • Overview: Assemble a Text or Form Document
  • Overview: Save Answers

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Spell Check Answers

You can spell check text answers you have entered at any time during an interview.

To spell check your answers

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Check Spelling Check Spelling button. If HotDocs finds any unrecognized words, the Check Spelling dialog box appears. In the Answer being checked box, HotDocs shows a section of the text that contains the misspelled word, which is highlighted. Options for working with the misspelled word appear below it.
  3. Make your selection, based on the options described in the following table:
    To | Do This
    Ignore the current instance of the word and continue spell checking | Click Ignore.
    Ignore all instances of the word and continue spell checking | Click Ignore All.
    Correct only the current instance of the word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to box) and click Change.
    Correct all instances of the misspelled word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to box) and click Change All.
    Add the word to your personal dictionary so that the spelling checker will not question the word again | Click Add.
    Display additional spelling alternatives for the unrecognized word

    Click Suggest.

    A deeper search takes longer but produces better possible replacements. If the button is unavailable, HotDocs is searching at the deepest level.

    Change your spell checking options, such as which words the spelling checker looks at and how it determines whether a word is a possible replacement | Click Options. (You can also change your options at the HotDocs Options dialog box. See Change Your Spell Checking Options.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Spell Check Answers

More... (1)

Home > All About... > Completing an Interview > Spell Check Answers


HotDocs Help - Working with Assembled Text Documents

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents

Working with Assembled Text Documents

Preview the Assembled Text Document

Edit Answers at the Document Preview Tab

Edit Document Text at the Document Preview Tab

View an Assembled Document in Markup View

Send the Assembled Text Document to the Word Processor

Open a Saved Text Document for Editing

Print an Assembled Text Document

Save an Assembled Text or Form Document

Save Assembled Text Document as PDF

Save Assembled Form Document as PDF

Assign Security Options to a PDF Document

Home > All About... > Working with Assembled Text Documents


HotDocs Help - Preview the Assembled Text Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Preview the Assembled Text Document

After assembling a text document, you can print the document, send it as an e-mail attachment, or save it as a word processor file. However, once you perform any of these actions, the document is no longer associated with HotDocs. That means any changes you make to the text of the document will not be updated in the answer file or template. Because of this, it is helpful to preview the assembled document in the assembly window and make sure the information in the document is accurate before you perform any of the aforementioned tasks.

Caution:
  • While the information in the Document Preview tab is shown accurately, the document may not be formatted correctly, particularly in WordPerfect documents. To view the actual formatting, send the document to the word processor. (See Send the Assembled Text Document to the Word Processor.)
  • Some template providers may not allow you to edit answers or text at the Document Preview tab. If not, these commands will be disabled.

To preview an assembled text document

  1. At the HotDocs library window, select a template and begin the assembly. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document. By default, answers that have not been entered are marked with asterisks (for example, ***Employee Name***). You can choose a different unanswered format, however. See Format Unanswered Variables in a Document for details.
  3. (Word users) Optionally, to edit an answer or document text, click the Highlight Fields Highlight Fields button, then double-click on an answer field or section of editable text. (See Edit Answers at the Document Preview Tab and Edit Document Text at the Document Preview Tab for details.)
  4. Once you have verified that the document is correct, use any of the following commands to work with the assembled document:
    To | Do This
    Save the assembled text document to disk | Click the Save Document Save Document button. (See Save an Assembled Text or Form Document.)
    Send the assembled text document to the word processor so you can see it in its final format | Click the Send Document Send Document button. (See Send the Assembled Text Document to the Word Processor.)
    Print the assembled text document | Click the Print Print Document button. (See Print an Assembled Text Document or Print an Assembled Form Document.)
    Close the assembly window | Choose Close (File menu)
Note: If an assembled text document contains any cross references, including a table of contents or index, you may need to update the references once you send the document to the word processor. To do this, select all of the document text (press Ctrl+A) and then press the F9 key.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Preview the Assembled Text Document


HotDocs Help - Edit Document Text at the Document Preview Tab

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Edit Document Text at the Document Preview Tab

Note: The ability to edit the text of an assembled document is available to Microsoft Word users only. Additionally, this option is available only if the template provider has allowed it. (You can tell if the developer has made text editable by the color of the document text. By default, editable text is green.)

After you finish answering questions in an interview and before you send the document to the word processor or save it, you should review it. As you do, you may see that you need to change the language of a particular paragraph, or you may need to change a word or phrase to fit your particular needs. If the template developer has allowed it, you can edit the document text while viewing the Document Preview tab. Changes you make can be saved in an answer file so that if you reassemble the document, those changes will be reapplied. (You can always send the document to the word processor and make the changes there. However, those changes are specific to the word processor and will not be saved to HotDocs.)

When you edit the text of the assembled document, the text appears in a pop-up window called the Document Text Editor. This editor provides many of the text-editing tools you need, including font options, spell checking, printing, and copying and pasting. As you edit, you can add new text or remove existing text. You can also change the formatting of text.

Caution: You cannot edit variable (or answer) fields at the Document Text Editor. To edit answers, return to the assembly window and make the change at the Interview tab.

To edit the text of the document

  1. At the HotDocs library window, select a Microsoft Word template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the Highlight Fields Highlight Fields button. Text in the document that can be edited changes color.
  4. Place your cursor in an editable section of text and click the Edit Document Text Edit Document Text button (or double-click on the text). The Document Text Editor appears. (If there are multiple sections of text you can edit, HotDocs may ask you which section you want to edit.)
  5. Edit the text using the commands in the Document Text Editor toolbar. (See Document Text Editor Toolbar for a description of each command.)
  6. When you are finished making your changes, click Save and Close Save and Close. The editor closes and your changes are merged in the assembled document.

When you are finished reviewing the document, you can save your answers and the changes you made to the document are saved to the answer file. Then, if you reassemble the document using that answer file, the document will update with the changes you made.

Note:
  • To move between sections of editable text, click the Next Editable Text Next Editable Text or the Previous Editable TExt Previous Editable Text buttons in the navigation bar.
  • You can choose specific colors for marking editable and edited text in the document. See Set Properties for Viewing Answers and Editable Text in the Assembled Document.
  • When viewing the document in the Document Text Editor, if you click the Show Codes Show Codes button, you will see an extra paragraph mark at the end of the document. This paragraph mark is merged by the text editor and will be deleted when you save your changes and the text is inserted back into the document. Because of this, do not modify the paragraph mark.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Edit Document Text at the Document Preview Tab


HotDocs Help - Send the Assembled Text Document to the Word Processor

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Send the Assembled Text Document to the Word Processor

Once you complete an interview, you often want to view the document in its final format. For text documents, this must be done in the word processor.

To send the assembled text document to the word processor

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Send to Word Processor Send Document to the Word Processor button. The word processor appears, showing the assembled document.
  3. Using the word processor's tools, modify the document. Be aware, however, that any changes you make to answers in the document will not be reflected in the answer file.
Note:
  • If you have more than one word processor installed, you can choose which word processor will be used for viewing assembled documents. See Change Your Default Word Processor for details.
  • You can preview a text document at the Document Preview tab. While this preview shows the information in the document correctly, it may not be formatted correctly—particularly in WordPerfect documents.
  • If the template provider has allowed it, you may be able to edit the text of the document while still viewing it in the assembly window. For details, see Edit Document Text at the Document Preview Tab (Word users only).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Send the Assembled Text Document to the Word Processor


HotDocs Help - Open a Saved Text Document for Editing

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Open a Saved Text Document for Editing

After assembling and saving a document, you can later edit the document using the appropriate program:

  • Text documents are saved as word processor files (.DOC, .WPD, or .RTF). To edit these files, you must use a word processor.
  • Form documents are saved as HotDocs form files (.HFD or .HPD). To edit these files, you must use HotDocs Filler. See Edit a Saved Form Document for instructions on completing these actions.

To open a saved text document using Windows Explorer

  • Using Windows Explorer, locate the document file and double-click it. Your word processor appears, showing the saved document.

To open a saved text document using the word processor

  • Using your word processor program's commands, locate and open the desired document file.
Caution: When an assembled document is saved, the file is separated from the template file, component file, and answer file that created it. This means that changes you make to a saved document are not reflected in the answer file used to assemble that document. Finally, if you do make changes to the document, you must identify and change each instance of the answer manually, including re-evaluating any computations or conditions affected by changed answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Open a Saved Text Document for Editing


HotDocs Help - Print an Assembled Text Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Print an Assembled Text Document

Many projects require you to print copies of assembled documents.

To print an assembled text document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the Print Print Document button. The document is printed at the printer you specify.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Print an Assembled Text Document


HotDocs Help - Save an Assembled Text or Form Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Save an Assembled Text or Form Document

Some projects may require you to save an electronic copy of every document. Also, you may need to move the document to a disk or laptop, so you can take an editable, printable version of the document to another location.

Caution: When you save a text or form document, the file is separated from the answer file, so any changes made to a saved document are not saved to the answer file.

To save an assembled text or form document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Save Save Document button in the toolbar or at the End of Interview dialog. The Save As dialog box appears.
  3. Navigate to the folder where you want the document to be saved.
  4. In the File name box, enter a name for the document and click Save.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Save an Assembled Text or Form Document


HotDocs Help - Save Assembled Text Document as PDF

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Save Assembled Text Document as PDF

With HotDocs Developer, you can use the PDF printer driver to save assembled text and form documents as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save a document as PDF

  1. At the HotDocs library window, select a text template and click Assemble Assemble. (See Assemble a Text or Form Document.)
  2. Answer questions in each dialog.
  3. After answering all of the questions, choose Save Document As (File menu). The Save As dialog box appears.
  4. Specify the file name and folder path for the file.
  5. At the Save as drop-down list, make sure PDF File (*.pdf) is selected.
  6. Optionally, click Security to assign any security options you need to the document. (See Assign Security Options to a PDF Document.)
  7. Click Save. The Convert to PDF dialog box appears.
  8. Optionally, you can add information about the document's title, subject, author, or search keywords. Otherwise, click OK. The assembled document is saved in PDF format.
Note: Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Save Assembled Text Document as PDF


HotDocs Help - Save Assembled Form Document as PDF

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Save Assembled Form Document as PDF

With HotDocs, you can use the PDF printer driver to save assembled PDF form documents as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save assembled PDF forms as PDF

  1. At the HotDocs library window, select a PDF template and click Assemble Assemble. (See Assemble a Text or Form Document.)
  2. At the End of Interview dialog, click Save the assembled document as a PDF. The Save As dialog box appears.
  3. Specify the file path and name for the PDF file, and select PDF File (*.pdf) from the Save as type drop-down list.
  4. Optionally, click Security to assign any security options you need to the document. (See Assign Security Options to a PDF Document.)
  5. Click Save. The Convert to PDF dialog box appears.
  6. Optionally, you can add information about the document's title, subject, author, or search keywords. Otherwise, click OK. The assembled document is saved in PDF format.
Caution: If the file you're using to create a PDF document is a form document, the answer fields and other HotDocs features are removed. Only the current answers are shown as static text on the PDF document. If you may need to edit the answers later, you should first save the file as a PDF-based form document (.HPD), then save another copy of the file as a PDF.
Note: Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Save Assembled Form Document as PDF


HotDocs Help - Assign Security Options to a PDF Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Assign Security Options to a PDF Document

When creating PDF documents, you may want to protect the content of the document. You can do this by assigning security options to the document.

To assign security options at the HotDocs Save As dialog box

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. Choose Save Document As (HotDocs File menu). The Save As dialog box appears.
  3. Click the Save as type drop-down button and choose PDF File (*.pdf).
  4. Click the Security button. The PDF Security Settings dialog box appears.
  5. Make your selection, based on the following information (for additional information about each of these options, see the Adobe Help file):
    • Select None to leave the document unprotected. No security options will be applied and the user can edit the document (using Adobe Acrobat Professional).
    • Select 40-bit RC4 encryption to apply less-stringent security options to the document (and make the document compatible with all versions of Adobe starting Adobe 3.x). (Selecting this option affects which options are available in the rest of the dialog box.)
    • Select 128-bit RC4 encryption to apply more stringent security options to the document (and restrict use of the document to Acrobat 5.x and later users). (Selecting this option affects which options are available in the rest of the dialog box.)
    • Select Master password and enter (and confirm) the required password to require the user to enter a password when changing security options for the document.
    • Select User password and enter (and confirm) the required password, require the user to enter a password when attempting to open the document.
    • Select one of the printing options: Fully allowed, Low resolution only, and Not allowed to allow varying levels of printing.
    • Clear Allow content copying and extraction to keep users from copying the text in the document and pasting it into other applications.
    • Select Allow access for visually impaired to allow the document to be read out loud by Acrobat.
    • Select Allow content editing to let users can modify the pages of the document, including adding or removing pages, or rotating pages to let users make changes to the document.
    • Select Allow page-level editing (insert, delete, rotate) to let users make changes to page properties of the document (such as inserting pages).
    • Select Allow annotations to let users make comments or other notes in the document.
    • Select Allow form filling to let users enter information in Adobe fields on the form.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Assign Security Options to a PDF Document


HotDocs Help - Working with Assembled Form Documents

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Text Documents

Working with Assembled Form Documents

Overview: Assemble a Form Document

Enter Answers Directly at the Form Document Tab

View the Assembled Form Document

Assemble a Fillable PDF Document

Override an Answer in a Form

Print an Assembled Form Document

Choose Default Form Printing Options for a Form

Edit a Saved Form Document

Create a Form Field

Select a Field

Create a Check-Box Field

Detect Borders to Create or Resize a Field

Move a Field on a Form

Align Two or More Fields

Change the Borders and Margins of a Field

Copy One or More Form Fields

Resize Form Fields

Change the Tab Order of Fields

Group Form Fields So Answers Can Flow From One Field to Another

Ungroup Form Fields

Change the Field Type

Change the Font Used for a Field

Format Lines and Paragraphs of Text in a Form Field

Rotate Answers in a Field

Keep Contents of Form Fields from Printing

Cross Out Static Text on the Form

Circle Static Text on a Form

Insert a Graphic File in a Form

Convert Answers on the Form to Bar Code Format

Flow a Single Answer Across Two or More Pages in a Form

Check Form Fields for Answer Overflow

Customize the Look of the Addendum

Define Overflow Properties for a Regular Field

Split a Multi-Line Answer Between the Form and the Addendum

Home > All About... > Working with Assembled Form Documents


HotDocs Help - Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Overview: Assemble a Form Document

In most cases, you assemble a form document exactly as you assemble a text document. (See Assemble a Text or Form Document.) However, HotDocs form documents provide some additional capabilities. For example, you can enter answers directly in the form document, moving from field to field. You can also print a blank copy of the form that can be completed by hand. Finally, you can create and modify an addendum to save answers that require more space than the form provides.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Overview: Assemble a Form Document


HotDocs Help - Enter Answers Directly at the Form Document Tab

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Enter Answers Directly at the Form Document Tab

When assembling text documents, you answer questions in the interview and those answers are merged into the document. When assembling form documents, however, you can either enter your answers in the interview or you can enter your answers directly on the form document. This latter method of assembly is called direct-fill assembly. In some cases, the template provider designs templates so that the only method for assembly is by direct-fill.

To enter your answers directly into the fields

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. If you're not viewing it, click the Form Document tab. The assembly window changes to show the form document.
  3. Click on a field and enter an answer.
  4. Press Tab to move to the next field, or use the mouse to click on another field.

    As you tab between fields, HotDocs will skip any conditioned fields that have been resolved in such a way that it isn't necessary to answer the field.

  5. Optionally, you can perform any of the following tasks:
    To | Do This
    Create a new field on the document | Click the Select Tool Select Tool button and draw the field. (See Create a Form Field.) To enter text in the field click on the Fill Tool Fill Tool and then click in the field.
    Add additional answers to a table | If the template developer has included it, click the Table Wizard Table Wizard button next to the field.
    Answer questions that compute the answer for a field or control the inclusion of other answers | If the template developer has included it, click the Answer Wizard Answer Wizard button next to the field.
    Show or hide the colored fields | Click the Show Fields Show Fields button.
    Quickly browse through the pages of a form document | Click the Show Thumbnails Show Thumbnails button. This displays small images of each page in the document in the left margin of the form view. You can click one of these images and go to that page immediately.
    Jump to a specific page of the assembled document | Choose Go To (Edit menu) and enter the page number of the page you want to view.
    Move through the answers in a document

    Place your cursor in a field and click one of the following navigation buttons: (If the Form Navigation Bar isn't showing, choose it at the View menu.)

    • Clicking Next Next or Previous Previous moves you to the next or previous answer in the document.
    • Clicking the Next Unanswered Next Unanswered or Previous Unanswered Previous Unanswered button moves you to the next unanswered question in the document
    • Pressing Ctrl+M or Shift+Ctrl+M moves between matching answers in the document (for example, those answers in the document that are exact matches). (You can also press Shift as you click the Next Next or Previous Previous button.)
    • Clicking End End or Beginning Beginning to go to the end of the document or the beginning of the document.
Note:
  • To access answer wizards, table wizards, and calendars during direct-fill assembly, right-click on the field and choose the option from the shortcut menu. For example, to view the calendar for a date field, right-click on the field and choose Calendar from the shortcut menu.
  • Some answers may be too large to fit in the field. If this happens, HotDocs warns you by displaying the Overflow Options dialog box. See Check Form Fields for Answer Overflow. Similarly, you can specify when this warning should appear. See Set Rules for Handling Answer Overflow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Enter Answers Directly at the Form Document Tab


HotDocs Help - View the Assembled Form Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

View the Assembled Form Document

Before saving the assembled form document, it is a good idea to review the document. You can do this at the Form Document tab of the assembly window. Doing this allows you to make changes to answers in the document and have those changes automatically updated in the answer file.

To view assembled form documents

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After answering the questions in the interview, click the Form Document tab. The assembly window changes to show the assembled document.
  3. Optionally, select a field and enter a different answer. (See Enter Answers Directly at the Form Document Tab.)
  4. Once you have finished entering answers, complete any of the following options:
    • Click the Save Document Save Document button to save the assembled form document to disk. (See Save an Assembled Text or Form Document.)
    • Click the Print Document Print Document button to print the assembled form document. (See Print an Assembled Form Document.)
    • Click Send Document To > Mail Recipient (File menu)to attach the assembled form document to an e-mail message. (See Attach a Text or Form Document to an E-mail Message.)
    • Click Close (File menu) to close the assembly window. HotDocs prompts you to save any changed answers.
Note: See Overview: Assemble a Form Document for a list of changes you can make to an assembled form document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > View the Assembled Form Document


HotDocs Help - Assemble a Fillable PDF Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Assemble a Fillable PDF Document

Some form templates you assemble can be saved as fillable PDF documents. Fillable PDF documents allow users to enter answers on the form while editing the form in Adobe Acrobat or Reader.

The process of assembling a fillable PDF is nearly the same as the process for assembling a regular form document—you can enter answers in the interview or type your answers directly on the form at the Form Document tab. You can also choose to save the assembled document as a HotDocs form document, a regular PDF, or a fillable PDF. If you plan to save the assembled document as a fillable PDF, however, there are a few things you should understand:

  • Adobe Acrobat/Reader does not support the creation of an addendum when an answer overflows its field. If a field overflows in HotDocs, Adobe may attempt to force the answer to fit in the field when you save it as a fillable PDF. If the answer doesn't fit, it will simply appear cut off. If possible, you should review the assembled document for any field overflow before sending it to Adobe so that you can minimize the chance answers won't appear correctly in the field. See Check Form Fields for Answer Overflow for details.
  • When viewing the document in HotDocs, some answers may appear differently than when viewing the assembled document in Adobe Acrobat/Reader. This is because the underlying Adobe fields may have formats or patterns assigned to them that are different than what was assigned in HotDocs.
  • If you create additional fields on the assembled document, any text you enter in the fields will appear as static text when you save the document as a fillable PDF.
  • If you change the properties of an existing fillable field, those changes will not be honored when you save the document as a fillable PDF.

To assemble a fillable PDF document

  1. Follow the instructions for assembling a form document in Assemble a Text or Form Document.
  2. Complete the interview. (See Navigate Through Answer-Gathering Dialogs.)
  3. At the Form Document tab, review your answers.
  4. Choose Check for Overflow (Tools menu) and resolve any fields that overflow.
  5. Click the Save Document Save Document button. The Save As dialog box appears
  6. Click the Save as type drop-down button and select Fillable PDF Form from the list of options.
  7. Enter a name in the File name box and click Save. The document is saved.

Once you save the document, you should review it to make sure the answers appear correctly.

Caution:When creating a fillable PDF document, form designers can enable usage rights within the document. These rights allow Adobe Reader users to save copies of the document with changes they have made to the document—including entering or changing answers they have entered in the fillable PDF. However, when a rights-enabled fillable PDF is converted to template format, the document is changed in such a way that usage rights are no longer in effect. This means that you will not be able to save changes you make when editing the assembled document in Adobe Reader.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Assemble a Fillable PDF Document


HotDocs Help - Override an Answer in a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Override an Answer in a Form

In a HotDocs form document, fields are designed to hold certain types or formats of information. However, there may be times when you need to enter a type of answer that HotDocs won't allow. You can override the field type and enter any answer you need.

For example, a field with a Number variable attached to it is designed to hold only digits. However, if the number you enter (say, $325,000,000) is too large for the field, but you don't want to send the answer to the addendum, you can override the field and enter $325 m.

Answers entered in overridden fields are not saved in the answer file. The original answer is saved in the answer file and used in any computations or other fields that require it.

To override an answer

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After entering answers, click the Form Document tab. The assembly window changes to show the document.
  3. Select the field you want to override.
  4. Click the Override Field Override Field button and, at the Override Field warning message, click OK. The assembly window appears again.
  5. In the field, enter the answer you want, then move to a different field. The overridden field changes to gray.

To remove the overridden answer, select the field and click the Override Field Override Field button again. The current answer is removed and the saved answer reappears. Removing the override, however, may create answer overflow situations. See Check Form Fields for Answer Overflow for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Override an Answer in a Form


HotDocs Help - Print an Assembled Form Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Print an Assembled Form Document

Many projects require you to print copies of assembled form documents. The options available for printing a form depend on which type of form you are printing. Specifically, you can print:

  • HotDocs form documents (or .HFDs).
  • HotDocs PDF documents (or .HPDs).

To print a form document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Form Document tab. The assembly window changes to show the assembled document.
  3. Click the Print Document Print Document button.
  4. If you are printing a HotDocs form document (or .HFD file), select any of the following printing options. (If you're printing a PDF form document, skip to step #5.)
    • To print the form and answers, select Form with Answers in the Output group.
    • To print only the static text of the form, select Form Only (Blank Form) in the Output group.
    • To print the answers onto a pre-printed copy of the form, select Answers Only (Use Preprinted Form) in the Output group.
    • To change the double-sided printing options, select the desired option. Single-sided prints the document using one side of each sheet of paper. Double-Sided, Side-to-Side prints the document with the tops of both pages at the same end of the paper, like a traditional book. Double-Sided, Top-to-Bottom, prints the document with the bottom of the second page at the same end as the top of the first page, like a flip-chart.
  5. If you are printing a PDF form document (or .HPD file), you must choose whether to print using the functionality of HotDocs or Adobe Acrobat. (See Print PDF-Based Documents Dialog Box for tips on which printing option you should choose.)
    • Choose HotDocs, which prints at a slower speed but provides a wider range of printing options.
    • Choose Adobe Acrobat, which prints at a faster speed but provides few printing options.

Some types of printers have been known to cause problems when printing a form template or document, and should be tested before use with finished products. These printers include:

  • Ink jet printers
  • Brother printers
  • 16-bit postscript printer drivers
  • DeskJet printers
  • Xerox printers
  • "All-in-one" printers (printers that include copying, scanning, printing, and faxing capabilities)

For best results, it is recommended that you use an HP LaserJet with at least two megabytes of memory.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Print an Assembled Form Document


HotDocs Help - Choose Default Form Printing Options for a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Choose Default Form Printing Options for a Form

Different forms may require different printing settings. You can specify that a form should be printed single-sided, double-sided side-to-side, or double-sided top-to-bottom. You can also control what size of paper to use as well as which paper tray should feed the paper to the printer.

The option you specify is set as the default in the Print dialog box, but users can select a different option.

To specify form printing options

  1. Edit a form template. (See Edit a Form Template.)
  2. Click File > Template > Printing. The Printing Properties dialog box appears.
  3. Select the printing settings from the following options:
    • Single-sided prints the document using one side of each sheet of paper (default setting).
    • Double-sided, side-to-side prints the document double-sided, with the tops of both pages at the same end of the paper. (This option allows you to turn through the pages like a traditional book.)
    • Double-sided, top-to-bottom prints the document double-sided with the bottom of the second page at the same end as the top of the first page. (This option allows you to turn through the pages like a flip chart.)
    • Paper size specifies the dimensions of the paper used to print the document.
    • Paper source specifies what tray of paper is used to print the document.
Note:
  • You can specify the print setting for all forms you create at the HotDocs Options dialog box. (See Overview: HotDocs Options.)
  • You can use command-line options to control the paper size and paper source. (See Paper Size and Paper Tray.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Choose Default Form Printing Options for a Form


HotDocs Help - Edit a Saved Form Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Edit a Saved Form Document

After assembling a form document, you often need to save the document to disk. Once saved, you can re-open the document using HotDocs Filler.

Once a form document is saved to disk, it is no longer associated with the answer file. This means that changes you make to answers in the document do not affect the answer file. If you want to save changes you're making to the answers, re-assemble the form document and change your answers in the interview. Then save your answer file again.

To work with a saved form document in Filler

  1. Using Windows Explorer, locate and double-click the appropriate form document. HotDocs Filler appears, showing the form document.
  2. Optionally, you can perform any of the following tasks:
    To | Do This
    Change an answer in a field

    Click on a field. The field becomes active, allowing you to enter an answer.

    Caution: You can edit answers in a saved form document, but you must re-evaluate any computations or conditions affected by changed answers. Similarly, changes you make are not reflected in the answer file used to assemble the document.
    Create new fields

    With the Select Tool Select Tool button selected, press the left mouse button and move the mouse pointer to draw a rectangle. To type in this field, select the Fill Tool Fill Tool button.

    The fields you create in Filler have no variable associated with them. They are simply text boxes where you can type information.

    Print the document | Click the Print Print button.
    Open a different HotDocs form file | Click the Open Open button, and then locate the desired file. (You can also press Ctrl+O.)
  3. Once you have the assembled form document open for editing, there are several other things you can do. For example, you can:
    • Change the field type. (See Change the Field Type.)
    • Change the size of a field. (See Resize Form Fields.)
    • Change the position or margins of a field. (See Move a Field on a Form and Change the Borders and Margins of a Field.)
    • Create a new answer field. (See Create a Form Field.)
    • Rotate text in a field. (See Rotate Answers in a Field.)
    • Convert answers on the form to bar code format. (See Convert Answers on the Form to Bar Code Format.)
    • Insert a graphic into a field. (See Insert a Graphic File in a Form.)
    • Cross out static text on the form. (See Cross Out Static Text on the Form.)
    • Circle static text on a form. (See Circle Static Text on a Form.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Edit a Saved Form Document


HotDocs Help - Check Form Fields for Answer Overflow

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Align Two or More Fields
  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Field Type
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Check-Box Field
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Check Form Fields for Answer Overflow

HotDocs can compare the size of a field and the length of the answer. If an answer uses more space than is available in that field, HotDocs warns you and lets you resolve the overflow. Your options for resolving the overflow include reducing the answer's font size, sending answers to the addendum, editing the answer, resizing the field in which the answer is merged, and overriding the field to enter a differently formatted answer.

After you complete an interview, you can manually check for answer overflow. Also, when you direct-fill assemble a form document, HotDocs automatically checks each field when you move to another field. Finally, when you print a document, HotDocs checks for any unresolved answer overflows.

To manually check for field overflow

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After answering the questions in each dialog, click the Form Document tab to view the assembled document.
  3. Click Check for Overflow (Tools menu). HotDocs begins comparing the size of each field and answer.
  4. If an answer is too long, HotDocs selects the field and displays the Overflow Status dialog box. Information about the status of any answers that overflow is displayed at the top of the dialog box.
  5. Make adjustments as explained in the following table:
    To | Do This
    Reduce the answer's font size to the minimum size allowed for the field | Select Shrink the answer to fit in the field. The answer's font size is reduced to a smaller point size. If the answer still doesn't fit in the answer field, you must choose another option for resolving the overflow.
    Send the answer to the addendum and insert cross-reference text in the answer field

    Select Send the answer to the addendum. The answer is moved to the addendum. HotDocs then merges text in the field that indicates the answer can be found in the addendum.

    Select Split answer if you want only the part of the answer that doesn't fit in the field to be sent to the addendum.

    Change the text of the answer, such as reduce the number of words in the answer

    Click Edit. HotDocs highlights the field that contains the answer so you can edit the text.

    Once you edit your answer, click back on the Overflow Status dialog box to have HotDocs the overflow.

    Make the answer field larger

    Click Resize. HotDocs selects the field so you can click one of its handles to resize it.

    Once you resize the answer field, click back on the Overflow Status dialog box to have HotDocs recheck the overflow.

    Override any settings or formats of the field and enter any text in the field

    Click Override and enter the text you choose in the field.

    Note: Overriding a field does not change the original answer. In fact, HotDocs continues to use the original answer in any calculations or scripts that require it. It also saves the original answer to the answer file. Choosing to override a field simply allows you to define only the text that needs to appear on the form.

    Once you override the answer field, click back on the Overflow Status dialog box to have HotDocs recheck the overflow.

    Resolve the overflow at a later time | Click Ignore. The Overflow Status dialog box is closed and you are able to work with other answer fields in the document. If you click on the overflowing answer field again, or if you check for answer overflow, you will be asked to resolve the overflow again.
    Resolve the overflow on your own | Choose Close. HotDocs highlights the overflowing field so you can change the answer in whatever way you choose.

Once you resolve the overflow, you can click Close to close the dialog box. Any other fields that overflow will display a similar dialog box.

Note: You can prevent HotDocs from checking for field overflow during assembly. See Set Rules for Handling Answer Overflow for details.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Check Form Fields for Answer Overflow


HotDocs Help - Creating Template and Document Summaries

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Creating Template and Document Summaries

Overview: Question and Answer Summaries

View a Question Summary

View an Answer Summary

View the Variable Sheet

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries


HotDocs Help - Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

Overview: Question and Answer Summaries

Some projects may require a printout of the information in the template. A Question Summary lists each question followed by a blank space so an answer can be written in, as if being filled out like a questionnaire. An Answer Summary lists each question and the associated answer. These printouts can be concise records of exactly what information was used when the document was assembled.

The following is an example of an Answer Summary:

Note:
  • You can specify a one-column or two-column format for your summaries. In one-column format, dialogs, questions, and answers are displayed as an indented outline. In two-column format, the information is presented as a table, with each answer appearing on the same row as its question. (See Change the Way Question and Answer Summaries Appear.)
  • If you're assembling a form document, you can create a questionnaire by printing a blank copy of the form itself.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > Overview: Question and Answer Summaries


HotDocs Help - View a Question Summary

Overviews

  • Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

View a Question Summary

You can create a concise list of the questions that appear in an interview. This can be useful when you want to create a questionnaire, gathering information from one person so that a second person can enter the information using HotDocs. A question summary can also give a quick overview of what questions will be asked during an interview.

You can format a question summary to appear as an indented bullet list, or as a table with one column for questions and a second column for answers. (See Change the Way Question and Answer Summaries Appear.) Also, in a question summary, you can control which conditional sections are included. (See Control Which Variables are Asked in a Question Summary.)

To assemble a question summary

  1. Assemble a text or form document. (See Assemble a Text or Form Document.)
  2. At the assembly window, click the Question Summary tab. The assembly window shows the HotDocs variables and other information about the template. (To hide or show the tab, choose Question Summary Tab at the View menu.)
  3. Optionally, complete any of the following tasks:
    To | Do This
    Print a copy of the summary | Click the Print Summary Print button.
    Attaches the summary (in HTML format) to an e-mail message to send to another person | Choose Send Summary to Mail Recipient (File menu).
    Send the summary to the word processor so you can edit it or format it | Click the Send to Word Processor Send Summary to Word Processor button.
    Save a copy of the summary as an HTML document | Click the Save Document Save Summary button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > View a Question Summary


HotDocs Help - View an Answer Summary

Overviews

  • Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

View an Answer Summary

An answer summary is a list of the questions and the answers in an assembled document. It provides a way to quickly scan and review information, rather than reading through a document or paging through dialogs in the assembly window.

You can format an answer summary to appear as an indented bullet list, or as a table with one column for questions and a second column for answers. (See Change the Way Question and Answer Summaries Appear.)

To view an answer summary

  1. At the HotDocs library window, select a template and begin assembling a document. (See Assemble a Text or Form Document.)
  2. After answering the questions, click the Answer Summary tab. The assembly window shows the HotDocs variables and the answers you have entered in the interview.
  3. Optionally, perform any of the following tasks:
    To | Do This
    Print a copy of the summary | Click the Print Summary Print button.
    Attaches the summary (in HTML format) to an e-mail message to send to another person | Choose Send Summary to Mail Recipient (File menu).
    Send the summary to the word processor so you can edit it or format it | Click the Send to Word Processor Send Summary to Word Processor button.
    Save a copy of the summary as an HTML document | Click the Save Document Save Summary button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > View an Answer Summary


HotDocs Help - View the Variable Sheet

Overviews

  • Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

View the Variable Sheet

The Variable Sheet helps you see the relationship between variables and answers. It shows the variables in the interview as well as the answers, variable types, and prompts. While viewing the Variable Sheet, you can sort the different columns.

To view the Variable Sheet

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, choose Variable Sheet Tab (View menu).
  3. Click the Variable Sheet tab. The assembly window changes to show the Variable Sheet.
  4. Optionally, complete any of the following tasks using toolbar buttons and menus:
    • To sort the different lists in alphanumeric order, click one of the column headings.
    • To save the variable sheet as an HTML document, click the Save Variable Sheet Save Variable Sheet button.
    • To view the variable sheet in the word processor, click the Send Variable Sheet to Word Processor Send Variable Sheet to Word Processor button.
    • To attach the variable to an e-mail message, click File > Send Variable Sheet To > Mail Recipient.

    • To copy the contents of the Variable Sheet into a spreadsheet program, such as Microsoft Excel, click File > Send Variable Sheet To > Spreadsheet.

      Caution:When sending Variable Sheet data to a spreadsheet, HotDocs automatically looks for Microsoft Excel. If you do not have Excel installed, you will be prompted to copy the contents from the Clipboard to another spreadsheet program.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > View the Variable Sheet


HotDocs Help - Answer Files: Saving Answer Files

All About...

  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Answer Files: Saving Answer Files

Overview: Save Answers

Create a New Answer File

Create a Default Answer File

Suggest an Answer File for Every Assembly

Save an Answer File During Assembly

Switch Answer Files During Assembly

Attach an Answer File to an E-mail Message

Spell Check Answers

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files


HotDocs Help - Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Overview: Save Answers

When you assemble a document, you can save the answers you enter in an answer file, which can then be used later to recreate the same document or assemble other documents that require the same information.

For example, perhaps you are creating several estate planning documents that require much of the same information, like names, addresses, and important dates. You can save your answers in an answer file and then use that answer file when assembling other estate planning documents. This eliminates the need to re-enter information you've already provided. Answer files are saved in XML format.

You can organize your answer files with the Answer File Manager, or you can use Windows Explorer to manage your answer files. (See Manage Answer Files.)

Note: See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for details on making answer files compatible with versions of HotDocs prior to HotDocs 2009 and HotDocs 10.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Overview: Save Answers


HotDocs Help - Create a New Answer File

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Create a New Answer File

Often, you want to save answers you enter during an interview so they can be used with other interviews. Saving answers in an answer file and then reusing those answers keeps you from having to enter the same information multiple times.

To create a new answer file by assembling a document

  1. At the HotDocs library window, select a template and begin assembling a document with a new, untitled answer file. (See Assemble a Text or Form Document.)
  2. Answer the questions in the interview and click the Save Answers Save Answers button. The Save Answer File dialog box appears.
  3. In the File name box, enter a file name. (To save the answer file in a folder other than the default Answers folder, click the Browse Browse button and select a location.)
  4. In the Title box, enter a name for the new answer file. This name will identify the answer file in Answer File Manager.
  5. Optionally, type a note in the Description box to help identify the answer file. (The description will appear at the Properties tab of Answer File Manager. When searching for specific answer files, you can search based on text in the description.)
  6. If the answer file will be used with HotDocs 2005-2008, select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)
Note:
  • To save an existing answer file as a new answer file, choose Save As (File menu) and enter a new name for the answer file. To create a new, empty answer file while in Answer File Manager, click the New Answer File New Answer File button and enter the appropriate information about the file you want to create.
  • By default, answer files are saved in the answer file folder specified during installation (for example C:\Documents and Settings\Username\My Documents\HotDocs\Answers). To change this default location, see Change HotDocs Program File Locations.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Create a New Answer File


HotDocs Help - Create a Default Answer File

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Create a Default Answer File

When certain answers are used frequently in a specific document, you can have those answers automatically inserted each time you assemble the document. To do this, create a default answer file for that document.

A default answer file must be saved to the same folder as the template's component file. It must also have the exact same file name as the component file, but the file name extension must be either .ANX or .ANS. In most cases, the file name and path for the component file are identical to the file name and path for the template file. (The exception would be if the template is pointing to a shared component file, in which case you would use the shared component file name.) You can find this information by selecting the template at the HotDocs library window and viewing the Properties tab.

To create a default answer file for a document

  1. At the HotDocs library window, select a template and begin assembling the document, using a new answer file. (See Assemble a Text or Form Document.)
  2. Type information for only the answers you want to be default answers.
  3. Click the Save Answers Save Answers button. The Save Answer File dialog box appears.
  4. At the File name box, click the Browse Browse button and locate the folder that contains the component file. Then enter a name that matches the component file's name, followed by an answer file name extension. For example, if the component file is named Invoice.cmp, the answer file name would be Invoice.anx.
  5. In the Title box, type a name for the default answer file.
  6. Optionally, in the Description box, type a description for the answer file.
  7. If the answer file will be used with HotDocs 2005-2008, select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)

The next time you assemble the document, HotDocs automatically inserts the answers from the default answer file into the template's answer fields. You can then modify the answers as necessary and save a new answer file. (See Create a New Answer File.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Create a Default Answer File


HotDocs Help - Suggest an Answer File for Every Assembly

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Suggest an Answer File for Every Assembly

You may use a certain answer file more frequently than any others. You can select an option that will automatically suggest that answer file every time you assemble a document.

To suggest an answer file for every assembly

  1. At the HotDocs library window, select a template and click Assemble Assemble. The Answer File dialog box appears.
  2. Click the Open Answer File Open Answer File button. The Open Answer File dialog box appears.
  3. Choose an answer file and click Select Select. The Answer File dialog box appears again.
  4. Select Automatically select this answer file for use with the next assembly, then click OK.

The next time you assemble any document, the same answer file will automatically be selected at the Answer File dialog box. To change the answer file, click the Open Answer File Open Answer File button and choose a different file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Suggest an Answer File for Every Assembly


HotDocs Help - Attach an Answer File to an E-mail Message

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Attach an Answer File to an E-mail Message

After gathering information in an interview, you may need to send those answers to another user. You can do this by attaching the answer file to an e-mail message.

Caution:Internet-based e-mail services are not compatible with this feature. You must have an e-mail program, such as Microsoft Outlook, installed on your computer.

To attach an answer file to an e-mail message

  1. At the HotDocs library window, select a template and begin assembly. (See Assemble a Text or Form Document.)
  2. After completing the interview, click Send Answers To (File menu). The Send Answers to Mail Recipient dialog box appears.
  3. In the Attachment name box, enter a name for the answer file attachment. Make sure to leave the file name extension on the attachment name.
  4. Optionally, if you want the answer file to be compatible with versions of HotDocs prior to HotDocs 2009, select HotDocs 2005-2008 answer file.
  5. Click OK. HotDocs opens an e-mail message and attaches the answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Attach an Answer File to an E-mail Message


HotDocs Help - Answer Files: Using Answer File Manager

All About...

  • Answer Files: Saving Answer Files
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Answer Files: Using Answer File Manager

Overview: Use Answer Management

Open and Close Answer File Manager

Add an Answer File to Answer File Manager

Work with Answer File Manager

Add, Modify, and Delete Folders in Answer File Manager

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager


HotDocs Help - Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Overview: Use Answer Management

By default, each answer file you create or use is managed through the Answer File Manager. The Answer File Manager is similar to the HotDocs template library in that it allows you to organize your answer files according to project specifications. It also lets you sort and search for answer files. (See Overview: Use HotDocs Libraries.)

At times you may prefer to not use the Answer File Manager. For example, you can manage answer files using a document manager instead of Answer File Manager. Or, if you have multiple users accessing the same set of answer files, you can use Windows Explorer, since only one person can have write access to Answer File Manager. (All other users have read-only access, which keeps them from saving or adding answer files to the answer library.)

Note: HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Overview: Use Answer Management


HotDocs Help - Open and Close Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Open and Close Answer File Manager

When you use Answer File Manager to manage your answer files, you have greater control over the organization of your files (see Work with Answer File Manager). To use Answer File Manager, however, you must first open it.

To open Answer File Manager

  • At the HotDocs library, click the Answer File Manager Answer File Manager button. Answer File Manager appears.

To close Answer File Manager

  • At Answer File Manager, click the X in the upper-right corner of the dialog box.
Note: You can also open Answer File Manager by choosing Answer File Manager at the Tools menu. To close Answer File Manager using the keyboard, press Alt+F4.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Open and Close Answer File Manager


HotDocs Help - Add an Answer File to Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Add an Answer File to Answer File Manager

Answer File Manager allows you to organize your answer files. When you save your answers after an interview, a reference to the file is automatically added to Answer File Manager. When you need to use answer files that someone else has created (or if you have created them while using Windows Explorer to manage your files), you must add the files to Answer File Manager.

There are two ways to add an answer file to an answer library. You can import the answer file or you can add it using the Add Answer File Add button.

To import an answer file

  1. At the HotDocs library window, click the Answer File Manager Answer File Manager button. Answer File Manager appears.
  2. Click Import Import. The Import Answer File dialog box appears.
  3. Browse to and select the file you want to import. HotDocs confirms you want to import the file.
  4. Click Yes. The answer file is added to Answer File Manager. The file is also automatically included in any answer file drop-down lists.

To add an answer file to Answer File Manager using Add

  1. At the HotDocs library window, click the Answer File Manager Answer File Manager button. Answer File Manager appears.
  2. Click the Add Answer File Add button. The Add Item dialog box appears.
  3. In the File name box, enter the path and file name of the answer file you want to use (or click Browse Browse to locate and open the file).
  4. In the Title box, enter a name for the answer file. This title will identify the answer file in Answer File Manager.
  5. Optionally, in the Description box, enter a description to help you identify the answer file. (This description appears at the Properties tab, and can be used when searching for specific answer files.)
Note:
  • By default, answer libraries are saved in binary format, which does not support the use of international characters. If you attempt to add an answer file that contains international characters in its properties to Answer File Manager, HotDocs will prompt you to choose whether to create a new, XML-based answer library (which will support these characters) or convert the foreign characters to an approximate character that can be read in binary format. If you choose to create a new XML-based library, HotDocs 2005-2008 will continue to use the older binary-format library, while HotDocs 10 and HotDocs 2009 will use the XML-based library.
  • If the answer file is located in a folder other than the default Answers folder, you can import the file, which copies the file to the default Answers folder and adds it to Answer File Manager. To do this, click Import Import and then locate the answer file.
  • When adding files to the library, press Ctrl or Shift to select multiple files at once.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Add an Answer File to Answer File Manager


HotDocs Help - Work with Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Work with Answer File Manager

Answer File Manager helps you organize answer files, much like a HotDocs library helps you organize templates and clause libraries.

When you save answer files, they are added to Answer File Manager. Once added, you can organize the files and modify the properties of the files. In addition, you can view an answer file's history—a list of dates and times the answer file was used, including the template with which it was used. Finally, the Answer File Manager lets you preview the answers currently saved in an answer file.

Note: By default, answer libraries are saved in binary format, which does not support the use of international characters. If you are using a binary answer library and you either add an answer file that contains foreign characters in its properties to the library, or you change the properties or an existing file to include foreign characters, HotDocs will prompt you to either convert the answer library to XML format or manually remove the characters from the file's properties. If you choose to convert the answer library to XML format, you will have two answer libraries—one that works with HotDocs 2008 and earlier and one that works with HotDocs 2009 and later. (A third option allows you to keep the library in its current, non-XML format, but HotDocs will replace characters that are not compatible with your system's default language with the closest approximation available. Usually this means HotDocs will use question marks or square box characters.)

To display Answer File Manager

  1. At the template library, click the Answer File Manager button. The Answer File Manager dialog box appears.
  2. Complete any of the tasks described in the following table:
    To | Do This
    Create a new, empty answer file | Click the New Answer File New button. (See Create a New Answer File.)
    Add an existing answer file to the library

    Click the Add Answer File Add button. (See Add an Answer File to Answer File Manager.)

    To add multiple files one at a time, press Ctrl or Shift to select several files.

    Remove a reference to an answer file and optionally delete the actual file from disk | Select the answer file, then click Remove Answer File Remove.
    Simultaneously copy an answer file you receive to the Answers folder and add it to the answer library | Click Import Answer File Import. The Import Answer File Name dialog box appears, where you can browse to the answer file and select it. When you click OK, the file is copied to the Answers folder and added to the library.
    Sort answer files in alphanumeric order, based on answer file titles | Select a folder, then click the Sort Answer Files Sort button. The contents of the folder are reorganized.
    Search for a specific answer file | Select Find, then type the text from the answer file's title or description for which you are searching in the text box. Only files that have matching text in their title or description are shown.
    View the answers currently saved in an answer file

    Select the answer file, then click the Contents tab.

    In the Contents tab, you can sort the columns by clicking the column headings.

    View the history of when the selected answer file was used to assemble various templates | Select the answer file, then click the Properties tab.
    Change the title, path, file name, description, or format of an answer file

    Select the answer file, then click the Properties Properties button and make the necessary changes.

    Caution: Changing the file path does not change the location of the actual answer file. If you change the file path without moving the actual file to the new location on disk, that answer file will not be accessible.
    Add a folder so that you can better organize groups of answer files | Click the Add Answer File Add button, then select Folder at the Type drop-down box. (See Add, Modify, and Delete Folders in Answer File Manager.)
    Modify a folder's title or description | Select the folder, then click Properties Properties. (See Add, Modify, and Delete Folders in Answer File Manager.)
    Delete a folder | Select the folder, then click Remove Remove. HotDocs asks what you want to do with any answer files within the folder. (See Add, Modify, and Delete Folders in Answer File Manager.)
    Move an answer file into a folder | Double-click the folder to open it, then select the answer file and drag it to the folder.
    Change the format of an answer file so it is compatible with a specific version of HotDocs | Select the answer file, and then click Properties Properties. The Item Properties dialog box appears where you can select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for details.)
    Use Windows Explorer to access answer files instead of Answer File Manager | Change the setting at the HotDocs Options dialog box. (See Manage Answer Files.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Work with Answer File Manager


HotDocs Help - Add, Modify, and Delete Folders in Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Add, Modify, and Delete Folders in Answer File Manager

To help organize your answer files, you can place them in folders and subfolders within Answer File Manager.

To add a new folder

  1. At the HotDocs library window, click the Answer File Manager Answer File Manager button. The Answer File Manager appears.
  2. Click the Add Answer File Add button. The Add Item dialog box appears.
  3. In the Type drop-down list, select Folder. The dialog box changes to show the options needed for new folders.
  4. In the Title field, enter a folder name.
  5. Optionally, in the Description field, enter notes to explain why the folder was created, or what kinds of answer files it contains. (This description appears at the Properties tab, and can be used when searching for specific answer files.)
  6. Click OK. The folder is added to the answer library. You can work with the folder using the following commands:
    To | Do This
    Move an answer file to a specific folder | Double-click the folder to open it, then select an answer file and drag it to the folder.
    Modify the title or description | Select the folder and click the Properties Properties button. The Item Properties dialog box appears, where you can change the title or description.
    Sort the contents of a folder in alphanumeric order | Select the folder and click Sort Sort. The answer files are rearranged based on title.
    Remove a folder | Select a folder and click Remove Remove. If you want to remove the items in the folder as well, select Remove the unselected items contained in the selected folders. Otherwise, any files referenced in the folder will be moved to the next folder level.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Add, Modify, and Delete Folders in Answer File Manager


HotDocs Help - Using Published and Web-Based Files

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Using Published and Web-Based Files

Overview: Use Published Files on the Internet

Register HotDocs to Work with Web Browsers

Add an Auto-Assemble File on the Internet to a HotDocs Library

Download Auto-Assemble Files for Use Offline

Install a Template Set

Check for Template Set Updates

Upload Answers

Add a Web Page to a HotDocs Library

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files


HotDocs Help - Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Overview: Use Published Files on the Internet

When you install HotDocs, the installation program sets up HotDocs as a helper program for Microsoft Internet Explorer. This makes it possible for the browser to communicate with HotDocs. When you click on a hyperlink to an auto-install or auto-assemble file, the browser starts HotDocs and sends it the file. Then HotDocs begins installing or assembling the file.

In HotDocs, you can also add auto-assemble files from the Internet or from a corporate intranet to your HotDocs library. This allows you to access the files without starting your browser. If you will be unable to connect to the Internet at the time of assembly, you can download and cache copies of the auto-assemble files for use offline. If you add the URL for a Web page to a HotDocs library, you can start your browser from within HotDocs and display that Web page.

In HotDocs, if you are using a template that has been enabled for answer uploading, you can upload the answers you used to assemble a document to a Web server. (Note, however, that the URL of the Web server must be specified by the template developer.)

Finally, if you use a browser other than Internet Explorer, you may need to manually register HotDocs to work with your browser.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Overview: Use Published Files on the Internet


HotDocs Help - Register HotDocs to Work with Web Browsers

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Register HotDocs to Work with Web Browsers

If HotDocs is registered as a helper program with your Web browser, you can click on a HotDocs auto-install (.HDI) or auto-assemble (.HDA) file listed on a Web page and have your browser start HotDocs and pass the file to it.

The HotDocs installation program automatically registers HotDocs with Microsoft Internet Explorer. If you use a different Web browser, you will need to register HotDocs as a helper program yourself. Specific instructions for your browser should be available in your browser’s online help system. (Search for the keywords MIME types, file types, helper programs, or associations.)

To register HotDocs with a Web browser (other than Internet Explorer)

  1. Find your browser’s list of MIME types. A MIME type is an association that tells the browser what to do when you download a particular type of file. Each entry in the list of MIME types consists of a MIME type, one or more associated file name extensions, and an action to take on files of this type—usually either by displaying the file in the browser, by using a plug-in to view it, or by starting a helper program. Depending on the browser, each entry may also have a descriptive name.
  2. For HotDocs auto-assemble files, make an entry in the MIME types list using the following settings:
    Option | Value
    Name (optional) | HotDocs Auto-Assemble File
    MIME type | application/x-hotdocs-auto
    Extension | hda
    Launch Application

    hd_dispatch.exe /ha=

    Note: By default, the launch application executable is found in C:\Program Files\HotDocs 6.
  3. For HotDocs auto-install files, make an entry in the MIME types list using the following settings:
    Option | Value
    Name (optional) | HotDocs Auto-Install File
    MIME type | application/x-hotdocs
    Extension | hdi
    Launch Application

    hd_dispatch.exe /hi=

    Note: By default, the launch application executable is found in C:\Program Files\HotDocs 6.
  4. Save these settings and restart your browser.
Note: If you upgrade or change browsers after installing HotDocs, you may need to reinstall HotDocs so it will be registered correctly with the new browser.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Register HotDocs to Work with Web Browsers


HotDocs Help - Add an Auto-Assemble File on the Internet to a HotDocs Library

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Add an Auto-Assemble File on the Internet to a HotDocs Library

You can add an auto-assemble file located on the Internet to the HotDocs library. You must know the URL for the file’s location on the Internet or intranet. When you select the auto-assemble file at the library window, and click the Assemble button, HotDocs downloads the file and begins assembling.

To make sure you always have the most current version of the auto-assemble file, you must be connected to the Internet at the time you assemble it. Otherwise, HotDocs uses the version of the file that has been cached.

To add an Internet-based auto-assemble file to a library

  1. At the HotDocs library window, select the folder in which you want the auto-assemble file and click the Add Add button. The Add Item dialog box appears.
  2. In the Type drop-down list, select Auto-Assemble File.
  3. At the File name box, type the URL for the file's location on the Internet or intranet, or click the Browse Browse button to locate the file on your local disk or network and click OK.
    Note: Make sure the URL is entered correctly. If you don’t include http:// or https:// or ftp:// (or if you are missing a slash or a colon), HotDocs will treat the URL as a regular file path.
  4. In the Title box, type a title for the auto-assemble file. The title identifies the file in the template library.
  5. Optionally, type a description in the Description box. The description appears at the Properties tab.
Note: The first time you use an auto-assemble file that is stored on a Web server to assemble a document, HotDocs caches the HDA on your hard disk. Then, each time you use the file, it checks to see if a newer version of the file is available and, if so, automatically downloads it. You can also force HotDocs to check for newer versions by choosing Refresh Cache from the Tools menu. (See Download Auto-Assemble Files for Use Offline.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Add an Auto-Assemble File on the Internet to a HotDocs Library


HotDocs Help - Download Auto-Assemble Files for Use Offline

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Download Auto-Assemble Files for Use Offline

In HotDocs, you can download the latest version of an auto-assemble (.HDA) file and store it on your local drive. When you are assembling, if HotDocs can't connect to the Internet or intranet, it uses the local copy.

To download auto-assemble files for use offline

  1. At the HotDocs library window, select the auto-assemble file you want to download. You can download all the auto-assemble files in a folder by selecting the folder.
  2. Click Refresh Cache (Tools menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Download Auto-Assemble Files for Use Offline


HotDocs Help - Install a Template Set

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Install a Template Set

Some template sets are published as an auto-install file. Because these templates are published, you can't simply add the templates to an existing library. Instead, you must first install them. When you do, HotDocs installs the library and templates to the locations you specify. You can then access the templates.

To install a template set

  1. At the HotDocs library window, click Install Templates (File menu). The Install Templates dialog box appears.
  2. Locate and select the auto-install (.HDI) file you want to install, then click Install. The Install Template Set dialog box appears.
  3. At the Specify where the templates should be installed box, accept the suggested Template Sets folder location, or click the Browse Browse button to choose a different location.
  4. Click the Choose where the library file should be installed drop-down button and choose whether to save the library to the shared Templates folder, the user-specific Libraries folder, or, if you installed the templates to a custom folder in step 3, to the same folder as specified for the templates.
  5. Click OK. HotDocs installs the template set (including the library) to the locations you specified.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Install a Template Set


HotDocs Help - Check for Template Set Updates

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Check for Template Set Updates

If you are using a published template set, HotDocs can check for updates to the set at regular intervals and notify you when updates are available. Updates can include new or revised template files, or they may include an important message from the template provider. Although the frequency of automatic update checks is set by the template provider, you can manually check for template set updates at any time.

To check for template set updates

  1. At the HotDocs library window, click Update Template Sets (Tools menu). The Update Template Sets dialog box appears.
  2. Select the template sets for which you want to check for updates, then click OK. The Template Set Update Progress dialog box appears, showing the progress as HotDocs checks for updates.
  3. When HotDocs has finished checking for updates, the Install Template Set Updates dialog box appears, displaying a list of updates. You can work with this list as described in the following table:
    To | Do This
    Install specific update items | Select Install for each item you want to install.
    Discard an update item to prevent HotDocs from prompting you to install the update | Select Discard for the item. If this box is disabled, the template provider has marked it as a required update and it cannot be discarded. (You can choose to not install the update, but it will be displayed every time you check for updates.)
    View a list of discarded updates | Select Discarded updates. The list changes to include discarded items.
    View a list of all installed updates | Select Installed updates. The list changes to include installed updates.
    Reinstall an update | Select Installed updates, then select the update you want to reinstall from the list.
  4. Click Continue. HotDocs installs the selected updates.
Note: You can hide the Template Set Update Progress dialog box or choose which template sets are checked for updates in the HotDocs Options dialog box. (See Determine How Frequently HotDocs Checks for Template Set Updates.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Check for Template Set Updates


HotDocs Help - Upload Answers

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Upload Answers

If a template has been enabled for answer uploading, the answers you provide to assemble a document can be uploaded to a Web server. The template developer specifies where and when answers will be uploaded. The developer may also specify that HotDocs automatically uploads the answers.

To upload answers

  1. If a template is enabled for uploading answers, HotDocs automatically displays the Upload Answers dialog box after you assemble a document and close the assembly window. (If the Upload Answers dialog box doesn't appear, it means either that the template isn't enabled for answer uploading, or that the template developer specified that HotDocs must always upload the answers.)
  2. Click one of the upload buttons to finish the upload process: Upload Now (uploads the answers immediately), Upload Later (lets you upload either when you start or exit HotDocs), or Don't Upload (doesn't upload the answers at all).
Note:
  • If errors occur when HotDocs tries to upload the answers (or if you click the Upload Later button), HotDocs creates a data file that contains the information needed about the files you need to upload. Then, every time HotDocs starts or closes, it checks to see if files are waiting to be uploaded and prompts you to upload them.
  • If you choose to Upload Later, you can then upload the files from the library window at any time by clicking Upload Answers (Tools menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Upload Answers


HotDocs Help - Add a Web Page to a HotDocs Library

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Add a Web Page to a HotDocs Library

You can include a URL in a HotDocs template library, making it possible to open a Web page and download published files. You can also use a URL to link to a support site where information about the template set is available.

When you click a URL in the template library, HotDocs launches a Web browser and displays the specified Web page.

To add a Web page to a template library

  1. At the HotDocs library, open the folder to which you want to add the URL.
  2. Click the Add Add button. The Add Item dialog box appears.
  3. At the Type drop-down list, select Web Address.
  4. In the URL box, enter the URL. Or, click the Browse Browse button to locate the address. Then close the browser window to save the URL to the Add Item dialog box.
    Note: Make sure the URL is entered correctly. If you don’t include http:// or https:// or ftp:// (or if you are missing a slash or a colon), HotDocs will treat the URL as a regular file path.
  5. In the Title box, enter a title for the URL. The title identifies the item in the template library.
  6. Optionally, type a description in the Description box. The description appears at the Properties tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Add a Web Page to a HotDocs Library


HotDocs Help - Assembling Documents Linked to a Database

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Assembling Documents Linked to a Database

Overview: Assemble Documents Linked to a Database

Select Records During Document Assembly

Sort Database Records During Assembly

Filter Database Records During Assembly

Save Selected Records in an Answer File

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database


HotDocs Help - Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Overview: Assemble Documents Linked to a Database

For the most part, templates linked to database tables are assembled just like regular unlinked templates. However, instead of entering answers to questions, you select a record or records from a database table and HotDocs uses the information in those records and merges them into the assembled document. You can save your record selections in a HotDocs answer file.

Depending on how the template was designed, you may also have the ability to sort and filter records you view in the database table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Overview: Assemble Documents Linked to a Database


HotDocs Help - Select Records During Document Assembly

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Select Records During Document Assembly

Instead of displaying questions during the interview for which you must enter individual answers, HotDocs presents a list of records from which you can choose. The information in the record or records you select will be merged into the assembled document.

In some situations, the template developer may allow you to select multiple records from the table, for example, to create a list of answers.

To select records from a database table

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When a database table appears, click a single row in the table, or press and hold either Shift or Ctrl to click multiple rows.
  3. If selecting a single row, complete the following steps:
    1. Click Select. HotDocs places the record in the Selected Item pane of the assembly window. (You can also double-click a record and have it automatically placed in the Selected Item pane.)
    2. Click Next. HotDocs merges the answers from the database record into the assembled document.
  4. If selecting multiple rows, complete the following steps:
    1. Click Select. HotDocs adds the records you just selected to the Selected Items pane of the assembly window. (Additionally, to select multiple records, double-click the cell that uses a thicker border in the last record you selected.)
    2. Optionally, select a record and click the Up Up button (moves the record up to the next row in the list of records) or the Down Down button (moves the record down to the next row in the list of records). You can also click the column headings of the Selected Items list to automatically sort selected rows by any field. (These options are available if the template developer has given you permission to sort your records. If these buttons do not appear, you cannot change the order of selected rows.)
    3. Click Next Next. HotDocs merges the answers from the database into the assembled document.
Note:
  • If the template developer has assigned a filter to the table, you may see different results. For example, if only one record meets the filter criteria, that record will automatically be merged into the document without appearing in the interview. Similarly, if no records meet the filter criteria, HotDocs will ask the questions and allow you to enter your own answers. Finally, in some situations, the template developer may have opted to have any selections returned by the filter automatically merged into the assembled document without first prompting you.
  • To remove a selected record, you can either select a different record, or you can click Clear Clear.
  • To remove a single selected record from the Selected Items list, select the record and click Clear. To remove all selected records from the list, click Clear All.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Select Records During Document Assembly


HotDocs Help - Sort Database Records During Assembly

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Sort Database Records During Assembly

If the template developer has allowed it, you can sort the list of records in the database table to show the records in ascending (A to Z,1 to 9) or descending (Z to A, 9 to 1) order. You can sort on any column in the table. Additionally, if the template developer has allowed you to select multiple records (in order to create a list of answers), you can choose which order the answers will be merged into the document.

To sort database records in alphanumeric order

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When the database table appears, click the heading for the column on which you want to sort. HotDocs sorts the list in alphanumeric order (A to Z, 1 to 9.)
  3. Optionally, to sort the list in reverse alphanumeric order, click the column heading again. HotDocs lists the entries from Z to A, 9 to 1.
  4. Optionally, if you have selected multiple records and want to control the order the answers are merged into the assembled document, click a record in the Selected Items list and then click the Up button (moves the record up to the next row in the list of records) or the Down button (moves the record down to the next row in the list of records). You can also click the column headings in the Selected Items list to automatically sort the selected items by any field.
Note: You may also be able to filter the list of records to show only those you think will be relevant to your selection. See Filter Database Records During Assembly for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Sort Database Records During Assembly


HotDocs Help - Filter Database Records During Assembly

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Filter Database Records During Assembly

If the template developer has allowed it, you can filter the list of records in the database table to show only those records you think are relevant. To do this, you specify conditions that must be met for the records to appear. You can filter based on any field in the table.

To filter a list of records in a database table during assembly

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When the database table appears, select Find records where all conditions are met. This causes filtering options to appear at the top of each database column.
  3. In the database table, select the drop-down button at the top of the column on which you want to filter and select a comparison operator. A comparison operator allows you to compare two values. If the comparison results in a true statement, the record will be included. If it's false, it will not be included.
  4. In the field directly below the comparison operator, type the value against which you want to filter. For example, to view only those companies whose names start with the letter A, you would click the drop-down button in the Company column, select begins with, and type the letter A in the next cell.
  5. Click Apply Filter. HotDocs filters the list of records to show only those that meet the criteria you specified.

Once the list is filtered, you can select a record or records (see Select Records During Document Assembly) and continue with the interview.

Note:
  • When you apply the filter, only those records that meet every condition you specified will be returned. This is because <all> is selected at the Find records where all conditions are met prompt. You can click the drop-down button and select <any> , which will return a record, even if only one of the conditions is true.
  • You can sort a list of records in alphanumeric order. For details, see Sort Database Records During Assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Filter Database Records During Assembly


HotDocs Help - Save Selected Records in an Answer File

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Save Selected Records in an Answer File

If you are using a database to provide your answers during document assembly, you can save your answers using the same steps you follow when saving regular answer files. (See Create a New Answer File.)

However, if you think you may need an exact replica of a document assembled from a template that includes a database component, be sure to save a copy of the document. If you try to reassemble the document later, even if you use the same answer file, the document may not come out exactly the same because the information stored in the connected database may have changed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Save Selected Records in an Answer File


HotDocs Help - Using Command-Line Options

Using Command-Line Options

Overview: Command-Line Options

Full List of Command-Line Options

Answer File

Answer Summary

Clause Name

Default Answer File

Discard Answers

Edit Template

Exit HotDocs

Finish Interview Action

Hide Library

HotDocs Auto-Assemble File

HotDocs Auto-Install File

Interview Scope

Keep Interview Group

Library File

Lock Answer File

Lock Library

Model Document

New Answer File

No Assembly Window

No Interview

Output File

Overlay Answer File

Paper Size

Paper Tray

Print

Print Answers Only

Print Both

Print Copies

Print Duplex

Print Form Only

Print Without Dialogs

Question Summary

Save Answers

Save Answers Prompt

Send to Word Processor

Show Library

Start Interview Group

Suggest Save

Suggest Save New

Suppress Unanswered Warning

Template File

Use Command-Line Options at File Properties

Use Command-Line Options When Starting HotDocs

Use Command-Line Options when Using a Shortcut to Start HotDocs

Home > All About... > Using Command-Line Options


HotDocs Help - Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Overview: Command-Line Options

You can use command-line options to control the way HotDocs assembles text and form documents. Most options can be placed on any command line that causes HotDocs to run. They are case-sensitive and must be typed in lowercase letters. If the option requires you to include a full file path, you must enclose the file path with quotation marks.

You can use command-line options in different ways, including specifying the options at the command line, at the Properties dialog box of a given template, and for the program file's shortcut.

Most command-line options control certain aspects of document assembly. For example, you can specify an option that always prints an assembled document once it has been sent to the word processor.

Caution:
  • When HotDocs is started from the command line, it will continue to run, even after the processing of the command-line request is completed. To tell HotDocs to close after processing the command-line request, use the Exit HotDocs option.
  • If you are using multiple options on a single command line, you must separate each option with a space character. If the command line includes space characters, you must enclose the path in quotation marks.

To use command-line options when starting HotDocs

  1. Choose Run from the Start menu. The Run dialog box appears.
  2. Type "C:\Program Files\hotdocs.exe" (including the quotation marks) followed by a space and the options you want in the Open box. For example:

    "C:\Program Files\HotDocs\Hotdocs.exe" /tf=demoempl.rtf

  3. Click OK. If HotDocs is not already running, it loads and then performs the command-line instructions. If HotDocs is already running, it performs the command-line instructions.

To use command-line options when using a shortcut to start HotDocs

  1. Locate the HotDocs program file shortcut. (A shortcut is an icon on the desktop or Start menu that a user can click to quickly access a program.)
  2. Right-click the icon and select Properties from the shortcut menu. The program item's Properties dialog box appears.
  3. Select the Shortcut tab.
  4. In the Target box, enter a space after the executable (.EXE) file and type the options you want.

To add command-line options to a library item

  1. Open a library at the HotDocs library window.
  2. Select the library item and click the Properties Properties button to open the Item Properties dialog box.
  3. In the File name box, following the file name, type a space and the command-line options you want to use. For example:

    /af="C:\Documents and Settings\Username\My Documents\HotDocs\Answers\jalvey.anx"

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Overview: Command-Line Options


HotDocs Help - Full List of Command-Line Options

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Full List of Command-Line Options

Option Name | Option | Description
Answer File | /af | The Answer File option is useful if you want to use a specific answer file when you assemble a document. The option does two things: 1) when a template is selected for assembly, it immediately opens the specified answer file without displaying the Answer File dialog box, and 2) it sets the value for path and file name as the current answer file name to be used when answers are saved. If the specified answer file doesn't exist, it will be created when the user saves the answers.
Answer Summary | /as | The Answer Summary option is used with the Output File option to specify the path and file name for saving an answer summary. It is useful if you want a certain template to always generate an answer summary document.
Clause Name | /cl | The Clause Name option is used by HotDocs to identify which clause component is associated with an item in a clause library. It is also used by HotDocs to process INSERT instructions during the assembly process. Generally speaking, developers should never have to modify this option unless they are converting clauses from one file format to another. Likewise, end users may see the Clause Name option while working with clauses at a clause library or during assembly, but should not modify it.
Default Answer File | /df | The Default Answer File option specifies a default answer file that is used to "seed" any answer file created during assembly. When a new answer file is created, it is automatically loaded with answers from the default answer file.
Discard Answers | /da | The Discard Answers option prevents the user from saving answers after the document has been assembled. This option is useful when you know you will never want to save the answers you use with a particular template (for example, a fax cover sheet), and you don't want HotDocs to ask about saving the answers when you close the assembly window. However, the user can save the answer file during the interview.
Edit Template | /ed | The Edit Template option causes HotDocs to edit a template using the specified template or clause library file.
Exit HotDocs | /ex | The Exit HotDocs option closes HotDocs when both of the following conditions are met: 1) there are no documents waiting to be assembled, and 2) all other programs are finished using HotDocs.
Finish Interview Action | /fia | When a user starts assembling a template that has the Finish Interview Action command-line option applied, HotDocs will complete the action defined in HotDocs Options—either display the assembled document at the Document tab of the assembly window or send the document to the word processor or HotDocs Filler. (See Control What Happens When You Finish an Interview.)
Hide Library | /hl | The Hide Library option causes HotDocs to assemble a document without first displaying the HotDocs template library. The user will not see the template library window at all during assembly. It is most commonly used by integrators who are using HotDocs with a third-party program and want to start an assembly without first displaying the template library window. (See also Show Library.)
HotDocs Auto-Assemble File | /ha | The HotDocs Auto-Assemble File option causes a document to be assembled using the specified auto-assemble (.HDA) file.
HotDocs Auto-Install File | /hi | The HotDocs Auto-Install File option causes the template set in the specified auto-install (.HDI) file to be installed. During this process, HotDocs prompts the user for any required information it needs to install the template library to the correct location.
Interview Scope | /is=u | The Interview Scope option allows you to ask only those dialogs that contain questions not answered by an existing answer file. This may be useful, for example, if you have some answers you are retrieving from a database that you don't want the user to change. Using this option will ask only those questions that don't have answers.
Keep Interview Group | /kig | The Keep Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Start Interview Group option, which must be assigned to each subsequent template within the group.
Library File | /lf | The Library File option allows you to start HotDocs and open a specific library. If HotDocs is already running, it opens the library specified by the path and file name.
Lock Answer File | /la | The Lock Answer File option prevents users from opening, closing, and saving answer files during document assembly. If it is the only option used, however, users can choose an answer file before assembly and save any answers they have entered after assembly.
Lock Library | /ll | The Lock Library option locks the current library and prevents the user from editing the library or its contents. Specifically, when HotDocs is launched and the library appears, users can select templates and assemble documents from them. They can also view the answer library and change user preferences at the HotDocs Options dialog box. All other options are unavailable.
Model Document | /mo | The Model Document command-line option indicates that the file referenced in the library is a model document. When you select the document in the library and click Assemble, HotDocs will create an interview for the model document.
New Answer File | /na | The New Answer File option specifies a new, untitled answer file to be used when assembling a given document. This option causes HotDocs to suppress the Answer File dialog box, which normally appears before assembly. Specifying a path and file name is optional. If a file name is specified, it will be used for the new answer file. If an answer file with that same name already exists, HotDocs overwrites the existing file with the new one. If no file name is specified, HotDocs displays a Save Answer File dialog box at the end of assembly.
No Assembly Window | /nw | The No Assembly Window option causes HotDocs to assemble a document without displaying the assembly window.
No Interview | /ni | The No Interview option removes the Interview tab from the assembly window, and, by default, displays the assembled document in the Document Preview or Form Document tab (depending on whether you are assembling a text or form document). To present a correctly assembled document, you should specify an answer file using the Answer File option. Otherwise, the document will be assembled without any answers.
Output File | /of | The Output File option causes HotDocs to assemble the document and save it using the file name specified. If you are using the Answer Summary or Question Summary options, the Output File option specifies the name for either of those generated documents. This is useful if you know you want to save an assembled document every time assembly of that document finishes.
Overlay Answer File | /ov | The Overlay Answer File option causes HotDocs to take answers from a specific answer file and overlay them in the current answer file. For example, if you have specific information about a client that can be used in assembling multiple documents, you can save just that information in an overlay answer file and then use the Overlay Answer File option to force HotDocs to use those answers when assembling a document. All answers entered during assembly (including overlaid answers) are saved to the current answer file—not the overlay answer file—thus maintaining the integrity of the overlay answer file. An overlay answer file is loaded after the regular answer file so that the answers contained therein can overlay existing answers.
Paper Size | /ps | The Paper Size option selects the specified paper size when the user prints a copy of the form template or document. The effect is the same as manually setting the page size from the Print dialog box. This option works with form templates and documents only.
Paper Tray | /pt | The Paper Tray option causes a specified printer paper tray or manual feed option to be used when printing a form document from HotDocs Filler. Paper tray values that can be used include manual, upper, lower, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Source drop-down button.
Print | /pr | The Print option causes HotDocs to print a copy of the assembled text or form document once the user closes the assembly window. This is useful if you know you will always need to print a copy of a specific assembled document.
Print Answers Only | /pa | The Print Answers Only option selects the Answers Only (Use Preprinted Form) option at the Print dialog box. Then, when the user prints the assembled form document, it prints only the form's answers and not the underlying static text. This allows you to use preprinted forms.
Print Both | /pb | The Print Both option selects the Form with Answers option at the Print dialog box. Then, when the user prints the form document, the current form and its answers are printed.
Print Copies | /pc | The Print Copies option specifies the number of copies that should be printed when the user prints the form document. This number should appear in the Number of Copies box at the Print dialog box.
Print Duplex | /pd | The Print Duplex option sets the duplex printing option for a given form document. It prints the document Double-Sided, Side-to-Side, as if that option were selected at the Printing Properties dialog box (which you can access by clicking Document Properties > Printing (File menu).) When the user prints the form document, it is printed using this option.
Print Form Only | /po | The Print Form Only option selects the Form Only (Blank Form) option at the Print dialog box. Then, when the user prints the form document, it prints a blank copy of the form without answers.
Print Without Dialogs | /pw | The Print Without Dialog option causes HotDocs to bypass the Print dialog box and print the form using the current printer. The form is printed when the user clicks the Print Document button at the assembly window.
Question Summary | /qs | The Question Summary option is used with the Output File option to specify the path and file name for saving a question summary. It is useful if you want a certain template to always generate a question summary document.
Save Answers | /sa | The Save Answers option forces an answer file to be saved at the end of an assembly. If using an existing answer file, any answers entered during the interview will be saved automatically. If using a new, untitled answer file, HotDocs will force the user to specify an answer file name.
Save Answers Prompt | /sap | The Save Answers Prompt option, which is used in connection with an ASSEMBLE instruction, prompts the user to save an answer file after completing an interview. Regardless of whether the user uses an existing answer file during assembly, when the user finishes that assembly, HotDocs prompts to save the answers in a different file.
Send to Word Processor | /stw | The Send to Word Processor option sends the assembled document to the word processor once the user closes the assembly window. This is useful if you know you always want to view the assembled document using the word processing program.
Show Library | /sl | The Show Library option forces HotDocs to display the template library if it is currently not showing. This is useful if you are integrating HotDocs with another program and you have hidden the library using the Hide Library option.
Start Interview Group | /sig | The Start Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Keep Interview Group option, which must be assigned to each subsequent template within the group.
Suggest Save | /ss | The Suggest Save option, which is used in connection with an ASSEMBLE instruction, causes HotDocs to ask users after assembly of a document has finished if they want to save answers entered during the interview in an answer file. Specifically, if the user has assembled a document and made changes to an existing answer file, HotDocs prompts to save the answers to that file. If saving a new, untitled file, HotDocs allows the user to specify the new answer file name.
Suggest Save New | /ssn | The Suggest Save New option, which is used in connection with an ASSEMBLE instruction, causes HotDocs to ask if answers should be saved in a new answer file after assembly of a document has finished. Regardless of whether the user is using an existing answer file during assembly, when the user finishes that assembly, HotDocs gives the user the option of saving the answers in a new answer file.
Suppress Unanswered Warning | /sw | The Suppress Unanswered Warning option keeps HotDocs from displaying the warning dialog box that appears when the user attempts to either print, save, or send the assembled document to the word processor and the assembled document still contains unanswered questions.
Template File | /tf | The Template File option causes HotDocs to assemble a document using the specified template or clause library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Full List of Command-Line Options


HotDocs Help - Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Answer File

/af="path and file name"

The Answer File option is useful if you want to use a specific answer file when you assemble a document. The option does two things: 1) when a template is selected for assembly, it immediately opens the specified answer file without displaying the Answer File dialog box, and 2) it sets the value for path and file name as the current answer file name to be used when answers are saved. If the specified answer file doesn't exist, it will be created when the user saves the answers.

When using an existing answer file, you can retrieve an answer file from a location on a Web server by specifying a URL for the path and file name (for example, /af=http://www.yoursite.com/answers.anx). (You cannot, however, save an answer file back to the server.)

Note:
  • You cannot assign the Answer File option to a HotDocs Auto-Assemble file.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Answer File


HotDocs Help - Answer Summary

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Answer Summary

/as

The Answer Summary option is used with the Output File option to specify the path and file name for saving an answer summary. It is useful if you want a certain template to always generate an answer summary document.

The Answer Summary option is normally used with the No Assembly Window and Answer File options, which cause HotDocs to automatically create and save the answer summary document without displaying the assembly window.

Answer summaries are saved in HTML format.

Note: If using this option at the command line, include the Template File and Output File options. If using this option at the library properties, include the Output File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Answer Summary


HotDocs Help - Clause Name

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Clause Name

/cl=clausename

The Clause Name option is used by HotDocs to identify which clause component is associated with an item in a clause library. It is also used by HotDocs to process INSERT instructions during the assembly process. Generally speaking, developers should never have to modify this option unless they are converting clauses from one file format to another. Likewise, end users may see the Clause Name option while working with clauses at a clause library or during assembly, but should not modify it.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Clause Name


HotDocs Help - Default Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Default Answer File

/df="path and file name"

The Default Answer File option specifies a default answer file that is used to "seed" any answer file created during assembly. When a new answer file is created, it is automatically loaded with answers from the default answer file.

When specified, it does not need to have the same file name as the template's component file, nor does it need to be saved in the same folder as the component file. However, the default answer file name should be different from the current answer file name. Also, when using an existing default answer file, you can retrieve it from a location on a Web server by specifying a URL for the path and file name (for example, /df=http://www.yoursite.com/defaultanswers.anx).

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Default Answer File


HotDocs Help - Discard Answers

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Discard Answers

/da

The Discard Answers option prevents the user from saving answers after the document has been assembled. This option is useful when you know you will never want to save the answers you use with a particular template (for example, a fax cover sheet), and you don't want HotDocs to ask about saving the answers when you close the assembly window. However, the user can save the answer file during the interview.

Note:
  • To disable all answer file usage (saving, selecting new, and so forth) during a given assembly, use the Lock Answer File option.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Discard Answers


HotDocs Help - Edit Template

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Edit Template

/ed="path and file name"

The Edit Template option causes HotDocs to edit a template using the specified template or clause library file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Edit Template


HotDocs Help - Exit HotDocs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Exit HotDocs

/ex

The Exit HotDocs option closes HotDocs when both of the following conditions are met: 1) there are no documents waiting to be assembled, and 2) all other programs are finished using HotDocs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Exit HotDocs


HotDocs Help - Finish Interview Action

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Finish Interview Action

/fia

When a user starts assembling a template that has the Finish Interview Action command-line option applied, HotDocs will complete the action defined in HotDocs Options—either display the assembled document at the Document tab of the assembly window or send the document to the word processor or HotDocs Filler. (See Control What Happens When You Finish an Interview.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Finish Interview Action


HotDocs Help - Hide Library

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Hide Library

/hl

The Hide Library option causes HotDocs to assemble a document without first displaying the HotDocs template library. The user will not see the template library window at all during assembly. It is most commonly used by integrators who are using HotDocs with a third-party program and want to start an assembly without first displaying the template library window. (See also Show Library.)

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Hide Library


HotDocs Help - HotDocs Auto-Assemble File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

HotDocs Auto-Assemble File

/ha="path and file name"

The HotDocs Auto-Assemble File option causes a document to be assembled using the specified auto-assemble (.HDA) file.

You can also specify a URL for the path and file name (for example, /ha=http://www.yoursite.com/hdafile.hda).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > HotDocs Auto-Assemble File


HotDocs Help - HotDocs Auto-Install File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

HotDocs Auto-Install File

/hi="path and file name"

The HotDocs Auto-Install File option causes the template set in the specified auto-install (.HDI) file to be installed. During this process, HotDocs prompts the user for any required information it needs to install the template library to the correct location.

You can also specify a URL for the path and file name (for example, /hi=http://www.yoursite.com/hdifile.hdi). When this command is passed, HotDocs downloads the file and prompts the user for the information needed to install the template library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > HotDocs Auto-Install File


HotDocs Help - Interview Scope

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Interview Scope

/is=u

The Interview Scope option allows you to ask only those dialogs that contain questions not answered by an existing answer file. This may be useful, for example, if you have some answers you are retrieving from a database that you don't want the user to change. Using this option will ask only those questions that don't have answers.

Caution: If you do not want certain variables to appear in an interview, do not include them in an explicit ASK instruction. Otherwise, HotDocs will present the variables to the user.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Interview Scope


HotDocs Help - Keep Interview Group

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Keep Interview Group

/kig

The Keep Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Start Interview Group option, which must be assigned to each subsequent template within the group.

For example, you have three related templates that will be added to the assembly queue (Template A, Template B, and Template C). Each of these templates uses Variable A. To keep Variable A from being asked in all three interviews, you would assign the Start Interview Group option to Template A. Then you would assign the Keep Interview Group option to Templates B and C. Once the user answers Variable A, it will not be asked in any subsequent interviews.

If a template is added to the assembly queue that doesn't use either of these options, it and any subsequent templates will not be included in the interview group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Keep Interview Group


HotDocs Help - Library File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Library File

/lf="path and file name"

The Library File option allows you to start HotDocs and open a specific library. If HotDocs is already running, it opens the library specified by the path and file name.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Library File


HotDocs Help - Lock Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Lock Answer File

/la

The Lock Answer File option prevents users from opening, closing, and saving answer files during document assembly. If it is the only option used, however, users can choose an answer file before assembly and save any answers they have entered after assembly.

To keep users from choosing an answer file before assembly, specify an answer file using the Answer File option. To keep them from manually saving their answers, use either the Discard Answers option or the Save Answers option.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Lock Answer File


HotDocs Help - Lock Library

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Lock Library

/ll

The Lock Library option locks the current library and prevents the user from editing the library or its contents. Specifically, when HotDocs is launched and the library appears, users can select templates and assemble documents from them. They can also view the answer library and change user preferences at the HotDocs Options dialog box. All other options are unavailable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Lock Library


HotDocs Help - Model Document

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Model Document

/mo

The Model Document command-line option indicates that the file referenced in the library is a model document. When you select the document in the library and click Assemble, HotDocs will create an interview for the model document.

Note: See Overview: Create a Model Document for more information.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Model Document


HotDocs Help - New Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

New Answer File

/na[="path and file name"]

The New Answer File option specifies a new, untitled answer file to be used when assembling a given document. This option causes HotDocs to suppress the Answer File dialog box, which normally appears before assembly. Specifying a path and file name is optional. If a file name is specified, it will be used for the new answer file. If an answer file with that same name already exists, HotDocs overwrites the existing file with the new one. If no file name is specified, HotDocs displays a Save Answer File dialog box at the end of assembly.

When specifying an answer file name, you must include the file name extension .ANX.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > New Answer File


HotDocs Help - No Assembly Window

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

No Assembly Window

/nw

The No Assembly Window option causes HotDocs to assemble a document without displaying the assembly window.

Note:
  • If using this option at the command line, include the Template File and Answer File options. If using this option at the library properties, include the Answer File option.
  • You should also use the Output File or Send to Word Processor option if you want HotDocs to produce a document at the end of the assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > No Assembly Window


HotDocs Help - No Interview

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

No Interview

/ni

The No Interview option removes the Interview tab from the assembly window, and, by default, displays the assembled document in the Document Preview or Form Document tab (depending on whether you are assembling a text or form document). To present a correctly assembled document, you should specify an answer file using the Answer File option. Otherwise, the document will be assembled without any answers.

Note:
  • While viewing an assembled document that was generated using this command-line option, you cannot edit answers while viewing the Document tab.
  • If using this option at the command line, include the Template File and Answer File options. If using this option at the library properties, include the Answer File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > No Interview


HotDocs Help - Output File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Output File

/of="path and file name"

The Output File option causes HotDocs to assemble the document and save it using the file name specified. If you are using the Answer Summary or Question Summary options, the Output File option specifies the name for either of those generated documents. This is useful if you know you want to save an assembled document every time assembly of that document finishes.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Output File


HotDocs Help - Overlay Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Overlay Answer File

/ov="path and file name"

The Overlay Answer File option causes HotDocs to take answers from a specific answer file and overlay them in the current answer file. For example, if you have specific information about a client that can be used in assembling multiple documents, you can save just that information in an overlay answer file and then use the Overlay Answer File option to force HotDocs to use those answers when assembling a document. All answers entered during assembly (including overlaid answers) are saved to the current answer file—not the overlay answer file—thus maintaining the integrity of the overlay answer file. An overlay answer file is loaded after the regular answer file so that the answers contained therein can overlay existing answers.

If you do not include a full path on the command-line, HotDocs will first look for the answer file in the same folder as the template. If it's not located there, HotDocs will look in the Answers folder.

You can retrieve an overlay answer file from a location on a Web server by specifying a URL for the path and file name (for example, /ov=http://www.yoursite.com/overlayanswers.anx).

Note:
  • If you are saving the overlay answer file to the same folder as the template, do not use the same name as the template. Otherwise, HotDocs will think the answer file is a default answer file. (See Create a Default Answer File.)
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Overlay Answer File


HotDocs Help - Paper Size

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Paper Size

/ps=paper size

The Paper Size option selects the specified paper size when the user prints a copy of the form template or document. The effect is the same as manually setting the page size from the Print dialog box. This option works with form templates and documents only.

Paper size values that can be used include letter, legal, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Size drop-down button. Values that include a space character must be placed inside quotation marks. You can shorten the values as long as the shortened form matches only one paper size. Paper size values are not case-sensitive.

Note:
  • If a paper size is specified at the Printing Properties dialog box and the Paper Size command-line option is also used, the command-line option takes precedence.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Paper Size


HotDocs Help - Paper Tray

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Paper Tray

/pt=paper tray
Caution:This option is used with form documents only.

The Paper Tray option causes a specified printer paper tray or manual feed option to be used when printing a form document from HotDocs Filler. Paper tray values that can be used include manual, upper, lower, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Source drop-down button.

Note:
  • If a paper source is specified at the Printing Properties dialog box and the Paper Tray command-line option is also used, the command-line option takes precedence.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Paper Tray


HotDocs Help - Print

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print

/pr
Caution:This option is used with form documents only.

The Print option causes HotDocs to print a copy of the assembled text or form document once the user closes the assembly window. This is useful if you know you will always need to print a copy of a specific assembled document.

Note: If using this option at the command line, include the Template File option.

Home > All About... > Using Command-Line Options > Print


HotDocs Help - Print Answers Only

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Answers Only

/pa
Caution:This option is used with form documents only.

The Print Answers Only option selects the Answers Only (Use Preprinted Form) option at the Print dialog box. Then, when the user prints the assembled form document, it prints only the form's answers and not the underlying static text. This allows you to use preprinted forms.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Answers Only


HotDocs Help - Print Both

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Both

/pb
Caution:This option is used with form documents only.

The Print Both option selects the Form with Answers option at the Print dialog box. Then, when the user prints the form document, the current form and its answers are printed.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Both


HotDocs Help - Print Copies

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Copies

/pc=numberofcopies
Caution:This option is used with form documents only.

The Print Copies option specifies the number of copies that should be printed when the user prints the form document. This number should appear in the Number of Copies box at the Print dialog box.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Copies


HotDocs Help - Print Duplex

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Duplex

/pd
Caution:This option is used with form documents only.

The Print Duplex option sets the duplex printing option for a given form document. It prints the document Double-Sided, Side-to-Side, as if that option were selected at the Printing Properties dialog box (which you can access by clicking Document Properties > Printing (File menu).) When the user prints the form document, it is printed using this option.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Duplex


HotDocs Help - Print Form Only

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Form Only

/po
Caution:This option is used with form documents only.

The Print Form Only option selects the Form Only (Blank Form) option at the Print dialog box. Then, when the user prints the form document, it prints a blank copy of the form without answers.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Form Only


HotDocs Help - Print Without Dialogs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Without Dialogs

/pw
Caution:This option is used with form documents only.

The Print Without Dialog option causes HotDocs to bypass the Print dialog box and print the form using the current printer. The form is printed when the user clicks the Print Document button at the assembly window.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Without Dialogs


HotDocs Help - Question Summary

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Question Summary

/qs

The Question Summary option is used with the Output File option to specify the path and file name for saving a question summary. It is useful if you want a certain template to always generate a question summary document.

The Question Summary option is normally used with the No Assembly Window option, which causes HotDocs to automatically create and save the question summary document without displaying the assembly window.

Question summaries are saved in HTML format.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Question Summary


HotDocs Help - Save Answers

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Save Answers

/sa

The Save Answers option forces an answer file to be saved at the end of an assembly. If using an existing answer file, any answers entered during the interview will be saved automatically. If using a new, untitled answer file, HotDocs will force the user to specify an answer file name.

Note:
  • To always force the user to save a new answer file after entering answers in an interview—even if using an existing answer file—use the Save Answers Prompt option.
  • To give users the option of saving an answer file, rather than forcing them to save, use either the Suggest Save or the Suggest Save New option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Save Answers


HotDocs Help - Save Answers Prompt

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Save Answers Prompt

/sap

The Save Answers Prompt option, which is used in connection with an ASSEMBLE instruction, prompts the user to save an answer file after completing an interview. Regardless of whether the user uses an existing answer file during assembly, when the user finishes that assembly, HotDocs prompts to save the answers in a different file.

Note:
  • To always save an answer file without prompting the user for an answer file name (unless the user is using a new answer file) use the Save Answers option.
  • To give users the option of saving an answer file, rather than forcing them to save, use either the Suggest Save or the Suggest Save New option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Save Answers Prompt


HotDocs Help - Send to Word Processor

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Send to Word Processor

/stw

The Send to Word Processor option sends the assembled document to the word processor once the user closes the assembly window. This is useful if you know you always want to view the assembled document using the word processing program.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Send to Word Processor


HotDocs Help - Show Library

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Show Library

/sl

The Show Library option forces HotDocs to display the template library if it is currently not showing. This is useful if you are integrating HotDocs with another program and you have hidden the library using the Hide Library option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Show Library


HotDocs Help - Start Interview Group

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Start Interview Group

/sig

The Start Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Keep Interview Group option, which must be assigned to each subsequent template within the group.

For example, you have three related templates that will be added to the assembly queue (Template A, Template B, and Template C). Each of these templates uses Variable A. To keep Variable A from being asked in all three interviews, you would assign the Start Interview Group option to Template A. Then you would assign the Keep Interview Group option to Templates B and C. Once the user answers Variable A, it will not be asked in any subsequent interviews.

If a template is added to the assembly queue that doesn't use either of these options, it and any subsequent templates will not be included in the interview group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Start Interview Group


HotDocs Help - Suggest Save

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Suggest Save

/ss

The Suggest Save option, which is used in connection with an ASSEMBLE instruction, causes HotDocs to ask users after assembly of a document has finished if they want to save answers entered during the interview in an answer file. Specifically, if the user has assembled a document and made changes to an existing answer file, HotDocs prompts to save the answers to that file. If saving a new, untitled file, HotDocs allows the user to specify the new answer file name.

Note:
  • If your user is using an existing answer file but you want to give the user the option of saving the answers in a new, different answer file, use the Suggest Save New option.
  • If you want to force users to save their answers after an assembly is finished, rather than give them the option, use either the Save Answers or the Save Answers Prompt options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Suggest Save


HotDocs Help - Suggest Save New

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Suggest Save New

/ssn

The Suggest Save New option, which is used in connection with an ASSEMBLE instruction, causes HotDocs to ask if answers should be saved in a new answer file after assembly of a document has finished. Regardless of whether the user is using an existing answer file during assembly, when the user finishes that assembly, HotDocs gives the user the option of saving the answers in a new answer file.

Note:
  • If your users are using an existing answer file and you want them to save answers they have entered in that file instead of a new one, use the Suggest Save option.
  • If you want to force users to save their answers after an assembly is finished, rather than give them the option, use either the Save Answers or the Save Answers Prompt options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Suggest Save New


HotDocs Help - Suppress Unanswered Warning

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Suppress Unanswered Warning

/sw

The Suppress Unanswered Warning option keeps HotDocs from displaying the warning dialog box that appears when the user attempts to either print, save, or send the assembled document to the word processor and the assembled document still contains unanswered questions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Suppress Unanswered Warning


HotDocs Help - Template File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Template File

/tf="path and file name"

The Template File option causes HotDocs to assemble a document using the specified template or clause library.

Caution: If you want an interview template (component file) started from the Template File command line, the component file must have an INTERVIEW or STARTUP computation in it or assembly will fail.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Template File


HotDocs Help - Use Command-Line Options at File Properties

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Use Command-Line Options at File Properties

To add command-line options to a library item

  1. Open a library at the HotDocs library window.
  2. Select the library item and click the Properties Properties button to open the Item Properties dialog box.
  3. In the File name box, following the file name, type a space and the command-line options you want to use. For example:

    /af="C:\Documents and Settings\Username\My Documents\HotDocs\Answers\jalvey.anx"

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Use Command-Line Options at File Properties


HotDocs Help - Use Command-Line Options When Starting HotDocs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Use Command-Line Options When Starting HotDocs

To use command-line options when starting HotDocs

  1. Choose Run from the Start menu. The Run dialog box appears.
  2. Type "C:\Program Files\hotdocs.exe" (including the quotation marks) followed by a space and the options you want in the Open box. For example:

    "C:\Program Files\HotDocs\Hotdocs.exe" /tf=demoempl.rtf

  3. Click OK. If HotDocs is not already running, it loads and then performs the command-line instructions. If HotDocs is already running, it performs the command-line instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Use Command-Line Options When Starting HotDocs


HotDocs Help - Use Command-Line Options when Using a Shortcut to Start HotDocs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Use Command-Line Options when Using a Shortcut to Start HotDocs

To use command-line options when using a shortcut to start HotDocs

  1. Locate the HotDocs program file shortcut. (A shortcut is an icon on the desktop or Start menu that a user can click to quickly access a program.)
  2. Right-click the icon and select Properties from the shortcut menu. The program item's Properties dialog box appears.
  3. Select the Shortcut tab.
  4. In the Target box, enter a space after the executable (.EXE) file and type the options you want.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Use Command-Line Options when Using a Shortcut to Start HotDocs


HotDocs Help - Creating and Using Model Documents

Creating and Using Model Documents

Overview: Create a Model Document

Convert HotDocs Templates to Model Documents

Convert Model Documents to HotDocs Template Format

Model Document Naming Standards

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Model Documents


HotDocs Help - Overview: Create a Model Document

How Do I...?

  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format

Reference Material

  • Model Document Naming Standards

Overview: Create a Model Document

As you draft documents for your clients, you frequently modify existing documents by replacing the changeable text in the document (such as names, dates, and figures) with the current client’s information. This process can be time-consuming and error-prone, especially because you must go through this process for each new client or matter.

One way you can solve this problem is to create a HotDocs template from the document. This process requires someone with HotDocs knowledge to replace changeable text with variables, conditions, and scripts. Depending on how complex the template is, sometimes the automated template can be difficult for non-HotDocs developers to read and understand.

Another option is to instead create a model document. Model documents are ideal for subject matter experts who want to learn a simpler language for marking text that varies from one client to another in the document. This language, the Model Document Markup Langauge (or MDML), provides an unambiguous description of how a model document should be used to draft client-specific documents. Resulting documents are easier to read and understand.

Once you have a model document, you can use it with HotDocs to generate documents for your clients. If you are using HotDocs Developer, you can also convert your model documents to HotDocs template format so they can be added to your collection of templates.

For example, say you have a will that could include different provisions for different inheritance scenarios. Some provisions should be included if you're drafting a will for one type of client, but those same provisions should be left out for other types of clients. With a model document, you keep all of the different text variations in a single document, rather than storing the text in separate documents. Then, using MDML, you can mark up the document so that only the correct versions are used, depending on answers the user gives.

You mark up model documents directly in Microsoft Word. Your documents must be in DOC or RTF format.

For full instructions on using model documents, please visit http://help.hotdocs.com/modeldocuments.

For instructions on using model documents with HotDocs, click the following links:

  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Model Documents > Overview: Create a Model Document


HotDocs Help - Convert HotDocs Templates to Model Documents

Overviews

  • Overview: Create a Model Document

How Do I...?

  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format

Reference Material

  • Model Document Naming Standards

Convert HotDocs Templates to Model Documents

Note: See http://help.hotdocs.com/modeldocuments for full instructions on creating model documents.

You can convert existing HotDocs templates to model documents. Saving templates as model documents allows you to share your templates with subject matter experts unfamiliar with HotDocs. As long as those experts understand (and use) the markup language specified in this help file, they can further automate the template and use it with HotDocs Player to assemble documents from it.

When you convert a template to a model, HotDocs converts variable and instruction fields to markup fields. Variable and instruction properties are stored in tables at the end of the document. Component file properties are saved in an embedded component file.

Note: Some template development features are not supported in model documents. This includes pointed component files and clause libraries.

To convert a template to a model document

  1. At the template library, select the template you want to convert.
  2. Click Convert Template to Model (Template menu). The Convert HotDocs Template to Model Document dialog box appears.
  3. Optionally, change the name of the model document in the Model document file name box. (By default, HotDocs appends the text .model to the file name. This helps distinguish between it and the original template file.)
  4. Optionally, select Add converted model document to library to add a reference to the model to the library. This allows you to more easily assemble the model document using the Assemble command.
  5. Click OK. HotDocs converts the template. You can further edit the model or distribute copies of it to others for review or additional markup.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Model Documents > Convert HotDocs Templates to Model Documents


HotDocs Help - Convert Model Documents to HotDocs Template Format

Overviews

  • Overview: Create a Model Document

How Do I...?

  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format

Reference Material

  • Model Document Naming Standards

Convert Model Documents to HotDocs Template Format

Note: See http://help.hotdocs.com/modeldocuments for full instructions on creating model documents.

Once you have marked up a document, you can convert the model document to template format. Markup fields in the model are converted to variable and instruction fields. Once converted, you can edit the template or assemble it.

To convert the document to template format

  1. At the HotDocs library, choose Convert Model to Template (Template menu). The Convert Model Document to HotDocs Template dialog box appears.
  2. Click the Browse Browse button next to the Model document file name box and locate the model document.
  3. Enter a file path and name for the newly created template in the HotDocs template file name box. (HotDocs automatically suggests the same name as the model, with the text .template appended to it.)
  4. Optionally, select Add converted HotDocs template to library. This places a reference to the template in the HotDocs library.
  5. Click OK. The template is created from the marked up model document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Model Documents > Convert Model Documents to HotDocs Template Format


HotDocs Help - Model Document Naming Standards

Overviews

  • Overview: Create a Model Document

How Do I...?

  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format

Model Document Naming Standards

When marking up model documents, you must adhere to the Model Document Markup Language, which requires you to follow certain rules and suggestions when naming variables and other fields in the model. Failure to follow these standards, particularly #1, may result in errors or other problems when users attempt to assemble the model document.

Specifically:

  1. You must use only letters, digits, and underscores. You cannot use spaces or other special characters.
  2. You should use names that are at least two words.
  3. You should make one of the words in the name the "subject" word (Client, Child, etc.).
  4. You should capitalize the first letter of each word, regardless of part of speech.
  5. You must never use names that are all capitals.
Note: If you must include spaces or special characters in your variable and other field names, you can select a HotDocs option that allows this. See Allow Non-Standard Names in Model Documents.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Using Model Documents > Model Document Naming Standards


HotDocs Help - Template Development

All About...

  • Document Assembly
  • HotDocs Automator

Template Development

Can't Dynamically Add Merge Text to a Multiple Choice Variable

Changing the Order Questions are Asked in an Interview

Checking the Spelling of Library Entries

Child Dialog Always Appearing in Interview Outline Even When it Shouldn't

Choosing Which Word Processor Will Be Used By Default

Comparing the Contents of Two or More Component Files

Converting WordPerfect Templates to Word

'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing

Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options

Editing Answer Source Records Causes Problems

Enabling Multiple Templates for Use with HotDocs Server At Once

Entered Answers Getting Overwritten

Entering Multiple Choice Option Prompts and Merge Text

Fixing Warnings Listed at Warnings Tab

Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs

Getting Missing END IF or Missing END REPEAT Errors

Hiding the End of Interview Dialog During the Interview

'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing

HotDocs is Creating Database File with Library File

Keeping Users from Editing Templates

Limiting Visible Rows but Not Limiting Number of Answers

Matching Pairs of Instructions in a Computation Script

Merging Check Boxes in a Text Template

Merging Just a Portion of a Date Instead of the Whole Date

Optional Variables Showing Up as Unanswered in Interview and Document

Punctuating a Repeated List of Answers

Receiving 'Invalid Variable Name' Errors When Creating Components

Reducing Template File Size

Renaming Components Correctly

Repeating the Contents of a Single Cell in a Table

Repeating a Single Variable in a Dialog

Test Assembling Template with ASSEMBLE Instructions

Trying to Save an Invalid Computation Script

Understanding the Difference Between Multiple Choice Options and Merge Text

Using DEFAULT Instruction Causes Extra Repetition

Using Headers and Footers of Inserted Templates

Using INSERT Instructions in a Table

Using One Variable in Two Different Dialogs

Variables Not Working in Word Text Boxes

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development


HotDocs Help - Can't Dynamically Add Merge Text to a Multiple Choice Variable

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Can't Dynamically Add Merge Text to a Multiple Choice Variable

Problem

I'm creating my Multiple Choice variables "on the fly," using the CLEAR and ADD instructions. I know I can ADD options and prompts, but can I ADD Merge Text to the variable?

Solution

Unlike options and prompts, the merge text for a Multiple Choice variable comes from another component—a Merge Text component. This means you cannot create and add merge text to a Multiple Choice variable "on the fly."

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Can't Dynamically Add Merge Text to a Multiple Choice Variable


HotDocs Help - Changing the Order Questions are Asked in an Interview

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Changing the Order Questions are Asked in an Interview

Problem

I have completed automation on my template but when I test assemble it, I find that I want the questions asked in a different order than how HotDocs is asking them. Is there some way to override the order dialogs are asked?

Solution

By default, HotDocs generates this interview by asking variables as it reads them in the template. When a variable is linked to a dialog, the dialog is asked. For most templates, this default interview is sufficient. However, there may be times when you want to control the order questions are asked.

There are two ways to accomplish this: 1) Use an ASK instruction to ask a single dialog at a specific place in the interview, and 2) use an INTERVIEW computation to define the order of all dialogs in template.

For details, see Control When Your Dialogs Appear and Define a Custom Interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Changing the Order Questions are Asked in an Interview


HotDocs Help - Checking the Spelling of Library Entries

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Checking the Spelling of Library Entries

Problem

How can I spell check the items in my template library?

Solution

There is no spell-checking capabilities at the template library. You can, however, copy the text of a library to a word processor and spell check it there. You must manually update entries in the library with any corrections.

To spell check your library

  1. At the template library, choose File > Export Library to > Plain Text File. The Save As dialog box appears.
  2. Specify a file name and location for the text file and click Save. The file is created.
  3. Open the plain-text file using Notepad.
  4. Select all of the text and copy it. (Press Ctrl+A to select the text, and then press Ctrl+C to copy it.)
  5. Open a new word processor document and paste the text. (Press Ctrl+V.)
  6. Use the word processor's spell checking tool. If there are spelling corrections that need to be made, return to the library and make the change. (To edit template titles, select the file and click the Item Properties Properties button.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Checking the Spelling of Library Entries


HotDocs Help - Child Dialog Always Appearing in Interview Outline Even When it Shouldn't

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Child Dialog Always Appearing in Interview Outline Even When it Shouldn't

Problem

I have a child dialog that is always appearing in the interview, even when there are times it shouldn't. How can I make the child dialog optional?

Solution

When you add a child dialog to a parent dialog, you can group the child dialog so users can more easily specify if they want to answer it. When you group child dialogs, HotDocs places a check box or option button in front of the child dialog icon. When this check box or option button is selected, HotDocs places the child dialog in the interview outline so that its contents can be answered. Otherwise, HotDocs will treat the child dialog as if it doesn't exist—even if there are required variables in it.

If child dialogs are not grouped, each child dialog will appear in the interview outline, regardless of whether the dialog is optional to answer. If the user does not answer every question in every dialog, HotDocs will report in the End of Interview dialog that there are unanswered questions.

For instructions on grouping child dialogs, see Group Child Dialogs in a Parent Dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Child Dialog Always Appearing in Interview Outline Even When it Shouldn't


HotDocs Help - Choosing Which Word Processor Will Be Used By Default

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Choosing Which Word Processor Will Be Used By Default

Problem

I have multiple word processors installed on my computer. I want to use a specific word processor for creating templates but HotDocs keeps defaulting to the other word processor. I also want to send assembled documents to one word processor, but again, HotDocs defaults to the other. How can I fix this?

Solution

You can specify which word processor you want to use when creating templates. This same word processor will be used for viewing assembled text documents. For details, see Change Your Default Word Processor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Choosing Which Word Processor Will Be Used By Default


HotDocs Help - Comparing the Contents of Two or More Component Files

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Comparing the Contents of Two or More Component Files

Problem

I need to compare the contents of two or more component files, but I can't seem to open two different copies of Component Manager to do so. Is there some way to do this?

Solution

You can use Template Manager to simultaneously compare the contents of two or more component files. For complete instructions, see Understand Parts of Template Manager Window.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Comparing the Contents of Two or More Component Files


HotDocs Help - Converting WordPerfect Templates to Word

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Converting WordPerfect Templates to Word

Problem

I recently switched from using WordPerfect to Microsoft Word. Can I convert my templates to Word format, and, if so, how?

Solution

You can convert your templates to Word format on a template-by-template basis, or you can convert multiple templates at once using Template Manager. (See Convert Multiple Templates to Work with HotDocs 10 and Convert Templates and Clauses to Microsoft RTF for details.)

Once converted, you should review each template carefully to make sure it still looks and works correctly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Converting WordPerfect Templates to Word


HotDocs Help - 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing

Problem

When attempting to edit a template, I get the error message, The component file cannot be used with this version of HotDocs. What does this message mean?

Solution

This message appears because you are trying to edit a newer version of a template with an older version of HotDocs. For example, you may be trying to edit a HotDocs 2009-version template with HotDocs 2005. Generally speaking, templates edited in the latest version of HotDocs are not backwards compatible with older versions.

If you must retain backwards compatibility with your templates, you can select a component file property that makes the template compatible with a specific version of HotDocs. If doing this, you must be careful not to use any features available in newer versions of the software, or else the template will not work with the older version. For example, dot codes are a new feature of HotDocs 2006. If you make a template containing dot codes available to HotDocs 2005 users, the template will generate errors because HotDocs 2005 has no support for dot codes.

See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing


HotDocs Help - Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options

Problem

Formatting dot codes (such bold, italics, and underline) assigned to Multiple Choice and True/False variable prompts don't work.

Solution

If a Multiple Choice or True/False variable prompt contains a formatting dot code and the variable is set to appear either as option buttons or check boxes, the prompt text will not be formatted. This is a known limitation of dot codes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options


HotDocs Help - Editing Answer Source Records Causes Problems

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Editing Answer Source Records Causes Problems

Problem

I have an answer source whose records become jumbled anytime I edit records in it. Specifically, if I add a new record, some answers from other records appear in the new record. Those answers then disappear from their actual records. How can I keep this from happening?

Solution

Answer sources are associated with specific dialogs in a template. When users view the dialog during the interview, they can click a special button, which displays a list of answers that were entered during previous interview sessions. They can either select an existing set of answers or add a new set to the list.

After creating an answer source for one dialog, you can use it with other dialogs, including dialogs in other templates. However, when using an answer source with multiple dialogs, each variable must be represented in both the answer source and in each dialog. If a variable that is referenced in the answer source isn’t included in all of the dialogs that link to it (or vice-versa), answers in the answer source will get "mixed together" whenever you add, edit, or delete records.

In some situations, though, it isn’t always practical or relevant to show the user every variable—either in the dialog or in the answer source. To accommodate this, you should use the HIDE, CONCEAL, and OMIT instructions in a dialog script to manipulate these variables both in the dialogs and the answer source. Specifically, HIDE keeps a variable from appearing on the dialog, while CONCEAL keeps it from appearing in the answer source. OMIT keeps the variable from being associated with the answer source at all. Often, you must use a combination of these instructions to achieve your desired result.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Editing Answer Source Records Causes Problems


HotDocs Help - Enabling Multiple Templates for Use with HotDocs Server At Once

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Enabling Multiple Templates for Use with HotDocs Server At Once

Problem

I am automating a set of templates that I plan to use with HotDocs Server. All of these templates need to be enabled for use with Server. How do I specify this setting for all templates at once?

Solution

If you need to enable this setting for existing templates, you can use Template Manager.

To enable multiple templates for use with HotDocs Server at once

  1. At your template library, select the templates you want to enable.
  2. Click the Template Manager Template Manager button. The Template Manager window appears.
  3. Select the templates in the list and click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  4. Click the HotDocs Server tab and select Enable template for use with HotDocs Server.
  5. Select any other Server options and click OK. The selected templates are now enabled for use with Server.

You can also set this option for all new templates you create. To do this, see Enable All New Templates for Use with HotDocs Server.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Enabling Multiple Templates for Use with HotDocs Server At Once


HotDocs Help - Entered Answers Getting Overwritten

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Entered Answers Getting Overwritten

Problem

In HotDocs 5, I could ask a question in the interview, allow the user to answer the question, and then use a SET instruction to assign a different answer to the question later in the interview. In current HotDocs, however, the answer used in the SET instruction is always overwriting any answers entered by the user. What can I do to fix this?

Solution

Simply stated, don't automate your templates this way. Because scripting in dialogs is processed each time you answer a question in the interview, you cannot ask a variable in an interview and then later SET that variable's value to something else. In all cases, each time the interview is updated, the SET instruction value will overwrite any answers the user enters.

See Overview: HotDocs Interviews, Automatically Assign Answers to a Variable, and Check Interviews for Improper Scripting for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Entered Answers Getting Overwritten


HotDocs Help - Entering Multiple Choice Option Prompts and Merge Text

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Entering Multiple Choice Option Prompts and Merge Text

Problem

I want to enter a long prompt and merge text for a Multiple Choice variable, but there isn't much room to enter it at the Properties tab of the Multiple Choice Variable Editor. Is there some way to enter the text and be able to see it all at once?

Solution

If you need to enter lengthy prompt text or merge text, you can do so at the Options tab of the Multiple Choice Variable Editor.

To add prompt text

  1. Edit the Multiple Choice variable. (See Customize a Multiple Choice Variable.)
  2. Click the Options tab. The view changes to show different ways you can customize the multiple choice options.
  3. Click the Option drop-down button and choose the option you want to customize.
  4. Enter the prompt text in the Prompt box.
  5. Repeat steps 3 and 4 for any additional options you want to customize further.
  6. Optionally, enter longer merge text in the Default merge text box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Entering Multiple Choice Option Prompts and Merge Text


HotDocs Help - Fixing Warnings Listed at Warnings Tab

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Fixing Warnings Listed at Warnings Tab

Problem

The HotDocs Warnings tab shows several warnings listed in it. How do I fix them?

Solution

Many of these warnings pertain to variables being asked incorrectly in the interview.

To correct the problem, select the warning in the list and click the Go to Warning button. HotDocs takes you to the script or location in the template where the error occurs so you can correct it.

The following table lists each warning, followed by a description of what it means:

Warning | Description
Variables that are set to a value and are marked "Save in answer file" | When HotDocs generates an interview outline, it processes any SET instructions and assigns answers to the variables that are set. This causes HotDocs to ask to save the answer file, even if the user doesn't enter any answers during the interview.
Variables that are set to a value and asked in the same interview

You should not use a SET instruction to assign an answer to a variable and then ask the variable later in the interview. As HotDocs processes answers and rebuilds the interview, the value assigned by the SET instruction will always overwrite any answers the user provides. An example of this would be the following script:

SET TF Variable TO TRUE

... (later in the template)

ASK Dialog

(where Dialog uses the variable, TF Variable.)

In this situation, even if the user marks TF Variable as false, HotDocs will always change it back to true because of the SET instruction.

If you want to suggest an answer for a user, use the DEFAULT instruction instead of the SET instruction. If you want a variable to always have a specific answer, then SET the answer and do not ask that variable anywhere in the template.

Variables that are asked more than once in the same interview | You should not ask the same variable more than once in an interview. If you do, HotDocs will always assign the last answer you gave to the variable, no matter where it is used in the interview.
Variables that are referred to in a dialog script and are set to a value later

You should not refer to a variable in a dialog script and then set that variable to a value later in the template. When HotDocs reprocesses the interview, the set value may change the appearance of the dialog—including how it presents variables to the user and how it processes the answers.

An example of this would be the following script:

SET Client TO "Husband"
ASK Husband Information
SET Client TO "Wife"
ASK Wife Information

In and of itself, this script is OK. However, Husband Information and Wife Information are dialogs that contain the following dialog element text:

The following information applies to the «Husband or Wife».

Husband or Wife is a computation that merges the literal text "husband" or "wife" into dialog element text, depending on the answer to Client.

Because HotDocs continually updates the interview, it will always use the last value resulted for this computation, which means that the dialog element text will always merge the word "wife," even if the user is viewing the Husband Information dialog. This could be confusing to the user.

Variables that are not asked when referred to but are asked later | You can refer to a variable in a template without asking the variable (by referring to the variable in an ASK NONE block or by clearing the Ask automatically option for the variable). However, if you do this, you should not ask the variable or set it to a value later in the template. Doing this will replace the answer that was used for the variable earlier in the template, thus causing an inconsistency.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Fixing Warnings Listed at Warnings Tab


HotDocs Help - Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs

Problem

I am using foreign (or Unicode) characters in my template, but they are appearing as boxes or question marks.

Solution

Even though HotDocs supports Unicode characters, these characters may not appear correctly if you do not have fonts installed that can display them.

For example, say you automate your template using the Tahoma font on Windows Vista. If the template is used on an earlier operating system, some of the characters you have used may not appear correctly because those characters may not be supported in the version of Tahoma available on that operating system.

Or, perhaps you use a very specialized font for displaying symbolic characters. If your users do not have the same font installed on their computers, your text will appear as unrecognized characters—usually boxes or question marks.

Additionally, you must also be careful when assigning font styles (such as bold or italic) to international characters, as characters may not display correctly when these styles are applied.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs


HotDocs Help - Getting Missing END IF or Missing END REPEAT Errors

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Getting Missing END IF or Missing END REPEAT Errors

Problem

When I test assemble my template, I get a Missing END IF (or a Missing END REPEAT) error. I have a lot of different instructions in my template—how can I determine where the END instruction is missing?

Solution

The HotDocs Outliner can help you quickly locate the opening IF instruction that isn't paired with a closing instruction.

To use the HotDocs Outliner

  1. At the template, click the HotDocs Outliner HotDocs Outliner button. HotDocs displays an error message saying an END instruction is missing. (This is correct.)
  2. Click on this warning and click Go to Error in Template. HotDocs highlights the opening instruction.
  3. Determine where the closing instruction should appear and merge it in the template. (You can manually create the END field, or you can copy an existing field and replace the text between the chevrons with the appropriate END instruction.)
Note:
  • HotDocs Outliner is supported in only Microsoft Word 2000 and later. Only 32-bit versions of Word are currently supported.
  • Two other tools can help you match opening instructions with their closing instructions. These are the Match Fields Match Fields tool and the Label Fields Label Fields tool. See Match Opening Instructions with Closing Instructions and Use Labels to Identify Instructions for details.
  • The only time an END instruction should not be used is when inserting a REPEAT instruction in a table. See Use a Word Processor Table to Display a List for details. In all other cases, every IF and REPEAT instruction must have a corresponding END instruction.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Getting Missing END IF or Missing END REPEAT Errors


HotDocs Help - Hiding the End of Interview Dialog During the Interview

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Hiding the End of Interview Dialog During the Interview

Problem

When assembling the document, I want the users to go from the last dialog in the interview directly to the assembled document. I don't want the End of Interview dialog to be shown. How can I keep this from appearing?

Solution

You can specify a component file property that keeps the End of Interview dialog from appearing during the interview.

To specify this property

  1. Open Component Manager.
  2. Click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  3. Click the Interview tab. The view changes to show interview properties.
  4. Select Hide End of Interview dialog.
  5. Click OK.

Now, whenever users assemble this template, clicking Next Next at the last dialog will take them to the assembled document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Hiding the End of Interview Dialog During the Interview


HotDocs Help - 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing

Problem

When attempting to edit a template, I get the error message, HotDocs cannot play the macro HDEditTemplate.Main because the macro does not exist in the original template or in a template currently loaded into Word. What does this message mean?

Note: Several file names and locations were changed for HotDocs 10. For a list of these changes, please see New and Enhanced Features for HotDocs 10

Solution

The first thing to check is to make sure that HotDocs is putting its global macro templates in the right location, and also to make sure that Word is finding them. To do this, complete the following steps:

  1. In Windows Explorer, browse to C:\Program Files\HotDocs\Source\Word\Macros, and make a note of the file dates on the files in that folder.
  2. In HotDocs, go to Tools > Options > Word Processors > Word 2000. Make a note of the Startup Folder location and browse to that folder in Windows Explorer. (You can click the Browse Browse button next to the Startup folder box and it will open that folder in Windows Explorer.)
  3. Compare the files in the folder opened through HotDocs with the files you found in step #1 above and make sure that hd6edit.dot and hd6icon.dot match exactly. (If they don't, you need to copy the files from the "source" folder to the "startup" folder.)
  4. In Word, go to Tools > Templates and Add-ins and make sure that hd6edit.dot and hd6icon.dot are both listed and checked, which indicates that they are loaded.

Assuming these steps check out OK, another place to look is in Word's macro security settings. Although the HotDocs macros are digitally signed and should not be blocked even if you have your security set to the highest level, you could try temporarily lowering the security level to see if it makes a difference:

  • In Word, go to Tools > Macro > Security. At the Security Level tab, lower the security level to Medium or Low and then see if the macros work under one of those settings. If it doesn't make a difference, be sure to switch it back to the previous setting.

Finally, you should check to make sure that the version of hd_api.dll in your Windows system folder is the correct version:

  1. In HotDocs, go to Help > About HotDocs > Version Info. Make a note of the file version for hotdocs.exe.
  2. In Windows Explorer, browse to C:\Windows\System32 and find the file named hd_api.dll.
  3. Right-click on hd_api.dll and choose Properties from the shortcut menu.
  4. At the Version tab, check to see if the file version is the same as that of hotdocs.exe.
  5. If the versions do not match, delete the DLL file from the Windows folder and repair the HotDocs installation.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing


HotDocs Help - HotDocs is Creating Database File with Library File

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

HotDocs is Creating Database File with Library File

Problem

I've noticed that there's a Microsoft Access database file saved in the same folder as my template library. This file also has the same name as my library. What is this file, and can I edit it?

Solution

When you run Template Manager, it creates a database file in the same folder as the library. This database is necessary in managing the different templates and components you are viewing in Template Manager.

You should not edit this file. If you were to inadvertently change or delete information in the database, it may corrupt your templates or make them unusable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > HotDocs is Creating Database File with Library File


HotDocs Help - Keeping Users from Editing Templates

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Keeping Users from Editing Templates

Problem

I need to make templates I've automated available for assembly to several users within our office, but I don't want them to edit the templates. How can I restrict my users like this?

Solution

There are some options available for limiting use of your templates. Nearly all of the following options involve storing copies of the files to a different location (such as a network drive), separate from the folder that contains your working files:

  • Publish the template files as auto-assemble files and make the auto-assemble files available to your users. See Publish Templates as Auto-Assemble Files (HDA).
  • Export the library to a different location and specify that the exported files be used for assembly only. See Create a New Library By Exporting Part of an Existing Library.
  • Obtain a publisher's license from HotDocs Corporation and publish the files for use with HotDocs Player. See Publish and Register Templates for Use With HotDocs Player. (Contact your HotDocs sales representative for information on acquiring a publishing license.)
  • Mark the folder where the files are stored as read-only. Mark the template files within the folder as read-only as well. (See the Windows Help file for instructions on marking folders and files as read-only.)
  • Publish the templates (as standard template files) but lock the component files. (Make sure you don't inadvertently replace your working component files with the locked component files. There is no way to recover a locked component file.) See Protect Published Files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Keeping Users from Editing Templates


HotDocs Help - Limiting Visible Rows but Not Limiting Number of Answers

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Limiting Visible Rows but Not Limiting Number of Answers

Problem

I want to show only a few rows of a spreadsheet dialog in my interview, but I don't want to limit the number of answers a user can enter. How can I do this?

Solution

You can control the number of rows that appear in a spreadsheet dialog. This setting has no effect on the number of rows a user can enter.

To limit the number of visible rows

  1. Edit the spreadsheet dialog. (See Edit a Custom Dialog.)
  2. In the Rows to display box, enter the number of the rows you want to be visible.
  3. Click OK.
Note: To limit the number of answers a user can enter, use the LIMIT NUM instruction in a dialog script.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Limiting Visible Rows but Not Limiting Number of Answers


HotDocs Help - Matching Pairs of Instructions in a Computation Script

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Matching Pairs of Instructions in a Computation Script

Problem

I have a complicated script that incorporates several IF and REPEAT instructions. I need to be able to see these pairings better. I know there are several tools for doing this when editing instructions in the text of the template, but I'm unsure of what's available to me when I'm in a computation script.

Solution

There are a few things you can do to match pairs of instructions while working in a computation script:

  • Click the Auto Format Auto Format button in the script editor toolbar. This indents scripting between instructions. Nested instructions are likewise indented, like in the following example:

    Auto Formatted Script

  • Place your cursor in the opening or closing instruction and press Ctrl+M. HotDocs moves your cursor to the matching instruction. (You can also choose Match IF/REPEAT from the shortcut menu.)
  • Place your cursor in the opening or closing instruction and press Ctrl+Shift+M. HotDocs highlights the entire section of the instruction with which you are working. (You can also choose Select IF/REPEAT from the shortcut menu.)

For details, see Use the Script Editor.

For details on working with instructions in a text template, see Match Opening Instructions with Closing Instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Matching Pairs of Instructions in a Computation Script


HotDocs Help - Merging Check Boxes in a Text Template

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Merging Check Boxes in a Text Template

Problem

I know how to automate check boxes in my form templates, but I'm unsure of how to create check boxes in a text template.

Solution

Some fonts on your system include empty box characters, as well as box characters with an X. You simply need to conditionally insert these characters in your template. For example, if you have the Wingdings 2 font installed on your computer, you can complete the following steps to merge these characters.

To create check boxes in a text template

  1. Automate your template, including specifying the conditional instructions that will merge the correct check box. (Use placeholder characters to represent the check boxes.)
  2. Open the Windows Character Map tool. (For instructions on finding and opening this tool, refer to your Windows Help.)
  3. Click the Font drop-down button and choose Wingdings 2. The character list changes to show the different characters available to you.
  4. Locate a box with an X in it and click Select. This adds the character to the Characters to copy box.
  5. Locate a box without an X in it and click Select. This adds this character to the box as well.
  6. Click Copy.
  7. In the template, place your cursor where the check boxes should go and choose the Paste command (for example, press Ctrl+V). The characters are inserted in your template. (You may need to highlight the character and choose Wingdings 2 from the application's font menu to reapply the correct font.)

A simpler way to merge check boxes may be to place either an X character or empty space character between opening and closing brackets. For example, [X] vs. [ ].

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Merging Check Boxes in a Text Template


HotDocs Help - Merging Just a Portion of a Date Instead of the Whole Date

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Merging Just a Portion of a Date Instead of the Whole Date

Problem

I need to merge just the year part of a date in an answer field—not the whole date. How can I limit the answer in this way?

Solution

You can use an example format to merge just a portion of the date. The user will still enter a full date, but only a portion of it will be merged in the document.

To merge the year only

  1. Create a Date variable. (See Customize a Date Variable.)
  2. At the Format box (either at the Variable Field dialog box or at the Date Variable Editor), enter 1990.

Using example formats, you can merge a single Date variable in three separate answer fields. For example, say you are automating a form template and the date needs to appear on three separate blank lines. You can merge the same Date variable in all three blank spaces, but use different portions of a date format to control what gets merged in each blank space.

For example, in the following, you'd break the dates into three separate parts:

Example of Split Dates

In the first blank space, you'd merge the Date variable with the format third. In the second blank, you would use June as the format. In the last blank, you'd use 1990 as the format.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Merging Just a Portion of a Date Instead of the Whole Date


HotDocs Help - Optional Variables Showing Up as Unanswered in Interview and Document

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Optional Variables Showing Up as Unanswered in Interview and Document

Problem

My template provides an option for users to enter a second address line. However, when users don't have a second address, HotDocs is merging an unanswered variable marker in the document. It's also reporting in the End of Interview dialog that some questions are unanswered. How can I keep these markers and warnings from appearing?

Solution

To keep HotDocs from merging an unanswered variable placeholder, you must insert the variable conditionally. Specifically, you must insert it only if the variable is answered. For example, the following expression in the template will merge the second address only if the user provides it:

«Client Name»
«Client Address 1»
«IF ANSWERED(Client Address 2)»«Client Address 2»«END IF»
«Client City», «Client State» «Client ZIP Code»

To keep HotDocs from warning the user that the question in the dialog is unanswered, you specify a variable property. At the Variable Editor, click the Advanced tab and clear Warn when unanswered. (See Control How HotDocs Processes a Variable.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Optional Variables Showing Up as Unanswered in Interview and Document


HotDocs Help - Punctuating a Repeated List of Answers

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Punctuating a Repeated List of Answers

Problem

I have created a REPEAT instruction in my template, but when I test it, the answers all run together, for example, like Answer OneAnswer TwoAnswer Three. How can I separate these answers with the correct punctuation and conjunction?

Solution

You can assign a format to a repeated list of answers. This format separates answers with either commas or semi-colons, and it also inserts the conjunction AND or OR, depending on your needs. To assign the format, at the REPEAT Field dialog box, click the Format drop-down button and choose the punctuation style you need.

For instructions on assigning a format in a computation script, see Punctuate a List Using a Computation Variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Punctuating a Repeated List of Answers


HotDocs Help - Receiving 'Invalid Variable Name' Errors When Creating Components

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Receiving 'Invalid Variable Name' Errors When Creating Components

Problem

When I create a new variable and try to save it, HotDocs displays an Invalid Variable Name error message. What am I doing wrong that causes this error to appear?

Solution

When naming variables, there are a few rules you must follow:

  • A variable name can have up to 50 characters, including letters, numbers, and some symbols.
  • The first character in a variable name must be a letter.
  • Each variable name must be unique. Even if the variables are different types, their names cannot be identical.
  • Do not use all uppercase letters in your variable names. Because HotDocs instruction and expression keywords use uppercase letters, you may inadvertently use a word that may someday be used as a keyword, which will cause HotDocs to read your variable name incorrectly. (See Overview: Instruction and Expression Models.)
  • Do not use any of the following characters when naming your components:

    . (period)

    $ (dollar sign)

    " (quotation mark)

    : (colon)

    [ ] (brackets)

    , (comma)

    ( ) (parenthesis)

    % (percent)

  • These characters can be used only if there is a character other than a space immediately before or after it:

    + (plus)

    - (hyphen)

    * (asterisk)

    / (forward slash)

    > < (greater than and less than signs)

    >= <= (greater than or equal to and less than or equal to signs)

    = (equals)

    != (does not equal)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Receiving 'Invalid Variable Name' Errors When Creating Components


HotDocs Help - Reducing Template File Size

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Reducing Template File Size

Problem

I completed automation on my template and now the template's file size is several megabytes. What can I do to reduce the file size?

Solution

Most likely the increased file size is because you've used graphics in your template. When you insert a graphic in an RTF template, Word creates an extra copy of the graphic and merges it in the file. Other causes may be invisible merge ID marks and unused property codes.

You can keep Word from storing all of this information in the template. See Hidden Data Remover Dialog Box for details. You can also remove existing hidden data from your templates. For details, see Remove Hidden Data from Word RTF Templates.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Reducing Template File Size


HotDocs Help - Renaming Components Correctly

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Renaming Components Correctly

Problem

I renamed a component in my component file, but now my template won't assemble. I keep getting 'unrecognized variable' errors.

Solution

When you rename a component, it is changed everywhere it is used in the component file. For example, renaming a variable will update all references to it in dialogs, scripts, and prompts. However, you must update references to the component in the template text itself for the template to continue to work. To do this, you may need to remove the old variable field and insert the new variable. See Rename Components in a Single Template for details.

You can use Template Manager to rename components. If you do, all references to the component—both in the component file and in the template—will be updated. See Rename Components Across Multiple Component Files for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Renaming Components Correctly


HotDocs Help - Repeating the Contents of a Single Cell in a Table

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Repeating the Contents of a Single Cell in a Table

Problem

I have a table. I need to repeat the contents of a single cell. I've added a REPEAT instruction to that cell, but when I assemble the document, it creates new rows for each repetition. How can I create the list in a single cell and not repeat the entire table?

Solution

When you place a REPEAT instruction directly in a table, it will repeat each row of the table. To repeat the contents of a single cell, you must create a REPEAT instruction in a computation script and then insert that Computation variable in the cell. See Create a REPEAT Instruction Using a Computation Variable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Repeating the Contents of a Single Cell in a Table


HotDocs Help - Repeating a Single Variable in a Dialog

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Repeating a Single Variable in a Dialog

Problem

I have a dialog that contains several related variables. I want to repeat one of the variables in the dialog but not all of them. How do I do this?

Solution

To repeat a single variable in a dialog that contains other variables, you must effectively create two dialogs and then nest the repeated variable's dialog in the non-repeated dialog. Specifically:

  1. Create a dialog for all of the non-repeated variables. (See Gather Questions into a Custom Dialog.)
  2. Create a dialog for the repeated variable and assign Spreadsheet on Parent as its repeat Style. (See Choose a Presentation Style for the Repeated Dialog.)
  3. Edit the non-repeated dialog and drag the repeated dialog to its Contents list.

See Insert Dialogs Into Dialogs and Create a List Within a List for more details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Repeating a Single Variable in a Dialog


HotDocs Help - Test Assembling Template with ASSEMBLE Instructions

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Test Assembling Template with ASSEMBLE Instructions

Problem

When I try to test assemble my template, the ASSEMBLE instruction in the template doesn't work.

Solution

You cannot test an ASSEMBLE instruction from within the template—you must first close the template and then assemble it from the library. See ASSEMBLE "FILENAME" for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Test Assembling Template with ASSEMBLE Instructions


HotDocs Help - Trying to Save an Invalid Computation Script

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Trying to Save an Invalid Computation Script

Problem

When I try to save my Computation variable, I instead get an error message and HotDocs won't let me exit the script. I need to work on other projects, but I don't want to cancel and lose all of my work on this script.

Solution

HotDocs will not let you save an invalid computation script. However, you can 'disable' the script and save the variable. Disabling the script keeps HotDocs from trying to validate it when you save it.

There are two ways to disable a script:

  • Highlight all of the text in the script and click the Comment Comment Block button. This turns all of the text in the script into a comment, which HotDocs won't process. When you are ready to work on the script again, highlight the text and click the Uncomment Uncomment Block button. This enables the script once more.
    Note: Comments are descriptions or remarks about the computation script. Many developers enter comments to explain how they are using instructions and expressions in the script to achieve the result they are seeking.
  • At the beginning of the script, enter the instruction QUIT. This instructs HotDocs to not process any of the script after the instruction.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Trying to Save an Invalid Computation Script


HotDocs Help - Understanding the Difference Between Multiple Choice Options and Merge Text

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Understanding the Difference Between Multiple Choice Options and Merge Text

Problem

What is the difference between a Multiple Choice option and merge text?

Solution

There are actually three parts to a Multiple Choice variable:

  • Options: Multiple Choice options are the actual possible answers to the variable. When an option is selected, it is the value that is saved in the answer file.
  • Prompts: Prompts are the text used to describe the options. For example, if your option text isn't descriptive enough, you can enter a prompt for the option and the prompt will be used in the interview. (If you don't enter a prompt, HotDocs will use the Option text.)
  • Merge Text: Merge text is the text that gets merged in the document, based on the options the user selects. (If you don't enter Merge Text, HotDocs will merge the Option text in the document.)

See Customize a Multiple Choice Variable for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Understanding the Difference Between Multiple Choice Options and Merge Text


HotDocs Help - Using DEFAULT Instruction Causes Extra Repetition

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Using DEFAULT Instruction Causes Extra Repetition

Problem

I have a DEFAULT instruction in my repeated dialog script, but it's causing an unanswered repetition to appear in my interview outline. This causes unanswered questions to appear in the document, as well. What do I do?

Solution

Do not use the DEFAULT instruction in the script of a repeated dialog unless the instruction is used in conjunction with a conditional expression or a LIMIT instruction. If you use it by itself in a repeated dialog script, it will always add an unanswered dialog to the interview, which will produce an incorrectly assembled document.

See DEFAULT VAR TO VALUE for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Using DEFAULT Instruction Causes Extra Repetition


HotDocs Help - Using Headers and Footers of Inserted Templates

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Using Headers and Footers of Inserted Templates

Problem

I have several inserted templates, each with their own defined headers and footers. However, when they are inserted in the parent template, the headers and footers are lost. How can I keep the headers and footers from being overwritten?

Solution

When working with inserted templates, you can select an option that uses the headers and footers of the inserted template when the template is merged in the main document. If the text is merged "inline" with the rest of the main document, the inserted template's headers will overwrite the main document's headers. If the inserted template is merged as a separate section of the main document, each section will use the headers defined for it. See Define Headers and Footers in Inserted Word Templates for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Using Headers and Footers of Inserted Templates


HotDocs Help - Using INSERT Instructions in a Table

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Using INSERT Instructions in a Table

Problem

I've placed an INSERT instruction in a word processor table, but when I assemble the document, the inserted text appears outside the table.

Solution

You cannot place INSERT instructions in the cell of a word processor table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Using INSERT Instructions in a Table


HotDocs Help - Using One Variable in Two Different Dialogs

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Using One Variable in Two Different Dialogs

Problem

I have a template where I need to ask one of two dialogs, based on how users answer other questions in the interview. I have one variable that needs to appear in both dialogs. How can I link the variable to both dialogs without breaking my template?

Solution

As long as only one dialog gets asked during the interview, you can associate the variable with both dialogs. To do this, however, you will need to select some dialog options. You will also need to explicitly (but conditionally) ask both dialogs.

To associate the variable with both dialogs

  1. Create the first dialog and add the required variables to it, including the variable you need to share between the two dialogs.
  2. At the Dialog Editor, click the Options tab.
  3. Clear Link variables to this dialog and click OK.
  4. Create the second dialog and add the required variables to it, including the variable you've already added to the first dialog.
  5. Either in a Computation variable or directly in the template, insert two ASK instructions—one for each dialog.
  6. Condition the ASK instructions accordingly.

See Use the Same Variable or Clause in Two or More Dialogs for more information.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Using One Variable in Two Different Dialogs


HotDocs Help - Variables Not Working in Word Text Boxes

Reference Material

  • Choosing Which Word Processor Will Be Used By Default
  • Trying to Save an Invalid Computation Script
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating a Single Variable in a Dialog
  • Repeating the Contents of a Single Cell in a Table
  • Test Assembling Template with ASSEMBLE Instructions
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Variables Not Working in Word Text Boxes

Problem

I have a text box with a variable inside of it in my Word template. However, when I assemble the document, the variable isn't processed.

Solution

You cannot insert variables inside Word text boxes. Alternatives to using text boxes may include creating a single table cell to place your variable, or implementing a frame (Word XP). Refer to Microsoft Word's help file for specifics on creating these types of boxes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Template Development > Variables Not Working in Word Text Boxes


HotDocs Help - Document Assembly

All About...

  • HotDocs Automator
  • Template Development

Document Assembly

Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Changing Unanswered Text Markers

Discerning Between Template Preview and Actual Template

Downloading HDIs and HDAs as ZIP Files

Editing Answers in Assembled Document

Entering a Two-Digit Year

HotDocs Skips Questions When Navigating from Child Dialog

Images appear incorrectly after converting an RTF to PDF using HotDocs Server

Increasing Font Size

Installing Support for New Word Processor

Moving Between Questions in Interview Slow

Moving to the Next Dialog After Entering a Date or Number

Organizing Files in the Library vs. on the Disk

Overriding an Answer in a Form

Printing Form Document Takes Incredibly Long Time

Printing Form Document is Off-Center

Receiving Error Messages When Launching HDAs, HDIs

Restoring System Defaults to HotDocs

Saving Answers During Interview

Specifying Printing Options When Printing Text Documents

Understanding What Happens When Deleting Templates from the Library

Updating Changes Made in Word Processor Document in the Answer File, Template

Updating Cross-References in an Assembled Document

Viewing File Names Instead of Template Titles at Library

Home > All About... > Document Assembly


HotDocs Help - Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Problem

When I try to attach an answer file or an assembled document file to an e-mail message, HotDocs displays the following error message: "Error Sending Message. One or more unspecified errors occurred." I am using Outlook 2007.

Solution

This is an Outlook 2007 problem. It sometimes occurs when the Outlook 2007 forms cache becomes corrupt. To correct it (at least temporarily), follow these steps:

  1. In Outlook, choose Tools > Forms > Choose Form. The Choose Form dialog box appears.
  2. Click the Look In drop-down button and choose Standard Forms Library.
  3. Select one of the forms and open it.
  4. Close the form. (You don't need to make any changes.)
Note: You may need to restart HotDocs for this to work.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Can't Attach Answer File or Document to Outlook 2007 E-mail Message


HotDocs Help - Changing Unanswered Text Markers

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Changing Unanswered Text Markers

Problem

When I leave questions in the interview unanswered, HotDocs merges asterisks in the assembled document where the answer is supposed to go. I'd rather have it insert blank lines or something else less obtrusive. Can I change this?

Solution

You can choose the unanswered marker HotDocs uses when you leave questions unanswered in the interview. For details, see Format Unanswered Variables in a Document.

Note: The template provider may have selected a specific unanswered marker for some questions in the interview. If this is the case, these markers will override your selection.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Changing Unanswered Text Markers


HotDocs Help - Discerning Between Template Preview and Actual Template

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Discerning Between Template Preview and Actual Template

Problem

When I preview the template at the Preview tab of the library or at the Document Preview tab of the assembly window, the preview looks different from the actual template or assembled document when I view it in the word processor. Why this difference in appearance?

Solution

Because of technical restrictions, HotDocs cannot display the actual word processor document in the library or at the assembly window. Instead, it uses a third-party application to render the text of the template or document.

This application depicts a Microsoft Word template or document fairly accurately because it is able to convert the text to RTF (if it's not already in RTF format). Some of the formatting may be different, but, for the most part, it is a good representation. However, because WordPerfect text can't be converted to RTF at the time the document is displayed, the application is only able to display the text in plain format—there is no formatting.

In either case, however, the actual text in the template or document is correct. And, once you edit the template in the correct word processor or send the assembled document to the word processor, the document will appear exactly as it's supposed to.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Discerning Between Template Preview and Actual Template


HotDocs Help - Downloading HDIs and HDAs as ZIP Files

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Downloading HDIs and HDAs as ZIP Files

Problem

When downloading HotDocs auto-install (.HDI) or auto-assemble files (.HDA) from a server, files are saved to disk in ZIP format. Additionally, attempting to open or run the file results in HotDocs prompting the user for a ZIP file password.

Solution

The first possible (and less likely) problem is that HDI file associations are not set up properly on the workstation. To test whether this is true, create an HDI file, close HotDocs, and then double-click the .HDI file in Windows Explorer. If HotDocs starts and then launches the installation, HDI files are properly associated. If HotDocs does not launch, the following are two solutions that should correct the problem.

  • Solution 1: See Receiving Error Messages When Launching HDAs, HDIs.
  • Solution 2: Repair your installation of HotDocs. To do this, go to Start > Settings > Control Panel > Add or Remove Programs. Select your version of HotDocs in the list of programs and click Change/Remove. When prompted to either repair or uninstall HotDocs, choose Repair and complete the installation.

The second possible (and more likely) problem occurs because Windows XP examines files being downloaded. If they appear to be in the ZIP format (which both HDI and HDA files are), then regardless of the download extension, Windows concludes they are ZIP files and applies a .ZIP file name extension. Even though you have a proper MIME type set up on your computer, Windows XP makes the change during the download.

To set the correct MIME types on the server

  1. Bring up the IIS management tool (i.e. go to Start > Programs > Administrative Tools > Internet Services Manager).
  2. Choose the Web site whose MIME types you need to change.
  3. Right-click and choose Properties from the shortcut menu.
  4. Click the HTTP Headers tab.
  5. Click the File Types button.
  6. Click the New Type button. (You will do this for both HDIs and HDAs.)
  7. Enter the following information for each file type:
    Type of File | MIME Type
    Auto-install (HDI) | application/x-hotdocs
    Auto-assemble (HDA) | application/x-hotdocs-auto

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Downloading HDIs and HDAs as ZIP Files


HotDocs Help - Editing Answers in Assembled Document

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Editing Answers in Assembled Document

Problem

When viewing the assembled document, I can't edit the answers that are merged in the document. The help file says I should be able to.

Solution

You may not be able to edit answers at the Document Preview tab for one of three reasons:

  • You are viewing a WordPerfect document. (Answer editing is not supported in WordPerfect templates and documents.)
  • The template developer has not allowed it.
  • The Highlight Fields option is turned off. To highlight fields again, click the Highlight Fields Highlight Fields button in the assembly window toolbar.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Editing Answers in Assembled Document


HotDocs Help - Entering a Two-Digit Year

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Entering a Two-Digit Year

Problem

I want to enter a two-digit year whenever I answer a date question, but HotDocs always displays the following error message: "You must enter a four-digit year".

Solution

As a safety precaution, HotDocs requires you to enter four digits when entering the year portion of a date. If you enter a two-digit date, such as 7/9/99, HotDocs responds with this message: "You must enter a four-digit year."

You can override this default option by specifying a century rollover year at the HotDocs Options dialog box. The number you enter controls how HotDocs interprets two-digit years. Two-digit years less than or equal to the number you enter are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

For example, if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935.

Note: See Control How HotDocs Handles Two-Digit and Four-Digit Years for information on setting this option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Entering a Two-Digit Year


HotDocs Help - HotDocs Skips Questions When Navigating from Child Dialog

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

HotDocs Skips Questions When Navigating from Child Dialog

Problem

After I answer questions in a child (or nested) dialog, I click Next Next and HotDocs takes me to the next dialog in the interview—not back to the main-level dialog I was in originally. How can I keep this from happening?

Solution

HotDocs moves to the next dialog in the interview outline because of a default setting. Its behavior is most useful when child dialogs appear as the last item in a dialog, and, after answering questions in the child dialog, you want to move to the next dialog in the interview. However, there are times when you need to return to the parent dialog and continue answering questions in the current dialog.

If, instead, you want to return to the main-level dialog that uses the child, you can clear this default setting. At the assembly window, clear Next Dialog Follows Outline (Navigate menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > HotDocs Skips Questions When Navigating from Child Dialog


HotDocs Help - Images appear incorrectly after converting an RTF to PDF using HotDocs Server

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Images appear incorrectly after converting an RTF to PDF using HotDocs Server

Problem

When RTF documents are converted to the PDF format using HotDocs Server, images using a CYMK colour format are colored incorrectly in the resulting PDF document.

Solution

CMYK images are not supported for use in HotDocs templates. RGB images should be used instead.

  1. Re-save the relevant source image in a RGB color format, using appropriate image editing software.
  2. Re-insert the image into the HotDocs template.
  3. Save the template and test RTF to PDF conversion in HotDocs Server. The image should now appear correctly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Images appear incorrectly after converting an RTF to PDF using HotDocs Server


HotDocs Help - Increasing Font Size

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Increasing Font Size

Problem

When answering questions in the interview, the text used in the dialogs is too small or too hard to read. Can I change it?

Solution

You can change the font, size, and color of the text used in a dialog. You can also change the properties of text used in the interview outline. For details, see Customize the Look of the Dialog Pane.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Increasing Font Size


HotDocs Help - Installing Support for New Word Processor

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Installing Support for New Word Processor

Problem

I've installed a new word processor, but when I try to use HotDocs with it, HotDocs won't recognize it.

Solution

After you have installed the new word processor, you must run the word processor at least once. This creates entries in the Windows System Registry, which HotDocs must be able to access before it can integrate with it.

Once the registry is updated with the required information, you must select the new word processor at HotDocs Options and choose to install support for it. For details, see Install Support for New Word Processors.

It is possible your new word processor isn't compatible with HotDocs. If you are unsure, please see the list of HotDocs System Requirements (see System Requirements.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Installing Support for New Word Processor


HotDocs Help - Moving Between Questions in Interview Slow

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Moving Between Questions in Interview Slow

Problem

Whenever I answer a question in an interview and try to move to the next question, it seems like it takes HotDocs a long time to respond. Moving between dialogs in the interview also seems slow. What can I do to make this process faster?

Solution

In an effort to keep the assembly process up to date, HotDocs updates the dialog and the interview outline each time you enter or edit an answer in the interview. Depending on the complexity of the interview or the document, this updating may take longer than desired.

You can minimize the amount of time HotDocs takes to update the interview or document with your changes by forcing it to update only when it needs to. You do this by turning Instant Update Instant Update off. When instant update is off, HotDocs updates dialogs and interviews only when it needs to. For details, see Update Your Interview Outline and Document.

Note:Template Developers: You can create a custom interview component that can greatly reduce the amount of processing required to keep the interview up to date. This can improve response time for your users. For details, see Define a Custom Interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Moving Between Questions in Interview Slow


HotDocs Help - Moving to the Next Dialog After Entering a Date or Number

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Moving to the Next Dialog After Entering a Date or Number

Problem

When I answer a date or number question in an interview and then click Next Next or Previous Previous, HotDocs doesn't move me to the next dialog. I have to click Next Next or Previous Previous again to move to that dialog.

Solution

When you type an answer in an answer field, HotDocs sometimes reads the answer and reformats it to appear a certain way. For example, if you type February 6, 2006 in a date field, HotDocs will reformat the answer to appear as 6 Feb 2006. Sometimes this reformatting can reveal an incorrectly interpreted answer, especially if the answer you typed is ambiguous. For example, the date 05/06/2006 may either be interpreted as June 5, 2006 or as May 6, 2006.

Depending on where the reformatted answer appears in the dialog, you may not even be aware that it has been reformatted. For example, when you enter an answer in one of the first answer fields in a dialog and then move to the next field, you will most likely see that your answer has been reformatted. However, if you enter an answer in the last answer field and click Next Next to advance to the next dialog, you may not see that the answer was reformatted.

In this situation, HotDocs keeps you in the dialog so you can review the change it has made to the format. For information on changing this default behavior, see Warn When HotDocs Reformats Date and Number Answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Moving to the Next Dialog After Entering a Date or Number


HotDocs Help - Organizing Files in the Library vs. on the Disk

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Organizing Files in the Library vs. on the Disk

Problem

I don't understand the difference between how files are organized in my library and how they are organized on disk.

Solution

A HotDocs library is simply a tool for viewing and working with the files on the disk. Specifically:

  • Files in the library are shortcuts that link to the actual files on disk (much like a desktop shortcut to an application you use frequently links to a program in your Program Files folder).
  • Files in the library can be organized into "virtual" folders. These folders do not need to match the organization of folders on the desktop.
  • Files in the library can be viewed using either the template title or the template file name. Files on disk are viewed only by file name.
  • If you manually move a file on disk, you must update the reference to the file in the library or HotDocs will not know how to find the file. To move files while keeping the reference to the file updated in the library, use the Move or Copy commands in the library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Organizing Files in the Library vs. on the Disk


HotDocs Help - Overriding an Answer in a Form

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Overriding an Answer in a Form

Problem

What happens when I override an answer in a form document?

Solution

Sometimes you need to enter an answer in a form document, but you are unable to enter that answer because of formatting restrictions on that field. (Remember, dates and numbers must be formatted a certain way for HotDocs to consider them valid.) For example, say you enter 3,000,000 as an answer to a number variable. The field, however, may not be large enough to show the whole answer without sending it to the addendum. You can override the field's format and enter 3 mill. as the answer.

Or perhaps you have a date that is appearing in one format (19 May 2006), but you want it to appear in a different format (06/19/06). You can override the field and enter the answer you need.

Overriding the format of the field allows you to enter whatever text you need in the answer field.

See Override an Answer in a Form for details on overriding form fields.

Note: Overriding a field is like placing a sticky note over the field and writing on it—you can see what is written on the note, but HotDocs continues to use the original answer. Any other fields that use the answer, either in a calculation or a condition, will continue to do so. The original answer will likewise be saved in the answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Overriding an Answer in a Form


HotDocs Help - Printing Form Document Takes Incredibly Long Time

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Printing Form Document Takes Incredibly Long Time

Problem

When printing a PDF-based form document, it takes an incredibly long time for the document to actually print. What can I do to speed up this process?

Solution

This slowness happens when you print the document through HotDocs. To print more quickly, use Adobe Acrobat or Reader to print the document. See Print an Assembled Form Document for details on selecting this preference.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Printing Form Document Takes Incredibly Long Time


HotDocs Help - Printing Form Document is Off-Center

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Printing Form Document is Off-Center

Problem

When I print my PDF-based form, the document appears off-center on the printed page.

Solution

This problem appears when you use Adobe Acrobat to print the document and you're using a non-PostScript printer driver.

To correct the problem, always use a PostScript printer driver.

See Print an Assembled Form Document for more details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Printing Form Document is Off-Center


HotDocs Help - Receiving Error Messages When Launching HDAs, HDIs

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Receiving Error Messages When Launching HDAs, HDIs

Problem

When attempting to run either a HotDocs Auto-Install file (HDI) or HotDocs Auto-Assemble file (HDA), HotDocs displays an error message and is unable to launch the file. The error message frequently says it cannot find hd_dispatch.exe, the application used to launch these files.

Solution

During installation, HotDocs creates certain entries in the Windows System Registry. One of these entries designates where the file hd_dispatch.exe should be found so that HDAs and HDIs can be properly run. By default, this file is usually created and registered in C:\Program Files\HotDocs. However, if you performed a custom installation and changed the program folder for HotDocs to some location other than C:\Program Files\HotDocs, this registry key was not updated with the new program files path. Because of this, HotDocs cannot run the HDA or HDI because it doesn't know where to look for hd_dispatch.exe.

To update the registry with the correct information

Caution: This workaround requires you to work in the Windows System Registry. Failure to follow these instructions carefully and entirely may result in you changing a setting that may adversely affect several other programs you use. If you are unsure of how to work with the registry, please ask your system administrator for assistance.
  1. Click Start > Run. The Run dialog box appears.
  2. In the Open box, type regedit. The Registry Editor appears.
  3. Open HKEY_CLASSES_ROOT > HotDocsHdaFile. (To update the information for an HDI file, navigate to HKEY_CLASSES_ROOT > HotDocsHdiFile.)
  4. Expand the folder so you can see its subfolders.
  5. Click the DefaultIcon folder.
  6. In the right pane, double-click (Default). The Edit String dialog box appears.
  7. Change the folder path in the Value data box so that it matches the folder where HotDocs is installed. Do not remove the ,1.
  8. Click OK.
  9. In the same subfolder (in the right pane), expand Shell > open > command.
  10. Repeat steps 6 through 8, updating the folder path so that it matches the folder where HotDocs is installed. Again, do not change the information after the file path.
  11. Remember to update the file locations for both HDAs and HDIs. See step 3 in the list above.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Receiving Error Messages When Launching HDAs, HDIs


HotDocs Help - Restoring System Defaults to HotDocs

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Restoring System Defaults to HotDocs

Problem

I've altered several default settings for HotDocs, but now I want to restore the default settings I had when I installed HotDocs. How can I do this?

Solution

HotDocs uses the Windows System Registry to store your personal preferences for working with HotDocs. If you need to restore the installation defaults, you must clear the Current User section of the HotDocs portion of the System Registry.

Caution: You must be extremely careful when working in the System Registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.
Note: To understand HotDocs installation and the changes that are made to the registry, please see Understand HotDocs Installation.
  1. At the Start menu, select Run. The Run dialog box appears.
  2. In the Open box, type regedit and click OK. The Registry Editor appears.
  3. Navigate to HKEY_CURRENT_USER > Software > HotDocs > HotDocs.
  4. Select the HotDocs subfolder and press Delete. Click Yes to confirm the deletion.
  5. Check for the registry key HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6. If it exists, proceed to Step 6. Otherwise, proceed to Step 7.
  6. Select the HotDocs 6 subfolder and press Delete. Click Yes to confirm the deletion.
  7. Close the Registry Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Restoring System Defaults to HotDocs


HotDocs Help - Saving Answers During Interview

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Saving Answers During Interview

Problem

HotDocs won't let me save answers during an interview. The buttons and menu options for doing so are disabled.

Solution

If the buttons and menu options for saving an answer file are disabled, it is because the template provider has either prohibited you from saving the answer file, or because the answer file is being saved automatically. If you have specific questions, please contact the template provider.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Saving Answers During Interview


HotDocs Help - Specifying Printing Options When Printing Text Documents

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Specifying Printing Options When Printing Text Documents

Problem

When I print my assembled text document from the assembly window, HotDocs just automatically prints the document without prompting me for any of my preferences. (I don't get a Print or Print Options dialog box.) How do I first set my preferences before printing?

Solution

To set your preferences before you print the document, you must first send the document to the word processor. Once in the word processor, choose the Print command and then specify your settings.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Specifying Printing Options When Printing Text Documents


HotDocs Help - Understanding What Happens When Deleting Templates from the Library

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Understanding What Happens When Deleting Templates from the Library

Problem

What happens when you delete templates from a library?

Solution

When you select a template or folder in a HotDocs library and click the Remove Items Remove Items button, HotDocs asks if you want to remove just the reference to the file from the library or if you want to delete the actual files from disk, too.

If you remove just the reference from the library, that specific reference to the file is removed from the library but the actual file still exists on disk. Additionally, if the item is referenced any other place in the library or in a different library, those references still exist.

If you choose to delete the item from disk, the reference is removed from the library and the file is sent to the Recycle Bin (if working with files on your local drive) or permanently deleted (if you're working with files on a network drive).

When you remove a folder from the library, you can choose to delete just the folder (in which case, items in the folder are moved to the next highest folder), or you can choose to delete the folder along with all of the items referenced in the folder.

For details, see Remove Items from a Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Understanding What Happens When Deleting Templates from the Library


HotDocs Help - Updating Changes Made in Word Processor Document in the Answer File, Template

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Updating Changes Made in Word Processor Document in the Answer File, Template

Problem

I've edited text in my assembled document but neither the template nor the answer file shows these changes. How do I update these files with my changes?

Solution

Once you send an assembled document to the word processor, it becomes "disconnected" from HotDocs. If you make changes to the document, those changes will not be represented in either the template or the answer file.

To update the template with your changes, you must edit the template and make the changes there. If you do not have editing privileges, you should notify the template publisher of your recommended changes.

If you need to update answers, you must reassemble the document using the saved answer file and make your changes during the interview. Make sure you save the answer file when you are finished.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Updating Changes Made in Word Processor Document in the Answer File, Template


HotDocs Help - Updating Cross-References in an Assembled Document

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Updating Cross-References in an Assembled Document

Problem

I've assembled a document and sent it to Microsoft Word, but now the Table of Contents is outdated. How do I update these cross-references?

Solution

To update cross-references in an assembled Word document

  1. Highlight all of the text in the document (press Ctrl+A or choose Select All (Edit menu)).
  2. Press the F9 key.
  3. Select your update options and click OK. Cross-references in the document are updated.
Note:Template Developers: You can select a component file property that automatically updates references in the document once the document is sent to the word processor. See Change Component File Properties for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Updating Cross-References in an Assembled Document


HotDocs Help - Viewing File Names Instead of Template Titles at Library

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Viewing File Names Instead of Template Titles at Library

Problem

I'm looking for a specific template in my library. I know what its file name is, but am not sure how to find it based on its title. Is there some way to display templates by their file names in the item list?

Solution

To view items in the library by file name, choose File Names (View menu). To show template titles again, choose Template Titles.

You can search a list of library items for a specific template by using the Find command. Simply select Find and then enter the text for which you are searching in the box. HotDocs will search both template titles and file names for the text you enter. Any files that contain that specific text will be displayed in the list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Viewing File Names Instead of Template Titles at Library


HotDocs Help - HotDocs Automator

All About...

  • Document Assembly
  • Template Development

HotDocs Automator

Double-Clicking Doesn't Create Field as Expected

Fixing Page Rotation Problems in PDF Templates

Getting Errors When Automating Table in Form

Keeping Control Field Text From Appearing on Form

Modifying a Single Field in a Group

Moving Form Fields Using Keyboard Takes Too Long

Needing Characters in Answer to Appear in Individual Boxes

No Interview When Assembling Form Document

Setting Form Properties Not Taking Effect in Existing Templates

Tabbing Through Fields Sequentially in Form

Want Check Box to Use Actual Check Mark

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator


HotDocs Help - Double-Clicking Doesn't Create Field as Expected

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Double-Clicking Doesn't Create Field as Expected

Problem

I double-clicked to create a form field, but HotDocs didn't create the field as I expected it would.

Solution

Several factors may contribute to these difficulties:

  • Insufficient surrounding features: To detect a field, HotDocs searches for surrounding features, such as lines, text, or graphics. If there are insufficient surrounding features, HotDocs may have difficulty detecting a field. In such cases, HotDocs creates a field of the default size.
  • Label text: When label text is inside the field area and there is enough space between the text and the bottom of the field area, the Detect command will extend the field up to the bottom of the label text. If you want the field to occupy the area to the left or right of the label, or if you want to include the label inside the field, you must create the field manually.
  • Field not completely visible: If part of the intended field is not visible (for example, it's scrolled out of the window), HotDocs attempts to scroll to detect the field. It is recommended that you use a zoom level such as Fit Page to Width so HotDocs can find the entire field on the screen.

If HotDocs is unable to automatically create or resize a field to the size and position you want, you must create the field manually. See Create a Form Field for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Double-Clicking Doesn't Create Field as Expected


HotDocs Help - Fixing Page Rotation Problems in PDF Templates

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Fixing Page Rotation Problems in PDF Templates

Problem

Pages that are rotated in a PDF document aren't rotated when I convert the PDF to template format.

Solution

Starting with the release of HotDocs 2006, page rotation is honored when creating a new template. However, you may need to update existing forms where page rotation is not honored.

To fix page rotation problems in existing PDF templates

  1. Make a back-up copy of the form.
  2. Edit the original form.
  3. Delete all of the fields on the original form.
  4. Save and close the form.
  5. Reopen the original form. The rotated pages should appear correctly.
  6. Open the back-up copy of the form and copy the fields for the non-rotated pages.
  7. Create new fields for the rotated page.
  8. Optionally, copy any printing or addendum properties from the back-up form.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Fixing Page Rotation Problems in PDF Templates


HotDocs Help - Getting Errors When Automating Table in Form

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Getting Errors When Automating Table in Form

Problem

When I try to group my fields in a table, I get errors that say things like Row 2 has 1 columns when it should have 3 columns. What am I doing wrong?

Solution

HotDocs expects fields in a table to appear in standard rows and columns that read from top to bottom and from left to right. When fields in a table are laid out differently, you must first define the rows and columns by specifying the field order before you try to group the fields as a table. For complete instructions on doing this, please see Merge a List of Answers in a Standard Table and Merge a List of Answers in a Nonstandard Table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Getting Errors When Automating Table in Form


HotDocs Help - Keeping Control Field Text From Appearing on Form

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Keeping Control Field Text From Appearing on Form

Problem

I have a control field on my form template which runs a computation. When I assemble the document, the text that results from the computation script appears in the field—and I don't want it to. (For example, I want the result to go to the addendum.) How can I keep this text from appearing directly on the form?

Solution

You can keep text from being merged in a control field. To do this, you will increase the field border so that text that doesn't fit in the field will be sent to the addendum.

To keep text from appearing

  1. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  2. Click the Layout tab. The view changes to show options for field placement and appearance.
  3. In the Borders group, enter 1 in the Left border box.
  4. The underlying form field should turn a dark shade of green. If it does not, increase the field border until it does.
Note: See Change the Borders and Margins of a Field for complete instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Keeping Control Field Text From Appearing on Form


HotDocs Help - Modifying a Single Field in a Group

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Modifying a Single Field in a Group

Problem

I want to change the properties of a single field in a group, but I can't seem to select the field. How do I get to the field so I can edit it?

Solution

You must first ungroup the fields and then make the changes to the field. When you are finished, regroup the fields. See Group Form Fields So Answers Can Flow From One Field to Another and Ungroup Form Fields.

Caution: Properties for field and table groupings are stored with the first field in the group. If you delete the first field in the group, you will lose these grouping properties.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Modifying a Single Field in a Group


HotDocs Help - Moving Form Fields Using Keyboard Takes Too Long

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Moving Form Fields Using Keyboard Takes Too Long

Problem

When working with fields in a form, I use keys on the keyboard to move them because I like the precision it affords me. However, this process, at times, takes too long. Is there some faster way to move fields using the keyboard?

Solution

To use the keyboard to move fields on the form, you can use the arrow keys. This moves the field pixel by pixel, which is useful when you want precise placement. To move the fields more quickly, press Shift as you press the arrow keys. See Move a Field on a Form for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Moving Form Fields Using Keyboard Takes Too Long


HotDocs Help - Needing Characters in Answer to Appear in Individual Boxes

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Needing Characters in Answer to Appear in Individual Boxes

Problem

I have a form that requires a date be split into separate boxes—each number appearing in its own box. However, when I try to do this, all of the characters end up in the first few boxes of the form or the field overflows. How can I accomplish this?

Solution

To do this, you must group the fields and then assign a maximum number of lines and characters to the fields in the group. You may also need to assign an example format to the field. For complete instructions, see Attach a Variable to Single-Character Boxes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Needing Characters in Answer to Appear in Individual Boxes


HotDocs Help - No Interview When Assembling Form Document

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

No Interview When Assembling Form Document

Problem

I finished automating my form template and when I test assemble it, there isn't an interview. Instead, HotDocs just shows the Form Document tab and I have to type my answers directly in the fields. How do I get an interview for the template?

Solution

When users assemble form documents, they can provide the information in one of two ways: answering questions in an interview or typing answers directly on the document (which is called direct-fill assembly).

All forms, when first automated, are set to allow only direct-fill assembly. However, you can allow interview-based assembly by specifying an interview. The interview can be a default interview (one in which HotDocs determines the order dialogs are asked in the template) or it can be a custom interview (one in which you specify the order dialogs and variables are asked). Either way, you can designate which type of interview you want to use. For details, see Define the Interview for a Form Template.

Note: If you want all new templates you create to use a default interview, you can specify a HotDocs option. See Automatically Generate Default Interviews for Form Templates for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > No Interview When Assembling Form Document


HotDocs Help - Setting Form Properties Not Taking Effect in Existing Templates

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Setting Form Properties Not Taking Effect in Existing Templates

Problem

At HotDocs Options, I've assigned several properties for how I want my form templates to look and work, but none of these settings are working in the templates I've created. How come?

Solution

Many of the properties you specify in the Form Documents section of HotDocs Options only affect new templates or fields you create. To update existing templates and fields you've already created with the settings, you must manually specify the properties while working in the template or working with the fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Setting Form Properties Not Taking Effect in Existing Templates


HotDocs Help - Tabbing Through Fields Sequentially in Form

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Tabbing Through Fields Sequentially in Form

Problem

When I tab through questions at the Form Document tab during a test assembly, I can't tab through the fields sequentially. Instead, HotDocs moves somewhat randomly between the fields. Is there some way I can correct this tab order?

Solution

When determining the order to ask questions in the interview, HotDocs begins with the top-left field of the form and processes all of the fields until it reaches the bottom-right field. This processing affects two things—the order questions are asked in the default interview and the order in which the user is able to tab through fields on the form.

Because of this default field ordering, sometimes you may find that the tab order during direct-fill assembly isn't working as you expect. To correct the problem, you must manually assign a tab order to the fields on the form. You do this at the Additional tab of the Field Properties dialog box. Specifically, you assign rows and/or column numbers to fields on the form. For complete details on assigning a tab order, see Change the Tab Order of Fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Tabbing Through Fields Sequentially in Form


HotDocs Help - Want Check Box to Use Actual Check Mark

Reference Material

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Want Check Box to Use Actual Check Mark

Problem

I want to use an actual check mark in a form check box—not the default X character. How do I do this?

Solution

If you have symbolic fonts installed on your computer, you can 1) assign the font to the field, and 2) assign the special character to the True/False variable format.

The following steps provide an example using the Symbol font.

To merge a check mark in a check box

  1. On the form template, create a check box field. (See Create a Check-Box Field.)
  2. Attach a True/False variable to the field. (See Customize a True/False Variable.)
  3. Enter the following text in the Default format box: Ö/ . (The capital O with an umlaut can be entered by pressing Alt+0214. This character represents the check mark character in the Symbol font. You may need to enter the character in a separate text editor and then copy and paste it into the Format box.)
  4. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  5. Change the font to Symbol. (See Change the Font Used for a Field.)

When the template is assembled, HotDocs uses the check mark (√) instead of the X.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Automator > Want Check Box to Use Actual Check Mark


HotDocs Help - Legal Notices

Legal Notices

Copyright Information

Software License Agreement

Third-Party Software Acknowledgements

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Legal Notices


HotDocs Help - Copyright Information

Reference Material

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Copyright Information

Copyright

Copyright © 2012 HotDocs Limited.

All rights reserved. No part of this product may be reproduced, transmitted, transcribed, stored in a retrieval system, or translated into any language in any form by any means without the express written permission of HotDocs Limited ("HotDocs").

Warranty Information

HotDocs makes no representations or warranties with respect to the contents or use of this product and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Information in this document is subject to change without notice and does not represent a commitment on the part of HotDocs.

Government Use

Use, duplication, or disclosure by the Federal Government is subject to restrictions as set forth in FAR clauses 52.227--14, “Rights in Data--General”; 52.227--19, “Commercial Computer Software--Restricted Rights”; and subdivision (c)(1)(ii) of the Rights in Technical Data and Computer Software clause DFAR 252.227--7013; and the limitations set forth in the standard commercial license agreement for this software. Unpublished rights are reserved under the copyright laws of the United States.

Trademark Information

HotDocs is a registered trademark of HotDocs Limited. Other product names may be trademarks or registered trademarks of their respective companies.

Sample Templates and Forms

This product includes sample templates and documents. Using them may have significant legal implications in some situations, and these implications vary by state and depending on the subject matter. Before using these templates and documents or adapting them for your business, you should consult with a lawyer and financial advisor.

Home > All About... > Legal Notices > Copyright Information


HotDocs Help - Software License Agreement

Reference Material

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Software License Agreement

IMPORTANT NOTICE: PLEASE READ CAREFULLY BEFORE INSTALLING THE SOFTWARE. This licence agreement (License) is a legal agreement between you (an individual or a single entity) and the licensor (Licensor) of this HotDocs software product, which includes computer software, the associated media, printed materials and electronic documentation (Software). Written approval is not a prerequisite to the validity and enforceability of this License and no solicitation of any such written approval by or on behalf of Licensor shall be construed as an inference to the contrary.

If you reside in the European Union: the Licensor is HotDocs Limited, a limited company registered in Scotland, UK, with company number SC166375 and with its registered office at Edinburgh Quay, 133 Fountainbridge, Edinburgh, EH3 9AG. This License, its subject matter or its formation (including non-contractual disputes or claims) shall be governed by and construed in accordance with English law and submitted to the exclusive jurisdiction of the English courts.

If you reside outside the European Union: the Licensor is HotDocs Corporation, a corporation incorporated in Delaware, USA, with its principal place of business at 387 South 520 West, Suite 210, Lindon, Utah 84042, USA. This License shall be governed by and construed under the laws of the State of Utah and the United States without regard to conflicts of laws provisions thereof. Unless otherwise elected by the Licensor in writing for the particular instance (which Licensor may do at its option), the sole jurisdiction and venue for actions related to the subject matter hereof shall be the Utah state and U.S. federal courts having within their jurisdiction the location of the Licensor’s principal place of business. Both parties consent to the jurisdiction of such courts and agree that process may be served in the manner provided herein for giving of notices or otherwise as allowed by Utah or federal law.

If you have a written agreement signed by the Licensor which relates to the supply of the Software and which expressly states that its terms prevail over the terms of any 'click-wrap' or 'shrink-wrap' agreement packaged with the Software, then the former agreement shall prevail over any inconsistent terms of this License. Otherwise, this License represents the entire agreement between us in relation to the licensing of the Software and supersedes any prior agreement, understanding or arrangement between us, whether oral or in writing.

THIS SOFTWARE REQUIRES A COMPUTER WITH SUFFICIENT MEMORY AND DISK SPACE, AND A COMPATIBLE OPERATING SYSTEM. SOME FUNCTIONALITY MAY REQUIRE A SPECIFIC INTERNET BROWSER OR OTHER SOFTWARE NOT INCLUDED WITH THIS SOFTWARE. BY CHOSING BELOW TO ACCEPT THE TERMS OF THIS LICENCE AGREEMENT YOU AGREE TO THE TERMS OF THIS LICENCE WHICH WILL BIND YOU. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENCE, WE ARE UNWILLING TO LICENSE THE SOFTWARE TO YOU AND YOU MUST DISCONTINUE INSTALLATION OF THE SOFTWARE NOW BY CLICKING ON THE "I DO NOT ACCEPT" BUTTON BELOW. IN THIS CASE YOU MUST RETURN THE MEDIA ON WHICH THE SOFTWARE IS STORED AND ALL ACCOMPANYING DOCUMENTATION TO THE SUPPLIER, TOGETHER WITH PROOF OF PAYMENT WITHIN 14 DAYS OF PURCHASE FOR A REFUND. IF YOU PURCHASED THIS SOFTWARE FROM AN AUTHORISED RESELLER, PLEASE NOTE THAT THE RESELLER HAS THE RIGHT TO ENTER INTO THIS LICENCE ON OUR BEHALF.

  1. In consideration of you agreeing to abide by the terms of this License and the payment of the licence fee (which is part of the price for this package), the Licensor hereby grants to you a non-exclusive, non-transferable licence to use the Software on a single computer or workstation. You may install the Software on a second computer for use by the same person. The Software may not be shared or used concurrently on other computers. If any updates, maintenance releases or other modified versions of the Software are made available to you they shall be deemed to be Software supplied under the terms of this License unless otherwise stated at the time of supply.
  2. You may make one copy of the Software for back-up purposes only. You may not transfer your rights to the back-up copy unless you also transfer your rights to the Software.
  3. Except as expressly set out in this License or as permitted by any local law, you shall not (and shall not allow a third party to):

    (a) copy the Software except where such copying is incidental to normal use of the Software or where it is necessary for the purpose of back-up or operational security;

    (b) rent, lease, sub-license, loan, translate, merge, adapt, vary or modify the Software;

    (c) make alterations to, or modifications of, the whole or any part of the Software;

    (d) disassemble, de-compile, reverse engineer or create derivative works based on the whole or any part of the Software.

  4. You acknowledge that all intellectual property rights in the Software throughout the world belong to HotDocs Limited, that rights in the Software are licensed (not sold) to you, and that you have no rights in, or to, the Software other than the right to use it in accordance with the terms of this License.
  5. The Licensor warrants that the media on which the Software is stored and distributed are (at the time of supply), and will be for the period of 90 days after that time (Warranty Period), free from defects in design, material and workmanship under normal use. If a defect in the media occurs during the Warranty Period, the Licensor will replace it free of charge if you return it to the Licensor with proof of purchase and (so far as you are able) a documented example of such defect or error.
  6. You acknowledge that the Software has not been developed to meet your individual requirements and that it is therefore your responsibility to ensure that the facilities and functions of the Software meet your requirements.
  7. You acknowledge that the Software may not be free of bugs or errors and you agree that the existence of any minor errors shall not constitute a breach of this License.
  8. If, within the Warranty Period, you notify the Licensor in writing of any defect in the Software in consequence of which it fails to perform substantially in accordance with the electronic documentation, and such defect does not result from you having amended the Software or used it in contravention of the terms of this License, the Licensor will, at its sole option, (i) repair or replace the Software or (ii) accept a return of the Software (with proof of purchase) and provide a refund of the purchase price, provided that you make available all information that may be necessary to assist the Licensor in resolving the defect or fault, including sufficient information to enable the Licensor to recreate the defect or fault.
  9. Nothing in this License shall limit or exclude the liability of either party for death or personal injury resulting from negligence, fraud, fraudulent misrepresentation, or for liability which cannot lawfully be excluded or limited.
  10. SUBJECT TO CONDITION 9:

    (a) THE LICENSOR SHALL NOT BE LIABLE FOR ANY LOSS OF PROFIT, LOSS OF BUSINESS, LOSS OF GOODWILL, LOSS OF SAVINGS, LOSS OF DATA, LOSS OF ANTICIPATED SAVINGS, WHETHER DIRECT OR INDIRECT IN EACH CASE, OR FOR ANY INDIRECT LOSS OR CONSEQUENTIAL LOSS WHATSOEVER AND HOWSOEVER CAUSED (EVEN IF CAUSED BY THE LICENSOR’S NEGLIGENCE AND/OR BREACH OF CONTRACT AND EVEN IF THE LICENSOR WAS ADVISED THAT SUCH LOSS WOULD PROBABLY RESULT);

    (b) THE LICENSOR'S MAXIMUM AGGREGATE LIABILITY UNDER OR IN CONNECTION WITH THIS LICENCE, OR ANY COLLATERAL CONTRACT, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE) OR OTHERWISE, SHALL BE LIMITED TO A SUM EQUAL TO THE ACTUAL PRICE YOU PAID FOR THE SOFTWARE.

  11. This License does not provide for maintenance or support for the Software, which must be purchased separately if required. Licensor has no obligation to provide maintenance, support or updates, modifications or new releases under this License.
  12. This License sets out the full extent of the Licensor's obligations and liabilities in respect of the supply of the Software. There are no conditions, warranties, representations or other terms, express or implied, that are binding on the Licensor except as specifically stated in this License. Any condition, warranty, representation or other term concerning the supply of the Software which might otherwise be implied into, or incorporated in, this License, or any collateral contract, whether by statute, common law or otherwise, is hereby excluded to the fullest extent permitted by law.
  13. You may not transfer, assign, charge or otherwise dispose of this License, or any of your rights or obligations arising under it, without our prior written consent.
  14. Upon request from time to time, you agree to certify to the Licensor the number of copies of the Software installed on your computers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Legal Notices > Software License Agreement


HotDocs Help - Third-Party Software Acknowledgements

Reference Material

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Third-Party Software Acknowledgements

Colosseum Builders, Inc.

This product uses the image library software created by Colosseum Builders, Inc., to load, decode, draw, and print .BMP, .JPG, and .PNG files in form templates and documents.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Legal Notices > Third-Party Software Acknowledgements


HotDocs Help - accelerator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

accelerator

A key or key combination that quickly performs routine tasks in HotDocs. For example, rather than click the Print button, a user can press Ctrl+P and the document will be printed. Accelerators are useful when users don't want to use the mouse.

Home > HotDocs Glossary of Terms > accelerator


HotDocs Help - addendum

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

addendum

The last section of a form document that contains answers that don't fit in their allotted fields on the actual form. (See also overflow.)

Home > HotDocs Glossary of Terms > addendum


HotDocs Help - additional text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

additional text

See dialog element.

Home > HotDocs Glossary of Terms > additional text


HotDocs Help - ADO

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

ADO

Short for ActiveX Data Objects, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ODBC.)

Home > HotDocs Glossary of Terms > ADO


HotDocs Help - .ANS

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.ANS

File name extension that designates that the file is a HotDocs answer file. Starting with the release of HotDocs 2009, all answers files (even those with the .ANS file name extension) are saved in XML format. The .ANS file name extension is retained to ensure backwards compatibility with HotDocs 2008.

Home > HotDocs Glossary of Terms > .ANS


HotDocs Help - answer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer

Data users enter during an interview. Answers are usually merged into the document, but sometimes they are used to calculate other answers that are used in the document.

Home > HotDocs Glossary of Terms > answer


HotDocs Help - answer file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer file

A saved file that contains the answers entered during an interview. Often users save their answers in a file so they can use them to assemble other similar documents.

Home > HotDocs Glossary of Terms > answer file


HotDocs Help - Answer File Dialog Box

Answer File Dialog Box

Note:To access this dialog box:Select a template. > Click Assemble Assemble.

When you assemble a document, you can use an existing answer file, or you can create a new, empty answer file. Then, when you finish assembling the document, you can save your answers and use them when assembling other documents.

Options Available

Answer file to use with this assembly:Shows the answer file currently assigned for this assembly. If this option says New Answer File, the answer file is empty. You can click the drop-down button or the Open Answer File Open Answer File button to select an existing answer file.

New Answer File New Answer File button:Selects an untitled, empty answer file for assembly.

Automatically select this answer file for use with the next assembly:Remembers the answer file you have selected here and suggests it for each subsequent assembly.

Send / Go directly to ... without displaying an interview:Displays the assembled document—either in the word processor (text templates), HotDocs Filler (form templates), or the Document tab of the assembly window—depending on the Finish Interview Action options you specified at HotDocs Options. (See Control What Happens When You Finish an Interview for details.)

Home > Answer File Dialog Box


HotDocs Help - Answer File Manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Answer File Manager

The library used to manage answer files. With Answer File Manager, users can group answer files, view histories of their usage, and so forth. (The alternative is using Windows Explorer to find, view, and use answer files.)

Home > HotDocs Glossary of Terms > Answer File Manager


HotDocs Help - answer library

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer library

See library and Answer File Manager.

Home > HotDocs Glossary of Terms > answer library


HotDocs Help - answer management

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer management

The system of using Answer File Manager to store and manage answer files. (The alternative is using Windows Explorer to find, view, and use answer files.)

Home > HotDocs Glossary of Terms > answer management


HotDocs Help - answer sharing

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer sharing

The process of creating and using same-named variables in multiple templates so that a user can use the same answer file to assemble multiple documents. (Can also be called variable flow-through.)

Home > HotDocs Glossary of Terms > answer sharing


HotDocs Help - answer source

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer source

An answer file that is linked to a specific dialog in an interview. Users can enter their answers in an answer source and have those answers available to them on demand. (During an interview, a Select From Answer Source Select button appears on the dialog. The user clicks this button and has access to the answers in the answer source.)

Home > HotDocs Glossary of Terms > answer source


HotDocs Help - Answer Summary

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Answer Summary

A brief report HotDocs generates that lists the questions asked during an interview, followed by the answers that were entered. (See also Question Summary.)

Home > HotDocs Glossary of Terms > Answer Summary


HotDocs Help - answer wizard

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

answer wizard

A button attached to a form field that users can click during direct-fill assembly. When they click this button ( Answer Wizard), a pop-up interview appears, asking one or more questions that are required in order for an answer to be merged in the field. Frequently, answer wizards are assigned to inactive fields in a form.

Home > HotDocs Glossary of Terms > answer wizard


HotDocs Help - .ANX

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.ANX

File name extension that designates a HotDocs answer file.

Home > HotDocs Glossary of Terms > .ANX


HotDocs Help - ascend

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

ascend

The process of sorting answers in alphanumeric order, from 1 to 9, and from A to Z. (See also descend.) You can also sort items in a template library, clause library, and answer library.

Home > HotDocs Glossary of Terms > ascend


HotDocs Help - ASK Field Dialog Box

ASK Field Dialog Box

Note:To access this dialog box: Edit a template. > Click the ASK Field ASK Field button.

You can use an ASK instruction to force a dialog to be asked at a certain place in the template. This may be useful if you want your dialogs to appear in a different order—for instance, if you want a certain dialog to appear first, even though its information may not be needed first.

You can also use an ASK instruction to force a database component to be asked at a certain place in the template.

Options Available

ASK Dialog: Allows you to click the drop-down button to select an existing dialog, or type a name of a new dialog in the box. If creating a new dialog, click the Edit Edit button to specify the dialog's properties.

Database: Allows you click the drop-down button to select an already-existing database component, or type a name for a new database component in the box. If creating a new component, click the Edit Edit Component button to specify the properties of the component.

Edit Edit Component button: Allows you to edit the properties of the dialog. Clicking this button displays the Dialog Editor or Database Editor.

Note: To enter a comment or remark about the instruction field, click Show Advanced and enter the text in the Comment box. Comments can be used to describe the purpose of the instruction or provide explanatory text for the instruction.

Home > ASK Field Dialog Box


HotDocs Help - ASK instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

ASK instruction

An instruction that forces a dialog to be asked at a specific location in the script or template. Frequently, ASK instructions are used when creating an interview component. They allow developers to control the order in which dialogs are asked during the interview.

Home > HotDocs Glossary of Terms > ASK instruction


HotDocs Help - assemble, assembly

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

assemble, assembly

See document assembly.

Home > HotDocs Glossary of Terms > assemble, assembly


HotDocs Help - Answer Questions in a Dialog Using an Answer Source

Answer Questions in a Dialog Using an Answer Source

Template providers can link questions in a dialog to an answer source, or an answer file that contains existing answers. When a dialog is linked to one of these sources, a Answer Source Select button appears on the dialog. You can click the Answer Source Select button to open the answer source and select a record. You can also add a new record to the answers.

Each record contains answers to one or more questions. For example, the records may contain the names, addresses, and phone numbers of attorneys in an office. After selecting one attorney's record, that attorney's information will be merged into the answer fields. This saves you from having to re-enter answers you use frequently as you assemble documents.

To access an answer source

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. When a Answer Source Select button appears on a dialog, click it. The list of answers appears.
  3. Use any of the following commands to complete different tasks associated with an answer source:
    To | Do This
    Use an existing set of answers | Select the desired record, then click the Select button.
    Add a new record

    Select an empty row in the spreadsheet and click Edit Row Edit Row. Then enter your answers in the pop-up interview.

    You can either gradually build the list, entering a different record each time you complete an interview; or you can enter several records at once. You can delete, edit, or add new records at any time. Answers are automatically saved as you add them to the answer source.

    Insert a record in between other records | Select the record you want to be after the new record and click Insert Row Insert Row. Then click Edit Row Edit Row to enter your answers.
    Edit an existing record | Select the record and click Edit Row Edit Row. Make your changes in the pop-up interview.
    Delete a record | Select the record and click Delete Row Delete Row. The answers are deleted.
    Sort or alphabetize columns in an answer source

    Click in the column on which you want to sort, right-click and choose Sort from the shortcut menu. The Sort Spreadsheet dialog box appears. Designate your sorting preferences and click OK.

    To sort on a second level, enter your preferences in the and then fields.

An answer source may be populated in different ways. For example, the template provider can either add answers to the answer source during development, or allow you to add answers during the interview. Additionally, an answer source may be an Outlook Contacts list or a Time Matters Contacts or Matters record, which the template provider has integrated with HotDocs.

Note: If your dialog is linked to a Time Matters Contacts or Matters answer source and you change answers once they have been retrieved, you may be prompted to write the answers back to Time Matters.

Home > Answer Questions in a Dialog Using an Answer Source


HotDocs Help - Assembly Queue Statuses

Assembly Queue Statuses

The following table describes the different statuses of templates listed in the assembly queue:

Template Status | Description
Confirmed | The assembly queue has confirmed the location of the template and is ready to assemble it.
Assembling | HotDocs is currently assembling this document.
Pending

This template is in the queue because of instructions in the template currently being assembled. After the current interview is finished, the Pending status changes to Confirmed.

Note: Template developers often include instructions within the template that HotDocs should assemble other documents. Often your answers determine whether these documents get assembled.
Complete | Assembly is finished. Complete status doesn't necessarily mean that all the questions in a template have been answered. For example, when creating a question summary, even though the assembly window opens, no questions are answered, but HotDocs still considers the assembly complete.
Error | An error has occurred, preventing the interview from being completed.

Home > Assembly Queue Statuses


HotDocs Help - HotDocs Assembly Window Toolbar

HotDocs Assembly Window Toolbar

The following buttons and commands appear on the HotDocs assembly window toolbar:

Button or Command | Description
HotDocs | Brings the HotDocs library to the front.
Answer file drop-down menu | Shows the answer file that is currently being used to assemble the document. You can click the drop-down button and choose a different answer file.
New Answer File New Answer File | Creates a new, empty answer file.
Open Answer File Open Answer File | Opens Answer File Manager (or a Windows Explorer window) so you can select a different answer file to use for this assembly.
Save Answer File Save Answer File | Saves the current answer file. If it is a new answer file, you will be prompted to enter a name for the file.
Send Document | Sends an assembled text document to the word processor or the Document Preview tab, depending on your preferences. Sends an assembled form document to HotDocs Filler or the Form Document tab, depending on your preferences.
Save Document | Saves a copy of the assembled document to disk.
Print Document | Prints a copy of the assembled document.
Instant Update | When pressed in, causes HotDocs to update the interview or document only when it's absolutely necessary. (This can help improve speed when an interview or document requires a lot of processing to stay current.)
Show/Hide Resource Pane Show/Hide Resource Pane | Shows and hides the resource pane.
Check Spelling | Checks the spelling of answers you've entered in the interview.
Assembly Queue | Opens and displays the HotDocs Assembly Queue, which lists all of the assemblies for a given HotDocs session. If you have multiple assemblies listed in the queue, you can change the order in which the documents will be assembled. You can also remove unstarted or completed assemblies from the queue.
Options | Displays the HotDocs Options dialog box where you can customize your experience working with hotDocs.
What's This? Help What's This? Help | Displays the What's This? Help cursor, which allows you to get help for specific elements in the HotDocs interface.
Erase Answer | Clears an answer from an answer field.
Undo / Redo Undo/Redo | Removes the most recent changes you've made to the interview, or reapplies any changes you may have undone.
Cut | Removes an answer from an answer field and places a copy of it on the Windows Clipboard. (You can paste the text in a different answer field.)
Copy | Copies an answer to the Windows Clipboard. (You can paste the text in a different answer field.)
Paste | Pastes text that was either cut or copied to the Windows Clipboard to the new answer field.
Insert Repetition | Adds a new, empty repetition to the repeated dialog.
Delete Repetition | Removes the selected repetition from the repeated dialog.
Move Repetition Up Move Repetition Up | Moves the selected repetition of the repeated dialog up in the series.
Move Repetition Down Move Repetition Down | Moves the selected repetition of the repeated dialog down in the series.
Sort Spreadsheet | Sorts the selected column in a repeated spreadsheet in alphanumeric order.
Highlight Fields | Highlights answer fields and editable text in the Document Preview tab. (Word users only.)
Edit Document Text Edit Document Text | Lets you make changes to editable text in the Document Preview tab. (Word users only.)
Text / Text Go to Document/Go to Interview | Moves your cursor to the place in the document where the answer is used, or moves your cursor to the place in the interview where the question is asked, respectively. (Word users only.)

Home > HotDocs Assembly Window Toolbar


HotDocs Help - Attach a Text or Form Document to an E-mail Message

Attach a Text or Form Document to an E-mail Message

After assembling a document, you can attach it to an e-mail message and send it to another user.

Caution: Internet-based e-mail services are not compatible with this feature. You must have an e-mail program, such as Microsoft Outlook, installed on your computer.

To attach a document to an e-mail message

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click Send Document To > Mail Recipient (File menu). The Send Document To Mail Recipient dialog box appears.
  3. Type a name for the attachment, then click OK. An e-mail message window appears.
  4. Complete the e-mail message and send it.

Home > Attach a Text or Form Document to an E-mail Message


HotDocs Help - Document Text Editor Toolbar

Document Text Editor Toolbar

While editing the text of the assembled document at the Document Text Editor, you can use any of the following options:

Name Save and Close | Saves your changes, closes the Document Text Editor, and merges the new text in the assembled document.
Restore Restore Original Text | Discards any changes you've made to the text and restores the original document text.
Print Print | Prints a copy of the text you are editing.
Undo Undo | Undoes the most recent change to the text you are editing.
Redo Redo | Reapplies the most recent change to the text you are editing.
Cut Cut | Removes the selected text and saves it to the Windows Clipboard. You can then paste the text using the Paste command.
Copy Copy | Copies the selected text and saves it to the Windows Clipboard. You can then paste the text using the Paste command.
Paste Paste | Pastes any text saved to the Windows Clipboard at the cursor position.
Find Find | Displays a dialog box where you can specify the text for which you are searching.
Find Next Find Next | Searches the document for the next instance of text for which you are searching.
Find and Replace Find and Replace | Displays a dialog box where you can specify a text string for which you are searching, as well as text you'd like to use as a replacement
Show Ruler Show Ruler | Displays a ruler in the Document Text Editor toolbar.
Show Codes Show Codes | Displays editing codes, such as paragraph marks, in the document.
Spell Check Spell Check | Checks the spelling of text in the document.
Close Wtihout Saving Close Without Saving Changes | Closes the Document Text Editor without saving the changes you have made.

Home > Document Text Editor Toolbar


HotDocs Help - Enter Answers in International Languages

Enter Answers in International Languages

As you complete an interview, you can enter answers in any left-to-right reading language. Answers you enter will be merged into the assembled document.

Answers entered in these languages will be merged correctly anywhere the variable is used—either in the assembled document or in other questions or text used in the interview.

HotDocs supports all left-to-right reading characters in the Unicode specification. However, not all fonts installed on your computer can display these characters. If you are using a font either in the interview display or in the assembled document that cannot display these characters, they will appear as unknown characters (usually boxes or question marks). When working with international languages, always make sure you are using fonts (like Arial Unicode MS or Tahoma) that support a wide range of characters. This includes making sure other users who will be accessing your assembled documents or answer files likewise have correct fonts installed.

Note: For more information on using international characters in HotDocs, see Use International Characters in HotDocs.

Home > Enter Answers in International Languages


HotDocs Help - Enter List of Answers in a Series

Enter List of Answers in a Series

To enter answers in a series of dialogs

  1. At the repeated dialog, enter answers for the questions.
  2. Click the Add Another Repetition Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. (You can also press Alt+A to add new repetitions to a list.)
  3. To move to the next dialog after entering all the answers in the list, click Next Next in the navigation bar. (You can also click on the next dialog icon in the interview outline, or press Page Down or Alt+N.)
Note: When entering a list of answers within another list of answers, you can press Alt+Left Arrow to return to the parent dialog. (You can also choose Parent Dialog from the Navigate menu.)

Home > Enter List of Answers in a Series


HotDocs Help - Enter Repeated Answers in a Spreadsheet

Enter Repeated Answers in a Spreadsheet

To enter answers in a repeated spreadsheet

  1. At an answer-gathering dialog that includes a repeated dialog formatted as a spreadsheet, click in the first spreadsheet cell and enter your answer.
  2. Press Tab to move to the next cell in the row (or use the mouse to click in the next cell) and enter your answer.
  3. Repeat this process for each answer.

Home > Enter Repeated Answers in a Spreadsheet


HotDocs Help - HotDocs Template Development Terms and Ideas

HotDocs Template Development Terms and Ideas

When creating a marked up document, there are some key terms and ideas you should understand—particularly if you are not a template developer.

Markup Term | Definition
Answer Field | An answer field is the place in an assembled document where answers you enter in the interview are merged. In template development, these fields are called variable fields. The template developer can assign many different properties to a variable, including a name, a title, and so forth.
Conditional Text | Some text in an assembled document should only be included under certain conditions. For example, information about the health needs of a child will only be included in a document if the client has children. In template development, conditional text is marked using IF instructions, which define the circumstances under which a paragraph is included or excluded.
Alternative Text | Sometimes there are different versions of text that should be merged in a document, depending on certain conditions. For example, maybe a client is late on making a payment. You can include specific text, depending on just how late the payment is. Like conditional text, alternative text is marked using IF instructions in template development.
Repeated Text | Frequently you need to enter two or more answers for a specific question. For example, when creating a will, you frequently need to enter more than just one beneficiary. This list of beneficiaries is called repeated text. In template development, repeated text is marked using a REPEAT instruction, which instructs HotDocs to repeat the question as many times as necessary.
Insertion Field | Sometimes the text in the assembled document comes from a separate template. This is especially common when there is boilerplate text that needs to be used in multiple documents. In template development, insertion fields are marked with INSERT instructions, which identify the file name and location of the file that will be inserted.
Editable Text | This is text in the assembled document that you can edit; however, it is not marked when viewing the document in Markup View.
Developer Comment | During template development, developers may include comments with the different types of fields they insert in a template. Comments may explain why the field is there or the conditions under which it is being used.
Multiple Choice Option Text | One type of variable developers can create is a Multiple Choice variable, which provides users with predefined options. The text that is merged in the document is called merge text. In Markup View, it is simply referred to as option text.

Home > HotDocs Template Development Terms and Ideas


HotDocs Help - Save Other Document Types as PDF

Save Other Document Types as PDF

With HotDocs, you can use the PDF printer driver to save documents not associated with HotDocs as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save other document types as PDF

  1. Open the document in a Windows program with printing capability.
  2. Select the Print command for that program.
  3. At the printing dialog box, select HotDocs PDF Driver as the printer.
  4. Optionally, click Properties and assign any properties to the document you may need.
  5. Click the Print or OK button. The Save As dialog box appears.
  6. Select a location and type a name for the new file.
  7. At the Save as type box, select PDF File (*.pdf).
  8. Optionally, select Document Settings and click the Edit button to add information about the document's title, subject, author, or search keywords.
  9. Optionally, select View Resulting PDF to open the PDF once it has been created.
  10. Click the Save button. The PDF file is created and saved to the location you specified.
Note: Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.

Home > Save Other Document Types as PDF


HotDocs Help - Work with Records in a Repeated List

Work with Records in a Repeated List

To work with repeated answers

  1. Answer questions in the repeated dialog.
  2. Select the record with which you want to work. (If you are editing records in a dialog series, select the dialog icon in the interview outline. If you are editing records in a spreadsheet, click on the row you want to edit.)
  3. Use the options described in the following table to complete additional tasks:
    To | Do This
    Remove a specific dialog from the list of answers | Select the dialog you want to delete and either click the Delete Repetition Delete Repetition button, or choose Delete Repetition from the Edit menu.
    Insert a new dialog between existing dialogs | Either click the Insert Repetition Insert Repetition button, or choose Insert Repetition from the Edit menu.
    Move an existing dialog up in the list of answers | Select the dialog you want to move and click the Move Repetition Up Move Repetition Up button (located on the Edit toolbar).
    Move an existing dialog down in the list of answers | Select the dialog you want to move and click the Move Repetition Down Move Repetition Down button (located on the Edit toolbar).
    Sort the contents of a spreadsheet dialog in alphanumeric order | Click in the column on which you want to sort and click the Sort Sort button (located on the Edit toolbar). The Sort Spreadsheet dialog box appears where you can specify your sorting preferences. If the template developer has specified any sorting options, answers will be merged in the document using those sort options. Otherwise the sort order you specify here will be used in the assembled document.
    Edit the contents of the row in a regular dialog | Click in the row you want to edit and either click the Edit Row Edit Row button, or right-click and choose Edit Row from the shortcut menu.

Home > Work with Records in a Repeated List


HotDocs Help - Assembly Queue

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Assembly Queue

A dialog box that shows a list of assemblies—pending, current, and completed. Users can open the Assembly Queue by clicking its button ( Assembly Queue) in the assembly window toolbar. It is most useful when users have selected multiple templates for assembly.

Home > HotDocs Glossary of Terms > Assembly Queue


HotDocs Help - assembly window

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

assembly window

The window that appears when a user selects a template to assemble. By default, it includes the Interview tab, the Document tab, the Question Summary tab, and Answer Summary tab. Each of these tabs displays something unique about the document being assembled, such as the questions that are required to customize the document or the assembled document itself.

Home > HotDocs Glossary of Terms > assembly window


HotDocs Help - auto-assemble file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

auto-assemble file

A self-executable file that contains one or more templates and their related files. When packaged in an auto-assemble file (or HDA), the files are temporarily extracted and used to assemble the document. Once assembly is complete, the extracted files are deleted. Auto-assemble files are useful if template developers don't want users to have editing access to the template files themselves.

Home > HotDocs Glossary of Terms > auto-assemble file


HotDocs Help - auto-install file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

auto-install file

A self-executable file that contains one or more templates and their related files. When extracted, the files are saved to disk and references to them are added to a library. Auto-install files provide a useful way to distribute templates or updates to template sets.

Home > HotDocs Glossary of Terms > auto-install file


HotDocs Help - automate, automation

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

automate, automation

The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template.

Home > HotDocs Glossary of Terms > automate, automation


HotDocs Help - Automator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Automator

See HotDocs Automator.

Home > HotDocs Glossary of Terms > Automator


HotDocs Help - bar code

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

bar code

A format for an answer or a group of answers so that data can be quickly scanned using an optical scanner. Bar codes are supported in both form templates and text templates. (In form templates, developers assign the PDF417 property to the field. In text templates, developers assign the preferred bar code font at the Advanced group of the Variable Field dialog box.)

Home > HotDocs Glossary of Terms > bar code


HotDocs Help - binary files

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

binary files

In versions of HotDocs prior to HotDocs 2009, represents the format HotDocs-specific files—such as library files, component files, and so forth—were saved in. Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language).

Home > HotDocs Glossary of Terms > binary files


HotDocs Help - browser

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

browser

A window that allows users to view HTML documents. When working with HotDocs Server, interviews are displayed in a browser window rather than the regular HotDocs assembly window.

Home > HotDocs Glossary of Terms > browser


HotDocs Help - built-in variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

built-in variable

A predefined variable that performs a special function in a template, such as inserting either today's date or the name of the current answer file. Built-in variables include TODAY, PN#, ANSWER FILE NAME, and COUNTER.

Home > HotDocs Glossary of Terms > built-in variable


HotDocs Help - century rollover

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

century rollover

A HotDocs setting that controls whether years entered as two digits appear as 1900-century years or 2000-century years.

Home > HotDocs Glossary of Terms > century rollover


HotDocs Help - check-box field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

check-box field

A type of form template field that represents some sort of pre-existing option a user must select, such as a true/false value or a multiple-choice value.

Home > HotDocs Glossary of Terms > check-box field


HotDocs Help - chevrons

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

chevrons

The double-angle brackets (« ») that surround a variable in a text template. Together, the chevrons and variable name make up the variable field, for example, «Client Name».

Home > HotDocs Glossary of Terms > chevrons


HotDocs Help - child dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

child dialog

A dialog that is inserted within another dialog. When it's inserted, it becomes linked to that dialog—users can't answer questions in it without first viewing the parent dialog. Usually the two dialogs are related in content or purpose.

Home > HotDocs Glossary of Terms > child dialog


HotDocs Help - clause

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

clause

Predefined sections of text that can be selected and added to an assembled document. Usually clauses are grouped together in a clause library so users can choose which ones they want to insert, although some clauses are merged in the document automatically.

Home > HotDocs Glossary of Terms > clause


HotDocs Help - clause archive

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

clause archive

A compressed file that contains all of the clauses for a given template or clause library. During assembly, clauses in the archive are extracted so they can be selected and added to an assembled document.

Home > HotDocs Glossary of Terms > clause archive


HotDocs Help - clause library

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

clause library

A file that contains a listing of available clauses. Users can select the clauses they want to use from the library, designate the order they should be merged in the document, and then answer any questions contained in the clauses. The clauses are then merged in the document.

Home > HotDocs Glossary of Terms > clause library


HotDocs Help - .CMP

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.CMP

File name extension that designates that the file is a component file.

Home > HotDocs Glossary of Terms > .CMP


HotDocs Help - command-line option

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

command-line option

An instruction used to control the operation of HotDocs. These instructions, or commands, are added to any command line that causes HotDocs to run. They can alter the operation of specific templates, or they can affect the overall operation of HotDocs.

Home > HotDocs Glossary of Terms > command-line option


HotDocs Help - comments

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

comments

Notes or thoughts entered by the template developer either in a script or in a template. Comments are one way to document processes within the template. If entered correctly, they will not be visible to users in the assembled document.

Home > HotDocs Glossary of Terms > comments


HotDocs Help - component

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

component

An element in a HotDocs template that displays or stores information about the answers that are merged. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.

Home > HotDocs Glossary of Terms > component


HotDocs Help - component file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

component file

The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Developers use Component Manager to work with components.

Home > HotDocs Glossary of Terms > component file


HotDocs Help - Component File Properties Dialog Box

Component File Properties Dialog Box

Note:To access this dialog box: Run Template Manager. > Select a template file in the item list. > Click the Component File Properties Component File Properties button.

There may be certain component file properties that you want used across an entire template set. For example, perhaps you want all the templates in your library to use the same product title. Rather than change this property in each individual component file, you can specify a product title using Template Manager and have it applied to all of the selected component files at once.

At times, the component files you are modifying may have different settings for each property. For example, Template 1 may have the Generate default interview option selected, while Template 2 does not. When such situations occur, HotDocs displays some visual indication that different selections of the property are being used. Check boxes may show a grayed check mark in the box, indicating that the option has been selected in some files but not others. Text boxes with multiple values show the word <multiple> in them. You can select the options you want and when you click OK, the selected options will be applied to all of the files you have selected.

For help with each property, click the What's This Help What's This help button and click each individual property.

Home > Component File Properties Dialog Box


HotDocs Help - Component Manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Component Manager

The tool used to coordinate component usage in a template. Component Manager shows all of the components used in the template and provides options for working with those components.

Home > HotDocs Glossary of Terms > Component Manager


HotDocs Help - Computation Editor Dialog Box

Computation Editor Dialog Box

Note:To access this dialog box: Insert a variable. > Select Computation as the variable type. > Click the Edit Component Edit Component button.

The Computation Editor allows you to write a script that can calculate number, date, text, and true/false values based on answers users enter. Creating a computation requires you to write a script using specific instructions and expressions. You can type these instructions directly in the Script box, or you can drag them from the Instruction models and Expression models lists.

For specific details about items in this dialog box, please see the following topics:

  • Overview: Instruction and Expression Models
  • Understand the HotDocs Scripting Language
  • Use the Script Editor
  • Customize a Computation Variable
  • Use Operators When Scripting

To access help topics for each specific model, select the model in the list and press Ctrl+F1.

Home > Computation Editor Dialog Box


HotDocs Help - Computation variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Computation variable

A type of component that performs calculations or executes other instructions within the template. Computation variable scripts are created using the HotDocs scripting language.

Home > HotDocs Glossary of Terms > Computation variable


HotDocs Help - conditional text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

conditional text

Text in the template that should be included in the assembled document only under certain circumstances. Conditions are controlled using IF instructions and expressions.

Home > HotDocs Glossary of Terms > conditional text


HotDocs Help - control field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

control field

A type of form template field that is used for behind-the-scenes tasks, including inserting related templates and assigning values to variables, just to name a few.

Home > HotDocs Glossary of Terms > control field


HotDocs Help - Convert Files Dialog Box

Convert Files Dialog Box

Converting Templates to HotDocs 2009-10 Format

Note:To access this dialog box: Run Template Manager. > Select the files you want to convert. > Click the Convert Convert Files button.

Beginning with 2009, HotDocs uses a file format for component files that is different from earlier versions of HotDocs. This means that all component files created in these earlier versions must be converted to HotDocs 2009-10 format in order for them to work. Failure to convert the files may result in errors when you attempt to assemble documents using them.

Template Manager will convert all component files referred to in the template or templates you are converting. For example, if Template A contains an INSERT instruction, when you convert Template A, any templates (and component files) referred to in the instruction will also be converted.

Converting to RTF

Template Manager allows you to convert multiple files to RTF at once. Doing so ensures that any files dependent on the file you are converting are likewise converted and references to it are updated. Please note the following:

  • When you select a template or clause library in the file list to convert, Template Manager will convert that file to the new format.
  • If the file you are converting contains INSERTed files, Template Manager will convert both the parent template and any INSERTed templates or clauses.
  • Template Manager will not convert files used in ASSEMBLE instructions. However, you can convert these files at the main list and any ASSEMBLE instructions that refer to them in other files will be updated.

After a file is converted, Template Manager will search through the contents of the other files in the library to see if any of those files contain INSERT or ASSEMBLE instructions that refer to the template or clauses it just converted. If so, Template Manager updates the file name extension in those instructions so that the instruction correctly refers to the new file.

When converting templates to a new format, it's a good idea to convert all the files in the library so that you don't create any file name extension inconsistencies. For example, TemplateA.wpt and TemplateB.wpt both INSERT Subtemplate1.wpt. If you select only TemplateA for conversion, Template Manager converts it and Subtemplate1 to RTF. Template Manager then updates the reference to Subtemplate1 in TemplateB, but TemplateB is still in WordPerfect format because you haven't converted it yet. If you attempt to assemble Template B, you will get errors. (Remember, when inserting one template into another, the file types must match.)

Home > Convert Files Dialog Box


HotDocs Help - COUNTER

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

COUNTER

An expression that keeps track of the current number of repetitions in a repeated dialog. Each time a new repetition is added, the COUNTER is increased.

Home > HotDocs Glossary of Terms > COUNTER


HotDocs Help - Create Inserted Template Warning

Create Inserted Template Warning

Note:To access this dialog box: Edit a text template. > Select text in the template. > Click the INSERT Field INSERT Field button. > Save the inserted template to a folder different from the parent template.

When you create inserted templates by selecting existing template text, the inserted template uses the same component file as the parent template. When you specify a folder for the inserted template that is different from the parent template, HotDocs creates the template there and then creates a new component file for it. (Remember, a template and a component file must be saved in the same folder in order for the template to work properly.)

If the template text you have selected to create the new, inserted template contains variable references, you must copy those variables and components to the new component file in order for the template to work.

To copy components from the parent template's component file to the inserted template's component file

  1. In the parent template, click the Component Manager Component Manager button. The Component Manager window appears.
  2. Click the Expand Expand button in the upper-right corner of Component Manager. This expands Component Manager to show a second list of components.
  3. Click the Open Open button, next to the Other component file drop-down list.
  4. Browse to the folder that contains the inserted template and select its component file.
  5. In the current component file (the left side of Component Manager), select the components you need to copy to the inserted template's component file and click the Copy Copy button. The components are copied to the inserted template's component file (the component file on the right side of Component Manager).

Home > Create Inserted Template Warning


.topic 11320
Closes the error message.

.topic 11312
Shows an outline of all scripting and variables used in the template. Viewing this condensed view of scripting can help you better understand the relationship between instructions and variables.

.topic 11319
Displays the list of errors found in the template.

.topic 11304
Lets you view the template's cursor location in the outline. For example, when Synch Template is on, you can click in the template and have HotDocs show you where in the outline your cursor is positioned.

.topic 11321
Lists the different field coloring options.

.topic 11324
Marks each level of IF and REPEAT instructions using a custom color. (For example, all first-level instructions IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.)

.topic 11305
Includes variables in the list of instructions. Viewing variables in the context of their instructions can help you better understand scripting in the template.

.topic 11318
Lets you go to the place in the template where HotDocs detects the error occurs.

.topic 11327
Closes the Apply Colors dialog box without making any changes.

.topic 11303
Updates the HotDocs Outliner with any changes you've made to text in the template.

.topic 11322
Marks all variable and instruction fields black.

.topic 11301
Expands the list of items in the HotDocs Outliner to show all levels of instructions and variables.

.topic 11326
Closes the Apply Colors dialog box and assigns the selected color scheme to items in the outline.

.topic 11325
Marks each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)

.topic 11323
Marks all variable and instruction fields using a custom color specific to that field type. For example, all variables will be marked with one color, all IF instructions will be marked with a different color, all REPEAT instructions will use a different color, and so forth.

.topic 11302
Collapses the list of items in the HotDocs Outliner to show only first-level instructions and variables.

.topic 11306
Displays the Apply Colors dialog box, where you can choose which coloring scheme should be used to identify variables and instructions in the outline. (See the HotDocs Helps for a description of each available option.)

.topic 11307
Copies the contents of the outline to the Windows Clipboard so you can paste it in another application, such as a word processor.

.topic 11309
Displays the What's This help cursor. Once activated, you can click on a button, prompt, or other control and view a short explanation of that feature.

.topic 11310
Lets you view a specific variable in the Limit to drop-down list to see which instructions or conditions are associated with that specific variable. If you select <cursor position> from this list, you can click in a field in the template and view the same information. This helps you view scripting on a variable by variable basis.

.topic 11300
Places the HotDocs Outliner window next to the Word template window so you can view both windows simultaneously.

.topic 11311
Lets you view a specific variable in the Limit to drop-down list to see which instructions or conditions are associated with that specific variable. If you select <cursor position> from this list, you can click in a field in the template and view the same information. This helps you view scripting on a variable by variable basis.


HotDocs Help - custom interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

custom interview

A script that controls how and the order in which variables and dialogs are asked during an interview. The template developer creates this script.

Home > HotDocs Glossary of Terms > custom interview


HotDocs Help - database

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

database

A file that contains a collection of data. Template developers can map variables in templates to fields in a database table so that answers can be retrieved from it and merged in the assembled document.

Home > HotDocs Glossary of Terms > database


HotDocs Help - Database Connection

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Database Connection

See HotDocs Database Connection.

Home > HotDocs Glossary of Terms > Database Connection


HotDocs Help - date detection

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

date detection

The HotDocs setting that controls how HotDocs interprets and merges dates entered during the interview—for example, whether the date appears as DAY MONTH YEAR (British), or MONTH DAY YEAR (United States).

Home > HotDocs Glossary of Terms > date detection


HotDocs Help - Date variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Date variable

A type of component that merges a date in the document.

Home > HotDocs Glossary of Terms > Date variable


HotDocs Help - Custom Command Sample

Custom Command Sample

The following is an example of a custom command:

SELECT Client.Company, Client.Contact, Client.Address1, Client.Address2, Client.City, Client.State_Prov, Client.Country, Client.PostalCode, Invoice.Inv_Number, Invoice.Inv_Date, Invoice.Ship_Date, Invoice.Inv_Total, Invoice.Date_Paid FROM Client INNER JOIN Invoice ON Client.ClientID = Invoice.ClientID ORDER BY Client.Company;

Home > Custom Command Sample


HotDocs Help - DEBUG

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

DEBUG

An instruction developers can insert in a template or script that lets them troubleshoot problems they are experiencing with their automation. While testing the script or template in debugging mode, HotDocs walks the developer through it, step by step, so he or she can see exactly how the script or template is producing the unexpected result.

Home > HotDocs Glossary of Terms > DEBUG


HotDocs Help - default interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

default interview

The interview HotDocs automatically generates based on the order variables are asked in the template.

Home > HotDocs Glossary of Terms > default interview


HotDocs Help - default word processor

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

default word processor

When multiple word processors (for example, Word and WordPerfect) or when multiple versions of a single word processor (for example, Word 2000 and Word XP) are installed, the word processor HotDocs uses by default for automation and document assembly.

Home > HotDocs Glossary of Terms > default word processor


HotDocs Help - delimiter

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

delimiter

A character, such as a tilde (~) or vertical bar (|), that delineates answers or values in a script or instruction.

Home > HotDocs Glossary of Terms > delimiter


HotDocs Help - descend

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

descend

The process of sorting answers in reverse alphanumeric order, from 9 to 1, and from Z to A. (See also ascend.)

Home > HotDocs Glossary of Terms > descend


HotDocs Help - detect

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

detect

In a form template, the process of aligning a variable field with its surrounding field borders.

Home > HotDocs Glossary of Terms > detect


HotDocs Help - Component Manager Toolbar

Component Manager Toolbar

The following buttons and commands appear on the Component Manager toolbar:

Button or Command | Description
Arrange Windows | Places the Component Manager window to the left of either the library window, the Automator window, or the word processor window. This way, you can work in both windows simultaneously.
Save Component File Save Component File | Saves changes you have made to the component file.
Component File Properties Component File Properties | Opens the Component File Properties dialog box where you can select options that affect how the template is assembled.
Insert Variable | Inserts the selected variable in the template.
New Component | Creates a new component and adds it to the component file. (To add the variable to the template, place your cursor in the template where you want the field, then select the variable in Component Manager and click the Insert Variable Insert Variable button.
Edit Component | Opens the Component Editor for the selected component so you can make changes to it.
Delete Components | Removes the selected component(s) from the component file. Caution:Any fields in the template that still refer to the component will cause the template to no longer work.
Rename Components | Lets you rename components in the component file.
Duplicate Variables | Creates a copy of the variable(s) you have selected.
Find in Components Find in Components | Searches the text properties of the selected components for a specific word or phrase.
Find and Replace in Components Find and Replace in Components | Searches the text properties of the selected components for a specific word or phrase, and replaces those found instances with the new word or phrase you specify.
Spell Check Components Spell Check Components | Checks the spelling of prompts, titles, merge text, plain text resources, etc. in the component file.
Print Components | Prints a list of the components in the component file.
Restore All | Brings all open component editors to the front.
Minimize All | Minimizes all component windows to the Windows taskbar.
Save and Close All Save and Close All | Saves and closes all open component editors.
What's This? Help What's This? Help | Displays the What's This? Help cursor, which allows you to get help for specific elements in the HotDocs interface.
Sort Components | Sort components in the list in alphanumeric order.

Home > Component Manager Toolbar


HotDocs Help - Component Properties

Component Properties

When working with literal text in components, you can search, search and replace, print, or spell check text used in the different properties of a given component.

Using both the Find Find in Components and Find and Replace Find and Replace in Components buttons, these properties are:

  • Display text (titles, prompts, etc.): Searches for text in dialog and variable titles, as well as variable prompts.
  • Merge text, patterns, and formats: Searches for the specified text string in Multiple Choice merge text groups, Text variable patterns, and variable formats.
  • Plain text resources: Searches for the specified text string inside any plain text resources for variables or dialogs.
  • Scripts: Searches for the specified text string inside quotation marks in computation and dialog scripts.
  • Variable references (Find option only): Searches for variables that are referenced in the selected variables' prompts, merge texts, and scripts.
  • Notes: Searches text specified at the Notes tab of component editors.

Using the Spell Check Spell Check Components button, these properties are:

  • Display text (titles, prompts, etc.): Checks the spelling of text in dialog titles and variable prompts and titles.
  • Merge text: Checks the spelling of merge text in Multiple Choice variables.
  • Plain text resources: Checks the spelling of plain text resources for variables and dialogs.
  • Scripts: Checks the spelling of text strings (inside quotation marks) in computation scripts.

Using the Print Print Components button, these properties are:

  • Component types: Prints the type of component for the variable you are printing (for example, Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information)
  • Titles, prompts, and dialog elements: Prints each component's prompt or title, if one has been assigned. Prints dialog element text in a dialog.
  • Scripts: Prints any scripts associated with the variable or dialog.
  • Plain text resources: Prints any plain-text resources that have been assigned to the variable.
  • Notes: Prints text specified at the Notes tab of component editors.
  • All other component type-specific properties: Prints other component-specific data such as the maximum number of characters for a Text variable or the contents and script for a custom dialog.

Home > Component Properties


HotDocs Help - Special Instructions for Dialog Scripts

Special Instructions for Dialog Scripts

Caution: Dialog scripts should only change the appearance of variables in a dialog—they should not be used to compute answers.

The following is a brief explanation of instructions that can be used in dialogs. In each of the following examples, either replace the placeholder NUM with a number value, or replace VAR with a variable name:

Instruction | Description
LIMIT NUM | The LIMIT instruction limits the number of times a dialog can be repeated. It is placed in the script of the dialog that must be limited to a specific number of repetitions.
GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR | These instructions, which are used in a dialog script, control whether components in a dialog appear grayed or ungrayed, depending on answers a user enters. GRAY ALL dims all components in the dialog, while UNGRAY ALL makes all of the components active again. Likewise, GRAY VAR dims a single component, and UNGRAY VAR enables the component again.
HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR | These instructions, which are used in a dialog script, control whether the user is able to see variables in a dialog. The HIDE ALL instruction hides all variables in the dialog, while SHOW ALL reveals the variables again. Likewise, HIDE VAR hides a single variable, and SHOW VAR reveals the variable.
REQUIRE ALL; REQUIRE VAR | The REQUIRE instruction requires users to answer questions in a dialog before they can advance to the next dialog in the interview.
CONCEAL VAR | This instruction, which you use in a dialog script, keeps variables from appearing in the Select From Answer Source dialog box of an answer source.
OMIT VAR | The OMIT VAR instruction, which you use in a dialog script, keeps variables from appearing in the Edit Answer Source dialog box of an answer source.
DEFAULT VAR TO VALUE | This instruction suggests a value for a variable if the variable is unanswered.
SET VAR TO VALUE | This instruction lets you specify a given value for a variable’s answer automatically, rather than allow the user to specify an answer. With the SET instruction, you can transfer names and other values from one variable to another.

Home > Special Instructions for Dialog Scripts


HotDocs Help - Using a Dialog to Display Only Dialog Element Text

Using a Dialog to Display Only Dialog Element Text

You can create a dialog that contains text only and no variables. You must be aware of some constraints in doing this, however:

  • If you want the dialog to appear during the interview, you must insert an ASK instruction in the template where you want the dialog to be asked.
  • HotDocs considers a dialog with only dialog element text to be answered, so if a user completes an interview using the Next Unanswered Next Unanswered button, HotDocs will skip the dialog. To force HotDocs to display it, select Always stop at this dialog when moving to next unanswered (Options tab).

Home > Using a Dialog to Display Only Dialog Element Text


HotDocs Help - Differences Between ASSEMBLE and INSERT Instructions

Differences Between ASSEMBLE and INSERT Instructions

The way HotDocs processes an ASSEMBLE instruction is different from the way it processes an INSERT instruction:

  • With ASSEMBLE, HotDocs finishes assembling the main document and waits until you close the assembly window before starting the next assembly. Each time you send the assembled document to the word processor or to HotDocs Filler, HotDocs creates a separate file, instead of appending assembled documents to the end of the previous document.
  • The INSERT instruction interrupts assembly of the main document (if the instruction is placed before the end of the template) to assemble the inserted template. HotDocs then inserts the assembled text where the instruction is, and then finishes assembling the main document.

Home > Differences Between ASSEMBLE and INSERT Instructions


HotDocs Help - Inserted Template File Locations

Inserted Template File Locations

Templates can be INSERTed or ASSEMBLEd from any location, as long as you specify the correct folder path information. For example, templates can be inserted using the following folder structure:

Location of Template | Example
Same folder as parent template | «INSERT "Template.rtf"» «ASSEMBLE "Template.rtf"»
Subfolder of parent template | «INSERT "Subfolder\Template.rtf"» «ASSEMBLE "Subfolder\Template.rtf"»
Full file path | «INSERT "C:\My Documents\Template.rtf"» «ASSEMBLE "C:\My Documents\Template.rtf"»
Reference path | «INSERT "^referencePath\Template.rtf"» «ASSEMBLE "^referencePath\Template.rtf"»
Default Templates folder | «INSERT "\Template.rtf"» «ASSEMBLE "\Template.rtf"»

Home > Inserted Template File Locations


HotDocs Help - Differences Between SET and DEFAULT Instructions

Differences Between SET and DEFAULT Instructions

Both the SET instruction and the DEFAULT instruction assign answers to variables. However, there are differences between the way the two instructions operate in a script. These differences are outlined in the following table:

SET Instruction | DEFAULT Instruction

Sets the value of a variable each time the instruction is processed, even if the variable is already answered.

Caution: You should never SET a variable's value and then cause the variable to be asked later in the template. If you do this, the value assigned by the SET instruction will always overwrite the user's answer. If you want to suggest an answer for a user but give them the chance to change the answer, use the DEFAULT instruction.
Sets the value of a variable the first time the instruction is processed and if the variable is unanswered. (If the variable is already answered, the DEFAULT instruction has no effect.)
When the instruction is processed, causes HotDocs to prompt the user to save the answer file. (To avoid warnings like this, clear the Save in answer file option for the variable (Advanced tab of the Variable Editor).) | When the instruction is processed, does not cause HotDocs to prompt the user to save the answer file.

Home > Differences Between SET and DEFAULT Instructions


HotDocs Help - Retrieve Information Other Than Answers from a REPEAT Instruction

Retrieve Information Other Than Answers from a REPEAT Instruction

You can use a computation to retrieve information (other than a list of answers) from a REPEAT instruction.

For example, perhaps you want to gather a list of children, and then find and return the number of children who are minors. You can use the REPEAT instruction in a computation to get the result you want. The following computation script shows an example of how to do this:

0
REPEAT Child Information
IF AGE( Birthdate ) < 18
RESULT + 1
END IF
END REPEAT

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Retrieve Information Other Than Answers from a REPEAT Instruction


HotDocs Help - Add HotDocs Toolbar to WordPerfect Templates

Add HotDocs Toolbar to WordPerfect Templates

Sometimes you may need to manually add the HotDocs navigation toolbar to WordPerfect.

To add the toolbar

  1. Select the template in the library and click the New Template New Template button. The New Template dialog box appears.
  2. Don't make any changes to any of the template's properties and click OK.
  3. Click Yes when asked to convert the file.

Home > Add HotDocs Toolbar to WordPerfect Templates


HotDocs Help - Foreign Language Number and Date Formats

Foreign Language Number and Date Formats

The following is a list of formats you can customize for foreign language Number and Date variable formats:

  • Alphabetic cardinal numbers (nine, one thousand nine hundred and ninety)
  • Ordinals both in dates and numbers (9th, ninth)
  • Month names and abbreviations (June, Jun)
  • Weekday names and abbreviations (Sunday, Sun)
  • The keyword percent used in a number format
  • The keyword minus used in a number format
  • A comma, period, or spaces used as a thousands separator
  • A comma or period used as a decimal point

You should be familiar enough with the foreign-language equivalent of these words and phrases to ensure proper spelling and punctuation.

Home > Foreign Language Number and Date Formats


HotDocs Help - Insert a PLAY Instruction in a Template

Insert a PLAY Instruction in a Template

To insert a PLAY instruction in a template

  1. At the template, position the cursor in the template where you want the PLAY instruction.
  2. If you are using Microsoft Word:
    1. Click the HotDocs menu in the HotDocs toolbar and choose Other Field from the list of options. The Other Field dialog box appears.
    2. Click the Field type drop-down button and choose PLAY.
    3. In the Macro name box, enter the name of the macro you want to run.
    4. Click OK. The instruction is inserted in the template.
  3. If you are using WordPerfect:
    1. Copy an existing variable or instruction field in the template.
    2. Replace text between the chevrons (« ») with the PLAY instruction.

See Specify a Word Template for Storing Post-Assembly Macros for more information.

Note: PLAY instructions are executed when you create an actual document from the assembly. This includes sending the document to the word processor, saving the document, or printing a copy of the document. If there are multiple instructions, they are processed in the order they are encountered.

Home > Insert a PLAY Instruction in a Template


HotDocs Help - Warnings Tab Descriptions

Warnings Tab Descriptions

Warning | Description
Variables that are set to a value and are marked "Save in answer file" | When HotDocs generates an interview outline, it processes any SET instructions and assigns answers to the variables that are set. This causes HotDocs to ask to save the answer file, even if the user doesn't enter any answers during the interview.
Variables that are set to a value and asked in the same interview

You should not use a SET instruction to assign an answer to a variable and then ask the variable later in the interview. As HotDocs processes answers and rebuilds the interview, the value assigned by the SET instruction will always overwrite any answers the user provides. An example of this would be the following script:

SET TF Variable TO TRUE

... (later in the template)

ASK Dialog

(where Dialog uses the variable, TF Variable.)

In this situation, even if the user marks TF Variable as false, HotDocs will always change it back to true because of the SET instruction.

If you want to suggest an answer for a user, use the DEFAULT instruction instead of the SET instruction. If you want a variable to always have a specific answer, then SET the answer and do not ask that variable anywhere in the template.

Variables that are asked more than once in the same interview | You should not ask the same variable more than once in an interview. If you do, HotDocs will always assign the last answer you gave to the variable, no matter where it is used in the interview.
Variables that are referred to in a dialog script and are set to a value later

You should not refer to a variable in a dialog script and then set that variable to a value later in the template. When HotDocs reprocesses the interview, the set value may change the appearance of the dialog—including how it presents variables to the user and how it processes the answers.

An example of this would be the following script:

SET Client TO "Husband"
ASK Husband Information
SET Client TO "Wife"
ASK Wife Information

In and of itself, this script is OK. However, Husband Information and Wife Information are dialogs that contain the following dialog element text:

The following information applies to the «Husband or Wife».

Husband or Wife is a computation that merges the literal text "husband" or "wife" into dialog element text, depending on the answer to Client.

Because HotDocs continually updates the interview, it will always use the last value resulted for this computation, which means that the dialog element text will always merge the word "wife," even if the user is viewing the Husband Information dialog. This could be confusing to the user.

Variables that are not asked when referred to but are asked later | You can refer to a variable in a template without asking the variable (by referring to the variable in an ASK NONE block or by clearing the Ask automatically option for the variable). However, if you do this, you should not ask the variable or set it to a value later in the template. Doing this will replace the answer that was used for the variable earlier in the template, thus causing an inconsistency.

Home > Warnings Tab Descriptions


HotDocs Help - View the Component's Status

View the Component's Status

The following icons are used to describe how components are being used in the component file. Template Manager can overlay these icons on components to help you know the status of the component—whether it is being used correctly or incorrectly:

Missing | Components that have a red R next to them are components that are referenced in the template (either directly or indirectly, as in the case of variables used in dialogs or Computation variables), but do not appear in the component file. Their status is Missing.
Unused | Components that are grayed out with an overlay of a grayed question mark are components that appear in a component file but are not referenced in the template. Their status is Unused.
(OK) | Components that are used in the component file and referenced in the template file have the OK status assigned to them. They are not represented by any special icons.

Home > View the Component's Status


HotDocs Help - View the Template Status

View the Template Status

The following icons are used to describe how templates are being used in the library. Template Manager overlays these icons on items in the file list to help you know the status of the file.

Error | This symbol means HotDocs has detected a problem with the file. Usually, this means the file refers to another file that doesn't exist.
Missing | This symbol means the file listed doesn't exist.
Reference | This symbol means the file is referred to in the template using an ASSEMBLE instruction. In such cases, Template Manager adds the file to the main level of the file list so you can work with it.

Home > View the Template Status


HotDocs Help - Additional Date Formats

Additional Date Formats

You can also create date variables using the following set of format codes:

Note: All case sensitive formats operate the same way—if the first character of the format is uppercase and the second is lowercase, then the first letter of the formatted value is uppercase and all the rest are lowercase. If the first and second characters of the format are uppercase, then the entire formatted value is uppercase.
Caution:The following formats are not supported in HotDocs 2008 and earlier. If you plan to use your templates with any of these previous versions, use these formats.
Property Name | Description | Example Usage | Example Formatted Answer
d | Numeric day | d | 1
dd | Two-digit numeric day | dd | 01
ddd | Case-sensitive weekday abbreviation | ddd, Ddd, DDD | mon, Mon, MON
dddd | Case-sensitive spelled-out weekday | dddd, Dddd, DDDD | monday, Monday, MONDAY
dth | Case-sensitive numeric ordinal day | dth, dTH | 1st, 1ST
dy | Case-sensitive spelled-out day | dy, Dy, DY | first, First, FIRST
m | Numeric month | m | 1
mm | Two-digit numeric month | mm | 01
mmm | Case-sensitive month abbreviation | mmm, Mmm, MMM | jan, Jan, JAN
mmmm | Case-sensitive spelled-out month | mmmm, Mmmm, MMMM | january, January, JANUARY
y | Numeric year | y | 2010
yy | Two-digit numeric year | yy | 09
yyyy | Four-digit numeric year | yyyy | 2010
yr | Case-sensitive spelled-out year | yr, Yr, YR | two thousand and nine, Two Thousand And Nine, TWO THOUSAND AND NINE

Following are some examples of how to use these types of date formats:

How It's Used | How the Answer is Formatted
d/m/yy | 1/1/08
dd/mm/yy | 01/01/08
dth day of Mmm | 1st day of Jan
dy day of the month | first day of the month
Mmmm, yyyy | January, 2008
Mmm yyyy | Jan 2008
Yr | Two Thousand And Eight
Ddd, dd/mm/yy | Mon, 01/01/07
Dddd, Mmm dth | Monday, Jan 1st

Home > Additional Date Formats


HotDocs Help - Additional Support Information for Folio Views 4.2

Additional Support Information for Folio Views 4.2

Differences Between Versions

HotDocs provides the same level of support for Folio Views 4.2 that was provided for Views 3.x in earlier versions of HotDocs. Developers who create templates with help links to Folio infobases should note the following:

  • With Views 4.x versions prior to 4.2, most notably 4.11, a new instance of Views is started each time an infobase is accessed from within HotDocs. This is due to an error in Views that has been corrected in version 4.2.
  • Views 4.x infobases cannot be opened in Views 3.x.
  • Version 3.x infobases can be used with Views 4.2. However, Views 4.2 does not handle jump destinations passed by HotDocs correctly with 3.x infobases. The 3.x infobase comes up in Views 4.2, but Views does not move to the jump destination.

Command-Line Options

Two command-line options help you identify the version of infobase files distributed with HotDocs template sets. These options ensure that HotDocs looks for the correct version of Views to display the help files. The options operate as follows:

/v3 | Identifies a Views version 3.x infobase
/v4 | identifies a Views version 4.x infobase

If a user may have both versions of Views installed, or if you want to make sure HotDocs does not attempt to open an infobase in the wrong version of Views, specify the infobase version by appending the correct command-line option following the Infobase file entry in the Resource tab. For example:

TCAHelp.nfo /v3

This file name identifies the infobase TCAHelp.nfo as a Views version 3.x infobase.

Home > Additional Support Information for Folio Views 4.2


HotDocs Help - Assign a Custom Program as a Resource

Assign a Custom Program as a Resource

You can use a custom program to display resource text. Make sure the custom program is in either the same folder as the template or the Windows\System folder.

To use a custom program to display resource text

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Custom Program.
  4. Click the Open Open button next to the Program file box and locate the file.
  5. Type any necessary command-line options in the Command-line parameters box.

During the interview, HotDocs displays a link in the resource pane, which the user can click to open the custom program.

Home > Assign a Custom Program as a Resource


HotDocs Help - Assign Folio Help as a Resource

Assign Folio Help as a Resource

You can use information from a Folio Infobase as a resource. The Folio infobase must be in the same folder as the template.

To assign Folio help as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Folio Infobase.
  4. Click the Open Open button next to Infobase file box and locate the infobase (.NFO) file.
  5. In the Jump link box, type the name of the jump link.

During assembly, HotDocs displays a link in the resource pane, which the user can click to open Folio Views. The information from the infobase appears.

See Additional Support Information for Folio Views 4.2 for more information on using Folio help.

Home > Assign Folio Help as a Resource


HotDocs Help - Assign HTML Help as a Resource

Assign HTML Help as a Resource

You can assign HTML Help (or .CHM file) as a resource for a variable or dialog. The resource can appear either in a help viewer or as pop-up text. You may need to review your HTML Help program's documentation for additional information on concepts and terms described below.

To assign HTML Help as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select HTML Help from the Resource type drop-down list.
  4. Click the Open Open button next to the HTML Help file box to locate the file.
  5. In the Topic box, type a topic name (for example, Employee_Name.htm) or an alias map number (for example, 1).
  6. Select Resource pane to display the HTML text directly in the Resource pane.
  7. Optionally, if you have a specific window style you want your help to appear in, include the window name after a right-angle bracket at the end of the topic name, for example, topic_title.htm>secondary window.
  8. Optionally, to reference a bookmark, include the pound sign between the topic tile and the bookmark name—for example, topic_title.htm#bookmark_name.)
Note: To display the help text in a pop-up window, enter a context ID map number for the pop-up help in the Topic field. If your context-sensitive help is saved as something other than popup.txt (the default file name for which HotDocs searches), you must include the file name after the map number (for example, 1:context.txt) When the user views the resource pane, HotDocs displays a link which the user must click. At that point, a What's This? help-style window appears.

Home > Assign HTML Help as a Resource


HotDocs Help - Assign a Web Page as a Resource

Assign a Web Page as a Resource

You can display the text from a Web page as a resource.

To assign a URL as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select URL.
  4. Type the full URL path (or Web address) in the URL box.
  5. Optionally, type the anchor tag of the specific text in the Web page you want to display in the Anchor tag box.
  6. Optionally, select Resource pane to display the Web page directly in the resource pane.

During assembly, HotDocs displays the Web page either in its own browser window, or in the resource pane, depending on whether you selected Resource pane.

Home > Assign a Web Page as a Resource


HotDocs Help - Assign Windows Help as a Resource

Assign Windows Help as a Resource

Caution: Windows Help (or .HLP files) are not supported on Windows Vista.

You can assign a Windows Help file (or .HLP file) as a resource for a variable or dialog. The file must be in the same folder as the template.

To assign Windows Help as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Windows Help.
  4. Click the Open Open button next to the Windows Help file box and locate the file.
  5. In the Topic field, type the context ID number of the corresponding help topic. (Sometimes this is called a hash number. You may need to review your Windows Help program's documentation for additional information.)
  6. Optionally, select Pop-up to display the information in a What's This? help-style window. (The window only stays open until the user clicks somewhere else.)

During assembly, HotDocs displays a link in the resource pane, which the user can click to open the WinHelp viewer. The information from the help file appears.

Home > Assign Windows Help as a Resource


HotDocs Help - How Variables and Dialogs Are Asked

How Variables and Dialogs Are Asked

A variable is asked automatically when all of the following conditions are true:

  • The answer for the variable is used (for example, tested in an IF instruction or merged into text), and
  • The variable hasn't been asked before in the interview, either by itself or as part of a dialog, and
  • The variable is marked Ask automatically.

A dialog is asked automatically when all of the following conditions are true:

  • The dialog has not been asked before in the interview, and
  • A variable to which the dialog is linked is marked Ask automatically.

Additionally, a dialog will be asked automatically when it is used in a REPEAT instruction.

Home > How Variables and Dialogs Are Asked


HotDocs Help - Tips on Naming True/False Variables

Tips on Naming True/False Variables

If you are using the True/False variable's name as the prompt in the answer-gathering dialog, you may want to consider naming a True/False variable after the section of the template it affects—for example, Marriage Clause. This makes sense if the user is going to be selecting from a list of such sections—Marriage Clause, Children Clause, Out-of-State Residence Clause, and so forth.

Or, you can consider naming the variable after the condition itself—Client Is Married. This makes sense if the user will not be selecting from a list of sections—especially if the same True/False variable might be used as the condition for more than one part of the template.

Home > Tips on Naming True/False Variables


HotDocs Help - Tips on Using Unanswered Variable Placeholders

Tips on Using Unanswered Variable Placeholders

You can specify unanswered text placeholders four different places in HotDocs:

Variable field: When specified at the Variable Field dialog box, the placeholder is used only for that specific instance of the variable. It overrides any placeholders you specify at the Variable Editor. (You can enter whatever placeholder text you like here.)

Variable component: When specified at the Variable Editor, the placeholder becomes the default for the variable and will be used when no field-specific placeholder has been specified. (You can enter whatever placeholder text you like here.)

Component file: When selected at the Component File Properties dialog box, the placeholder is applied to all variables within the component file, except those that have a default or a field-specific placeholder assigned. If Default is selected, whatever options the user has specified at HotDocs Options will be used for those not already assigned a specific placeholder.

HotDocs Options: When users assemble documents, they have some control over which placeholder will be used if they leave variables unanswered. (They make their selection at the HotDocs Options dialog box.) However, if you have assigned placeholders using any of the methods above, your selection will override theirs.

Home > Tips on Using Unanswered Variable Placeholders


HotDocs Help - Understand Currency Symbols

Understand Currency Symbols

Currency symbols are not merged into the document—they only appear in the answer field to help the user know what type of information to enter. If you want a currency symbol to merge in the document, create an example format that contains the currency symbol, or make sure the symbol is included in the template text.

If the currency symbol you want is not available, you can create it by typing it in the Currency box. Currency symbols can be up to three characters long.

Home > Understand Currency Symbols


HotDocs Help - developer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

developer

See template developer.

Home > HotDocs Glossary of Terms > developer


HotDocs Help - dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

dialog

  1. In template development, represents the component in which the developer groups variables and other components.
  2. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.

Home > HotDocs Glossary of Terms > dialog


HotDocs Help - dialog element

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

dialog element

A component that lets developers more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. These can help make the dialog more visually pleasing and informative.

Home > HotDocs Glossary of Terms > dialog element


HotDocs Help - dialog script

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

dialog script

A set of instructions that dynamically change how variables are used in a dialog. For example, questions about a client's children can be scripted so they become available only if the client indicates that he or she has children. If the client does not, the questions will not be available.

Home > HotDocs Glossary of Terms > dialog script


HotDocs Help - Dialog Script Editor

Dialog Script Editor

Note:
  • To access this dialog box: Create or edit a dialog. > Click the Script tab.
  • To access help topics for each specific model, select the model in the list and press Ctrl+F1.

You can create scripts for your dialogs that allow you to hide or disable variable questions, require certain questions be answered before the user can proceed to the next dialog, and assign predetermined values to variables. You can also use scripts to make variables within a dialog conditional—just as they are in the underlying template text.

To create a dialog script, you can use the tools provided in the script editor. For information on creating a script, see the following topics:

  • Understand the HotDocs Scripting Language
  • Use the Script Editor
  • Use Operators When Scripting

Additionally, the following is a list of instructions that can be used in a dialog:

Instruction | Description
LIMIT NUM | The LIMIT instruction limits the number of times a dialog can be repeated. It is placed in the script of the dialog that must be limited to a specific number of repetitions.
GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR | These instructions, which are used in a dialog script, control whether components in a dialog appear grayed or ungrayed, depending on answers a user enters. GRAY ALL dims all components in the dialog, while UNGRAY ALL makes all of the components active again. Likewise, GRAY VAR dims a single component, and UNGRAY VAR enables the component again.
HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR | These instructions, which are used in a dialog script, control whether the user is able to see variables in a dialog. The HIDE ALL instruction hides all variables in the dialog, while SHOW ALL reveals the variables again. Likewise, HIDE VAR hides a single variable, and SHOW VAR reveals the variable.
REQUIRE ALL; REQUIRE VAR | The REQUIRE instruction requires users to answer questions in a dialog before they can advance to the next dialog in the interview.
CONCEAL VAR | This instruction, which you use in a dialog script, keeps variables from appearing in the Select From Answer Source dialog box of an answer source.
OMIT VAR | The OMIT VAR instruction, which you use in a dialog script, keeps variables from appearing in the Edit Answer Source dialog box of an answer source.
DEFAULT VAR TO VALUE | This instruction suggests a value for a variable if the variable is unanswered.
SET VAR TO VALUE | This instruction lets you specify a given value for a variable’s answer automatically, rather than allow the user to specify an answer. With the SET instruction, you can transfer names and other values from one variable to another.

Home > Dialog Script Editor


HotDocs Help - direct-fill assembly

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

direct-fill assembly

The process of entering answers directly at the Form Document tab of the assembly window rather than answering questions at the Interview tab.

Home > HotDocs Glossary of Terms > direct-fill assembly


HotDocs Help - .DOC

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.DOC

File name extension that designates that the file is a Microsoft Word document. (See text document.)

Home > HotDocs Glossary of Terms > .DOC


HotDocs Help - document

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

document

The file that is created after a template has been assembled.

Home > HotDocs Glossary of Terms > document


HotDocs Help - document assembly

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

document assembly

The process HotDocs goes through as it processes scripts in the template and merges answers into the document. At the end of the assembly process, the user has a document tailored to his or her needs.

Home > HotDocs Glossary of Terms > document assembly


HotDocs Help - document manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

document manager

A third-party application that stores various data files, including documents and answer files. Using a document manager, users can track versions and show histories of the document as well as enter other physical data about the files being stored, such as the date they were created, who created them, and so forth.

Home > HotDocs Glossary of Terms > document manager


HotDocs Help - Document Preview tab

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Document Preview tab

A tab of the assembly window that shows how the text document has been assembled using the answers entered in the interview. (See also Form Document tab and Interview tab.)

Home > HotDocs Glossary of Terms > Document Preview tab


HotDocs Help - .DOT

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.DOT

File name extension that designates that the file is a Microsoft Word DOT template. (See text document.)

Home > HotDocs Glossary of Terms > .DOT


HotDocs Help - dot code

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

dot code

A property that can be assigned to text in a prompt, dialog element, resource, or computation script that either formats the text or inserts characters not commonly supported in plain text. For example, dot codes can be used to apply a bold format to a word in a prompt, or they can be used to insert the subsection (§) symbol.

Home > HotDocs Glossary of Terms > dot code


HotDocs Help - double-angle bracket

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

double-angle bracket

See chevrons.

Home > HotDocs Glossary of Terms > double-angle bracket


HotDocs Help - driver

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

driver

See printer driver.

Home > HotDocs Glossary of Terms > driver


HotDocs Help - duplicate

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

duplicate

The process of copying a variable to create a new one.

Home > HotDocs Glossary of Terms > duplicate


HotDocs Help - Duplicate Variables Dialog Box

Duplicate Variables Dialog Box

Note:To access this dialog box: Edit a template. > Open Component Manager. > Select two or more variables. > Click the Duplicate Variables Duplicate Variables button.

You can copy groups of existing variables to create new variables. This may be useful if you want to create variables that use most (if not all) of the same properties of existing variables, but you want the variables to have different names.

For example, perhaps you have created several variables that will merge plaintiff information into the assembled document. If you need identical variables for defendant information, you can simply duplicate the plaintiff variables and rename them.

Options Available

Existing Variables column: This column lists the names of the variables you have selected for duplication. These are the variables you want to use as the basis for new variables.

Type column: This column shows the type of component you are duplicating.

New Variables column: This column lists the names for the new variables you want to create. By default, the same name is suggested, so you must either type a new name for the variable or clear the check box of the variables you don't want to duplicate.

Replace [text] with [text] in new variable names: This allows you to search the list of existing component names for a specific word or phrase and replace the text with the new word or phrase. For example, to duplicate Plaintiff variables (for example, Plaintiff Name, Plaintiff Birth Date, Plaintiff Address) to create Defendant variables (for example, Defendant Name, Defendant Birth Date, Defendant Address), you could type Plaintiff in the first text box and Defendant in the second text box. When you click Apply, HotDocs updates the New Variables list with the new names.

Apply: This button searches the New Variables column for the specified text string and replaces any instances of it with the new suggestion. When you click Duplicate, the new variables will be created and added to the component file.

When you duplicate variables, HotDocs displays all the new variables in the Duplicated Components list in Component Manager.

Home > Duplicate Variables Dialog Box


HotDocs Help - Edit field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Edit field

A type of form template field that is used for entering text, dates, and numbers. It is the most commonly used type of field on a form.

Home > HotDocs Glossary of Terms > Edit field


HotDocs Help - ELSE IF / ELSE

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

ELSE IF / ELSE

See IF instruction.

Home > HotDocs Glossary of Terms > ELSE IF / ELSE


HotDocs Help - End of Interview dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

End of Interview dialog

The last dialog displayed in an interview, which contains a report of the number of questions that are still unanswered. It also provides options for working with the assembled document.

Home > HotDocs Glossary of Terms > End of Interview dialog


HotDocs Help - Envoy

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Envoy

A third-party product used for creating HotDocs form templates (or HFTs). Support for the Envoy printer driver ended with the release of HotDocs 2006 (Envoy required 16-bit compatibility, which was only supported on Windows 98 and earlier). HotDocs still supports automation of HFT files —just not creation of these files. All new form templates must now be created in PDF format.

Home > HotDocs Glossary of Terms > Envoy


HotDocs Help - Error Message Dialog Box

Error Message Dialog Box

This message box contains information about an error HotDocs encountered in the template. You can leave this message box displayed as you fix the error. When you finish making the change, click Close at the message box, then continue with your task. If HotDocs detects any more errors, it will display other, similar messages.

One of the most common errors HotDocs encounters is a syntax error. A syntax error is an instruction or computation in a template or script that HotDocs doesn't understand. When HotDocs encounters such an error, it displays an error message, such as the one you see in this message box. Syntax errors may be caused by:

  • Unrecognized variable names: Any references to variables or other components must have a corresponding component in the component file. For example, you cannot refer to the Text variable Employee Name in the template unless there is Text variable in the component file named Employee Name. This includes using unrecognized variable names in prompts, dialog element text, scripts, and so forth.
  • Incomplete instructions: IF and REPEAT instructions used in the template or a script must have corresponding END IF and END REPEAT instructions. If HotDocs cannot find these instructions, it generates a syntax error when you assemble the document. (This includes test assembling from the template development window.) (You can have HotDocs match opening instructions with closing instructions. See Match Opening Instructions with Closing Instructions.)
  • Syntax errors in a script or expression: Writing scripts in HotDocs requires you to use a specific "language" that HotDocs can recognize and then process. If you use the language incorrectly, or if you use words that are not part of the language, you will receive an error when you try to save your work.
Note: For more information on writing scripts, see Understand the HotDocs Scripting Language, Overview: Instruction and Expression Models, and Customize a Computation Variable.

Home > Error Message Dialog Box


HotDocs Help - Error Reporting Dialog Box

Error Reporting Dialog Box

When HotDocs encounters something in a template or script that it doesn't understand, it generates a syntax error and displays an error message, such as the one you see in this message box. This warning describes the error and displays the processing stack for the error. The stack shows, starting from the bottom, the components HotDocs was processing when it found the error. The Field denotes the variable or instruction field in the template where the error occurred, while Position denotes the character position within the field or script.

Syntax errors may be caused by:

  • Unrecognized variable names: Any references to variables or other components must have a corresponding component in the component file. For example, you cannot refer to the Text variable Employee Name in the template unless there is Text variable in the component file named Employee Name. This includes using unrecognized variable names in prompts, dialog element text, scripts, and so forth.
  • Incomplete instructions: IF and REPEAT instructions used in the template or a script must have corresponding END IF and END REPEAT instructions. If HotDocs cannot find these instructions, it generates a syntax error when you assemble the document. (This includes test assembling from the template development window.) (You can have HotDocs match opening instructions with closing instructions. See Match Opening Instructions with Closing Instructions.)
  • Syntax errors in a script or expression: Writing scripts in HotDocs requires you to use a specific "language" that HotDocs can recognize and then process. If you use the language incorrectly, or if you use words that are not part of the language, you will receive an error when you try to save your work.

To resolve a syntax error, select an entry in the processing stack and click Go To. (Usually, you should select the topmost entry in the stack.) HotDocs will take you to the reference point so you can make the change. It will also continue to display the error message in a pop-up message box so you can view the message as you make the change. When finished, click Close at the message box.

Note: You can also click the Go to Field Go to Field button in the HotDocs Edit toolbar to move to a specific field in the template.

Home > Error Reporting Dialog Box


HotDocs Help - example format

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

example format

A predefined format for how an answer should look when it is merged in the assembled document. This allows the user to enter the answer however they want in the interview, but forces it to appear a specific way in the finished document.

Home > HotDocs Glossary of Terms > example format


HotDocs Help - explicit index

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

explicit index

A reference to a specific answer in a list of answers. For example, to merge the third answer from a list, a template developer would assign the index number of [3] to the variable that is being merged, like this: «Service Date[3]». The third date in the list would then be merged.

Home > HotDocs Glossary of Terms > explicit index


HotDocs Help - expression

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

expression

A command in a script that retrieves a special value. Expressions help calculate dates, sums, and so forth.

Home > HotDocs Glossary of Terms > expression


HotDocs Help - field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

field

A place in the template that denotes where users' answers should be merged, or where a specific instruction should be executed. In a text template, a field is denoted by chevrons. In a form template, a field is denoted by a colored box that is overlaid on the form's static text.

Home > HotDocs Glossary of Terms > field


HotDocs Help - file name extension

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

file name extension

Three characters appended to a file name that identify the type of file so Windows knows what program to use to work with the file.

Home > HotDocs Glossary of Terms > file name extension


HotDocs Help - fill

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

fill

The process of assembling a form document.

Home > HotDocs Glossary of Terms > fill


HotDocs Help - fillable field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

fillable field

In Adobe Acrobat or Reader, represents a dynamic field in which a user can enter data while viewing the document. Using HotDocs, users can create fillable PDF templates from these PDF documents that contain fillable fields.

Home > HotDocs Glossary of Terms > fillable field


HotDocs Help - Fillable Fields Dialog Box

Fillable Fields Dialog Box

Note:To access this dialog box: Create a new PDF template based on a fillable PDF document.

When you create a HotDocs template using a fillable PDF, HotDocs Automator always creates HotDocs fields that correspond to the fillable fields in the PDF file. (These linked fields are displayed in a light blue color.) As part of the template creation process, you can choose whether to leave the fillable fields in the template or remove them. Following are some reasons why you may want to leave the fillable fields in the template, even though they are dormant while the template is used in HotDocs.

  • Keeping fillable fields in the template makes it possible for users to save the assembled document as a fillable PDF. This would allow users to edit their answers in the final PDF.
  • Even if users won't save the assembled document as PDF, keeping fillable fields in the template makes it easier to match HotDocs fields to the original fillable fields, especially when you accidentally move, change, or delete a HotDocs field while editing the template. This precision may be important if you plan to submit the form to an agency that requires that answers be entered a very specific way.

If you remove fillable fields from the template when you create it, all functionality associated with the fillable PDF is removed. You will no longer have access to these fillable fields, and the assembled document will be static, meaning users can’t edit their answers.

When assembling a form document that contains fillable fields, you have three options for saving the document:

  • You can save the document as a regular HotDocs PDF document, or .HPD file. If you select this option, you can view the file and edit the answers in it using HotDocs Filler only.
  • You can save the document as a static Adobe PDF document. If you select this option, you can only view the document in Adobe Acrobat or Reader. You cannot edit the answers. Any fillable fields in the template will be removed from the document when you save it.
  • You can save the document as a fillable PDF document. If you select this option, you can edit the answers in the document in Adobe Acrobat or Reader.
Caution:When creating a fillable PDF document, form designers can enable usage rights within the document. These rights allow Adobe Reader users to save copies of the document with changes they have made to the document—including entering or changing answers they have entered in the fillable PDF. However, when you convert a rights-enabled fillable PDF to template format, the document is changed in such a way that usage rights are no longer in effect. This means that users will not be able to save changes they make when editing the assembled document in Adobe Reader.

Home > Fillable Fields Dialog Box


HotDocs Help - fill character

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

fill character

Character that is used to pad an answer that doesn't meet the required width of the field. For example, perhaps an answer needs to be 15 characters long. If the answer is only 10 characters, a fill character can be used to bring the answer to 15 characters.

Home > HotDocs Glossary of Terms > fill character


HotDocs Help - Filler

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Filler

See HotDocs Filler.

Home > HotDocs Glossary of Terms > Filler


HotDocs Help - filter

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

filter

A script that removes unrelated or unwanted answers from a list of answers. For example, perhaps there is a list of a client's children but only the names of minor children should be merged. A filter can extract just this data from the list.

Home > HotDocs Glossary of Terms > filter


HotDocs Help - fixed value

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

fixed value

A predefined answer, such as a date, number, or string of text. When working with instructions and expressions, placeholders are replaced either with fixed values or with variables.

Home > HotDocs Glossary of Terms > fixed value


HotDocs Help - foreign language DLL

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

foreign language DLL

A file that allows template developers and users to access Date variable and Number variable formats in languages other than English. This allows these dates and numbers to be formatted correctly in the assembled document. Supported languages include French, Spanish, German, Swiss German, Austrian German, Dutch, and Italian.

From HotDocs 10 onwards, the functionality provided by the Foreign Language DLL's is integrated with HotDocs.

Home > HotDocs Glossary of Terms > foreign language DLL


HotDocs Help - format example

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

format example

See example format.

Home > HotDocs Glossary of Terms > format example


HotDocs Help - form document

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

form document

The file that is created from an assembled form template. Form documents are distinguished from text documents by the design of the document—forms are static in nature, meaning the underlying text of the document cannot be changed or modified. (See also text document.)

Home > HotDocs Glossary of Terms > form document


HotDocs Help - Form Document tab

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Form Document tab

A tab of the assembly window that shows how the form document has been assembled using the answers entered in the interview. When viewing the Form Document tab, users can enter or change their answers by clicking on the form fields and changing the answer.

Home > HotDocs Glossary of Terms > Form Document tab


HotDocs Help - Troubleshoot Form Printer Problems

Troubleshoot Form Printer Problems

Some types of printers have been known to cause problems when printing a form template or document, and should be tested before use with finished products. These printers include:

  • Ink jet printers
  • Brother printers
  • 16-bit postscript printer drivers
  • DeskJet printers
  • Xerox printers
  • "All-in-one" printers (printers that include copying, scanning, printing, and faxing capabilities)

For best results, it is recommended that you use an HP LaserJet with at least two megabytes of memory.

Home > Troubleshoot Form Printer Problems


HotDocs Help - Remove a Variable from a Field

Remove a Variable from a Field

Once you've attached a variable to a field (see Attach a Variable to a Field), you can remove it.

To remove a variable from a field

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field whose variable you want to remove.
  3. Choose Clear Variable (Field menu). The variable is removed from the field.

Home > Remove a Variable from a Field


HotDocs Help - Understand Bar Code Settings

Understand Bar Code Settings

When you convert an answer to a PDF417 bar code format, you can control some of the settings that are used to generate the bar code. These specifications are frequently determined by the agency to which you are submitting your form. Please check with the agency to determine which settings to specify.

  • X-Dimension (module width): The X-dimension is the width of the narrowest bar in a printed bar code. The smaller the number, the stricter the requirements are for printing the bar code. (For example, the bar code must be printed on higher quality paper, etc.)
  • Module aspect ratio: This determines the range of angles with which the bar code can be scanned. For example, when placed under the scanner, must the paper be flat and facing a single direction, or will the scanner be able to read the data regardless of how it's placed? The higher the number, the less restrictive the placement of the paper under the scanner will be.
  • Number of rows and Number of columns: These numbers control the number of rows and columns that appear in the bar code. These settings determine the width and/or height of the bar code.
  • Error level: This determines the redundancy of information in the bar code to compensate for any damage that may be done to the bar code (for example, if the paper is torn or if other marks have been made on the bar code). The higher the number, the less data can be stored in the bar code. (However, the greater the chances are that the bar code will be readable.)
  • Encoding: This setting allows answers that contain foreign characters to be encoded so they can be represented in the bar code correctly. To properly encode foreign characters, you must select UTF-8 from the drop-down list. (Choosing ANSI encodes the text in non-Unicode format, which means if you use foreign characters in the text, these characters may not appear correctly.)

Additional information about the PDF417 bar code specification can be found on the Internet.

Home > Understand Bar Code Settings


HotDocs Help - Move Around in a Form

Move Around in a Form

When working with a form, there are several ways to move around within the form, including changing the magnification of the form, scrolling the form vertically and horizontally, and moving between pages in the form.

To move around in a form

  1. Edit a form template. (See Edit a Form Template.)
  2. Complete any of the following steps:
    To | Do This
    Scroll the form horizontally and vertically | Click the Scroll Tool Scroll Tool button and drag the mouse the direction you want to view. The form is scrolled in that direction.
    Zoom in on a particular section of the form | Click the Zoom Tool Zoom Tool button and then click on the form. The magnification on the form changes. (To zoom out, press the Ctrl or Shift key while clicking with the Zoom Tool Zoom Tool button.)
    View the next or previous page in the form | Click the Next Page Next Page button or the Previous Page Previous Page button.
    Go to any page in the form | Choose Go To (Edit menu). The Go To Page dialog box appears, where you can enter the number of the page you want to view. (You can also click a thumbnail image to move to any page in the form.)

    Find static text on the form

    Caution:The Find command works only in form template (.HFT) file

    Choose Find (Edit menu). The Find dialog box appears, where you can enter the text for which you are searching on the form. (To perform a case-sensitive search, select Match case.)

    To find the next instance of text, choose Find Next (Edit menu).

Home > Move Around in a Form


HotDocs Help - Start and Exit HotDocs Automator

Start and Exit HotDocs Automator

To create and edit form templates, you must open HotDocs Automator. To edit saved form documents, you must start either HotDocs Filler or Automator.

To start HotDocs Automator

  • Complete one of the following steps:
    • At the Start menu, click Programs > HotDocs 10 > HotDocs Automator. HotDocs opens an empty Automator window.
    • At the HotDocs template library, choose HotDocs Automator from the Tools menu.
Note: To close HotDocs Automator, choose Exit (File menu). (You can also press Alt+F4.)

See Edit a Form Template for instructions on opening a template and editing it.

Home > Start and Exit HotDocs Automator


HotDocs Help - form template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

form template

A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.)

Home > HotDocs Glossary of Terms > form template


HotDocs Help - form wizard

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

form wizard

See custom interview.

Home > HotDocs Glossary of Terms > form wizard


HotDocs Help - Contact HotDocs Sales and Support

Contact HotDocs Sales and Support

HotDocs Technical Support

Support for customers with technical support agreements is available by calling the numbers below. To expedite your call, please be at the computer on which the program is running.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 828-8328 (U.S.) (801) 615-2200 (International) Note: U.S. technical support is available from 7:00am to 6:00pm (MST), Monday through Friday.
E-mail | support@hotdocs.com
Web Site | http://www.hotdocs.com/support/

Inside the European Union:

Method of Contact | Information
Telephone | 0870 0100 676 (U.K.) +44 131 220 9027 (International) Note: U.K. technical support is available from 9:00am to 5:00pm (GMT), Monday through Friday.
E-mail | tech@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Note:
  • You may also find answers or solutions to questions you have in the HotDocs Knowledge Base. To view the Knowledge Base (as well as access other support options), please visit http://help.hotdocs.com/knowledgebase/.
  • Click here for information on providing the HotDocs Publications team with documentation feedback.

HotDocs Sales Support

Experienced HotDocs consultants are available to help you with a variety of services, including integrating HotDocs with other products, building a template library, or providing training. Please contact your sales representative to learn more.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 500-3627 (U.S. Sales) (801) 615-2200 (U.S. Business) +44 131 226 3999 (International)
Fax | (877) 356-3627 (U.S.) (801) 868-3627 (International)
E-mail | sales@hotdocs.com
Web Site | http://www.hotdocs.com http://www.hotdocs.com/products http://www.hotdocs.com/services
Address | 387 South 520 West Suite 210 Lindon, Utah 84042

Inside the European Union:

Method of Contact | Information
Telephone | 0870 606 6050 (U.K.) +44 131 226 3999 (International)
Fax | 0131 220 9024 (U.K.) +44 131 220 9024 (International)
E-mail | info@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Address | 14 South Charlotte Street Edinburgh, EH2 4AX Scotland

Home > Contact HotDocs Sales and Support


HotDocs Help - Form a Help Search Query

Form a Help Search Query

Using Search is perhaps the most powerful option you have for searching the help file. To form a search query, please keep the following in mind:

  • If you want to find a topic that contains two or more terms, regardless of where the terms appear in the topic, enter those terms in the search box. For example, if you want to find a topic on using the instant update feature for a document, you could enter the search words instant update document. All topics that contain all of those search terms are listed in the results.
  • To search for a specific phrase, you can surround the phrase in quotation marks. For example, to find information about the Highlight Fields button, enter the search phrase (including quotation marks) "highlight fields button". All topics with that exact phrase are listed on the Search Results page.
  • You can also search using Boolean phrases such as AND, OR, and NOT:
    • Words separated by AND will display results that contain all of the words in your search. (This is the way Search works by default.)
    • Words separated by OR will display results that contain either of the words in your search. For example, you could search using "intake interview" OR "interview template" and view all topics that contain either of those phrases.
    • Words separated by NOT will display results that contain the first word in the search, but not the second. For example, if you want to find all topics that contain the word group but not table, you could enter the search phrase group NOT table.
Note:
  • For full instructions on using the help file, see Get Help Using HotDocs.
  • When you view a topic in a search results list, the help system highlights your search terms. If you want to remove these highlights, click the [image] Remove Highlighting button . (To show highlighted terms again, click the [image] Highlight Search Terms button.)

Home > Form a Help Search Query


HotDocs Help - Appendix 2: Template Instructions

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Appendix 2: Template Instructions

HotDocs Instruction | What It Does
IF instruction | Designates that a variable, word, phrase, or paragraph should only be included in the assembled document when a certain condition is met.
REPEAT instruction | Repeats variables and text so that users can enter more than just one answer.
INSERT instruction | Inserts another template into the current template. (For example, perhaps you have a separate file that includes boilerplate language. You can use a separate document for this language and then just insert it wherever you need it.) In most cases, inserted templates appear "inline" with the template into which they are inserted.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Appendix 2: Template Instructions


HotDocs Help - Appendix 1: Variable Properties

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Appendix 1: Variable Properties

Following is a list of the different variable types, followed by the properties you can assign to each variable type:

Text Variables |
Patterns | HotDocs allows you to assign a pattern to a text variable. The two most common patterns are telephone number patterns and Social Security number patterns. These patterns format users’ answers correctly both in the interview and in the assembled document.
Answer field height | Each variable in a template is asked in an answer-gathering dialog during the interview. You can control how tall (up to 12 lines) the answer field is in the dialog.
Maximum number of characters | The maximum number of characters allowed in a text answer is 15,000. If an answer requires a specific number less than this, you can specify it.
Number Variables |
Minimum and maximum values | You can specify limits for how large or small a number can be. For example, if new employees are allowed between 10 and 15 paid vacation days, you can specify these limits so that users don’t inadvertently specify more vacation days than they are allowed.
Decimal places | You can indicate the number of decimal places (up to 7) that should be allowed in a number.
Currency symbol | You can designate whether a currency symbol should be used for a monetary amount. Predefined options include $, £, DM, and €, but you can enter your own. (Patterns have a 3-character limit).
Multiple Choice Variables
Multiple Choice options, prompts, and merge text

Multiple Choice variables allow users to choose an answer from a list of predefined options. If the options you specify aren't descriptive enough, you can define a prompt for each option. Additionally, you can specify different text for each option that will be merged in the completed document.

For example, say you need to merge gender-specific pronouns (like he/she or his/hers) in the document. To do this, you would create a Multiple Choice variable (Gender) with two options—Male and Female—and then specify merge text that will merge the correct pronoun (he or she), based on the user’s gender.

Selection options and styles

You can allow users to select only one option or select multiple options. You can also designate whether the options appear as buttons or as lists.

By default, all new Multiple Choice variables are set to Select One Only.

Computation Variables |
Scripts | Computation variables tell HotDocs to perform a particular task during assembly, such as insert one template into another or perform some action based on an answer the user provides. Similarly, they are used to calculate monetary amounts or other figures, or find the number of years between two given dates, and so forth.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Appendix 1: Variable Properties


HotDocs Help - Automate Your Templates

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Automate Your Templates

The next step in the process is to actually start automating your templates.

Note: Detailed instructions on each phase of this process can be found in the HotDocs Help.

Create the Template

You first begin by creating templates from the documents you marked up.

When you create a new template, you can enter a title and a description for the template. Include as much information as necessary to better identify the file. For example, if the file that’s created and saved to disk uses some cryptic file naming scheme (such as RLWHCP.rtf), you could enter a different title that makes more sense, such as Revocation of Living Will and Health Care Proxy. In the description you can enter as little or as much information about the template as you feel necessary. (See Overview: Template and Component Files.)

Also, if you plan to point your templates to a shared component file, you should do so right after you create the template and before you begin any automation work. That way, variables and other components you create will be saved correctly to the shared component file. (See Use One Component File for Multiple Templates.)

Replace Template Text with Variables

Once the template has been created, you replace changeable text in the template with variable fields. If you’ve previously marked up the template, you should be using variable names and properties you defined in the markup. (See Overview: Create and Customize Variables.)

As you create variables, you should test them (by clicking the Test button on the component editor). This shows you how the question will appear to the user. Frequently, testing helps you identify ways to improve the variable question. For example, if you’re testing a Text variable that requires the user to enter a long description, you may realize you forgot to adjust the answer field height to allow for multiple lines of answer text. (See Overview: Test HotDocs Templates.)

Make Text Conditional

Once you have replaced all of the variable information with variable fields, you should then review the document to identify sections of text that are optional. To mark these sections, you use IF instructions. IF instructions use a True/False variable (for example, Is the Client Married?) to determine whether to include text or not. More complicated instructions usually require more than a simple yes/no question to determine. An example of an expression would be IF YEARS FROM( Child’s Birth Date, TODAY ) <= 17.

There are two different ways you can use conditional text:

First, you can use IF and END IF instructions to include or exclude simple optional text. For example, in an employment agreement, you may need to include or exclude a paragraph describing a probationary period for the new employee. If the employee isn’t required to complete a probationary period, you wouldn’t include information about it.

Second, you can use IF, ELSE IF, ELSE, and END IF instructions to include alternative text. For example, you may have different versions of a paragraph, only one of which should be included in the assembled document. Using ELSE IF and ELSE, you can create a series of conditions under which the user determines which text should be included.

See Overview: Make Parts of Templates Conditional.

Repeat Variables to Create Lists

Sometimes there are variables in a template that need to be repeated so users can enter more than one answer. For example, you may need to list the client’s children. Because you don’t know how many children a client may have, you can repeat the Child Name variable. This allows the user to enter as many children as necessary. You accomplish this by using a REPEAT instruction. You can repeat a single variable, or you can repeat entire sections of text. (See Overview: Include Lists in Your Documents.)

Note: At times you may need to repeat the contents of a table. Be aware, however, that when inserting REPEAT instructions in a table, you must repeat the entire row of a table. To repeat text within a single cell, you must use a Computation variable that contains the REPEAT instruction.

Group Variables in Dialogs

As you know, variables in the template represent the questions users must answer during the interview. You can organize these variables into logical groupings, called dialogs. (See Overview: Create Your Own Dialogs.)

Typically, when you create a dialog, you group similar questions together. For example, if the template asks for the name and address of a client, you could group all of these variables together in a single dialog named Client Information. Information about the spouse could be asked in a separate dialog, as could information about the case.

If questions in the dialog should be asked only under certain conditions, you can use dialog scripting to include or exclude those questions. You can also select several different options that control the way the questions appear in the dialog. For example, you can choose to place all of the questions above the answer fields, or you can choose to place each question to the left of its answer field.

Test Assemble the Template

Test assembling a template is an imperative task in the template development process. Testing allows you to see the full interview as the user will see it. It provides an opportunity for you to correct mistakes, as well as fine-tune the interview process by improving questions and adding other information to make the process easier for the user. (See Overview: Test HotDocs Templates.)

It’s important that as you are testing, you enter many different combinations of answers. This exercises the scripting in your template and helps you ensure that no matter what answers users enter, the document will be assembled correctly.

As you test assemble a template, you should check for the following things:

  • HotDocs isn’t reporting any errors or warnings that need to be fixed.
  • The interview outline looks right and operates properly.
  • Dialogs look right and operate properly.
  • The document is assembled correctly with no unanswered questions. Answers in the document are formatted correctly.

If you find problems as you are testing, you can leave the test assembly window open and make changes to the underlying components. You can then update the test assembly window with your changes. (See Simultaneously Edit a Template and Test Assemble a Document.)

Previous Topic Previous Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Automate Your Templates


HotDocs Help - Conclusion

Conclusion

As with any major project, the more planning you do up front, the better your results will be. While this document covers the basics, it’s expected that you will also discover tips and tricks that will help you improve the template automation process.

Previous Topic Previous

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Conclusion


HotDocs Help - Distribute the Templates

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Distribute the Templates

The final task in the template development process is to distribute your template sets so they can be used for assembly. Before doing this, you must first identify who will use your templates.

If you’ve automated your templates for your own practice, there may not be a distribution plan—you can assemble documents from the same templates you are editing. Or, if you’d like to separate template development from document assembly, you can create a new library and copy your completed templates to a different folder. As you make corrections to the templates, you can update those files saved in the assembly-only location.

If you plan to share your templates with others in the firm, you should place copies of the files on a network location for your co-workers. You should restrict access to the templates as much as possible to keep users from inadvertently changing the files. Some ways you can do this include:

  • Making the network folder where the templates are saved read-only. (You should also make the template files themselves read-only.)
  • Placing a copy of the files on a network and then having users import the library to their local drives for assembly-only. (See Copy Templates to New Locations and Import One Library Into Another.)
  • Publishing the template set as a HotDocs auto-install file, which users can then install on their computers. (See Publish Templates as Auto-Install Files (HDI).)

If you plan to share your templates with those outside the firm, you should publish the templates and distribute them using the Internet or even a CD.

If you plan to sell your automated templates and distribute copies of HotDocs Player with the templates, you must acquire a publishing license from HotDocs Corporation, which allows you to redistribute HotDocs Player to your customers. (HotDocs Player is a free, assembly-only version of HotDocs.) (See Publish and Register Templates for Use With HotDocs Player.)

Previous Topic Previous Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Distribute the Templates


HotDocs Help - Mark Up the Document Set

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Mark Up the Document Set

The process of marking up a document for template automation includes identifying the text in the document that will change, depending on the person for whom the document is being created. Once identified, you indicate the variable that should replace that text. Variable information includes names, dates, numbers, and so forth.

How you mark up the document depends on your project and your needs. Following are some options:

  • You can create a model document using the Model Document Markup Language (or MDML). Once the document is marked up, you can convert it to HotDocs template format. (See http://support.hotdocs.com/modeldocuments for details.)
  • You can manually mark up word processor documents and store the markup information in a spreadsheet application, such as Excel. You can then take the marked up documents and create templates from them, referring back to the spreadsheet for specific information about how the template should be automated.
  • Another option is to simply print a copy of each document in your set and mark up the documents by hand. You can write directly on the printed document what variables should be used and identify which properties should be assigned to these variables.

Regardless of which markup option you choose, you should try to address these questions in the markup:

  1. How should variables be named? While it might not seem important at first, defining a naming scheme up front will save you time later when you need to manage a large list of components.

    For example, should you name related variables using a consistent format (like Client Name, Client Address, Client City, Client State, etc.)?

  2. Which variables can be reused in other templates in the set? When templates require the same information, you should mark the variables using the same name. This way, when users save answer files after assembling a document, the answers can be used with those other documents. This saves the user from retyping common answers.
  3. How should answers in the document be formatted? For example, should text answers be written using all capital letters? Should number answers be numeric (7) or spelled out (seven)?
  4. How much information does the user need to know in order to answer certain questions during the interview? How should questions be phrased, punctuated, and capitalized? Should they contain examples of possible answers?
  5. How much additional information should be included with variables? For example, when should variable resource (or help) information be included? How much is too much?
  6. What other information should be known about the variables? For example, are there restrictions or limits for answers? Should an answer be formatted a certain way? If the answer must be calculated, what kind of calculation should it be? (For a complete list of properties you can assign to the different variables, see Appendix 1: Variable Properties.)
  7. What text in the document should be included only under certain conditions? For example, if there’s a paragraph about the client’s spouse, but the client isn’t married, you wouldn’t want to include the paragraph.
Note: You can also mark in the document where lists of answers should be merged and where boilerplate text should be inserted. See Appendix 2: Template Instructions for details.

Previous Topic Previous Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Mark Up the Document Set


HotDocs Help - Organize the Final Template Library

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Organize the Final Template Library

Once all of your templates are automated, you can organize them within the library. How you organize the library depends on the template set. (See Overview: Use HotDocs Libraries.)

One way you can organize the library is to create folders for storing the templates. Frequently, you can group similar templates in these folders. For example, wills can be organized in one group or a series of subgroups, depending on the number and types of wills you have automated. (See Organize the Contents of a Library.)

If you have a large set of templates, it may make more sense to create individual libraries for the template types. Real estate templates can be stored in one library, while family law templates could be saved in a different library.

Because the items in the library work like shortcuts to the actual files, you must be cautious when working with the actual files. Moving an actual file without updating the reference in the library will make the file inaccessible from the library. If you need to move the files in the library, use either the Move command or the Copy command (both commands found in the Template menu). If you need to update references, choose Properties or Multiple (Edit menu). (See Move Items to New Locations on Disk, Change the Properties of a Single Library Item, and Change the Properties for Multiple Items in a Library.)

When you created the templates, you may have added template titles and descriptions for each template you added to the library. If you did not, this is a good time to do this. Template titles and descriptions are an easy way to help the user identify the template. You do this by editing the template properties. (See Change the Properties of a Single Library Item.)

Previous Topic Previous Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Organize the Final Template Library


HotDocs Help - Planning the Project

Reference Material

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions
  • Automate Your Templates
  • Distribute the Templates
  • Mark Up the Document Set
  • Organize the Final Template Library
  • Planning the Project

Planning the Project

Gather and Review Documents

Before you can automate any templates, you must first identify which documents you want to include in your set. You should gather all of these documents into one central location. Documents you should consider are those you routinely create for clients.

As you review your documents, you’ll probably realize you’ve created the same type of document for multiple clients. While each of these documents contains generally the same content, some documents may contain unique or different paragraphs or clauses. To capitalize on the work you’ve already done, create a model document where you copy all of these text variations. Then, when you automate the template, you can use HotDocs scripting to include or omit these different paragraphs, depending on the user.

Define the Audience

Another point to consider is your audience. Are you the only one who will use the automated templates, or will you share your work with others, perhaps in your firm or more broadly? If others will use the templates, how do you plan to distribute these templates to them? (Template distribution options are covered later in this document.)

As you identify your audience, you should also consider their experience in using the types of documents you are automating. If your users don’t have the same understanding or experience you do with the documents, you may need to change the way the templates are automated to help them better understand the documents. For example, you may need to include additional resources to help users better understand how to answer questions in the interview.

Previous Topic Previous Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Plan a Template Development Project > Planning the Project


HotDocs Help - Prepare to Automate the Templates

Prepare to Automate the Templates

Once the templates in your set are marked up, you should think about the following things before you begin the actual automation process:

Decide if you want to share component files. If there are common variables across most of the templates, you may consider pointing each template in your set to a shared component file. Then, when you make a change to a shared component, (for example, if you change a prompt or resource text, the change will appear in all templates that use that component.) (See Use One Component File for Multiple Templates.)

Note: It’s a good idea to point all the templates that will share a component file to the shared component file before you start creating components in the templates. That way, they are saved directly in the shared component file and are ready for use when you automate other templates.

Identify boilerplate text. If there is boilerplate text in the templates, consider saving that text in a separate template file and then dynamically inserting that template in each template that requires it. (Examples of boilerplate text include captions, signature blocks, and so forth.) Then, when you need to make a change to the text, you only need to make it in one file.

Create common document styles. If automating a Microsoft Word template, make good use of styles. Ultimately, this will help retain formatting throughout your templates. The Microsoft Word Help file contains a lot of useful information on using styles.

Set HotDocs Options. As you prepare to automate your templates, there may be some custom settings you want applied to all new templates you create. For example, if your templates will be used with HotDocs Server, you can specify a setting that enables all new templates you create for use with HotDocs Server.

Note: To view a list of settings you can change, at the HotDocs template library, choose Options (Tools menu) and then open the Template Development folder. (See Template Development.)

Previous Topic Previous Next Topic Next

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Prepare to Automate the Templates


HotDocs Help - Restore Installation Defaults

Restore Installation Defaults

At times, you may want to restore default settings in HotDocs. You can accomplish this by clearing the Current User key of the Registry.

Caution: You must be extremely careful when working in the System Registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.

To restore installation defaults

  1. At the Start menu, select Run. The Run dialog box appears.
  2. In the Open box, type regedit and click OK. The Registry Editor appears.
  3. Navigate to HKEY_CURRENT_USER > Software > HotDocs > HotDocs.
  4. Select the HotDocs subfolder and press Delete. Click Yes to confirm the deletion.
  5. Check for the registry key HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6. If it exists, proceed to Step 6. Otherwise, proceed to Step 7.
  6. Select the HotDocs 6 subfolder and press Delete. Click Yes to confirm the deletion.
  7. Close the Registry Editor.

Home > Restore Installation Defaults


HotDocs Help - What is XML?

What is XML?

In HotDocs, template libraries, answer libraries, answer files, and component files are all created using XML. This format allows easier integration between HotDocs and other third-party applications. It also allows you to use a wider range of international languages (as long as they read left to right) both as you develop templates and as you assemble documents.

XML (eXtensible Markup Language) is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML defines what the content is and controls the way data is structured, making it easy for diverse programs to access the same information.

For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).

All XML code must be validated to ensure proper use of tags and the correct exchange of data with the application accessing the XML (in this case, HotDocs). This validation happens using either a document type definition file (or DTD) or an XML schema document (or XSD file). HotDocs files use the latter method for validating XML content. By default, these schema documents are found in C:\Program Files\HotDocs\Schemas.

Several resources are available on the Internet and in print that contain extensive information on XML, including the official documentation of the World Wide Web Consortium, which is a non-profit organization responsible for setting Internet standards. The W3C provides a useful index that references XML technology.

Caution:Only people who have a solid understanding of XML should attempt to manually modify the contents of an XML file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > What is XML?


HotDocs Help - All About...

All About...

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

Related Topics

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

Home > All About...


HotDocs Help - All About...

All About...

+ Using Command-Line Options

  • Overview: Command-Line Options
  • Full List of Command-Line Options
  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Edit Template
  • Exit HotDocs
  • Finish Interview Action
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • Model Document
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File
  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Home > All About...


HotDocs Help - All About...

All About...

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

Home > All About...


HotDocs Help - All About...

All About...

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

Related Topics

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Changing Field Properties

  • Preview the Formatting of Answers in a Form Field
  • Show and Hide Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Move a Field on a Form
  • Merge a List of Answers in a Standard Table
  • Merge a List of Answers in a Nonstandard Table
  • Flow a Single Answer Across Two or More Pages in a Form

Related Topics

+ Creating Form Fields

  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Attach a Variable to a Field
  • Attach an ASK Instruction to a Field
  • Make a Field Conditional
  • Attach an INSERT Instruction to a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Attach a Variable to Single-Character Boxes
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Ungroup Form Fields
  • Attach an Answer Wizard to a Field

+ Creating and Using Fillable PDF Form Templates

  • Overview: Use Fillable PDFs as Form Templates
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template
  • Attach Variables to Fillable Fields
  • Tips for Working with Fillable Fields

+ Creating and Working with Forms

  • Overview: HotDocs Automator
  • HotDocs Automator Toolbar
  • Create a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Edit a Form Template
  • Add Pages to a Form Template
  • Remove Pages from a Form Template
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window
  • Globally Change Properties in a Template or Group of Templates
  • Save and Close a Form Template
  • Define the Interview for a Form Template

+ Defining Form Overflow Properties

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table
  • Customize the Look of the Addendum
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Create Independent Addendums for Forms
  • Use Answer Overflow and Addendum Text Codes

Home > All About...


HotDocs Help - All About...

All About...

+ Creating Form Fields

  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Attach a Variable to a Field
  • Attach an ASK Instruction to a Field
  • Make a Field Conditional
  • Attach an INSERT Instruction to a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Attach a Variable to Single-Character Boxes
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Ungroup Form Fields
  • Attach an Answer Wizard to a Field

Related Topics

+ Changing Field Properties

  • Preview the Formatting of Answers in a Form Field
  • Show and Hide Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Move a Field on a Form
  • Merge a List of Answers in a Standard Table
  • Merge a List of Answers in a Nonstandard Table
  • Flow a Single Answer Across Two or More Pages in a Form

+ Creating and Using Fillable PDF Form Templates

  • Overview: Use Fillable PDFs as Form Templates
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template
  • Attach Variables to Fillable Fields
  • Tips for Working with Fillable Fields

+ Creating and Working with Forms

  • Overview: HotDocs Automator
  • HotDocs Automator Toolbar
  • Create a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Edit a Form Template
  • Add Pages to a Form Template
  • Remove Pages from a Form Template
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window
  • Globally Change Properties in a Template or Group of Templates
  • Save and Close a Form Template
  • Define the Interview for a Form Template

+ Defining Form Overflow Properties

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table
  • Customize the Look of the Addendum
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Create Independent Addendums for Forms
  • Use Answer Overflow and Addendum Text Codes

Home > All About...


HotDocs Help - All About...

All About...

+ Creating and Working with Forms

  • Overview: HotDocs Automator
  • HotDocs Automator Toolbar
  • Create a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Edit a Form Template
  • Add Pages to a Form Template
  • Remove Pages from a Form Template
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window
  • Globally Change Properties in a Template or Group of Templates
  • Save and Close a Form Template
  • Define the Interview for a Form Template

Related Topics

+ Changing Field Properties

  • Preview the Formatting of Answers in a Form Field
  • Show and Hide Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Move a Field on a Form
  • Merge a List of Answers in a Standard Table
  • Merge a List of Answers in a Nonstandard Table
  • Flow a Single Answer Across Two or More Pages in a Form

+ Creating Form Fields

  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Attach a Variable to a Field
  • Attach an ASK Instruction to a Field
  • Make a Field Conditional
  • Attach an INSERT Instruction to a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Attach a Variable to Single-Character Boxes
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Ungroup Form Fields
  • Attach an Answer Wizard to a Field

+ Creating and Using Fillable PDF Form Templates

  • Overview: Use Fillable PDFs as Form Templates
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template
  • Attach Variables to Fillable Fields
  • Tips for Working with Fillable Fields

+ Defining Form Overflow Properties

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table
  • Customize the Look of the Addendum
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Create Independent Addendums for Forms
  • Use Answer Overflow and Addendum Text Codes

Home > All About...


HotDocs Help - All About...

All About...

+ Defining Form Overflow Properties

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table
  • Customize the Look of the Addendum
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Create Independent Addendums for Forms
  • Use Answer Overflow and Addendum Text Codes

Related Topics

+ Changing Field Properties

  • Preview the Formatting of Answers in a Form Field
  • Show and Hide Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Move a Field on a Form
  • Merge a List of Answers in a Standard Table
  • Merge a List of Answers in a Nonstandard Table
  • Flow a Single Answer Across Two or More Pages in a Form

+ Creating Form Fields

  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Attach a Variable to a Field
  • Attach an ASK Instruction to a Field
  • Make a Field Conditional
  • Attach an INSERT Instruction to a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Attach a Variable to Single-Character Boxes
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Ungroup Form Fields
  • Attach an Answer Wizard to a Field

+ Creating and Using Fillable PDF Form Templates

  • Overview: Use Fillable PDFs as Form Templates
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template
  • Attach Variables to Fillable Fields
  • Tips for Working with Fillable Fields

+ Creating and Working with Forms

  • Overview: HotDocs Automator
  • HotDocs Automator Toolbar
  • Create a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Edit a Form Template
  • Add Pages to a Form Template
  • Remove Pages from a Form Template
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window
  • Globally Change Properties in a Template or Group of Templates
  • Save and Close a Form Template
  • Define the Interview for a Form Template

Home > All About...


HotDocs Help - All About...

All About...

+ Creating and Using Fillable PDF Form Templates

  • Overview: Use Fillable PDFs as Form Templates
  • Create a Form Template Using a Fillable PDF
  • Detect Fillable Fields in a PDF Template
  • Attach Variables to Fillable Fields
  • Tips for Working with Fillable Fields

Related Topics

+ Changing Field Properties

  • Preview the Formatting of Answers in a Form Field
  • Show and Hide Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Create a Field for Behind-the-Scenes Tasks
  • Create a Resource Link on a Form
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Move a Field on a Form
  • Merge a List of Answers in a Standard Table
  • Merge a List of Answers in a Nonstandard Table
  • Flow a Single Answer Across Two or More Pages in a Form

+ Creating Form Fields

  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Attach a Variable to a Field
  • Attach an ASK Instruction to a Field
  • Make a Field Conditional
  • Attach an INSERT Instruction to a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Attach a Variable to Single-Character Boxes
  • Attach a Multiple Choice Variable to a Group of Check Boxes
  • Ungroup Form Fields
  • Attach an Answer Wizard to a Field

+ Creating and Working with Forms

  • Overview: HotDocs Automator
  • HotDocs Automator Toolbar
  • Create a Form Template
  • Save Existing HFT Files as PDF-based Form Templates
  • Edit a Form Template
  • Add Pages to a Form Template
  • Remove Pages from a Form Template
  • Update the Underlying Text in a Form Template
  • View the Form in More than One Window
  • Globally Change Properties in a Template or Group of Templates
  • Save and Close a Form Template
  • Define the Interview for a Form Template

+ Defining Form Overflow Properties

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Define Overflow Properties for a Table
  • Customize the Look of the Addendum
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Create Independent Addendums for Forms
  • Use Answer Overflow and Addendum Text Codes

Home > All About...


HotDocs Help - All About...

All About...

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

Related Topics

+ Starting With HotDocs

  • Start HotDocs
  • Exit HotDocs
  • Get Help Using HotDocs
  • Verify HotDocs 5 Templates for Use with HotDocs 10
  • Use HotDocs with Microsoft Word 2007 and 2010
  • List of HotDocs File Name Extensions
  • Complete the HotDocs Tutorials
  • Documentation Feedback

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

+ What's New in HotDocs Developer

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 6.2
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6

Home > All About...


HotDocs Help - All About...

All About...

+ Starting With HotDocs

  • Start HotDocs
  • Exit HotDocs
  • Get Help Using HotDocs
  • Verify HotDocs 5 Templates for Use with HotDocs 10
  • Use HotDocs with Microsoft Word 2007 and 2010
  • List of HotDocs File Name Extensions
  • Complete the HotDocs Tutorials
  • Documentation Feedback

Related Topics

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

+ What's New in HotDocs Developer

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 6.2
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6

Home > All About...


HotDocs Help - All About...

All About...

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

Related Topics

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ Starting With HotDocs

  • Start HotDocs
  • Exit HotDocs
  • Get Help Using HotDocs
  • Verify HotDocs 5 Templates for Use with HotDocs 10
  • Use HotDocs with Microsoft Word 2007 and 2010
  • List of HotDocs File Name Extensions
  • Complete the HotDocs Tutorials
  • Documentation Feedback

+ What's New in HotDocs Developer

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 6.2
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6

Home > All About...


HotDocs Help - All About...

All About...

+ Using HotDocs Libraries

  • Overview: Use HotDocs Libraries
  • Create a Library
  • Open a Library
  • Add Templates and Other Files to a Library
  • Work with Templates and Other Files in a Libary
  • Remove Items from a Library
  • Change the Properties of a Single Library Item
  • Change the Properties for Multiple Items in a Library
  • Sort Items in a Library
  • Organize the Contents of a Library
  • Create a Favorites Folder in the Template Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Print a List of Items in a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Move Items Within a Library
  • Move Items to New Locations on Disk
  • Copy Templates to New Locations

Home > All About...


HotDocs Help - All About...

All About...

+ Legal Notices

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Home > All About...


HotDocs Help - All About...

All About...

+ Creating and Using Model Documents

  • Overview: Create a Model Document
  • Convert HotDocs Templates to Model Documents
  • Convert Model Documents to HotDocs Template Format
  • Model Document Naming Standards

Home > All About...


HotDocs Help - All About...

All About...

+ What's New in HotDocs Developer

  • New and Enhanced Features of HotDocs 10
  • New and Enhanced Features of HotDocs 2009
  • New and Enhanced Features of HotDocs 2008
  • New and Enhanced Features of HotDocs 2007
  • New and Enhanced Features of HotDocs 2006
  • New and Enhanced Features of HotDocs 2005
  • New and Enhanced Features of HotDocs 6.2
  • New and Enhanced Features of HotDocs 6.1
  • New and Enhanced Features of HotDocs 6

Related Topics

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ Starting With HotDocs

  • Start HotDocs
  • Exit HotDocs
  • Get Help Using HotDocs
  • Verify HotDocs 5 Templates for Use with HotDocs 10
  • Use HotDocs with Microsoft Word 2007 and 2010
  • List of HotDocs File Name Extensions
  • Complete the HotDocs Tutorials
  • Documentation Feedback

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

Home > All About...


HotDocs Help - All About...

All About...

+ Setting HotDocs Options

  • Overview: HotDocs Options
  • Interviews and Dialogs
  • Document Assembly
  • Document Markup
  • Model Documents
  • Form Documents
  • Question and Answer Summaries
  • Personal Information
  • Spell Checking
  • Template Development
  • Word Processors
  • File Locations
  • File Management
  • Template Set Updates

Home > All About...


HotDocs Help - All About...

All About...

+ Becoming Familiar with HotDocs

  • What Is HotDocs?
  • Plan a Template Development Project
  • Quick Help Links

Home > All About...


HotDocs Help - All About...

All About...

+ Publishing HotDocs Server Templates

  • What is HotDocs Server?
  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews
  • Enable Templates for Use With HotDocs Server
  • View an Interview in a Web Browser
  • Publish Templates For Use With HotDocs Server
  • Upload Templates to a Web Server
  • Upload Templates For Use With HotDocs Core Services

Related Topics

+ Publishing HotDocs Templates

  • Overview: Publish HotDocs Templates
  • Publish a Template as a Standard File
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Protect Published Files
  • Publish and Register Templates for Use With HotDocs Player
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Add Files to a Published Set
  • Save Publishing Settings
  • Use a Custom Library Splash Screen
  • Automatically Update Published Template Sets

+ Uploading Answer Files to a Server

  • Overview: Upload HotDocs Answer Files
  • Specify Options to Upload Answers
  • Handle Data in Uploaded Answers

+ Uploading Published Files

  • Overview: Upload HotDocs Files to a Web Server
  • Create Custom HTML Documents for Template Uploading
  • Upload Templates to a Web Server
  • Overview: Upload HotDocs Files to a Web Server

Home > All About...


HotDocs Help - All About...

All About...

+ Publishing HotDocs Templates

  • Overview: Publish HotDocs Templates
  • Publish a Template as a Standard File
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Protect Published Files
  • Publish and Register Templates for Use With HotDocs Player
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Add Files to a Published Set
  • Save Publishing Settings
  • Use a Custom Library Splash Screen
  • Automatically Update Published Template Sets

Related Topics

+ Publishing HotDocs Server Templates

  • What is HotDocs Server?
  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews
  • Enable Templates for Use With HotDocs Server
  • View an Interview in a Web Browser
  • Publish Templates For Use With HotDocs Server
  • Upload Templates to a Web Server
  • Upload Templates For Use With HotDocs Core Services

+ Uploading Answer Files to a Server

  • Overview: Upload HotDocs Answer Files
  • Specify Options to Upload Answers
  • Handle Data in Uploaded Answers

+ Uploading Published Files

  • Overview: Upload HotDocs Files to a Web Server
  • Create Custom HTML Documents for Template Uploading
  • Upload Templates to a Web Server
  • Overview: Upload HotDocs Files to a Web Server

Home > All About...


HotDocs Help - All About...

All About...

+ Uploading Answer Files to a Server

  • Overview: Upload HotDocs Answer Files
  • Specify Options to Upload Answers
  • Handle Data in Uploaded Answers

Related Topics

+ Publishing HotDocs Server Templates

  • What is HotDocs Server?
  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews
  • Enable Templates for Use With HotDocs Server
  • View an Interview in a Web Browser
  • Publish Templates For Use With HotDocs Server
  • Upload Templates to a Web Server
  • Upload Templates For Use With HotDocs Core Services

+ Publishing HotDocs Templates

  • Overview: Publish HotDocs Templates
  • Publish a Template as a Standard File
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Protect Published Files
  • Publish and Register Templates for Use With HotDocs Player
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Add Files to a Published Set
  • Save Publishing Settings
  • Use a Custom Library Splash Screen
  • Automatically Update Published Template Sets

+ Uploading Published Files

  • Overview: Upload HotDocs Files to a Web Server
  • Create Custom HTML Documents for Template Uploading
  • Upload Templates to a Web Server
  • Overview: Upload HotDocs Files to a Web Server

Home > All About...


HotDocs Help - All About...

All About...

+ Uploading Published Files

  • Overview: Upload HotDocs Files to a Web Server
  • Create Custom HTML Documents for Template Uploading
  • Upload Templates to a Web Server
  • Overview: Upload HotDocs Files to a Web Server

Related Topics

+ Publishing HotDocs Server Templates

  • What is HotDocs Server?
  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews
  • Enable Templates for Use With HotDocs Server
  • View an Interview in a Web Browser
  • Publish Templates For Use With HotDocs Server
  • Upload Templates to a Web Server
  • Upload Templates For Use With HotDocs Core Services

+ Publishing HotDocs Templates

  • Overview: Publish HotDocs Templates
  • Publish a Template as a Standard File
  • Publish Templates as Auto-Assemble Files (HDA)
  • Publish Templates as Auto-Install Files (HDI)
  • Protect Published Files
  • Publish and Register Templates for Use With HotDocs Player
  • Create a Shortcut for an Auto-Install Library
  • Create an HDI File for a CD-based Template Set
  • Add Files to a Published Set
  • Save Publishing Settings
  • Use a Custom Library Splash Screen
  • Automatically Update Published Template Sets

+ Uploading Answer Files to a Server

  • Overview: Upload HotDocs Answer Files
  • Specify Options to Upload Answers
  • Handle Data in Uploaded Answers

Home > All About...


HotDocs Help - All About...

All About...

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary
  • View the Variable Sheet

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Create a Check-Box Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Align Two or More Fields
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Field Type
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Testing HotDocs Automation

  • Overview: Test HotDocs Templates
  • Test Individual Variables
  • Test a Computation Script
  • Test a Custom Dialog
  • Test Assemble a Document
  • Use a Test Answer File
  • Simultaneously Edit a Template and Test Assemble a Document
  • Understand and Resolve Syntax Errors in a Template or Script

Related Topics

+ Assigning Answer Sources to Dialogs

  • Suggest an Answer Source for Dialogs
  • Tips for Working with Answer Sources
  • Link a Dialog to a List Gathered by a Repeated Dialog
  • Link an Existing Answer Source to Other Dialogs
  • Let Users Retrieve Answers from an Outlook Contacts List
  • Let Users Retrieve Answers from a Time Matters Record

+ Creating Lists Within Lists

  • Overview: Create Lists Within a List
  • Create a List Within a List
  • Display a Child Dialog Directly on the Parent Dialog
  • Nest REPEAT Instructions Using a Computation Variable
  • Use a Particular Answer from a Sublist

+ Creating Lists of Answers

  • Overview: Include Lists in Your Documents
  • Create a REPEAT Instruction to Gather a List of Answers
  • Edit a REPEAT Instruction
  • Choose a Presentation Style for the Repeated Dialog
  • Customize REPEAT Titles
  • Punctuate a Sentence-Style List
  • Sort a List of Answers
  • Filter a List of Answers
  • Control How Many Rows are Visible in a Spreadsheet Dialog
  • Limit the Number of Answers Allowed for a Repeated Dialog
  • Get Sum Totals for Repeated Number Variables
  • Use a Word Processor Table to Display a List
  • Make a List Appear as one or More Columns
  • Count the Number of Entries in a List
  • Retrieve a Specific Answer from a List
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Creating and Editing Clauses

  • Overview: Use Clauses and Clause Libraries
  • Understand How Clauses Work
  • Open and Close a Clause Library
  • Create a Clause Library at the HotDocs Library
  • Add a Folder to a Clause Library
  • Create Clauses at the Clause Library
  • Add Existing Clauses to a Clause Library
  • Customize a Clause Library
  • Create Clauses at the Template and Add Them to the Library
  • Create and Insert Clauses Directly in Template
  • Insert a Clause Library into a Template
  • Edit an Existing Clause
  • Group Clause Components in One Custom Dialog

+ Creating and Using Dialogs

  • Overview: Create Your Own Dialogs
  • Gather Questions into a Custom Dialog
  • Edit a Custom Dialog
  • Change a Dialog's Options
  • Add Resource Information to a Variable or Dialog
  • Use Scripts to Add Power to Your Dialogs
  • Change the Layout of Variables in a Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Use the Same Variable or Clause in Two or More Dialogs
  • Control Whether Dialogs are Asked Automatically

+ Creating and Working with Template Files

  • Overview: Template and Component Files
  • HotDocs Editing and Navigation Toolbar Buttons
  • Create a New Text Template File
  • Create a Text Template Based on an Existing Template
  • Convert a Single Template to a New File Format
  • Edit a Template
  • Assign Colors to Fields and Instructions in Templates
  • Move Between Fields in a Template
  • Use Labels to Identify Instructions
  • Go to a Specific Field in the Template
  • View the Template in Markup View
  • View an Outline of Scripting in the Template
  • Create a Foreign Language Template
  • Tips on Using Graphics in Word Templates

+ Defining the Interview for the Document

  • Overview: HotDocs Interviews
  • Create an Interview Template
  • Have HotDocs Generate a Default Interview
  • Define a Custom Interview
  • Improve Interview Speed Using a Custom Interview
  • Automatically Disable Irrelevant Variables in Interviews

+ Editing Variables

  • Overview: Create and Customize Variables
  • Edit a Variable
  • Format the Variable
  • Create a Prompt for a Variable
  • Control How HotDocs Processes a Variable
  • Specify the Width of Answer Fields in the Interview
  • Control How Answers Appear in the Assembled Document
  • Add Resource Information to a Variable or Dialog
  • View Relationship Between the Current Component and Other Components
  • Add Notes to Components
  • Add a Comment to a Variable or Instruction Field
  • Format an Answer as the Time of Day
  • Use Pattern Codes to Create a Custom Pattern
  • Number Variable Formats, Percentages, and Fractions
  • Work with Multiple Choice Options
  • Specify Merge Text Options as Default or Field-Specific Properties
  • Copy and Paste Columns in a Multiple Choice Variable Spreadsheet
  • Name a Group of Merge Text Values
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes
  • Use Variables and Scripts in Prompts, Dialog Element Text, and Resources
  • Use the Script Editor

+ Inserting Dialog Elements in Dialogs

  • Add Text to Your Dialogs
  • Add the Ability to Launch an Application from a Dialog
  • Add a Link to a Dialog That Runs a Computation
  • Add a Hyperlink to a Dialog
  • Add Spacing and Separator Lines to a Dialog
  • Add a Graphic File to a Dialog

+ Inserting Dialogs into Other Dialogs

  • Insert Dialogs Into Dialogs
  • Group Child Dialogs in a Parent Dialog

+ Inserting Templates into Other Templates

  • Overview: Insert Templates into Templates
  • Make Part of a Template into an Inserted Template
  • Insert an Existing Template
  • Edit an INSERT Template Instruction
  • Inserted Templates and Shared Component Files
  • Define Headers and Footers in Inserted Word Templates
  • Start a New Assembly From a Template
  • Insert Image Files in a Template
  • Specify File Names for Inserting Files During Assembly

+ Inserting Variables in Text Templates

  • Overview: Create and Customize Variables
  • Insert a Variable Field in a Text Template
  • Replace Other Instances of Selected Text with a Variable
  • Create and Insert a Variable Using Component Manager
  • Add a Comment to a Variable or Instruction Field
  • Edit a Variable

+ Linking Templates to a Database

  • Overview: Link Templates to a Database
  • Use Supported Databases
  • Understand Database Connectivity
  • Create a Database Component Using ADO
  • Create a Database Component Using ODBC
  • Save ADO Connection Information in a Separate File
  • Convert ODBC-based Connections to ADO
  • Connect to Microsoft Excel using the Database Component
  • Edit a Database Component
  • Link Variables to Database Fields
  • Remember Selected Records
  • Save Changed Answers Back to the Database
  • Change Database Component Properties
  • Use a Custom Command to Retrieve Data from a Database
  • Choose Which Database Fields Appear During Assembly
  • Cause HotDocs to Update Selected Records Between Assemblies
  • Limit the Number of Database Records from Which a User Chooses
  • Specify a User Name and Password for a Database
  • Sort Records in a Database Table
  • Generate a List of Records in an Assembled Document
  • Tips on Filtering and Sorting Repeated Database Components
  • Merge Filtered Records into the Document Automatically
  • Ask Variables Already Answered by the Database
  • Select Related Database Records
  • Control When Your Database Tables Appear
  • Choose a Database Cursor

+ Managing Components

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Copy and Paste Components Across Multiple Component Files
  • Rename Components Across Multiple Component Files
  • Delete Components from Multiple Component Files
  • Modify Component File Properties Across Multiple Files

+ Managing Templates

  • Overview: Use Template Manager
  • Open and Close Template Manager
  • Understand Parts of Template Manager Window
  • Template Manager Toolbar
  • Export Contents of a Template Manager Window to a Spreadsheet
  • Convert Multiple Templates to Work with HotDocs 10
  • Convert Templates and Clauses to Microsoft RTF
  • Rename Templates Using Template Manager

+ Marking Editable Text in a Template

  • Overview: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Setting Values for Variables

  • Automatically Assign Answers to a Variable
  • Values in SET Instructions
  • Use SET Instructions to Help Write Computations

+ Tips on Using and Editing Variables

  • Tips on Naming Your Variables
  • How Example Formats are Interpreted
  • Understand the HotDocs Scripting Language
  • Understand How Component Titles and Prompts are Used

+ Using ASK Instructions to Control Dialog Order

  • Control When Your Dialogs Appear
  • Put ASK Instructions in a Computation Variable
  • Use ASK Instructions to Control the Interview

+ Using Computations to Create Lists

  • Create a REPEAT Instruction Using a Computation Variable
  • Punctuate a List Using a Computation Variable
  • Sort a List Using a Computation Variable
  • Filter a List Using a Computation Variable
  • Tips on Using Computations to Create Lists

+ Using Dot Codes to Format Text and Insert Special Characters

  • Overview: Dot Codes
  • Change Font Properties of Text
  • Insert a Web Link in a Prompt or Dialog Text Element
  • Add Punctuation and Capitalization to Sentences
  • Insert Characters in Text Strings
  • Punctuate Non-Repeated Lists of Answers

+ Using Expression Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • Full List of Expression Models
  • Enter a Date
  • Enter a Number
  • Enter some Text
  • Enter True or False
  • ABSOLUTE VALUE( NUM )
  • AGE( DATE )
  • ANSWERED( DIALOG )
  • ANSWERED( VAR )
  • COUNT( DIALOG )
  • COUNTER
  • COUNT( MULT_CHOICE_VAR )
  • DATE - NUM DAYS
  • DATE - NUM MONTHS
  • DATE - NUM YEARS
  • DATE + NUM DAYS
  • DATE + NUM MONTHS
  • DATE + NUM YEARS
  • DATE OF( NUM, NUM, NUM )
  • DAY OF( DATE )
  • DAY OF WEEK( DATE )
  • DAYS FROM( DATE, DATE )
  • FIRST( TEXT, NUM )
  • FORMAT( VALUE, "EXAMPLE" )
  • INTEGER( TEXT )
  • LAST( TEXT, NUM )
  • LENGTH( TEXT )
  • MAX( NUM, NUM )
  • MID( TEXT, NUM, NUM )
  • MIN( NUM, NUM )
  • MONTH OF( DATE )
  • MONTHS FROM( DATE, DATE )
  • MULT_CHOICE=TEXT; MULT_CHOICE!=TEXT
  • NOT TRUE_FALSE
  • OTHER( MULT_CHOICE_VAR )
  • POSITION( TEXT, TEXT )
  • POWER( NUM, NUM )
  • REMAINDER( NUM, NUM )
  • REPLACE( TEXT, TEXT, TEXT, NUM )
  • RESULT
  • ROUND( NUM, NUM )
  • SELECTION( MULT_CHOICE_VAR, NUM )
  • SPACE( TEXT, TEXT )
  • STRIP( TEXT, TEXT, TRUE_FALSE, TRUE_FALSE )
  • SUM( COMPUTATION_VAR )
  • SUM( NUM_VAR )
  • TEXT CONTAINS TEXT
  • TODAY
  • TRUNCATE( NUM, NUM )
  • UNANSWERED
  • UNION( MULT_CHOICE, MULT_CHOICE )
  • VALUE( VAR, EXPRESSION )
  • YEAR OF( DATE )
  • YEARS FROM( DATE, DATE )
  • ZERO( NUM_VAR )

+ Using IF Instructions

  • Overview: Make Parts of Templates Conditional
  • Include or Exclude a Single Version of Text Using a Simple IF Instruction or Expression
  • Include or Exclude Multiple Versions of Text Using IF and ELSE IF Instructions or Expressions
  • Edit an IF Instruction or Expression
  • Nest IF Instructions
  • Use Conditional Instructions in a Computation Script
  • Tips on Using IF Instructions
  • Add a Comment to a Variable or Instruction Field
  • Understand How Smart Returns are Inserted After Instructions
  • Assign Colors to Fields and Instructions in Templates
  • Use Labels to Identify Instructions
  • Match Opening Instructions with Closing Instructions

+ Using Instruction Models

  • Overview: Instruction and Expression Models
  • Use Operators When Scripting
  • Use Line Breaks, Paragraph Ends, and Tabs in Computation Scripts
  • Use the Script Editor
  • View an Outline of Scripting in the Template
  • Full List of Instruction Models
  • ADD TEXT TO MULT_CHOICE_VAR; CLEAR MULT_CHOICE_VAR
  • ASCEND VAR; DESCEND VAR
  • ASK DIALOG
  • ASK VAR
  • ASSEMBLE "FILENAME"
  • CONCEAL VAR
  • DEBUG
  • DEFAULT VAR TO VALUE
  • ERASE VAR; ERASE DIALOG
  • FILTER COMPUTATION_VAR
  • FORMAT "LIST_FORMAT"
  • GRAY ALL; GRAY VAR; UNGRAY ALL; UNGRAY VAR
  • HIDE ALL; HIDE VAR; SHOW ALL; SHOW VAR
  • IF EXPRESSION; ELSE IF; ELSE; END IF
  • INCREMENT NUM_VAR; DECREMENT NUM_VAR
  • INSERT "FILENAME"
  • LANGUAGE CODE
  • LIMIT NUM
  • OMIT VAR
  • PLAY "MACRO"
  • QUIT
  • REPEAT DIALOG; END REPEAT
  • REQUIRE ALL; REQUIRE VAR
  • SET VAR TO VALUE
  • WHILE EXPRESSION; END WHILE

+ Using Scripts to Make Dialogs Dynamic

  • Automatically Disable Irrelevant Variables in Interviews
  • Use Scripts to Add Power to Your Dialogs
  • Special Instructions for Dialog Scripts

+ Using Variable Types

  • Overview: Create and Customize Variables
  • Customize a Text Variable
  • Customize a Number Variable
  • Customize a Date Variable
  • Customize a True/False Variable
  • Customize a Multiple Choice Variable
  • Customize a Computation Variable
  • Insert a Personal Information Variable
  • Create a Date Variable that Inserts the Current Date
  • Merge the Name of the Answer File in the Document
  • Use Automatic Paragraph Numbering
  • Count the Number of Entries in a List

+ Using the HotDocs Debugger

  • Overview: Debugging Templates
  • Insert Debugging Instructions in Templates and Scripts
  • Step Through a Template or Script
  • Add Variables to the Debugger Watch List

+ Using the Test Panel

  • Overview: Use the Test Panel
  • Validate Variable Usage in a Template
  • Check Interviews for Improper Scripting
  • Move From the Document to the Template During Testing

+ Working with Component Files

  • Open and Close Component Manager
  • Open Component Manager at the Template Library
  • Use Component Manager to Work with Components
  • Create and Edit Multiple Components Simultaneously
  • Change Component File Properties
  • Delete a Component from the Current Component File
  • Copy Components From One File to Another
  • Rename Components in a Single Template
  • Make a Duplicate Copy of a Variable
  • Edit Formats, Merge Text, Dialog Elements, and Patterns
  • Search Component Files
  • Spell Check Components
  • Print a List of Components
  • Use One Component File for Multiple Templates
  • Specify Whether Component File Properties are Shared
  • Make Templates Stop Sharing Component Files
  • Control Whether Users See the End of Interview Dialog
  • Position the Cursor in the Assembled Document
  • Specify a Word Template for Storing Post-Assembly Macros
  • Remove Hidden Data from Assembled Documents
  • Remove Hidden Data from Word RTF Templates
  • Work with Variables in Headers, Footers, Footnotes, and Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Document Assembly

  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Moving to the Next Dialog After Entering a Date or Number
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document Takes Incredibly Long Time
  • Printing Form Document is Off-Center
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Related Topics

+ HotDocs Automator

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

+ Template Development

  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Choosing Which Word Processor Will Be Used By Default
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating the Contents of a Single Cell in a Table
  • Repeating a Single Variable in a Dialog
  • Test Assembling Template with ASSEMBLE Instructions
  • Trying to Save an Invalid Computation Script
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Home > All About...


HotDocs Help - All About...

All About...

+ Template Development

  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Choosing Which Word Processor Will Be Used By Default
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating the Contents of a Single Cell in a Table
  • Repeating a Single Variable in a Dialog
  • Test Assembling Template with ASSEMBLE Instructions
  • Trying to Save an Invalid Computation Script
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Related Topics

+ Document Assembly

  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Moving to the Next Dialog After Entering a Date or Number
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document Takes Incredibly Long Time
  • Printing Form Document is Off-Center
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

+ HotDocs Automator

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Home > All About...


HotDocs Help - All About...

All About...

+ HotDocs Automator

  • Double-Clicking Doesn't Create Field as Expected
  • Fixing Page Rotation Problems in PDF Templates
  • Getting Errors When Automating Table in Form
  • Keeping Control Field Text From Appearing on Form
  • Modifying a Single Field in a Group
  • Moving Form Fields Using Keyboard Takes Too Long
  • Needing Characters in Answer to Appear in Individual Boxes
  • No Interview When Assembling Form Document
  • Setting Form Properties Not Taking Effect in Existing Templates
  • Tabbing Through Fields Sequentially in Form
  • Want Check Box to Use Actual Check Mark

Related Topics

+ Document Assembly

  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Images appear incorrectly after converting an RTF to PDF using HotDocs Server
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Moving to the Next Dialog After Entering a Date or Number
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document Takes Incredibly Long Time
  • Printing Form Document is Off-Center
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

+ Template Development

  • Can't Dynamically Add Merge Text to a Multiple Choice Variable
  • Changing the Order Questions are Asked in an Interview
  • Checking the Spelling of Library Entries
  • Child Dialog Always Appearing in Interview Outline Even When it Shouldn't
  • Choosing Which Word Processor Will Be Used By Default
  • Comparing the Contents of Two or More Component Files
  • Converting WordPerfect Templates to Word
  • 'The Component File Cannot Be Used With This Version of HotDocs' Message Appearing
  • Dot Code Formatting Doesn't Seem to Work in True/False and Multiple Choice Options
  • Editing Answer Source Records Causes Problems
  • Enabling Multiple Templates for Use with HotDocs Server At Once
  • Entered Answers Getting Overwritten
  • Entering Multiple Choice Option Prompts and Merge Text
  • Fixing Warnings Listed at Warnings Tab
  • Foreign Characters Are Appearing as Boxes or Question Marks in HotDocs
  • Getting Missing END IF or Missing END REPEAT Errors
  • Hiding the End of Interview Dialog During the Interview
  • 'HotDocs Cannot Play the Macro HD6EditTemplate.Main' Message Appearing
  • HotDocs is Creating Database File with Library File
  • Keeping Users from Editing Templates
  • Limiting Visible Rows but Not Limiting Number of Answers
  • Matching Pairs of Instructions in a Computation Script
  • Merging Check Boxes in a Text Template
  • Merging Just a Portion of a Date Instead of the Whole Date
  • Optional Variables Showing Up as Unanswered in Interview and Document
  • Punctuating a Repeated List of Answers
  • Receiving 'Invalid Variable Name' Errors When Creating Components
  • Reducing Template File Size
  • Renaming Components Correctly
  • Repeating the Contents of a Single Cell in a Table
  • Repeating a Single Variable in a Dialog
  • Test Assembling Template with ASSEMBLE Instructions
  • Trying to Save an Invalid Computation Script
  • Understanding the Difference Between Multiple Choice Options and Merge Text
  • Using DEFAULT Instruction Causes Extra Repetition
  • Using Headers and Footers of Inserted Templates
  • Using INSERT Instructions in a Table
  • Using One Variable in Two Different Dialogs
  • Variables Not Working in Word Text Boxes

Home > All About...


HotDocs Help - HotDocs Glossary of Terms

HotDocs Glossary of Terms

This glossary contains template development terms as well as document assembly terms. To view a definition for a specific term, click a letter to jump to that section of the glossary.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

.ANS

File name extension that designates that the file is a HotDocs answer file. Starting with the release of HotDocs 2009, all answers files (even those with the .ANS file name extension) are saved in XML format. The .ANS file name extension is retained to ensure backwards compatibility with HotDocs 2008.

.ANX

File name extension that designates a HotDocs answer file.

accelerator

A key or key combination that quickly performs routine tasks in HotDocs. For example, rather than click the Print button, a user can press Ctrl+P and the document will be printed. Accelerators are useful when users don't want to use the mouse.

addendum

The last section of a form document that contains answers that don't fit in their allotted fields on the actual form. (See also overflow.)

additional text

See dialog element.

ADO

Short for ActiveX Data Objects, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ODBC.)

answer

Data users enter during an interview. Answers are usually merged into the document, but sometimes they are used to calculate other answers that are used in the document.

answer file

A saved file that contains the answers entered during an interview. Often users save their answers in a file so they can use them to assemble other similar documents.

Answer File Manager

The library used to manage answer files. With Answer File Manager, users can group answer files, view histories of their usage, and so forth. (The alternative is using Windows Explorer to find, view, and use answer files.)

answer library

See library and Answer File Manager.

answer management

The system of using Answer File Manager to store and manage answer files. (The alternative is using Windows Explorer to find, view, and use answer files.)

answer sharing

The process of creating and using same-named variables in multiple templates so that a user can use the same answer file to assemble multiple documents. (Can also be called variable flow-through.)

answer source

An answer file that is linked to a specific dialog in an interview. Users can enter their answers in an answer source and have those answers available to them on demand. (During an interview, a Select From Answer Source Select button appears on the dialog. The user clicks this button and has access to the answers in the answer source.)

Answer Summary

A brief report HotDocs generates that lists the questions asked during an interview, followed by the answers that were entered. (See also Question Summary.)

answer wizard

A button attached to a form field that users can click during direct-fill assembly. When they click this button ( Answer Wizard), a pop-up interview appears, asking one or more questions that are required in order for an answer to be merged in the field. Frequently, answer wizards are assigned to inactive fields in a form.

ascend

The process of sorting answers in alphanumeric order, from 1 to 9, and from A to Z. (See also descend.) You can also sort items in a template library, clause library, and answer library.

ASK instruction

An instruction that forces a dialog to be asked at a specific location in the script or template. Frequently, ASK instructions are used when creating an interview component. They allow developers to control the order in which dialogs are asked during the interview.

assemble, assembly

See document assembly.

Assembly Queue

A dialog box that shows a list of assemblies—pending, current, and completed. Users can open the Assembly Queue by clicking its button ( Assembly Queue) in the assembly window toolbar. It is most useful when users have selected multiple templates for assembly.

assembly window

The window that appears when a user selects a template to assemble. By default, it includes the Interview tab, the Document tab, the Question Summary tab, and Answer Summary tab. Each of these tabs displays something unique about the document being assembled, such as the questions that are required to customize the document or the assembled document itself.

auto-assemble file

A self-executable file that contains one or more templates and their related files. When packaged in an auto-assemble file (or HDA), the files are temporarily extracted and used to assemble the document. Once assembly is complete, the extracted files are deleted. Auto-assemble files are useful if template developers don't want users to have editing access to the template files themselves.

auto-install file

A self-executable file that contains one or more templates and their related files. When extracted, the files are saved to disk and references to them are added to a library. Auto-install files provide a useful way to distribute templates or updates to template sets.

automate, automation

The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template.

Automator

See HotDocs Automator.

[Top]

B

bar code

A format for an answer or a group of answers so that data can be quickly scanned using an optical scanner. Bar codes are supported in both form templates and text templates. (In form templates, developers assign the PDF417 property to the field. In text templates, developers assign the preferred bar code font at the Advanced group of the Variable Field dialog box.)

binary files

In versions of HotDocs prior to HotDocs 2009, represents the format HotDocs-specific files—such as library files, component files, and so forth—were saved in. Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language).

browser

A window that allows users to view HTML documents. When working with HotDocs Server, interviews are displayed in a browser window rather than the regular HotDocs assembly window.

built-in variable

A predefined variable that performs a special function in a template, such as inserting either today's date or the name of the current answer file. Built-in variables include TODAY, PN#, ANSWER FILE NAME, and COUNTER.

[Top]

C

.CMP

File name extension that designates that the file is a component file.

century rollover

A HotDocs setting that controls whether years entered as two digits appear as 1900-century years or 2000-century years.

check-box field

A type of form template field that represents some sort of pre-existing option a user must select, such as a true/false value or a multiple-choice value.

chevrons

The double-angle brackets (« ») that surround a variable in a text template. Together, the chevrons and variable name make up the variable field, for example, «Client Name».

child dialog

A dialog that is inserted within another dialog. When it's inserted, it becomes linked to that dialog—users can't answer questions in it without first viewing the parent dialog. Usually the two dialogs are related in content or purpose.

clause

Predefined sections of text that can be selected and added to an assembled document. Usually clauses are grouped together in a clause library so users can choose which ones they want to insert, although some clauses are merged in the document automatically.

clause archive

A compressed file that contains all of the clauses for a given template or clause library. During assembly, clauses in the archive are extracted so they can be selected and added to an assembled document.

clause library

A file that contains a listing of available clauses. Users can select the clauses they want to use from the library, designate the order they should be merged in the document, and then answer any questions contained in the clauses. The clauses are then merged in the document.

command-line option

An instruction used to control the operation of HotDocs. These instructions, or commands, are added to any command line that causes HotDocs to run. They can alter the operation of specific templates, or they can affect the overall operation of HotDocs.

comments

Notes or thoughts entered by the template developer either in a script or in a template. Comments are one way to document processes within the template. If entered correctly, they will not be visible to users in the assembled document.

component

An element in a HotDocs template that displays or stores information about the answers that are merged. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.

component file

The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Developers use Component Manager to work with components.

Component Manager

The tool used to coordinate component usage in a template. Component Manager shows all of the components used in the template and provides options for working with those components.

Computation variable

A type of component that performs calculations or executes other instructions within the template. Computation variable scripts are created using the HotDocs scripting language.

conditional text

Text in the template that should be included in the assembled document only under certain circumstances. Conditions are controlled using IF instructions and expressions.

control field

A type of form template field that is used for behind-the-scenes tasks, including inserting related templates and assigning values to variables, just to name a few.

COUNTER

An expression that keeps track of the current number of repetitions in a repeated dialog. Each time a new repetition is added, the COUNTER is increased.

custom interview

A script that controls how and the order in which variables and dialogs are asked during an interview. The template developer creates this script.

[Top]

D

.DOC

File name extension that designates that the file is a Microsoft Word document. (See text document.)

.DOT

File name extension that designates that the file is a Microsoft Word DOT template. (See text document.)

database

A file that contains a collection of data. Template developers can map variables in templates to fields in a database table so that answers can be retrieved from it and merged in the assembled document.

Database Connection

See HotDocs Database Connection.

date detection

The HotDocs setting that controls how HotDocs interprets and merges dates entered during the interview—for example, whether the date appears as DAY MONTH YEAR (British), or MONTH DAY YEAR (United States).

Date variable

A type of component that merges a date in the document.

DEBUG

An instruction developers can insert in a template or script that lets them troubleshoot problems they are experiencing with their automation. While testing the script or template in debugging mode, HotDocs walks the developer through it, step by step, so he or she can see exactly how the script or template is producing the unexpected result.

default interview

The interview HotDocs automatically generates based on the order variables are asked in the template.

default word processor

When multiple word processors (for example, Word and WordPerfect) or when multiple versions of a single word processor (for example, Word 2000 and Word XP) are installed, the word processor HotDocs uses by default for automation and document assembly.

delimiter

A character, such as a tilde (~) or vertical bar (|), that delineates answers or values in a script or instruction.

descend

The process of sorting answers in reverse alphanumeric order, from 9 to 1, and from Z to A. (See also ascend.)

detect

In a form template, the process of aligning a variable field with its surrounding field borders.

developer

See template developer.

dialog

  1. In template development, represents the component in which the developer groups variables and other components.
  2. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.

dialog element

A component that lets developers more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. These can help make the dialog more visually pleasing and informative.

dialog script

A set of instructions that dynamically change how variables are used in a dialog. For example, questions about a client's children can be scripted so they become available only if the client indicates that he or she has children. If the client does not, the questions will not be available.

direct-fill assembly

The process of entering answers directly at the Form Document tab of the assembly window rather than answering questions at the Interview tab.

document

The file that is created after a template has been assembled.

document assembly

The process HotDocs goes through as it processes scripts in the template and merges answers into the document. At the end of the assembly process, the user has a document tailored to his or her needs.

document manager

A third-party application that stores various data files, including documents and answer files. Using a document manager, users can track versions and show histories of the document as well as enter other physical data about the files being stored, such as the date they were created, who created them, and so forth.

Document Preview tab

A tab of the assembly window that shows how the text document has been assembled using the answers entered in the interview. (See also Form Document tab and Interview tab.)

dot code

A property that can be assigned to text in a prompt, dialog element, resource, or computation script that either formats the text or inserts characters not commonly supported in plain text. For example, dot codes can be used to apply a bold format to a word in a prompt, or they can be used to insert the subsection (§) symbol.

double-angle bracket

See chevrons.

driver

See printer driver.

duplicate

The process of copying a variable to create a new one.

[Top]

E

Edit field

A type of form template field that is used for entering text, dates, and numbers. It is the most commonly used type of field on a form.

ELSE IF / ELSE

See IF instruction.

End of Interview dialog

The last dialog displayed in an interview, which contains a report of the number of questions that are still unanswered. It also provides options for working with the assembled document.

Envoy

A third-party product used for creating HotDocs form templates (or HFTs). Support for the Envoy printer driver ended with the release of HotDocs 2006 (Envoy required 16-bit compatibility, which was only supported on Windows 98 and earlier). HotDocs still supports automation of HFT files —just not creation of these files. All new form templates must now be created in PDF format.

example format

A predefined format for how an answer should look when it is merged in the assembled document. This allows the user to enter the answer however they want in the interview, but forces it to appear a specific way in the finished document.

explicit index

A reference to a specific answer in a list of answers. For example, to merge the third answer from a list, a template developer would assign the index number of [3] to the variable that is being merged, like this: «Service Date[3]». The third date in the list would then be merged.

expression

A command in a script that retrieves a special value. Expressions help calculate dates, sums, and so forth.

[Top]

F

field

A place in the template that denotes where users' answers should be merged, or where a specific instruction should be executed. In a text template, a field is denoted by chevrons. In a form template, a field is denoted by a colored box that is overlaid on the form's static text.

file name extension

Three characters appended to a file name that identify the type of file so Windows knows what program to use to work with the file.

fill

The process of assembling a form document.

fill character

Character that is used to pad an answer that doesn't meet the required width of the field. For example, perhaps an answer needs to be 15 characters long. If the answer is only 10 characters, a fill character can be used to bring the answer to 15 characters.

fillable field

In Adobe Acrobat or Reader, represents a dynamic field in which a user can enter data while viewing the document. Using HotDocs, users can create fillable PDF templates from these PDF documents that contain fillable fields.

Filler

See HotDocs Filler.

filter

A script that removes unrelated or unwanted answers from a list of answers. For example, perhaps there is a list of a client's children but only the names of minor children should be merged. A filter can extract just this data from the list.

fixed value

A predefined answer, such as a date, number, or string of text. When working with instructions and expressions, placeholders are replaced either with fixed values or with variables.

foreign language DLL

A file that allows template developers and users to access Date variable and Number variable formats in languages other than English. This allows these dates and numbers to be formatted correctly in the assembled document. Supported languages include French, Spanish, German, Swiss German, Austrian German, Dutch, and Italian.

From HotDocs 10 onwards, the functionality provided by the Foreign Language DLL's is integrated with HotDocs.

form document

The file that is created from an assembled form template. Form documents are distinguished from text documents by the design of the document—forms are static in nature, meaning the underlying text of the document cannot be changed or modified. (See also text document.)

Form Document tab

A tab of the assembly window that shows how the form document has been assembled using the answers entered in the interview. When viewing the Form Document tab, users can enter or change their answers by clicking on the form fields and changing the answer.

form template

A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.)

form wizard

See custom interview.

format example

See example format.

[Top]

G

GRAY

An instruction used in a dialog script to disable a variable unless the user answers another variable a specific way. For example, questions asking for children's name can be grayed until the user answers a question indicating he or she has children. (See also UNGRAY.)

group

The process of designating that two or more fields in a form template be linked together so that an answer can flow from one field to the next. For example, if a text answer needs to span two or more lines in a form, the fields can be created on each line and then grouped. When the answer extends beyond the first line, it will flow to the second line. (See also run-on group.)

[Top]

H

.HDA

File name extension that designates that the file is a HotDocs auto-assemble file.

.HDI

File name extension that designates that the file is HotDocs auto-install file.

.HFD, .HPD

File name extension that designates that the file is a HotDocs form document.

.HFT, .HPT

File name extension that designates that the file is a HotDocs form template.

HIDE

An instruction used in a dialog script to hide variables in the dialog. (See also SHOW.) Usually this instruction is conditioned so that questions in the dialog hide and show dynamically, based on answers the user enters.

HotDocs Automator

The tool used to automate form templates, or those templates whose underlying static text cannot be changed. Examples of form templates include tax preparation forms, applications, and so forth.

HotDocs Compare

Caution:Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

A HotDocs add-in tool that is used to compare different versions of an assembled document. Using HotDocs Compare, users can take a "snapshot" of an assembled document, change some answers in the interview, and then compare the two versions.

HotDocs Database Connection

A tool that provides the mapping needed to connect templates to a database. Answers can be retrieved from the database during the interview, which keeps users from manually having to enter their answers. (Starting with the release of HotDocs 2008, HotDocs Database Connection (the separate product) was fully integrated into all editions of HotDocs.)

HotDocs Debugger

A tool used to systematically step through a script or template in order to examine how the script or template produced the result it did. The Debugger is typically used when the result is unexpected—it helps a template developer pin-point exactly what is happening so he or she can correct the problem creating the error.

HotDocs Developer

A version of HotDocs that contains the tools necessary to automate a simple to highly complicated set of both text and form templates. It is also used to assemble both text and form templates. (See also HotDocs Developer LE.)

Note:Prior to the release of HotDocs 10, Developer was named Professional Edition.

HotDocs Developer LE

A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Developer LE can also be used to assemble text and form documents. (See HotDocs Developer.)

Note:Prior to the release of HotDocs 10, Developer LE was named Standard Edition.

HotDocs Filler

The application used to view assembled form documents.

HotDocs Options

A section of the software where template developers and end users can set their preferences for working with HotDocs.

HotDocs Outliner

A tool that generates an outline of scripting in a Word template. This outline can include just a list of instructions used in the template, or it can include variables as well. Items in the outline appear in the same order as they are used in the template. Viewing this outline may help developers better understand the logic used in the template.

HotDocs PDF Advantage

A HotDocs add-in that allowed the creation and automation of PDF-based form templates, as well as the ability to save most types of documents as PDF (assembled or otherwise). From HotDocs 10 onwards, this is no longer a separate add-in, but is instead fully integrated into HotDocs.

HotDocs Player

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Player functions differently to HotDocs User, which can assemble any template created by HotDocs Developer. For more information, see HotDocs User.

HotDocs Player Edition

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Professional Edition

Please see HotDocs Developer.

HotDocs Server

The Web-based version of HotDocs. When using HotDocs Server, interviews are presented in a user's Web browser. Answers are then sent back to a server where the document can be assembled. HotDocs Server allows users to create documents and answer files without requiring them to have HotDocs installed on their desktop.

HotDocs Standard Edition

Please see HotDocs Developer LE.

HotDocs User

A version of HotDocs that is used for assembling any templates created using HotDocs Developer.

HotDocs User functions differently to HotDocs Player, which can only assemble registered templates. For more information, see HotDocs Player.

[Top]

I

IF instruction (also ELSE IF, ELSE, END IF)

A set of instructions and expressions that control the inclusion and exclusion of optional text in a document. IF instructions are based on either True/False variables or true/false expressions. IF instructions can also be used to control whether certain instructions or expressions are processed in computation or dialog scripts.

import

  1. When working with libraries, the process of copying template files into the currently viewed library. These files can be imported for assembly only or for editing and assembly.
  2. When working with answer files, the process of copying an answer file to the default Answers folder and then adding it to the answer library.

inactive field

A form document field on which the user cannot directly enter an answer. Fields can be inactive for any number of reasons. For example, the field may be conditioned or it may contain a Computation variable. Frequently, a template developer provides an answer wizard to help the user answer all of the questions that will make the field active.

infinite loop

The process of a HotDocs script repeatedly reprocessing itself until HotDocs stops responding. For example, a computation can repeatedly scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to what is called the processing stack. If too much information gets added to this stack, HotDocs may get into an infinite loop and stop responding.

INSERT instruction

An instruction that inserts one template into another. For example, if boilerplate text needs to be used in multiple documents, a template that contains that text can be created and inserted in each template that requires it (via an INSERT instruction). This way, if changes need to be made to the text, the change has to be made in only one template.

inserted dialog

See child dialog.

inserted template

A template that is inserted into another template using an INSERT instruction.

instant update

A command in the HotDocs assembly window that, when selected, updates the interview every time a user enters or changes an answer in the interview. Sometimes this updating may cause HotDocs to behave sluggishly as users move between answer fields. In such cases, the user can turn the instant update command off. Then HotDocs will update the interview only as it needs to.

instruction

A command in a script or template that performs a special task, such as inserting a template or asking a dialog at a specific place in the interview.

intake interview

See interview template.

interview

A presentation of questions that must be answered in order to create an assembled document. The interview is viewable by clicking the Interview tab of the assembly window.

interview component

A computation script that defines how a custom interview will look and function. An interview component usually includes ASK instructions to ask all of the dialogs/variables in the interview. The script frequently includes other instructions, such as REPEAT instructions and INSERT instructions as well as conditions for using these instructions. The name of this component is defined at the Component File Properties dialog box.

interview outline

The leftmost pane of the assembly window that lists all of the dialogs in the interview. Viewing the outline shows the natural progression of the interview. Icons in the outline also indicate whether questions in the associated dialog are completely answered, partially answered, or not answered at all.

Interview tab

A tab of the assembly window that shows the outline of questions in the interview as well as the dialogs that contain the questions. Users enter answers while viewing the Interview tab. (See also interview.)

interview template

A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from.

iteration

One instance of a repeated dialog.

[Top]

J

JS files

Stands for JavaScript files, which are used to display interviews in a Web browser. When templates are published for use with HotDocs Server, HotDocs generates these JavaScript files for the interview.

[Top]

K

keywords

A broad term used to describe scripting instructions, expressions, and operators. Keywords are used in a script and generate values or perform certain tasks.

[Top]

L

label

  1. In a text template, an identification assigned to a REPEAT, IF, or SPAN instruction to help the template developer identify the instruction in relation to other instructions in the template.
  2. In a form document, the text that is merged in a field when an answer overflows and is sent to the addendum. (See also reference.)

layout

The placement of variables in a dialog. This appearance is controlled at the Layout tab of the Dialog Editor.

library

A window used to display and organize templates. The library does not store the actual files—instead, it contains shortcuts (or links) to the files, which are stored on disk. In addition to the template library, HotDocs also uses an answer library, which is more commonly known as Answer File Manager.

LIMIT instruction

An instruction that controls the number of iterations in a repeated dialog. For example, if a dialog should be repeated only four times, a repeat LIMIT of 4 can be assigned to the dialog.

line break

A code in a Word document that indicates that text should appear on a new line within the same paragraph. For example, if the user must enter separate lines in a single paragraph (such as lines in an address), a line break should be used. (See also paragraph mark.)

linked field

Represents a HotDocs field in a fillable PDF template that is associated with an Adobe fillable field. By creating this association between a HotDocs field and a fillable field, template developers can create HotDocs fields that precisely match fields in the underlying PDF. Users who assemble the document can then edit answers associated with linked/fillable fields in the saved PDF.

list

Two or more answers to one question merged in the document.

[Top]

M

manual index

See explicit index.

map, mapping

See variable mapping.

mark up, markup

The formatting applied to a Word template or an assembled Word document that shows simplified template development marks. For example, when viewed in Markup View, variables in a template appear between brackets rather than chevrons. (See also Markup View.)

Markup View

A view that shows a simplified version of a Word template or an assembled document. This simplified view may be useful if a non-HotDocs user must review the template or document. When viewing a template or document in Markup View, variable and answer fields are marked using brackets.

merge field

  1. During template development, the place in the template where a variable is inserted.
  2. During document assembly, the place where the user's answer will be inserted.

merge text

The text that will be merged in a document if a user chooses a specific Multiple Choice variable option. For example, if a user chooses Male as the option, a masculine pronoun such as he or his can be merged instead of Male.

model

A tool in the script editor that template developers can use in writing scripts. A model shows the full instruction or expression—including any placeholders that must be replaced for the script to work correctly. Developers can drag these models from their respective lists and then replace the placeholders with the appropriate values.

Multiple Choice variable

A type of component that merges a predefined answer in the document.

[Top]

N

navigation bar

  1. In an interview (at the Interview tab), the toolbar used to move from dialog to dialog.
  2. In a document (at the Document tab), the toolbar used to move between merged answers in a document.

nested repeat

A repeated dialog that is nested within another repeated dialog.

non-breaking space / hyphen

A property that can be assigned to a variable that keeps the answer from being split across two lines in the assembled document.

notation

An identification assigned to a variable name to help identify what type of variable it is. For example, Client Name TE would indicate that the variable is a Text variable. (Typical component notations include TE (Text), DA (Date), NU (Number), MC (Multiple Choice), TF (True/False), CO (Computation), and DI (dialog).)

Number variable

A type of component that merges a numeric value in the document.

[Top]

O

ODBC

Short for Open Database Connectivity, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ADO.)

operator

A symbol or word that causes either an operation (such as addition) or a comparison to be performed in a computation script or expression.

order

The process of designating the sequence in which form template fields are asked in the tab order. Establishing this order in a form is important for users who directly fill the form document.

outline

See interview outline.

overflow

Answers in a form document that do not fit in the allotted field space. Overflowing answers are usually sent to the addendum.

overlay

The process of using the Overlay Answers command to merge existing answers into the current answer file. When answers are overlaid, the answers become a part of the current answer file. They also overwrite any existing answers in the interview.

[Top]

P

.PDF

File name extension that designates that the file is a Portable Document Format file, a format created and supported by Adobe. PDFs are a useful way of distributing documents in a format most users can view—as long as they have Adobe Acrobat, Adobe Reader, or HotDocs Filler installed. With HotDocs, template developers can also create PDF-based form templates. They can also create PDFs from assembled documents.

paragraph mark

A code in a Word document that indicates that text following the mark should appear in a new paragraph. (See also line break.)

parent dialog

A dialog that contains a child dialog.

pattern

Determines how a Text variable will be displayed and formatted in the interview and in the assembled document. By default, HotDocs includes three patterns in all new templates (Social Security number, telephone number, and time of day), but template developers can create custom patterns.

PDF417

The two-dimensional bar code format used in HotDocs Automator and HotDocs Filler.

Personal Information variable

A type of component that stores basic information about a user, such as a name, a company name, and a phone number. This information is saved in the Current User key of the Windows System Registry. Once answered, users won't be prompted to enter it again.

pick list

See answer source.

placeholder

A marker in an instruction or expression model that indicates where a value must be substituted. This value must be a literal value or a variable. Instruction and expression models help the developer use the correct syntax in a script.

pointed component file

When sharing components across multiple templates, represents the template's own component file, which, in turn, points to the shared component file.

pop-up interview

A dialog a user can display during an interview. Usually a pop-up interview shows a different view of the dialog. For example, if a user is entering answers in a spreadsheet, he or she can click the Edit Row Edit Row button and a pop-up interview appears that shows just the questions (and answers) from that particular row in the spreadsheet.

printer driver

A driver that generates form templates from files designed in other applications, such as a draw program or a word processor. HotDocs includes one printer driver—the HotDocs PDF driver.

processing stack

A sequential list of templates and components HotDocs is processing at any given time. Each time a new component is processed, it is added to the stack. (Once processing is finished, it is removed.) In some instances where recursion is used in a script, the same component is repeatedly added to the list. If the number of components exceeds the stack limit, an infinite loop error will occur. (The stack limit can be changed at the Component File Properties dialog box.)

prompt

Text that can be assigned to a variable to help the user better understand how to answer the question.

publish

The process of generating files for distribution to other users. Types of files that can be published include auto-assemble files, auto-install files, regular templates, and HotDocs Server files. During publishing, protection options can be assigned to help safeguard the templates.

Publishing Wizard

The tool used to publish template files for others. The Publishing Wizard steps through the publishing process and allows different properties to be set, depending on the type of file(s) that are being published.

punctuate

The process of formatting a REPEAT instruction so that a list of answers will appear in sentence format, like this: The client owns real estate in New York, Pennsylvania, and Montana. (New York, Pennsylvania, and Montana are the list items. The punctuation adds the commas and the conjunction and).

[Top]

Q

Question Summary

A brief report HotDocs generates that lists questions asked during an interview. The summary includes blank lines for handwritten answers. (See also Answer Summary.)

queue

See Assembly Queue.

[Top]

R

.RTF

File name extension that designates that the template file is a Word RTF file. (See text template.)

reference

In a form document, the text that is added to the addendum to identify any overflow answers. (See also label.)

reference path

A folder path for a template in which the drive letter and some or all of the folder names are represented by a keyword. At runtime, this keyword is mapped to an actual path on the user's computer so that when the user accesses the template, the keyword is replaced by the path. This allows templates saved in one central location to work on multiple workstations regardless of how the drives on the workstation are mapped.

register

The process of publishing a template for use with HotDocs Player.

REPEAT instruction

An instruction that repeatedly asks the same variable(s) so that two or more answers can be entered. REPEAT instructions are used to create lists of answers in the document.

repeated dialog

A dialog that contains the variables that need to be repeated so that multiple answers can be entered. (See REPEAT instruction.)

repeated series dialog

One of two representations of a dialog that is repeated. With a repeated series, the dialog is asked repeatedly until all answers in the list have been entered. (See also spreadsheet dialog.)

resource

Supplemental help that can be included with a variable or dialog to help users better understand how to answer the questions they are viewing. Resources appear in the resource pane of the assembly window.

Resource field

A type of form template field that functions like a hyperlink. Link fields let users get help while direct-fill assembling the form document. Links are displayed as underlined, colored text, much like links in a Web browser. They provide a resource for the form in general, instead of for a specific variable or dialog.

run-on group

A series of form template fields that have been grouped and associated with each other so that the answer can flow from one field to the next. For example, if an answer must fill two or more lines on a form, separate fields can be created on each line and then grouped. Once grouped, they become a run-on group.

[Top]

S

script

One or more instructions and/or expressions that generate a value or execute some kind of procedure.

script editor

The tool used to write a script. The script editor includes several options to make the script-writing process easier, including color-coding, auto-complete lists, and a toolbar for completing other tasks.

selection grouping

A dialog property assigned to True/False variables, clauses, and child dialogs which presents these options as check boxes (multiple-select) or option buttons (single-select).

Send to Word Processor command

A command that opens the word processor and copies the assembled document into it. Once opened in the word processor, the user can make any changes necessary to the document.

SET instruction

An instruction in a template or script that assigns a value to a variable. Variables that have their values set should not be asked again in the interview.

shared component file

A common component file to which several related templates are linked. To use a shared component file, the template's own component file must be pointed to the shared file. Changes to components in the file are reflected in all templates that use it. (See also pointed component file.)

SHOW

An instruction used in a dialog script to show variables that have been hidden in the dialog. (See also HIDE.) Usually this instruction is conditioned so that variables hide and show dynamically, based on answers the user enters.

sort

The process of alphabetizing answers in a repeated list or items in a library. Sorting can be done in ascending or descending order.

spreadsheet dialog

One representation of a repeated dialog. Each row in a spreadsheet represents one repetition in a dialog. (See also repeated series dialog.)

spreadsheet-on-parent dialog

A repeated child dialog that appears as a spreadsheet on its parent dialog. This allows the user to view both dialogs at once.

static text

The underlying text in a form template or document that does not change. To enter answers on a form, form fields must be created and overlaid on the static text.

strike-through field

A type of form template field that is used for crossing out static text on the form.

summary

See Question Summary and Answer Summary.

supplemental component

A term used to define components such as patterns, example formats, dialog elements, and merge text. Supplemental components are associated with regular components, but they can be created and edited as standalone components.

syntax

The language used in writing scripts. For a script to work properly, the script must be written in a way that HotDocs can understand. This language consists of instructions, expressions, operators, and values (such as text, numbers, dates, or answers users enter).

[Top]

T

template

A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.

template developer

The person responsible for automating the templates in the set. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)

template development

See automate, automation.

Template Manager

The tool used to manage a library of templates and their associated components. This includes converting or renaming templates, copying and pasting components across multiple templates, renaming components, and changing component file properties for multiple templates.

test

The process of testing a variable or other component to make sure it looks right and works correctly.

test assemble

The process of assembling a document for the purpose of ensuring the interview works correctly and the automation within the template produces a correctly assembled document. During a test assembly, developers can easily edit components and have the test assembly window updated with changes.

text document

A document that is viewed in either Word or WordPerfect. It can represent a document before it is automated as well as a document after it has been assembled. When in document format, it is not associated with (or linked to) HotDocs in any way. (See also text template.)

text template

A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.)

Text variable

A type of component that merges text in the document.

thumbnail

Small images of each page in the form template. Developers can use thumbnails as a way to see an overview of the template. Thumbnails can also be used to move around quickly in a form.

title

A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.

True/False expression

A script that must result in either true or false. Expressions are used for merging or excluding optional text in a document. They are also used for determining which parts of a script will be executed, based on answers or other values entered by a user. Expressions are often used when a simple True/False variable doesn't convey the condition needed. (See IF Instruction.)

True/False variable

A type of component that determines a true/false status of some condition and then merges the appropriate answer or text.

[Top]

U

unanswered text

Text in a text document that indicates that a question is unanswered. By default, unanswered questions appear as ***Variable Name***, but this can be customized.

UNGRAY

An instruction used in a dialog script to enable a variable that has been grayed based on a user's answers. (See also GRAY.)

Unicode

Computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages. Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

upload

The process of moving HotDocs files to a server so they can be accessed via an intranet or Internet site.

user

The customer, client, or person who assembles documents from templates. (See also template developer.)

[Top]

V

value

In an interview, it represents a user's answer. In a script, it represents data that must be used in executing the script. (The value can either be a literal value or a user's answer.)

variable

A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.

variable flow-through

See answer sharing.

variable mapping

The process of associating two HotDocs variables so that they can share answers. In some cases, this mapping defines the relationship between a HotDocs variable and a field in a third-party application file, such as a database table or a field in an Outlook Contacts list.

[Top]

W

.WPD

File name extension that designates that the file is a WordPerfect document. (See text document.)

.WPT

File name extension that designates that the file is a WordPerfect template. (See text template.)

warnings

A list of cautions that appear in the test assembly window that indicate problems created by scripting in the template.

wizard

See answer wizard.

[Top]

X

XML

Stands for eXtensible Markup Language. It is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML controls the way data is structured, making it easy for diverse programs to access the same information. (For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).) In HotDocs, you can save libraries, component files, and answer files in XML format.

[Top]

Home > HotDocs Glossary of Terms


HotDocs Help - GRAY

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

GRAY

An instruction used in a dialog script to disable a variable unless the user answers another variable a specific way. For example, questions asking for children's name can be grayed until the user answers a question indicating he or she has children. (See also UNGRAY.)

Home > HotDocs Glossary of Terms > GRAY


HotDocs Help - group

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

group

The process of designating that two or more fields in a form template be linked together so that an answer can flow from one field to the next. For example, if a text answer needs to span two or more lines in a form, the fields can be created on each line and then grouped. When the answer extends beyond the first line, it will flow to the second line. (See also run-on group.)

Home > HotDocs Glossary of Terms > group


HotDocs Help - .HDA

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.HDA

File name extension that designates that the file is a HotDocs auto-assemble file.

Home > HotDocs Glossary of Terms > .HDA


HotDocs Help - .HDI

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.HDI

File name extension that designates that the file is HotDocs auto-install file.

Home > HotDocs Glossary of Terms > .HDI


.topic 787
When labeling text blocks, includes comments the developer has entered for the instructions that control the text block. For example, if the text block is conditional, any comments the developer has included about why the text is conditional will be merged in the field label.

.topic 1301
Causes HotDocs to display IF, REPEAT, and SPAN instructions in annotations. These annotations can appear either as footnotes or endnotes. Annotations are ordered sequentially. When applied to closing text blocks, they can help you pair opening and closing instructions.

.topic 1299
If a comment is merged in an opening field label, causes HotDocs to include a closing field marker at the end of the comment. This may make it easier to identify markup fields when working with larger blocks of text.

.topic 1288
Shows which character will be used to indicate where an END IF instruction is used in a template. An END IF instruction shows where the condition controlling the inclusion of text in the document ends.

.topic 1281
Shows which character will be used to indicate where an answer field begins in a template.

.topic 737
Forces toolbars in the assembly window to a new line when the width of the assembly window won't allow the toolbars to be displayed in full.

.topic 1153
Marks text in the assembled document that can be edited. This includes both answers and document text. Marking text this way makes the text you can change more easily identifiable. If this button is grayed, it may be because the template provider has disabled the functionality.

.topic 897
Sends assembled documents to the word processor that matches the template's file type. For example, if the template's file type is RTF or DOT, HotDocs will send the assembled document to Microsoft Word. If the file type is WPT, it will be sent to WordPerfect.

.topic 939
Specifies the application ID HotDocs uses when assembling form documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 1076
Displays a color palette so you can assign colors to script keywords or syntax items.

.topic 1072
Causes HotDocs to include keywords in the auto-complete list that are used infrequently in a script, including language and month keywords as well as some keywords associated with built-in variables (like PN# and Personal Information variables).

.topic 691
Manually starts the next assembly. (This option is available if Auto Start is not selected.)

.topic 655
Removes the selected answer file or folder. When you delete an answer file, you can choose whether to delete just the reference to the file in the library as well as to delete the actual file from disk.

.topic 622
Continues the installation process, using the information you have provided.

.topic 621
Displays a dialog box where you can locate and select a folder to store the template files.

.topic 587
Specifies a description for the selected answer library item. Descriptions are optional.

.topic 584
Determines if an answer file has been assigned a default title. If so, that title is added to the Title box.

.topic 870
Sets a component file property that enables all new templates you create to be used with HotDocs Server. When a template is enabled, HotDocs will warn you if you attempt to use a feature in your template that isn't supported with a Web browser. Additionally, setting this property allows you to test assemble the template in the browser and publish the files needed for use with HotDocs Server.

.topic 747
Displays a warning when a user chooses to override an answer at the Form Document tab.

.topic 249
Displays the entire width of the current form page in the window.

.topic 228
Either creates a new field or selects an existing field during direct-fill assembly of a form document.

.topic 224
Pastes any text that has been saved to the Windows Clipboard into the current answer field.

.topic 20
Creates a new HotDocs library. The New Library dialog box will appear where you can enter a title, description, path, and file name for the library. Once created, you can add templates or other files to the library. A single template can be referenced in multiple libraries.

.topic 35
Displays Component Manager so you can edit the components in a given template without opening the template. (You must select a template from the template list before you click this button.)

.topic 505
Specifies information about the library item, such as how the item should be used, or when it was created. This information appears when you select the item and view its properties.

.topic 760
Determines that new fields with a width and height less than or equal to this value will be considered check-box fields.

.topic 779
Determines how many lines of text can appear in a form answer field, if the answer field is an inch tall.

.topic 811
Determines how much space on the page is used for the header.

.topic 813
Displays the Font dialog box, where you can set font properties for the addendum header.

.topic 817
Displays the Font dialog box, where you can set font properties for the addendum footer.

.topic 873
Sets the time interval for automatically saving changes made to the component file. (Use your word processor's features for backing up changes to the template text.)

.topic 874
Determines the appearance of the icon used to designate the component type -- the icon will display either an image or a text abbreviation.

.topic 877
Includes a column in the Template Manager component list that lists component types.

.topic 1034
Closes this dialog box without saving any changes.

.topic 1012
Shows variables that are asked more than once in an interview. If your automation causes a variable to be asked more than once in the interview and the user enters different answers for each variable, whatever answer the user enters last will be used all places the variable is merged.

.topic 1050
Searches the titles and descriptions of all of the clauses for the text you type in the Find text box.

.topic 930
Specifies the format name for regular answer files (ANS). This format name allows HotDocs to send files to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to manage HotDocs answer files with a Document Manager.)

.topic 665
Pastes any items currently saved on the Windows Clipboard to the location you specify in the library.

.topic 106
Reports how frequently HotDocs is processing interview as well as dialog scripts. Often, frequent processing can lead to sluggish performance during the interview. The number on the left indicates the number of times the interview script has been processed during the current assembly session. The number on the right indicates the number of times the dialog script has been processed for the dialog you are viewing.

.topic 1129
Allows the user to print a copy of the document.

.topic 1138
Closes this dialog box and applies all security changes you have made.

.topic 734
Lets you assign colors to answers and unanswered questions in the assembled document. Also lets you assign colors to sections of the document you can edit. (To view the assembled document with these colors, click the Highlight Fields button in the assembly window toolbar.)

.topic 735
Lets you choose the assembled document text to which you want to assign a specific color: answered text, unanswered text, editable text, or edited text. To assign a color, select the item and click the Color drop-down button.

.topic 753
Displays a warning when you attempt to create a field using the Fill tool. The warning displays information about choosing the correct tool to create the field.

.topic 1285
Shows which character will be used to indicate where an INSERT instruction ends in a template.

.topic 781
Lets you assign default font properties for all new edit fields you create.

.topic 1166
Takes you to the beginning of the assembled document.

.topic 938
Specifies the application ID HotDocs uses when assembling Adobe Acrobat documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 1019
Displays helpful information about this dialog box.

.topic 927
Closes the dialog box and saves the changes you made to the Personal Information variable.

.topic 690
Lists the templates selected for assembly and their current assembly status. Templates will be assembled in this order. To change the order, select a template and click the Move Up or Move Down button.

.topic 551
Displays the Browse dialog box so you can see the location on disk where your template is saved.

.topic 530
Adds another cut or copied item to the Windows Clipboard. If you add multiple items to the Clipboard, all items will be pasted the next time you use the Paste command.

.topic 871
Displays a warning message when you edit a template that is pointed to a shared file. This can help you avoid making changes that might cause problems in other templates.

.topic 851
Checks the spelling of an answer only if it contains multiple lines of text, such as a paragraph.

.topic 833
Inserts a bullet character next to each prompt.

.topic 741
Causes HotDocs to display answer fields by default whenever you open a form.

.topic 722
Specifies when the resource button should appear next to an answer field that includes a resource. Specifically, HotDocs can display the resource button only when the user is viewing that particular answer field, or it can display resource buttons for all of the fields at once.

.topic 681
Saves the answer file in XML format before attaching it to the e-mail.

.topic 603
Closes the dialog box without saving any changes.

.topic 541
Sorts the contents of a folder from 9 to 1, and from Z to A.

.topic 523
Specifies information about the library, such as what kinds of templates are included, or when the library should be used. Descriptions are optional. If specified, it appears when the user views the properties of the top folder in the library.

.topic 242
Opens the Open Answer File dialog box so you can select another answer file for the interview.

.topic 514
Remembers the answer file shown in the Answer file to use with this assembly box, and suggests it for use the next time you assemble a document.

.topic 512
Opens the Select Answer File dialog box where you can select an answer file for assembling the document.

.topic 28
Removes the selected library item or items from the library. You can also choose to delete the actual files from disk. If the templates you delete are stored on the local disk, they will be sent to the Windows Recycle Bin. If they are stored on a network, they will be permanently deleted.

.topic 101
Displays only those templates and clause libraries that contain the text you enter in the Find box in their file names, titles, or descriptions.

.topic 235
Displays any previous dialogs that have unanswered variables. (If all variables in previous dialogs have been answered, this button is inactive.)

.topic 792
Specifies what part of a table is sent to the addendum when an answer in the table is too large for the table cell.

.topic 814
Specifies the text that appears in the addendum footer.

.topic 825
Places vertical lines on the right and left side of the addendum, with numbering in the left margin.

.topic 894
Displays a dialog box where you can select a different default folder for your text templates.

.topic 895
Specifies the default location where either startup files (for Word) or macro files (for WordPerfect) are stored.

.topic 900
Lists the various types of files HotDocs uses and specifies the default folder where these files are saved. You can change these locations by clicking Edit and specifying a new location.

.topic 924
Closes this dialog box without saving your changes.

.topic 1033
Closes the dialog box and maps the variables you have selected.

.topic 1040
Arranges the clause library window with other open HotDocs windows so you can view the windows simultaneously. Adjust the clause library to the height you want before clicking the button.

.topic 1077
Applies the bold formatting to the selected script element.

.topic 104
Displays the HotDocs window status bar.

.topic 1168
Goes to the previous unanswered question in the document.

.topic 1213
Displays the What's This? help cursor.

.topic 1282
Shows which character will be used to indicate where an answer field ends in a template.

.topic 666
Allows you to locate an answer file and automatically copy it to the default Answers folder. If managing your answer files using Answer File Manager, the file will also be added to the manager.

.topic 1067
Marks required questions in the interview with an asterisk to help you identify questions you must answer in order to complete the interview and assemble the document.

.topic 1065
Lets you assign a font to the selected item.

.topic 956
When viewing a side-by-side comparison, highlights changes in both panes of the Comparison tab as you navigate through the document.

.topic 950
Lets you choose which element of a comparison (either strike-throughs or underlines) you want to change the color of. Select the item from the drop-down list.

.topic 1097
Places a button in the End of Interview dialog that lets you close the assembly window without saving the assembled document.

.topic 932
Specifies the format name for Microsoft Word documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 695
Moves the selected entry closer to the bottom of the queue.

.topic 656
Sorts the items in the currently selected folder in the order you have specified.

.topic 640
Overwrites the existing template files with new template files.

.topic 582
Displays a dialog box where you can locate and select an answer file to add to the answer library.

.topic 553
Checks for a default title assigned to the template. If a title has been assigned, it appears in the Title box. (HotDocs checks the template's component file for the title.)

.topic 751
Creates a log file that lists all changes made directly in the form. If there is a system failure while you are working in Automator, the next time you open the form, it will use the log file to reapply all changes made to the form. (This log file restores only changes made to the form -- it does not restore any changes to the component file.)

.topic 745
Displays a warning when a user is entering answers at the Form Document tab, but the answer is longer than the field.

.topic 715
Controls whether the assembly queue retains a list of assemblies that have been completed during a given session of HotDocs (or the time between when you start HotDocs and when you close it). While viewing the Assembly Queue, you can manually control the number of completed items either by clicking the Clean Up button or by clicking the Delete button. (Clicking Clean Up removes all completed assemblies, while clicking Delete removes whichever document you currently have selected.)

.topic 714
Specifies the text merged in a document when a question is left unanswered. (In some instances, the template provider has specified this text for you.)

.topic 567
Saves the properties of the answer file using the information you have provided and closes the dialog box.

.topic 561
Displays the file name and folder path of the answer file.

.topic 525
Closes the dialog box without saving any changes.

.topic 232
Displays the Field Properties dialog box during direct-fill assembly of form documents. This allows you to modify the appearance of answers in that field.

.topic 245
Sends a copy of the assembled document to a word processor or HotDocs Filler, depending on the type of template you are using. Once in the word processor or HotDocs Filler, you can make post-assembly changes to the document. Be aware, however, that any changes you make will only affect that document -- your changes will not be saved in the answer file.

.topic 511
Creates an empty answer file for assembling the document. The word "New Answer File" appears in the Answer file to use with this assembly box.

.topic 29
Sorts the items in a library or a folder in a library in either ascending or descending alphanumeric order. You can also specify whether to include items in subfolders. You must have a folder selected to sort items in it.

.topic 775
Sets the minimum distance between the top margin of the field and the addendum item.

.topic 893
Specifies the default location where text template files are stored.

.topic 896
Displays Windows Explorer, showing the folder where either startup (Word) or macro (WordPerfect) files are stored.

.topic 920
Specifies the keyword used with a reference path. The keyword is used to identify the folder path where the templates will be installed on the user's computer.

.topic 923
Saves the information you have provided and closes this dialog box.

.topic 1003
Closes this dialog box without deleting any selected items.

.topic 1045
Displays a dialog box where you can sort the contents of the selected folder in ascending (A to Z) or descending (Z to A) order.

.topic 1063
Displays the different color palettes from which you can choose. To restore the default colors, choose Default from the top of the System color list.

.topic 1115
Closes this dialog box and changes the properties for the files you have selected.

.topic 1132
Allows the intended recipient to copy content from the document.

.topic 1137
Allows the intended recipient to fill form questions in the document.

.topic 1158
Displays the saved document snapshot and the current document in two panes, rather than a single pane. Text in the snapshot that has changed is crossed out, while the new text is added to the current document and underlined.

.topic 1208
Shows or hides the ruler for the document. The ruler can help you more precisely align text within the document.

.topic 1304
When annotating instruction text in a template, causes HotDocs to display the annotation marker in the closing field marker for the instruction.

.topic 864
Causes HotDocs to use the UK spelling dictionary.

.topic 780
Lets you assign a default font for check-box fields on a form.

.topic 954
Shows the default file location for saved snapshot documents. Each time you save a document snapshot, it will be saved to this folder. Saved snapshots will be available at the Comparison tab. Saving multiple snapshots lets you compare different versions against the current version of the document.

.topic 1095
Places a button in the End of Interview dialog that lets you save the assembled document to disk.

.topic 919
Allows you to choose which format HotDocs should use to save the assembled PDF-based document. Your options include HPD and PDF. You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 694
Moves the selected entry closer to the top of the queue.

.topic 693
Removes the selected template from the assembly queue. You can only delete templates that are not currently being assembled.

.topic 620
Specifies the default location where the template file(s) are stored.

.topic 853
Ignores words that contain all capital letters, such as acronyms.

.topic 835
Inserts a bullet character next to each answer.

.topic 602
Saves changes made to the library item's title or description and closes the dialog box.

.topic 565
Assigns the answer file to be stored in the Pattern subfolder.

.topic 524
Saves the changes you have made and closes the dialog box.

.topic 225
Shows and hides the colored field backgrounds during direct-fill assembly of a form document.

.topic 23
Prints a document that lists the contents of the current library, including file names, titles, and descriptions.

.topic 38
Displays the Assembly Queue dialog box, which lists all the documents you have assembled, you are currently assembling, or you are waiting to assemble. At this dialog box, you can reorder the queued assemblies, as well as remove pending or completed assemblies from the list.

.topic 504
Checks the component file to see if the template provider has assigned a default template title. If no default title has been assigned, HotDocs suggests a title based on the file name.

.topic 761
Prevents users from entering hard returns in single-line answer fields. This option affects only new fields you create, not any existing fields.

.topic 890
Specifies the word processor that will be used when you send the assembled document to the word processor. If you have multiple versions of a word processor installed, it also controls which version will be suggested when you create new templates.

.topic 1078
Applies the italic formatting to the selected script element.

.topic 1103
Places a button in the End of Interview dialog that lets you have HotDocs change the assembly window view to the Form Document tab so you can view the assembled form document.

.topic 1128
Confirms the password you entered. This password is required to open the document. Make sure you communicate this password to the intended recipient.

.topic 1151
Creates a snapshot of the document as it's currently assembled so you can continue to answer questions in the interview and then compare the current document against the snapshot. Comparing different versions of the assembled document lets you track changes you make in the interview and determine how answers you enter can affect the outcome of the document.

.topic 1160
Keeps both comparison panes synchronized so that when you scroll the view of one, the view in the other pane is likewise scrolled.

.topic 1164
Goes to the next difference in the documents you are comparing.

.topic 1250
Lets you choose the format for the file you are saving.

.topic 1253
Closes the dialog box without saving any of the selections you have made.

.topic 785
Sends only rows that overflow to the addendum.

.topic 1101
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a form document, HotDocs will send the assembled document to HotDocs Filler.

.topic 1100
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a text document, HotDocs will change the view to the Document Preview tab.

.topic 1093
Places a button in the End of Interview dialog that lets you paste the assembled text into the currently open word processor document. This is useful if you are assembling clauses and the clause text must be inserted into an existing document.

.topic 885
Allows you to assign a custom color to the different field types in a text template. Choose the field type from this drop-down list and then choose a color at the Color drop-down list. (To restore default colors, choose Default at the top of the Palette tab.)

.topic 941
Specifies the application ID HotDocs uses when assembling Microsoft Word documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 915
Allows you to choose which format HotDocs should use to save the assembled WordPerfect document. Your options include WPD and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 1020
Shows a list of all the potential problems for which HotDocs can search in your template. You can select which options you want selected. If HotDocs encounters a problem, it displays it in the Warnings in interview box. Failure to fix such problems may result in an incorrect interview and assembled document.

.topic 1017
Updates the list of warnings generated when you test assemble your template. For example, if you clear a warning and then re-test assemble the document, you can select the warning again and click this button and it will redisplay any relevant warnings.

.topic 692
Switches the assembly mode between automatic (where HotDocs automatically assembles documents listed in the queue) and manual (where you must manually click the Assemble button for each document listed in the queue).

.topic 653
Displays the New Answer File dialog box where you can specify the type of answer file you want to create as well as provide a file name, title, and description for the file.

.topic 588
Lists when an answer file was used and with which template it was used.

.topic 121
Displays a summary of questions in an interview as well as any answers you entered.

.topic 837
Determines how much of the viewable window is used to display each variable prompt.

.topic 731
Specifies the year used to distinguish 20th century dates from 21st century dates. Two-digit years less than or equal to this number are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

.topic 682
Applies the information you have specified and closes the dialog box.

.topic 230
Scrolls form documents up and down, and side to side during direct-fill assembly.

.topic 221
Restores changes that were made to an answer.

.topic 21
Opens a different library. The Open Library dialog box will appear where you can select the library you want.

.topic 502
Opens the Add Item File Name dialog box where you can locate and select a HotDocs library item.

.topic 990
Displays the folders that represent the different areas of HotDocs that can be customized. Click a folder to display the relevant options.

.topic 774
Sets the vertical alignment of the text.

.topic 802
Specifies the paper size that should be used in printing forms you create. Once you specify this option, it will be applied to all new forms you create.

.topic 822
Controls the distance between the addendum labels and the actual answers.

.topic 891
Specifies the default location where word processor document files are stored.

.topic 1079
Allows you to choose the font for the text in your scripts. You can also select a point size for the text.

.topic 1111
Allows you to browse for and then specify a new file location for the templates whose properties you are changing.

.topic 1139
Closes this dialog box without assigning any security options.

.topic 1163
Goes to the previous difference in the documents you are comparing.

.topic 1162
Takes you to the beginning of the document.

.topic 1216
Applies the bold font style to the selected text.

.topic 888
Lets you choose the circumstances under which HotDocs inserts a return character after it inserts an instruction. Selecting Always means HotDocs will always insert the return character. Selecting Smart means HotDocs will insert the return character when working with entire paragraphs of text. Selecting Never means HotDocs will never insert a return character. (In all cases, whenever HotDocs inserts a return character with an instruction, it will also remove the character once the instruction is processed in the assembled document.)

.topic 784
Sends the contents of the entire table to the addendum any time an answer in the table overflows.

.topic 1305
Applies the bold format to markup field markers. Using this format may make markup fields more distinguishable.

.topic 934
Specifies the format name for HotDocs PDF-based form documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 247
Searches for text in the document.

.topic 631
Shows existing Start menu folders. If you want to save the shortcut for the template set in one of these folders, select the folder and click OK.

.topic 550
Shows the file name of the library item.

.topic 912
Specifies the file name and path of the .DLL file that allows you to use third-party document management software.

.topic 860
Provides a list of possible replacements that are typographically similar to the misspelled word.

.topic 857
Formats the replacement word to match the capitalization of the misspelled word.

.topic 854
Ignores words that contain both uppercase and lowercase letters.

.topic 850
Checks the spelling of an answer before advancing to the next dialog in the interview.

.topic 746
Displays a warning when a user attempts to answer a question at the Form Document tab and the field is inactive.

.topic 716
Specifies how frequently HotDocs checks download sites for newer versions of auto-assemble files. If you select With Each Use, HotDocs will check for a new version each time you use the file. If you select Once Per Session, HotDocs will check only once during the time you have HotDocs running. If you select Never, HotDocs will not update the file.

.topic 713
Controls whether HotDocs prompts you to save a copy of an assembled document after it has been sent to the word processor or HotDocs Filler. If selected, a dialog box where you can specify file information will appear when you close the assembly window.

.topic 712
Controls whether HotDocs prompts you to save a copy of the assembled document when you close the assembly window.

.topic 710
Controls whether the Answer File dialog box appears at the start of each assembly.

.topic 600
Displays the library item's title. This title appears when you select the item at the library and view the Properties tab.

.topic 248
Shows and hides the resource pane where helpful information about a question or group of questions can be viewed.

.topic 231
Allows you to type any answer in the field, even if the field requires a certain type. For example, you can override a number-only field and type a text answer.

.topic 226
Shows and hides thumbnail images of each page in the form. You can use these pages to move through the document.

.topic 25
Copies the selected library item or items and saves them to the Windows Clipboard. (If you select a folder, HotDocs will copy the folder with all its contents.) You can then paste them into another part of the current library or into a different library.

.topic 36
Launches Template Manager, which allows you to manage components in several component files at once. Template Manager also lets you manage templates, including renaming templates or converting multiple templates at once.

.topic 501
Specifies the file name of the library item.

.topic 772
Displays the Font dialog box where you can set the font properties for the field.

.topic 795
Identifies each addendum entry. The default label is a number.

.topic 803
Specifies the paper tray that should be used when printing forms. Once you specify this option, it will be applied to all new forms you create.

.topic 513
HotDocs 6 uses the "Remember selected answer file" check box (#514) instead of a "last" button.

.topic 1062
Displays a drop-down list of all the different items in the assembly window to which you can assign custom colors or font properties. Select the item, and then choose the color or font property.

.topic 1080
Shows the currently assigned font and point size for scripts.

.topic 931
Specifies the format name for HotDocs XML answer files. This format name enables HotDocs to send files to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to manage HotDocs answer files with a Document Manager.)

.topic 940
Specifies the HotDocs application ID. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to manage HotDocs answer files with a Document Manager.)

.topic 1116
Closes this dialog box without changing any of the properties.

.topic 1124
Shows the password you are assigning to this document, which is required to edit the document.

.topic 1156
Displays the Interview tab and shows you where in the interview the question is asked.

.topic 1170
Goes to the next answer in the document.

.topic 1310
Causes HotDocs to assign text formatting such as bolding and italicizing to markup fields when previewing a template.

.topic 1091
Places a button in the End of Interview dialog that lets you review any dialogs in the interview that have unanswered questions. However, if there are no unanswered questions in the interview, this button will not appear.

.topic 260
Deletes the selected repetition from the interview. Any answers you have entered will be lost.

.topic 1074
Specifies how many characters wide tabs should be in scripts. This setting affects all tabs, including any existing tabs you have used in your scripts

.topic 918
Allows you to choose which format HotDocs should use to save the assembled Envoy-based document. Your options include HFD, HPD, and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 660
Specifies the text for which you are searching in answer file titles and descriptions. You can type the text directly in the box, or you can click the drop-down button and select text from a previous search.

.topic 611
Imports the library in such a way that you will be able to edit the items in the library, assemble them, and modify the structure of the library.

.topic 843
Deletes the selected Personal Information variable from the list.

.topic 842
Displays the Add Personal Information dialog box where you can create a new Personal Information variable, and specify an answer for it. If this variable is used in a template, the information will be merged into the document automatically.

.topic 564
Displays a description of the answer file, such as what it should be used for, or when it was created.

.topic 241
Replaces the current answer file with a new, empty answer file.

.topic 100
If you have the Properties tab selected, HotDocs shows information about the file you have selected, such as file types, names, and descriptions (where given). If you have the Preview tab selected, HotDocs displays the template text.

.topic 810
Specifies the text that appears in the addendum header.

.topic 823
Controls the distance between each answer that is sent to the addendum.

.topic 875
Controls how HotDocs displays the test assembly window. The test window always appears as the top window, or HotDocs can create a Windows taskbar item for the test assembly window (allowing you to move between open windows more easily).

.topic 1048
Opens Component Manager so you can work with the clause components or other components (such as variables) used in the clauses.

.topic 883
When typing the name of a new component, causes HotDocs to suggest existing component names, based on the text you are typing. (If the text you are entering matches the name of an existing component, HotDocs tries to complete the name for you.)

.topic 1110
Allows you to change the file location HotDocs uses to find the files whose properties you are changing. To have HotDocs look for the files in the default location, select Default.

.topic 1134
Allows the intended recipient to edit the content of the document, including making changes to the text.

.topic 1210
Checks the document for any misspelled words and provides you the option of correcting the mistake.

.topic 1220
Aligns the text in the center of the document page.

.topic 1221
Aligns the text with the right edge of the document page.

.topic 1223
Increases the space between the left edge of the document and the text you are editing.

.topic 1271
Lets you locate the new folder where you want to save the type of file you are editing.

.topic 1302
Lets you choose the format for marking up annotated text blocks. You can choose either Footnote or Endnote. IF, REPEAT, and SPAN instructions referenced in the annotation will appear in the footnote/endnote text. Footnotes appear in the footer of the page where the annotation is merged, while endnotes appear at the end of the document.

.topic 1261
Marks each level of IF and REPEAT instructions in a template using a custom color. (For example, all first-level IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.)

.topic 1068
Restores all default appearance settings for items in the assembly window.

.topic 1102
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a form document, HotDocs will change the view to the Form Document tab.

.topic 1094
Places a button in the End of Interview dialog that lets you copy the assembled document to the Windows Clipboard so you can paste it into any document you choose. (This option is available to Word users only.)

.topic 258
Checks the spelling of text answers entered during the interview.

.topic 256
Opens the Component Editor for the component you currently have selected.

.topic 569
Retrieves a title that has already been assigned to this answer file.

.topic 253
Displays the What's This help icon so you can click on specific buttons or options in a dialog box and view a short explanation of its function.

.topic 661
Displays an outline of the folders and subfolders used to organize the answer files.

.topic 654
Displays the Add Item dialog box where you can add existing answer files or folders to your answer library.

.topic 623
Cancels the installation process and closes the dialog box.

.topic 583
Specifies the title that will appear when you select the item and view its properties.

.topic 863
Opens a dialog box where you can locate and select another dictionary to use for checking spelling.

.topic 840
Lists Personal Information variables and any answers that may be given for these variables. Answers are automatically merged into documents that use these variables.

.topic 740
Specifies the measurement units used for field types, field margins, and other aspects of forms.

.topic 540
Sorts the contents of a folder from 1 to 9, and from A to Z.

.topic 251
Displays the assembly queue, which lists all of the templates you have chosen for assembly. The queue gives you greater control over the assembly process when you are assembling multiple documents.

.topic 250
Shows the whole form document in the window.

.topic 236
Displays the previous answer-gathering dialog.

.topic 227
Allows you to place your cursor in a form's answer field and type an answer.

.topic 31
Assembles a text or form document, clause library, or interview template. The HotDocs assembly window will appear.

.topic 32
Creates a new template or clause library file and adds it to the list of items in the library.

.topic 103
Specifies the text for which you are searching in template titles and descriptions. You can type the text directly in the box, or you can click the drop-down button and select text used in a previous search.

.topic 506
Saves the information you have entered and closes the dialog box.

.topic 812
Specifies the horizontal alignment of the header text.

.topic 892
Displays a dialog box where you can select a new default location to store word processor document files.

.topic 1000
Deletes the reference to the template or templates from the library.

.topic 1013
Shows variables that are referenced in a dialog script that have their values set later in the template. Doing this may cause HotDocs to change the value that is being used by the dialog script, which could ultimately change the appearance of the dialog and therefore, the interview.

.topic 1014
Shows variables that are used in the interview but not specifically asked that then have their values set later in the interview. (An example of this would be a variable used with ASK NONE or with the Ask automatically option cleared.)

.topic 1047
Displays the Item Properties dialog box where you can change the title and description of folders and clauses in the current clause library.

.topic 718
Causes HotDocs to warn you when you attempt to assemble a document while HotDocs is busy assembling others. At this message box, you can choose to add the template to the assembly queue so that it can be assembled once the current assembly is complete.

.topic 1161
Synchronizes the views once you have scrolled or changed the view in one of the Comparison tab panes. When you click the button, the pane that is out of synch will be scrolled to the same position as the pane you are viewing.

.topic 1201
Copies the selected text and saves a copy of it to the Windows Clipboard so you can paste it somewhere else in the document.

.topic 1203
Discards the changes you made to the document text.

.topic 1226
Displays the Document Text Editor toolbars.

.topic 782
Shows the font size HotDocs will use in attempting to resolve overflow by shrinking the answer's font size. Once an answer has been shrunk to this size, if the field still overflows, you must choose a different overflow status option.

.topic 786
Sends only the contents of a single overflowing field to the addendum if it overflows.

.topic 1291
Not implemented.

.topic 1280
Not implemented.

.topic 1262
Marks each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)

.topic 899
Lists the different word processors with which HotDocs integrates. If a listed word processor is enabled and selected, it is supported for use with HotDocs. If a word processor is enabled but not selected, support can be installed. (Simply select the word processor and click OK to run the installation.) If a word processor is disabled, it means the word processor is not installed on your computer and it cannot be used with HotDocs.

.topic 1167
Moves you to and highlights the previous section of the document that you can edit. To edit the text, make sure your cursor is in the text and click the Edit Document Text button.

.topic 1099
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a text document, HotDocs will send the assembled text document to the word processor.

.topic 1090
Keeps the End of Interview dialog from appearing during the interview. When you click Next at the last dialog, HotDocs will display the assembled document, either at the Document tab or in the word processor or HotDocs Filler. (You choose which option you prefer by selecting a Finish Interview Action, below.)

.topic 517
Assembles the template(s) using the specified answer file and immediately displays the assembled document, either in the word processor/HotDocs Filler, or at the Document tab of the assembly window. (Which application is used to display the document depends on the Finish Interview Action specified at HotDocs Options.)

.topic 259
Inserts a new, empty repetition above the current repetition.

.topic 935
Specifies the format name for PDF documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 755
Allows you to choose a pre-defined color theme for HotDocs Automator or Filler. This theme determines the colors that will be used for the different types of fields on the form.

.topic 1046
Prints a list of clause titles, clause file names, and the clause library in which the clause is located.

.topic 624
Displays helpful information about the dialog box.

.topic 641
Continues the installation process without warning you of any other overwriting situations.

.topic 612
Cancels the import process without making any changes to the library.

.topic 580
Specifies the type of item you want to add to the answer library. The item you select controls which other fields are available.

.topic 913
Displays a dialog box where you can browse and locate the necessary ODMA DLL file.

.topic 859
Provides a list of possible replacements that sound like the misspelled word.

.topic 750
Creates a backup file of a form template when you first create it, which can protect your work from system failure. This backup file is saved in the same folder as the original file and is denoted by a tilde character (~) in the file name extension.

.topic 724
Controls the order in which you tab to the Next and Previous buttons in the navigation bar.

.topic 720
Controls how repeated dialogs are displayed in the interview outline -- whether HotDocs uses a special icon to show that the dialog is repeated or whether HotDocs uses a regular icon.

.topic 562
Opens a dialog box where you can specify the location of the answer file.

.topic 522
Opens a dialog box where you can specify the location for the new HotDocs library file.

.topic 252
Opens the HotDocs Options dialog box where you can specify several preferences that control how HotDocs works.

.topic 229
Changes the view of the form document during direct-fill assembly, increasing the magnification (or decreasing it when used in combination with the Shift or Ctrl keys).

.topic 102
Displays an outline of the folders, templates, and clause libraries available in the library. These icons are only references to the actual files, similar to desktop shortcuts. Changing the library organization does not change the organization of files on your local disk or network.

.topic 770
Specifies the character that will be used if the field is selected during assembly.

.topic 777
Sets the minimum distance between the left margin and the addendum item.

.topic 794
Specifies how the addendum reference is displayed in a run-on group.

.topic 876
Expands the list of components in Template Manager to include example formats, patterns, and so forth.

.topic 1011
Shows variables that have their values set, but that are also asked later in the interview. This may cause problems because the value specified by the SET instruction will always overwrite users' answers.

.topic 1043
Removes the selected clause from the clause library.

.topic 1070
Causes HotDocs to start each new line of script at the same level of indentation as the preceding line.

.topic 1114
Allows you to specify command-line options for the items whose properties you are changing. Any options you specify here will be applied to all of the items you are changing.

.topic 1251
Instructs HotDocs to use the format you specify here the next time you save a similar file, rather than prompting you to choose a format each time you save the document. For example, if you know you will always save assembled Word documents as RTF, you would select that option at the Save As drop-down button and then select this option. Each Word document you save from this point forward will be saved as RTF.

.topic 1200
Cuts the selected text and saves a copy of it to the Windows Clipboard so you can paste it somewhere else in the document.

.topic 1309
Causes HotDocs to show only basic markup fields when you preview the Word template in the template library. Usually, minimal markup uses only field markers when identifying fields in a template. You can also assign basic font formatting to the fields.

.topic 1297
When provided by the developer, displays comments instead of variable titles or names when marking answer fields in a template.

.topic 739
Displays a warning message when you edit document text and view paragraph marks at the Document Text Editor. (The Document Text Editor adds a paragraph mark to the text you are editing. This mark will be removed when you close the Editor. This means you should not delete or edit the properties of the mark.)

.topic 1172
Moves you to and selects the next section of the document that you can edit. To edit the text, make sure your cursor is in the text and click the Edit Document Text button.

.topic 733
Causes HotDocs to mark (using a different color) sections of the assembled document that can be edited. To edit these sections of text, make sure your cursor is in the text and click the Edit Document Text button.

.topic 953
Lets you save multiple snapshot documents so that you can compare these different versions against the current assembled document. When saving multiple snapshots, the documents will be listed in the Saved snapshot drop-down list at the Comparison tab.

.topic 1098
Places a button in the End of Interview dialog that lets you easily review these options so you can add or remove commands from the dialog.

.topic 884
Allows you to choose a custom color for the template field type selected. To restore default field colors, choose Default at the top of the Palette tab.

.topic 917
Allows you to choose which format HotDocs should use to save the assembled Word RTF document. Your options include DOC, RTF, and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 257
Determines when HotDocs updates the interview. If the button is pressed down, this happens when you move between answer fields. If it is not pressed down, this happens when you navigate to another dialog. This can help speed up how quickly you are able to move through answer fields in the dialog.

.topic 570
Shows a history of when the answer file was used and with which document.

.topic 40
Displays helpful information about the dialog box.

.topic 697
Removes entries for assemblies that have been completed.

.topic 590
Closes the dialog box, ignoring any information you have provided.

.topic 831
Limits how many multiple choice options appear in question and answer summaries. This can help you conserve space within the summary.

.topic 729
Specifies the way HotDocs displays a date -- whether in U.S.-standard or U.K.-standard format.

.topic 711
Controls whether a warning about unanswered questions appears either when you send the document to the word processor, or when you print or save the document.

.topic 680
Specifies the answer file name used for the e-mail attachment.

.topic 544
Closes this dialog box without implementing your changes.

.topic 543
Sorts the items in the currently selected folder.

.topic 237
Displays the next answer-gathering dialog in the interview.

.topic 771
Sets the smallest font size that can be used to resolve answer overflow. When HotDocs reaches this limit, if the answer still doesn't fit in the field, you will have to choose some other way to resolve the overflow.

.topic 1051
Specifies the text for which you are searching in clause titles or descriptions. You can type the text directly in the box, or you can click the drop-down button and select text from a previous search.

.topic 263
When selected (pressed in), causes HotDocs to honor all DEBUG instructions in the template or script you are testing. Each time HotDocs processes a DEBUG instruction, the HotDocs Debugger window will appear. When cleared (not pressed in), HotDocs will ignore DEBUG instructions in your template or script. You can use the Debugger to step through your template or script field by field to discover why the test is producing results you don't expect.

.topic 1123
Requires a password when editing the contents of the document. Specify (and confirm) the password in the boxes below.

.topic 1126
Requires the intended recipient to enter a password when opening the document. Specify (and confirm) the password in the boxes below.

.topic 1150
Lists saved document snapshots you've created. You can retrieve any of these snapshots to compare changes in the most current version of the document.

.topic 886
Selects this component file property in each new template you create. When enabled, users can change their answers while viewing the Document Preview tab of the assembly window. When a user changes an answer, it is updated everywhere else it is used in the document.

.topic 1205
Searches through the document for a specific word or phrase you specify. If the text is found, the text is highlighted.

.topic 1215
Specifies the point size for the text you are editing.

.topic 1224
Decreases the space between the left edge of the document and the text you are editing.

.topic 1154
Highlights any text you can edit in the document. Sometimes you may need to make changes to the text of a document. Changing it at the Document Preview tab lets you save your changes in the answer file so if you ever need to reassemble the document, your changes can be reapplied.

.topic 1270
Shows the file path for the file you are editing.

.topic 1308
Displays the different color schemes for viewing the different types of markup fields in a template. Regular displays the default colors assigned to field types, while Nested assigns different colors to text blocks, depending on the level of insertion. Sequential assigns a unique color to each text block in the template. You can customize the specific colors at the Field Colors page of HotDocs Options.

.topic 1307
Causes HotDocs to mark fields in a marked up template using color. Sometimes color can help you better distinguish between blocks of text and other markup fields. Choose the color scheme by clicking the Color drop-down button. To customize the colors you use, make your changes at the Field Colors page of HotDocs Options.

.topic 936
Specifies the format name for Microsoft Word documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 861
Includes in the list of possible spelling replacements entries that are made up of more than one word.

.topic 122
Displays a Question Summary, which shows a list of questions that are asked in the interview.

.topic 642
Closes this dialog box without saving any changes.

.topic 589
Saves your changes and closes the dialog box.

.topic 555
Closes the Item Properties dialog box, saving any changes you have made.

.topic 552
Shows the title of the library item. The title is used to identify the file in the library, rather than the file name.

.topic 858
Provides a list of possible replacements when misspelled words are found.

.topic 855
Ignores words that also contain digits.

.topic 838
Limits Question Summaries to show only the questions that were actually used in the interview.

.topic 749
Lets you designate a non-default printer for printing your form documents. This allows you to keep your default printer settings for all other documents or projects you print without forcing you to manually choose a different one for forms.

.topic 744
Specifies the magnification level used when you open a form.

.topic 520
Specifies the file path and name of a library.

.topic 246
Prints a copy of the current document.

.topic 223
Copies the selected text and saves it to the Windows Clipboard. You can then paste it elsewhere.

.topic 220
Undoes the most recent change made to an answer.

.topic 27
Adds an item to the library. The Add Item dialog box will appear where you can choose to add a template, folder, or clause library. The new item will be inserted below the currently selected item.

.topic 22
Save any changes you have made to the open template library.

.topic 503
Specifies the title of the item, which appears when you select the item and view its properties. HotDocs suggests a title based on the file name. If the template provider has specified a default title, you can click the Get Title button and that title will be used instead.

.topic 776
Sets the minimum distance between the bottom margin and the addendum item.

.topic 778
Sets the minimum distance between the right margin and the addendum item.

.topic 815
Controls the space on the page that is used for the footer.

.topic 872
Sets the default style for grouping True/False variables, clauses, and grouped child dialogs. The option you specify here will be used in all new dialogs you create. If you need a different style for a specific dialog, you can make the change at the Options tab of that dialog's Dialog Editor.

.topic 1010
Shows variables with the Save in answer file property selected whose values are set to a value. Leaving this option selected will cause HotDocs to prompt users to save the answer file, even if they dont enter any other answers in the interview.

.topic 1052
Displays an outline of the folders and subfolders used to organize the clauses.

.topic 1125
Confirms the password you entered, which is required to edit the document.

.topic 1127
Shows the password you are assigning to this document, which is required to open the document. Make sure you communicate this password to the intended recipient.

.topic 1209
Displays paragraph and other document marks in the document.

.topic 1211
Prints a copy of the edited text.

.topic 1222
Aligns the text with both the left and right edges of the document page.

.topic 1286
Not implemented.

.topic 898
Starts up Word before sending the assembled document to the word processor. This is necessary if the underlying template uses AutoExec or AutoOpen macros. (HotDocs explicitly disables the execution of Auto macros in Word before it sends a document to Word after assembly. Auto macros that run when Word is started by HotDocs interfere with HotDocs' ability to set Word up properly so it can execute PLAY instructions, etc.)

.topic 262
Moves the selected repetition down in the list of answers. You should be aware, however, that if the template provider has assigned sorting options to the list, answers in the assembled document will be listed in that order instead of the order you specify here.

.topic 1071
Causes HotDocs to color-code the various keywords and other syntax items used in a script. You can specify the colors HotDocs uses by making your selection in the list below.

.topic 752
Allows you to choose whether to print PDF-based documents using HotDocs or Adobe Acrobat. You can also choose to be prompted each time you print.

.topic 905
Removes the selected reference path.

.topic 696
Keeps the assembly queue on top of all other windows.

.topic 632
Continues the installation process using the information you have provided.

.topic 610
Imports the library in such a way that you will be able to assemble documents, but not modify the library structure or edit items in the library.

.topic 556
Closes the Item Properties dialog box, ignoring any changes you have made.

.topic 856
Formats the replacement words HotDocs suggests to match the capitalization of the misspelled word.

.topic 721
Specifies how much detail about inserted dialogs will automatically appear in the interview outline. Depending on the complexity of the template, viewing multiple layers of inserted dialogs may make viewing the interview outline difficult.

.topic 683
Cancels the task, ignoring any information you have provided.

.topic 244
Saves the document to disk. The Save As dialog box will appear, allowing you to specify a name and location for the saved file.

.topic 516
Cancels the assembly process. The HotDocs library window appears again.

.topic 515
Continues the assembly process, using the answer file shown in the Answer file to use with this assembly box.

.topic 991
Closes the HotDocs Options dialog box, saving any changes you have made. However, some settings may not take effect until you restart HotDocs, or until you create new components.

.topic 773
Sets the horizontal alignment of the text.

.topic 800
Causes HotDocs to generate an interview for the template based on variables used in the template. If variables are linked to dialogs, HotDocs displays the dialogs. Otherwise, it will display each variable in its own dialog.

.topic 878
Includes a column in the Template Manager component list that shows whether a component is missing from the component file, is not used in the template, or is used in both the template and the component file.

.topic 664
Copies the selected answer file to the Windows Clipboard so you can paste it someplace else in the library.

.topic 1130
Allows the user to print only a low-resolution copy of the document.

.topic 1131
Keeps the user from printing a copy of the document.

.topic 1133
Allows visually impaired recipients access to the document.

.topic 1135
Allows you or the intended recipient to make page-level edits in the document.

.topic 1171
Goes to the next unanswered question in the document.

.topic 264
Sorts columns in a spreadsheet in either ascending or descending order. To sort on a second level, include those search options on the second line of the Sort Spreadsheet dialog.

.topic 1206
Searches through the document for the next instance of a specific word or phrase for which you are looking. If the text is found, the text is highlighted.

.topic 1214
Lets you choose the font for the text you are editing. To choose a font, first select the text you want to change and click the drop-down button and select the font you want.

.topic 1227
Shows the document containing the text you are editing.

.topic 1306
Applies the italic format to text inside a markup field. Using this format may make markup fields more distinguishable.

.topic 1295
Shows the opening marker for editable text blocks. This marker will replace the SPAN instruction in the marked up view of the template. SPAN instructions allow you to edit the text of the assembled document while previewing it at the assembly window.

.topic 1260
Lets you assign colors to the different types of fields in a text template. To assign a color to the field name, click on a field name in the list. To assign a background color (or highlight), click on the background.

.topic 1096
Places a button in the End of Interview dialog that lets you save the assembled document as a PDF document.

.topic 1092
Places a button in the End of Interview dialog that lets you send the assembled document to the word processor.

.topic 1073
Causes HotDocs to insert a tab character in a script when you press the Tab key. (When this option is cleared, pressing Tab will move your cursor to the next field in the dialog box. In order to insert a tab character in the script, you must press Ctrl+T.)

.topic 904
Allows you to add a new reference path to the list of available reference paths.

.topic 903
Allows you to edit an existing reference path by changing the keyword or file path.

.topic 928
Closes the dialog box without saving any changes.

.topic 630
Shows the name of the Start menu folder where a shortcut to the template set will be placed.

.topic 581
Specifies the answer file's name and path.

.topic 910
Allows you to manage your answer files using Windows Explorer, Answer File Manager, or another third-party application. The option you choose depends largely on your project's needs.

.topic 841
Displays the Edit Personal Information dialog box, where you can edit the Personal Information variable name and answer.

.topic 832
Includes a blank space between the column's margin and the prompt, creating a hierarchy of dialog titles and prompts.

.topic 830
Allows you to choose whether the summary will appear in one or two-column format. Your selection determines which options are available below.

.topic 743
Causes HotDocs to display thumbnail images of each page in the form by default whenever you open a form. You can use thumbnails to move between pages in the form.

.topic 601
Shows a description of the library item, such as when it was created, or how it should be used. You can select the item and view the description at the Properties tab.

.topic 222
Cuts the selected text and saves it to the Windows Clipboard. You can then paste the text into another answer field.

.topic 123
Shows a listing of the dialogs in the interview. When you click a dialog icon, HotDocs displays the questions you must answer in the dialog pane.

.topic 37
Publishes the selected files so they can be distributed to others. The Publishing Wizard will appear where you can specify the type of file you'd like to publish.

.topic 507
Closes the dialog box without saving your changes.

.topic 791
Resolves overflow by sending all answers that overflow to the addendum. Users will not be presented with any other options.

.topic 793
Inserts this text into the field when an answer is sent to the addendum. The default reference is "See # in Addendum."

.topic 801
Applies the double-sided printing option to all new forms you create.

.topic 1041
Allows you to create a new clause and add it to the clause library. You can copy existing document or template text into the clause, or you can type the clause text "as you go." If you copy existing template text, make sure you copy any variables used in the template into the clause library's component file.

.topic 1049
Displays the What's This icon, so you can click on specific buttons or options in a dialog box and view a short explanation of its function.

.topic 880
Causes HotDocs to display a warning message before it converts a template to the latest version of HotDocs.

.topic 881
Causes HotDocs to display a warning message when you attempt to move a variable that is linked to one dialog to a new dialog. (Variables can be linked to only one dialog at a time. To share variables between dialogs, you must first clear the Link variables to this dialog option at the Options tab of the Dialog Editor for one of the dialogs.)

.topic 1064
Displays a list of colors from which you can choose. This color will be applied to the item you select in the Item drop-down list.

.topic 719
Controls where all assembly window tabs are placed, either along the top of the window or along the bottom. This includes the Interview tab, the Document tab, and the Summary tabs.

.topic 1113
Allows you to change (or update) the file name extension used in the library reference. You can either type the file name extension in the box, or you can select an existing extension from the drop-down list. Note, however, that changing the file name extension here does not change the extension for the actual file.

.topic 1121
Allows you to assign minimum security options to the document, including disabling the ability to print the document, changing the contents of the document, copying or extracting the contents of the document, and adding or changing comments in the document. While security is less, the document is compatible with versions of Acrobat back to version 3.

.topic 1207
Searches through the document for a specific word or phrase you specify and replaces it with other text you specify.

.topic 1218
Applies the underline font style to the selected text.

.topic 1155
Highlights text in the document you have changed. Sometimes you may need to make changes to the text of a document. Changing it at the Document Preview tab lets you save your changes in the answer file so if you ever need to reassemble the document, your changes can be reapplied.

.topic 783
Causes HotDocs to send only the part of the multi-line answer that overflows to the addendum.

.topic 1292
Shows which character will be used to indicate where a REPEAT instruction begins in a template. REPEAT instructions are used to create lists of answers in a document. If comments indicating the purpose of the REPEAT instruction have been included by the developer, you can choose to merge these comments in the field label as well. They will appear after this character.

.topic 1283
Not implemented.

.topic 738
Moves you to the actual next/previous dialog in the interview. This means that if you are in a child or inserted dialog and you click Next Dialog, HotDocs will close the child dialog and take you to the next dialog in the interview outline, rather than back to the parent dialog.

.topic 952
Lets you browse to designate the file location where document snapshots should be saved. Each time you save a snapshot of a document, the file will be saved to this location and you will be able to access it from the Comparison tab of the assembly window.

.topic 942
Specifies the application ID HotDocs uses when assembling WordPerfect documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 914
Allows you to choose which format HotDocs should use to save answer files. Your options include HotDocs 2009-10 format and HotDocs 2005-2008 format. You can also choose to have HotDocs prompt you for the file format each time you save answer files.

.topic 925
Shows the name of the Personal Information variable you are creating or editing.

.topic 657
Displays the Item Properties dialog box where you can modify information about the item.

.topic 902
Lists the keywords and the file paths used to set up references.

.topic 836
Specifies the type of border that is used to separate the columns in a Question or Answer Summary.

.topic 742
Causes HotDocs to overlay variable names on form fields whenever you open form templates for editing.

.topic 563
Specifies the answer file title. This title identifies the file in Answer File Manager.

.topic 560
Specifies the format for saved answers. You can select the default HotDocs format (.ANS) or XML format (.ANX).

.topic 24
Removes the selected library item or items and saves those items to the Windows Clipboard. (If you select a folder, HotDocs will remove the folder with all of its contents.) You can then paste the items into another part of the current library or into a different library.

.topic 30
Displays the title, file name, and description of a selected library item so you can edit them.

.topic 34
Displays the Answer File Manager where you can organize existing answer files or create an empty answer file to be used in a later assembly.

.topic 824
Displays the Font dialog box, where you can set other font properties for the addendum entries.

.topic 922
Opens a dialog box where you can locate and specify the actual file path used for the reference path.

.topic 717
Specifies a default format for dates that are merged into the assembled document. Enter your own example format using one of the following: June 3, 1990; 3 June 1990; 03 JUN 90; 06/03/90; or 3rd day of June, 1990. (If the template provider has specified a format for a specific date, that format will override the format you choose here.)

.topic 1169
Goes to the previous answer in the document.

.topic 736
Warns you when you are printing a text document from the assembly window that you won't see a Print dialog box (where you can specify custom printing options). If you need to print using non-default settings, you must send the document to the word processor and use the word processor's Print command.

.topic 1212
Lets you preview a copy of the document before you print it.

.topic 266
Displays the name of the variable so if you have questions about a specific question in the interview, you can communicate with the template provider and let them know the name of the variable in question.

.topic 1298
Causes HotDocs to display a Multiple Choice variable's merge text (or possible options) in the markup field, rather than the variable's title or name.

.topic 1296
Shows the closing marker for editable text blocks. This marker will replace the END SPAN instruction in the marked up view of the template.

.topic 1289
Shows which character will be used to indicate an ELSE IF  instruction in a template. (An ELSE IF instruction may merge alternative text in the document if the preceding condition controlling inclusion of the text block isn't true.)

.topic 261
Moves the selected repetition up in the list of answers. You should be aware, however, that if the template provider has assigned sorting options to the list, answers in the assembled document will be listed in that order instead of the order you specify here.

.topic 255
Arranges the assembly window with any template development windows. Adjust the height of the test assembly window and click this button. This allows you to work in both windows simultaneously.

.topic 658
Closes the Select Answer File dialog box and starts the interview using the specified answer file.

.topic 254
Clears the answer from the answer field.

.topic 126
Displays a spreadsheet of variables, prompts, current answers, and variable types. You can sort the spreadsheet by clicking the spreadsheet column headings.

.topic 662
Displays information about the answer file when the Properties tab is selected. Displays a spreadsheet of the variables and current answers when the Contents tab is selected.

.topic 911
Specifies whether documents will be stored using standard Windows dialog boxes or using a document manager.

.topic 834
Includes a blank space between the column's margin and the answer, creating a hierarchy of the prompts and answers.

.topic 730
Controls whether HotDocs will require you to enter a four-digit year when typing a date. If you clear this option, you should specify a Century rollover year, which tells HotDocs how to interpret two-digit years.

.topic 726
Specifies what action takes place when you press the Enter key while the cursor is in a multi-line field.

.topic 725
Specifies what action takes place when users press the Enter key while the cursor is in a single-line field.

.topic 238
Displays the next answer-gathering dialog that has an unanswered variable. (If all variables in upcoming dialogs have been answered, this button is inactive.)

.topic 26
Pastes any library items that have been saved to the Windows Clipboard into the current library. The item or items will be pasted below the currently selected item in the library.

.topic 33
Opens the selected template or clause library so you can edit it.

.topic 790
Resolves all answer overflow by reducing the font size.

.topic 816
Specifies the horizontal alignment of the footer text.

.topic 879
In Template Manager, overlays component icons with a graphic reminder of the component's status.

.topic 1004
Displays helpful information about this dialog box.

.topic 1044
Displays the Clause Editor where you can edit the name, prompt, or text of the selected clause.

.topic 1112
Allows you to assign a pre-defined reference path to items you have selected. (You must have a reference path already defined in HotDocs Options for this option to be available.)

.topic 1122
Allows you to assign more complicated security options to the document. This level of security, however, makes it so the document can't be viewed in any version earlier than Acrobat 5.

.topic 1204
Reapplies the changes you made to the document text.

.topic 1217
Applies the italic font style to the selected text.

.topic 1225
Displays short descriptions of buttons or commands over which you hover your mouse cursor.

.topic 1273
Closes the dialog box without saving the changes you've made.

.topic 1303
Lets you choose whether numbers or letters will be used to mark annotations. The annotation appears in the markup field label. If you apply annotation to the end of text blocks, these annotations can help you pair opening and closing instructions more easily.

.topic 1300
When a developer includes comments in an instruction field, includes those comments in the closing field label for the text block.

.topic 1293
Shows the closing marker for a repeated text block. This character will indicate the end of the list of answers.

.topic 1287
Shows which character will be used to indicate where an IF instruction begins in a template. The character takes the place of the opening instruction. If comments are assigned to the instruction, you can choose to merge them after the character. This can help you better understand the conditions under which the text block will be merged in the document.

.topic 955
Causes HotDocs to display a message box asking users if they'd like to include changes they've made in the document when creating a comparison snapshot.

.topic 937
Specifies the format name for WordPerfect documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 933
Specifies the format name for HotDocs form documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 916
Allows you to choose which format HotDocs should use to save the assembled Word document. Your options include DOC, RTF, and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 882
Causes HotDocs to display a warning message when you attempt to close a Component Editor using the X in the title bar. This warning message tells you that changes you have made will be saved to the component file. If you don't want these changes saved, you should click Cancel.

.topic 1018
Takes you to the specific place in the template or component file that is generating the warning.

.topic 652
Closes the Select Answer File dialog box without specifying an answer file for the assembly.

.topic 531
Deletes items previously saved to the Windows Clipboard, and saves the new items instead.

.topic 862
Specifies the name of your personal dictionary. When a word is not in the spell checker's dictionary, the spell checker looks in UIGNORE.TLX to see if you have added the word.

.topic 852
Ignores capitalized words, such as names, cities, titles, and so on.

.topic 748
Highlights existing text when you tab between answer fields during the interview.

.topic 727
Specifies what happens when HotDocs reformats an answer in an answer field as you are trying to move to a new dialog. It can keep you in the dialog so you can see the change that is made (which requires you to click Next again), pause so that you can see the change and then move to the next dialog, or simply leave the dialog and go to the next one in the interview without showing you any reformatting.

.topic 723
Controls whether the navigation bar appears in the dialog pane. You can use the navigation bar to move between dialogs in the interview.

.topic 521
Specifies the title of the library. This title will appear in the title bar of the library window.

.topic 240
Displays a list of recently used answer files. Click this button to select a different answer file.

.topic 39
Opens the HotDocs Options dialog box where you can specify preferences that control how HotDocs works.

.topic 585
In HotDocs 6, the effect of pattern answer files is achieved using overlay answer files.

.topic 1042
Adds an existing clause to the clause library. You can also use this button to add a folder to the clause library.

.topic 1120
Assigns no security options to the PDF document you are creating.

.topic 1136
Allows the intended recipient to annotate the document.

.topic 732
Selects the option at the HotDocs assembly window that automatically marks text in the assembled document you can edit. This text can include answers as well as paragraph text.

.topic 1165
Moves you to the end of the document.

.topic 1152
Saves a snapshot of the document using the answers you've entered. You can then change answers in the interview and then compare the changed document with the snapshot.

.topic 1252
Closes the dialog box and saves the file using the properties you have defined.

.topic 1272
Closes the dialog box, saving the changes you have made.

.topic 267
Opens the Test Panel, where you can perform several diagnostic tests on the current test assembly.

.topic 1294
Includes markup fields for editable text blocks in the document. (By default, HotDocs hides editable text blocks when in Markup View.)

.topic 1290
Shows which character will be used to indicate an ELSE instruction in a template. An ELSE instruction merges document text if all other preceding conditions are false.

.topic 1284
Shows which character will be used to indicate where an INSERT instruction begins in a template. INSERT instructions merge other documents into the document you are assembling.

.topic 1066
Lets you assign a font size to the selected item.

.topic 951
Assigns colors to deletions and insertions in a comparison document. For example, you can assign one color to strike-through text and assign a different color to underlined text. This can help you better differentiate between the changes.

.topic 105
Shows the number of documents still waiting to be assembled. You can double-click this box and HotDocs will display the assembly queue so you can more easily manage waiting and completed assemblies.

.topic 926
Shows the answer you want assigned to the Personal Information variable. This answer is stored in the system registry. Once given, you will not be prompted to enter it again.

.topic 659
Filters the answer files in the current library based on the text you have typed in the Find box. HotDocs searches both the titles and descriptions for the text.

.topic 554
Specifies a description of the library item, such as when it was created, or how it should be used.

.topic 532
Closes the dialog box without saving any changes.

.topic 901
Displays a dialog box where you can browse and select a new default location for your files. (You can't change the location for program files.)

.topic 728
Specifies the way HotDocs displays a date in an answer field. However, the format that is used when the date is merged into the assembled document depends either on the format assigned by the template provider, or the default date format you assign at the Document Assembly folder.

.topic 568
Closes this dialog box without saving any changes.

.topic 542
Sorts items in the subfolder based on the Sort Order option you selected.

.topic 125
Shows information the template provider may have included to help you answer specific questions.

.topic 124
Displays the dialog pane where you can provide answers to questions or, if you are at the End of Interview dialog, select options for working with the assembled document.

.topic 243
Saves changes to the answer file.

.topic 510
Shows the title of the answer file that will be used for completing the interview. To change which answer file you are using, click either the Select Answer File button or the New Answer File button.

.topic 239
Displays the HotDocs library window.

.topic 500
Displays the type of library item you want to add.

.topic 992
Closes the HotDocs Options dialog box, ignoring any changes you have made.

.topic 762
Ensures that answers in multi-line fields are aligned with the top border of the field.

.topic 796
Sets the distance between the addendum label and the actual answer.

.topic 921
Specifies the file path used with a reference path.

.topic 1001
Removes references to each template you have selected from the library.

.topic 1002
Leaves the current reference to the item in the library  it does not delete it.

.topic 1030
Shows the name of the current variable, its type, and the name of the variable to which you want to link. When mapping variables for an answer source, variable types must match, for example, a Text variable must map to another Text variable. The Variable name column lists variables in the current dialog. The Map to column shows either the names of variables used in the answer source (if you're mapping to an answer source file), or the names of other variables in the template (if you're mapping to the CURRENT ANSWER FILE).

.topic 1016
Shows a list of warnings that HotDocs generated, based on the selections you have made below. You can select an item in this list, click the Go to Warning button, and HotDocs will take you to the place in the template or component file that is generating the error.

.topic 586
In HotDocs 6, you don't need to specify the answer file type (.ANX) when you add it to the answer library.

.topic 1061
Displays the different elements in the assembly window which you can customize. You can click one of these elements and HotDocs will automatically select it in the Item list so that you can assign the property.

.topic 1075
Lists all the different elements you can use in a script. You can select one of these elements and assign a specific color or format to it.

.topic 663
Removes (or cuts) the selected answer file to the Windows Clipboard so you can paste it someplace else in the library.

.topic 1157
Displays the Document tab and shows you the first place in the document where the answer is used. (To view the next instance of the answer, either press Ctrl+M or press Shift as you click the Next button.)

.topic 1159
Displays the saved document snapshot and the current document in a single pane, rather than in two panes. Text in the snapshot that has changed is crossed out, while the new text is added to the current document and underlined.

.topic 887
Sets this component file property for all new templates you create. Specifically, where an answer is merged in the document, HotDocs marks the field with special markers, which allow users to highlight the answers at the Document Preview tab, move between the answers in the document using the Document Navigation Bar, and move between the answer in the document and the question in the interview. Additionally, if you enable answer editing, users can edit their marked answers.

.topic 1202
Pastes the text saved to the Windows Clipboard at the current cursor position in the document.

.topic 1219
Aligns the text with the left edge of the document page.

.topic 889
Sets a property at the Dialog Element Editor that automatically generates the name for the dialog element for you. The name that is generated is comprised of the type of element you are creating, as well as custom information you enter about the element.

.topic 1320
Removes the requirement that component names in model documents not contain spaces or other special characters. (Names should only contain letters, numbers, and underscores.) If names in your automation contain these non-standard characters, selecting this option will cause HotDocs to display error messages when you either assemble a model document, or when you convert a model document to template format.

.topic 960
Causes HotDocs to check for template set updates each time you start HotDocs. When there is an update, HotDocs notifies you that it is available for download.

.topic 961
Displays a window that shows the progress HotDocs makes in installing template set updates.

.topic 962
Lists the template sets for which automatic updates may be available.

.topic 788
Lets you send assembled PDF-based forms to Adobe Acrobat rather than HotDocs Filler.

.topic 907
Allows you to choose which format HotDocs should use to save fillable PDF documents. Your options include HPD, static PDF, and fillable PDF. You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 1104
Places a button in the End of Interview dialog that lets you send the assembled document to Adobe Acrobat.


.topic 20032
Test assembles a form document from the template.

.topic 20025
Changes the font for the selected field or fields.

.topic 20024
Undoes the last change you made to fields in the form. (You cannot undo changes made to HotDocs components (variables, dialogs, and so forth) or to answers in an assembled form document.)

.topic 20049
Prints the template.

.topic 20044
Moves to the page just after the current page in the form.

.topic 20035
In a HotDocs form template, activates the Select Text and Fields Tool, which allows you to either select a field or select static text in the form. You can select text, copy it, and then paste the text wherever you need it -- for example, in a variable's Prompt or Variable name box.

.topic 20022
Saves the current form. If the form has never been saved, HotDocs will ask for the path and file name to use.

.topic 20040
Shows or hides the field backgrounds.

.topic 20038
Displays the entire width of the current form page in the window.

.topic 20050
Opens the HotDocs library (if it's not already open) and brings it to the front.

.topic 20033
Allows you to enter information in the field, such as an answer.

.topic 20042
Shows or hides a thumbnail view of each page in the form at the left of the window.

.topic 20031
Displays Component Manager, which you use to work with variables, dialogs, clauses, and other HotDocs components.

.topic 20028
Displays the Align dialog box where you can align the selected field or fields.

.topic 20026
Changes the properties for the selected field or fields.

.topic 20048
Reapplies any changes you have made to the template.

.topic 20045
Displays helpful information about the dialog box.

.topic 20037
Activates the Zoom Tool, allowing you to increase or decrease magnification of the template.

.topic 20043
Moves to the page just before the current page in the form.

.topic 20039
Displays the entire length of the current form page in the window.

.topic 20020
Creates a new form template file. (The new file won't contain any static text.)

.topic 20041
Shows or hides the variable names in the fields.

.topic 20023
Prints a copy of the form.

.topic 20036
Makes the Scroll Tool the current cursor. Use the cursor to grab the current form page and drag it around the window.

.topic 20029
Creates a new variable and attaches it to the selected field.

.topic 20034
Activates the Select Tool. This button allows you to select an existing field so that you can move it, resize it, or edit its properties (including the variable properties).

.topic 20030
Opens the Dialog Editor where you can create a dialog. When you click OK, it attaches an ASK instruction to the selected field.

.topic 20027
Detects the borders of the field that contains the cursor and creates the field if it doesn't already exist. If a field is selected, its borders are redetected.

.topic 20047
Opens the Component Editor for the field that is currently selected.

.topic 20051
Opens the HotDocs Options dialog box where you can specify several preferences that control how HotDocs works.

.topic 20021
Opens a form template file for editing, or opens a saved form document for printing or editing.


.topic 11432
If selected, indicates that the link will be displayed in the dialog whenever the template is assembled using HotDocs Server. If you don't want the link to appear in HotDocs Server, clear this option.

.topic 11415
Shows the text that will be used for the Script link. For example, it may contain instructions for clicking the link or it may describe what will happen if the user clicks the link.

.topic 10553
Shows the text you want to use for the entire repeated series. Specifying a repeated series label lets you customize the titles used for each individual repetition in the dialog.

.topic 11214
Closes the dialog box without applying any of the labeling options you may have selected.

.topic 11212
Causes HotDocs to apply the word processor's hidden text property to field comments and labels. When you click OK, everything in the comment field will be hidden. To view the comments again, you can either clear this option, or you can use the word processor's command for showing/hiding hidden text.

.topic 11080
Indents matching pairs of IF and REPEAT instructions, based on the level of their insertion.

.topic 11004
Prevents the interview outline from appearing during assembly, but still shows answer-gathering dialogs.

.topic 10927
Closes the dialog box without saving any changes.

.topic 10597
Displays the resource directly in the resource pane.

.topic 10153
Specifies the folder in which the library shortcut will be installed. If you leave this box empty, the shortcut will be installed in the HotDocs folder. If you select Prompt for which folder should contain the shortcut, the folder name you specify will be suggested, but the user can still select a different one.

.topic 10150
Creates an auto-install file that will create the template library on the user's computer and point the items in the library to templates on a CD. Templates and their associated files must be saved in the first-level folder on a CD, and must use the same name as the library base file name (including the first three letters, PUB).

.topic 10143
Installs the files in the template set as read-only.

.topic 10163
Verifies the password that allows you to register templates.

.topic 10170
Specifies the title you want for the auto-assemble (.HDA) or auto-install (.HDI) file.

.topic 10112
Lets you publish templates created in HotDocs 2009 and later so that they can be used with HotDocs 2006-2008. When you select this option, HotDocs changes the component file format to HotDocs 2006-2008.

.topic 10536
Shows a list of all instruction models you can use when scripting. Instruction models perform some kind of action in the script. They contain placeholders, which must be replaced with values, variables (so that the user can provide the value), or other models. To view specific information about each instruction, highlight the instruction in the list and press Ctrl+F1.

.topic 10214
Tells HotDocs to add the resource button label text to all selected component files when you click OK.

.topic 10248
Closes the dialog box without saving any changes.

.topic 10512
Causes HotDocs to save the answer in the answer file. If the answer should not be saved, for example, because it is an answer assigned by a SET instruction, clear this option.

.topic 10513
Controls the number of characters that must be merged with the answer into the assembled document.

.topic 10601
Limits the number of characters the user can type for an answer.

.topic 10711
When cleared, allows you to assign field-specific properties to this variable field. (Field-specific properties apply to only the current instance of the variable, while default field properties apply to all instances of the variable.)

.topic 10577
Adds a check box to a list of Multiple Choice options. Depending on the selection options, this will either be a None of the Above option or an Other option.

.topic 10547
Specifies the number of characters allowed in a prompt before the prompt either wraps to the next line (Left alignment) or moves above the answer field (Automatic alignment).

.topic 10712
Displays a list of Multiple Choice options with their accompanying prompts and merge text. You can assign field-specific merge text at this dialog box. To edit the options and prompts, you must click the Edit Component button and make your changes there.

.topic 10846
Closes the dialog box without saving any changes.

.topic 10890
Shows the name of the merge text group. You can use the existing name, or assign a new one. (By default, HotDocs names merge text groups using the options specified.)

.topic 10901
Creates a new True/False variable.

.topic 10921
Creates a new Number variable.

.topic 10952
Creates or edits a Date variable. To create a Date variable, type a variable name in the Component box and click New. To edit an existing Date variable, select it from Component drop-down list and click Edit.

.topic 10541
Adds a None of the Above option to the list of grouped True/False variables. This allows the user to answer the question without choosing one of the options you have provided.

.topic 10640
Defines the type of connection you want to use for a database component. If you choose a simple connection, HotDocs will build the connection string for you based on the options you select when you specify the OLE DB provider. If you choose a user-defined connection, you must specify all the information yourself in the Connection string box.

.topic 10642
Shows the information contained in the connection string, including the OLE DB provider, the file name and location of the database file, and the user name and password required to access data in the database.

.topic 10650
Displays the custom command you use to query the database for its fields.

.topic 10684
Defines the comparison that must exist between the database field and the value to the right of this field.

.topic 11041
Shows the word or phrase in the new variable name you want to replace. (For example, if you want to duplicate the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender to create Defendant Name, Defendant Address and Defendant Gender, you can type Plaintiff in this box, and then type Defendant in the next box.)

.topic 11063
Causes only the instances of the text found in the currently selected script to be replaced. (For this option to be available, you must manually select (highlight) a section of the script before you click the Find and Replace button.)

.topic 11170
Creates a new template library (using the file name specified below) and adds all the generated templates to it. Both the templates and the library file will be saved to the generated templates folder you specified at the Specify Template Folder window of this wizard.

.topic 11110
Instructs HotDocs to continue processing the interview until it either finds another explicit DEBUG instruction (which will cause the Debugger to appear again) or it finishes processing.

.topic 11118
Shows a list of variables referenced in the field or script you are debugging, as well as any answers for the variables.

.topic 10724
Forces users' answers to stay on a single line in the assembled document. Non-breaking spaces and hyphens can be applied to existing formats or to default formats. Either select the format from the drop-down list or leave the Format drop-down list empty (which assigns the default format) and then select this check box.

.topic 11236
Closes the dialog box without renaming any of the components.

.topic 11247
Removes any property codes (such as paragraph formatting, character formatting, etc.) that may be left in the assembled document after the section of text to which the property was applied has been removed via IF instructions. Removing these property codes can decrease the size of the assembled document.

.topic 11251
Removes any comments added to the template once the document is assembled and sent to the word processor.

.topic 11404
Allows you to place a link on the dialog that, when clicked, executes a computation script. This may be useful if you want users to perform a computation or other type of command and have the result immediately take effect.

.topic 11424
Displays the dialog element text in all representations of the dialog.

.topic 10566
Lets you create and drag a component to the dialog's Contents list. To do this, click on an icon and drag it to list. When you release the mouse button, the component editor opens where you can specify the new component's properties.

.topic 10847
Prints a copy of just the components listed in the Component list.

.topic 10997
Checks the spelling of the components you have selected (highlighted) in the component list.

.topic 10225
Deprecated

.topic 11414
Lets you create or edit the Computation variable you want to launch from the dialog. When the user clicks the link in the dialog, the computation will be executed.

.topic 10281
If selected, applies the specific property to the component file.

.topic 11172
Overwrites an existing library file with the one created during template set generation.

.topic 11166
Overwrites any existing template and component files with those created during template set generation.

.topic 11164
Shows the name of the MS Access database you are using to generate templates from marked up documents. To select a file, click the Browse button next to the file name box.

.topic 10329
Brings all open component editors to the front.

.topic 11031
Specifies an existing clause you want to add to the current clause library.

.topic 11019
Closes the Properties dialog box without saving any changes.

.topic 11009
Specifies the text displayed when the user hovers the mouse over a resource button.

.topic 11007
Positions the cursor at the "TypeHere" bookmark when the assembled document is sent to the word processor.

.topic 11005
Creates generic dialog titles (based on dialog contents) for dialogs that don't already have a title specified.

.topic 10979
Displays more alternatives to the word in the Not in Dictionary box. A deeper search takes longer but produces better possible replacements. If this button is not available, HotDocs is searching at the deepest level.

.topic 10720
Saves the component properties without closing the component editor.

.topic 10760
Allows you to specify a clause for insertion into the assembled document.

.topic 10120
Shows the files that will be included in the published files, including any bitmap files you use for a custom splash screen, or files users will need to access variable resources.

.topic 10117
Closes the dialog box and saves the information.

.topic 10110
Displays the Web Destination dialog box, where you can browse the Internet and select the URL for uploading your published files.

.topic 10100
Publishes the selected templates as standard template files. The template and component files will be copied to the same folder and protected with any protection options you select.

.topic 10504
Shows the string of text for which you are searching. If a variable name contains the text string, it will be displayed in the list.

.topic 10327
Shows and hides a second component list. When you show the second component list, you can open another component file and copy components between the two files.

.topic 10733
Displays the Dialog Editor so you can make changes to the dialog you are asking. If you have the HotDocs Database Connection installed, it displays the Database Editor, which allows you to edit the properties of the database component you are asking.

.topic 10211
Specifies the default product title that will be assigned to every selected component file.

.topic 10218
Tells HotDocs to specify the type of online interview you have selected in all selected component files when you click OK.

.topic 10241
Copies the component(s) from the selected file and closes the dialog box.

.topic 10510
Makes sure the variable is asked during the interview. If this option is cleared, the variable will not be asked unless an ASK instruction specifically calls for the variable.

.topic 10617
Closes the Component Editor, saving any changes you have made.

.topic 10703
Allows you to create a True/False variable.

.topic 10710
Formats the user's answer based on the example format you select. This format will be applied to this specific instance of the variable only.

.topic 10749
Displays a dialog box where you can create a new variable.

.topic 10532
Controls what components are shown in the component list.

.topic 10549
Displays a dialog box where you can select a file to be used as an answer source for this dialog. Usually, this is an answer file, but if you are integrating HotDocs with a third-party application using the API, it can be a special .DLL file.

.topic 10575
Displays the list of options so that the user can either select one answer or multiple answers.

.topic 10782
Specifies the dialog you want repeated. If you have the HotDocs Database Connection installed, it specifies the database component you want repeated. Often, you repeat dialogs (or database components) so you can merge a list of answers, rather than a single answer.

.topic 10785
Specifies a variable in the dialog that will be used for sorting the list of answers.

.topic 10623
Allows you to provide longer selections of merge text for a Multiple Choice variable.

.topic 10821
Replaces only those instances of the text that are capitalized the same as the text in the Find What box.

.topic 10822
Excludes instances where the text in the Find What box occurs as part of another word.

.topic 10841
Prints any assigned variable prompts, dialog titles, and dialog element text.

.topic 10892
Closes the dialog box and saves any changes you have made to the merge text.

.topic 10922
Creates a new Date variable.

.topic 10940
Specifies the file name and folder path of the template's actual component file -- or the component file that was created when the template was created.

.topic 11071
Specifies the character position in the script where you want the cursor to move to. Each character, including space characters between script items, is counted.

.topic 11082
Reapplies any changes you have made to the script.

.topic 11093
Removes any commenting that has been applied to the selected script. Once the script is uncommented, HotDocs will attempt to process it.

.topic 10679
Updates answers retrieved from a database so they are current when they are merged into an assembled document. This allows data in a table to be updated without the user having to manually re-select the record or do something else that causes HotDocs to update the connection. When this option is cleared, linked answers will only be updated when the user makes some change to the database table -- for example adding, removing, or moving a selected row.

.topic 11061
Searches the selected portion of the script and replaces any found instances with the suggested replacement. Ignores any found instances that are not in the selected text.

.topic 11122
Shows the list of all variables in the current component file.

.topic 10298
Tells HotDocs to set the component file property that will enable users to use Instant Update in a browser-based interview.

.topic 11230
Lists the components you have selected in the Existing Component Names column. These are the components you want to rename. Also lists the new component names in the New Component Names column. You must change these components' names, either by entering each new name or by "batch" replacing existing words or phrases in the component name with the new words. You do this by using the options below. The check-box column indicates which variables will be renamed. The Type column identifies what type of component it is.

.topic 11241
Shows the name of the component that will be used to generate the custom interview. This component should contain the script that asks all of the variables and instructions used in the template.

.topic 11242
Causes HotDocs to generate the interview for the template based on the order in which variables and instructions are asked in the template.

.topic 11406
Allows you to place a link on the dialog that, when clicked, opens a Web page.

.topic 11425
Displays the dialog element text only when the dialog is shown as a spreadsheet. (If the user clicks Edit Row while editing a specific row of a spreadsheet, the text will not appear in the pop-up interview.)

.topic 11269
Removes any bookmarks HotDocs merges when marking editable text in the assembled document.

.topic 11438
Shows how much a line of spacing takes in a dialog, relative to the font height. For example, if you enter 100%, the space will be the same height as the text. If you enter a number higher than this, then the space height will be larger than the font height.

.topic 10810
Searches through just the list of components that are showing in the Component Manager list for the specified text string.

.topic 11608
Shows a list of warnings that HotDocs generated, based on the selections you have made below. You can select an item in this list, click the Go to Warning button, and HotDocs will take you to the place in the template or component file that is generating the error.

.topic 11612
Shows variables that have their values set, but that are also asked later in the interview. This may cause problems because the value specified by the SET instruction will always overwrite users' answers.

.topic 11618
Resets all of the counts to zero. This lets you clear the data so you can perhaps perform a more close analysis of scripting without having to work with existing data.

.topic 10220
Deprecated

.topic 11427
Displays the link as a button on the dialog.

.topic 11223
Closes the SPAN Field dialog box without creating the Span component or inserting the SPAN field in the template.

.topic 11175
Adds the new templates to the currently open library.

.topic 11205
Shows the list of files that contain references to the file you are renaming. Template Manager will update these references so that the files will continue to work correctly.

.topic 11018
Closes the dialog box and saves any changes you have made to the component file properties.

.topic 11016
Specifies the user-friendly name of the URL to which you are uploading answers. This will be the destination if users are prompted to upload their answers after an assembly.

.topic 11000
Specifies a default template title. The title appears in the library when you select the template and view the Properties tab.

.topic 10191
Specifies the name of the new template. If the template is stored somewhere other than the default template folder, it also shows the file path.

.topic 10167
Shows the password that users must type before they can assemble from an auto-assemble file or install from an auto-install file.

.topic 10104
Compresses and publishes multiple templates, related files, and HotDocs library as an auto-install (HDI) file. When HotDocs is passed an auto-install file and the library already exists in the library folder, HotDocs either updates the existing content or creates new library entries with the contents of the .HDI.

.topic 10101
Compresses and publishes the selected template or templates as individual auto-assemble (HDA) files. When HotDocs is passed an auto-assemble file, it "unpacks" all the files and starts assembling. When it finishes, HotDocs deletes the files.

.topic 10326
Formats the variables you insert into a template from Component Manager.

.topic 10245
Lists component files into which the copied components may be pasted. Select the files you want to copy the component(s) into and click Paste.

.topic 10261
Maximizes the file list to show all template and clause library files, as well as their related component files, inserted templates, and clause template files.

.topic 10140
Shows the title you want for the library that is included in the auto-install (.HDI) file. The title appears as the top folder of the library.

.topic 10300
Places the Component Manager window to the left of either the library window, Automator window, or word processor window. This way, you can work in both windows simultaneously.

.topic 10502
Specifies text to help users understand what kind of answer is expected. If no prompt text is given, the variable name will be used instead.

.topic 10705
Allows you to create a Computation variable. Click the Edit Component button to specify a computation script.

.topic 10576
Controls how HotDocs displays Multiple Choice options. The style you select depends on whether users can select one or several options.

.topic 10787
Specifies a variable in the dialog that will be used for organizing a sublist of answers.

.topic 10789
Specifies the Computation variable used to filter answers from a list. Only answers that match the criteria of this computation are merged into the document.

.topic 10780
Allows you to select a dialog that you want repeated. This allows the user to merge a list of answers into the assembled document, rather than just a single answer.

.topic 10730
Allows you to insert an ASK instruction that displays a specific dialog.

.topic 10809
Closes the dialog box without saving any changes.

.topic 10827
Searches variable and dialog plain-text resources and replaces the text string with the text you specify.

.topic 10851
Allows you to view the properties of the component you want to copy into the current component file. This can help you identify differences between the component you are copying and the component that already exists.

.topic 10877
Closes the dialog box without saving any changes.

.topic 10885
Replaces the current selection of template text with the variable and searches for the next instance.

.topic 10900
Creates a new Text Variable.

.topic 10904
Creates a new Multiple Choice variable.

.topic 10655
Contains the text string for which you are searching in the list of variables.

.topic 10685
Lists the possible values to which the database field can be compared. A database record will only be included if the comparison results in a true value.

.topic 11052
Searches for instances of the text that match identically the word you entered in the Find What box.

.topic 11088
Searches for a specific word or text string and replaces it with word or text string you specify.

.topic 11111
Causes the HotDocs Debugger to close and returns you to the test assembly window. Also causes HotDocs to disable the Debugger. To enable it again, click the Enable Debugging button.

.topic 11028
When the template is used with HotDocs Server, causes the interview to include an interview outline when it's first presented. Interview outlines can help the user better navigate through the question-answering process.

.topic 10291
Specifies whether the user can show or hide the interview outline in a Web-based interview.

.topic 11257
When the assembled document is sent to Microsoft Word, removes any text entered in the Manager box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11264
When the assembled document is sent to Microsoft Word, removes any custom properties defined at the Custom tab of the document's Properties dialog box. Removing these properties may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11401
Allows you to include additional information on the dialog to help the user answer the questions correctly.

.topic 11426
Displays the dialog element text only when the user clicks the Edit Row button at a spreadsheet and the dialog appears in the pop-up interview. The text will not appear when viewing the spreadsheet.

.topic 11429
When displaying the link as a hyperlink, allows you to use text for the hyperlink. Specify the text at the Properties tab.

.topic 10996
Checks the spelling of just the components listed in the Components list.

.topic 11271
When the template is used with HotDocs Server, groups all of the dialogs in the interview together so they appear as one collective group. (Otherwise, the dialogs appear individually, as they do in desktop HotDocs.)

.topic 11610
Displays helpful information about the dialog you are viewing.

.topic 11613
Shows variables that are asked more than once in an interview. If your automation causes a variable to be asked more than once in the interview and the user enters different answers for each variable, whatever answer the user enters last will be used all places the variable is merged.

.topic 11428
Displays the link as hyperlink text on the dialog.

.topic 11416
Shows the full path and file name of the executable file you want to run from the dialog.

.topic 11408
Shows the text you want to add to the dialog. Usually, this text provides additional information about the questions in the dialog.

.topic 11232
Shows the new word or phrase in the component name you want to replace. (For example, if you want to rename the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender to Client Name, Client Address, and Client Gender, you can type Plaintiff in the Replace box, and then type Client in this box.)

.topic 10507
Shows an alternate name for the component. Sometimes you use component names that are useful for you during template development, but are not useful for users during an interview. For example, maybe you name your components with some type of notation, like Client name TE. To a user, this name, if seen in an interview, may not make much sense. Here, a title (like Client's Name) can be used in place of the component name.

.topic 11213
Closes this dialog box and applies the labeling options you have specified.

.topic 10332
Allows you to sort the list of components either alphabetically by name or by component type.

.topic 10977
Replaces all instances of the word with the word in the Change to box.

.topic 10971
Shows the word the spelling checker could not recognize.

.topic 10134
Displays the text you want to add to the default expiration message. By default, when a user attempts to use a template that is either going to expire or has already expired, HotDocs automatically displays a warning message that gives these details, including the expiration date. You can include additional information that will appear in this message box -- for example, contact information for obtaining an updated template or template set.

.topic 10768
Specifies the clause library or template to be inserted in this template.

.topic 10766
Displays the Component Editor, where you can change the properties of the selected component.

.topic 10162
Allows you to distribute published template sets with HotDocs Player. (You must have a special license to use this option. Please contact your HotDocs sales representative for more information.)

.topic 10734
Closes the dialog box and inserts the ASK instruction into the template.

.topic 10272
Shows the component list. This includes all components associated with the files in the file list. This list shows important information about the components, such as component type and status (which indicates how the component is used). Selecting files in the file list will cause Template Manager to display red arrows next to the components that are used in that particular file. Likewise, selecting a component will cause Template Manager to display red arrows next to the files that use the component. This helps you determine relationships between components and files.

.topic 10215
Specifies the resource button tooltip text that will be assigned to every selected component file.

.topic 10224
Tells HotDocs to specify this page icon property in all selected component files when you click OK.

.topic 10246
Displays a warning when components to be pasted will overwrite existing components.

.topic 10263
Displays the Component File Properties dialog box where you can specify properties that can be applied to all the files you have selected.

.topic 10500
Specifies the name of the component.

.topic 10592
Shows the text you want displayed when the user views the resource pane during assembly.

.topic 10600
Suggests a pattern for users when they enter answers for this variable. HotDocs provides a telephone number pattern, a Social Security number pattern, and time of day patterns. You can also create your own pattern by typing one in the box. (See the HotDocs Helps for a list of pattern codes you should use.)

.topic 10742
Allows you to create a conditional expression that will merge text into the document if the preceding expression is false, but the current expression is true.

.topic 10750
Lists the components used in the current component file.

.topic 10572
Displays a spreadsheet of multiple-choice options, prompts and merge text. If you need more room to specify any of this information, click the Options tab.

.topic 10731
Allows you to insert an ASK instruction that displays a database table from which the user can select one or more records.

.topic 10840
Prints the component types of the selected component.

.topic 10876
Closes the dialog box and attaches the wizard to the field.

.topic 10909
Closes the dialog box and displays the Component Editor for the type of component you are creating.

.topic 10959
Specifies the name of the component you are either creating or editing.

.topic 10232
Allows you to specify whether the online interview will appear in multiple pages or one continuous page. If you select Multi-page, HotDocs will present each dialog in its own page.

.topic 10641
Defines the properties of the connection HotDocs has to the database. ADO connections require you to specify an OLE DB provider while Microsoft Data Link connections require the connection information to be stored in a separate file. Finally, an ODBC connection requires you to specify an OLE DB provider for ODBC. (ODBC connections require you to create and use a data source for your database application.)

.topic 10645
Allows you to browse for the Microsoft Data Link file that contains the connection information HotDocs needs to link to the database.

.topic 10676
Specifies the user name required to access the data in the database.

.topic 11042
Shows the new word or phrase in the new variable name you want to use. (For example, if you want to duplicate the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender to create Defendant Name, Defendant Address and Defendant Gender, you can type Plaintiff in the Replace box, and then type Defendant in this box.)

.topic 11045
Closes the dialog box and creates the new variables based on the information you have provided.

.topic 11092
Causes the selected text to become inactive, meaning HotDocs won't process it when it processes the computation. Often, template developers "comment out" scripting if they need to close the scripting dialog box but HotDocs won't let them because the script is invalid. Additionally, developers often add personal explanations to the scripts they are writing, and commenting them out keeps the computation operational.

.topic 11112
Causes the Debugger to step into the current field or line of script to show how HotDocs has processed it using the answers you have provided.

.topic 10288
Tells HotDocs to set the component file property that will display the interview outline when a browser-based interview is first displayed.

.topic 10565
Limits the number of spreadsheet rows that are viewable in the dialog pane.

.topic 11273
Causes HotDocs to ask only those variables and dialogs in the interview that are relevant. If a variable isn't needed by the document, it will either be grayed or hidden, depending on the 'When irrelevant' property.

.topic 11419
Shows the Web address of the page you want users to link to from the dialog.

.topic 10911
Creates a new Span component. Span components let you mark text in the template that can be edited by the user once the document has been assembled.

.topic 11156
Opens the Browse window so you can specify the folder you want to work in.

.topic 11033
Shows the description you want for the clause or folder. The description appears at the Properties tab of the clause library window when the item is selected. Descriptions are optional.

.topic 10970
Shows the word the spelling checker could not recognize. You can look at the prompt just above this box and see where the misspelled word was found.

.topic 10764
Presents the clause as a yes/no question, allowing the user to choose whether to insert the clause in the assembled document.

.topic 10762
Allows you to select a template for insertion into the template. Both templates will be assembled in the same interview and will produce a single document.

.topic 10184
Displays helpful information about the dialog box.

.topic 10324
Shows the text of the component for which you are searching.

.topic 10323
Searches the names of components and identifies those that contain the same text you typed in the Find text box.

.topic 10312
Checks text used in components (such as prompts) for accurate spelling.

.topic 10217
Tells HotDocs to set the online compatibility option for every component file selected when you click OK.

.topic 10251
Lists the component files in which the component will be renamed.

.topic 10262
Minimizes the list to show only templates and clause libraries. Doing this hides any related files, such as component files, inserted templates, or clause files.

.topic 10267
Removes the selected component from the corresponding component file(s). If you remove a component that is still referenced in the template, you will create an unresolved reference. You will not be able to assemble a document from that template. (You should only delete components whose statuses are Unused.)

.topic 10301
Saves any changes you have made while working with Component Manager. (To save changes made in the template, click the Save Template button in template window.)

.topic 10702
Allows you to create a Date variable.

.topic 10708
Specifies the name of the variable. This name can have up to 50 alphanumeric characters, but must begin with a letter character. You can type a new name, or select an existing variable from the drop-down list.

.topic 10715
Specifies the character added to an answer when it is merged into the assembled document. Fill characters are added until the field width setting is reached.

.topic 10535
Lists the operators you can drag into the Script box. Operators help you compare relationships between items in your script. They also allow you to add or subtract values.

.topic 10155
Specifies the folder path and file name of the icon file you want to be used for the icon. If you don't specify an icon, a generic HotDocs icon will be used.

.topic 10804
Searches for the text in literal text strings (which are used in computation and dialog scripts).

.topic 10882
Shows the name of the variable which will replace text in the template.

.topic 10933
Closes the dialog box without saving any changes.

.topic 10233
Allows users to control whether they see the interview in a single page or multiple pages. If you want to let them choose, select Show. If you want to control how the user views the interview, select Hide. This hides the presentation button in the online interview.

.topic 11020
Prevents HotDocs from infinitely processing a WHILE instruction, which will cause HotDocs to stop responding. This number represents the number of times HotDocs will loop through an instruction before stopping.

.topic 10509
Specifies how wide a spreadsheet column should be, based on the minimum number of units you enter here. HotDocs will always use this number as its basis and then adjust the size of the column wider, depending on the size of the prompt in the column heading and the available space in the dialog pane.

.topic 11066
Replaces all instances of found text with the text you have specified in the Replace With box. If you select this option, HotDocs will not warn you before it makes the replacement.

.topic 11090
Indents the selected text.

.topic 11091
Realigns the indented text with the left margin of the scripting box. (If the text has been indented more than once, realigns the text with the previous tab stop.)

.topic 11125
Adds the variable to the list of variables whose answers the Debugger should track.

.topic 11027
When the template is used with HotDocs Server, turns Instant Update on. (Instant Update controls how frequently the interview updates as users answer questions in it. Depending on the complexity of the template, this updating can cause a delay for the user. When Instant Update is turned off, the interview is updated only as much as it needs to be.)

.topic 10284
Tells HotDocs to set the component file property that will assign the Max WHILE iterations specified in the next box.

.topic 10285
Specifies how many times a WHILE instruction will be repeated before it stops.

.topic 10289
Specifies whether the interview outline will be showing initially in a web-based interview.

.topic 10292
Tells HotDocs to set the component file property that will display the resource pane when a browser-based interview is first displayed.

.topic 11234
Displays helpful information about the dialog box.

.topic 11261
When the assembled document is sent to Microsoft Word, removes any text entered in the Comments box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11439
Lets you enter the height percentage you want for spacing.

.topic 11420
Opens a Web browser window so you can test or find the URL for the Web page you want to link to from the dialog.

.topic 11012
Marks merge fields with bookmarks in both the Document Preview tab and in the word processor document. These bookmarks are useful because users can click the Highlight Answers button in the assembly window and answers will be highlighted with a special color. Users can then edit the answer (if Enable Edit Answer at Document Preview tab is selected) as well as move between the field in the document and the answer field in the interview.

.topic 11200
Shows the name you want to assign to the template and any of its dependent files.

.topic 11011
Enables the template to be used with HotDocs Server. This includes checking the template for any features that will not work when used in a browser-based interview or server-based assembly. Selecting this option also allows you to test the template in a Web browser.

.topic 10229
Tells HotDocs to set all selected component files to use the specified placeholder. This takes effect when you click OK.

.topic 10990
Checks the spelling of dialog titles and element text, as well as variable prompts and multiple-choice options.

.topic 10108
Locates a published settings (.HDP) file you have saved previously. You can browse through a list of files to find the file that contains the setting you want to use.

.topic 10531
Automatically indents matching pairs of IF/END IF and REPEAT/END REPEAT instructions.

.topic 10325
Shows the text of the component for which you are searching.

.topic 10318
Controls which type of components are shown in the component list.

.topic 10306
Creates a new component, such as a variable, clause, or dialog.

.topic 10741
Allows you to create a conditional instruction that will merge text into the document if the preceding instruction is false, but the current instruction is true.

.topic 10747
Displays the area in which you can create the expression. You can use your mouse to drag variables, operators, and models from the lists below to this box, or you can press Ctrl+Space to have HotDocs display these lists directly in the script so you can use the keyboard to choose the syntax item you need.

.topic 10748
Specifies the type of component shown in the component list. You can filter this list by clicking the drop-down button and selecting a more-specific component type.

.topic 10752
Shows the string of text for which you are searching. If a variable name contains the text string, it will be displayed in the list.

.topic 10756
Closes the dialog box without inserting an IF instruction into the template.

.topic 10533
Displays a dialog box where you can create a new variable, clause, or dialog.

.topic 10580
Sets the minimum number a user can enter.

.topic 10807
Searches for the text in variable and dialog resources. (This only searches plain-text resources.)

.topic 10855
Replaces the component in the current component file with the one you are copying.

.topic 10856
Does not replace the current component with the one you are copying. No replacement is made.

.topic 10872
Allows you to attach an answer wizard to the field, which can help a user provide the correct answer. This option specifically tells HotDocs to ask the variables used to answer the question with default dialogs.

.topic 10883
Replaces only those instances of the text that have the same capitalization as the selected instance.

.topic 10923
Creates a new True/False variable.

.topic 10926
Closes the dialog box and displays the Component Editor for the type of component you are creating.

.topic 10950
Creates or edits a Text variable. To create a Text variable, type a variable name in the Component box and click New. To edit an existing Text variable, select it from the Component drop-down list and click Edit.

.topic 10951
Creates or edits a Number variable. To create a Number variable, type a variable name in the Component box and click New. To edit an existing Number variable, select it from Component drop-down list and click Edit.

.topic 10957
Creates or edits a dialog. To create a dialog, type a dialog name in the Component box and click New. To edit an existing dialog, select it from the Component drop-down list and click Edit.

.topic 10630
Represents a variable used in the dialog. You can click one of these icons and drag it to a new location. This includes dragging up to three variables to the same line in the dialog.

.topic 10721
Replaces only the current instance of the template text with the variable you are creating.

.topic 10682
Allows you to create another comparison for your filter. Selecting AND means the previous condition and this condition must be true for the record to be displayed. Selecting OR means only one of the conditions must be true.

.topic 10878
Allows you to attach an answer wizard to the field, which will then display a database table from which a user can choose a specific record.

.topic 11051
Finds the next instance of the text for which you are searching.

.topic 11064
Finds the next instance of the text for which you are searching so you can determine if you want to replace it.

.topic 11065
Replaces the current instance of found text with the text you have specified in the Replace With box.

.topic 10552
When cleared, causes HotDocs not to ask the dialog when it is used in a REPEAT instruction or in an expression that refers to the dialog's True/False answer. This eliminates much of the need for ASK NONE blocks.

.topic 11127
Shows a list of all the variables whose values you want to watch as you use the HotDocs Debugger.

.topic 11231
Shows the word or phrase in the component name you want to rename. (For example, if you want to rename the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender as Client Name, Client Address and Client Gender, you can type Plaintiff in this box, and then type Client in the next box.)

.topic 11246
Removes the revision ID numbers that Word merges in the document each time you edit the document text. (Word merges these numbers to improve merge accuracy.) If several changes are made to the template, the size of the file increases. Removing these IDs from the assembled document keeps the document from taking up extra disk space.

.topic 11256
When the assembled document is sent to Microsoft Word, removes any text entered in the Author box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11433
Determines the width of the button. When specifying a measurement, a unit represents the width of the character "5". The default value, <auto>, makes the button wide enough to accommodate the length of the text on the button.

.topic 11435
Shows the file path and name of the graphic file you are using.

.topic 10962
Creates or edits a dialog element. To create a dialog element, type a name in the Component box and click New. To edit an existing dialog element, select it from the Component drop-down list and click Edit.

.topic 11444
Places the image in the center of the dialog.

.topic 10226
Deprecated

.topic 10223
Deprecated

.topic 10725
Allows you to enter a comment for the variable field or instruction. Comments can help users or other readers of the template understand better the automation you've used in the template.

.topic 11410
Lets you designate the font size for the caption. The number you enter here is a percentage of the size used for other text in the dialog. For example, if you enter 100% as the Font size, the caption will be the same size as the question prompts. If you enter 200%, the text size will be twice as large.

.topic 11204
Shows file information about the files you are renaming, including what the new file names will be.

.topic 11162
Selects all documents.

.topic 11006
Causes HotDocs to use variable names instead of prompts when generating a Question or Answer summary.

.topic 11003
Uses the INTERVIEW computation (which you must create) to generate the interview, rather than using a list of variables and instructions pulled directly from the template. This can help improve interview-processing speed if your template contains large numbers of variables and scripts. See the HotDocs Help file for more detailed information.

.topic 10995
Closes the dialog box without saving any changes.

.topic 10994
Closes this dialog box and begins spell checking the properties you have specified for the selected components.

.topic 10978
Adds the unrecognized word to your personal dictionary. The spelling checker will not question the word again. (If this button is grayed out, it is because the dictionary file (UIGNORE.TLX) is marked as read-only. To add words to the dictionary, you must allow write access for it.)

.topic 10769
Displays a dialog box where you can locate and select the clause library or template to be inserted.

.topic 10181
Advances to the next dialog box of the Publishing Wizard.

.topic 10154
Sets the label for the icon. If you leave this box empty, the library title will be used as the label.

.topic 10152
Lets the user specify a folder for the shortcut.

.topic 10103
Compresses and publishes the selected template, related files, and HotDocs library as individual auto-install (HDI) files. When HotDocs is passed an auto-install file and the library already exists in the library folder, HotDocs either updates the existing content or creates new library entries with the contents of the .HDI.

.topic 10319
Controls which type of components are shown in the component list.

.topic 10313
Activates the What's This help cursor. You can use this icon to click on specific fields or options in the dialog box so you see a short explanation of each feature's purpose.

.topic 10310
Displays the Find and Replace in Components dialog box where you can locate and change text strings in your components.

.topic 10210
Tells HotDocs to add the default product title to all selected component files when you click OK.

.topic 10255
Closes the Rename Component dialog box without making any changes.

.topic 10304
Inserts the selected variable into a template at the current cursor position.

.topic 10602
Controls the number of lines that will appear in an answer field.

.topic 10719
Closes the dialog box without saving your changes.

.topic 10746
Displays the True/False Variable Editor, where you can assign properties to the True/False variable you are using for the IF instruction.

.topic 10581
Sets the maximum number a user can enter.

.topic 10786
Organizes the list of answers in either ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order. You choose the variable on which you will sort.

.topic 10829
Closes the dialog box without saving any changes.

.topic 10888
Closes the dialog box without saving any changes.

.topic 10893
Closes the dialog box without saving any changes.

.topic 10903
Creates a new Number variable.

.topic 10905
Creates a new dialog.

.topic 10943
Closes the dialog box without saving any changes.

.topic 10956
Creates or edits a clause component. To create a clause component, type a name in the Component box and click New. To edit an existing clause component, select it from Component drop-down list and click Edit.

.topic 10230
Allows you to specify which unanswered variable placeholder will be used.

.topic 10654
Searches the list of components for the text string you type in the Find text box. Only those variables that contain the text string exactly as you type it will be displayed.

.topic 10683
Lists the possible database fields you can use to create the filter.

.topic 11089
Displays the Go To dialog box where you can specify the location in the script to which you want to move your cursor. You can go to either a specific line or character in the script.

.topic 11022
Keeps the End of Interview dialog from appearing in the interview. When the user clicks Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or it will display the Document tab, depending on which End of Interview action the user has defined.

.topic 11113
Causes the HotDocs Debugger to not step through any computation or subtemplate referenced in the field unless it encounters another DEBUG instruction.

.topic 11115
Displays helpful information about items in the HotDocs Debugger.

.topic 10293
Specifies whether the resource pane will be displayed by default in a web-based interview.

.topic 11240
Shows the name of the component file to which the current template is pointed. This shared component file must be saved to the same folder as the pointed component file. (Click the drop-down button to select the file.) If you want to unpoint the component file, choose the blank line at the top of the list.

.topic 11268
Copies the properties in the shared component file to the current component file. Only the properties listed on this tab will be copied.

.topic 11422
Shows a list of images you can select to include in the dialog. If the image you want isn't found in this list, click the Browse button to locate it.

.topic 10848
Prints just the components you have selected (highlighted) in the component list.

.topic 10555
Determines how HotDocs will treat the variable if it's not needed in the interview. Your options include assigning the default setting (which is specified at Component File Properties), graying the variable, hiding it, or always showing it, regardless. (For this setting to work properly, you must select the 'Automatically disable irrelevant variables and dialogs' option at Component File Properties.)

.topic 11224
Displays helpful information about the dialog box.

.topic 11178
Generates the templates and adds them to a new library. You must specify the file name and location in the Library file name box.

.topic 10283
When selected, applies the designated property to the component file.

.topic 10282
Tells HotDocs to allow users to edit their answers while viewing the assembled document at the Document Preview tab.

.topic 11013
Allows users to edit answers while viewing the Document Preview tab. When users change answers, other references to that answer will be updated.

.topic 11174
Allows you to choose which file format you want to use for your Word templates. It is recommended you choose RTF, as RTF templates assemble much faster than DOT templates.

.topic 11171
Shows the name of the library that will be created if you select Create a new library and add new templates to it. This library file will be saved to the generated templates folder you specified at the Template Options window of this wizard.

.topic 11161
Lists all the documents in the markup database. These are the documents you will use to generate a set of HotDocs templates. Select or clear the documents you want to include or exclude.

.topic 11035
Closes the dialog box without adding an item to the clause library.

.topic 11017
Causes HotDocs to automatically upload the answers without prompting the user.

.topic 11015
Specifies the URL of the server to which HotDocs should upload the answers given when this template is used for assembly.

.topic 11008
Prevents the Answer File dialog box from appearing when a user assembles a document from this template.

.topic 10193
Specifies the title for the template or clause library. The title appears in the HotDocs library and allows you to provide a more descriptive name than just the file name.

.topic 10192
Allows you to select a file location for your new template or clause library file.

.topic 10116
Specifies a title for the destination URL.

.topic 10105
Publishes the HotDocs Server files required for assembling a template on a server. The files generated include the template file (.WPT, .HPT, or .RTF), the component file (.CMP), the variable collection file (.HVC), and the interview definition file (.JS). Before publishing, you must enable the template for use with HotDocs Server. To do this, make the change at Component File Properties.

.topic 10573
Inserts a new row between existing rows of multiple choice options.

.topic 10564
Specifies text to help users understand what information is expected for this dialog. When finished entering your text, drag it to the Contents list.

.topic 10562
Lists the components that are currently included in the dialog. You can change the order items are listed by dragging an item to a new location.

.topic 10314
Displays a minimized version of Component Manager, showing only the features used primarily for creating and inserting variables into the template.

.topic 10216
Specifies an option that will enable every selected component file and template for use with HotDocs Server. When enabled, HotDocs will warn you if you're using features that aren't supported in browser-based interviews or server-based assembly. Additionally, when templates are enabled, HotDocs allows you to test the template in a browser and publish the files needed for HotDocs Server.

.topic 10242
Closes the dialog box without saving your changes.

.topic 10253
Selects all listed component files. When you click Rename, HotDocs will apply the change to every component file in the list.

.topic 10511
Causes HotDocs to warn the user if the variable is unanswered. Clearing this option suppresses these warnings.

.topic 10709
Displays the Variable Editor where you can customize the variable, including assigning prompts, resources, and variable-specific properties.

.topic 10743
Allows you to create a conditional test based on a True/False variable. Depending on the answer the user chooses, the conditional text will be merged into the assembled document.

.topic 10745
Shows the True/False variable used to control the condition.

.topic 10570
Provides a list of multiple choice options that already exist in this template.

.topic 10151
Creates a shortcut to the library in the user's Start menu. You can specify the location of the shortcut, or allow the user to specify it. (To allow the user to specify it, you must select Prompt for which folder should contain the shortcut.) The shortcut is created when the user installs the file you are currently publishing.

.topic 10784
Allows you to punctuate a list of answers in sentence-style. For example, your list could appear as A, B, and C -- with the comma preceding the final item in the list. Click the drop-down button to see a list of formats.

.topic 10788
Organizes sublists of answers in either ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order. You choose the variable on which you will sort.

.topic 10791
Shows and hides additional formatting options for the REPEAT instruction, including special filtering and sorting options.

.topic 10860
Closes the dialog box without saving any changes.

.topic 10902
Creates a new clause component.

.topic 10907
Creates a new Computation variable.

.topic 10932
Closes the dialog box and saves the changes you have made.

.topic 10644
Saves the connection string information in a Microsoft Data Link file rather than in the component file. This makes it easier to distribute the template and database to others who will not use the same connection parameters you do.

.topic 10663
Shows the order in which fields in the table will be arranged into columns. You can drag any field in this list to a new location to change this order.

.topic 11046
Closes the dialog box without implementing any changes.

.topic 11050
Specifies the text string for which you are searching.

.topic 11057
Specifies the text for which you are searching.

.topic 11070
Specifies the line number in the script where you want the cursor to move to. Each line of script is counted, even if there is nothing on the line.

.topic 11081
Removes any changes you have made to the script.

.topic 11083
Removes the selected text and copies it to the Clipboard.

.topic 11084
Copies the selected text to the Clipboard.

.topic 11117
Indicates why HotDocs is displaying the HotDocs Debugger, for example, because it is processing the template to generate an interview or because it is assembling the document.

.topic 11024
When the template is used with HotDocs Server, lets the user choose whether to hide the interview outline.

.topic 10236
Tells HotDocs to set the component file property that will keep the End of Interview dialog from appearing when a user completes the interview.

.topic 10239
Specifies whether variable names will be used in a Question or Answer Summary.

.topic 10290
Tells HotDocs to set the component file property that will allow the user to show and hide the interview outline in a browser-based interview.

.topic 10963
Creates or edits a span component. To create a span component, type a name in the Component box and click New. To edit an existing span component, select it from the Component drop-down list and click Edit.

.topic 10795
Sorts answers in the list before HotDocs filters the list.

.topic 10849
Prints a copy of all of the components in the component file.

.topic 11445
Places the image along the right margin of the dialog.

.topic 11431
If selected, indicates that the link will be displayed in the dialog whenever the template is assembled using the desktop version of HotDocs. If you don't want the link to appear in desktop HotDocs, clear this option.

.topic 11179
Generates the templates but doesn't add them to any library. (You can add them to a library later. See the HotDocs Helps for instructions on adding templates to a library.)

.topic 11128
Adds or removes variables from the custom watch list. This list shows the variables you want to watch as you are debugging your template or script.

.topic 11155
Shows the name of the existing component file HotDocs should look in before creating a new variable. If a variable already exists in the existing component file, HotDocs copies that variable into the new component file, rather than copying it from the markup database.

.topic 10674
Allows the end user to filter the records. Filtering options will appear in the interview. A correctly designed filter reduces the number of records users must view, making it easier for them to find the record they need.

.topic 10673
Allows the end user to sort the records in alphanumeric order. Users can sort any column in the table in order to find the record they need more quickly.

.topic 11032
Specifies the folder's or clause's title that will appear in the clause library.

.topic 10773
Displays helpful information about the dialog box.

.topic 10771
Closes the dialog box and inserts the specified clause, clause library, or template instruction into the template.

.topic 10198
Shows the folder path and file name of the file whose contents you want to copy into the new template.

.topic 10180
Closes the Publishing Wizard and publishes the files, based on the information you have provided.

.topic 10537
Shows a list of all expression models you can use when scripting. Expression models help produce values. They contain placeholders, which must be replaced with values, variables (so that the user can provide the value), or other models. To view specific information about each expression, highlight the expression in the list and press Ctrl+F1.

.topic 10317
Opens a dialog box where you can locate and select a second component file from which you can copy components into the current component file.

.topic 10735
Closes the dialog box, discarding any information you have provided.

.topic 10254
Renames the components in the selected component file(s).

.topic 10264
Copies the selected components and saves them to the Clipboard.

.topic 10266
If renaming a component, displays the Rename Component dialog box, where you can type a new name for the selected component. If renaming a template, displays the Rename Files dialog box where you can type the new name for the template or other library file. When you click Rename, HotDocs will update the file name wherever it is used.

.topic 10619
Saves changes made to the component without closing the component editor.

.topic 10740
Determines that if all other conditions in the instruction are false, the following instruction should be used and the corresponding template text should be merged into the assembled document.

.topic 10751
Allows you to search for a specific variable in the list, based on the text you type in the Find text box.

.topic 10132
Enter the number of days before the expiration date that you want the user to be warned the files will expire.

.topic 10123
Saves a file that contains the settings you have used to publish this file. The file is saved with an .HPD extension. The next time you publish templates, you can use this file so that you don't have to enter all the information again. (You can load your settings at the first dialog box of the Publishing Wizard.)

.topic 10770
Opens the inserted template so you can edit it.

.topic 10801
Finds only those instances of the text that are capitalized the same as the text in the Find What box.

.topic 10823
Confirms each replacement of text. Each time HotDocs finds the text to replace, it displays the component name, where the text to replace was found, and the text that will be used in place of the found text if you say yes.

.topic 10826
Searches for and replaces instances of the text string in merge text options and text variable patterns. It also searches and replaces text strings in variable example formats.

.topic 10852
Shows the folder path and file name of the component file into which you are copying.

.topic 10854
Allows you to view the properties of the component that exists in the selected component file. This can help you identify differences between the component you are copying and the component that already exists.

.topic 10874
Specifies the name of the computation or dialog you are using for the answer wizard.

.topic 10941
Specifies the file name and folder path of the component file you want to use for the current template. If the file is already pointed and you want to unpoint it, select the blank line at the top of the drop-down list.

.topic 10722
Replaces multiple instances of the template text with the variable you are creating.

.topic 10643
Launches the Data Link Properties dialog box, where you can define the connection information.

.topic 10651
Controls what components are shown in the component list.

.topic 11053
Searches for instances of the text that match identically -- including case -- the word you entered in the Find What box.

.topic 11062
Causes instances of the text found in the entire script to be replaced.

.topic 11124
Specifies the text you are searching for in the variable name. You can type the text directly in the field, or you can click the drop-down button and choose text from a previous search.

.topic 11233
Searches the names in the New Component Names column and replaces any text it finds with text from the Replace With boxes.

.topic 10613
Sorts the list of components either by alphabetical name or by component type.

.topic 11265
Instructs HotDocs to use the custom interview script specified in the Interview component box when it generates the interview for the template. If you'd rather have HotDocs generate a default interview, select Generate default interview instead.

.topic 11266
Opens the Computation Editor so you can create the custom interview script.

.topic 10830
Searches through the components showing in the Components list for the specified text string. When it finds the text string, replaces it with the suggested text.

.topic 11606
Inserts several hidden field markers in the assembled document that allow HotDocs to find the correct location in the template when you click Go to Template. (To see these markers, you can right-click in the assembled document and choose Show Codes.)

.topic 10219
Deprecated

.topic 11220
Shows the name of the Span component. It is recommended that you use unique names when creating Span components so that when users save edited document text in answer files, the answer won't overwrite SPAN fields in other documents.

.topic 11211
Causes HotDocs to insert the level of the REPEAT or IF instruction in the field's label. If the field is nested, the level number will be incremented. Levels are identified by the letter L. For example, if labeling the third level of a REPEAT instruction, the text L3 will be merged in the label.

.topic 11210
Causes HotDocs to label IF and REPEAT fields. A label can help you identify matching instructions within a series of instructions. The label that will be assigned will be a number. For example, HotDocs will label the first REPEAT instruction in the template with the number 1, the next REPEAT instruction with a number 2, and so forth.

.topic 11165
Shows the file location where the generated templates will be created. If you choose to also create a library for the templates, the library will be created here, too.

.topic 11152
Creates one component file containing all the variables listed in the markup database. This option will NOT create any templates. Master component files are useful if you want to use the same components in multiple templates but want the ability to customize the components on a per-template basis. Once you have created a master component file, you can create your templates and then copy the appropriate components from the master file into the corresponding component files. (Otherwise, you could simply point all component files to a shared component file.)

.topic 11151
Creates individual component files for the generated templates, but then points them to a shared component file. (Specify the shared component file name in the Shared component file name box, below.) Shared component files are useful if you want all your templates to use the exact same components -- including the same prompts and formatting. (See the HotDocs Helps for more information on sharing component files.)

.topic 11150
Creates individual component files for each template in the markup database. The templates will use their own component files, rather than point to a shared component file.

.topic 10972
Shows the word that will replace the unrecognized word if you click Change or Change All.

.topic 10200
Creates the template or clause library.

.topic 10199
Allows you to locate and select the template or document whose contents will provide the basis of the template you are creating.

.topic 10182
Returns to the previous dialog box of the Publishing Wizard.

.topic 10133
Shows the number of days after the expiration date that users can use the expired files.

.topic 10122
Deletes the selected file from the list of files to be added.

.topic 10118
Closes the dialog box without saving your changes.

.topic 10115
Displays a Web browser so you can easily identify the destination URL for uploading your published files.

.topic 10311
Prints a list of components. You can choose to print the variable types, prompts, formatting, and any plain text resources that have been assigned.

.topic 10307
Removes the selected component from the component file. If the component is used in the template, you must remove it there, as well.

.topic 10221
Tells HotDocs to specify this property to all selected component files when you click OK.

.topic 10520
Identifies the word processor file format of the clause text.

.topic 10618
Closes the Variable Editor, discarding any changes you have made.

.topic 10561
Causes the dialog to be repeated either as a series of dialogs or as a spreadsheet. Repeated dialogs allow the user to enter as many answers as necessary.

.topic 10790
Displays the Computation Editor, where you can create or modify the computation used to filter answers from a list of answers.

.topic 10825
Searches for the text in literal text strings (which are used in computation and dialog scripts) and replaces any text that is found with the text specified.

.topic 10857
Allows you to rename the component before it is copied into the current component file.

.topic 10858
Overwrites all existing components with the ones you are copying.

.topic 10908
Creates a new database component.

.topic 10954
Creates or edits a Multiple Choice variable. To create a Multiple Choice variable, type a variable name in the Component box and click New. To edit an existing Multiple Choice variable, select it from the Component drop-down list and click Edit.

.topic 10960
Closes the dialog box and opens the Component Editor.

.topic 10551
Creates an association (or link) between the dialog and variables in it. If you try to add variables used in this dialog to another dialog without first clearing this option, the variables will be removed from this dialog.

.topic 10652
Allows you to create a new variable in the component file.

.topic 10680
Specifies the field that will be used for organizing the data in a table.

.topic 11180
Lets you locate and specify the file location for the template library.

.topic 11405
Allows you to place a link on the dialog that, when clicked, launches an application. This may be useful if your users need to access other programs as they complete the interview.

.topic 11407
Allows you to place an image or picture on the dialog.

.topic 10611
Always shows a list of all components that use the current component whenever you click the Used In tab.

.topic 10832
Searches through all of the components in the component file for the specified text string. When it finds the text string, replaces it with the suggested text.

.topic 11615
Shows variables that are used in the interview but not specifically asked that then have their values set later in the interview. (An example of this would be a variable used with ASK NONE or with the Ask automatically option cleared.)

.topic 11602
Shows the variables that are referred to in the document but that aren't asked in the interview. This can help you identify problems in automation where you are referring to variables in the document but aren't asking them properly in the interview. This sometimes happens when you create a custom interview and forget to account for all variables in the template.

.topic 11203
Cancels the renaming process.

.topic 10670
Allows the user to choose multiple records during assembly. Selecting this option, in conjunction with setting up a REPEAT Database instruction, lets the user generate a list of answers from multiple records, rather than merge answers from a single record.

.topic 10980
Allows you to change your spell-checking options.

.topic 10142
Shows the description you want for the library that is included in the auto-install file. The description appears in the HotDocs library window when the library title is selected. Descriptions are optional.

.topic 10161
Makes the published template or templates usable only until a certain date. (You will be prompted to specify an expiration date at the Component File Expiration dialog box, which appears when you click Next.)

.topic 10121
Displays the Select Additional File(s) dialog box so you can browse lists of files and select any you want to include with the published set. For example, this can include a product splash screen bitmap you want to associate with an auto-install file.

.topic 10114
Specifies the URL where you want to upload your published files.

.topic 10582
Specifies the number of decimal places that will be shown (up to 7) in the dialog and in the assembled document.

.topic 10320
Displays the components in the component file you are currently viewing. You can filter this list by selecting a specific component type at Component type drop-down list.

.topic 10505
Displays yes/no options on the same line in a dialog.

.topic 10615
Displays a test assembly window so you can test the variable or dialog to make sure it works properly.

.topic 10616
Updates the assembly window with the changes you are implementing. (Once you click OK at the Component Editor, the changes are saved to the component file.)

.topic 10706
Allows you to use or create a new Personal Information variable. Personal Information variables ask information about the user. HotDocs then stores the user's answer in the system registry so that information can be used in other documents. Once a question has been asked, it is not asked again.

.topic 10713
Specifies the number of characters you want merged into an answer field. If the user's answer is shorter than this number, HotDocs will "pad" the answer with the designated Fill character. If it is longer, the answer will be merged as expected.

.topic 10717
Shows and hides additional formatting options that you can apply to this specific instance of the variable.

.topic 10543
Allows the variables in this dialog to be asked in separate dialogs. It also forces HotDocs to ask the variables individually instead of grouped in the dialog.

.topic 10548
Specifies the answer source used for this dialog. You can either type a file name in the box, or you can click the drop-down arrow and select CURRENT ANSWER FILE, which allows you to map answers in one dialog to answers in another dialog. (To use CURRENT ANSWER FILE, you must click Map Variables.)

.topic 10794
Displays helpful information about the dialog box.

.topic 10781
Allows you to select a database component so that a user can merge a list of database records into the assembled document, rather than just a single record.

.topic 10620
Allows you to choose a specific option so you can further customize its merge text and prompt.

.topic 10802
Excludes instances where the text in the Find What box occurs as part of another word.

.topic 10870
Allows you to attach an answer wizard to the field, which can help a user provide the correct answer. This option specifically tells HotDocs to use a Computation variable. You can specify the name of an existing variable in the Computation box, or you can click the Edit button to create a new computation. When the user clicks the wizard during assembly, HotDocs displays the variables and/or dialogs that are needed to provide the answer.

.topic 10871
Allows you to attach an answer wizard to the field, which can help a user provide the correct answer. This option specifically tells HotDocs to use a dialog. You can specify the name of an existing dialog in the Dialog box, or you can click the Edit button to create a new dialog. When the user clicks the wizard during assembly, the dialog you specify will be displayed.

.topic 10873
Clears any existing answer wizards that have been attached to the field. If you have multiple fields selected, this will clear all answer wizards.

.topic 10875
Opens the Component Editor so you can edit the properties of the wizard. For example, if you are creating a computation-based wizard, it opens the Computation Editor.

.topic 10886
Replaces all instances of the template text with the variable.

.topic 10920
Creates a new Text variable.

.topic 10953
Creates or edits a True/False variable. To create a True/False variable, type a variable name in the Component box and click New. To edit an existing True/False variable, select it from the Component drop-down list and click Edit.

.topic 10653
Lists the variables used in the component file. You can use these variables when creating your custom command.

.topic 10661
Shows a list of all the fields in the database table as well as a list of all the variables in the template. You can match fields to variables by clicking the Linked Variable drop-down button and selecting the variable. You can also select which field will be used to uniquely identify the record by selecting the Key box next to the Field Name column. Finally, select which fields will appear in the table by selecting the Display box next to the Field Name column.

.topic 10662
Causes only those variables that have not been linked to database table fields to appear in the Linked Variable drop-down lists. Clearing this option will list every variable in these lists. Be aware, however, that if you link an already-linked variable to a new field, the link to the first field will be broken. You can only link a variable to one field.

.topic 10675
Determines whether variables that are linked to fields in a database table (which can potentially be answered using data from the table) are specifically asked again during the interview.

.topic 11040
Lists the variables you have selected in the Existing Variables column. These are the variables of which you want to make duplicate copies. Also lists the new variables you want to create. You must change these variables' names, either by typing each new name in the New Variables column, or by "batch" replacing existing words or phrases in the variable name with the new words. You do this by using the options below. The check-box column indicates which variables will be duplicated.

.topic 11059
Keeps HotDocs from finding text strings that are only part of the string you entered in the Find What box.

.topic 10522
Shows the file type for the clause text.  The text for clauses is stored in a text template. This list shows which word processor will be used for the template.

.topic 10723
Specifies a font that should be used for just this specific instance of the variable. For example, maybe you want to have the answer appear as a bar code. To do this, you would select the bar code font from the drop-down list of available fonts.

.topic 10295
Specifies whether the user can turn the resource pane on and off in a web-based interview.

.topic 11250
Removes any bookmarks HotDocs merges when marking answers in the assembled document.

.topic 11263
When the assembled document is sent to Microsoft Word, removes any reported statistics for the document. Removing this text may improve the security of the document -- especially if sensitive information is represented by the statistics. (You view statistical information at the Statistics tab of the Document Properties dialog box.)

.topic 11403
Allows you to place empty space in the dialog to help you better define "sections" of a dialog.

.topic 11614
Shows variables that are referenced in a dialog script that have their values set later in the template. Doing this may cause HotDocs to change the value that is being used by the dialog script, which could ultimately change the appearance of the dialog and therefore, the interview.

.topic 11421
Shows the text that will be used for the Web link. For example, it may contain instructions for clicking the link or it may describe what will happen if the user clicks the link.

.topic 11176
Generates the templates and adds them to the library that is currently open and displayed.

.topic 10275
Converts the selected template or templates to the new format you specify. Your options include converting HotDocs 5 templates to the latest format, converting WordPerfect templates to RTF, and converting Word templates (DOTs) to RTF.

.topic 10274
Opens Component Manager for the selected file so you can edit components in that specific file.

.topic 11010
Specifies a marker that will be used in the assembled document when variables in the interview are left unanswered.

.topic 10993
Checks the spelling in any merge text options that have been specified for Multiple Choice variables.

.topic 10975
Ignores all instances of the word and continues checking the spelling.

.topic 10201
Closes the dialog box without saving your changes.

.topic 10144
Updates the library title and description during installation if the library already exists in the HotDocs folder.

.topic 10130
Shows the date on which the published files will expire and users will no longer be able to use them.

.topic 10195
Creates a new, empty template. Once the template is created, you can add text, variables, and other template components.

.topic 10102
Compresses and publishes multiple templates as one auto-assemble (HDA) file. When HotDocs is passed an auto-assemble file, it decompresses all the files and starts assembling each document as if the user had selected multiple templates at the library. When it finishes, HotDocs deletes the files.

.topic 10583
Specifies the currency symbol that will appear in the answer-gathering dialog to help the user know what type of number to type.

.topic 10321
Displays the components in the selected component file. You can filter this list by selecting a specific component type at Component type drop-down list.

.topic 10315
Specifies the file name and location of the current component file.

.topic 10213
Tells HotDocs to generate default dialog titles for all selected component files when you click OK.

.topic 10247
Pastes the components into the file and closes the dialog box.

.topic 10252
Clears the selection of all listed component files.

.topic 10593
Displays a dialog box where you can locate and select the file you are using for resources.

.topic 10596
Shows information about the resource file.

.topic 10610
Lists the different components that use the component you are editing. Double-clicking a component opens it for editing.

.topic 10718
Closes the dialog box and inserts a variable field based on the information you have provided.

.topic 10534
Lists the variables and other components you can use when creating your script.

.topic 10571
Provides commonly used merge text.

.topic 10621
Allows you to specify more prompt text than there is room available to enter at the Properties tab.

.topic 10803
Searches for the text in variable prompts, dialog titles, and dialog element text.

.topic 10842
Prints computation and dialog scripts.

.topic 10884
Replaces only the instances of the text that are complete words. For example, selecting this option prevents HotDocs from replacing the 'his' in 'this' with a variable.

.topic 10891
Lists the different merge text values assigned to this merge text group. You can edit these values.

.topic 10924
Creates a new Multiple Choice variable.

.topic 10231
Allows you to choose whether the online interview will be dynamic or static. If you select Dynamic, HotDocs updates the interview based on answers users enter. If you select Static, HotDocs displays all the variables in the interview, regardless of answers.

.topic 10273
Allows you to filter the list of components to show only a specific type.

.topic 10677
Specifies the password required to access the data in the database.

.topic 11043
Replaces existing words or phrases in the New Variables column with the new word or phrase you want to use. Once replaced, you can click Duplicate and HotDocs will create the new variables using the names you have suggested.

.topic 11044
Displays helpful information about this dialog box.

.topic 11021
Specifies the number of instructions HotDocs will allow in its processing stack before it won't allow any more to be added. Otherwise, an infinite number of instructions may be added, which can ultimately cause HotDocs to stop responding. This may happen when a computation "calls" itself over and over until the desired result is achieved. For example, you can use a recursive computation to scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds instructions for doing this to what is called a processing stack. If too many instructions get added to the stack, HotDocs may stop responding.

.topic 10603
Ensures that when the user presses the Enter key while answering the question, HotDocs inserts a paragraph break instead of a line break. (If you select this option, it is recommended you include a prompt that explains to the user what is happening.)

.topic 10237
Specifies whether the End of Interview dialog will be hidden.

.topic 10299
Specifies whether the Instant Update button will be allowed in a web-based interview.

.topic 11235
Closes the dialog box and renames the components you've selected.

.topic 11434
Determines the height of the button. When specifying a measurement, a unit represents the width of the character "5". The default value, <auto>, makes the button tall enough to accommodate the height of the text on the button.

.topic 10554
Shows the alternate text that should be used to identify the child dialog button  when it's inserted in another dialog. Frequently you specify a prompt here to help users better understand why they should click the child dialog button. (Note, however, that the dialog's name or title will be used to identify the dialog in the interview outline.)

.topic 11437
Lets you choose a font size for the caption.

.topic 11440
Lets you choose a width value for the button.

.topic 11442
Corresponds to the third parameter of the JavaScript window.open method (sFeatures). For example, to open the resource in a window that is 200 pixels high, 400 pixels wide, includes the status bar, and does not include the toolbar, menubar, and location bar, use this string: "height=200,width=400,status=yes,toolbar=no,menubar=no,location=no"

.topic 11607
Moves your cursor from the location in the test assembled document to the location in the template. This allows you to see how automation in the template affects the portion of the assembled document you are reviewing.

.topic 11617
Shows the number of times a dialog script is processed while the dialog it represents is the current dialog. Each time a dialog script is processed while the user is changing answers in the dialog, this number is incremented, which, in turn causes the script to update the appearance of the dialog.

.topic 11600
Generates the lists of variables either referred to in the document (but not appearing in the interview) or vice versa. These lists are generated based on answers in the current answer file.

.topic 11413
Lets you choose an existing Computation variable for the Script link. When the user clicks the link in the dialog, this computation will be executed.

.topic 11411
Allows you to specify the alignment of  the Caption text. Your options include Left, Centered, or Right.

.topic 11034
Closes the dialog box and adds the folder or clause to the clause library.

.topic 11002
Specifies a title that appears in the assembly window title bar. If no product title is specified, "HotDocs" is displayed.

.topic 10765
Specifies the single clause to be inserted into the template.

.topic 10165
Stores the required password users will need to type before they can edit the Microsoft Word documents produced from the published template or template set.

.topic 10111
Causes HotDocs to include any templates that may be included in your template using an INSERT or ASSEMBLE instruction.

.topic 10316
Displays a list of component files saved in the same folder as the current component file.

.topic 10141
Specifies the file name you want for the library that will be created when the user installs the auto-install (HDI) file. (The first three letters, PUB, will also be used.) This file name is also used as a reference path keyword for the template files that will be installed by the auto-install file.

.topic 10736
Displays helpful information about the dialog box.

.topic 10271
Shows the file list. This includes all templates, clause libraries, and interview templates you are exploring, along with the associated component files.

.topic 10227
Applies any properties that have the push button selected.

.topic 10260
Opens another instance of Template Manager. This is particularly useful if you are exploring a large number of templates and component files and want to isolate one or more files.

.topic 10302
Displays the Component File Properties dialog box, where you can change settings for the current component file.

.topic 10501
Formats the user's answer based on the example format you select. This format will be applied wherever the variable is used in the template, unless you specify a field-specific format at the Variable Field dialog box.

.topic 10515
Specifies the character that should be used to pad an answer. The character will be repeated until the answer fills the required width of the field.

.topic 10516
Specifies the text that is merged into the assembled document when the variable is left unanswered.

.topic 10521
Opens the clause text so you can edit it.

.topic 10590
Specifies the type of resource you will use for this variable. Options other than Plain Text require you to indicate the resource file as well as any information pertaining to that particular resource format. (HotDocs Developer LE users can only assign plain-text resources.)

.topic 10704
Allows you to create a Multiple Choice variable.

.topic 10753
Lists the operators you can drag into the Expression box. Operators help you compare relationships between items in your script. They also allow you to perform mathematical calculations on items in your script.

.topic 10530
Displays the area in which you can create the script. You can use your mouse to drag variables, operators, and models from the lists below to this box, or you can press Ctrl+Space to have HotDocs display these lists directly in the script so you can use the keyboard to choose the syntax item you need.

.topic 10550
Displays the Variable Mapping dialog box, where you can link an existing answer source to a dialog where the variable names are not the same.

.topic 10793
Closes the dialog box without saving your changes.

.topic 10622
Suggests this particular option as an answer for the user. The user can still change the answer during assembly.

.topic 10850
Shows the name of the component you are copying.

.topic 10859
Does not replace any components in the current component file with ones you are copying.

.topic 10672
Causes HotDocs to query the database table, return the requested records, and then close the connection. (The alternative is to clear this option, which will cause HotDocs to maintain its active connection to the database, which can impede performance of the component.)

.topic 10517
Specifies the method HotDocs will use to determine the width of the answer field. If you select Exactly, the number of units you enter will be how wide the answer field is. If you select Full, HotDocs will make the answer field fit the width of the dialog pane. If you select Calculated, HotDocs will determine the width based on possible and real answer lengths and the width of the dialog pane.

.topic 11116
Shows the template or script you are currently debugging. The HotDocs Debugger highlights the field or line it is currently processing.

.topic 10286
Tells HotDocs to set the component file property that will assign the maximum processing stack depth specified in the following box.

.topic 10287
Specifies how many items HotDocs will allow on the processing stack before it stops processing the script.

.topic 10296
Tells HotDocs to set the component file property that will turn the Instant Update button on when an browser-based interview is first displayed.

.topic 11244
Shows the name of the Word template that contains the macro(s) that should be played in the assembled document. This is especially useful when working with RTF templates, since macros can't be stored in the RTF file.

.topic 11253
If Change Tracking is turned on in the template, will turn it off once the document is sent to the word processor.

.topic 11258
When the assembled document is sent to Microsoft Word, removes any text entered in the Company box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11259
When the assembled document is sent to Microsoft Word, removes any text entered in the Category box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11436
Opens a folder so you can specify the graphic file you want to use.

.topic 10811
Searches through just the components you have selected (highlighted) in the component list for the specified text string.

.topic 11616
Shows the number of times the interview script has been processed during the current assembly session. Each time the script is processed and the appearance of the interview is updated, the number is incremented. This updating occurs whenever an answer is changed that has the potential of changing the contents of the interview.

.topic 11418
Shows the text that will be used for the Application link. For example, it may contain instructions for clicking the link or it may describe what will happen if the user clicks the link.

.topic 11409
Shows the text you want to include with the horizontal line. This text usually describes the questions in the following section of the dialog. Including it is optional.

.topic 11221
Displays the Span Component Editor, where you can specify the different properties of the Span component.

.topic 11177
Generates the templates and adds them to an existing library. (Specify the library in the Library file name box.)

.topic 10774
Uses the header specified in the inserted template, rather than the header in the parent template.

.topic 11201
Shows the existing name of the file.

.topic 10330
Minimizes all open component editors to the Windows taskbar.

.topic 11001
Specifies a default template description. The description appears in the library when you select the template and view the Properties tab. (Descriptions are optional.)

.topic 10981
Stops the spell-checking process and closes this dialog box.

.topic 10328
Creates a new component by copying an existing one.

.topic 10190
Specifies what type of file you want to create, including text and form templates, interview templates, and clause libraries.  When you select one of these options, HotDocs automatically attaches the correct file extension to the file name.

.topic 10131
Displays a calendar that allows you to select a date the published file will expire.

.topic 10107
Browses through a list of folders so you can select the location where you want HotDocs to place the published files. The published file must be saved locally before it can be uploaded or moved to a different location.

.topic 10503
Allows you to search for a specific variable in the list, based on the text you enter in the Find text box.

.topic 10700
Allows you to create a Text variable.

.topic 10308
Displays the Rename Component dialog box. Renaming a component here changes all references to it in the component file; however, you must manually rename references to the component that appear in the template.

.topic 10212
Causes HotDocs to select the option that will generate default dialog titles in all selected component files.

.topic 10240
Lists component files that each contain the component(s) selected for copying.

.topic 10514
Controls the placement of the answer and the fill character for variables that have a field width setting. Left-aligned variables insert fill characters after the answer text, while right-aligned variables insert fill characters before the answer text.

.topic 10701
Allows you to create a Number variable.

.topic 10542
Forces HotDocs to stop at this dialog, even if HotDocs considers everything in the dialog to be answered.

.topic 10545
Specifies whether the variable prompt should appear above the answer field or to the left.

.topic 10171
Specifies the file name you want for the auto-assemble (.HDA) file or auto-install (.HDI) file.

.topic 10808
Closes the Find dialog box and starts searching for the text.

.topic 10828
Closes the Find and Replace dialog box and starts searching for the text to replace.

.topic 10843
Prints any plain-text resources assigned to variables or dialogs.

.topic 10931
Specifies the example format.

.topic 10961
Closes the dialog box without saving any changes.

.topic 10646
Displays the Open Microsoft Data Link dialog box so you can locate the data link file that contains your connection information. HotDocs needs to know where this file is located so it can properly connect the template to the database file.

.topic 10660
Lists the name of the database table to which you are linking variables.

.topic 10681
Organizes the list of records in a column in either ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order, based on the field you selected in the Sort by column.

.topic 11086
Displays the Find dialog box where you can specify the word or text string for which you are searching.

.topic 11094
Displays the HotDocs Options dialog box where you can customize the way script editing features work.

.topic 11025
When the template is used with HotDocs Server, lets the user turn Instant Update on and off as they need. (Instant Update controls how frequently the interview updates as users answer questions in it. Depending on the complexity of the template, this updating can cause a delay for the user. When Instant Update is turned off, the interview is updated only as much as it needs to be.)

.topic 10234
Tells HotDocs to set the component file property that will keep the interview outline from appearing in the assembly window.

.topic 10506
Forces users' answers to stay on a single line in the assembled document. Non-breaking spaces and hyphens can be applied to existing formats or to default formats. Either select the format from the drop-down list or leave the Format drop-down list empty (which assigns the default format) and then select this check box.

.topic 11249
If your RTF template contains graphic images, removes the Windows metafile version of the graphic that Word inserted. Removing this metafile can significantly reduce the size of the RTF template.

.topic 11402
Allows you to insert a horizontal line on the dialog to separate questions in the dialog. If needed, you can also include text with the separator to better explain what's required in the following section.

.topic 11248
No help text is available.

.topic 11441
Lets you choose a height value for the button.

.topic 10648
Lets you map fields in your database table to variables in your template so that answers a user changes can be saved back to the database. Once you select this option, click the Field Map tab and specify the write-back options.

.topic 10998
Checks the spelling of all components in the component file.

.topic 11417
Opens a dialog box so you can locate the executable file you want to be launched from the dialog.

.topic 11222
Closes the SPAN Field dialog box and inserts the SPAN field in the template.

.topic 10280
Tells HotDocs to mark in the document where answers are merged. This allows users to highlight their answers as well as navigate between answer fields.

.topic 10775
Uses the footer specified in the inserted template, rather than the footer in the parent template.

.topic 11030
Specifies the type of item to be added to the clause library.

.topic 10973
Shows possible replacements for the unrecognized word.

.topic 10761
Allows you to select a clause library for insertion into the template.

.topic 10197
Creates a new template based on the contents of an existing template or document.

.topic 10194
Specifies a description of the template or clause library. Descriptions appear when you select the library item and view its properties. They are optional.

.topic 10106
Shows the folder where HotDocs will place the published files. Click the Browse button to specify a different location.

.topic 10546
Right-aligns prompts against the left edges of answer fields.

.topic 10228
Closes the dialog box without applying any changes.

.topic 10250
Specifies the new name for an existing component.

.topic 10265
Displays the Destination Component Files dialog box, where you specify the target files into which the selected components should be copied.

.topic 10269
Regenerates the template and component database and updates the Template Manager window.

.topic 10595
Shows specific information about the resource file.

.topic 10714
Controls the placement of the answer and the fill character for variables that have a field width setting. Left-aligned variables insert fill characters after the answer text, while right-aligned variables insert fill characters before the answer text.

.topic 10716
Specifies the text that will be merged into the assembled document if the variable is left unanswered.

.topic 10540
Groups True/False variables so that users can select a single-option button or check box. Otherwise, True/False variables appear as yes/no questions in the dialog.

.topic 10844
Prints component-specific data about the variable or dialog.

.topic 10906
Creates a new Date variable.

.topic 10925
Creates a new Computation variable.

.topic 10955
Creates or edits a Computation variable. To create a Computation variable, type a variable name in the Component box and click New. To edit an existing Computation variable, select it from the Component drop-down list and click Edit.

.topic 10598
Allows you to assign a resource to both individual options of a Multiple Choice variable as well as the entire Multiple Choice variable.

.topic 10647
Allows you select the custom data source you created to link your template to a specific database file.

.topic 11085
Pastes the selected text on the Clipboard at the cursor position in the script.

.topic 11087
Finds the next instance of the word or text string for which you are searching.

.topic 11123
Filters the list of variables based on the text you have typed in the Find box.

.topic 10238
Tells HotDocs to set the component file property that will cause variables names to be used when a Question or Answer Summary is generated.

.topic 11014
Saves the component file in the format you specify so that it can be used with that version of HotDocs. To keep the component file current with version of HotDocs you have installed, choose Current Version.

.topic 11252
When the assembled document is sent to Microsoft Word, accepts all changes made to the document using the Track Changes feature of MS Word. All changes will be merged in the assembled document.

.topic 11254
When the assembled document is sent to Microsoft Word, removes any text entered in the Title box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 10912
Creates a new dialog element.

.topic 11270
Opens a window so you can locate the Word template that contains the PLAY macro instruction.

.topic 11430
When displaying the link as a hyperlink, allows you to include an image with the hyperlink. Specify the image file name in the box below.

.topic 11443
Places the image along the left margin of the dialog.

.topic 11272
When the template is used with HotDocs Server, lets the user choose to show all of the dialogs on a single Web page (rather than individually).

.topic 11611
Shows variables with the Save in answer file property selected whose values are set to a value. Leaving this option selected will cause HotDocs to prompt users to save the answer file, even if they dont enter any other answers in the interview.

.topic 11601
Shows the variables that appear in the interview, but that aren't referred to in the document. This is useful in determining if you're asking irrelevant questions during the interview. To see which dialog uses the variable, double-click on the variable name and then click the Used In tab at the Variable Editor.

.topic 10222
Deprecated

.topic 11173
Causes HotDocs to open the template library you are about to create once all the templates are generated.

.topic 11163
Clears all selected documents.

.topic 11154
Checks an existing component file for components that match components in the markup database. If it finds such a component in the existing component file, it copies that component into the new component file, rather than creates the component using information from the markup database. This is useful if you have existing components that have been customized and you want the new templates to use the  customized version, rather than the new version.

.topic 10331
Saves changes to and closes all open component editors.

.topic 10686
Clears all filtering conditions assigned to the database component. If you have a complex filter (one with many conditions) and you want to remove a single condition, click that specific condition's Field drop-down button and select the blank line at the top of the drop-down list.

.topic 10671
Causes HotDocs to automatically merge the records that meet the filtering condition into the document. This means the user will not be allowed to select which records should be merged.

.topic 10992
Checks the spelling in any plain-text resources that have been assigned to the selected components.

.topic 10991
Checks the spelling of any literal text (or text between quotation marks) that is used in a computation script.

.topic 10196
Copies the current, open word processor file into the new template. You must have a word processor file open before you select this option.

.topic 10183
Closes the Publishing Wizard without publishing any files.

.topic 10109
Uploads published files to a Web server after the publishing process is complete.

.topic 10574
Removes the selected row of options from the variable.

.topic 10309
Displays the Find in Components dialog box, where you can search for components that contain a specific text string.

.topic 10305
Displays the Component Editor, where you can make changes to the selected component.

.topic 10732
Specifies the dialog that will be asked using this ASK instruction. If you have the HotDocs Database Connection installed, it specifies the database component that will be asked.

.topic 10268
Controls which components are shown in the component list. For example, you can select a file, click Focus, and see just a list of the components for that file. As long as the Focus button is selected, Template Manager will maintain focus of the file or files selected in the file list. (You can click other files and view their components.)

.topic 10303
Displays the Point Component File dialog box so you can point the current component file to a shared component file. This allows you to share one set of components between multiple templates.

.topic 10591
Displays resources in a pop-up window, instead of in the resource pane.

.topic 10744
Allows you to create a conditional test based on an expression rather than a simple True/False variable. Expressions must result in a true/false value. If an expression is true, HotDocs merges the conditional text into the assembled document.

.topic 10755
Closes the dialog box and inserts the IF instruction into the template.

.topic 10544
Prevents buttons for inserted dialogs from appearing in the dialog. Instead, the icon for the inserted dialog will appear in the interview outline.

.topic 10563
Lists variables and other components available in this template.

.topic 10172
Specifies information about the auto-assemble (.HDA) or auto-install (.HDI) file, such as what the files should be used for, or when they were created. The description appears on the Properties tab of the library window.

.topic 10763
Specifies the name of the clause you are creating.

.topic 10772
Closes the dialog box without saving any changes.

.topic 10800
Shows the text for which you are searching. You can enter up to 10 text strings.

.topic 10805
Searches for variables that are referenced in the components' prompts, merge texts, and scripts.

.topic 10806
Searches for the text in merge text options and text variable patterns. It also searches variable example formats.

.topic 10820
The Find what column contains the text you want to replace in the components. The Replace With column contains the text you want to use in place of the text in the Find what column. You can replace up to ten text strings at the same time. Enter each text string on a separate row, then enter text in one row of the Replace With column for each row of the Find what column that contains text.

.topic 10845
Closes this dialog box and prints the selected components.

.topic 10880
Shows the text for which you are searching.

.topic 10887
Skips replacing this instance of the selected text and searches for the next instance.

.topic 10910
Closes the dialog box without saving any changes.

.topic 10958
Creates or edits a database component. To create a database component, type a component name in the Component box and click New. To edit an existing database component, select it from the Component drop-down list and click Edit.

.topic 10518
Specifies how many units wide you want this variable's answer field to be in the interview. This affects the size of the field only if it is used in a standard dialog -- not a spreadsheet. (See the option below to specify a spreadsheet column width.) A single unit is as wide as the character "5."

.topic 11114
Causes the HotDocs Debugger to move you out of the current level of debugging and move you to the next item on the processing stack.

.topic 11121
Allows you to filter the list of current variables by variable type.

.topic 10294
Tells HotDocs to set the component file property that will allow the user to turn the resource pane on and off during a browser-based interview.

.topic 10297
Specifies whether the Instant Update button will be on initially in a web-based interview.

.topic 11243
Causes HotDocs to update all cross-references in the assembled document -- including updating references in the table of contents and index. This update happens when the document is sent to Word, printed, or saved to disk.

.topic 11255
When the assembled document is sent to Microsoft Word, removes any text entered in the Subject box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11262
When the assembled document is sent to Microsoft Word, removes any text entered in the Hyperlink base box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 10831
Searches through just the components you have selected (highlighted) in the component list for the specified text string. When it finds the text string, replaces it with the suggested text.

.topic 10556
Determines how HotDocs will treat the dialog if none of the variables in the dialog are needed in the interview. When this option is selected, HotDocs will skip the dialog entirely. (For this setting to work properly, you must select the 'Automatically disable irrelevant variables and dialogs' option at Component File Properties.)

.topic 11423
Opens a dialog box so you can browse for the graphic file. Supported file types include .bmps, .pngs, .jpgs, and .gifs. The image will be displayed on the dialog during the interview.

.topic 11400
Causes HotDocs to automatically name the Dialog Element using information about the element you are creating. If you prefer to name the component yourself, clear this option.

.topic 11202
Closes this dialog box and renames the selected file with the information you have just provided.

.topic 11153
Shows the name of the shared component file you want to create if you selected to point all component files to a shared file. Or, if you are creating a master component file, shows that file name instead.

.topic 10333
Allows you to sort the list of components either alphabetically by name or by component type.

.topic 10976
Replaces the current instance of the word with the word in the Change to box. Other instances of the word will not be replaced.

.topic 10974
Ignores the current instance of the word and continues checking the spelling. The spelling checker will question any other instances of the word.

.topic 10156
Displays a dialog box where you can locate and select the graphic you want to use for Start menu icon. (This file must have the file extension, .ICO.)

.topic 10166
Requires users to enter a password before assembling from an auto-assemble file, or installing from an auto-install file. Specify the password in the Password box below.

.topic 10164
Requires users to enter a password before modifying an assembled document that has been sent to Microsoft Word, even if the template is in WordPerfect format before it is assembled. Specify the password in the box below.

.topic 10160
Prevents users from opening the template or template set in HotDocs and editing the files.

.topic 10322
Copies selected components from one component file to another.

.topic 10270
Displays the HotDocs Options dialog box, where you can specify how HotDocs displays components in the component list.

.topic 10754
Shows a list of models you can use to create a custom expression. Expressions must result in a true/false value.

.topic 10757
Displays helpful information about the dialog box.

.topic 10560
Specifies a title that identifies the dialog during the interview. If no title is given, the dialog name will be used.

.topic 10783
Displays the Dialog Editor, where you can make changes to the dialog you want repeated. (Repeated dialogs must be assigned a repeating style.) If you have the HotDocs Database Connection installed, you can also click this button to edit the database component.

.topic 10792
Closes the REPEAT Field dialog box, and inserts the REPEAT instruction into the template.

.topic 10824
Searches for and replaces the text string in variable prompts, dialog titles, and dialog element text.

.topic 10881
Allows you to modify the field-specific properties of the variable you are inserting. For example, you could assign a format for each instance of the variable.

.topic 10930
Specifies a component name for the supplemental component.

.topic 10942
Closes the dialog box and points the component file to the file you have selected.

.topic 10519
Specifies the method HotDocs will use to determine the width of columns in a spreadsheet. If you select Calculated, HotDocs will determine the width based on possible and real answer lengths and the width of the dialog pane. If you select At Least, the number of units you enter will be the minimum width of the column.

.topic 11058
Specifies the new text you want to be used in the script. HotDocs will search for the old text (specified in the Find What box) and replace it with the text you enter here.

.topic 11060
Searches for instances of the text that match identically -- including case -- the word you entered in the Find What box.

.topic 11072
Specifies the position in the script where you want the cursor to move to. This number should either be a character position or a line number.

.topic 11119
Shows the processing stack, or path of execution. This shows the sequential list of templates and components you are processing. This can help you determine how HotDocs came to be processing the current line or field. As you step into components, those components are added to the top of the stack.

.topic 11120
Shows a list of variables you have specifically chosen to watch as you are debugging. To add variables to the watch list, right-click in this pane and choose Add or Remove Variables from the shortcut menu.

.topic 11126
Removes the variable from the watch list.

.topic 11026
When the template is used with HotDocs Server, lets the user show and hide the resource pane as they need.

.topic 11029
When the template is used with HotDocs Server, shows the resource pane with the interview.

.topic 10235
Specifies whether the interview outline dialog will be hidden.

.topic 11260
When the assembled document is sent to Microsoft Word, removes any text entered in the Keywords box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 10612
Lists all components that use the current component.

.topic 11267
Instructs HotDocs to use the component file properties specified in the shared component file. Only those properties listed on this tab will be used. If you want to use the actual component file's properties, clear this option.

.topic 10812
Searches through all of the components in the component file for the text string.

.topic 11609
Takes you to the specific place in the template or component file that is generating the warning.

.topic 11274
Specifies the default action for when a template is set to automatically disable irrelevant variables and dialogs. (To use the default action, at each variable's Advanced tab, select Default from the When irrelevant drop-down list.)

.topic 10567
Keeps the Edit Row, Insert Row, and Delete Row buttons from appearing just below the spreadsheet in the interview. Options for using these commands are still available either by right-clicking on a specific row in the spreadsheet or by choosing the commands from the Edit menu.

.topic 10568
Lets you add a custom title to the Add Another button.

.topic 10776
Lets you insert a graphic image in a Microsoft Word template. Types of graphics you can insert include JPGs, PNGs, and GIFs. You can also insert an RTF document that contains a graphic.

.topic 10777
Lets you use a variable INSERT in the template, which allows you to specify the templates file name during document assembly, rather than during template development. The type of variable you insert must accept text as an answer. As such, you must use a Text variable, a Multiple Choice variable, or a Computation variable that produces a text result.

.topic 10778
Lists the types of components you can use in a variable INSERT instruction. The component must create a text result. (The variable is used to enter the file path and name of the inserted template at the time the document is assembled.)

.topic 10779
Shows the name of the variable you are using in a variable INSERT instruction. You can click the drop-down button to choose an existing variable, or you can click the Edit Component button to create a new component.

.topic 10813
Searches for the text in each component editor's Notes tab.

.topic 10833
Searches for and replaces instances of the text string in each component editor's Notes tab.

.topic 10861
Prints any notes associated with the selected components.

.topic 11630
Allows you to enter notes about the component you are editing. For example, you may want to provide information about how the component is used or explanations about any restrictions or other properties you may have assigned to it. Notes are only visible to those editing the component.


HotDocs Help - .HFD, .HPD

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.HFD, .HPD

File name extension that designates that the file is a HotDocs form document.

Home > HotDocs Glossary of Terms > .HFD, .HPD


.topic 0
Lets you insert a graphic file in a field on the form. Supported file types include JPG, BMP, and PNG. Insertion of the graphic can be controlled by using a variable, such as a True/False variable or Multiple Choice variable.

.topic 22805
Changes the field type to Control. This allows you to create a field on the form that can be used for "behind-the-scenes" tasks — the field will be processed and any answer or text that appears in it will be visible to the user, but the user cannot access the field.

.topic 22866
Allows you to span a Text variable field across multiple pages. If the answer doesn't fit in the field on the first page, it will overflow into any fields that have the same Named Group property.

.topic 23059
Displays helpful information about the dialog box.

.topic 23012
Displays helpful information about the dialog box.

.topic 22442
Displays helpful information about the dialog box.

.topic 22392
Displays helpful information about the dialog box.

.topic 23204
Prints each page of the document on a new sheet of paper.

.topic 23186
Measures page margins, indentation, and header/footer height using centimeters as the unit of measurement.

.topic 0

.topic 22550
Sets the page to which you want to move.

.topic 22390
Continues the insert process using the information you have provided.

.topic 0
Inserts pages before or after the page specified in the 'page' box.

.topic 22657
Specifies the width of the top border of the field.

.topic 22686
Moves to the last field in the template.

.topic 22768
Sets the minimum distance between the right border and the answer.

.topic 22852
Specifies the reference placed in the selected field when an answer overflows to the addendum.

.topic 22931
Closes the dialog box without saving any changes.

.topic 23032
No help text available.

.topic 23199
Closes the Interview Properties dialog box without making any changes.

.topic 22440
Continues the property replication process using the information you have provided.

.topic 23078
Closes the dialog box without saving any changes.

.topic 22128
Prints the even-numbered pages in ascending order (2, 4, 6, etc.).

.topic 23041
Displays helpful information about the dialog box.

.topic 22342
Displays helpful information about the dialog box.

.topic 23208
Specifies which paper tray of the printer should be used for printing the document.

.topic 23029
Ignores the answer overflow in the highlighted field and closes the Overflow Status dialog box.

.topic 23027
Closes the Overflow Status dialog box.

.topic 23026
Sends the answer information to an addendum at the end of the document, and inserts an addendum reference in the field.

.topic 22990
Continues the alignment or resizing process using the selections you've made.

.topic 22978
Shows what effects your current alignment selections will have.

.topic 22977
Changes the height of all selected fields to match the height of the bounding box -- the unseen outline that groups multiple selected fields.

.topic 22971
Changes the width of all selected fields to match the width of the bounding box -- the unseen outline that groups multiple selected fields.

.topic 22681
Closes the Position/Size dialog box, ignoring any changes you have made.

.topic 22683
Moves to the first field in the template.

.topic 22688
Uses typographic points for measuring the field location and size.

.topic 22863
Places the addendum reference in the last field of the run-on group.

.topic 22865
Allows you to span a Text variable field across multiple pages. If the answer doesn't fit in the field on the first page, it will overflow into any fields that have the same Named Group property.

.topic 22123
Specifies that you want to feed pages back through the printer to print the second side. You want HotDocs to coach you on how to insert the pages in the paper tray to get the second side to print correctly.

.topic 22992
Displays helpful information about the dialog box.

.topic 0
Creates a default dialog for each variable not assigned to a custom dialog.

.topic 23124
Specifies the distance between each entry in the addendum.

.topic 22597
Closes the Specify dialog box, changing the level of magnification.

.topic 22591
Closes the Go To Page dialog box without displaying a different page.

.topic 22103
Prints only the answers, arranging them to match the template layout. That way, you can manually feed a pre-printed form through the printer.

.topic 22702
Sets a column number for the selected field. This can ensure that when a user tabs through the fields, the tab order is correct.

.topic 22789
Opens a dialog box where you can locate and select an image file.

.topic 22831
Closes the Properties dialog box, ignoring any changes you have made.

.topic 22837
Moves to the last field in the template.

.topic 22855
Ensures that the selected field's addendum entry will be the last entry on the page.

.topic 22930
Closes the Overflow Properties dialog box and applies any changes you have made.

.topic 23002
Displays a pop-up window (known as an answer wizard) where you can provide the answers required for the current field to be active.

.topic 23051
Prevents the Override Field dialog box from being displayed in the future.

.topic 23000
No help text available.

.topic 23033
No help text available.

.topic 23193
No help text available.

.topic 24004
Specifies the number of columns that appear in the bar code. These settings determine the width and/or height of the bar code.

.topic 23233
Restores all default settings to options in this dialog box.

.topic 23077
Closes the dialog box and saves any changes you have made.

.topic 0
Lists the name of the Computation variable used to control the interview. This computation should contain a series of ASK and other instructions that specify what questions should be asked during the interview.

.topic 23181
Closes the Addendum dialog box, ignoring any changes you have made.

.topic 23180
Closes the Addendum dialog box, applying the changes you have made.

.topic 23102
Opens a dialog box where you can modify the font used in the header.

.topic 23101
Shows the text and codes that will be used to create the header.

.topic 22590
Closes the Go To Page dialog box and displays a different page.

.topic 23025
Reduces the answer's font size to the minimum font size specified in the Field Properties dialog box for this field.

.topic 22630
Closes the dialog box, saving any changes you have made.

.topic 22603
Deletes a row of answers from the spreadsheet.

.topic 22965
Moves selected fields up or down until they are centered, relative to the middle of the page.

.topic 22957
Moves selected fields left or right until they are centered, relative to the middle of the page.

.topic 22400
Specifies the files that will be changed.

.topic 22358
Specifies the page of the open template where the inserted pages will be placed.

.topic 22251
Lists the templates available to be the source for replacing static content.

.topic 22652
Specifies the distance between the top border of the field and the top edge of the page.

.topic 22687
Uses inches for measuring the field location and size.

.topic 22785
Shows what the text in the Example box will look like in the document.

.topic 22839
Uses typographic points for measuring the field margins and indents.

.topic 22858
Sends all information in the row to the addendum when a single cell in that row overflows.

.topic 22861
Places an "X" in every field of the run-on group.

.topic 23057
Closes the Override Field dialog box, overriding the selected field.

.topic 23304
Allows you to create a new Envoy-based (HFT) form template. When you click OK, save and name the template.

.topic 23061
No help text available.

.topic 22126
Causes the printer to print so the tops of the pages are at opposite ends of the paper. (If you were to put the paper in a 3-ring binder where holes are punched at the top, you can flip the page up and read the back side.)

.topic 22093
Displays resource information about the type of information that is required.

.topic 21414
Displays helpful information about the dialog box.

.topic 23122
Opens a dialog box where you can modify the font used for the addendum text.

.topic 23115
Specifies the amount of space used for the footer.

.topic 22106
Prints the template using both sides of the paper, so you can turn through the pages like a traditional book.

.topic 22102
Prints a copy of the form document without printing any answers.

.topic 22967
Leaves the width of the fields unchanged.

.topic 22961
Moves selected fields up or down until they are centered, relative to each other.

.topic 22500
Specifies the text for which to search.

.topic 22406
Specifies which check-box properties will be applied.

.topic 22351
Opens a dialog box where you can locate and select templates that contain pages you want to add to the current template.

.topic 22291
Closes the dialog box without saving any changes.

.topic 22767
Sets the minimum distance between the top border of the field and the answer.

.topic 22783
Displays the Field Example dialog box where you can type characters used for strike-through, or specify text or variables used to create barcodes.

.topic 22786
Prevents the selected field from appearing when the document is printed.

.topic 22788
Opens a dialog box where you can locate and select the graphic image for the selected field.

.topic 22850
Attempts to first resolve overflow in the selected field by reducing the font size.

.topic 22109
No help text available.

.topic 23020
No help text available.

.topic 23065
No help text available.

.topic 23190
Shows the name of the custom interview component you want to use for this template. The interview component is a computation script that asks the variables and dialogs required to complete the form.

.topic 24005
Determines the redundancy of information in the bar code to compensate for any damage that may be done to the bar code (for example, if the bar code is torn or if other marks have been made on the bar code). The higher the number, the less data
can be stored in the bar code. (However, the greater the chances are that the bar code will be readable.)

.topic 22803
Changes the field type to Check box. This allows users to select or clear check boxes on a form. Usually, you attach True/False or Multiple Choice variables to check box fields.

.topic 23073
Specifies the printing option you select as the default selection. HotDocs will not prompt you for this information again.

.topic 22146
Closes the dialog box without saving any changes.

.topic 22129
Prints the even-numbered pages in descending order (6, 4, 2, etc.).

.topic 22932
Displays helpful information about the dialog box.

.topic 22105
Prints all pages on separate sheets of paper.

.topic 23022
Selects the field so you can click a field border or handle and resize the field. Resizing the field to make it larger may resolve the overflow.

.topic 22600
Shows the text you enter and uses it as an example.

.topic 22968
Changes the width of all selected fields to match the narrowest selected field.

.topic 22963
Moves selected fields up or down until they align with the selected field that is closest to the top-left corner.

.topic 22501
Limits the search to exact matches of the text.

.topic 0
Continues the property replication process using the information you have provided.

.topic 22405
Clears all properties in the Regular Fields box.

.topic 0
Inserts pages after the page specified in the Page box.

.topic 22350
Lists the templates available for selecting pages to insert.

.topic 22658
Specifies the width of the right border of the field.

.topic 22777
Displays the Answer Wizard Field dialog box so you can specify the type of answer wizard you want to attach to the field. You can use a computation or dialog as a wizard, or you can have HotDocs suggest a default wizard. Finally, you can clear any existing wizards.

.topic 22838
Measures page margins, indentation, and header/footer height using inches as the unit of measurement.

.topic 22859
Specifies the amount of space between answers and their addendum labels.

.topic 23194
Copies the interview properties for the template to the component file. Whatever properties you have specified above (whether you have specified a custom or default interview) will be moved to Component File Properties where you will manage them from now on. They will be removed from the template.

.topic 22804
Changes the field type to Resource. This allows you to add a hyperlink to a form. When the user clicks on the hyperlink, he or she will see helpful information you provide. Usually form resources are used to describe properties or questions on the form in general.

.topic 22441
Closes this dialog box without saving any changes.

.topic 22356
Indicates whether the page will be inserted before or after the specified page in the current form.

.topic 23083
Forces the answer to appear in the answer field, even if part of the answer gets cut off.

.topic 22935
Moves to the previous field in the template.

.topic 22934
Moves to the first field in the template.

.topic 22140
Allows you to print on the back of a page that has already been printed so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, insert the page into the paper tray with the top to your right.

.topic 22125
Causes the printer to print so that the tops of both pages are at the same end of the paper. (If you put the paper in a 3-ring binder, you can flip the page and read both sides.)

.topic 22092
Displays a table wizard button so you can enter lists of answers in a pop-up interview, rather than directly in the form fields. This allows you to enter more answers than there is room for on the face of the form. Any overflow answers may be sent to the addendum.

.topic 22742
Displays helpful information about the dialog box.

.topic 23230
Closes the Body dialog box, applying the changes you have made.

.topic 23207
Specifies the size of paper to be used when printing the document.

.topic 23030
Continues checking for answer overflow in other fields.

.topic 22540
Continues the Find process using the information you have provided.

.topic 22252
Opens a dialog box where you can locate and select a template to be the source for the new static content.

.topic 22250
Shows the file path and name of the template that will be updated.

.topic 22659
Specifies the width of the bottom border of the field.

.topic 22772
Specifies the distance between lines of text in the selected field. For example, typing "1.0" would place each line of text one inch apart.

.topic 22853
Specifies the label used for the selected field's addendum entry.

.topic 23010
Closes the Inactive Field dialog box, saving any selections you have made.

.topic 22966
Shows all of the width alignment options.

.topic 22810
Lets you cross out static text on the form, based on answers users enter during the interview.

.topic 22809
Converts the text in the answer field to PDF417 bar code format. See the HotDocs Helps for more information on working with form bar codes.

.topic 22110
Causes HotDocs to determine which paper size to use based on the size of the PDF form.

.topic 23071
Prints the assembled document using HotDocs printing functionality. This option may be slower and content will print at actual size (not scaled).

.topic 22122
Allows you to take pages that have been printed on one side and feed them back through the printer to print the second side. Also allows you to specify that you don't want HotDocs to coach you on how to insert the pages in the paper tray to get the second side to print correctly.

.topic 23182
Displays helpful information about the dialog box.

.topic 22599
Displays helpful information about the dialog box.

.topic 22147
Displays helpful information about the dialog box.

.topic 23126
Displays the Variable Field dialog box where you can create or select a variable to appear in the header.

.topic 23123
Specifies the distance between the addendum labels and the actual entries.

.topic 22101
Prints the static text and the variable names or answers.

.topic 22604
Removes any text in the text box.

.topic 22601
Displays the table as a spreadsheet where you can type in answers. Column headings may be truncated.

.topic 22409
Clears all properties in the Form box.

.topic 22340
Continues the process of removing pages, using the information you have provided.

.topic 22689
Uses centimeters for measuring the field location and size.

.topic 22744
Moves to the previous field in the template.

.topic 22756
Centers the text between the top and bottom borders.

.topic 23192
Instructs HotDocs to generate the interview for the template based on the order variables and dialogs are asked in the template.

.topic 24003
Controls the number of rows that appear in the bar code. These settings determine the width and/or height of the bar code.

.topic 22950
Shows all of the horizontal alignment options.

.topic 22936
Moves to the next field in the template.

.topic 23072
Prints the assembled document using PDF Adobe Acrobat print functionality. This option will print the assembled document much quicker, but if you are printing to a non-PostScript printer, the results may be slightly off-center.

.topic 22138
Allows you to print on the back of a page that has already been printed on so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, you must insert the page into the paper tray with the top toward you.

.topic 22134
Allows you to print on the back of a page that has already been printed on. To do this, insert the page into the paper tray with the printed side up.

.topic 22632
Displays helpful information about the dialog box.

.topic 0
Aligns the footer text with the left margin.

.topic 0
Aligns the header text with the left margin.

.topic 23023
Overrides the field, and places the cursor in the highlighted field so you can edit the answer. When override is used, you can enter any type of answer.

.topic 22969
Changes the width of all selected fields to match the widest selected field.

.topic 22341
Closes the dialog box without saving any changes.

.topic 22651
Specifies the distance between the left border of the field and the left edge of the page.

.topic 22760
Sets the bottom of the field to match the right edge of the page.

.topic 22764
Specifies the smallest size the text in the selected field can be reduced to when trying to resolve answer overflow.

.topic 23300
Allows you to choose whether you want the new form to be Envoy-based (HFT) or PDF-based (HPT).  When you click OK, save and name the template.

.topic 23330
Closes this dialog box and creates the new template file.

.topic 22104
No help text available.

.topic 23031
Closes the Overflow Status dialog box without attempting to resolve the overflow.

.topic 22800
No help available.

.topic 22972
Shows all of the height alignment options.

.topic 22958
Shows all of the vertical alignment options.

.topic 23079
Displays helpful information about the dialog box.

.topic 22131
Prints so that pages come out of the printer with the printed side up.

.topic 22975
Changes the height of all selected fields to match the tallest selected field.

.topic 22951
Leaves the alignment of the fields unchanged.

.topic 22353
Sets the beginning page for inserting multiple pages.

.topic 22302
Shows the last page in the range of pages you want to delete. To delete a single page, set this number to match the number in the From box.

.topic 22745
Moves to the next field in the template.

.topic 22751
Places the start of each line adjacent with the left border of the field.

.topic 22753
Places the end of each line adjacent with the right border of the field.

.topic 22766
Sets the minimum distance between the left border and the answer.

.topic 22778
Shows the name of the variable required for answering the selected field.

.topic 22781
Displays the Variable Field dialog box where you can either create a new variable or edit an existing variable.

.topic 22782
Shows the title of the variable assigned to the selected field.

.topic 22840
Uses centimeters for measuring the field margins and indents.

.topic 22854
Ensures that the selected field's addendum entry will be the first entry on the page.

.topic 22864
Sends information only in the affected cell to the addendum.

.topic 23003
Overrides the field type, allowing you to enter any type of answer. The Override Field warning will appear (unless you have already suppressed it).

.topic 22111
Causes HotDocs to reduce the page size of the PDF form until it can fit within the printable area of the page.

.topic 22551
Shows the page range.

.topic 22145
Closes the Duplex Print Options dialog box and saves your changes. If the dialog box appeared while you were printing, continues with the printing process.

.topic 22121
Allows the printer to automatically print forms double-sided. When selected, you should not have to feed pages printed on one side back through the printer to print the second side.

.topic 0
Allows you to create a Computation variable to control how the interview is presented to users.

.topic 23119
Specifies the minimum distance between each addendum entry and the right edge of the page.

.topic 22595
Allows you to specify your own level of magnification.

.topic 23021
Places the cursor in the highlighted field so you can shorten the answer.

.topic 22964
Moves selected fields up or down until the center points of all fields are an equal distance from the selected fields above and below.

.topic 22956
Moves selected fields left or right until the center points of all fields are an equal distance from the selected fields on either side.

.topic 22955
Moves selected fields left or right until they align with the selected field that is closest to the top-left corner.

.topic 22490
Closes the dialog box listing the templates that were changed.

.topic 22680
Closes the Position/Size dialog box and applies the changes you have made.

.topic 22701
Specifies the row number for the selected field. This can ensure that when a user tabs through the fields, the tab order is correct.

.topic 22759
Sets the bottom of the field to match the bottom of the page.

.topic 22769
Sets the minimum distance between the bottom border and the answer.

.topic 22939
Measures page margins, indentation, and header/footer height using typographic points as the unit of measurement.

.topic 23303
Allows you to create a new PDF-based (HPT) form template.  When you click OK, save and name the template.

.topic 22120
No help text available.

.topic 23070
No help text available.

.topic 23195
Removes the specified interview properties from the form template file. In versions of HotDocs Automator prior to HotDocs 2006, these properties were always stored in the template file. Once you have specified these properties at Component File Properties, you should discard them from the template file.

.topic 24002
Determines the range of angles with which the bar code can be scanned. For example, when placed under the scanner, must the paper be flat and facing a single direction, or will the scanner be able to read the data regardless of how it's placed? The higher the number, the less restrictive the placement of the paper under the scanner will be.

.topic 23089
Displays helpful information about the dialog box.

.topic 22937
Moves to the last field in the template.

.topic 22139
Allows you to print on the back of a page that has already been printed so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, insert the page into the paper tray with the top to your left.

.topic 22682
Displays helpful information about the dialog box.

.topic 22292
Displays helpful information about the dialog box.

.topic 23400
Closes the About dialog box.

.topic 23185
Uses typographic points for measuring the page margins, indentation, and height of header/footer.

.topic 23110
Opens a dialog box where you can modify the font used in the footer.

.topic 23109
Shows the text and codes that will be used to create the footer.

.topic 22991
Closes the dialog box without changing the alignment or size of any fields.

.topic 22962
Moves selected fields down until they align with the bottom edge of the bottom-most field.

.topic 22408
Specifies which form properties will be applied.

.topic 22407
Clears all properties in the Check Boxes box.

.topic 22401
Opens a dialog box where you can locate and select other files to be changed.

.topic 22301
Shows the first page in the range of pages you want to delete.

.topic 22656
Specifies the width of the left border of the field.

.topic 22758
Adds equal spacing between each line in multiple lines of text, so the first line touches the top border and the last line touches the bottom border.

.topic 22761
Sets the bottom of the field to match the top of the page.

.topic 23011
Closes the Inactive Field dialog box, ignoring any selections you have made.

.topic 22124
No help text available.

.topic 23034
No help text available.

.topic 23191
Opens the Computation Editor where you create the custom interview script for the template.

.topic 22808
Lets you insert a graphic file in a field on the form. Supported file types include JPG, BMP, and PNG. Insertion of the graphic can be controlled by using a variable, such as a True/False variable or Multiple Choice variable.

.topic 22811
Allows you to circle static text on the form, based on answers to questions in the interview.

.topic 22830
Closes the Properties dialog box and applies any properties you have specified to the selected fields.

.topic 22592
Displays helpful information about the dialog box.

.topic 23205
Prints the document using both sides of the paper, so you can turn through the pages like a traditional book.

.topic 0
Aligns the header text with the right margin.

.topic 22602
Inserts a new row between existing rows on the spreadsheet.

.topic 22954
Moves selected fields right until they align with the right edge of the right-most field.

.topic 22450
Lists the templates that were changed.

.topic 22391
Closes the dialog box without saving any changes.

.topic 22354
Sets the ending page for inserting multiple pages. To insert a single page, set this number to match the number in the From box.

.topic 22653
Specifies the distance between the left border of the field and the right border of the field.

.topic 22684
Moves to the previous field in the template.

.topic 22740
Closes the Order dialog box, applying the changes you have made.

.topic 22743
Moves to the first field in the template.

.topic 22746
Moves to the last field in the template.

.topic 22784
Shows part of the text used to create a strike-through or a barcode.

.topic 22862
Places the overflow reference to the addendum in the first field of the run-on group.

.topic 22867
In a multi-line field, sends only the text that doesn't fit in the field to the addendum.

.topic 22127
No help text available.

.topic 22807
Lets you enter any answer in the field. This can include text, dates, numbers, and so forth.

.topic 22802
Changes the field type to Edit. This allows users to enter any type of text in the answer field.

.topic 22132
Causes printed pages to print with the printed side down.

.topic 22832
Displays helpful information about the dialog box.

.topic 23183
Restores the default settings to all addendum properties.

.topic 23118
Specifies the minimum distance between the header and the top of the page.

.topic 0
Adds space to the footer text to make it extend from the left margin to the right margin.

.topic 0
Places the footer text an equal distance from the left and right edges of the page.

.topic 0
Adds space to the header text to make it reach from the left margin to the right margin.

.topic 0
Aligns the header text with the right and left margins of the page.

.topic 23028
Begins checking for overflow again.

.topic 23024
Removes the override property from the field, and places the cursor in the highlighted field so you can edit the answer. After the override is removed, the answer you enter must be appropriate to the variable type. For example, in a Number variable, you can only type digits, not characters. (HotDocs will warn you when you attempt to enter an incorrect answer.)

.topic 22976
Changes the height of all selected fields to match the selected field that is closest to the top-left corner.

.topic 22952
Moves selected fields left until they align with the left edge of the left-most field.

.topic 22541
Closes the Find Text String dialog box without searching for any text.

.topic 22404
Specifies which field properties will be applied.

.topic 22741
Closes the dialog box without saving any changes.

.topic 22762
Sets the bottom of the field to match the left edge of the page.

.topic 22763
Displays the Font dialog box where you can modify the font properties for the selected field.

.topic 22771
Specifies the distance to indent the first line of text in the selected field.

.topic 22780
Shows the title of the variable used to limit when users can provide answers for the selected field.

.topic 23331
Closes this dialog box without creating a new template file.

.topic 22100
No help text available.

.topic 22130
No help text available.

.topic 23050
No help text available.

.topic 22135
Allows you to print on the back of a page that has already been printed on. To do this, insert the page into the paper tray with the printed side down.

.topic 22542
Displays helpful information about the dialog box.

.topic 23127
Displays the Variable Field dialog box where you can create or select a variable to appear in the footer.

.topic 23125
Inserts vertical lines on both sides of the addendum, and inserts line numbering on the left edge of the page.

.topic 23120
Specifies the minimum distance between the footer and the bottom of the page.

.topic 22598
Closes the Specify dialog box without changing the magnification.

.topic 22631
Closes the dialog box without saving any changes.

.topic 22973
Leaves the field heights unchanged.

.topic 22959
Leaves the alignment of the fields unchanged.

.topic 22403
Opens a dialog box where you can locate and select the template that will be the pattern for changing other files.

.topic 22654
Specifies the distance between the top border of the field and the bottom border of the field.

.topic 22685
Moves to the next field in the template.

.topic 22752
Centers the text between the left and right borders.

.topic 22754
Adds spacing between words in multiple lines of text, so each line touches the left and right field borders.

.topic 22755
Places the first line of text next to the top border of the field.

.topic 22757
Places the last line next to the bottom border of the field.

.topic 22779
Displays the IF Field dialog box where you can create a condition to limit when users can provide answers for the selected field.

.topic 22787
Makes the selected field a strike-through field you can use to cross out static text on the document.

.topic 22790
Places a barcode in the selected field.

.topic 22834
Moves to the first field in the template.

.topic 22835
Moves to the previous field in the template.

.topic 22938
Measures page margins, indentation, and header/footer height using inches as the unit of measurement.

.topic 22133
No help text available.

.topic 23060
No help text available.

.topic 23087
Closes the dialog box and completes the selected task.

.topic 22090
Displays a calendar so you can select a date.

.topic 23232
Displays helpful information about the dialog box.

.topic 22242
Displays helpful information about the dialog box.

.topic 22974
Changes the height of all selected fields to match the shortest selected field.

.topic 22953
Moves selected fields left or right until they are centered, relative to each other.

.topic 0
Closes this dialog box without saving any changes.

.topic 22290
Continues the replace process using the information you have provided.

.topic 22773
Specifies the number of lines of text allowed in a multi-line field.

.topic 22774
Specifies the number of characters allowed in an edit field.

.topic 22775
Specifies the field type of the selected field.

.topic 22851
Resolves overflow in the selected field by automatically sending the answer to the addendum.

.topic 22857
Sends all information in the table to the addendum when a single cell overflows.

.topic 23001
Displays a pop-up window where you can provide the answers required for the current field to be active.

.topic 23004
Prevents the Inactive Field dialog box from being displayed in the future.

.topic 23058
Closes the Override Field dialog box without changing the selected field.

.topic 22136
No help text available.

.topic 23198
Continues to associate the interview properties for the form template with the template and not the component file. To change interview properties, you will need to change them here, rather than at Component File Properties.

.topic 24001
Determines the width of the narrowest bar in a printed bar code. The smaller
the number, the stricter the requirements are for printing the bar code. (For example, the bar code must be printed on higher quality paper, etc.)

.topic 23088
Closes the dialog box without completing the selected action.

.topic 23082
Sends all answers that overflow within the document to the addendum.

.topic 23081
Allows you to return to the template and manually address each answer that overflows.

.topic 22137
Allows you to print on the back of a page that has already been printed so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, insert the page into the paper tray with the top away from you.

.topic 22091
Displays one or more answer-gathering dialog so that you can provide an answer for the variable field.

.topic 22222
Displays helpful information about the dialog box.

.topic 23231
Closes the Body dialog box, ignoring any changes you have made.

.topic 23206
Prints the document using both sides of the paper, so you can lift the pages up, like a flip-chart.

.topic 23184
Uses inches for measuring the page margins, indentation, and height of the header/footer.

.topic 23117
Specifies the minimum distance between each addendum entry and the left edge of the page.

.topic 23107
Specifies the amount of space used for the header.

.topic 22107
Prints the template using both sides of the paper, so you can lift the pages up, like a flip-chart.

.topic 22970
Changes the width of all selected fields to match the selected field that is closest to the top-left corner.

.topic 22960
Moves selected fields up until they align with the upper edge of the upper-most field.

.topic 22402
Specifies the template used as a pattern for changing other files. This is a unique form template created especially for this process.

.topic 22836
Moves to the next field on the template.

.topic 22940
Uses centimeters for measurements in the addendum (for example, margin sizes and indenting).

.topic 24051
Lists all of the HotDocs field properties that may be different from the fillable fields in the underlying PDF. Select which properties you want to compare and click OK. (Clear any properties you don't want to compare.)

.topic 24052
Selects all of the HotDocs fields properties you want to compare against the fields in the fillable PDF.

.topic 24053
Clears all selected HotDocs field properties.

.topic 24054
Closes the dialog box and begins checking the fillable fields in the template.

.topic 24055
Closes the dialog box and cancels the Check Fillable Fields command.

.topic 21272
Indicates that the field property for the linked HotDocs field will be changed to match the properties specified for the fillable field.

.topic 24069
Shows the field property that is different between the HotDocs field and the fillable field.

.topic 24070
Shows the specific field property setting associated with the given HotDocs field.

.topic 24071
Shows the specific field property setting associated with the underlying fillable field.

.topic 24072
Displays the Check Fillable Fields Options dialog box, where you can change the selection of properties you want to compare.

.topic 24073
Changes the selected properties for the current HotDocs field only. HotDocs makes the change and then displays the next field comparison.

.topic 24074
Changes the selected properties for all HotDocs fields that have different properties from the fillable fields.

.topic 24075
Ignores the suggested changes for the current field.

.topic 24076
Ignores all suggested changes for all HotDocs fields that have different properties from the fillable fields.

.topic 24077
Cancels the Check Fillable Fields command and closes the dialog box without making any further changes.

.topic 24057
Creates a HotDocs field and links it to the current fillable field.

.topic 24058
Creates HotDocs fields and links them to all fillable fields currently not associated with a HotDocs field.

.topic 24059
Skips the current fillable field and doesn't create a linked HotDocs field.

.topic 24060
Skips all fillable fields in the template where no link field exists. No additional fields will be created.

.topic 24061
Cancels the Check Fillable Fields command.

.topic 24063
Links the current HotDocs field to the nearby fillable field.

.topic 24064
Links all potential HotDocs fields to the nearby fillable fields in the template.

.topic 24065
Skips linking the current HotDocs field to the nearby fillable field and searches for the next field to check fillable properties.

.topic 24066
Skips linking HotDocs fields for all possible fillable fields in the template.

.topic 24067
Cancels the Check Fillable Fields command.

.topic 22871
Specifies that a new addendum page should begin following this field, regardless of whether it overflows. Reference numbers for addendum items will also restart.

.topic 24006
Lets you select how foreign characters in the bar code should be encoded. Select UTF-8 to properly encode foreign characters. (Choosing ANSI encodes the text in non-Unicode format, which means if you use foreign characters in the text, these characters may not appear correctly.)

.topic 22818
Shows the name assigned to the fillable field. This name comes from Adobe Acrobat.

.topic 22793
Shows how thick the circled field's line will be.


HotDocs Help - .HFT, .HPT

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.HFT, .HPT

File name extension that designates that the file is a HotDocs form template.

Home > HotDocs Glossary of Terms > .HFT, .HPT


HotDocs Help - Hidden Data Remover Dialog Box

Hidden Data Remover Dialog Box

Caution: This option is available for Microsoft Word RTF templates only.
Note:To access this dialog box: Select a template or multiple templates in the template library. > Choose Hidden Data Remover (Tools menu).

By default, when working with Word RTF templates, Word stores extra information about changes you make to the template. Sometimes tracking these changes causes the size of the file with which you are working to increase. In some instances, you can keep Word from saving this information. Specifically, you can keep Word from saving random merge ID numbers as well as redundant metafile graphics.

Invisible Merge ID Marks

According to the Microsoft Word 2003 help file, Word uses "randomly generated numbers to help keep track of related documents for comparing and merging. Although these numbers are hidden, they could potentially be used to demonstrate that two documents are related." Each time you edit template text, these merge ID numbers are generated and saved to the template. If you frequently change the contents of a template, the size of the template will increase. If you rarely or never merge or compare templates, you can keep Word from generating these ID numbers.

To keep Word from generating merge ID numbers

  1. Open Microsoft Word.
  2. Choose Options from the Word Tools menu. The Options dialog box appears.
  3. Click the Security tab. The view changes to show the different security options you can choose for a template.
  4. In the Privacy options group, clear Store random number to improve merge accuracy.
Note:
  • Clearing this option is only applicable in Word 2002 and later.
  • Word 2007 users can access this setting by going to the Microsoft Office Button > Word Options > Trust Center > Trust Center Settings > Privacy Options > Store random number to improve Combine accuracy.
  • Word 2010 users can access this setting by going to File > Options > Trust Center > Trust Center Settings > Privacy Options > Store random number to improve Combine accuracy.

Redundant Metafile Graphics

According to a Microsoft Knowledge Base article, "if an EMF, a PNG, a GIF, or a JPEG graphic is inserted into a Word document, when the document is saved, two copies of the graphic are saved in the document. Graphics are saved in the applicable EMF, PNG, GIF, or JPEG format and are also converted to WMF (Windows Metafile) format."

To resolve the problem, you can specify a Windows registry setting that keeps Word from saving two copies of the image.

Caution: You must be extremely careful when working in the Windows registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.

To keep Word from saving two copies of graphics in your templates

  1. Close Word (if it's running.)
  2. Click Start > Run. The Run dialog box appears.
  3. In the Open box, type regedit and click OK. The Registry Editor opens.
  4. Navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > Version > Word > Options. (Replace Version with the version of Word you are using.)
  5. In the right pane of the window, right-click and choose New > String Value from the shortcut menu. A new string is created called New Value #1.
  6. Rename the value to ExportPictureWithMetafile. (To do this, you can choose Rename from the shortcut menu.)
  7. Once the name is changed, right-click on the string and choose Modify. The Edit String dialog box appears.
  8. In the Value data box, enter 0.
  9. Click OK.
Note: To remove merge ID numbers or extra metafile graphics from existing templates, see Remove Hidden Data from Word RTF Templates for details. To allow this data in templates but remove it from assembled documents, see Remove Hidden Data from Assembled Documents.

Home > Hidden Data Remover Dialog Box


HotDocs Help - HIDE

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HIDE

An instruction used in a dialog script to hide variables in the dialog. (See also SHOW.) Usually this instruction is conditioned so that questions in the dialog hide and show dynamically, based on answers the user enters.

Home > HotDocs Glossary of Terms > HIDE


HotDocs Help - HotDocs Automator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Automator

The tool used to automate form templates, or those templates whose underlying static text cannot be changed. Examples of form templates include tax preparation forms, applications, and so forth.

Home > HotDocs Glossary of Terms > HotDocs Automator


HotDocs Help - HotDocs Compare

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Compare

Caution:Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

A HotDocs add-in tool that is used to compare different versions of an assembled document. Using HotDocs Compare, users can take a "snapshot" of an assembled document, change some answers in the interview, and then compare the two versions.

Home > HotDocs Glossary of Terms > HotDocs Compare


HotDocs Help - HotDocs Database Connection

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Database Connection

A tool that provides the mapping needed to connect templates to a database. Answers can be retrieved from the database during the interview, which keeps users from manually having to enter their answers. (Starting with the release of HotDocs 2008, HotDocs Database Connection (the separate product) was fully integrated into all editions of HotDocs.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > HotDocs Database Connection


HotDocs Help - HotDocs Debugger

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Debugger

A tool used to systematically step through a script or template in order to examine how the script or template produced the result it did. The Debugger is typically used when the result is unexpected—it helps a template developer pin-point exactly what is happening so he or she can correct the problem creating the error.

Home > HotDocs Glossary of Terms > HotDocs Debugger


HotDocs Help - HotDocs Developer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Developer

A version of HotDocs that contains the tools necessary to automate a simple to highly complicated set of both text and form templates. It is also used to assemble both text and form templates. (See also HotDocs Developer LE.)

Note: Prior to the release of HotDocs 10, Developer was named Professional Edition.

Home > HotDocs Glossary of Terms > HotDocs Developer


HotDocs Help - HotDocs Developer LE

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Developer LE

A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Developer LE can also be used to assemble text and form documents. (See HotDocs Developer.)

Note: Prior to the release of HotDocs 10, Developer LE was named Standard Edition.

Home > HotDocs Glossary of Terms > HotDocs Developer LE


HotDocs Help - HotDocs Filler

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Filler

The application used to view assembled form documents.

Home > HotDocs Glossary of Terms > HotDocs Filler


HotDocs Help - HotDocs Options

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Options

A section of the software where template developers and end users can set their preferences for working with HotDocs.

Home > HotDocs Glossary of Terms > HotDocs Options


HotDocs Help - HotDocs Outliner

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Outliner

A tool that generates an outline of scripting in a Word template. This outline can include just a list of instructions used in the template, or it can include variables as well. Items in the outline appear in the same order as they are used in the template. Viewing this outline may help developers better understand the logic used in the template.

Home > HotDocs Glossary of Terms > HotDocs Outliner


HotDocs Help - HotDocs Outliner

HotDocs Outliner

Note:To access the HotDocs Outliner: Edit a template. > Click the HotDocs Outliner HotDocs Outliner button in the toolbar. (HotDocs Outliner is supported in only Microsoft Word 2000 and later. Only 32-bit versions of Word are currently supported.)

Using the HotDocs Outliner, you can generate an outline of scripting in the template. This outline can include just a list of instructions used in the template, or it can include variables as well. Items in the outline appear in the same order as they are used in the template.

You can expand the outline to view all nested instructions in the template. You can also click on entries in the outline and view where that particular variable or instruction is merged in the template (and vice-versa). You can also view a single variable or instruction and see just the conditions or instructions surrounding that particular instance.

Options Available

Name Arrange Windows: Places the HotDocs Outliner window next to the Word template window so you can view both windows simultaneously.

Name Expand All: Expands the list of items in the HotDocs Outliner to show all levels of instructions and variables.

Name Collapse All: Collapses the list of items in the HotDocs Outliner to show only first-level instructions and variables.

Name Refresh Outline: Updates the HotDocs Outliner with any changes you've made to text in the template.

Name Synch Template: Lets you view the template's cursor location in the outline. For example, when Synch Template is on, you can click in the template and have HotDocs show you where in the outline your cursor is positioned.

Name Show Variables: Includes variables in the list of instructions. Viewing variables in the context of their instructions can help you better understand scripting in the template.

Name Apply Colors: Displays the Apply Colors dialog box, where you can choose which coloring scheme should be used to identify variables and instructions in the outline.

Name Copy to Clipboard: Copies the contents of the outline to the Windows Clipboard so you can paste it in another application, such as a word processor.

Instruction List: Shows an outline of all scripting and variables used in the template. Viewing this condensed view of scripting can help you better understand the relationship between instructions and variables.

Limit to check box and drop-down list: Lets you view a specific variable in the template so you can see which instructions or conditions are associated with that specific variable. If you select <cursor position> from this list, you can click in a field in the template and view the same information. This helps you view scripting on a variable by variable basis.

Home > HotDocs Outliner


HotDocs Help - HotDocs PDF Advantage

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs PDF Advantage

A HotDocs add-in that allowed the creation and automation of PDF-based form templates, as well as the ability to save most types of documents as PDF (assembled or otherwise). From HotDocs 10 onwards, this is no longer a separate add-in, but is instead fully integrated into HotDocs.

Home > HotDocs Glossary of Terms > HotDocs PDF Advantage


HotDocs Help - HotDocs Player

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Player

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Player functions differently to HotDocs User, which can assemble any template created by HotDocs Developer. For more information, see HotDocs User.

Home > HotDocs Glossary of Terms > HotDocs Player


HotDocs Help - HotDocs Player Edition

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Player Edition

A version of HotDocs that is used for assembling published (and registered) templates.

Home > HotDocs Glossary of Terms > HotDocs Player Edition


HotDocs Help - HotDocs Professional Edition

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Professional Edition

Please see HotDocs Developer.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > HotDocs Professional Edition


HotDocs Help - HotDocs Server

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Server

The Web-based version of HotDocs. When using HotDocs Server, interviews are presented in a user's Web browser. Answers are then sent back to a server where the document can be assembled. HotDocs Server allows users to create documents and answer files without requiring them to have HotDocs installed on their desktop.

Home > HotDocs Glossary of Terms > HotDocs Server


HotDocs Help - HotDocs Standard Edition

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs Standard Edition

Please see HotDocs Developer LE.

Home > HotDocs Glossary of Terms > HotDocs Standard Edition


HotDocs Help - HotDocs User

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

HotDocs User

A version of HotDocs that is used for assembling any templates created using HotDocs Developer.

HotDocs User functions differently to HotDocs Player, which can only assemble registered templates. For more information, see HotDocs Player.

Home > HotDocs Glossary of Terms > HotDocs User


HotDocs Help - IF instruction (also ELSE IF, ELSE, END IF)

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

IF instruction (also ELSE IF, ELSE, END IF)

A set of instructions and expressions that control the inclusion and exclusion of optional text in a document. IF instructions are based on either True/False variables or true/false expressions. IF instructions can also be used to control whether certain instructions or expressions are processed in computation or dialog scripts.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > IF instruction (also ELSE IF, ELSE, END IF)


HotDocs Help - IF Expression Dialog Box

IF Expression Dialog Box

Note:To access this dialog box: Edit a template. > Click the IF Field IF Field button. > Choose IF Expression.

Often you have text in your template that you want to include or exclude based either on users' answers or on other conditions being met during the interview. For example, perhaps you need to include a list of minor children in the document; however, you only want this list to appear if the client is married and if the children are under the age of 18. To accomplish this, you can create a true/false expression. Like a True/False variable, an expression must result in either true or false for the text to be merged or excluded correctly. Expressions are often used when a simple True/False variable doesn't convey the condition you need.

To create an expression, you must create a script that tests whether certain conditions exist. For example, the expression YEARS FROM( Child’s Birth Date, TODAY ) produces a number (the age of a person), not a true or false value—it is not a True/False expression. But the expression YEARS FROM( Child’s Birth Date, TODAY ) <= 17 can only result in true or false. It is a True/False expression.

For specific details about items in this dialog box, please see the following topics:

  • Understand the HotDocs Scripting Language
  • Use the Script Editor
  • Use Operators When Scripting
  • Overview: Instruction and Expression Models
Note: To enter a comment or remark about the instruction field, click Show Advanced and enter the text in the Comment box. Comments can be used to describe the purpose of the instruction or provide explanatory text for the instruction.

Home > IF Expression Dialog Box


HotDocs Help - import

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

import

  1. When working with libraries, the process of copying template files into the currently viewed library. These files can be imported for assembly only or for editing and assembly.
  2. When working with answer files, the process of copying an answer file to the default Answers folder and then adding it to the answer library.

Home > HotDocs Glossary of Terms > import


HotDocs Help - inactive field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

inactive field

A form document field on which the user cannot directly enter an answer. Fields can be inactive for any number of reasons. For example, the field may be conditioned or it may contain a Computation variable. Frequently, a template developer provides an answer wizard to help the user answer all of the questions that will make the field active.

Home > HotDocs Glossary of Terms > inactive field


HotDocs Help - infinite loop

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

infinite loop

The process of a HotDocs script repeatedly reprocessing itself until HotDocs stops responding. For example, a computation can repeatedly scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to what is called the processing stack. If too much information gets added to this stack, HotDocs may get into an infinite loop and stop responding.

Home > HotDocs Glossary of Terms > infinite loop


HotDocs Help - inserted dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

inserted dialog

See child dialog.

Home > HotDocs Glossary of Terms > inserted dialog


HotDocs Help - inserted template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

inserted template

A template that is inserted into another template using an INSERT instruction.

Home > HotDocs Glossary of Terms > inserted template


HotDocs Help - INSERT Field Dialog Box

INSERT Field Dialog Box

Note:To access this dialog box:Edit a text template. > Click the INSERT Field INSERT Field button.

At the INSERT Field dialog box, you can choose to insert a template, a graphic, a clause, or a clause library.

Options Available

INSERT Template: Inserts an instruction into the template that will cause another template to be assembled when the instruction is processed during document assembly. You can click the Open Open button to select the template.

INSERT Image: Inserts a graphic file into the template. Supported file types include JPG, PNG, and GIF. You can also insert an RTF document that contains an image.

INSERT Clause: Either converts the selected template text into a clause, or selects an existing clause from the drop-down list and inserts an instruction for using it into the template. If creating a new clause, you must assign a name to the clause. Optionally, you can select INSERT clause only IF selected to allow users to choose whether they want the clause text inserted.

INSERT Clause Library: Inserts an instruction into the template that will display a clause library during assembly. Users can choose clauses from the library and the clause text will be inserted at that point in the document. You must click the Open Open button to select the clause library you want to insert.

Keep header of inserted template: Assigns the header defined in the inserted template to the parent document, rather than using the header defined in the parent template.

Keep footer of inserted template: Assigns the footer defined in the inserted template to the parent document, rather than using the footer defined in the parent template.

Variable INSERT: Lets you use a variable INSERT in the template, which allows you to specify the template’s file name during document assembly, rather than during template development. The Type of variable you insert must accept text as an answer. As such, you must use a Text variable, a Multiple Choice variable, or a Computation variable that produces a text result.

Variable: Specifies the name of the variable that will be used for the variable INSERT instruction.

Note:
  • To enter a comment or remark about the instruction field, click Show Advanced and enter the text in the Comment box. Comments can be used to describe the purpose of the instruction or provide explanatory text for the instruction.
  • HotDocs Automator does not support the insertion of clauses or images in form templates. Additionally, Automator does not support variable INSERTs. Therefore, some of the options shown in this help topic may not apply if you are automating a form template.

Home > INSERT Field Dialog Box


HotDocs Help - INSERT instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

INSERT instruction

An instruction that inserts one template into another. For example, if boilerplate text needs to be used in multiple documents, a template that contains that text can be created and inserted in each template that requires it (via an INSERT instruction). This way, if changes need to be made to the text, the change has to be made in only one template.

Home > HotDocs Glossary of Terms > INSERT instruction


HotDocs Help - Install Start Menu Shortcut

Install Start Menu Shortcut

Note:To access this dialog box: At the HotDocs library, choose Install Templates (File menu).

Sometimes, when you install a template set, HotDocs adds a shortcut for the template library to the Start menu. In this case, the template set publisher is allowing you to choose where you want the shortcut item. You can type a new folder name in the Start menu folder box, or you can select an existing program folder from the Existing folders list. Once the shortcut is added to the Start menu, you can launch the template library using it.

Home > Install Start Menu Shortcut


HotDocs Help - Install Template Set Dialog Box

Install Template Set Dialog Box

Note:To access this dialog box: At the HotDocs library, choose Install Templates (File menu).

When you install a template set, you must choose locations on your local disk or network where the library file and the templates contained in the auto-install file should be saved.

Options Available

Specify where the templates should be installed: Accept the suggested Template Sets folder location, or click the Browse Browse button to choose a different location.

Choose where the library file should be installed: Click the drop-down button and choose whether to save the library to the shared Templates folder, the user-specific Libraries folder, or, if you installed the templates to a custom folder, to the same folder as specified for the templates.

Once specified, HotDocs copies the library and the templates to the locations specified. If the template set publisher has allowed it, it may also add a shortcut for the template set to the Start menu.

Note: If you are updating a template set, these options will be disabled. However, you will be able to see where the files will be copied.

Home > Install Template Set Dialog Box


HotDocs Help - Install Templates Password Dialog Box

Install Templates Password Dialog Box

Note:To access this dialog box: At the HotDocs library, choose Install Templates (File menu).

In order to install this file and use the template library and/or associated templates, you must first specify a password. If you are not certain what the password is, contact the template set publisher.

Home > Install Templates Password Dialog Box


HotDocs Help - instant update

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

instant update

A command in the HotDocs assembly window that, when selected, updates the interview every time a user enters or changes an answer in the interview. Sometimes this updating may cause HotDocs to behave sluggishly as users move between answer fields. In such cases, the user can turn the instant update command off. Then HotDocs will update the interview only as it needs to.

Home > HotDocs Glossary of Terms > instant update


HotDocs Help - instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

instruction

A command in a script or template that performs a special task, such as inserting a template or asking a dialog at a specific place in the interview.

Home > HotDocs Glossary of Terms > instruction


HotDocs Help - intake interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

intake interview

See interview template.

Home > HotDocs Glossary of Terms > intake interview


HotDocs Help - interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

interview

A presentation of questions that must be answered in order to create an assembled document. The interview is viewable by clicking the Interview tab of the assembly window.

Home > HotDocs Glossary of Terms > interview


HotDocs Help - interview component

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

interview component

A computation script that defines how a custom interview will look and function. An interview component usually includes ASK instructions to ask all of the dialogs/variables in the interview. The script frequently includes other instructions, such as REPEAT instructions and INSERT instructions as well as conditions for using these instructions. The name of this component is defined at the Component File Properties dialog box.

Home > HotDocs Glossary of Terms > interview component


HotDocs Help - interview outline

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

interview outline

The leftmost pane of the assembly window that lists all of the dialogs in the interview. Viewing the outline shows the natural progression of the interview. Icons in the outline also indicate whether questions in the associated dialog are completely answered, partially answered, or not answered at all.

Home > HotDocs Glossary of Terms > interview outline


HotDocs Help - Interview tab

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Interview tab

A tab of the assembly window that shows the outline of questions in the interview as well as the dialogs that contain the questions. Users enter answers while viewing the Interview tab. (See also interview.)

Home > HotDocs Glossary of Terms > Interview tab


HotDocs Help - interview template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

interview template

A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from.

Home > HotDocs Glossary of Terms > interview template


HotDocs Help - iteration

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

iteration

One instance of a repeated dialog.

Home > HotDocs Glossary of Terms > iteration


HotDocs Help - JS files

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

JS files

Stands for JavaScript files, which are used to display interviews in a Web browser. When templates are published for use with HotDocs Server, HotDocs generates these JavaScript files for the interview.

Home > HotDocs Glossary of Terms > JS files


HotDocs Help - Keyboard Shortcuts for Answer File Manager

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for Answer File Manager

To Do This | Press This
Tab between the item list and the Find options | Tab / Shift+Tab
Switch between Properties and Contents tabs | Ctrl+Tab
Open the Item Properties dialog box for the currently selected answer file | Alt+Enter
Remove the answer file from the library | Delete
Move the selected item up or down in the list | Alt+Up Arrow / Alt+Down Arrow
Expand or collapse a folder | Right Arrow / Left Arrow
Copy the selected answer file | Ctrl+C
Create a new answer file | Ctrl+N
Cut the selected item or text | Ctrl+X
Close Answer File Manager | Ctrl+W or Alt+F4
Switch between the answer file list and the Preview pane | F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Access the Answer File Manager toolbar | F10

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for Answer File Manager


HotDocs Help - Keyboard Shortcuts for a Clause Library at the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for a Clause Library at the Assembly Window

To Do This | Press This
Move a clause from the Available list to the Selected list | Insert
Remove a clause from the Selected list | Delete
Move to the top of the clause list | Home
Move to the bottom of the clause list | End
Move the selected clause up in the Selected list | Alt+Up Arrow
Move the selected clause down in the Selected list | Alt+Down Arrow

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for a Clause Library at the Assembly Window


HotDocs Help - Keyboard Shortcuts for the Comparison Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Comparison Tab of the Assembly Window

The shortcut commands for the Comparison tab are identical to those for the Document Preview tab, with the following changes:

To Do This | Press This
Move to the next difference in the document | Tab
Move to the previous difference in the document | Shift+Tab
Send the comparison document to the word processor | F11
Save the comparison document to disk | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Comparison Tab of the Assembly Window


HotDocs Help - Keyboard Shortcuts at Component Manager

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts at Component Manager

To Do This | Press This
Move between the different elements in Component Manager | Tab / Shift Tab
Edit the selected component | Enter
Open the Component File Properties dialog box | Alt+Enter
Insert the selected component in the template | Insert
Remove the selected component(s) from the component file | Delete
Open the Components drop-down list to view all available options | Alt+Down Arrow
Copy components between two open component files | Alt+Left Arrow / Alt+Right Arrow
Select all components in the list | Ctrl+A
Create a copy of a component (or group of components, if multiple components are selected) | Ctrl+C
Edit the currently selected component | Ctrl+E
Search each component in the list for a specific word or phrase | Ctrl+F
Search each component in the list for a specific word or phrase and replace it with a new word or phrase | Ctrl+H
Create a new component | Ctrl+N
Print a list of components and their properties | Ctrl+P
Close Component Manager | Ctrl+W or Alt+F4
Open the HotDocs Help window | F1
Display the What's This? Help cursor | Shift+F1
Display the What's This? Help text | Ctrl+F1
Rename the selected component(s) | F2
Check the spelling of text used in components | F7
Access the Component Manager toolbar | F10
Display the Component Manager shortcut menu | Shift+F10

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts at Component Manager


HotDocs Help - Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

To Do This | Press This
Tab through answers field in the document | Tab / Shift+Tab
Switch between tabs of the assembly window | Ctrl+Tab
Open a pop-up interview for the current answer field (Word users only) | Enter
Open the Document Text Editor for the section of editable text (Word users only) | Enter
Move through each unanswered question in the document (Word users only) | Ctrl+Down Arrow / Ctrl+Up Arrow
Move through each section of editable text (Word users only) | Ctrl+Shift+Down Arrow / Ctrl+Shift+Up Arrow
Select all of the text in the document | Ctrl+A
Copy the selected text to the Clipboard | Ctrl+C
Search through the document text for a specific word or phrase | Ctrl+F (Press F3 to find the next instance)
Move your cursor to a specific line number or character position in the document | Ctrl+G
Use a new, untitled answer file during the current interview | Ctrl+N
Open Answer File Manager | Ctrl+O
Save the current answer file | Ctrl+S
Close the assembly window | Ctrl+W or Alt+F4
Print a copy of the assembled document | Ctrl+P
Zoom in or out on the document text | Ctrl+= / Ctrl+-
Access the assembly window menu bar | F10
Send the assembled document to the word processor or HotDocs Filler | F11
Copy the assembled document to the currently open word processor document | Shift+F11
Copy the assembled document to the Clipboard | Ctrl+F11
Save the assembled document to disk | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Document Preview Tab of the Assembly Window


HotDocs Help - Keyboard Shortcuts for the Form Document Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Form Document Tab of the Assembly Window

To Do This | Press This
Move between the different answer fields of the form document | Tab / Shift+Tab
View a pop-up interview for the selected field | Enter
View the Field Properties dialog box for the current field | Alt+Enter
Display the full list of options for a drop-down field | Alt+Down Arrow
Move between unanswered fields on the form | Ctrl+Down Arrow / Ctrl+Up Arrow
Select all of the text in a field, or, if your cursor isn't on a field, select all of the fields on the form page | Ctrl+A
Copy the selected text or fields to the Clipboard | Ctrl+C
Change the font properties of the selected field(s) | Ctrl+D
Go to a specific page in the form | Ctrl+G
Move between the fields in the document where the same answer is merged | Ctrl+M / Ctrl+Shift+M
Create a new answer file for use during the current interview | Ctrl+N
Open Answer File Manager so you can choose a different answer file for the current interview | Ctrl+O
Print a copy of the form document | Ctrl+P
Save the current answer file | Ctrl+S
Paste the contents of the Clipboard | Ctrl+V
Close the assembly window | Ctrl+W
Cut the selected text or field to the Clipboard | Ctrl+X
Zoom in or out on the form | Ctrl+= / Ctrl+-
Switch between the document pane and the resource pane | F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Check the spelling of answers on the form | F7
Display the page width of the form | F9
Display the full page of the form | Shift+F9
Access the assembly window menu bar | F10
Send the assembled document to HotDocs Filler | F11
Save a copy of the assembled document to disk | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Form Document Tab of the Assembly Window


HotDocs Help - General Keyboard Shortcuts

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

General Keyboard Shortcuts

To Do This | Press This
Display all of the options in a drop-down list | Alt+Down Arrow
Move items up or down within a list (for example, the Contents list of the Dialog Editor) | Alt+Down Arrow / Alt+Up Arrow
Edit the selected component | Ctrl+E
Create a new component | Ctrl+N
Close the open component editor and cancel your changes | Ctrl+W
Move between HotDocs windows | Alt+F6
View a shortcut menu | Shift+F10
Move between the different tabs of a window | Ctrl+Tab
Access the buttons in a toolbar (when no menu is provided) | F10
Open the HotDocs Help | F1
Display the What's This? Help cursor | Shift+F1
Display the What's This? Help text for a selected element | Ctrl+F1

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > General Keyboard Shortcuts


HotDocs Help - Keyboard Shortcuts for the Interview Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Interview Tab of the Assembly Window

To Do This | Press This
Tab through answer fields in a dialog | Tab / Shift+Tab
Move to the next dialog in the interview | Enter
Insert a paragraph end in a multi-line answer | Ctrl+Enter
Move to the next dialog or the previous dialog in the interview | Page Down / Page Up
Move to the next unanswered dialog or previous unanswered dialog in the interview | Ctrl+Page Down / Ctrl+Page Up
Move through each unanswered question in a dialog | Ctrl+Down Arrow / Ctrl+Up Arrow
View all answers in a drop-down list | Ctrl+Down Arrow
Display the calendar for a date field | Alt+Down Arrow
Collapse or expand dialogs in the interview outline | Left Arrow / Right Arrow
Use a new, untitled answer file during the current interview | Ctrl+N
Open Answer File Manager | Ctrl+O
Save the current answer file | Ctrl+S
Indent the text in a multi-line answer file | Ctrl+T
Close the assembly window | Ctrl+W or Alt+F4
Display the resource for a field in a pop-up window | Alt+F1
Switch between the Answer File drop-down menu, the interview outline, the dialog pane, and the resource pane | Alt+Enter
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Check the spelling of answers in the interview | F7
Access the assembly window menu bar | F10
Send the assembled document to the word processor or HotDocs Filler | F11
Copy the assembled document to the currently open word processor document | Shift+F11
Copy the assembled document to the Clipboard | Ctrl+F11
Save the assembled document to disk | F12
Send the assembled document to the word processor and close HotDocs | Ctrl+F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Interview Tab of the Assembly Window


HotDocs Help - Keyboard Shortcuts for JavaScript Interviews

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for JavaScript Interviews

Navigation Bar

To Do This | Press This
Go to First dialog | Ctrl+Home
Previous Unanswered dialog | Ctrl+PgUp
Previous dialog | PgUp
Next dialog | PgDn
Next Unanswered dialog | Ctrl+PgDn
Go to Last Dialog | Ctrl+End

Spreadsheet Bar

To Do This | Press This
Edit Row | Ctrl+Enter
Insert Row | Ctrl+Insert
Delete Row | Ctrl+Del

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for JavaScript Interviews


HotDocs Help - Keyboard Shortcuts at Template Library

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts at Template Library

To Do This | Press This
Tab between the item list and the Find options | Tab / Shift+Tab
Switch between Properties and Preview tabs | Ctrl+Tab
Assemble the currently selected template | Enter
Edit the currently selected template | Shift + Enter
Create a new template | Ctrl+Enter
Open the Item Properties dialog box for the currently selected folder or item | Alt+Enter
Remove the template from the library | Delete
Collapse and expand the currently selected folder | Left Arrow / Right Arrow
Move through items in the library list | Up Arrow / Down Arrow
Move the selected item up or down in the list | Alt+Up Arrow / Alt+Down Arrow
Copy the selected item | Ctrl+C
Create a new library | Ctrl+N
Open an existing library | Ctrl+O
Print a copy of the item list | Ctrl+P
Cut the selected item or text and place a copy of it on the Clipboard | Ctrl+X
Open the HotDocs Help file | F1
Display the What's This? Help cursor | Shift+F1
Display the What's This? Help text for the currently selected interface element | Ctrl+F1
Close the template library | Alt+F4
Move focus to a different pane in the library | F6
Move between HotDocs windows | Alt+F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Access the library menu bar | F10
Display a shortcut menu | Shift+F10
Save a new copy of the library | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts at Template Library


HotDocs Help - Keyboard Shortcuts at the Script Editor

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts at the Script Editor

To Do This | Press This
Move through the elements in the editor | Tab / Shift+Tab
Merge a paragraph break in a script | Ctrl+Enter
Merge just the highlighted component or model in the Script box | Insert
Display an Auto Complete list of keywords and component names so you can more easily enter the correct syntax for a script | Ctrl+Space
Switch between the different tabs of the component editor | Ctrl+Tab
Highlight all of a script | Ctrl+A
Copy the highlighted script to the Clipboard | Ctrl+C
Edit the currently selected component | Ctrl+E
Search through the Script box for a specific word or phrase | Ctrl+F
Go to a specific line number or character position in the script | Ctrl+G
Search through the Script box for a specific word or prhase and replace it with a different word or phrase | Ctrl+H (Use F3 to find the next instance of text for which you are searching.)
Indent the selected script text | Ctrl+I
Place comment markers before the selected text | Ctrl+K
Remove any comment markers from the selected text | Ctrl+Shift+K
Find the matching IF or REPEAT instruction (Place your cursor in the instruction before issuing the command) | Ctrl+M
Highlight a block of script starting with the opening instruction and ending with the closing instruction Place your cursor in the instruction before issuing the command) | Ctrl+Shift+M
Create a new component | Ctrl+N
Insert a tab in the selected block of script | Ctrl+T
Paste the text on the Clipboard in the script | Ctrl+V
Close the Computation Editor without saving your changes | Ctrl+W or Alt+F4
Cut the selected script and place it on the Clipboard | Ctrl+X
Reapply a change you just undid | Ctrl+Y
Undo a change | Ctrl+Z
View an auto-complete list of just components | F5
View an auto-complete list of just scripting keywords | Shift+F5
View a status hint for the component or keyword you are currently viewing (where your cursor is) | F7
Indent all pairs of IF and REPEAT instructions, based on their level of insertion | F8
Access the script editor toolbar | F10

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts at the Script Editor


HotDocs Help - Keyboard Shortcuts for Silverlight Interviews

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Component Manager
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts at the Script Editor
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for Silverlight Interviews

Navigation Bar

To Do This | Press This
Go to First dialog | Ctrl+Home
Previous Unanswered dialog | Ctrl+PgUp
Previous dialog | PgUp
Next dialog | PgDn
Next Unanswered dialog | Ctrl+PgDn
Go to Last Dialog | Ctrl+End

Spreadsheet Bar

To Do This | Press This
Edit Row | Ctrl+Enter
Insert Row | Ctrl+Insert
Delete Row | Ctrl+Del

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for Silverlight Interviews


HotDocs Help - keywords

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

keywords

A broad term used to describe scripting instructions, expressions, and operators. Keywords are used in a script and generate values or perform certain tasks.

Home > HotDocs Glossary of Terms > keywords


HotDocs Help - label

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

label

  1. In a text template, an identification assigned to a REPEAT, IF, or SPAN instruction to help the template developer identify the instruction in relation to other instructions in the template.
  2. In a form document, the text that is merged in a field when an answer overflows and is sent to the addendum. (See also reference.)

Home > HotDocs Glossary of Terms > label


HotDocs Help - layout

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

layout

The placement of variables in a dialog. This appearance is controlled at the Layout tab of the Dialog Editor.

Home > HotDocs Glossary of Terms > layout


HotDocs Help - library

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

library

A window used to display and organize templates. The library does not store the actual files—instead, it contains shortcuts (or links) to the files, which are stored on disk. In addition to the template library, HotDocs also uses an answer library, which is more commonly known as Answer File Manager.

Home > HotDocs Glossary of Terms > library


HotDocs Help - LIMIT instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

LIMIT instruction

An instruction that controls the number of iterations in a repeated dialog. For example, if a dialog should be repeated only four times, a repeat LIMIT of 4 can be assigned to the dialog.

Home > HotDocs Glossary of Terms > LIMIT instruction


HotDocs Help - line break

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

line break

A code in a Word document that indicates that text should appear on a new line within the same paragraph. For example, if the user must enter separate lines in a single paragraph (such as lines in an address), a line break should be used. (See also paragraph mark.)

Home > HotDocs Glossary of Terms > line break


HotDocs Help - linked field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

linked field

Represents a HotDocs field in a fillable PDF template that is associated with an Adobe fillable field. By creating this association between a HotDocs field and a fillable field, template developers can create HotDocs fields that precisely match fields in the underlying PDF. Users who assemble the document can then edit answers associated with linked/fillable fields in the saved PDF.

Home > HotDocs Glossary of Terms > linked field


HotDocs Help - Linked Variables Warning Dialog Box

Linked Variables Warning Dialog Box

Note:To access this dialog box: Edit a dialog component. > Drag an already linked variable to the dialog's Contents list.

When you add a variable to a custom dialog, HotDocs creates a link between the two so that when HotDocs processes the variable during the interview, it knows to display the dialog to which the variable is linked. This linking, however, limits your ability to use a variable in more than one dialog. To use a variable in two different dialogs, one of the dialogs must have the Link variables to this dialog option cleared. Otherwise, when you add the variable to the second dialog, it is removed from the first dialog.

Options Available

Click Yes at this dialog box to remove the variable from the dialog to which it is currently linked. This may create problems when you attempt to assemble the document.

Click No at this dialog box to return to the Dialog Editor where you can choose which dialog should have the link to the variable.

Note: If you are ever uncertain about which dialog contains the link to the variable, you can find out by double-clicking the variable in the Components list. When the Variable Editor appears, click the Used In tab. It will tell you the name of the dialog that is currently linked to the variable. While at the Used In tab of the Variable Editor, you can double-click the dialog name and clear the Link variables to this dialog option (Options tab of the Dialog Editor). (The Used In tab also includes references to other dialogs and components that may use the variable.)

Home > Linked Variables Warning Dialog Box


HotDocs Help - list

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

list

Two or more answers to one question merged in the document.

Home > HotDocs Glossary of Terms > list


HotDocs Help - manual index

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

manual index

See explicit index.

Home > HotDocs Glossary of Terms > manual index


HotDocs Help - map, mapping

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

map, mapping

See variable mapping.

Home > HotDocs Glossary of Terms > map, mapping


HotDocs Help - mark up, markup

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

mark up, markup

The formatting applied to a Word template or an assembled Word document that shows simplified template development marks. For example, when viewed in Markup View, variables in a template appear between brackets rather than chevrons. (See also Markup View.)

Home > HotDocs Glossary of Terms > mark up, markup


HotDocs Help - Markup View

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Markup View

A view that shows a simplified version of a Word template or an assembled document. This simplified view may be useful if a non-HotDocs user must review the template or document. When viewing a template or document in Markup View, variable and answer fields are marked using brackets.

Home > HotDocs Glossary of Terms > Markup View


HotDocs Help - merge field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

merge field

  1. During template development, the place in the template where a variable is inserted.
  2. During document assembly, the place where the user's answer will be inserted.

Home > HotDocs Glossary of Terms > merge field


HotDocs Help - merge text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

merge text

The text that will be merged in a document if a user chooses a specific Multiple Choice variable option. For example, if a user chooses Male as the option, a masculine pronoun such as he or his can be merged instead of Male.

Home > HotDocs Glossary of Terms > merge text


HotDocs Help - Windows System Registry Definition

Windows System Registry Definition

The Windows System Registry is a central hierarchical database in Windows used to store information necessary to configure the system for one or more users, programs, and hardware devices. The Registry contains information that Windows continually references during operation, such as profiles for each user, the programs installed on the computer and the types of documents each can create, property sheet settings for folders and program icons, what hardware exists on the system, and which ports are being used. (Taken from the Microsoft Press Computer Dictionary, Third Edition. Copyright © 1998 Microsoft Press.)

Home > Windows System Registry Definition


HotDocs Help - model

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

model

A tool in the script editor that template developers can use in writing scripts. A model shows the full instruction or expression—including any placeholders that must be replaced for the script to work correctly. Developers can drag these models from their respective lists and then replace the placeholders with the appropriate values.

Home > HotDocs Glossary of Terms > model


HotDocs Help - Multiple Assemblies Dialog Box

Multiple Assemblies Dialog Box

Note:To access this dialog box: Select a template. > Click Assemble Assemble. > While the first document is assembling, select another template and click Assemble Assemble.

HotDocs will allow you to assemble only one document at a time. If you are currently assembling a document and you attempt to assemble another one, HotDocs will add it to the assembly queue and it won't be assembled until the current assembly is complete. If there are multiple templates in the queue, HotDocs will assemble them in the order they are added. (See Use the Assembly Queue.)

Options Available

Click Yes to add the template to the queue. Once you have completed the current assembly (and any others that are already listed in the queue), this template will be assembled.

Click No to keep the template from being added to the queue.

Select Don't warn me about multiple assemblies again to keep this message from appearing. The next time you attempt to assemble a document when HotDocs is already busy assembling, the template will be added to the queue.

Note: To view the assembly queue, click the Assembly Queue Assembly Queue button in either the library window toolbar or the assembly window toolbar.

Home > Multiple Assemblies Dialog Box


HotDocs Help - Multiple Choice variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Multiple Choice variable

A type of component that merges a predefined answer in the document.

Home > HotDocs Glossary of Terms > Multiple Choice variable


HotDocs Help - navigation bar

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

navigation bar

  1. In an interview (at the Interview tab), the toolbar used to move from dialog to dialog.
  2. In a document (at the Document tab), the toolbar used to move between merged answers in a document.

Home > HotDocs Glossary of Terms > navigation bar


HotDocs Help - nested repeat

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

nested repeat

A repeated dialog that is nested within another repeated dialog.

Home > HotDocs Glossary of Terms > nested repeat


HotDocs Help - New and Enhanced Features of HotDocs 6.1

New and Enhanced Features of HotDocs 6.1

The following features and enhancements were implemented for the release of HotDocs 6.1:

Template Development

New word processor support: HotDocs version 6.1 is now supported for use with Microsoft Word 2003 and WordPerfect 11.

Use the new script editor: Several enhancements were made to the way you write computation, dialog, and expression scripts. These include customizable color coding for the different keywords and placeholders in a script, as well as Auto Complete functionality that allows you quicker access to instruction and expression keywords and component names. Additionally, you can more easily 'comment' blocks of script, and match IFs with END IFs (and REPEATs with END REPEATs), among other things.

Additionally, now, when including literal text strings in computation scripts, it is much easier to insert return characters as well as tabs.

Caution: In previous versions of HotDocs, returns produced from computations were treated as paragraph marks. However, in HotDocs 6.1, they are now treated as line breaks. You should check existing automation in your template to make sure this change does not create problems.

Support for HotDocs Database Connection 6.1: The HotDocs Database Connection has been updated to work with HotDocs 6.

Control answer field widths: Template developers can now specify answer field widths for both regular answer fields and spreadsheet column widths. These changes are made at each variable's Variable Editor. (Make your changes at the Advanced tab.)

Tighter integration with document management programs: Those integrating with document management systems now have greater control over the format of their saved answer files and assembled documents. These options are specified at the HotDocs Options dialog box, in the File Management folder (and the subsequent Advanced ODMA Settings folder).

Customize the library Properties tab: HTML-savvy developers can customize the Properties tab of the library window using custom HTML pages. Properties pages can be customized for individual files in the library, for a single library as a whole, for the main folder in a library, or for all libraries.

Duplicate button improved: The Duplicate Variables Duplicate button functionality (in Component Manager) has been improved. Template developers can duplicate a single variable, or they can 'batch' duplicate several variables at once.

Better control over inserted templates: HotDocs no longer tries to enforce the requirement that inserted files (such as templates and clause libraries) must be in the same folder as the host template. If the inserted file exists in a different folder, however, the path to that folder must be specified in the instruction.

Changes to CLEAR and ADD: When using the CLEAR and ADD instructions to populate a Multiple Choice variable, you can also ADD prompts for the options.

@COMPUTE and @EXECUTE supported: The instructions, @COMPUTE and @EXECUTE are now officially supported for use in dialog components.

Publish templates with ASSEMBLE instructions: When publishing templates, you can now select to automatically publish any templates used in INSERT and ASSEMBLE instructions. (Previously, HotDocs would include templates specified only in INSERT instructions if this option were selected.)

Add templates to a library using drag-and-drop: In addition to using the Add Template Add Template button or command to add templates to the HotDocs library, you can now drag templates (text, form, and interview) from Windows Explorer to the HotDocs template library list.

Copy components both ways using Component Manager: When you are displaying a second component list at Component Manager, you can now copy components from the current component list into it. You can also delete and rename components in this second list.

Document Assembly

Selecting child dialogs: Selecting grouped child dialogs in an interview is now more intuitive—you can either select the preceding check box (or option button) and then click the child dialog icon to display the dialog, or you can click the child dialog icon immediately. Doing this selects the check box (or option button) for you. (Selecting the check box or option button is imperative because it tells HotDocs to add the child dialog to the interview outline. It also lets you test whether a child dialog has been answered, as well as set a child dialog’s answered status to true or false.)

Viewing resources: Resources assigned to both variables and dialogs now appear simultaneously in the Resource pane. (Before, either the variable or the dialog had to have 'focus' for its corresponding resource to be visible.)

Improvements to overall assembly process: Several changes have been made to improve interview speed as well as dialog navigation.

Customize dialog pane colors: You can now change the background color of the dialog pane in the assembly window. These changes are specified at the HotDocs Options dialog box.

Better document preview for Word templates: When previewing a Word template or assembled document, you can now get a much truer view of the document.

HotDocs Automator

Start HotDocs Automator from library window: You can now start HotDocs Automator from the Tools menu of the HotDocs template library.

New tools: HotDocs includes a new Fill Fields Fill Fields tool, which allows you to type text directly in the field. Improvements were also made to existing tools.

Creating form templates: If you create a new form template from Automator, HotDocs will first ask which type of form you want to create—a HotDocs form template (HFT) or a HotDocs PDF template (HPT).

Handling form overflow: When you print an assembled PDF-based form document, and the document contains unresolved answer overflow, HotDocs gives you three options for resolving the overflow: 1) review and change the answers or field properties, 2) send all overflowing answers to the addendum, or 3) ignore the overflow and leave the answer truncated.

Viewing thumbnails: If you are viewing thumbnails in HotDocs Automator or HotDocs Filler, HotDocs highlights the page number of the form page being viewed. This makes it easier to identify the thumbnail for the page you are currently viewing, especially in a form that contains many pages.

Send addendum to word processor: If an addendum is created during assembly, you can now send the addendum directly to the default word processor, rather than the Clipboard. (This option is only available from the HotDocs assembly window. It is not available in HotDocs Filler.)

Home > New and Enhanced Features of HotDocs 6.1


HotDocs Help - New and Enhanced Features of HotDocs 6.1 SP1

New and Enhanced Features of HotDocs 6.1 SP1

The following features and enhancements were implemented for the release of HotDocs 6.1 Service Pack 1:

Template Development

Auto complete while typing component names: As you are creating components, HotDocs can now automatically complete the component name if what you are typing matches the name of an existing component. This was implemented to help you distinguish between new and existing components. (You can disable this feature at Tools > HotDocs Options > Template Development.)

Default Multiple Choice variable to multiple values: Multiple Choice variables that have the Select All That Apply property set can now be defaulted to multiple values using the Automatically select this option check box at the Options tab.

SET Multiple Choice variable to multiple values: Multiple Choice variables that have the Select All That Apply property set can now be SET to multiple values using an instruction (for example, SET MC Variable TO "Option 1|Option 2|Option 3"). (You must use the vertical bar character as the separator between options.)

LIMIT allows numeric expression: The LIMIT instruction now accepts a numeric expression. (Previously you had to use a single variable to specify the limit.)

Force a paragraph break in text answers: Text variables now include a property called Enter key in multi-line answers inserts new paragraph mark (¶). This allows you to control what kind of break is inserted into multiple-line text when the user presses Enter. Because of this change, the option Enter key action in multiple-line fields was removed from HotDocs Options.

Drag variables from Component Manager to Automator: You can now drag variables from Component Manager and drop them directly on a form field in HotDocs Automator. If no field exists where the dropping occurs, a default field will be created.

Document Assembly

Bypass assembly window: You can now select an option at the Answer File dialog box at the beginning of an interview that allows you to skip the assembly window and immediately view the assembled document.

Check spelling of answers: You can now spell check answers at the Interview and Form Document tabs of the assembly window.

Home > New and Enhanced Features of HotDocs 6.1 SP1


HotDocs Help - New and Enhanced Features of HotDocs 6.2

New and Enhanced Features of HotDocs 6.2

The following features and enhancements were implemented for release of HotDocs 6.2:

Default File Locations

Several changes were made to default file locations HotDocs uses.

Template Development

New word processor support: HotDocs version 6.2 is now supported for use with WordPerfect 12.

Troubleshoot problems in templates or scripts: You can now insert a DEBUG instruction either in your scripts or in your templates to help diagnose problems with automation. The HotDocs Debugger lets you step through a template field by field, or through a script line by line. It also lets you track variable answers as they change during the interview. Finally, it lets you view the sequential list of templates and components you are processing. This can help you understand the path of execution.

Repeatedly loop through an answer or set of answers: The WHILE EXPRESSION instruction allows you to repeatedly process (or loop through) an answer or set of answers until a certain condition is met, such as a certain answer is found or a limit is reached.

Increment temporary counters using new instruction: You can use the INCREMENT and DECREMENT instructions in a HotDocs script to increment or decrement a counter. Previously, this was done using SET instructions such as SET Num TO Num + 1. These instructions are useful when incrementing counter variables used in WHILE instructions.

Component Explorer redesigned and renamed to Template Manager: The purpose of Component Explorer was expanded to include template management features, such as template conversion and renaming (see below). This necessitated a change to the name of the tool. It is now called Template Manager.

Convert templates to HotDocs 6 format or to RTF: Use Template Manager to convert large batches of templates or clauses either from HotDocs 5 format to HotDocs 6 format. You can also convert WordPerfect or Microsoft DOT templates to the faster RTF format.

Rename templates: Use Template Manager to rename templates in a library. When renaming templates using this method, all associated files (such as component files, clause libraries, and so forth) will be renamed, as well. References to the renamed file will be updated throughout the library.

New template navigation toolbar added to text templates: A new toolbar has been added to word processor templates that allows you to more quickly work with fields in the template. Specifically:

  • HotDocs now assigns different colors to the different types of fields in a template using the Apply Colors Apply Colors button. Specific fields include variable fields, IF instructions, REPEAT instructions, ASK instructions, and comments. You can customize the colors used at HotDocs Options.
  • You can use the new Label Fields Label Fields button to label matching IF and END IF instructions as well as matching REPEAT and END REPEAT instructions. Additionally, where you've nested these instructions, you can identify the level of nesting. Finally, you can assign the word processor's hidden text property to these comments and labels so that you can show and hide them during automation.
  • You can use the new Match Fields Match Fields button to quickly find corresponding IF, ELSE, END IF, REPEAT, and END REPEAT fields. For example, if you place your cursor in a REPEAT field and click the Match Fields Match Fields button, HotDocs will move your cursor to the matching END REPEAT field. This can help you troubleshoot problems you may experience as you work with these types of instructions—particularly when there are multiples levels of instructions.
  • You can use the new Next Field Next Field and Previous Field Previous Field buttons to move from one field to the next. This is particularly useful when you have several pages in your template that do not have any automation and you don't want to scroll through these pages manually.

Double-click in Word fields to edit them: You can now double-click in a Word field to bring up the Variable Field dialog box for that variable. (This requires Word 2000 and above.)

Control whether dialogs are asked automatically: The Dialog Editor now includes an Ask automatically option, which, when cleared, causes HotDocs not to ask the dialog when it is used in a REPEAT instruction or in an expression that refers to the dialog's True/False status. This eliminates much of the need for ASK NONE instructions.

Add comments to template fields: You can now add comments to the end of fields. After creating the field in your template, insert your cursor after the component name (or instruction), type two forward slashes, and then type your comment, for example, «Employee Name //comment».

Keep the End of Interview dialog from appearing in users' interviews: You can select a component file property that keeps the End of Interview dialog from appearing in the interview. When the user clicks Next Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or it will display the Document tab, depending on which End of Interview action the user has defined at HotDocs Options.

Sort components in Component Manager: You can now sort lists of components by type as well as alphabetically. In Component Manager, sorting is done using the new Sort Sort Components button. In other component lists, sorting options are found on the shortcut menu.

Edit components in second component list: If you have two component files open in Component Manager, you can now edit components in both component files. Previously, you could only modify components in the left pane.

Online test a template from the template—not the library: You can online test templates directly from the template. (Previously, you had to close the template and test from the template library.) To do this, press the Shift key as you click the Assemble Test Assemble button.

New unanswered variable placeholder added: A new unanswered variable placeholder has been added. It inserts the variable name between square brackets, for example [Variable]. You can choose this option either at the Component File Properties dialog box or at HotDocs Options.

Generate templates from marked up documents: Markup editors can mark up a document for automation using the HotDocs Markup Tool. Once marked up, you can use the Template Set Generator to convert the documents to HotDocs templates. (Contact your HotDocs sales representative for details on purchasing a license for the Markup Tool and Template Set Generator.) (With the release of HotDocs 2008, support for the Markup Tool and Template Set Generator was removed.)

Document Assembly

Rearrange entries in a repeated list, and remove or add entries any place in the list: When entering sets of answers in a repeated dialog, you can now move entries around in the list as well as add or remove entries.

Changes to End of Interview dialog: The following changes have been made to improve the End of Interview dialog:

  • You can choose which buttons appear in the End of Interview dialog. You make your selections at HotDocs Options.
  • You can choose to keep the End of Interview dialog from being displayed during the interview. (When hidden, clicking Next Next at the last dialog in the interview either sends the document to the word processor or Filler, or switches the view to the Document tab. You choose which option you prefer at HotDocs Options.)
  • Buttons for each option have been enlarged and arranged in the order they are most frequently used.
  • A new button was added that, when clicked, pastes the assembled document into the current word processor. (This is useful when assembling clause documents.)
  • A new button was added that, when clicked after assembling a form document, moves you to the Form Document tab of the assembly window. (This allows you to view the assembled form document in the assembly window where changes you make will be reflected in the answer file.) Before clicking this button, you can choose to have HotDocs check fields in the form for any answers that overflow.
  • A new button was added that, when clicked, lets you choose which End of Interview buttons you want in the dialog.

Finish Interview button added to navigation bar: A new button was added to the navigation bar which allows you to skip any remaining questions in the interview and view the assembled document. You can choose whether to view the document at the Document tab or whether to send the document to the word processor or HotDocs Filler. HotDocs will perform this same action when the End of Interview dialog is hidden and you navigate past the last dialog in the interview.

Send assembled documents to the word processor that matches the template type: You now have two options for sending the assembled document to the word processor—you can either send to the default word processor always or send to the word processor that matches the template type. You select your preference at HotDocs Options.

New unanswered variable placeholder added: A new unanswered variable placeholder has been added. It inserts the variable name between square brackets, for example [Variable]. You can choose this option at HotDocs Options. All variables that do not have a specific placeholder assigned will use this placeholder.

Save As option added to Save Answers dialog box: Now, when you close the assembly window, you have the option of saving existing answers to either the current answer file or a new answer file.

Choose where assembly window tabs are placed: You can now choose to have the assembly window tabs (Interview, Document Preview, etc.) displayed either along the top or along the bottom of the assembly window.

HotDocs Automator and Filler

Span a text field across multiple form pages: Often, a text answer needs to flow from one field to another. In most situations, you can group these related fields as a run-on group and when the answer won't fit in the first line, it will flow to the next line. However, when the fields span across two or more pages, HotDocs will not allow you to group them. You can, however, use the Named Group overflow property to span a text field across multiple pages.

Control when form field answers are updated: You can now use the Instant Update Instant Update button to control when HotDocs updates answers in form fields. When selected, HotDocs updates all fields whenever an answer changes. When cleared, HotDocs updates a field only when it is tabbed to or out of.

New PDF printing options added to HotDocs print function: When printing a nonstandard-sized PDF form using the HotDocs print function, you can choose the paper size that most closely matches the page size, or you can scale the content of the page to fit the printable area.

Home > New and Enhanced Features of HotDocs 6.2


HotDocs Help - New and Enhanced Features of HotDocs 6.2 SP1

New and Enhanced Features of HotDocs 6.2 SP1

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 6.2 SP1


HotDocs Help - New and Enhanced Features of HotDocs 6.0

New and Enhanced Features of HotDocs 6.0

The following new features and enhancements were implemented for the release of HotDocs 6.0:

Template Development

Use the new template library: The new template library contains several additional buttons and new menu items that allow you to perform multiple template development and document assembly tasks, including managing the contents of the library more efficiently. The toolbar and menus also make it easier to access other HotDocs tools, including Component Manager, HotDocs Options, Answer File Manager, Component Explorer, and the Assembly Queue.

The library window is divided into two panes: the left pane shows the list of templates, clause libraries, and other library items, while the right pane shows tabbed views of either the item’s properties (such as the file type and title) or a preview of the library item.

Create a new template: HotDocs gives you more control over the type of template you want to create by including a Type drop-down list at the New Template dialog box. This lists all the different template formats available, based on the supported word processors you are currently using. Template titles are automatically generated based on template file names; however, you can change the title to something more descriptive.

Use the new HotDocs editing toolbar: The look of the existing HotDocs editing toolbar has changed, and three new buttons have been added:

  • The Clause Library Clause Library button displays the clause library associated with the template. From here, you can create clauses, edit existing clauses, remove clauses, and perform several other tasks relating to clause management.
  • The Edit Component Edit Component button bypasses the Variable Field dialog box and lets you edit the component properties of a variable while at the template.
  • The HotDocs Help HotDocs Help button makes it easier for you to access information in the Help files directly from the word processor window.

Create variable fields and variable components: Now when you create variables, there is greater distinction between the variable field and the variable component. For example, when you first create a variable at the template, the Variable Field dialog box appears, where you can assign a variable type, name, and any field-specific properties. Then, from the Variable Field dialog box, you can click the Edit Component Edit Component button to display the Variable Editor. At this dialog box, you can assign component-specific properties, such as prompts and resources.

Assign either default or field-specific formats: You can assign answer formats, field formats (such as field widths, alignment, and fill characters), and merge text (for Multiple Choice variables) either at the Variable Field dialog box, or the Variable Editor. If you assign them at the Variable Field dialog box, they are available for that specific instance of the variable only. If you assign these properties at the Variable Editor, they become a default property of the component and will be available each time you use the variable in the template.

Use Multiple Choice variables: At the Multiple Choice Variable Editor, you can now provide prompts for each multiple choice option. Also, if you want to further customize each row of options, you can do so by clicking the Options tab and making your changes. These include adding longer prompts and merge text, and pre-selecting options for the user.

Assign resources (formerly known as variable and dialog help): The name for this type of help has been changed to Resources to better distinguish between HotDocs Help (the documentation provided with the software) and template developer help (the help assigned by you). You also can now use an HTML Help (.CHM) file as a source file for variable and dialog resources.

Use the new Component Manager: With the enhanced distinction between fields and components, Component Manager becomes the preferred method for editing components in a template, including variables and dialogs. Component Manager is now a sizeable dialog box that can be arranged next to the template window so that you can work in both windows simultaneously. Using Component Manager, you can edit as many components at a time as you want. You can also drag variables from Component Manager and drop them directly in the template.

Share components between component files: The process for sharing component files has been improved. For example, the Pointed Component File button in the Component Manager toolbar makes it more apparent a component file is pointed (for example, Unpointed versus Pointed ), and the actual process of finding the component file and pointing it is much more intuitive.

Change component file properties: At the Component File Properties dialog box, you can now specify a product title for the template you are creating. You can also have HotDocs hide the interview outline for the template during assembly as well as have HotDocs generate default dialog titles. The interface for several existing properties has changed, as well.

Copy components using Component Manager: You can expand the Component Manager window to show another component file’s list of components, from which you can copy into the current component file. (You can no longer copy out of the current component file, however.)

Use IF, INSERT, ASK, and REPEAT instructions: All of the dialog boxes for inserting IF, INSERT, ASK, and REPEAT instruction fields have changed. At each of these dialog boxes, you can choose a specific type of field you want to merge, and then edit the underlying component.

Use clauses and clause libraries: The process of creating clauses and clause libraries is now much easier. You can open a clause library from the template-editing toolbar, and it can stay displayed as long as you need, allowing you to work in both the template and the clause library simultaneously.

Use Dialog Editor to edit dialogs: The Dialog Editor includes tabs for customizing a dialog. A Find option has also been added to make searching for specific variables, clauses, or dialogs easier. When you are at the Script tab of the Dialog Editor, you can click the Variables drop-down button and select Variables in Dialog to see only the variables used in that specific dialog. (This makes it easier to create dialog scripts since you can limit the list of variables to show only those used in the current dialog.)

Assign titles to dialogs: You can now assign titles to dialogs. The dialog title replaces the dialog name in the interview outline.

Change the layout of a dialog: In earlier versions of HotDocs, to change the placement of variables in a dialog, you had to test the dialog and make your changes directly in the test dialog. Now, you can click the Layout tab of the Dialog Editor and drag-and-drop variables there.

Simultaneously test and edit variables, dialogs, and scripts: You can simultaneously test and edit components within a template (such as variables, dialogs, and scripts). When you do, HotDocs displays the variables and any corresponding answer fields in a test assembly window. You can leave that dialog open and make changes to the component and then update the dialog to see the changes implemented. Once you click OK at the Variable Editor, the changes are saved to the component file.

Simultaneously test assemble and edit a template: You can test assemble all or a portion of a template while simultaneously making changes in the underlying template text. HotDocs will update the assembly window with changes you make.

Save answers used for testing once: When you test a variable or test assemble a document, you are prompted to save your answers. Once you save them (using Test Answer File as the file name), HotDocs uses that test answer file for each subsequent test assembly. If needed, you can specify a new answer file or use a different answer file at the assembly window.

Use Component Explorer: The Component Explorer tool lets you more closely manage components across a large number of component files, including removing unused components, renaming components in both the component and template file, and copying and pasting components between files.

Document Assembly

Choose an answer file for assembly: When you first select a template for assembly, HotDocs displays the Answer File dialog box, which allows you to choose an answer file to use with the assembly. (You no longer choose any other assembly options, such as assembling Question/Answer summaries, or viewing only unanswered variable questions. All of those options are now controlled directly in the assembly window.)

View the new assembly interface: Once an assembly has started, the assembly window appears. By default, it is divided into three panes: the interview outline (or left pane) lists all the dialogs and variables asked in the template. When users click one of these items, the corresponding dialog appears in the dialog pane (or right pane). Users enter the required information in the answer fields and proceed through the interview until all the answers have been given. The interview outline is dynamic so items can be added and removed, depending on answers the user provides. Finally, if the template developer has provided helpful information about a dialog or a specific variable, that information appears in the third pane, the resource pane (below the dialog pane).

Navigate an interview: You can click items in the interview outline in any order to complete the interview. You can also click buttons in the navigation bar at the bottom of the dialog pane.

Use the new assembly toolbar buttons: The assembly toolbar buttons let you perform several different tasks, such as work with answers and answer files, send the assembled document to a word processor (so you can edit it), view the Assembly Queue, access HotDocs Options, view the resource pane, and perform other general tasks.

Use the tabbed views of the assembly window: The assembly window contains several tabs that let you change your view of the assembly process. You can view any of these tabs at various times during assembly and the information contained therein will be current. These tabs include:

  • Interview displays a three-paned window that includes the interview outline, the dialog pane, and the resource pane.
  • Preview shows a rough preview of the document so far as it has been assembled.
  • Question Summary displays an HTML-based summary of the questions in the template.
  • Answer Summary displays an HTML-based summary of the questions and answers provided during the interview.
  • Variable Sheet displays a spreadsheet-like summary of variables, prompts, answers, and variable types.

For the most part, the contents of these different tabs can be saved as word processor or HTML documents, and can be attached to e-mail messages.

View the End of Interview dialog: When you complete an interview, the End of Interview dialog appears. It contains information about unanswered variables as well as gives instructions and options for working with the assembled document. (The End of Interview icon always appears in the interview outline.)

Use the resource pane: HotDocs now displays template developer’s resource information (formerly known as variable or dialog help) in the resource pane of the assembly window. By default, this pane is continually displayed; however, you can hide and show it as needed. You can also specify an option (at HotDocs Options) that displays a resource button next to answer fields that contain resources.

Preview the assembled document: As you complete an interview, you can click on the Preview tab to view your document during assembly. Any answers you have given are merged into the text, while any answers that are still needed are marked by unanswered variable placeholders. You cannot edit the text in the Preview tab, but once you finish an assembly, you can send a copy of the document to the word processor for post-assembly editing.

Because of the way HotDocs renders assembled text in the Preview tab, the document sometimes will not show the formatting you see when you send a copy of the assembled document to the word processor.

Use Answer File Manager: The Answer File Manager has a newly designed interface (including a new toolbar) that makes it easier to view the properties as well as the contents of an answer file.

Change answer files during assembly: As you assemble a document, you can change the answer file you are using. When you do, HotDocs lets you save the current answer file and assembled document before you load a new answer file.

Attach answer files, assembled documents to e-mail messages: You can attach answer files, assembled documents, and question and answer summaries to e-mail messages.

Manage multiple assemblies using the assembly queue: When you select multiple templates for assembly, HotDocs automatically displays the Assembly Queue dialog box, which lists each template and its assembly status. Using this dialog box, you can change the order in which documents will be assembled, as well as add assemblies to and remove them from the queue.

Change your HotDocs Options (formerly known as Settings or Preferences): HotDocs now provides one central location--the HotDocs Options dialog box--to control how HotDocs operates. General options include template development, interview, and document assembly preferences, as well as file location management.

HotDocs Automator/Filler

Changes to HotDocs® Automator: Some changes have been made in HotDocs Automator to more tightly integrate it with the new HotDocs 6 interface. These include new toolbar buttons and menu items, as well as minor changes in various dialog boxes. Additionally, the default field colors have changed, and several pre-designed color schemes have been provided.

Changes to HotDocs® Filler: Some changes have been made in HotDocs Filler to more tightly integrate it with the new HotDocs 6 interface. These include some new toolbar buttons and menu items, as well as minor changes in various dialog boxes. Additionally, in the Document tab of the assembly window, you can type your answers directly in the form fields. If the template developer has created a custom interview (or allowed HotDocs to generate a default interview), you can move between the Interview and Document tabs to complete the interview.

Home > New and Enhanced Features of HotDocs 6.0


HotDocs Help - New and Enhanced Features of HotDocs 10.1

New and Enhanced Features of HotDocs 10.1

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10.1


HotDocs Help - New and Enhanced Features of HotDocs 10.2

New and Enhanced Features of HotDocs 10.2

Upload Plugin for HotDocs Core Services

HotDocs Developer now provides a plugin for uploading templates to web applications that use HotDocs Core Services for document assembly.

Additional Improvements

In addition to the new features above, this release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10.2


HotDocs Help - New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 10

The following new features and enhancements were implemented for the release of HotDocs 10:

Edition Name Changes

HotDocs is now available in three different editions:

New Name | Previous Name
Developer | Professional
Developer LE | Standard
User |
Player | Player

Word Processor Support

Word 2010 support: HotDocs now supports the use of Word 2010.

WordPerfect X5 support: HotDocs now supports the use of WordPerfect X5.

(See Install Support for New Word Processors for information on installing support for new word processors.)

Silverlight Interview

Templates intended for use with HotDocs Server can now be test-assembled using the Microsoft Silverlight web application framework. Unlike the traditional JavaScript-based interviews, where the interview logic is written in an interpretive language (JavaScript), Silverlight-based interviews are compiled into machine code, which makes them much quicker. This is especially noticeable in long, complex interviews.

(See View an Interview in a Web Browser for more information.)

Desktop & JavaScript Interviews

Desktop and JavaScript interviews have been updated and improved for HotDocs 10.

PDF Support

The functionality previously provided by HotDocs PDF Advantage is now integrated with HotDocs 10.

Changes to Files, Folders and Registry Keys

HotDocs Files

New Filename | Previous Filename
hotdocs.exe | hotdocs6.exe
hotdocs.dot | hotdocs6.dot
HotDocs.dotx | HotDocs6.dotx
hd_api.dll | hd6api.dll
hd_dispatch.exe | hd6dispatch.exe

HotDocs Default Installation Folder

New Folder | Previous Folder
C:\Program Files\HotDocs | C:\Program Files\HotDocs 6

Registry Keys

New Key | Previous Key
HKEY_CURRENT_USER > Software > HotDocs > HotDocs | HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6
HKEY_LOCAL_MACHINE > Software > HotDocs > HotDocs | HKEY_LOCAL_MACHINE > Software > LexisNexis > HotDocs 6

Home > New and Enhanced Features of HotDocs 10


HotDocs Help - New and Enhanced Features of HotDocs 10 HF1

New and Enhanced Features of HotDocs 10 HF1

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10 HF1


HotDocs Help - New and Enhanced Features of HotDocs 10 HF2

New and Enhanced Features of HotDocs 10 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10 HF2


HotDocs Help - New and Enhanced Features of HotDocs 10 HF3

New and Enhanced Features of HotDocs 10 HF3

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10 HF3


HotDocs Help - New and Enhanced Features of HotDocs 2005

New and Enhanced Features of HotDocs 2005

The following new features and enhancements were implemented for the release of HotDocs 2005:

Template Development

Database Connection: HotDocs Database Connection is now included with all licenses for HotDocs Developer. Database Connection allows you to retrieve answers from a database.

Changes to HotDocs Server templates and interviews: HotDocs Server 2005 has been redesigned to display browser-based interviews that more closely match desktop interviews. When creating templates for use with HotDocs Server, you must first enable them to be used on the server. (You do this at the Component File Properties dialog box.) Once templates are enabled, they will be checked for features that are incompatible with the server or Web browser. Additionally, enabling the template will let you test the template in a simulated browser environment.

Caution: To use the new style of interviews, you must regenerate the JavaScript (.JS) files and HotDocs Variable Collection (.HVC) files. You can do this by republishing your templates. (First make sure they are enabled for HotDocs Server.)

Override parent template headers and footers with those in inserted templates: When you insert templates and clauses, you can now select options that allow you to keep the headers and footers in the inserted files, rather than have them overwritten by the parent template's headers and footers. This is useful if you either want to create a master document containing several subdocuments, or you want the headers/footers defined in one of the inserted templates to be the headers/footers for the entire document.

Use symbol fonts for answers in text templates: In text templates, can now assign symbolic character fonts (as well as standard character fonts) for answers in your document. This is useful if users' answers must appear in a non-standard font, such as a bar code.

Use non-breaking spaces and hyphens in variable formats: Often, you need a user's answer to stay on a single line in the assembled document. Now you can assign an example format that will keep answers from breaking at the end of a line of text.

Access a Microsoft Outlook Contacts list: You can now link an answer source to your address book in Microsoft Outlook. This allows you to retrieve information you're already storing in Outlook and use that information in your documents.

Document Assembly

Edit answers directly at the Document Preview tab: When previewing an assembled document, you can choose to have HotDocs identify the answers you have entered. Once you are viewing these answers, you can edit the answers (by double-clicking on the field). (This feature is available to Microsoft Word users only. Additionally, it is only enabled if the template provider has enabled it.)

Navigate through answer fields in the document: If you are viewing either an assembled Word document or an assembled form document, you can use the new Navigation Bar to move between answers fields on the document. Specifically, you can move between all answers, unanswered questions only, or matching answers (for example, just those answers that are the same). Additionally, you can have HotDocs take you to the dialog in the interview where the question is asked. (Moving through fields at the Document Preview tab is available to Microsoft Word users only. Additionally, it is only enabled if the template provider has enabled it.)

Compare different versions of a document at the assembly window: When HotDocs Compare is installed, you can answer questions in the interview one way, save a snapshot of the document, and then answer questions differently so you can compare versions of the document. Additionally, you can save multiple versions of a snapshot to use in the comparisons you are doing. (HotDocs Compare is available to Microsoft Word users only.) NOTE: Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

Copy templates to new locations on disk: In addition to moving templates using the Move Templates command, you can copy templates to new locations using the new Copy Templates command. When you copy templates, you create a copy of the template in a new location. Additionally, you can designate that the copied file be marked as read-only.

Home > New and Enhanced Features of HotDocs 2005


HotDocs Help - New and Enhanced Features of HotDocs 2005 SP1

New and Enhanced Features of HotDocs 2005 SP1

The following new features and enhancements were implemented for the release of HotDocs 2005 Service Pack 1:

Template Development

Save component files in HotDocs 6 or HotDocs 2005 format: When HotDocs 2005 was released, you had to upgrade your component file to the latest version. You can now designate a component file property that saves the component file either in version 6 format (so you can continue to use the template with HotDocs 6.x) or in version 2005 format (so you can use all of the functionality of HotDocs 2005).

Caution:If you want to use HotDocs 2005 to develop your templates but you want them to be compatible with HotDocs 6, do not use any HotDocs 2005-specific features (such as non-breaking spaces) or the features implemented in this release (described in this topic). If you do, you may see unexpected results.

Changes to Component File Properties dialog box: The Component File Properties dialog box has been redesigned and now includes tabs to differentiate between the different types of properties.

Add titles to variables: You can now specify a title, or alternate name, for a variable. Sometimes you use variable names that are useful for you during template development, but not useful for users during an interview. For example, maybe you name your variables with some type of variable notation, like Client name TE. To a user, this name, if seen in an interview, may not make much sense. Here, a title (Client's Name) can be used in place of the variable name.

Assign a label to the entire repeated series: You can now assign a label to the entire repeated series, which lets you customize the dialog title for each individual repetition in the list.

Copy Multiple Choice options, prompts, and merge text and paste them into other spreadsheets: You can copy data from other spreadsheets or tables and paste it into the Multiple Choice Variable Editor spreadsheet. Similarly, you can copy the contents of a Multiple Choice Variable Editor spreadsheet and paste it into other tables or spreadsheets (including other Multiple Choice variables).

Automatically set repeat style when creating a REPEAT field: When you create a REPEAT instruction in the template (using the REPEAT Field command), HotDocs will automatically suggest Repeated Series as the dialog Style. Previously, you had to manually specify a repeat style.

Specify merge text on as-needed basis: You can now include merge text for Multiple Choice options on an as-needed basis. Previously, if you included merge text for one option, you had to provide it for all options. However, now you can provide it for only those options that require it.

New repeated list format added: When you create a new template, HotDocs includes a, b in the example format lists for repeated answers. This will format a series of answers as apples, oranges, cherries (excluding any conjunction). To use the format in existing templates, simply type it in the Format box, either at the Multiple Choice Variable Editor or at the REPEAT Field dialog box.

Document Assembly

Sort spreadsheets (including answer sources) during the interview: You can now sort the contents of a spreadsheet in alphanumeric order.

Print contents of the Preview tab at library window: You can select a text or form template at the template library and print a blank copy of it.

View file names in library's item list: You can now view either the template's title in the library list, or you can view the template's file name. Additionally, when searching for a specific template, the search is performed on the title, description, and file name. (Previously, HotDocs would search just the title and description.)

HotDocs Filler

Skip conditioned-out fields during direct-fill assembly: During direct-fill assembly of a form document, HotDocs will now skip fields that are conditioned (and resolved as false).

Home > New and Enhanced Features of HotDocs 2005 SP1


HotDocs Help - New and Enhanced Features of HotDocs 2005 SP2

New and Enhanced Features of HotDocs 2005 SP2

The following new features and enhancements were implemented for the release of HotDocs 2005 Service Pack 2:

Template Development

Rename multiple components simultaneously: You can now select multiple components at Component Manager and rename them all at once.

Limit the number of rows in a spreadsheet: When a dialog is repeated as a spreadsheet, you can control the number of rows that are displayed in the dialog. (This option simply controls the number of rows that are displayed—users are still able to enter as many answers as they need.)

Map Text variables to Multiple Choice values (and vice versa) in an answer source: When mapping an answer source, you can map a Multiple Choice variable to a text value. You can also map a Text variable to a multiple choice value.

Create an answer source that links a dialog to a Time Matters Contacts or Matters record: You can now link an answer source to a Time Matters Contacts or Matters record. This allows you to retrieve information you're already storing in Time Matters and use that information in your documents. When creating the answer source, you can also designate whether changes to answers can be written back to Time Matters. (To create this answer source, you must be using Time Matters 7.0 or later.)

Document Assembly

Expand and collapse all folders at once in the library: You can now expand or collapse all subfolders in the template library. This makes it easier to quickly view or hide template lists in the library. (This command is available in the library View menu.)

Choose a color for additional text: When customizing the appearance of dialogs in an interview, you can now assign a different color to additional text. This may be useful if you want to distinguish additional text from other text in the dialog. You do this at the Dialog Appearance folder of HotDocs Options.

Open Windows Explorer from the template library: You can click on a reference to a template in a library and choose Go To from the Template menu. This opens the folder where the template file is saved.

View resource buttons for all answer fields at once: When viewing a dialog with answer field resources, you can now choose to display the resource button for all answer fields at once, or you can choose to display the button only when you are viewing that specific answer field. (This new functionality changes the available settings at Tools > Options > Interviews and Dialogs > Show answer field resource button.)

Home > New and Enhanced Features of HotDocs 2005 SP2


HotDocs Help - New and Enhanced Features of HotDocs 2005 SP3

New and Enhanced Features of HotDocs 2005 SP3

The following new features and enhancements were implemented for the release of HotDocs 2005 Service Pack 3:

Support for WordPerfect 13 added: HotDocs version 2005 SP3 is supported for use with WordPerfect 13.

Home > New and Enhanced Features of HotDocs 2005 SP3


HotDocs Help - New and Enhanced Features of HotDocs 2006

New and Enhanced Features of HotDocs 2006

The following new features and enhancements were implemented for the release of HotDocs 2006:

Template Development

Allow users to edit assembled document text while viewing the Document Preview tab: Sometimes users may need to edit the text of a document once it has been assembled. As the developer, you can control editing by marking sections of a template using a SPAN instruction. This allows users to edit that section of text at the Document Preview tab of the assembly window. Changes made during assembly can be saved to the answer file so that users can reassemble the same document later and have their changes reapplied.

Improved implementation for adding additional items to a dialog: HotDocs now provides a new Dialog Element component that lets you more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. This implementation includes greater control over how these items appear, including control over whether they appear in desktop interviews, HotDocs Server interviews, or both. (In previous versions of HotDocs, many of these elements were added to a dialog using the @ command. This new feature replaces the need to use this command.)

Remove hidden data from assembled Microsoft Word templates and documents: Often, when working in Microsoft Word templates and documents, hidden data is saved to the file that may compromise the security of the document or increase the document's file size. You can choose which of these properties should be removed from a template. Additionally, you can have this data removed from a document after it is assembled.

Use HotDocs dot codes: HotDocs 2006 includes a new feature called dot codes, which allow you to 1) format text results derived from computation scripts, 2) insert special characters in plain text and template text, 3) format variable prompts and additional text, and 4) punctuate non-repeated lists of answers.

View an outline of scripting in a Word template: Using the HotDocs Outliner, you can generate an outline of scripting in the template. This outline can include just a list of instructions used in the template, or it can include variables as well. This gives you a more condensed view of instructions used in the template.

New schemes added for coloring fields in a template: Two new color schemes were added to help you better identify instructions in a template. They are Nested and Sequential. Nested marks each level of IF and REPEAT instructions using a custom color. (For example, all first-level IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.) Sequential marks each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)

Display Word templates in Markup View: You can now display a Word template in Markup View, which allows you to provide non-HotDocs users with easy-to-understand versions of your templates.

Generate default interviews or specify custom interviews for all template types: When automating a template, you can now select whether HotDocs should generate a default interview for the template or whether HotDocs should use a custom-scripted interview. If choosing to use a custom interview, you can assign any name to the interview component. (In previous versions, all interview scripts were required to be named INTERVIEW.) You now designate the name of the interview component at the Component File Properties dialog box.

Choose which component file provides properties when pointing templates: In past versions of HotDocs, when you pointed a component file to a shared file, most of the properties for the pointed template would be specified by the shared component file--not the pointed component file. Now, if you need the pointed template to use its own component file properties, you make that designation at the component file.

Control how HotDocs inserts returns after inserting instructions in a template: When you insert an instruction in a text template, by default, HotDocs inserts a return after the instruction. (This return is removed during assembly.) You can select a HotDocs option that inserts these returns only when working with entire paragraphs of text--otherwise, HotDocs won't insert a return character. (This keeps instructions within a paragraph from breaking up the paragraph text.)

Use new expression models to manipulate text answers: HotDocs includes four new expression models:

  • REPLACE lets you search a string of text for a given character string and replace the results with new text.
  • SPACE tests whether the variable is answered. If it is, it merges the answer, followed by a space character. If the variable is unanswered, it merges nothing ("").
  • STRIP removes a specified character or characters from the beginning or end of a text answer.
  • VALUE returns a default value for the variable type if the variable is unanswered. If the variable is answered, the value is the answer the user specifies.

Use new expression models to manipulate multiple choice answers: HotDocs includes two new expression models:

  • SELECTION returns a specific selected option of a Multiple Choice answer.
  • UNION combines all selected (and unique) options from several Multiple Choice variables.

Use new instruction models to erase answers in repeated dialogs: HotDocs includes two new instruction models:

  • ERASE VAR clears all answers for a specific variable in a repeated dialog.
  • ERASE DIALOG clears all answers in a repeated dialog.

Create 'Used In' lists for components: You can view which other components in the template use the component you are currently editing. This information is displayed in the new Used In tab of the component editor. (This tab was formerly the Asked In tab, which showed only the dialogs that used the variable.)

Store PLAY macros for RTF templates in a Word template and reference the template from the component file: You can store your post-assembly macros in a template specifically designed for HotDocs. You specify the name of this file at the Component File Properties dialog box for the template.

Update tables of contents, cross references, indexes, and fields after sending assembled documents to word processor: You can select a component file property that automatically updates all cross-references (including the table of contents and index) in an assembled document once the document is sent to the word processor.

New Word menu option for inserting variables, instructions in a Word template: Word users can now more easily insert instructions such as ASSEMBLE, ANSWER FILE NAME, LANGUAGE, and DEBUG in their templates. The option for doing so can be found in the new HotDocs menu in the HotDocs toolbar. (Users can also insert other HotDocs field types (such as variables, REPEAT instructions, and so forth) using this new menu.) Finally, most of these options are also now available in the Word shortcut menu.

Multiple Choice options included in auto-complete lists: When scripting with Multiple Choice variables, you can use the auto-complete feature to access lists of options for the Multiple Choice variable. This keeps you from having to manually enter the options.

Scripting supported in plain-text resources: You can now include variables, IF instructions, and REPEAT instructions in plain-text resources. This allows you to customize the resource text users see in the interview, based on their answers to questions.

Save button added to component editors: As you edit components, you can now save your work without closing the component editor.

Document Assembly

Install support for new word processors without reinstalling HotDocs: In previous versions of HotDocs, if you installed a new word processor, you had to reinstall HotDocs in order to integrate the two products. Starting with HotDocs 2006, you can install support for new word processors at HotDocs Options.

Control font properties of dialog text: You can now specify the font face, size, and color of text used in dialogs. You can also change the font used for items in the interview outline.

Edit the document while viewing the Document Preview tab (Word users only): If the template provider has allowed it, you can edit the text of a document while viewing the Document Preview tab. This allows you to make changes to the document and be able to save those changes in the answer file so they can be reapplied if you ever reassemble the document.

View variable names for answers in interview: Sometimes you may need to communicate with a template provider about a specific question in the interview. While answering questions in the interview, you can place your cursor in an answer field, right-click and choose Variable Name from the shortcut menu.

Simultaneously copy an answer file to the Answers folder and add it to Answer File Manager: Frequently you receive answer files from other users. You can now open Answer File Manager and choose the Import command to copy an answer file to the Answers folder and add it to the answer library. You can also double-click on the answer file in Windows Explorer and the file will be added to the library and copied to the Answers folder.

Mark required answers in a dialog: In addition to marking dialogs that contain required questions in the interview outline, you can now mark the actual questions in the dialog. Specifically, you can designate the color used for prompts of required questions as well as control whether an asterisk is used to indicate this.

Follow dialogs in interview outline when moving through interview: A new navigation option, Next Dialog Follows Outline, has been added. Selecting this option will move you to the next dialog in the interview outline when you click Next. For example, if you are in a main-level dialog, clicking Next will move you to any inserted dialogs in main dialog. Clicking Next again will move you to the next main-level dialog, rather than back to the current main-level dialog.

Update published template sets: If you are using a published template set, HotDocs can check for updates to the set at regular intervals and notify you when updates are available.

HotDocs Automator Filler

HotDocs HFT Driver no longer supported: When creating a HotDocs form template (.HFT) file in previous versions of HotDocs, you had to use the HotDocs HFT driver, which was only supported for use with Windows 98 and Windows Me. Starting with the release of HotDocs 2006, these operating systems are no longer supported. Now, when you create new form templates, you must create them in PDF format.

Look and feel of HotDocs Automator / Filler updated: Several HotDocs Automator and Filler dialog boxes and windows have been updated.

Keep Field Properties dialog box open as you modify field properties: When applying field properties to form fields, you can keep the Field Properties dialog box open as you move between fields in the form. This allows you to set properties for a field and then test to see how the properties affect the underlying field.

Circle static text on a form document: You can now create a field that circles preprinted options on a form.

Send just the part of an answer that overflows to addendum (rather than the entire answer): When specifying overflow options for a multi-line edit field, you can select an option that sends just the part of the answer that doesn't fit in the field to the addendum.

Home > New and Enhanced Features of HotDocs 2006


HotDocs Help - New and Enhanced Features of HotDocs 2006 SP1

New and Enhanced Features of HotDocs 2006 SP1

The following new features and enhancements were implemented for the release of HotDocs 2006 Service Pack 1:

Usability

Better keyboard accessibility: In an effort to make HotDocs compliant with Section 508, you can now access most commands and elements in various HotDocs windows and dialog boxes using the keyboard. Additionally, HotDocs is now more compatible with screen readers.

HotDocs Automator and Filler

End-user option of splitting an overflowing answer between the form and the addendum: Form users can now decide whether multi-line answers should be split between an answer field and the addendum.

Home > New and Enhanced Features of HotDocs 2006 SP1


HotDocs Help - New and Enhanced Features of HotDocs 2007

New and Enhanced Features of HotDocs 2007

The following new features and enhancements were implemented for the release of HotDocs 2007:

HotDocs supported on Windows Vista: HotDocs is now supported for use on the new Microsoft Windows Vista operating system.

Support for Microsoft Word 2007 added: HotDocs now supports Microsoft Word 2007.

View document markup in assembled documents: You can now change the formatting of an assembled document to Markup View and then submit it to an attorney or peer for revisions or corrections.

New command-line options: HotDocs now includes two command-line options—Start Interview Group and Keep Interview Group (/sig and /kig). These options are used to control which questions are asked when assembling a group of related documents; specifically, they keep questions that are already answered in one interview from being asked in subsequent interviews.

Access HotDocs Help directly from Expression and Instruction Model lists: You can now select a model in either the Expression models list or the Instruction models list and press Ctrl+F1 to view the help topic for that specific model.

Home > New and Enhanced Features of HotDocs 2007


HotDocs Help - New and Enhanced Features of HotDocs 2007 SP1

New and Enhanced Features of HotDocs 2007 SP1

This release of HotDocs contains software corrections and minor enhancements to existing features. It also contains the following new features:

New Web link dot code added: You can now use the Web link dot code to insert hyperlinks in your prompts, plain-text resources, and dialog text elements.

Home > New and Enhanced Features of HotDocs 2007 SP1


HotDocs Help - New and Enhanced Features of HotDocs 2008

New and Enhanced Features of HotDocs 2008

The following new features and enhancements were implemented for the release of HotDocs 2008:

Model Documents

Create model documents, independent of HotDocs, and use them to assemble custom documents: Using Microsoft Word, you can create model documents. A model document is an exemplar document used as the basis for drafting documents of the same type for specific clients. Using a defined markup language, you identify text that varies from one client to another. This markup provides an unambiguous description of how a model document should be used to draft client-specific documents. Once you have a model document, you can use it with HotDocs Player to generate custom documents for your clients.

Template Development

New Go to Field button added to HotDocs toolbar: When you receive scripting error messages in HotDocs, they often include the field number for the field where the error is located. To help you quickly find this field in a text template, HotDocs now includes a Go To Field Go To Field button in the HotDocs navigation toolbar.

New Test Panel added: HotDocs now includes a Test Panel, which you can access during a test assembly. Features of this test panel include the following tabs:

  • Variable usage: This tab shows how variables are being used in the template. For example, you can review a list of variables that are asked during the interview, but they aren't used in the document. You can also review which variables are used in the document but don't appear in the interview. These two lists can help you make sure the questions you are asking the user are relevant to the document, which ultimately improves the accuracy of the document.
  • Warnings: In previous versions of HotDocs, the Warnings tab was included directly in the assembly window. This tab has now been moved to the Test Panel. It includes information about scripting in the template that may cause unexpected results in the interview or assembled document. For example, the Warnings tab can report when SET instructions have been used incorrectly. It can also identify when variables have been asked or referred to incorrectly.
  • Go to Template: Using the Go To Template command, you can place your cursor in the Document Preview text and have HotDocs take you to the same place in the template. This lets you review the automation in that particular section of the template, perhaps to understand the conditions under which the text was inserted in the document.

Publishing licenses now include annual expiration: Licenses for publishing and registering templates for use with HotDocs Player now expire annually.

Have HotDocs automatically exclude irrelevant questions from an interview: Rather than write dialog scripts, you can have HotDocs automatically gray or hide variables that aren't relevant to the document.

Set HotDocs Server interviews so all dialogs in the interview appear in the same view: You can design your HotDocs Server interviews so that users can view all of the dialogs in an interview at once, on a single Web page.

Document Assembly

Entering Non-English answers during an interview: During a HotDocs interview, you can enter answers in left-to-right reading languages other than English.

Create a Favorites folder in the template library and add templates to it: You can group the templates you use most frequently in a Favorites folder of your library.

Database Connection

All installations of HotDocs now include the HotDocs Database Connection by default. You do not need to install it separately.

HotDocs Compare

HotDocs Compare now available separately for purchase: To use HotDocs Compare, you must now purchase a separate license for it. For details, contact your HotDocs sales representative. NOTE: Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

Home > New and Enhanced Features of HotDocs 2008


HotDocs Help - New and Enhanced Features of HotDocs 2008 SR 1

New and Enhanced Features of HotDocs 2008 SR 1

The following new features and enhancements were implemented for the release of HotDocs 2008 Service Release 1:

Word Processor Support

WordPerfect X4 support: HotDocs is now supported for use with WordPerfect X4. (See Install Support for New Word Processors for information on installing support for it.)

New HotDocs Help Format

The look and feel of the HotDocs Help file has changed. The Help is contained in a single window, with new navigation options along the top of the window. Searching the help file is much more intuitive and useful. For details, see Get Help Using HotDocs and Form a Help Search Query

Document Assembly

Send assembled PDF documents to Adobe: If you're assembling PDF-based form documents, you can select a HotDocs option that will send assembled documents to Adobe Acrobat, rather than HotDocs Filler. See Send Assembled PDF Documents to Adobe for details.

HotDocs Automator and Filler

Create independent addendums: You can create multiple, independent addendums for forms where each page of the form represents a duplicate. See Create Independent Addendums for Forms.

Home > New and Enhanced Features of HotDocs 2008 SR 1


HotDocs Help - New and Enhanced Features of HotDocs 2008 SR 2

New and Enhanced Features of HotDocs 2008 SR 2

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 2008 SR 2


HotDocs Help - New and Enhanced Features of HotDocs 2009

New and Enhanced Features of HotDocs 2009

The following new features and enhancements were implemented for the release of HotDocs 2009:

File Formats

Save component files, library files (both template and answer), and answer files in XML format: HotDocs now allows you to save component files, library files, and answer files in either XML format (required to use HotDocs 2009 features) or binary format (required to be compatible with HotDocs 2008 and earlier).

Caution:Please see Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for a complete description of this format change.

Unicode Support

Automate templates using international languages: You can now automate your templates using any left-to-right reading languages that are supported in the Unicode character set. See Use International Characters in HotDocs for details.

Template Development

Use INSERT instructions to include images: You can now use an INSERT instruction to insert JPGs, PNGs, and GIFs in a template. Additionally, you can insert RTF documents that contain image files. INSERT image instructions are appended with the IMAGE keyword.

Use variable INSERTs to specify inserted file names during assembly: Template developers can now use a variable INSERT in a template, which allows the file path and name of a template file or graphic file to be specified at the time of assembly, rather than during template development. You must use a Text variable, a Multiple Choice variable, or a Computation variable that results in text with a variable INSERT.

Navigate repeated dialogs using new button: When completing an interview, end users now add new repetitions to a repeated series list by clicking the Add Another Repetition Add Another button, which is located both after all questions in the dialog as well as in the dialog’s title bar. (Users can no longer use the previously available methods for adding new repetitions to a dialog.) You can customize the title of this new button on a per-dialog basis by specifying it at the Dialog Editor.

Define a default behavior when automatically disabling irrelevant variables: At Component File Properties, you can specify a default behavior for irrelevant variables you automatically disable during the interview.

Enter comments about components at the Notes tab: Component editors now include a Notes tab where you can enter notes about the component, such as an explanation about why the component was created or how it should function in the interview.

Hide editing buttons on spreadsheet dialogs: You can now keep HotDocs from showing the Edit Row, Insert Row, and Delete Row buttons associated with a spreadsheet dialog. (The options are still available via buttons and menus, however.)

Publish templates so they're compatible with HotDocs 2005-2008: HotDocs lets you publish templates created in HotDocs 2009 so they will still be compatible with HotDocs 2005-2008.

Document Assembly

Install auto-install file libraries to any location: HotDocs now allows you to install a template set library to the same folder as you install the templates sets.

Use new method for adding repetitions to a list of answers: When completing an interview, users now add new repetitions to a repeated series list by clicking the Add Another Repetition Add Another button, which is located both after all questions in the dialog as well as in the dialog’s title bar. (Users can no longer use the previously available methods for adding new repetitions to a dialog.)

HotDocs Automator/Filler

Create PDF templates from fillable PDFs: You can create PDF templates based on fillable PDF documents. When you create the template, HotDocs first presents you with several options for working with existing fillable fields—you can have HotDocs create mirror fields that match the existing fillable fields. You can also have HotDocs remove all existing fillable fields. Finally, if the PDF document contains annotations (like sticky notes, stamps, and so forth), you can remove them from the newly created template. Once you create a template that contains fillable fields, you can attach HotDocs variables to those fields using an automated wizard.

Save assembled forms as fillable PDFs: You can assemble a document from a template that was created from a fillable PDF document and save it once again as a fillable PDF document.

Home > New and Enhanced Features of HotDocs 2009


HotDocs Help - New and Enhanced Features of HotDocs 2009 HF1

New and Enhanced Features of HotDocs 2009 HF1

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 2009 HF1


HotDocs Help - New and Enhanced Features of HotDocs 2009 HF2

New and Enhanced Features of HotDocs 2009 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 2009 HF2


HotDocs Help - No Dialog Level

No Dialog Level

No dialog-level help has been provided for this dialog box. For help on a specificitem in this dialog box, select the What's This? Help icon (either What's This? Help or What's This? Help) and click the specific item.

Home > No Dialog Level


HotDocs Help - non-breaking space / hyphen

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

non-breaking space / hyphen

A property that can be assigned to a variable that keeps the answer from being split across two lines in the assembled document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > non-breaking space / hyphen


HotDocs Help - notation

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

notation

An identification assigned to a variable name to help identify what type of variable it is. For example, Client Name TE would indicate that the variable is a Text variable. (Typical component notations include TE (Text), DA (Date), NU (Number), MC (Multiple Choice), TF (True/False), CO (Computation), and DI (dialog).)

Home > HotDocs Glossary of Terms > notation


HotDocs Help - Number variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Number variable

A type of component that merges a numeric value in the document.

Home > HotDocs Glossary of Terms > Number variable


HotDocs Help - ODBC

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

ODBC

Short for Open Database Connectivity, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ADO.)

Home > HotDocs Glossary of Terms > ODBC


HotDocs Help - operator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

operator

A symbol or word that causes either an operation (such as addition) or a comparison to be performed in a computation script or expression.

Home > HotDocs Glossary of Terms > operator


HotDocs Help - Allow Non-Standard Names in Model Documents

Allow Non-Standard Names in Model Documents

When marking up model documents, you must adhere to the Model Document Markup Language, which requires you to follow certain rules when naming variables. For example, variable names can include letters, numbers, and underscores, but they cannot include spaces or other special characters.

Because of this requirement, you may receive errors either when you convert templates to models where spaces and non-alphanumeric characters are used in a variable name, or when you assemble model documents that use this naming scheme. If your model document contains these non-standard variable names, you can select a HotDocs Option that allows HotDocs to still convert or assemble a model, regardless of how you've named your variables.

To allow spaces and other non-alphanumeric characters in variable names

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Model Documents folder. The window changes to show options for working with model documents.
  3. Clear Enforce model document naming standards.
Caution:
  • Currently in HotDocs, template developers can include spaces and non-alphanumeric characters in variable names. In some future version, however, HotDocs may require users to follow a newer, more standard practice of naming variables that includes using only letters, numbers, and underscores.
  • See Model Document Naming Standards for more details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Model Documents > Allow Non-Standard Names in Model Documents


HotDocs Help - Have HotDocs Automatically Complete Component Names

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Have HotDocs Automatically Complete Component Names

You can have HotDocs suggest existing component names as you type. HotDocs can also suggest example formats and text patterns.

To turn on Auto Complete in Component Editors

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several different template development options.
  3. Select Auto complete while typing component names.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Have HotDocs Automatically Complete Component Names


HotDocs Help - Have HotDocs Automatically Generate Dialog Element Component Names

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Have HotDocs Automatically Generate Dialog Element Component Names

When creating dialog elements, you can have HotDocs automatically name the component for you, based on information about the type of element you are creating. Specifically, HotDocs includes in the name the type of element you are creating, followed by any additional information you enter about the element, such as the display text or caption. For example, if you are creating a Script Link element that links to a Computation variable named Tax Calculator, HotDocs will name the component Script Link Tax Calculator.

When you select this option, the Generate name automatically property will be set at the Dialog Element Editor for each new dialog element you create.

To auto-generate dialog element component names

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several different template development options.
  3. Select Always generate name automatically when dialog element created.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Have HotDocs Automatically Generate Dialog Element Component Names


HotDocs Help - Change the Way Question and Answer Summaries Appear

How Do I...?

  • Change the Way Question and Answer Summaries Appear
  • Control Which Variables are Asked in a Question Summary

Change the Way Question and Answer Summaries Appear

In question and answer summaries, you can specify a one-column or a two-column format:

  • The one-column format displays a simple list of variable prompts and answers (if you're generating an answer summary) or empty answer fields (if you're generating a question summary). Prompts and answers are grouped by dialogs. To make these summaries easier to read, you can indent these lists or use bullets.
  • The two-column format displays a list of variable prompts in one column and their associated answers (if you're generating an answer summary) or empty answer fields (if you're generating a question summary) in a second column. Prompts and answers are grouped by dialogs. You can control the appearance of these columns by specifying borders and choosing the width of the column that contains the prompt.

To format question or answer summaries

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Question and Answer Summaries folder. The right pane changes to show the summary options.
  3. If you want the summary to appear in one-column format, click the Format drop-down button, choose One-Column, and select from the following options:
    • Select Indent prompts under dialog titles to include a tab between the column's margin and the prompt. Selecting this option makes the dialog titles and variable prompts appear hierarchical.
    • Select Precede prompts with bullet to insert a bullet character next to each prompt.
    • Select Indent answers under prompts to include a tab between the column's margin and the answer. Selecting this option makes the prompts and the answers appear hierarchical.
    • Select Precede answers with bullet to insert a bullet character next to each answer.
  4. If you want the summary to appear in two-column format, click the Format drop-down button, choose Two-Column, and select from the following options:
    • Select a border style from the Borders drop-down list. Your options include None, Plain, and Sculptured.
    • Specify a percentage in the Percent of width taken by prompt box. This percentage determines how much of the viewable window is used to display the prompt. You can change this number by clicking the up or down arrows, or by typing a number directly in the field.
  5. Optionally, change the number in the Maximum multiple-choice options to display box to control the number of multiple-choice options that appear in a question or answer summary.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Question and Answer Summaries > Change the Way Question and Answer Summaries Appear


HotDocs Help - Change Your Default Word Processor

How Do I...?

  • Change Word Processor File Locations
  • Change Your Default Word Processor
  • Install Support for New Word Processors

Change Your Default Word Processor

If you have both Microsoft Word and WordPerfect installed for HotDocs, you must choose which word processor HotDocs should use as the default. The default word processor controls which word processor file type will be suggested when you create a new template. It also determines which word processor will be opened when you finish the interview and send the assembled document to it.

To specify a default word processor

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Word Processors folder. The right pane changes to show supported word processors.
  3. Click the Default word processor drop-down button and select a word processor.
  4. Optionally, to send assembled documents to the word processor that matches the template file type, select Send assembled documents to word processor based on template type.
  5. Optionally, to start Word before you send the assembled document to it, select Launch Word before sending to word processor (allows auto macros to run). (This is useful if the underlying template uses AutoExec or AutoOpen macros, since HotDocs explicitly disables the execution of Auto macros in Word before it sends a document to Word after assembly.)
Note: Click here to see a list of which word processors are supported for this release.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors > Change Your Default Word Processor


HotDocs Help - Change Colors in HotDocs Forms

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Change Colors in HotDocs Forms

You can change the colors for field backgrounds and borders in HotDocs Automator. Changes affect all forms edited or assembled using HotDocs. There are several custom color schemes from which you can choose.

To change colors

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The view changes to show general form options.
  3. Click the Color theme drop-down button and select a color scheme.
Note: To change the colors used for text template fields, see Define Colors for Fields and Instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Change Colors in HotDocs Forms


HotDocs Help - Change HotDocs Program File Locations

How Do I...?

  • Assign Reference Paths to HotDocs Files
  • Change HotDocs Program File Locations

Change HotDocs Program File Locations

When you install and use HotDocs, the program makes several entries in the System Registry that indicate to HotDocs where to look for files, as well as where to suggest you save files. (See Understand HotDocs Installation.) In most situations, HotDocs uses this information each time you perform a task in HotDocs. For example, each time you create a new template, HotDocs suggests a default location for the new template, based on the information it finds in the System Registry. If you ever need to change these default locations, you can do so at HotDocs Options.

If a full path is specified for the file you are attempting to access, that file path will be used, rather than the default file path. (To check whether a full path is given, select the item and click the Properties Properties button.)

You can change the default location HotDocs looks for the following files:

  • Library files (HDL files).
  • Template files (HFT, HPT, and CMP files). (To change the default location for text templates, see Change Word Processor File Locations.)
  • Template Sets (installed HDI files).
  • Catalog Files (files used to keep published template sets up to date).
  • Answer files (ANX files).
  • Form document files (HFD, HPD, and PDF files).
  • Publish Settings files (HDP files).

To change the default location of HotDocs files

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Locations folder. The window changes to show a listing of the different HotDocs file paths.
  3. In the HotDocs Folders group, select a file type and click Edit. The Browse for Folder dialog box appears
  4. Browse to the new location and click OK. HotDocs will use this location as the new default.
Caution:You must restart HotDocs for these changes to take effect.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Locations > Change HotDocs Program File Locations


HotDocs Help - Change Script Editing Options

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Change Script Editing Options

You can control the formatting HotDocs uses when you write scripts. For example, you can designate the font size of the text used in the script editor, as well as associate colors with certain types of script keywords, placeholders, components, or operators.

To change the options available for writing scripts

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Template Development folder. The folder expands to show a subfolder named Script Editor.
  3. Click the Script Editor folder. The window changes to show several options for customizing HotDocs scripts.
  4. Perform any of the following tasks:
    To | Do This
    Have HotDocs start the next line of a script (after you enter a return) at the same level of indentation | Select Automatic indentation.
    Include keywords for months, language codes, and so forth in the auto-complete list | Select Include seldom-used keywords in auto-complete list. (If you'd rather exclude these keywords from the list, clear this option.)
    Allow the Tab key to insert a tab in a script, rather than move you to the next field in the component editor

    Select Tab key inserts a tab in scripts. Now, whenever you press Tab or Shift+Tab, HotDocs will insert a tab in the script.

    Caution: If you select this option, you can no longer use keyboard commands to move from the Script box to another field in the component editor—you must use your mouse to click out of the Script box.
    Specify the number of characters HotDocs should use when you insert a tab in the script | Enter a number in the Tab width box.
    Have HotDocs use colors to differentiate between instruction and expression keywords, operators, and component names | Select Syntax coloring. (You can then either accept the default colors HotDocs assigns to these, or you can designate your own colors at the Colors and Attributes list.)

    Assign colors and other formatting attributes to the various parts of a script

    These "parts" include instruction keywords, expression keywords, components (such as variables and dialogs), text values (literal text strings), other values (such as literal number and date values and language codes), placeholders, operators, commented scripts, and any syntax HotDocs doesn't recognize.

    Select the item, click the Color drop-down button, and choose a color. You can also select Bold to make the item bolded, and you can select Italic to italicize the item.

    To restore the HotDocs defaults, select the script element, click the Color drop-down button, and choose Default from the top of the Palette tab.

    Specify the font used for the script | Click Select Font and make your selection. You can also specify the size of the script text.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Change Script Editing Options


HotDocs Help - Change Your Spell Checking Options

Change Your Spell Checking Options

HotDocs can spell check text used in component files as well as answers entered during an interview.

As HotDocs spell checks, it looks at the spell checking settings stored in the HotDocs section of the system registry to determine what words the spell checker looks at and how it decides on words to suggest as possible alternatives to words not in the dictionary. You can change these settings.

To change your spell checking options

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Spell Checking folder. The contents of the window change to show your spell checking options.
  3. Select appropriate options, as described in the following table:
    To | Do This
    Cause HotDocs to ignore capitalized words, such as names, cities, titles, and so on | Select Ignore capitalized words (e.g. Canada).
    Cause HotDocs to ignore words that contain all capital letters, such as acronyms or abbreviations | Select Ignore words in all capitals (e.g. ASAP).
    Cause HotDocs to ignore words that contain both uppercase and lowercase letters | Select Ignore words with mixed case (e.g. InLine).
    Cause HotDocs to ignore words that also contain digits | Select Ignore words with digits (e.g. Win95).
    Cause the replacement words HotDocs suggests to match the case of the misspelled word | Select Match case when comparing.
    Cause HotDocs to match the case of misspelled words when replacing them | Select Match case when replacing.
    Cause HotDocs to provide a list of possible replacements for misspelled words | Select Always suggest replacements.
    Cause HotDocs to provide a list of possible replacements based on words that sound like the misspelled word | Select Make phonetic suggestions.
    Cause HotDocs to provide a list of possible replacements based on words that are typographically similar | Select Make typographical suggestions.
    Cause HotDocs to provide a list of possible replacements that are made up of more than one word | Select Make split word suggestions.
    Cause HotDocs to check the spelling only if the text is more than 1 line | Select Check multiple-line text only.
    Cause HotDocs to use the British spelling dictionary rather than the English dictionary | Select Use UK spelling dictionary.

When a word is not in the spelling checker’s dictionary, HotDocs checks for it in your personal dictionary, Personal Dictionary.TLX. If it is not found there, you can add it by clicking Add at the Check Spelling dialog box.

Note: You can change these settings whenever you are spell checking. To do this, click Options at the Check Spelling dialog box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Spell Checking > Change Your Spell Checking Options


HotDocs Help - Change the Way Dates Appear in Answer Fields

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Change the Way Dates Appear in Answer Fields

As you enter dates during an interview, HotDocs reformats the date to appear a certain way in the answer field. You can change this format. (To change the format of dates in the assembled document, see Specify a Default Date Format.)

To change the way dates appear in an answer field

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. At the Answer Entry group, select a date format from the Date display format drop-down list. Your options include 3 Jun 1990; June 3, 1990; 6/15/1990; and 15/6/1990.
Note: Whether the 6/15/1990 format or the 15/6/1990 format is available depends on your date detection format.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Change the Way Dates Appear in Answer Fields


HotDocs Help - Change the Units of Measurement for Forms

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Change the Units of Measurement for Forms

HotDocs Automator measures the fields you create to identify whether they should be treated as check-box fields or edit fields. In addition, the units of measurement affect the margins around all fields and the amount of space used by the header and footer sections of the addendum.

To change the units of measurement

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. Click the Show measurements in drop-down button and select Inches, Points, Centimeters, Picas, or Millimeters.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Change the Units of Measurement for Forms


HotDocs Help - Change Word Processor File Locations

How Do I...?

  • Change Word Processor File Locations
  • Change Your Default Word Processor
  • Install Support for New Word Processors

Change Word Processor File Locations

By default, HotDocs uses certain folders that were specified during installation to store text templates and assembled text document files that are used with HotDocs. These folder names and file paths become the default location HotDocs looks when no specific path is assigned at the file's properties.

At the library, you can check whether a full path is given by selecting the template and clicking the Properties Properties button. If a full path is given, HotDocs uses that information when accessing the file. Otherwise, HotDocs uses the default file location specified here.

You can change the locations HotDocs looks for these files.

To change the location of word processor files

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Word Processors folder so that it expands to show subfolders for each word processor that is installed.
  3. Click the word processor folder for which you want to make changes. The right pane changes to show the different file locations of the document, template, and startup files (or macro files for WordPerfect users).
  4. For each file location you want to change, click the Browse Browse button next to the file location path and navigate to the new location.

If templates in your library use the default file path for its templates, you must move your templates to this new location or HotDocs will not be able to find them. See Move Items to New Locations on Disk.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors > Change Word Processor File Locations


HotDocs Help - Choose Icon Style for Component Lists

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Choose Icon Style for Component Lists

When HotDocs displays lists of components, it uses an icon, followed by the name of the component. You can change the icon to show either a symbol of the component, or an abbreviation for the type of component it is. For example:

Text Abbreviation Icon | Displays all components with a short text abbreviation representing the component type. For example, this icon represents a Text variable.
Graphic Image Icon | Displays all components with a graphic image representing the component type. For example, this icon represents a Text variable.

To change the component icon style

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several different template development options.
  3. At the Component type icons in component lists drop-down list, select either Graphic or Text.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Choose Icon Style for Component Lists


HotDocs Help - Control How HotDocs Handles Two-Digit and Four-Digit Years

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control How HotDocs Handles Two-Digit and Four-Digit Years

As a safety precaution, HotDocs requires you to enter four digits when entering the year portion of a date. If you enter a two-digit date, such as 7/9/99, HotDocs responds with this message: “You must enter a four-digit year.”

You can override this default option by specifying a century rollover year at the HotDocs Options dialog box. The number you enter controls how HotDocs interprets two-digit years. Two-digit years less than or equal to the number you enter are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

For example, if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935.

To set a century rollover preference

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Answer Entry group, clear Require four-digit year in dates. The Century rollover year option becomes available, with the default rollover value of 50 selected.
  4. Type a new two-digit number value in the Century rollover year box (or click the up or down arrows to select a number.) Dates you enter where the year is greater than this value will appear as 19??, while dates where the year is less than this value will appear as 20?? (where ?? represents the year you type at the answer field.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control How HotDocs Handles Two-Digit and Four-Digit Years


HotDocs Help - Control How Child Dialogs Appear in the Interview Outline

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control How Child Dialogs Appear in the Interview Outline

As you assemble documents, HotDocs displays the dialogs from the template in the interview outline. Some dialogs contain inserted dialogs (or child dialogs) that are also represented visually in the interview outline. You can control just how much detail the outline shows for each parent and child dialog—a full view of all dialogs, a view of just the current dialog, or a view of just the parent dialog.

To change the appearance of child dialogs in the interview outline

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Interview Outline group, click the Automatically expand child dialog entries drop-down button and select one of the following options:
    • Choose Completely to have HotDocs expand the interview outline to show the relationship between all related dialogs.
    • Choose Partially to have HotDocs expand the interview outline to show only the dialog you are currently answering.
    • Choose Not at all to have HotDocs not expand the interview at all and show only the parent dialog in the interview outline.
Note: These views are controlled when you use the navigation bar or shortcut keys to complete an interview. Once you click in the interview outline, expansion of the outline is controlled by the mouse.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control How Child Dialogs Appear in the Interview Outline


HotDocs Help - Control What Happens When You Finish an Interview

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control What Happens When You Finish an Interview

By default, when you click Next Next at the last dialog in an interview, HotDocs displays the End of Interview dialog, which gives you options for working with the assembled document. For example, you can choose to send the assembled document to the word processor or Filler, or you can return to the interview and answer any unanswered questions. However, if the End of Interview dialog is hidden (see Use the End of Interview Dialog), clicking Next Next simply displays the assembled document. Where you view the document--either in the assembly window or in the word processor or HotDocs Filler--depends on which options you select.

Likewise, when you click the Finish Finish button in the navigation bar, HotDocs displays the assembled document. Again, you can choose where you view the document.

To define how HotDocs should finish an interview

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the End of Interview subfolder. The window changes to show options for working with the End of Interview dialog.
  4. In the Finish Interview Action group, select an option for text documents:
    • To send all assembled text documents directly to the word processor, select Send assembled text documents to the word processor and close.
    • To view all assembled text documents directly at the Document Preview tab of the assembly window, select Proceed to the Document Preview tab.
  5. Select an option for form documents:
    • To send all assembled form documents directly to HotDocs Filler, select Send assembled form documents to HotDocs Filler and close .
    • To view all assembled form documents at the Form Document tab of the assembly window, select Proceed to the Form Document tab.

Now, whenever the End of Interview dialog is hidden and you click Next Next at the last dialog in the interview, HotDocs will perform the action you specified. Additionally, whenever you click the Finish Finish button, the same action will be performed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control What Happens When You Finish an Interview


HotDocs Help - Control the Functionality of the Enter Key During the Interview

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control the Functionality of the Enter Key During the Interview

You can control the functionality of the Enter key as you enter answers in a dialog. For example, if you want to use the Enter key to advance to the next dialog instead of the next answer field, you can specify an option that will make this possible.

To specify how the Enter key functions during assembly

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, click the Enter key action in single-line fields drop-down button and select an option:
    • Choose Next dialog to have the Enter key display the next dialog.
    • Choose Next answer field to have the Enter key move your cursor to the next answer field.
    • Choose No action to make the Enter key not do anything.
Note: Pressing Enter in a multi-line text field will insert a line break, while pressing Ctrl+Enter will insert a paragraph end. (This affects Word users only.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control the Functionality of the Enter Key During the Interview


HotDocs Help - Control How Forms Appear When Opened

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Control How Forms Appear When Opened

When you open a form in HotDocs Automator, different views of the form can be shown, such as fields, variable names in fields, and thumbnail views of form pages. You can control which views appear, as well as what level of magnification is used. These settings are used each time you open a form.

To control how forms appear when opened

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. In the On Open group, select options that control the view when you open a form, as described in the following table:
    To | Do This
    Display the colored fields | Select Highlight Fields.
    Display the names of variables attached to each field | Click Show Variables.
    Display thumbnail images of each page of the form

    Click Show Thumbnails.

    The thumbnails appear in a separate pane in the window. You can click on the thumbnail images to move through the form.

    Display forms at actual size. | Click Zoom and select 100%
    Match form width to the left and right edges of the window | Click Zoom and select Fit to Width.
    Matches form height to the top and bottom edges of the window | Click Zoom and select Fit to Height.
Note:
  • You can hide the fields, variables, and thumbnails by clearing these options.
  • To change the colors used for form fields, see Change Colors in HotDocs Forms.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Control How Forms Appear When Opened


HotDocs Help - Control When Returns Are Inserted After Instructions in Text Templates

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Control When Returns Are Inserted After Instructions in Text Templates

By default, when inserting instructions in a template, HotDocs inserts a return after the instruction. Then, as the instruction is processed and removed from the assembled document during assembly, HotDocs removes the return it inserted as well.

One reason why HotDocs includes these returns after instructions is to make it easier to view template text in relation to the instructions, particularly when the instruction controls the appearance of an entire paragraph of text.

In this example, returns are inserted after the instruction. This keeps instructions on their own lines and makes it easier to view how the instructions relate to the text.

SHIPPED TO
«IF Different Shipping Address»
«Shipping Name»
«Shipping Street»
«Shipping City», «Shipping State» «Shipping ZIP»
«ELSE»
«Billing Name»
«Billing Street»
«Billing City», «Billing State» «Billing ZIP»
«END IF»

In this example, returns are not included after each instruction. This makes it more difficult to see the conditions in relation to the text.

SHIPPED TO
«IF Different Shipping Address»«Shipping Name»
«Shipping Street»
«Shipping City», «Shipping State» «Shipping ZIP»
«ELSE»«Billing Name»
«Billing Street»
«Billing City», «Billing State» «Billing ZIP»«END IF»

In some situations, however, having this return in the template text may actually make the text more difficult to read, for instance, because the instructions control the appearance of text within a paragraph and not the paragraph as a whole.

In this example, the returns after the instructions force text within a paragraph to a new line. This may be confusing to understand.

Health insurance is provided as one of the benefits of your employment with Hobble Creek Publishing. The insurance policy is through TLC Insurance and will cover you, your spouse, and any minor children. Your insurance coverage will begin «IF DAY OF( Hire Date ) = 1»
«Hire Date»«ELSE»
«Coverage Start Date»«END IF»
.

In this example, the returns after the instructions are omitted, allowing all of the text to remain in the same paragraph.

Health insurance is provided as one of the benefits of your employment with Hobble Creek Publishing. The insurance policy is through TLC Insurance and will cover you, your spouse, and any minor children. Your insurance coverage will begin «IF DAY OF( Hire Date ) = 1»«Hire Date»«ELSE»«Coverage Start Date»«END IF».

In most cases, you most likely want returns inserted when merging an entire paragraph, and you want returns omitted when inserting just short blocks of inline text. Whatever your preference, you can choose an option that best suits your needs.

To determine whether (and when) HotDocs inserts returns after instructions

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several template development options.
  3. Click the Insert returns after instructions in text templates drop-down button and choose an option, based on the following information:
    • Choose Always to have HotDocs always insert a return character after an instruction. (Remember, HotDocs will remove the return during assembly.)
    • Choose Smart to have HotDocs determine whether it should insert a return character or not. It determines how to insert these returns based on surrounding characters (such as paragraph breaks) in the text. (See Understand How Smart Returns are Inserted After Instructions for a complete description.)
    • Choose Never to have HotDocs never insert a return character after an instruction.
Caution:WordPerfect 8 and WordPerfect 9 users: Because of some problems with underlying text selection when inserting instructions in a template, you should set Insert returns after instructions in text templates to Always. Selecting Smart or Never will cause errors during assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Control When Returns Are Inserted After Instructions in Text Templates


HotDocs Help - Control the Tab Order of Buttons on the Navigation Bar

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control the Tab Order of Buttons on the Navigation Bar

Sometimes as you navigate through an interview, you may press the Tab key to move between options in a dialog—including the buttons on the Navigation Bar. You can select an option that causes the Next Next button to always be the first button on the navigation bar to which you tab after answering questions in the interview. When this option is cleared and you press Tab after the last question in the interview, HotDocs will tab to the first active button in the Navigation Bar.

To control the Navigation Bar tab order

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, select Next button first in Navigation Bar tab order.

Now when tabbing from the last answer field in the dialog to the Navigation Bar, you will automatically tab to the Next Next button, regardless of whether the First Dialog First Dialog, Previous Unanswered Previous Unanswered, or Previous Previous buttons are active.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control the Tab Order of Buttons on the Navigation Bar


HotDocs Help - Control Warnings During Assembly

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Control Warnings During Assembly

When you assemble form documents, situations may arise where your answers may be altered. These situations include when answers overflow the field, or when field settings are different. HotDocs can warn you in such situations.

To control warnings that display during assembly

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. In the While Filling group, make selections based on the following information:
    • Select Warn when leaving a field that overflows to display the Overflow Options dialog box when an answer needs more space than the field allows.
    • Select Warn when typing in a restricted field to display the Restricted Field dialog box when you type in a field that can't be answered until other fields have valid answers.
    • Select Warn when overriding a field to display the Override Field dialog box when you choose to override a field.
    • Select Warn when attempting to create a field using the Fill tool to display a message explaining how to create a field when viewing the Form Document tab of the assembly window.
Note: You can choose to have no warnings appear by clearing these options. This will not automatically resolve answer overflow or allow you to type answers in inactive fields. It only means no warnings will be displayed during the interview or direct-fill. When you attempt to save or print the document, you must resolve the overflow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Control Warnings During Assembly


HotDocs Help - Control Which Variables are Asked in a Question Summary

How Do I...?

  • Change the Way Question and Answer Summaries Appear
  • Control Which Variables are Asked in a Question Summary

Control Which Variables are Asked in a Question Summary

Typically question summaries include all questions in a template. However, some questions may not be asked unless certain conditions are met or certain answers are entered. These kinds of questions are called conditional variables. You can limit question summaries so they show only the questions that are applicable, based on certain answers you provide.

An example of a conditional variable might be the section of an employee agreement template that deals with employee benefits. Questions relating to employee benefits are asked only if the employee qualifies for benefits. If you assemble a question summary for an employee who does not meet the conditions, the benefits questions should not appear in the summary.

To control conditional variables in a question summary

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Question and Answer Summaries folder. The window changes to show several summary options.
  3. In the Question Summaries group, select Honor IF instructions when answered.

This setting will take effect when you assemble a document, answer the conditional variables, and then view the question summary.

Note: To once again generate a question summary that shows all the document questions, clear Honor IF instructions when answered.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Question and Answer Summaries > Control Which Variables are Asked in a Question Summary


HotDocs Help - Create Personal Information Variables

How Do I...?

  • Create Personal Information Variables
  • Edit Answers for Built-In Personal Information Variables

Create Personal Information Variables

Personal Information variables gather basic information, such as your name, company, and phone number. This information is stored in the Current User section of the system registry so it can be used in assembled documents without you having to re-enter it.

You can create your own Personal Information variables for use in templates you automate. (See Insert a Personal Information Variable for details on how to do this.) You can also remove any custom Personal Information variables you create.

To create a new Personal Information variable

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Personal Information folder. The right pane changes to show several Personal Information variables.
  3. With the contents of the Personal Information folder displayed, click Add. The Add Personal Information dialog box appears.
  4. Type the name of the variable in the Variable box.
  5. If you know the value you want assigned to the variable, type it in the Answer box and click OK.
Note: To remove custom Personal Information variable you have created, select the variable and click Delete. Click Yes to confirm the deletion.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Personal Information > Create Personal Information Variables


HotDocs Help - Customize the Appearance of Addenda

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Customize the Appearance of Addenda

You can format the form addendum to fit your project requirements.

To change the addendum's appearance

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Double-click the Properties for New Forms folder, then select the Addendum Properties subfolder. The window changes to show options that control the format of the addendum.
  4. In the Page Margins group, enter margin widths (or click the up or down arrows to select a number). These numbers control the spacing between the answer text and the edges of the field.
  5. In the Header Properties and Footer Properties groups, specify the header or footer text you want to appear in the addendum:
    • At the Header text or Footer text box, type the text you want displayed in the addendum header or footer. (See Use Answer Overflow and Addendum Text Codes.)
    • At the Height box, type a number (or click the up or down arrows to select a number). This number controls the vertical height of the header section.
    • Click Font to display the Font dialog box, where you can change font properties of the header text.
    • At the Alignment drop-down list, select one of the available options: Left, Center, Right, or Justified.
  6. In the Addendum Entries group, make the following changes:
    • To change the font properties of the addendum entries, click Font to display the Font dialog box.
    • To control the distance between the label and the actual answer, enter a number (or click the up or down arrows to select a number) in the Indent box.
    • To control the distance between answers in the addendum, enter a number (or click the up or down arrows to select a number) in the Spacing box.
  7. Select Number lines to format as pleading paper to place lines on the right and left side of the addendum, with numbers along the entire left edge.
Caution: The changes you make are not applied to existing forms. The changes won't take effect until you create a new template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Customize the Appearance of Addenda


HotDocs Help - Customize the End of Interview Dialog

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Customize the End of Interview Dialog

Options in the End of Interview dialog allow you to work with assembled documents. Such options include sending documents to the word processor, saving them to disk, or closing the assembly window without doing anything. You can choose which of these options appear in the End of Interview dialog.

To choose which options appear in the End of Interview dialog

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the End of Interview subfolder. The window changes to show which buttons you can choose to have appear in the End of Interview dialog.
  4. In the End of Interview Buttons group, choose which buttons you want on the End of Interview dialog by selecting the corresponding check box.
Caution: Buttons will be included only if they are selected and if they are relevant to the current interview. For example, HotDocs will display the Go to First Unanswered Dialog Go to the first unanswered question in the interview button only if there is at least one unanswered question in the interview.
Note: To customize the list of buttons while viewing the End of Interview dialog, you can right-click anywhere in the dialog and choose Change Options from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Customize the End of Interview Dialog


HotDocs Help - Customize the Look of the Dialog Pane

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Customize the Look of the Dialog Pane

You can change the appearance of the dialog pane. Specifically, you can change background colors and text properties (such as font face, size, and color). You can also change some of the properties of the resource pane as well as the interview outline.

Note: To restore all default properties after you have changed them, at the Appearance window, click Restore Default Fonts and Colors.

To change the appearance of the dialog, resource pane, or interview outline of the assembly window

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the Appearance subfolder. The window changes to show a visual representation of the dialog pane.
  4. Make any changes, based on the following options:
    • To change the font or font size for text in the dialog, click the Dialog font drop-down button and choose the font from the list and enter a size in the Font size box.
    • To change the font or font size for text in the resource pane, click the Resource font drop-down button and choose the font from the list and enter a size in the Font size box.
    • To change the font or font size for text in the interview outline, click the Outline font drop-down button and choose the font from the list and enter a size in the Font size box. (To see these changes take effect, you must start a new assembly.)
    • To change the color of an item in the assembly window, click the Item color drop-down button and choose the item from the list. Then click the color drop-down button and choose the color.
    • To have HotDocs mark required questions with an asterisk, select Show asterisk for required fields .
Note: In addition to choosing the item whose properties you want to change using the drop-down lists, you can also click on an area in the dialog preview. This automatically selects the item (in the corresponding drop-down list) so you can then change the properties.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Customize the Look of the Dialog Pane


HotDocs Help - Define Field Colors

How Do I...?

  • Define Field Colors
  • Specify How Documents Should Be Marked Up

Define Field Colors

By default, when you insert fields in a HotDocs text template, HotDocs applies certain colors to the fields, depending on the field type. For example, all variable fields will be merged using a specific color, while all REPEAT instructions will be merged using a different color, and so forth.

Depending on the complexity of the template, there may be times when you want to use field coloring to view relationships between SPAN, IF and REPEAT instructions in the template. For example, when working with nested instructions, you may want all first-level instructions to be marked by one color, all second-level instructions to be marked by another color, and so forth. Additionally, you may want to view instructions in the template sequentially, meaning each instruction pair is marked with its own color.

At the Field Colors page, you can assign the colors HotDocs will use for marking fields and instructions in a template.

To customize the field colors in a text template

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Markup View (Word) folder. The folder expands to show subfolders.
  3. Click the Field Colors folder. The window changes to show lists of field types and instructions with their corresponding colors.
  4. Complete any of the following steps:
    • To specify the color for all field types in a template, click that particular field in the Regular column and choose the color you want from the palette.
    • To specify the color for each nested level of instruction, click that particular level in the Nested column and choose the color you want from the palette.
    • To specify the color for each matching pair of instructions, click that field in the Sequential column and choose the color you want from the palette.
  5. Repeat this process for each field type or level of instruction you want to change.

Once you have made these changes, you must click the Apply Colors Apply Colors button within your template to apply the new colors to any existing fields.

Note:
  • HotDocs allows you to assign up to 20 Nested and Sequential colors. If you want to use fewer color schemes, select the Level or Field after the last color you want used and assign black as the text color and white as the highlight color. (So, for example, if you want to show only four levels of nesting, click on Level 5 and assign the black/white color combination.)
  • If using the keyboard, tab to the row you need to access and press the Spacebar to show the foreground color palette. Press Shift+Spacebar to show the background color palette.
  • To restore default colors, click the Color drop-down button and choose Default at the top of the Palette tab.
  • To choose the colors used for form fields, see Change Colors in Form Fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Markup > Define Field Colors


HotDocs Help - Determine How Frequently HotDocs Checks for Template Set Updates

Determine How Frequently HotDocs Checks for Template Set Updates

If you are using a published template set and the template publisher provides automatic updates, you can have HotDocs check for these updates each time you start HotDocs. (Please check with your template set publisher to determine if your template set includes automatic updates.)

To check for template set updates

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Set Updates folder. The window changes to show update options.
  3. Complete any of the following optional steps:
    To | Do This
    Always check for updates when you start HotDocs | Select Perform scheduled checks for updates when HotDocs is started. (If HotDocs detects an update, it displays a warning icon in the status bar of the HotDocs window.)
    Display a window that shows the progress HotDocs makes in installing the updates | Select Show progress window when checking for updates.
    Choose the template sets for which you want to check for updates | Select the set in the Select the template sets you want to keep up-to-date list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Set Updates > Determine How Frequently HotDocs Checks for Template Set Updates


HotDocs Help - Display HotDocs Warning Messages

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Display HotDocs Warning Messages

Sometimes HotDocs warns you when it is about to perform an operation that could impact the work you are doing. When HotDocs displays these warnings, it gives you the option of suppressing the warnings the next time you perform a similar operation. You can have HotDocs re-display these warnings after you have suppressed them.

To cause HotDocs to display warnings

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several different template development options.
  3. In the Warning Messages group, make your selection, based on the following information:
    • To have HotDocs warn you when it is about to convert a template to the current version of HotDocs, select Warn before automatically converting templates. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs and Convert a Single Template to a New File Format.)
    • To have HotDocs warn you when you edit a template that is using a shared component file, select Warn when editing pointed component files.
    • To have HotDocs warn you when you are moving a variable from one dialog to another, select Warn when variables automatically removed from dialogs. (See Use the Same Variable or Clause in Two or More Dialogs.)
    • To have HotDocs remind you that changes are saved when you close a Component Editor using buttons in the title bar, select Warn when component editors closed via title bar.

Now, when HotDocs performs related actions, it will display the associated warning.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Display HotDocs Warning Messages


HotDocs Help - Display Repeated Dialogs Using a Special Icon

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Display Repeated Dialogs Using a Special Icon

When HotDocs starts an assembly, it displays an interview outline as well as a dialog pane. The interview outline contains a list of all the dialogs in a given template. These appear as icons, followed by the name of the dialog. If HotDocs encounters a repeated dialog, it can display an icon that more closely represents a repeated dialog ( Repeated Dialog). When you click this icon, the interview outline expands to show each repeated dialog as entries underneath the dialog title. These entries are numbered to show which repetition you are on.

To display repeated dialogs using a special icon

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Interview Outline group, select Display repeat icons in interview outline.
Note: To have HotDocs show repeated dialogs in the main level of the interview outline, clear Display repeat icons in interview outline.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Display Repeated Dialogs Using a Special Icon


HotDocs Help - Display Resource Buttons Next to Answer Fields

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Display Resource Buttons Next to Answer Fields

In addition to viewing helpful information in the resource pane, you can specify an option that will display a View Resource Pane Resource button next to answer fields in the dialog pane. (Clicking this button causes the resource text to appear in a pop-up dialog.) You can also control when the button appears.

To have HotDocs display a resource button next to an answer field

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, click the Show answer field resource button drop-down button and select an option:
    • For the current field only causes HotDocs to display a resource button next to an answer field only when that field is active (or when you are answering it).
    • For all fields with a resource causes HotDocs to simultaneously display resource buttons for all answer fields in the dialog that contain a resource. The buttons appear regardless of which answer field is active.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Display Resource Buttons Next to Answer Fields


HotDocs Help - Display Warning When Questions are Unanswered

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Display Warning When Questions are Unanswered

As you complete a HotDocs interview, HotDocs keeps track of which questions you have answered. You can have HotDocs display a warning message if you attempt to send the document to the word processor without answering one or more questions. (The warning also appears when you save or print the document.) Leaving questions in an interview unanswered may result in an incorrectly assembled document. Heeding these warnings can help you ensure the accuracy of the document.

To have HotDocs display a warning when variables are unanswered

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Display unanswered warning before saving documents.
Note: If you don't want HotDocs to warn you about unanswered questions, clear Display unanswered warning before saving documents. Unanswered questions will still be reported in the End of Interview dialog, but HotDocs will no longer display warning messages.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Display Warning When Questions are Unanswered


HotDocs Help - Edit Answers for Built-In Personal Information Variables

How Do I...?

  • Create Personal Information Variables
  • Edit Answers for Built-In Personal Information Variables

Edit Answers for Built-In Personal Information Variables

Personal Information variables gather basic information, such as your name, company, and phone number. This information is stored in the Current User section of the system registry so it can be used in assembled documents without you having to re-enter it.

When you assemble a document using a template that has Personal Information variables, HotDocs asks for any personal information required by the template that you haven’t already entered. If you want to specify this information before document assembly, however, or if you want to change existing answers, you can do this at the HotDocs Options dialog box.

Because built-in variables are shared between all users of your workstation, you cannot delete the variable. You can, however, remove any personal information that has been entered for it.

To edit answers for Personal Information variables

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Personal Information folder. The right pane changes to show several Personal Information variables.
  3. Select the variable you want to modify and click Edit. The Edit Personal Information dialog box appears.
  4. Enter an answer in the Answer box and click OK. The value is now listed in the Answer column.
Note: To remove an answer for a Personal Information variable, select the variable that contains the answer and click Delete. Click Yes to confirm the deletion.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Personal Information > Edit Answers for Built-In Personal Information Variables


HotDocs Help - Enable Document Editing Options for All New Templates

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Enable Document Editing Options for All New Templates

Note: Document editing options are currently available for Microsoft Word users only.

Often, as users are reviewing their assembled documents, they may need to see exactly where their answers have been merged. Sometimes they may need to edit or change those answers as well. To allow this functionality for your users, you must specify the component file property for each of the templates in your set. Rather than set it in each template individually, you can specify an option that will set this property in each new template you create.

Specifically, these options allow the user to highlight where answers in the document have been merged, and edit the answer while at the Document Preview tab.

For more information on working with the assembled document, see Edit Answers at the Document Preview Tab.

To set the component file properties for editing text documents

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several different template development options.
  3. In the Component File Properties for New Templates group, select Mark answers in assembled documents.
  4. Optionally, select Enable Edit Answer at Document Preview tab.

Now, in each new template you create, these component file properties will be set.

To set the properties for existing templates, change them at the Component File Properties dialog box (see Change Component File Properties) or change the properties in multiple templates at once using Template Manager (see Modify Component File Properties Across Multiple Files).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Enable Document Editing Options for All New Templates


HotDocs Help - Enable All New Templates for Use with HotDocs Server

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Enable All New Templates for Use with HotDocs Server

When creating templates for use with HotDocs Server, some features (such as clause libraries and database components) are not allowed. You can have HotDocs warn you of this when you are creating templates and you attempt to use such a feature.

Additionally, when templates are enabled for HotDocs Server, you can test assemble the template in a Web browser as well as publish the files required for the template to reside on the server.

To allow all new templates you create to be used with HotDocs Server

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Development folder. The window changes to show several different template development options.
  3. In the Component File Properties for New Templates group, select Enable for use with HotDocs Server.

Now, in each new template you create, this component file property will be set. To set the properties for existing templates, change them at the Component File Properties dialog box (see Change Component File Properties). Or change the properties in multiple templates at once using Template Manager (see Modify Component File Properties Across Multiple Files).

Note: If you don't want every template you create to be enabled for server-based assembly, you can set this option on a per-template basis by changing the specific template's component file properties. (See Change Component File Properties.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Enable All New Templates for Use with HotDocs Server


HotDocs Help - Format Unanswered Variables in a Document

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Format Unanswered Variables in a Document

You can specify how an unanswered variable will appear in an assembled text document. (If a variable is left unanswered in a form document, the form field is left empty, regardless of which unanswered variable placeholder you have selected.)

To specify an unanswered variable format

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. At the Unanswered variable placeholder drop-down list, make a selection based on the following information:
    • Select ***Variable*** to insert the name of the variable with three asterisks on both sides of the variable name.
    • Select [Variable] to insert the name of the variable between two brackets.
    • Select Underscores to insert a blank line where the answer should be.
    • Select Asterisks to insert three asterisks.
    • Select Nothing to insert nothing in the unanswered field, not even a space.
Note:
  • Sometimes a template developer may assign a placeholder to be used with a variable. If so, the document may show a placeholder that is different than what you select here.
  • If you are using Microsoft Word (and the template developer has enabled answer editing at the Document Preview tab), you can edit answers while viewing the document. See Edit Answers at the Document Preview Tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Format Unanswered Variables in a Document


HotDocs Help - Automatically Generate Default Interviews for Form Templates

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Automatically Generate Default Interviews for Form Templates

By default, when you create a new form template, the only option for assembling it is by entering your answers directly in the fields on the form. You can, however, specify an option that causes HotDocs to generate a default interview for the template, based on variables used in the template. If variables are grouped in custom dialogs, HotDocs will display the dialog instead. (This is how interviews are created for text templates.)

To have HotDocs always create default interviews for all new form templates

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Forms folder.
  4. Select Generate default interview from form fields.
Caution: The changes you make are not applied to existing templates. The changes won't take effect until you create a new template.
Note:
  • You can generate default interviews on a template-by-template basis (see Have HotDocs Generate a Default Interview), or even create custom interviews for your form templates (see Define a Custom Interview).
  • You can prevent users from using the interview outline by clearing this option. This will force users to directly fill the document at the Form Document tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Automatically Generate Default Interviews for Form Templates


HotDocs Help - Include List of Completed Assemblies in Assembly Queue

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Include List of Completed Assemblies in Assembly Queue

As you assemble documents during a given session of HotDocs, you can have HotDocs create a list of each document you have assembled in the assembly queue. This list remains active during a particular session of HotDocs. (A session is the time between when you start HotDocs and when you close it.)

To list completed assemblies in the assembly queue

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. In the Assembly Queue group, select List completed assemblies.
Note: If you are assembling large numbers of documents and you don't want HotDocs to track completed assemblies, clear List completed assemblies. Then, once assembly has finished, the assembly is removed from the queue.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Include List of Completed Assemblies in Assembly Queue


HotDocs Help - Install Support for New Word Processors

How Do I...?

  • Change Word Processor File Locations
  • Change Your Default Word Processor
  • Install Support for New Word Processors

Install Support for New Word Processors

Caution: Before installing support for a new word processor, make sure you run the newly installed word processor program at least once. This creates entries for the new word processor in the Windows System Registry that HotDocs needs to properly integrate with the word processor.

When you install a new word processor and you want to use it with HotDocs, you can install support for it through HotDocs Options. If multiple users use the workstation, support for the word processor will be installed for them as well.

To install new word processor support

  1. Install the new word processor and run it at least once.
  2. Start HotDocs. (See Start HotDocs.)
  3. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  4. Click the Word Processors folder. The right pane changes to show a list of word processors which HotDocs supports. (Word processors for which you have already installed support are selected, while word processors that are not installed are disabled.)
  5. Select the word processor for which you want to install support.
  6. Click OK. The HotDocs Options dialog box closes.

Once you close the HotDocs Options dialog box, HotDocs runs the Current User Setup, which copies the required files to the correct program folders. (See Understand HotDocs Installation.)

Note:
  • Click here to see a list of which word processors are supported for this release.
  • To make the newly installed word processor the default word processor, you must manually select it after you install support for it. See Change Your Default Word Processor for details.
  • You may need to restart the word processor to add the correct HotDocs buttons and toolbars to it.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors > Install Support for New Word Processors


HotDocs Help - Make Assembly Window Toolbars Automatically Wrap

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Make Assembly Window Toolbars Automatically Wrap

The HotDocs assembly window includes several toolbars to help you accomplish the work you need. At times, the width of the assembly window won't allow all of the toolbars to be displayed at once—some of the toolbars scroll off the right edge of the window. You can select an option that allows those toolbars to wrap to a new line of the assembly window so you can view all of them at once.

To auto-wrap assembly window toolbars

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options
  3. Select Auto-arrange toolbars.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Make Assembly Window Toolbars Automatically Wrap


HotDocs Help - Manage Answer Files

How Do I...?

  • Manage Answer Files
  • Manage Assembled Document Files
  • Specify Document Management Settings

Manage Answer Files

To work with answer files, you can either use Answer File Manager, or you can use Windows Explorer. (See Overview: Use Answer Management.) Answer File Manager uses an answer library (.HAL) file to create, store, and select answer files. Windows Explorer allows you to work with answer files using the common File > Open or File > Save dialog boxes.

Which option you choose depends on your preference. For example, Answer File Manager works well if you are the only user and you like the functionality available with a library. However, Windows Explorer makes more sense for managing answer files in a multi-user setting. Windows Explorer also lets you see more clearly where the actual answer files are saved.

To change how HotDocs locates and manages answer files

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Management folder. The window changes to show file management options.
  3. Click the Manage answer files using drop-down button and select an option:
    • HotDocs Answer File Manager uses an answer library to create, store, and select answer files.
      Caution: The first user to open an answer library is the only one who has write access to it. That means only one person can modify items in the library at any given time. If multiple users must access the answer files, use Windows Explorer to manage the files.
    • Windows Explorer uses Windows Explorer to create, save, and select answer files.
    • Document Manager uses a third-party document management program to manage the use of answer files. (To use this option, make sure you specify the ODMA DLL file name and path in the Document manager ODMA DLL location box.)
  4. If you selected Document Manager, choose one of the following options from the Answer file save format drop-down list:
    • Ask Before Saving causes HotDocs to prompt for the file format each time an answer file is saved.
    • HotDocs Answer File (.anx) automatically saves the file in HotDocs 2009-10 format.
    • HotDocs 2005-2008 Answer File (.anx) automatically saves the file in HotDocs 2005-2008 file format. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management > Manage Answer Files


HotDocs Help - Manage Assembled Document Files

How Do I...?

  • Manage Answer Files
  • Manage Assembled Document Files
  • Specify Document Management Settings

Manage Assembled Document Files

You can use a document management program to control how assembled documents are saved. You can also specify the format HotDocs uses when it saves the document to the document manager.

To manage assembled documents

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Management folder. The window changes to show file management options.
  3. Click the Manage assembled documents using drop-down button and select an option:
    • Windows Explorer uses Windows Explorer to save and access assembled document files.
    • Document Manager uses a third-party document management program to manage assembled document files. (To use this option, make sure you specify the ODMA DLL file name and path in the Document manager ODMA DLL location box.)
  4. If you select Document Manager, you can specify the format of the assembled document by clicking the Save format drop-down button next to the types of documents you are saving and making a selection.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management > Manage Assembled Document Files


HotDocs Help - Prompt to Save the Assembled Document When Closing the Assembly Window

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Prompt to Save the Assembled Document When Closing the Assembly Window

Whenever you close an assembly window, either before or after you send the assembled document to the word processor, HotDocs can ask if you want to save a copy of the assembled document.

To have HotDocs prompt you to save the assembled document

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Prompt to save document when closing assembly window. HotDocs will prompt you to save a copy of the assembled document whenever you close the assembly window.
  4. Optionally, select Prompt to save documents sent to word processor to have HotDocs prompt you to save a copy of the assembled document when you close the assembly window, even if you have sent the document to the word processor.
Note: Depending on your project needs, you may not need to save electronic versions of your documents. In such cases, you can clear both of these options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Prompt to Save the Assembled Document When Closing the Assembly Window


HotDocs Help - Prompt to Select an Answer File Before Assembly

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Prompt to Select an Answer File Before Assembly

You can have HotDocs prompt you to select an answer file when you assemble a document. When it does, you can choose to use an existing answer file; specify a new, untitled answer file; or use the answer file from your last assembly.

To have HotDocs prompt you for an answer file

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Prompt for answer file when beginning an assembly.
Note: Clear Prompt for answer file when beginning an assembly to have HotDocs bypass this option and start the interview immediately using an untitled answer file. Once the interview has started, you can save the current answer file at any time.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Prompt to Select an Answer File Before Assembly


HotDocs Help - Protect Forms By Backing Them Up

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Protect Forms By Backing Them Up

In HotDocs Automator, you can choose safety precautions to protect your work from system failure.

To protect your work from system failure

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. From the Recovery (HotDocs Automator only) group, make selections based on the following information:
    • Select Create backup copies of original templates to have HotDocs create a backup file when you first create a new form template. If ever you need to revert to the file as it was when you created it, you can open the backup file and save it using the original file name.
    • Select Maintain auto-recovery files while editing templates to have Automator create a log file that lists all changes made directly in the form. If there is a system failure while you are working, the next time you open the file, it will use the log file to reapply all changes made to the form, so you won't lose any work. (The log file, however, doesn't back up the component file.)
Note: Backup files are created in the same folder as the original file. If the folder is write-protected, the backup file is created in the temporary folder defined by your TMP or TEMP system variable. The backup file has the same name as the original file but with the extension ~FT, or ~PT. (If, for some reason, the backup file can't be created with that name, it will have a number instead of the F or P in the extension—for example, ~2T.) Each time you open the original file, its current content will be saved to the backup file, overwriting the previous content.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Protect Forms By Backing Them Up


HotDocs Help - Assign Reference Paths to HotDocs Files

How Do I...?

  • Assign Reference Paths to HotDocs Files
  • Change HotDocs Program File Locations

Assign Reference Paths to HotDocs Files

A HotDocs library will work only if each template listed in the library is located in the exact path specified in the Item Properties dialog box for that template. This makes it difficult to create a library that will work for multiple users who will not store the templates in the same locations. A reference path lets you create a library that will work, regardless of where users store their templates.

A reference path is a folder path for a template in which the drive letter and some or all of the folder names have been replaced with a caret (^) and a keyword. The keyword is associated with an actual folder path in the user's HotDocs settings. When HotDocs needs to open a template, it replaces the caret and keyword in the folder path for the template with the folder path that is associated with the keyword in the user's HotDocs Options.

Some common uses of reference paths are:

  • With distributed template sets which allow users to choose where they install the templates (even if they can only choose the drive to which the templates are installed).
  • With templates located on a network drive that is mapped to a different letter for some of the users.

In order for your library to work for users regardless of where they store the templates, you need to enter a reference path for all templates and clause libraries in the library. You should use the same keyword for all the items in the library.

If you know the library items won't all be stored in the same subfolders, use the keyword only in place of the part of the path that is identical for all items. For example, if some of the templates will be stored in a General subfolder and others will be stored in a Family Law subfolder, you would use the reference path ^keyword\General\template.ext for those templates in the General subfolder and ^keyword\Family Law\template.ext for those templates in the Family Law subfolder (where keyword is a placeholder for the keyword you use and template.ext is a placeholder for the file name and extension of the template).

To associate a keyword with a path and assign the reference path

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Locations folder. The window changes to show a listing of the different HotDocs file paths.
  3. In the Reference Paths section, click Add. The Add/Edit Reference Path dialog box appears.
  4. Type a keyword for the reference path in the Keyword box.
  5. Click the Browse Browse button next to the Path box, and specify the path to the subfolder you want to use.
  6. Click OK.

    Once you have designated the keywords and paths that HotDocs needs to know about your files, you can assign reference paths to the templates. (These templates must be saved to the subfolder you specified in Step 5, above.)

  7. At the HotDocs library window, select the template for which you want to specify a reference path and click the Properties Properties button. The Item Properties dialog box appears.
  8. If the File name box contains a folder path as well as a file name, delete the part of the path that is the same for all items in the library.
  9. Place your cursor before the first letter in the File name box and type caret (^), the keyword, and a backslash (\).
  10. Click OK.
Note: When publishing your template set as an auto-install (.HDI) file, HotDocs automatically creates the reference paths and enters the correct information in the user's HotDocs settings during installation.
Note: For instructions on assigning reference paths to multiple library items, see Change the Properties for Multiple Items in a Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Locations > Assign Reference Paths to HotDocs Files


HotDocs Help - Save Printer Information for Printing Forms

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Save Printer Information for Printing Forms

Forms may need to be printed using a specific printer. You can have HotDocs remember which printer you use to print form documents, saving you the task of manually selecting the printer each time, especially when the printer you use for forms is different than your default printer.

To save information about the printer you use to print forms

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. From the Printing group, select Remember the printer used for forms.
  4. Print a form document, selecting the printer you want to associate with forms.
Note: You can have HotDocs not remember printer information by clearing this option. This means HotDocs will suggest the default printer you have selected for all printing.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Save Printer Information for Printing Forms


HotDocs Help - Select Existing Answers When Tabbing Between Answer Fields

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Select Existing Answers When Tabbing Between Answer Fields

During an interview, you can have HotDocs automatically highlight existing text in an answer field when you tab to it. When you do this, you can immediately type a new answer without having to select the text first. If you need to edit part of an answer, rather than replace it entirely, you can clear this option.

To control text selection during the interview

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, select Select existing answers when tabbing between fields to have existing text highlighted when you tab to a field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Select Existing Answers When Tabbing Between Answer Fields


HotDocs Help - Send Assembled PDF Documents to Adobe

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Send Assembled PDF Documents to Adobe

You can select an option that allows you send an assembled PDF-based document to Adobe Acrobat. When this option is selected, you can click the Send Document Send Document to Adobe Acrobat button and HotDocs will send the form document to Acrobat rather than HotDocs Filler. (If you want to view the assembled form document in Filler, you can still choose this option, too.)

To send assembled PDF-based documents to Adobe

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. Click Send assembled PDF-based forms to drop-down button and choose Adobe Acrobat.
Note: To always send PDF-based forms to HotDocs Filler, click Send assembled PDF-based forms to and choose HotDocs Filler.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Send Assembled PDF Documents to Adobe


HotDocs Help - Set Rules for Handling Answer Overflow

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Rules for Handling Answer Overflow

An answer overflows when it takes more space than is available in the answer field of a form document. This often requires that some or all of the answer be sent to the addendum. You can set rules that automatically control what happens when answers overflow.

To control what happens when answers overflow

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder, then select the Overflow Properties subfolder. The window changes to show options that control answer overflow.
  4. Make selections for handling edit field overflow, based on the following options:
    • Select Shrink answer as needed to and then enter the point size in the points box. HotDocs will attempt to reduce the answer to this font size before warning of overflow.
    • Select Send answer to addendum to have HotDocs automatically resolve all overflow by sending answers to the addendum.
    • Select Split multi-line answer between form field and addendum to have HotDocs send only the part of the answer that overflows in a multi-line field to the addendum.
  5. Make selections for handling table overflow, based on the following options:
    • Select Send entire table to send all answers in the table to the addendum.
    • Select Send complete rows to send answers from each row that contains a cell which overflows to the addendum.
    • Select Send individual cells to send answers from individual cells that overflow to the addendum.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field.
Note:
  • You can customize the reference that appears in the overflowed answer field. This can help you determine where the answer is located in the addendum. (See Specify Addendum References and Labels for Answer Overflow.)
  • You can remove the rules that automatically handle answer overflow by clearing these options. This will require you to manually resolve each instance of answer overflow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Rules for Handling Answer Overflow


HotDocs Help - Set Properties for New Check-Box Fields

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Properties for New Check-Box Fields

When you create a field in a form template or document, HotDocs checks the size to see if it should be a check-box field. You can adjust the measurement that is used to distinguish check-box fields from edit fields. If a new field is identified as an edit field, HotDocs assigns standard formatting to the field that controls how answers appear in the field. You can also assign other default properties of a check-box field, such as assign the character that will be used when a field is selected, as well as set the alignment and margins of a field.

To set the properties for all new check-box fields

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Fields folder. The window changes to show field detection options that affect what kind of fields are created.
  4. Make changes in the Check-Box Fields group, based on information in the following table:
    To | Do This
    Set font properties for text in check-box fields | Click the Font button, then make changes at the Font dialog box.
    Sets the minimum size for edit fields so that all fields created smaller than this size will be created as check-box fields.

    Enter a number in the Check-box detection threshold box.

    Note: If you specify 0.00 as the value of this box, no new fields will be created as check-box fields.
    Specify the character that will be inserted in a check box | Enter the character in the Character box.
    Specify the smallest size that will be used for the check-box character | Enter a font size in the Minimum size box.
    Set the horizontal alignment for text in check-box fields | At the Horizontal alignment drop-down list, select Left, Right, Center, or Justified.
    Set the verticalalignment for text in check-box fields | At the Vertical alignment drop-down list, select Left, Right, Center, or Justified.
    Change the distance between the check-box character and the edges of the field | At the Margins group, type a number (or click the up or down arrows to select a number) for the left, right, top, and bottom margins.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field. To change the appearance of existing check-box fields, right-click on a field in the form and select Properties from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Properties for New Check-Box Fields


HotDocs Help - Set Properties for New Edit Fields

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Properties for New Edit Fields

You can specify the default properties that will be used each time you create an edit field in a HotDocs form. You can control font sizes, text alignment and spacing, and field margins.

To set the properties for all new edit fields

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder. The window changes to show options that control how edit fields appear.
  4. Make changes in the Edit Fields group, based on information in the following table:
    To | Do This
    Set font properties for text in edit fields | Click Font and make your changes at the Font dialog box.
    Set the horizontal alignment for text in edit fields | At the Horizontal alignment drop-down list, select Left, Right, Center, or Justified.
    Set the vertical alignment for text in edit fields

    At the Vertical alignment drop-down list, select Left, Right, Center, or Justified.

    Note: Vertical alignment is only apparent in multiple-line fields.
    Align the text in multi-line fields with the top border of the field | Select Set to Top for multi-line fields.
    Change the distance between lines of text in a multiple-line field | At the Lines per inch box, type a number (or click the up or down arrows to select a number).
    Keep the user from manually entering multiple lines of text in a single-line answer field | Select Max lines 1 for single-line fields.
    Changes the distance between the text and the edges of the field | At the Margins group, type a number (or click the up or down arrows to select a number) for the left, right, top, and bottom margins.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field. To change the appearance of existing edit fields, right-click on a field in the form and select Field Properties from the shortcut menu.
Note: Some changes you make to these edit field properties may not affect specific fields because of settings assigned to these fields. For example, if the Max Lines setting for a field is set to 1, the Lines per inch property will have no effect—this property only affects multiple lines of text, but the Max lines setting limits the field to one line of text.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Properties for New Edit Fields


HotDocs Help - Set Paper Size and Paper Source Defaults for Printing Forms

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Paper Size and Paper Source Defaults for Printing Forms

You can specify the paper size and paper source to be used when forms are printed.

To set paper size and paper source properties for a form

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Forms folder. The window changes to show options that control the properties of newly created forms.
  4. At the Sides drop-down list, select one of the available options:
    • Choose Single-sided to print the form on one side of the paper.
    • Choose Double-sided, side-to-side to print the form on both sides of the paper, so consecutive pages read like a book.
    • Choose Double-sided, top-to-bottom to print the form on both sides of the paper, so consecutive pages read like a flip-chart.
  5. At the Paper Size drop-down list, select one of the available options.
  6. At the Paper Source drop-down list, select one of the available options.
Caution: The changes you make are not applied to existing templates. The changes won't take effect until you create a new template.
Note: You can use command-line options to specify these printing properties. See the Paper Tray and Paper Size command-line options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Paper Size and Paper Source Defaults for Printing Forms


HotDocs Help - Set Template Manager Options

How Do I...?

  • Change Script Editing Options
  • Choose Icon Style for Component Lists
  • Control When Returns Are Inserted After Instructions in Text Templates
  • Display HotDocs Warning Messages
  • Enable All New Templates for Use with HotDocs Server
  • Enable Document Editing Options for All New Templates
  • Have HotDocs Automatically Complete Component Names
  • Have HotDocs Automatically Generate Dialog Element Component Names
  • Set Template Manager Options

Set Template Manager Options

You can change the way Template Manager displays the information it generates about components it is showing.

To change the way Template Manager displays component information

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click on the Template Development folder to expand it. The window changes to show several template development options.
  3. Click the Template Manager folder. The window shows Template Manager options.
  4. Complete any of the tasks listed in the following table:
    To | Do This
    Expand the list of components to include example formats, patterns, and so forth. | Select Include supplemental components in component list.
    Include a column in the component list that shows component types | Select Show component type column.
    Include a column in the component list that shows the status of the components | Select Show component status column. The status tells you whether the component is OK (used in both the template and component file), unused (the component is not referenced in any templates), or missing (the component is referenced in a template, but not found in the component file).
    Have Template Manager overlay a graphic reminder of what the component's status is on the component's icon | Select Overlay status hint on component icons.
Note: You can also access these options by clicking the Options button in the Template Manager toolbar.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Development > Set Template Manager Options


HotDocs Help - Set Properties for Viewing Answers and Editable Text in the Assembled Document

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Set Properties for Viewing Answers and Editable Text in the Assembled Document

If you are using Microsoft Word, you can view answers and assembled document text that can be edited while viewing the Document Preview tab. (See Edit Answers at the Document Preview Tab for details.) When doing this, you can control whether the answers and text are marked by a special color, which you can also define.

Caution: Some template developers choose to disable these features in their templates. If the options for editing answers and text are not available at the assembly window, this is why.

To always highlight answers and editable text in a document

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Highlight fields at Document Preview tab. This will mark answers in the document with the color you define at the Color drop-down. It will also mark editable document text as well as edited document text.
  4. Optionally, to change the color for answer fields or sections of editable text, click the Document field drop-down button, and choose the appropriate option. Then click the Color drop-down button and choose a color.
Note: To restore the default colors, choose the field type and then click the Color drop-down button. Choose Default from the top of the Palette tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Set Properties for Viewing Answers and Editable Text in the Assembled Document


HotDocs Help - Specify Addendum References and Labels for Answer Overflow

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Specify Addendum References and Labels for Answer Overflow

In a form document, when an answer overflows its answer field, the entire answer can be sent to an addendum. When this happens, HotDocs inserts text into the answer field, cross referencing you to the addendum for the full answer. You can specify what text is used in creating the cross reference as well as specify the text that identifies the answer once it has been sent to the addendum.

To control what information appears in overflow references and in the addendum

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder, then select the Overflow Properties subfolder. The window changes to show options that control answer overflow.
  4. In the Cross-reference text box, enter the cross-reference text you want to merge in the field if the answer overflows. (See Use Answer Overflow and Addendum Text Codes.)
  5. In the Addendum label text box, enter the text you want to appear as the label for the entry in the addendum.
  6. At the Table answer column indent box, enter a number (or click the up or down arrows to select a number) to control the distance between the label for that specific entry in the list of answers and the actual answer.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field.
Note: If you leave the Cross-reference text box empty, HotDocs uses a default reference, See # in Addendum.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Specify Addendum References and Labels for Answer Overflow


HotDocs Help - Specify How HotDocs Should Process the Date Order

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Specify How HotDocs Should Process the Date Order

When you type an answer for a Date variable, the first thing HotDocs does to process the information is to separate what you type into the different parts of a date, for example, the month, the day of the month, and the year. Once it has determined this, it formats the date and then merges the answer into the assembled document. Often, if the user spells out the month when typing a date (for example, May 6, 2006), HotDocs can easily distinguish between the different parts. However, if a user enters an all-digit value, such as 05/06/2006, HotDocs could process the date one of two ways—either as May 6, 2006 or as 5 June 2006.

You can specify an option that tells HotDocs the order in which you want months and days of months to be processed—either as Month Day Year, or as Day Month Year.

To specify a date order format for Date variables

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. At the Answer Entry group, click the Date Detection drop-down list and select a format:
    • Choose Month Day Year to have HotDocs assume the first set of numbers in an answer is the month while the second set is the day of the month.
    • Choose Day Month Year to have HotDocs assume the first set of numbers in an answer is the day of the month while the second set represents the month.
Note:
  • For HotDocs users in the United States, the default option is Month Day Year. For HotDocs users outside the U.S., the default option is Day Month Year.
  • To specify the format for the answer when it is merged into the assembled document, see Specify a Default Date Format.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Specify How HotDocs Should Process the Date Order


HotDocs Help - Specify a Default Date Format

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Specify a Default Date Format

You can specify a default format for dates that are merged in assembled documents. This default format is used if no format has been assigned by the template provider. It controls how dates are merged into the assembled document—not how dates are formatted for display during the interview. (See Change the Way Dates Appear in Answer Fields.)

To specify a default date format

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Type a date format in the Default date format box. (Use one of the following example formats: June 3, 1990; 3 June 1990; 03 JUN 90; 06/03/90; or 3rd day of June, 1990.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Specify a Default Date Format


HotDocs Help - Specify Document Management Settings

How Do I...?

  • Manage Answer Files
  • Manage Assembled Document Files
  • Specify Document Management Settings

Specify Document Management Settings

You can use a third-party document management program to manage documents and answer files you create using HotDocs.

When creating these third-party integrations, you must define several settings that indicate how HotDocs should "communicate" with the document manager. This includes providing application IDs for each of the applications used by HotDocs as well as providing file formats for the different files generated by a HotDocs assembly.

By default, HotDocs suggests values for each of these settings; however, you can change these values to match those values defined by the document manager.

To define advanced ODMA settings

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Management folder. The window changes to show file management options.
  3. Choose one or both of the following options:
    • Click the Manage answer files using drop-down button and select Document Manager.
    • Click the Manage assembled documents using drop-down button and select Document Manager.
  4. Click the Advanced ODMA Settings folder in the list on the left. The view changes to show advanced ODMA settings.
  5. In the Application IDs group, accept the default suggestions, or change the different IDs to match those defined by your document manager.
  6. In the Format Names group, accept the default file name suggestions, or change the file name extensions to match those defined by your document manager.
Caution:ODMA integrations do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language). If you use foreign characters in the advanced ODMA settings, or when profiling a document in the DMS, the ODMA integration will not work correctly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management > Specify Document Management Settings


HotDocs Help - Specify How Documents Should Be Marked Up

How Do I...?

  • Define Field Colors
  • Specify How Documents Should Be Marked Up

Specify How Documents Should Be Marked Up

Note: This feature is available to Word users only.

As you automate a Microsoft Word template and create within it variable and instruction fields, the template can be complicated to read and understand, especially to someone unfamiliar with automation. At times, however, you may need for a subject matter expert to review the text of the template for accuracy or to make changes or edits. To make the template easier for non-HotDocs users to review, you can provide them a marked up copy of the template. (See View an Assembled Document in Markup View for details.)

How the template is marked up depends on your preferences. You can choose which fields HotDocs marks as well as define how much information is included in the field. For example, say you have a template with a series of IF expressions. You can assign comments to each IF Field describing, in layman's terms, the conditions surrounding the inclusion of the text in the document. Then, when you view the template in Markup View, the comments can be used to mark the expressions. The instructions themselves can then be viewed in an annotation.

In addition to viewing markup in the template, you can also view markup at the Preview tab of the template library and at the Document Preview tab of the assembly window. To view markup in either of these places, choose Markup View from the respective window's View menu. (See View an Assembled Document in Markup View for details.)

To specify how documents should be marked up

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Markup View (Word) folder. The window changes to show several markup options.
  3. Complete any of the tasks, described in the following table:
    To | Do This
    Choose the character or characters that should be used to mark fields in the template

    Enter the opening and closing characters in the boxes next to the field type:

    • Answers field = variable fields
    • Insertion field = INSERT instructions
    • Editable text = SPAN / END SPAN instructions
    • Conditional text = IF/ END IF instructions
    • Alternative text = ELSE IF / ELSE instructions
    • Repeated text = REPEAT / END REPEAT instructions
    Mark variable answer fields with any comments entered for the variable | Select Use developer comments to label answer fields. If comments have been entered for a variable field, they will be merged in the markup field.

    Use a Multiple Choice variable's merge text options as the label for its field

    If you've named your merge text, the name will be used instead.

             Select Use option text to label multiple choice answer fields.
    Mark text blocks (such as IF, REPEAT, and SPAN instructions) using developer comments entered for the instruction

    Select Use developer comments to label beginning of text blocks.

    To merge the same comment in the closing markup field, select and end of text blocks.

    Include both opening and closing markers when merging a field label (which includes developer comments)

    By default, when HotDocs marks text blocks, an opening field marker is merged before the opening instruction and the closing marker is merged after the closing instruction.

    Select Enclose text block labels in markers.

    Selecting this option causes HotDocs to use the closing marker after the opening label. The closing marker will also be used at the end of the text block.

    In the following example, [* is the opening marker for conditional text while *] is the closing marker. The following is what will be merged in the marked up document:

    [*Insert paragraph if employee must complete a trial period*]
The length of [Employee Name]'s employment will be an initial term of six months.*]
    Include text block instructions in either a footnote or endnote

    Select Add Footnote/Endnote at beginning of text blocks. Then select whether the annotation will be marked using Letters or Numbers.

    To annotate the closing field label, select and end of text blocks.

    Apply font attributes, such as bold and italics, to a markup field

    Select Bold or Italic.

    Caution:Merge fields in the document are italicized by default. If you've used international characters in your answers, the italicized version of the font used in the document may not display the foreign characters correctly. If this is the case, clear the Italic attribute.
    Define the color scheme used for marking the different fields in the template | Select Color and click the Color drop-down button. Then choose the color scheme. (See Define Field Colors for details.)

    Include editable text markers when showing a template in Markup View

             Select Mark editable text blocks.
    Caution:Editable text blocks are not visible when viewing the markup of an assembled document.
    Caution:By default, HotDocs does not show SPAN instructions when you switch to Markup View.
    Show only basic markup when previewing the template at the HotDocs library

    Select Use minimal markup at the HotDocs library Preview tab.

    When this option is selected, HotDocs will simply mark fields using field markers. If comments have been assigned to variable fields, those comments will be merged. (They will not be merged for instruction fields, however.)

    To assign font formatting and color to markup fields at the Preview tab, select Apply attributes to answer fields when minimal markup is used .

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Markup > Specify How Documents Should Be Marked Up


HotDocs Help - Specify How PDF-based Forms Should Be Printed

How Do I...?

  • Automatically Generate Default Interviews for Form Templates
  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Protect Forms By Backing Them Up
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Specify How PDF-based Forms Should Be Printed

When you print an assembled PDF-based form document, you can choose the program that controls the printing process—either HotDocs or Adobe Acrobat.

To specify how PDF-based form documents should always be printed

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several sub-folders, and the right pane changes to show several options for working with forms.
  3. At the Print PDF-based forms using drop-down list, do one of the following:
    • Select Always Ask to have HotDocs prompt you for your choice each time you print a PDF form.
    • Select HotDocs to always print the assembled document using HotDocs' printing technology.
    • Select Adobe Acrobat to always print the document using Adobe's printing technology.
Note: Click here for tips on which printing option you should choose.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Specify How PDF-based Forms Should Be Printed


HotDocs Help - Warn When Adding Assemblies to Assembly Queue

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Warn When Adding Assemblies to Assembly Queue

HotDocs will only allow you to assemble one document at a time. If you are currently assembling a document and you attempt to assemble another one, HotDocs will add it to the assembly queue and it won't be assembled until the current assembly is complete. If there are multiple assemblies in the queue, HotDocs will assemble them in the order they are added. (See Use the Assembly Queue.) You can have HotDocs warn you when you attempt to assemble a document and one is already being assembled.

To have HotDocs warn you when you add an assembly to the queue

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. In the Assembly Queue group, select Prompt before adding an assembly to the queue.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Warn When Adding Assemblies to Assembly Queue


HotDocs Help - Display Warning When Trying to Add a New Repetition

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Display Warning When Trying to Add a New Repetition

When answering repeated dialogs, you click the Add Another Add Another button to add a new, empty repetition to the series of dialogs. However, if you are already in a new, empty dialog, clicking this button has no effect. You can have HotDocs display a warning the reminds you that you must first answer at least one question in the current dialog before you can add a new repetition.

To display a warning when trying to add a new repetition to a dialog

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. Select Display warning when clicking Add Another button at empty dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Display Warning When Trying to Add a New Repetition


HotDocs Help - Warn When HotDocs Reformats Date and Number Answers

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Warn When HotDocs Reformats Date and Number Answers

When you type an answer in an answer field, HotDocs sometimes reads the answer and reformats it to appear a certain way. For example, if you type February 6, 2006 in a date field, HotDocs will reformat the answer to appear as 6 Feb 2006. Sometimes this reformatting can reveal an incorrectly interpreted answer, especially if the answer you typed is ambiguous. For example, the date 05/06/2006 may either be interpreted as June 5, 2006 or as May 6, 2006.

Depending on where the reformatted answer appears in the dialog, you may not even be aware that it has been reformatted. For example, when you enter an answer in one of the first answer fields in a dialog and then move to the next field, you will most likely see that your answer has been reformatted. However, if you enter an answer in the last answer field and click Next to advance to the next dialog, you may not see that the answer has been reformatted.

You can specify an option that forces HotDocs to alert you that an answer has changed before HotDocs advances to the next dialog.

To have HotDocs tell you it has reformatted an answer before advancing to the next dialog

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. Click the When answers are reformatted drop-down button and select one of the following options:
    • Choose Leave dialog anyway to have HotDocs immediately advance to the next dialog in the interview without showing you the reformatted answer.
    • Choose Pause before leaving dialog to cause HotDocs to reformat the variable and re-display it for one second before advancing to the next dialog.
    • Choose Don't leave dialog to cause HotDocs to reformat the variable and stay at the current dialog until you click Next again.
Note: This answer reformatting affects only how answers are displayed in the dialog pane. Answers in the assembled document are formatted as the developer specifies or according to the Default date format property.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Warn When HotDocs Reformats Date and Number Answers


HotDocs Help - Warn When Printing Assembled Text Documents

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Warn When Printing Assembled Text Documents

When you print an assembled text document from the assembly window, HotDocs opens the document in the word processor, prints it using the default printing options, and then closes the word processor without ever displaying a Print dialog box.

Frequently, you may need to change the default printing options, which you can only do by sending the assembled document to the word processor and then by printing from the word processor's File menu. To help you remember this sequence of steps, you can have HotDocs warn you when it's about to print a document without displaying the Print dialog box. If you choose, you can stop the print job.

To display the Print warning

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. From the Assembly Window group, select Prompt before printing assembled document via word processor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Warn When Printing Assembled Text Documents


HotDocs Help - order

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

order

The process of designating the sequence in which form template fields are asked in the tab order. Establishing this order in a form is important for users who directly fill the form document.

Home > HotDocs Glossary of Terms > order


HotDocs Help - outline

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

outline

See interview outline.

Home > HotDocs Glossary of Terms > outline


HotDocs Help - overflow

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

overflow

Answers in a form document that do not fit in the allotted field space. Overflowing answers are usually sent to the addendum.

Home > HotDocs Glossary of Terms > overflow


HotDocs Help - overlay

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

overlay

The process of using the Overlay Answers command to merge existing answers into the current answer file. When answers are overlaid, the answers become a part of the current answer file. They also overwrite any existing answers in the interview.

Home > HotDocs Glossary of Terms > overlay


HotDocs Help - Overwriting Installed Templates Dialog Box

Overwriting Installed Templates Dialog Box

Note:To access this dialog box: At the HotDocs library, click Install Templates.

When you install a newer version of a template set and HotDocs detects any templates that already exist in the folder to which you are installing, it lets you control which existing files, if any, are overwritten with files from the new auto-install file.

Options Available

Overwrite and Continue: Overwrites the selected file with the new one and continues the installation. If it detects any other duplicate files, it stops and prompts you for instructions.

Overwrite All: Overwrites all existing duplicate files with the copies of the new files.

Cancel Installation: Cancels the installation process.

Home > Overwriting Installed Templates Dialog Box


HotDocs Help - paragraph mark

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

paragraph mark

A code in a Word document that indicates that text following the mark should appear in a new paragraph. (See also line break.)

Home > HotDocs Glossary of Terms > paragraph mark


HotDocs Help - parent dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

parent dialog

A dialog that contains a child dialog.

Home > HotDocs Glossary of Terms > parent dialog


HotDocs Help - pattern

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

pattern

Determines how a Text variable will be displayed and formatted in the interview and in the assembled document. By default, HotDocs includes three patterns in all new templates (Social Security number, telephone number, and time of day), but template developers can create custom patterns.

Home > HotDocs Glossary of Terms > pattern


HotDocs Help - PDF417

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

PDF417

The two-dimensional bar code format used in HotDocs Automator and HotDocs Filler.

Home > HotDocs Glossary of Terms > PDF417


HotDocs Help - .PDF

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.PDF

File name extension that designates that the file is a Portable Document Format file, a format created and supported by Adobe. PDFs are a useful way of distributing documents in a format most users can view—as long as they have Adobe Acrobat, Adobe Reader, or HotDocs Filler installed. With HotDocs, template developers can also create PDF-based form templates. They can also create PDFs from assembled documents.

Home > HotDocs Glossary of Terms > .PDF


HotDocs Help - PDF Annotations Dialog Box

PDF Annotations Dialog Box

Note:To access this dialog box: Create a new PDF template based on a fillable PDF document that contains annotations.

Some fillable PDF documents contain annotations, such as pop-up (or sticky) notes, stamps, text highlights, attachments, comments, and so forth. When you create a HotDocs template using a PDF that contains these types of annotations, you can keep the annotations or remove them from the template. If you keep the annotations, they will not appear in the HotDocs template, but will appear when you save the assembled document as a fillable PDF. If you remove them, they will be removed from the template and any resulting PDFs you save from the assembled document.

Home > PDF Annotations Dialog Box


HotDocs Help - Personal Information variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Personal Information variable

A type of component that stores basic information about a user, such as a name, a company name, and a phone number. This information is saved in the Current User key of the Windows System Registry. Once answered, users won't be prompted to enter it again.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > Personal Information variable


HotDocs Help - pick list

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

pick list

See answer source.

Home > HotDocs Glossary of Terms > pick list


HotDocs Help - placeholder

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

placeholder

A marker in an instruction or expression model that indicates where a value must be substituted. This value must be a literal value or a variable. Instruction and expression models help the developer use the correct syntax in a script.

Home > HotDocs Glossary of Terms > placeholder


HotDocs Help - pointed component file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

pointed component file

When sharing components across multiple templates, represents the template's own component file, which, in turn, points to the shared component file.

Home > HotDocs Glossary of Terms > pointed component file


HotDocs Help - pop-up interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

pop-up interview

A dialog a user can display during an interview. Usually a pop-up interview shows a different view of the dialog. For example, if a user is entering answers in a spreadsheet, he or she can click the Edit Row Edit Row button and a pop-up interview appears that shows just the questions (and answers) from that particular row in the spreadsheet.

Home > HotDocs Glossary of Terms > pop-up interview


HotDocs Help - printer driver

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

printer driver

A driver that generates form templates from files designed in other applications, such as a draw program or a word processor. HotDocs includes one printer driver—the HotDocs PDF driver.

Home > HotDocs Glossary of Terms > printer driver


HotDocs Help - Print PDF-Based Documents Dialog Box

Print PDF-Based Documents Dialog Box

Note:To access this dialog box: Assemble a PDF template. > Click the Form Document tab. > Click the Name Print button.

When you print a PDF-based form document, HotDocs asks which application you want to use to print the document—HotDocs or Adobe Acrobat. The following provides some guidelines for choosing an option:

When using HotDocs to print the document:

  • You cannot print a PDF-based form using a PostScript printer driver.
  • You should print within the 300 DPI (dots per inch) to 600 DPI range, as printing at higher resolutions may be problematic.
  • For the most reliable results, use a PCL-based printer with at least 8 MB RAM. Other types of printers may or may not print as expected.
  • You can print the document with or without the answers merged. (You cannot do this using Adobe Acrobat.)
  • Printing time takes longer than printing with Adobe Acrobat. (Printing at a lower resolution may decrease the amount of time it takes to print.)

When using Adobe Acrobat to print the document:

  • You can print a PDF-based form using a PostScript printer driver. (PostScript printer drivers are always recommended. Non-PostScript printer drivers may print the page off-center by 1/8 inch to 1/4 inch.)
  • Documents will print with both form fields and answers—you have no option of printing one or the other.
  • Printing time is faster than with the HotDocs print function.
  • Both printer options give you options for scaling the content to fit in the printable area.

Home > Print PDF-Based Documents Dialog Box


HotDocs Help - processing stack

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

processing stack

A sequential list of templates and components HotDocs is processing at any given time. Each time a new component is processed, it is added to the stack. (Once processing is finished, it is removed.) In some instances where recursion is used in a script, the same component is repeatedly added to the list. If the number of components exceeds the stack limit, an infinite loop error will occur. (The stack limit can be changed at the Component File Properties dialog box.)

Home > HotDocs Glossary of Terms > processing stack


HotDocs Help - prompt

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

prompt

Text that can be assigned to a variable to help the user better understand how to answer the question.

Home > HotDocs Glossary of Terms > prompt


HotDocs Help - publish

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

publish

The process of generating files for distribution to other users. Types of files that can be published include auto-assemble files, auto-install files, regular templates, and HotDocs Server files. During publishing, protection options can be assigned to help safeguard the templates.

Home > HotDocs Glossary of Terms > publish


HotDocs Help - Sample Code for Uploading an Answer File Using HotDocs Server

Sample Code for Uploading an Answer File Using HotDocs Server

This script fragment receives the uploaded answers from the client, decodes the answers, and populates an AnswerCollection object with the answers.

Once the answers are in the AnswerCollection object, they can be used like any other AnswerCollection object in HotDocs Server. This example creates an XML representation of the answers, which can easily be stored in a database.

<%

' Create the AnswerCollection Object

dim ac

Set ac = Server.CreateObject ("HotDocs_Online.AnswerCollection")

' Get the amount of data

dim count

count = Request.TotalBytes

' Read the POSTed data

dim data

data = Request.BinaryRead (count)

' Process the uploaded answers

ac.SetUploadedAnswers data, CInt(count)

' Now that you have an AnswerCollection object with the uploaded answers,

' you can do anything you want with them. In this example, we get an XML

' representation of the answer set which could easily be stored in a database.

' Get a copy of the answers in XML format

dim answers

answers = ac.GetXMLAnswers ()

' Now answers is a string containing the XML-format answers

%>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Sample Code for Uploading an Answer File Using HotDocs Server


HotDocs Help - Customize the Properties Tab of the Library Window

Customize the Properties Tab of the Library Window

When a user selects an item in a HotDocs template library, information about the selected item appears in the Properties tab of the window. By default, HotDocs displays this information in a generic page that HotDocs generates. However, you can create a custom HTML document (or MHT Web Archive) that replaces this generic page. Custom HTML property pages can be created for individual items in a library, for an entire library, or for all libraries opened in HotDocs.

By customizing the Properties tab of the library, you can add company logos, as well as select your own formatting and styles for the information that appears. You also have greater control over the information that appears in the tab by removing specific items. Specifically:

  • To create a custom HTML properties page for a specific template, the HTML document must have the same file name as the template, with an HTML or MHT file name extension—for example, the property page for a template with the file name Subpoena,rtf, would be Subpoena.htm or Subpoena.mht. This file must be saved in the same folder as the template.
  • To create a custom HTML properties page for a specific folder in a library, the HTML document must have the same name as the library, followed by an underscore and then the folder title. For example, the properties page for a folder titled Corporate Minutes in the library Real Estate.hdl would be Real Estate_Corporate Minutes.htm or Real Estate_Corporate Minutes.mht. This file must be saved in the same folder as the library file.
  • To create a custom HTML properties page for just the main folder in a library, the HTML document must have the same name as the library, followed by an underscore and the word main—for example, Estate Planning_Main.htm or Estate Planning_Main.mht. It must be saved in the same folder as the library file.
  • To create a custom HTML properties page for an entire library, the HTML document must have the same name as the library file, with an HTML or MHT file name extension—for example, Real estate.htm or Real estate.mht. It must be saved in the same folder as the library file.
  • To create a custom HTML properties page for HotDocs to use for all items in all libraries, the HTML document must be named Properties.htm or Properties.mht, and it must be saved in the default Libraries folder (for example, C:\Documents and Settings\UserName\My Documents\HotDocs\Libraries).

When a user selects an item in the library, HotDocs determines whether a custom properties page has been specified to display the properties for the item. To determine this, HotDocs searches first for an HTML page that shares the same file name as the selected file. If nothing is found, HotDocs then searches for an HTML page that uses the same name as the library file. If this search doesn't yield anything, HotDocs searches for the file Properties.htm (or Properties.mht). Finally, if no custom HTML page exists, HotDocs generates its own properties page.

When the Properties tab is customized and you select an item in the library, HotDocs takes the information it knows about the item (such as its title or description) and, using HTML Span Tags, substitutes that information into the HTML document and displays it instead of the default Properties tab.

Note: If you publish your templates as HotDocs Auto-Install (.HDI) files, you can include the custom HTML properties pages as additional files in the HDI. The custom properties pages will then be installed to the same folder as the library (for pages that affect an entire library) or the Templates folder (for template-specific pages). When installing custom properties pages that affect an entire library, however, you must use Web Archive (.MHT) files instead of HTML files to ensure that HotDocs will install them to the same folder as the library.
Example:

The following is sample HTML code you can customize to adapt the Properties tab of the HotDocs template library for your needs:

<html>
  <body>
    <table width="100%">

      <!-- This section of HTML code controls the properties for selected files in the library.
      You can format the text, remove properties you don't want displayed, and so forth. -->

      <SPAN id="ID_FILE">
        <tr>
          <td width="100%" colspan="2">
            <SPAN id="ID_HEADING"/>
          </td>
        </tr>
        <tr>
          <td width="5%">
            <p align="right">Title:</p>
          </td>
          <td width="95%">
            <SPAN id="ID_TITLE"/>
          </td>
        </tr>
        <tr>
          <td width="5%">
            <p align="right">Type:</p>
          </td>
          <td width="95%">
            <SPAN id="ID_TYPE"/>
          </td>
        </tr>
        <SPAN id="ID_FILENAME_ROW">
          <tr>
            <td width="5%">
              <p align="right">File name:</p>
            </td>
            <td width="95%">
              <SPAN id="ID_FILENAME"/>
            </td>
          </tr>
        </SPAN>
        <tr>
          <td width="5%">
            <p align="right">
              <SPAN id="ID_FILE_PATH_TEXT">File path:</SPAN>
            </p>
          </td>
          <td width="95%">
            <SPAN id="ID_FILEPATH"/>
          </td>
        </tr>
        <tr>
          <td width="5%">
            <p align="right">Description:</p>
          </td>
          <td width="95%">
            <SPAN id="ID_DESCRIPTION"/>
          </td>
        </tr>
      </SPAN>

      <!-- This next section of HTML code controls the properties for selected folders in the library.
      You can format the text, remove properties you don't want displayed, and so forth. -->

      <SPAN id="ID_FOLDER">
        <tr>
          <td width="100%" colspan="2">
            <SPAN id="ID_HEADING"/>
          </td>
        </tr>
        <tr>
          <td width="10%">
            <p align="right">Title:</p>
          </td>
          <td width="90%">
            <SPAN id="ID_TITLE"/>
          </td>
        </tr>
        <tr>
          <td width="10%">
            <p align="right">Description:</p>
          </td>
          <td width="90%">
            <SPAN id="ID_DESCRIPTION"/>
          </td>
        </tr>
      </SPAN>
    </table>
  </body>
</html>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Customize the Properties Tab of the Library Window


HotDocs Help - Example HotDocs Update Catalog File

Reference Material

  • Example HotDocs Update Catalog File
  • Example RSS Document

Example HotDocs Update Catalog File

<?xml version="1.0"?>
<updatecatalog>
  <formatversion>1</formatversion>
  <feedurl>http://www.HobbleCreek.com/update.rss</feedurl>
  <checkinterval>7</checkinterval>
  <publishdate>Sun, 03 Jun 1990 00:00:00 GMT</publishdate>
  <title>Hobble Creek Real Estate Forms</title>
  <enabled>true</enabled>
  <password></password>
  <notinstalleditems/>
  <discardeditems/>
  <installeditems/>
</updatecatalog>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Automatically Update Published Template Sets > Example HotDocs Update Catalog File


HotDocs Help - Example HTML for Library Properties Tab

Example HTML for Library Properties Tab

<html>
  <body>
    <table width="100%">

      <!-- This section of HTML code controls the properties for selected files in the library.
      You can format the text, remove properties you don't want displayed, and so forth. -->

      <SPAN id="ID_FILE">
        <tr>
          <td width="100%" colspan="2">
            <SPAN id="ID_HEADING"/>
          </td>
        </tr>
        <tr>
          <td width="5%">
            <p align="right">Title:</p>
          </td>
          <td width="95%">
            <SPAN id="ID_TITLE"/>
          </td>
        </tr>
        <tr>
          <td width="5%">
            <p align="right">Type:</p>
          </td>
          <td width="95%">
            <SPAN id="ID_TYPE"/>
          </td>
        </tr>
        <SPAN id="ID_FILENAME_ROW">
          <tr>
            <td width="5%">
              <p align="right">File name:</p>
            </td>
            <td width="95%">
              <SPAN id="ID_FILENAME"/>
            </td>
          </tr>
        </SPAN>
        <tr>
          <td width="5%">
            <p align="right">
              <SPAN id="ID_FILE_PATH_TEXT">File path:</SPAN>
            </p>
          </td>
          <td width="95%">
            <SPAN id="ID_FILEPATH"/>
          </td>
        </tr>
        <tr>
          <td width="5%">
            <p align="right">Description:</p>
          </td>
          <td width="95%">
            <SPAN id="ID_DESCRIPTION"/>
          </td>
        </tr>
      </SPAN>

      <!-- This next section of HTML code controls the properties for selected folders in the library.
      You can format the text, remove properties you don't want displayed, and so forth. -->

      <SPAN id="ID_FOLDER">
        <tr>
          <td width="100%" colspan="2">
            <SPAN id="ID_HEADING"/>
          </td>
        </tr>
        <tr>
          <td width="10%">
            <p align="right">Title:</p>
          </td>
          <td width="90%">
            <SPAN id="ID_TITLE"/>
          </td>
        </tr>
        <tr>
          <td width="10%">
            <p align="right">Description:</p>
          </td>
          <td width="90%">
            <SPAN id="ID_DESCRIPTION"/>
          </td>
        </tr>
      </SPAN>
    </table>
  </body>
</html>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Example HTML for Library Properties Tab


HotDocs Help - Example RSS Document

Reference Material

  • Example HotDocs Update Catalog File
  • Example RSS Document

Example RSS Document

<?xml version="1.0"?>
<rss version="2.0">
  <channel>
    <title>Hobble Creek Real Estate Forms</title>
    <link>http://www.HobbleCreek.com/update.rss</link>
    <description>Serving you since 1994</description>
    <item required="true">
      <title>Real Estate Purchase Contract (REPC)</title>
      <link>http://www.HobbleCreek.com/repc.hdi</link>
      <description>This is the new form adopted by the State Real Estate Commission.</description>
      <guid>00001</guid>
      <category>File Update</category>
      <pubDate>Tue, 21 Mar 2006 15:27:18 GMT</pubDate>
    </item>
    <item>
      <title>Visit the new Hobble Creek Real Estate Web Site</title>
      <link>http://www.HobbleCreek.com</link>
      <description>New features are added daily</description>
      <guid>00002</guid>
      <category>Message</category>
      <pubDate>Tue, 21 Mar 2006 15:27:18 GMT</pubDate>
    </item>
    <item>
      <title>Happy Holidays</title>
      <link></link>
      <description>Wishing you a happy holiday season from your friends at Hobble Creek Real Estate.</description>
      <guid>00003</guid>
      <category>Message</category>
      <pubDate>Tue, 21 Mar 2006 15:27:18 GMT</pubDate>
    </item>
  </channel>
</rss>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Publishing HotDocs Templates > Automatically Update Published Template Sets > Example RSS Document


HotDocs Help - Span Tags for Customizing the Library Properties Tab

Span Tags for Customizing the Library Properties Tab

You can customize the information displayed in the Properties tab using the following SPAN tags:

  • ID_FILE: Any information contained between this span tag and its close will be omitted when displaying the properties for a folder.
  • ID_FOLDER: Any information contained between this span tag and its close will be omitted when displaying the properties for a file.
  • ID_HEADING: The default heading for the library item type. For files this is TEMPLATE PROPERTIES. For folders, this is FOLDER PROPERTIES.
  • ID_TITLE: The title of the item (used for both files and folders in the library).
  • ID_TYPE: The type of item.
  • ID_FILENAME or ID_FILENAME_LINKED: The file name of the item. (If you append the text LINKED to the tag, HotDocs converts the file name to a hyperlink, which, when clicked, will browse to and select the file.)
  • ID_FILEPATH or ID_FILEPATH_LINKED: The file path for the item. (If you append the text LINKED to the tag, HotDocs converts the folder path to a hyperlink, which, when clicked, will browse to and open the folder.)
  • ID_DESCRIPTION: The description of the item (used for both files and folders in the library)

Home > Span Tags for Customizing the Library Properties Tab


HotDocs Help - Names of Repeated Answers

Names of Repeated Answers

HotDocs templates can repeatedly ask a question using a REPEAT instruction, which generates a list of answers. Templates created using HotDocs Developer can also contain nested REPEAT instructions up to four levels deep.

In addition to indicating the value type and variable name, repeated answer names must indicate the position of the answer in the list of answers for that variable. Position is indicated by appending a period and a number to the end of the 31 characters that indicate the value type and variable name, for example:

Ttentant .1

For answers that result from nested REPEAT instructions, one period and number will be appended for every repeat level, for example:

Ttenant .1.3.2

The first number represents the first repeat level and the last number represents the last (deepest) repeat level.

When the template developer gives you the answer names, he or she will also need to tell you which answers are repeated and at what level.

Home > Names of Repeated Answers


HotDocs Help - Overview: Upload HotDocs Files to a HotDocs Core Services host application

Overview: Upload HotDocs Files to a HotDocs Core Services host application

HotDocs Core Services is an online 'software-as-a-service' (SAAS) implementation of HotDocs that allows customers to provide HotDocs interviews through a web browser without requiring their own installation of HotDocs Server. Interviews are delivered to users via a HotDocs Core Services host application, such as HotDocs Document Services. In order to upload HotDocs templates for use with a Core Services host application, HotDocs Developer 10.2 and above includes a plugin to transfer templates between the desktop template library and the host application.

For more information on using the HotDocs Core Services plugin for HotDocs Developer, please see Upload templates for use with HotDocs Core Services.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Overview: Upload HotDocs Files to a HotDocs Core Services host application


HotDocs Help - Register Published Templates For Use with HotDocs Player

Register Published Templates For Use with HotDocs Player

Often, when you want to distribute your templates to other users, you do so by publishing them in standard format, auto-install (HDI) format, and auto-assemble (HDA) format. Once published, HotDocs Developer and HotDocs User can be used to assemble documents using these files. HotDocs Player, however, cannot. This is because the templates have not been registered for use with HotDocs Player.

In order to provide templates that HotDocs Player users can use, you must register the templates. This requires you to have a special publishing key file, obtainable only through a special licensing agreement with HotDocs Corporation. Once obtained and saved to the HotDocs program folder, you can select the registration option during the publishing process and provide a password. Then, upon completing the publishing process, the templates will be registered and you can freely distribute your template set to HotDocs Player users.

Acquire a Publishing Key File

You obtain a publisher key file from HotDocs Corporation by entering into a publishing contract, which normally assesses a fee for each registered template that is distributed. Once the contract is in place, you will be provided with a key file (Register.hdk). Typically, you may use these key files for about a year before you need to renew your license. Please contact a HotDocs sales representative for specific licensing details.

Publish and Register Templates for Use With HotDocs Player

You can register your templates so they can be used with HotDocs Player. To do this, you must first obtain a publishing license from HotDocs Corporation. You will then receive a publishing key file (register.hdk), which allows you to register your templates for use with HotDocs Player. Registration happens during the publishing process. A publishing license also allows you to redistribute HotDocs Player at no cost to your users.

To publish your templates for use with HotDocs Player

  1. Copy Register.hdk to the HotDocs program folder (for example, C:\Program Files\HotDocs).
  2. At the template library, select the templates you want to publish and click the Publishing Wizard Publishing Wizard button.
  3. At the Publishing Options page of the wizard, enter all the required information for the template set you are publishing and click Next. The File Security page appears.
  4. Select Register component files and enter the password for the publisher key file in the Password box. (You should have received this password from the HotDocs Corporation publisher key administrator who gave you the publisher key file.)
  5. Continue with the publishing process.

Your templates are now registered and can be used with HotDocs Player.

Note: To distribute HotDocs Player, either your users can download a version from the HotDocs Web site, or you can include it in the installation package with your template sets.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Register Published Templates For Use with HotDocs Player


HotDocs Help - URL-encoded Text

URL-encoded Text

In URL-encoded text, alphanumeric characters and the dollar sign, minus sign, underscore, period, exclamation mark, asterisk, left and right parentheses, and comma are transmitted as normal text.

All other characters (such as quotation marks and spaces) are encoded to facilitate their transmission over the Internet. In the encoded text, these characters are replaced with a percent sign followed by a two-digit hexadecimal number representing the ASCII value of the original character. (For example, a space character would be replaced with %20 since 20 is the hexadecimal number for 32, which is the ASCII code for a space.)

Home > URL-encoded Text


HotDocs Help - What is a Publishing Destination page?

What is a Publishing Destination page?

After the uploading process is complete, the Publishing Destination Page appears. This page accepts the HTTP POST from the Publishing Form Page and processes it by completing the actions specified by your project.

Once the information has been received on the server, the files from the upload must be decoded and handled. Several components are available to help with this process, including the Dundas Upload control, distributed by Dundas Software. The following is sample code for the Publishing Destination Page using the Dundas Upload control

Example:
<%
  dim dund
  Set dund = Server.CreateObject("Dundas.Upload.2")
  dund.SaveToMemory
  response.Write "Data from form<hr>"
  dim objUploadedForm
  For Each objUploadedForm in dund.Form
    Response.Write objUploadedForm.tagname & "="
    Response.Write objUploadedForm.Value & "<br>"
  Next
  response.Write "<br>Files from HotDocs<hr>"
  dim objUploadedFile
  dim filename
  dim filen
  dund.ImpersonateUser "username","password"
  For Each objFile in dund.Files
    filen = dund.GetFileName (objFile.OriginalPath )
    filename = "c:\inetpub\companyname\temp\" &
    objFile.SaveAs filename
    Response.Write "<a ref='http://www.company.com/temp/"
    Response.Write filen &"'>"
    Response.Write objFile.TagName
    Response.Write "=" & objFile.OriginalPath
    Response.Write " : Size = " & objFile.Size
    Response.Write "</a><br>"
  Next
  dund.ImpersonationTerminate
  set dund = nothing
%>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > What is a Publishing Destination page?


HotDocs Help - What is a Publishing Form page?

What is a Publishing Form page?

The Publishing Form Page contains an HTML form. With this form, you can provide fields or other options for the template developer to add more information about the files being uploaded, such as template titles and descriptions. You must follow certain criteria when creating the HTML form:

  • The form must use the POST method and its encoding must be multipart/form-data. (HotDocs 2007 or earlier required that the form be named HotDocsPubForm, but this is no longer required.)
  • Previously, the form ACTION was required to include an absolute URL path to the location on the server where you want to send the files, but starting with HotDocs 2008 Professional Edition, this is no longer a requirement.
  • Any Select/Option fields (or drop-down/list/combo boxes) must have a VALUE attribute assigned. For example: <option value="choice1">choice1</option>.

Once the template developer provides the necessary information in this form, he or she submits the form and HotDocs adds the information to the published files. All the information is then uploaded (using HTTP POST) to the server. The following is sample code for the Publishing Form Page.

Example:
<form method="POST"
  name="HotDocsPubForm" action="http://www.company.com/hotdocsuploadproc.asp" enctype="multipart/form-data">
  Template Name: <input type="text" name="textinput" size="65">
  <br>
  Template Desc: <textarea rows="2" name="textareaDesc" cols="55">
  Template Description
  </textarea><br>
  <select size="1" name="dropdownbox">
    <option value="choice1">choice1</option>
    <option value="choice2">choice2</option>
  </select>
  <input type="submit" value="Submit">
</form>

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > What is a Publishing Form page?


HotDocs Help - Publishing Wizard

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Publishing Wizard

The tool used to publish template files for others. The Publishing Wizard steps through the publishing process and allows different properties to be set, depending on the type of file(s) that are being published.

Home > HotDocs Glossary of Terms > Publishing Wizard


HotDocs Help - Publishing Wizard Dialog Box

Publishing Wizard Dialog Box

Note:To access this dialog box: Select the template(s) you want to publish. > Click the Publishing Wizard Publishing Wizard button.

Publishing templates is an easy way to distribute your templates to others. When publishing, you can publish individual templates or a template set, depending on the needs of your users. As you publish templates, you can specify security options that protect your work. You can also save these settings for use when publishing other templates.

You can publish several types of files:

Standard template files: Publishes a regular template file and copies all the related files to the correct location. You can also apply protection options to the files. (Click here for details.)

Individual auto-install files (HDI): Publishes a template that, when installed by the user, creates a new library or updates an existing library for the user. (Click here for details.)

Individual auto-assemble files (HDA): Publishes a template that, when accessed, automatically assembles a document. Once an auto-assemble file has been assembled and the document created, the auto-assemble file is deleted from the user's disk. (Click here for details.)

Template set in a single auto-install file (HDI): Publishes a set of templates that, when installed by the user, creates a new library or updates an existing library for the user. (Click here for details.)

Template set in a single auto-assemble file (HDA): Publishes a template set that, when accessed, automatically assembles a document. Once an auto-assemble file has been assembled, it is deleted from the user's disk. (Click here for details.)

Template files for use with HotDocs Server: Publishes the files needed for using templates with HotDocs Server.

Additionally, when publishing templates, you can complete the following additional tasks:

  • Protect Published Files.
  • Create a Shortcut for an Auto-Install Library.
  • Create an HDI File for a CD-based Template Set.
  • Add Files to a Published Set.
  • Save Publishing Settings.
Note: If you need your templates to be compatible with HotDocs 2006 through HotDocs 2008, select Make published files compatible with HotDocs 2006-2008. This will allow your templates to continue to work with versions of HotDocs previous to HotDocs 2009.

Home > Publishing Wizard Dialog Box


HotDocs Help - Upload Templates For Use With HotDocs Core Services

Upload Templates For Use With HotDocs Core Services

To publish and upload templates for use with HotDocs Core Services

  1. At the HotDocs library, select the template or templates you want to publish. Right-click on the templates and navigate to the Upload menu in the drop-down list.
  2. Select an Upload Site from the list in the Upload menu. If there are no existing sites in the Upload menu, you must add a new site to the Upload Site list:
    1. Select Edit Upload Sites in the Upload menu. The Upload Sites list appears.
    2. Click Add.
    3. Enter a Site Name to identify the upload site and enter a site Location. The Location is the URL to which the templates will be uploaded, for example: http://www.hdcssamplehost/upload/.
    4. Click OK to add the new site to the Upload Sites list.
    5. You can now close the Upload Sites List by clicking Close.
  3. Select an Upload Site from the Upload Menu. The HotDocs Upload Wizard appears.
  4. In the Upload Wizard window, there is a list of all the templates to be uploaded, including their dependencies. These are all the files that a template needs to assemble correctly. These include: HotDocs Template files (.rtf, .dot, .hpt files), HotDocs Component Files (.cmp files) and any images that the template uses. Check that all of the required templates appear in the Upload Wizard and that the templates do not have any errors. You can also include additional files in the upload:
    1. Click the Down Arrow button next to the template name in the Templates List.
    2. Click the Add button.
    3. Browse to the files on your file system that you wish to add to the template package. Click Open. The file is added to the template package. The path of the file appears in the Additional files to include field.
  5. Click the Upload button. The upload page for the host application will appear.

Any further steps will depend on the host application to which you are publishing. For more information, please contact the Administrator for your host application.

Home > Upload Templates For Use With HotDocs Core Services


HotDocs Help - punctuate

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

punctuate

The process of formatting a REPEAT instruction so that a list of answers will appear in sentence format, like this: The client owns real estate in New York, Pennsylvania, and Montana. (New York, Pennsylvania, and Montana are the list items. The punctuation adds the commas and the conjunction and).

Home > HotDocs Glossary of Terms > punctuate


HotDocs Help - Question Summary

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Question Summary

A brief report HotDocs generates that lists questions asked during an interview. The summary includes blank lines for handwritten answers. (See also Answer Summary.)

Home > HotDocs Glossary of Terms > Question Summary


HotDocs Help - queue

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

queue

See Assembly Queue.

Home > HotDocs Glossary of Terms > queue


HotDocs Help - reference

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

reference

In a form document, the text that is added to the addendum to identify any overflow answers. (See also label.)

Home > HotDocs Glossary of Terms > reference


HotDocs Help - reference path

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

reference path

A folder path for a template in which the drive letter and some or all of the folder names are represented by a keyword. At runtime, this keyword is mapped to an actual path on the user's computer so that when the user accesses the template, the keyword is replaced by the path. This allows templates saved in one central location to work on multiple workstations regardless of how the drives on the workstation are mapped.

Home > HotDocs Glossary of Terms > reference path


HotDocs Help - register

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

register

The process of publishing a template for use with HotDocs Player.

Home > HotDocs Glossary of Terms > register


HotDocs Help - Remove Item Dialog Box

Remove Item Dialog Box

Note:To access this dialog box: Select an item in the template library. > Click the Remove Item Remove Item button.

When you view items in a library, you are viewing shortcuts to the actual files, which are stored on your local disk or network. Then, when you remove an item from the library, you have the option of removing the reference to the file as well as deleting the actual file itself. For example, if you remove just the reference, the file still exists on disk. When you delete the actual file, it is either sent to the Windows Recycle Bin (if you are deleting from local disk) or permanently removed (if you are deleting from a network location).

If you are removing a folder, you can remove just the folder, or you can remove the items in the folder. If you choose to remove only the folder, any items in the folder will be moved to the next higher folder in the library. If you choose to remove both the folder and the items in the folder, all the items in the folder will be removed from the library, including any subfolders with their items. You can also choose to delete the actual files, which deletes the files from disk (as explained earlier).

Home > Remove Item Dialog Box


HotDocs Help - Rename Component Dialog Box

Rename Component Dialog Box

Note:To access this dialog box: Edit a template. > Open Component Manager for the template. > Select the component you want to rename. > Click the Rename Component Rename button.

Renaming components often requires two steps: renaming the component in the component file and renaming it wherever it is used in the template. You can rename primary components, such as variables and dialogs, and you can also rename supplemental components, such as example formats and merge text. (Often, supplemental components use their values as their names.)

Options Available

Component: Shows the current name of the component.

New name: Allows you to specify a different name for the component. Clicking Rename updates the component wherever it is used in the component file. However, you must locate references to the component in the template and manually update them.

Note: To rename a component in the component file and template simultaneously, use the Rename command in Template Manager.

Home > Rename Component Dialog Box


HotDocs Help - Rename Multiple Components Dialog Box

Rename Multiple Components Dialog Box

Note:To access this dialog box: Edit a template. > Open Component Manager for the template. > Select two or more components you want to rename. > Click the Rename Components Rename button.

When you select two or more components to rename them, HotDocs displays the Rename Components dialog box. Here, you can identify the new names for the components and rename all of them at once.

Options Available

Existing Component Names: Lists all of the existing components with their current names.

Type: Shows the type of component you are renaming.

New Component Names: Lists the new names for the components. (By default, this column shows the current names. You must modify the names here in order for the component to be renamed.)

Replace [text] with [text] in new component names: This allows you to search the list of existing component names for a specific word or phrase and replace the text with the new word or phrase. For example, to rename Plaintiff variables (for example, Plaintiff Name, Plaintiff Birth Date, Plaintiff Address) as Client variables (for example, Client Name, Client Birth Date, Client Address), you could type Plaintiff in the first text box and Client in the second text box. When you click Apply, HotDocs updates the New Component Names list with the new names.

Apply: This button searches the New Component Names column for the specified text and replaces any instances of it with the new text. When you click Rename, the variables will be renamed.

Once components are renamed in the component file, you must manually update the component names in the template. If you are renaming several components, you may want to use Template Manager, which renames the component in both the component file and the template simultaneously.) You can rename primary components, such as variables and dialogs, and you can also rename supplemental components, such as example formats and merge text. (Often, supplemental components use their values as their names.)

Home > Rename Multiple Components Dialog Box


HotDocs Help - repeated dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

repeated dialog

A dialog that contains the variables that need to be repeated so that multiple answers can be entered. (See REPEAT instruction.)

Home > HotDocs Glossary of Terms > repeated dialog


HotDocs Help - repeated series dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

repeated series dialog

One of two representations of a dialog that is repeated. With a repeated series, the dialog is asked repeatedly until all answers in the list have been entered. (See also spreadsheet dialog.)

Home > HotDocs Glossary of Terms > repeated series dialog


HotDocs Help - REPEAT Field Dialog Box

REPEAT Field Dialog Box

Note:To access this dialog box: Edit a text template. > Click the REPEAT Field REPEAT Field button.

At the REPEAT Field dialog box, you can select or create a dialog that corresponds with the variables in the template text you are repeating.

You can also select or create a database component that will retrieve a list of answers from a database table.

Options Available

REPEAT Dialog: Allows you to select an existing dialog or create a new dialog that will be used to repeat the variables. Click the Edit Component Edit Component button next to the Dialog field to display the Dialog Editor, where you can change the properties of the dialog.

REPEAT Database: Allows you to select an existing database component or create a new one that will be used to retrieve a list of answers from a database table. If creating a new database component, click the Edit Component Edit Component button next to the Database field to display the Database Editor, where you can define the properties of the component.

Format: Allows you to format the answers so they appear in a sentence-style list—for example, A, B, and C.

Show Advanced: Displays several advanced options that allow you to specify answer-sorting and filtering options. For example, you can sort your answers in ascending (A to Z) or descending (Z to A) order, based on the variable you specify. You can also assign a computation script that filters answers from a list.

Note: To enter a comment or remark about the instruction field, click Show Advanced and enter the text in the Comment box. Comments can be used to describe the purpose of the instruction or provide explanatory text for the instruction.

Home > REPEAT Field Dialog Box


HotDocs Help - REPEAT instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

REPEAT instruction

An instruction that repeatedly asks the same variable(s) so that two or more answers can be entered. REPEAT instructions are used to create lists of answers in the document.

Home > HotDocs Glossary of Terms > REPEAT instruction


HotDocs Help - resource

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

resource

Supplemental help that can be included with a variable or dialog to help users better understand how to answer the questions they are viewing. Resources appear in the resource pane of the assembly window.

Home > HotDocs Glossary of Terms > resource


HotDocs Help - Resource field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Resource field

A type of form template field that functions like a hyperlink. Link fields let users get help while direct-fill assembling the form document. Links are displayed as underlined, colored text, much like links in a Web browser. They provide a resource for the form in general, instead of for a specific variable or dialog.

Home > HotDocs Glossary of Terms > Resource field


HotDocs Help - .RTF

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.RTF

File name extension that designates that the template file is a Word RTF file. (See text template.)

Home > HotDocs Glossary of Terms > .RTF


HotDocs Help - run-on group

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

run-on group

A series of form template fields that have been grouped and associated with each other so that the answer can flow from one field to the next. For example, if an answer must fill two or more lines on a form, separate fields can be created on each line and then grouped. Once grouped, they become a run-on group.

Home > HotDocs Glossary of Terms > run-on group


HotDocs Help - script

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

script

One or more instructions and/or expressions that generate a value or execute some kind of procedure.

Home > HotDocs Glossary of Terms > script


HotDocs Help - script editor

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

script editor

The tool used to write a script. The script editor includes several options to make the script-writing process easier, including color-coding, auto-complete lists, and a toolbar for completing other tasks.

Home > HotDocs Glossary of Terms > script editor


HotDocs Help - selection grouping

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

selection grouping

A dialog property assigned to True/False variables, clauses, and child dialogs which presents these options as check boxes (multiple-select) or option buttons (single-select).

Home > HotDocs Glossary of Terms > selection grouping


HotDocs Help - Send to Word Processor command

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Send to Word Processor command

A command that opens the word processor and copies the assembled document into it. Once opened in the word processor, the user can make any changes necessary to the document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > Send to Word Processor command


HotDocs Help - SET instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

SET instruction

An instruction in a template or script that assigns a value to a variable. Variables that have their values set should not be asked again in the interview.

Home > HotDocs Glossary of Terms > SET instruction


HotDocs Help - shared component file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

shared component file

A common component file to which several related templates are linked. To use a shared component file, the template's own component file must be pointed to the shared file. Changes to components in the file are reflected in all templates that use it. (See also pointed component file.)

Home > HotDocs Glossary of Terms > shared component file


HotDocs Help - SHOW

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

SHOW

An instruction used in a dialog script to show variables that have been hidden in the dialog. (See also HIDE.) Usually this instruction is conditioned so that variables hide and show dynamically, based on answers the user enters.

Home > HotDocs Glossary of Terms > SHOW


HotDocs Help - sort

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

sort

The process of alphabetizing answers in a repeated list or items in a library. Sorting can be done in ascending or descending order.

Home > HotDocs Glossary of Terms > sort


HotDocs Help - SPAN Field Dialog Box

SPAN Field Dialog Box

Note:To access this dialog box: Edit a Microsoft Word template. > Highlight text in the template. > Click the Span Field SPAN Field button.

Sometimes you may want to allow users to edit the text of an assembled document while they are viewing the Document Preview tab. To allow this, you must insert beginning and ending SPAN instructions in the template. These instructions indicate that the text between the instructions can be modified by the user. Changes a user makes can be saved to an answer file so that if the user ever reassembles the document, he or she can reuse the answer file and have the changes reapplied to the document. (See Allow Users to Edit the Text of an Assembled Document for details.)

Options Available

Span: Shows the name of the Span component. Click the Edit Component Edit Component button to edit the properties of the Span component.

Note: It is recommended that you use unique names when creating Span components so that when users save edited document text in answer files, the answer won't overwrite SPAN fields in other documents.

To enter a comment or remark about the instruction field, click Show Advanced and enter the text in the Comment box. Comments can be used to describe the purpose of the instruction or provide explanatory text for the instruction.

Home > SPAN Field Dialog Box


HotDocs Help - spreadsheet dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

spreadsheet dialog

One representation of a repeated dialog. Each row in a spreadsheet represents one repetition in a dialog. (See also repeated series dialog.)

Home > HotDocs Glossary of Terms > spreadsheet dialog


HotDocs Help - spreadsheet-on-parent dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

spreadsheet-on-parent dialog

A repeated child dialog that appears as a spreadsheet on its parent dialog. This allows the user to view both dialogs at once.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > spreadsheet-on-parent dialog


HotDocs Help - static text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

static text

The underlying text in a form template or document that does not change. To enter answers on a form, form fields must be created and overlaid on the static text.

Home > HotDocs Glossary of Terms > static text


HotDocs Help - strike-through field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

strike-through field

A type of form template field that is used for crossing out static text on the form.

Home > HotDocs Glossary of Terms > strike-through field


HotDocs Help - summary

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

summary

See Question Summary and Answer Summary.

Home > HotDocs Glossary of Terms > summary


HotDocs Help - supplemental component

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

supplemental component

A term used to define components such as patterns, example formats, dialog elements, and merge text. Supplemental components are associated with regular components, but they can be created and edited as standalone components.

Home > HotDocs Glossary of Terms > supplemental component


HotDocs Help - syntax

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

syntax

The language used in writing scripts. For a script to work properly, the script must be written in a way that HotDocs can understand. This language consists of instructions, expressions, operators, and values (such as text, numbers, dates, or answers users enter).

Home > HotDocs Glossary of Terms > syntax


HotDocs Help - template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

template

A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.

Home > HotDocs Glossary of Terms > template


HotDocs Help - template developer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

template developer

The person responsible for automating the templates in the set. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)

Home > HotDocs Glossary of Terms > template developer


HotDocs Help - template development

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

template development

See automate, automation.

Home > HotDocs Glossary of Terms > template development


HotDocs Help - Template Manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Template Manager

The tool used to manage a library of templates and their associated components. This includes converting or renaming templates, copying and pasting components across multiple templates, renaming components, and changing component file properties for multiple templates.

Home > HotDocs Glossary of Terms > Template Manager


HotDocs Help - test

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

test

The process of testing a variable or other component to make sure it looks right and works correctly.

Home > HotDocs Glossary of Terms > test


HotDocs Help - test assemble

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

test assemble

The process of assembling a document for the purpose of ensuring the interview works correctly and the automation within the template produces a correctly assembled document. During a test assembly, developers can easily edit components and have the test assembly window updated with changes.

Home > HotDocs Glossary of Terms > test assemble


HotDocs Help - text document

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

text document

A document that is viewed in either Word or WordPerfect. It can represent a document before it is automated as well as a document after it has been assembled. When in document format, it is not associated with (or linked to) HotDocs in any way. (See also text template.)

Home > HotDocs Glossary of Terms > text document


HotDocs Help - text template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

text template

A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.)

Home > HotDocs Glossary of Terms > text template


HotDocs Help - Text variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Text variable

A type of component that merges text in the document.

Home > HotDocs Glossary of Terms > Text variable


HotDocs Help - thumbnail

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

thumbnail

Small images of each page in the form template. Developers can use thumbnails as a way to see an overview of the template. Thumbnails can also be used to move around quickly in a form.

Home > HotDocs Glossary of Terms > thumbnail


HotDocs Help - title

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

title

A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.

Home > HotDocs Glossary of Terms > title


HotDocs Help - 'HotDocs Cannot Play the Macro HDEditTemplate.Main' Message Appearing

'HotDocs Cannot Play the Macro HDEditTemplate.Main' Message Appearing

Problem

When attempting to edit a template, I get the error message, HotDocs cannot play the macro HDEditTemplate.Main because the macro does not exist in the original template or in a template currently loaded into Word. What does this message mean?

Note: Several file names and locations were changed for HotDocs 10. For a list of these changes, please see New and Enhanced Features for HotDocs 10

Solution

The first thing to check is to make sure that HotDocs is putting its global macro templates in the right location, and also to make sure that Word is finding them. To do this, complete the following steps:

  1. In Windows Explorer, browse to C:\Program Files\HotDocs\Source\Word\Macros, and make a note of the file dates on the files in that folder.
  2. In HotDocs, go to Tools > Options > Word Processors > Word 2000. Make a note of the Startup Folder location and browse to that folder in Windows Explorer. (You can click the Browse Browse button next to the Startup folder box and it will open that folder in Windows Explorer.)
  3. Compare the files in the folder opened through HotDocs with the files you found in step #1 above and make sure that hd6edit.dot and hd6icon.dot match exactly. (If they don't, you need to copy the files from the "source" folder to the "startup" folder.)
  4. In Word, go to Tools > Templates and Add-ins and make sure that hd_edit.dot and hd_icon.dot are both listed and checked, which indicates that they are loaded.

Assuming these steps check out OK, another place to look is in Word's macro security settings. Although the HotDocs macros are digitally signed and should not be blocked even if you have your security set to the highest level, you could try temporarily lowering the security level to see if it makes a difference:

  • In Word, go to Tools > Macro > Security. At the Security Level tab, lower the security level to Medium or Low and then see if the macros work under one of those settings. If it doesn't make a difference, be sure to switch it back to the previous setting.

Finally, you should check to make sure that the version of hd_api.dll in your Windows system folder is the correct version:

  1. In HotDocs, go to Help > About HotDocs > Version Info. Make a note of the file version for hotdocs.exe.
  2. In Windows Explorer, browse to C:\Windows\System32 and find the file named hd_api.dll.
  3. Right-click on hd_api.dll and choose Properties from the shortcut menu.
  4. At the Version tab, check to see if the file version is the same as that of hotdocs.exe.
  5. If the versions do not match, delete the DLL file from the Windows folder and repair the HotDocs installation.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > 'HotDocs Cannot Play the Macro HDEditTemplate.Main' Message Appearing


HotDocs Help - HotDocs is Prompting to Convert the Template to HotDocs 10

HotDocs is Prompting to Convert the Template to HotDocs 10

Problem

I've just installed the latest version of HotDocs. Now, when I edit a template, it prompts me to convert it to HotDocs 10 format. What does this message mean? What will happen if I click Yes?

Solution

From HotDocs 2009 onward, HotDocs uses a component file format different from earlier versions of HotDocs. When you edit a template, HotDocs must convert the template to the latest format.

Once converted, if you need to use the template with an earlier version of HotDocs, you must manually save the component file in that version. See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs and Change Component File Properties for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs is Prompting to Convert the Template to HotDocs 10


HotDocs Help - HotDocs Showing Unanswered Result When Repeating a Number Variable

HotDocs Showing Unanswered Result When Repeating a Number Variable

Problem

I have a computation script that repeats a Number variable. I want to merge the total from the repeated list, but HotDocs simply merges an unanswered variable placeholder.

Solution

When repeating a list of numbers to create a calculated total, you must first set the starting value of the result. To do this, enter 0 at the start of the script—before the opening REPEAT instruction. For example:

0
REPEAT Product Information
RESULT + Unit Price
END REPEAT
Note: If there is another number you need to use as the starting value, enter it instead of 0.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Showing Unanswered Result When Repeating a Number Variable


HotDocs Help - True/False expression

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

True/False expression

A script that must result in either true or false. Expressions are used for merging or excluding optional text in a document. They are also used for determining which parts of a script will be executed, based on answers or other values entered by a user. Expressions are often used when a simple True/False variable doesn't convey the condition needed. (See IF Instruction.)

Home > HotDocs Glossary of Terms > True/False expression


HotDocs Help - True/False variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

True/False variable

A type of component that determines a true/false status of some condition and then merges the appropriate answer or text.

Home > HotDocs Glossary of Terms > True/False variable


HotDocs Help - unanswered text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

unanswered text

Text in a text document that indicates that a question is unanswered. By default, unanswered questions appear as ***Variable Name***, but this can be customized.

Home > HotDocs Glossary of Terms > unanswered text


HotDocs Help - UNGRAY

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

UNGRAY

An instruction used in a dialog script to enable a variable that has been grayed based on a user's answers. (See also GRAY.)

Home > HotDocs Glossary of Terms > UNGRAY


HotDocs Help - Unicode

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

Unicode

Computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages. Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

Home > HotDocs Glossary of Terms > Unicode


HotDocs Help - upload

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

upload

The process of moving HotDocs files to a server so they can be accessed via an intranet or Internet site.

Home > HotDocs Glossary of Terms > upload


HotDocs Help - user

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

user

The customer, client, or person who assembles documents from templates. (See also template developer.)

Home > HotDocs Glossary of Terms > user


HotDocs Help - value

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

value

In an interview, it represents a user's answer. In a script, it represents data that must be used in executing the script. (The value can either be a literal value or a user's answer.)

Home > HotDocs Glossary of Terms > value


HotDocs Help - variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

variable

A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.

Home > HotDocs Glossary of Terms > variable


HotDocs Help - variable flow-through

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

variable flow-through

See answer sharing.

Home > HotDocs Glossary of Terms > variable flow-through


HotDocs Help - variable mapping

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

variable mapping

The process of associating two HotDocs variables so that they can share answers. In some cases, this mapping defines the relationship between a HotDocs variable and a field in a third-party application file, such as a database table or a field in an Outlook Contacts list.

Home > HotDocs Glossary of Terms > variable mapping


HotDocs Help - warnings

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

warnings

A list of cautions that appear in the test assembly window that indicate problems created by scripting in the template.

Home > HotDocs Glossary of Terms > warnings


HotDocs Help - Warnings Tab

Warnings Tab

Note:To access this dialog box: Edit a template. > Click the Test Assemble button. > Click Test Panel (Tools menu) > Click the Warnings tab of the Test Panel.

When assembling documents, HotDocs displays an interview outline in the assembly window. This outline is dynamic, in that as users enter answers, HotDocs processes the answers and updates the look of the outline as necessary. Because of this, some scripting may cause answers entered during the interview to be processed incorrectly.

The Warnings in interview box lists any potential instructions that could create a discrepancy in your interview. You can select an item in this list and click the Go to Warning button, and HotDocs will take you to the problem—either in the template text or the specific component.

The Warnings to display group allows you to select specific items for which to search:

Warning | Description
Variables that are set to a value and are marked "Save in answer file" | When HotDocs generates an interview outline, it processes any SET instructions and assigns answers to the variables that are set. This causes HotDocs to ask to save the answer file, even if the user doesn't enter any answers during the interview.
Variables that are set to a value and asked in the same interview

You should not use a SET instruction to assign an answer to a variable and then ask the variable later in the interview. As HotDocs processes answers and rebuilds the interview, the value assigned by the SET instruction will always overwrite any answers the user provides. An example of this would be the following script:

SET TF Variable TO TRUE

... (later in the template)

ASK Dialog

(where Dialog uses the variable, TF Variable.)

In this situation, even if the user marks TF Variable as false, HotDocs will always change it back to true because of the SET instruction.

If you want to suggest an answer for a user, use the DEFAULT instruction instead of the SET instruction. If you want a variable to always have a specific answer, then SET the answer and do not ask that variable anywhere in the template.

Variables that are asked more than once in the same interview | You should not ask the same variable more than once in an interview. If you do, HotDocs will always assign the last answer you gave to the variable, no matter where it is used in the interview.
Variables that are referred to in a dialog script and are set to a value later

You should not refer to a variable in a dialog script and then set that variable to a value later in the template. When HotDocs reprocesses the interview, the set value may change the appearance of the dialog—including how it presents variables to the user and how it processes the answers.

An example of this would be the following script:

SET Client TO "Husband"
ASK Husband Information
SET Client TO "Wife"
ASK Wife Information

In and of itself, this script is OK. However, Husband Information and Wife Information are dialogs that contain the following dialog element text:

The following information applies to the «Husband or Wife».

Husband or Wife is a computation that merges the literal text "husband" or "wife" into dialog element text, depending on the answer to Client.

Because HotDocs continually updates the interview, it will always use the last value resulted for this computation, which means that the dialog element text will always merge the word "wife," even if the user is viewing the Husband Information dialog. This could be confusing to the user.

Variables that are not asked when referred to but are asked later | You can refer to a variable in a template without asking the variable (by referring to the variable in an ASK NONE block or by clearing the Ask automatically option for the variable). However, if you do this, you should not ask the variable or set it to a value later in the template. Doing this will replace the answer that was used for the variable earlier in the template, thus causing an inconsistency.

Home > Warnings Tab


HotDocs Help - wizard

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

wizard

See answer wizard.

Home > HotDocs Glossary of Terms > wizard


HotDocs Help - .WPD

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.WPD

File name extension that designates that the file is a WordPerfect document. (See text document.)

Home > HotDocs Glossary of Terms > .WPD


HotDocs Help - .WPT

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

.WPT

File name extension that designates that the file is a WordPerfect template. (See text template.)

Home > HotDocs Glossary of Terms > .WPT


HotDocs Help - XML

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • answer source
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • control field
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • DEBUG
  • default interview
  • default word processor
  • delimiter
  • descend
  • detect
  • developer
  • dialog
  • dialog element
  • dialog script
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • dot code
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • Envoy
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fill character
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • form wizard
  • format example
  • GRAY
  • group
  • HIDE
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Debugger
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs Outliner
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • label
  • layout
  • library
  • LIMIT instruction
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • nested repeat
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • pick list
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • publish
  • Publishing Wizard
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • register
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • Resource field
  • run-on group
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • SHOW
  • sort
  • spreadsheet dialog
  • spreadsheet-on-parent dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • Template Manager
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • thumbnail
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • UNGRAY
  • Unicode
  • upload
  • user
  • value
  • variable
  • variable flow-through
  • variable mapping
  • warnings
  • wizard
  • XML

XML

Stands for eXtensible Markup Language. It is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML controls the way data is structured, making it easy for diverse programs to access the same information. (For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).) In HotDocs, you can save libraries, component files, and answer files in XML format.

Home > HotDocs Glossary of Terms > XML